# This file is automatically generated. Do not modify it manually!
from functools import lru_cache
import numpy as np

from .config import cond
from .OneLoop import B0fin, B0del
from .T134 import T134fin


@lru_cache(maxsize=150)
def T111333(m1: float, m2: float, m3: float, m4: float, m5: float, m6) -> float:
	""" Computes the UV-finite part of the T111333 integral.

	Args:
		m1: internal mass
		m2: internal mass
		m3: internal mass
		m4: internal mass
		m5: internal mass
		m6: internal mass

	Returns:
		finite part of the T111333 integral.
	"""

	try:

		m1, m2, m3 = np.sort([m1, m2, m3])
		m4, m5, m6 = np.sort([m4, m5, m6])
		

		m1sq = m1**2
		m2sq = m2**2
		m3sq = m3**2
		m4sq = m4**2
		m5sq = m5**2
		m6sq = m6**2

		def eval_1():
			return 0
		def eval_2():
			return 0
		def eval_3():
			return 1/(4.*m1**2*m4**2)
		def eval_4():
			return (-m1sq + m2sq - m1sq*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m2sq))/(2.*(m1sq - m2sq)**2*m4**2)
		def eval_5():
			return (m1sq - m3sq + m3sq*B0fin(0,0,m1sq) - m3sq*B0fin(0,0,m3sq))/(2.*(m1sq - m3sq)**2*m4**2)
		def eval_6():
			return (-m4sq + m5sq - m4sq*B0fin(0,0,m4sq) + m4sq*B0fin(0,0,m5sq))/(2.*m1**2*(m4sq - m5sq)**2)
		def eval_7():
			return (m4sq - m6sq + m6sq*B0fin(0,0,m4sq) - m6sq*B0fin(0,0,m6sq))/(2.*m1**2*(m4sq - m6sq)**2)
		def eval_8():
			return (m1sq*(-m2sq + m3sq)*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*B0fin(0,0,m2sq) + (-m1sq + m2sq)*m3sq*B0fin(0,0,m3sq))/(2.*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**2)
		def eval_9():
			return ((m1sq - m2sq + m1sq*B0fin(0,0,m1sq) - m1sq*B0fin(0,0,m2sq))*(m4sq - m5sq + m4sq*B0fin(0,0,m4sq) - m4sq*B0fin(0,0,m5sq)))/((m1sq - m2sq)**2*(m4sq - m5sq)**2)
		def eval_10():
			return -(((m1sq - m2sq + m1sq*B0fin(0,0,m1sq) - m1sq*B0fin(0,0,m2sq))*(m4sq - m6sq + m6sq*B0fin(0,0,m4sq) - m6sq*B0fin(0,0,m6sq)))/((m1sq - m2sq)**2*(m4sq - m6sq)**2))
		def eval_11():
			return -(((m1sq - m3sq + m3sq*B0fin(0,0,m1sq) - m3sq*B0fin(0,0,m3sq))*(m4sq - m5sq + m4sq*B0fin(0,0,m4sq) - m4sq*B0fin(0,0,m5sq)))/((m1sq - m3sq)**2*(m4sq - m5sq)**2))
		def eval_12():
			return ((m1sq - m3sq + m3sq*B0fin(0,0,m1sq) - m3sq*B0fin(0,0,m3sq))*(m4sq - m6sq + m6sq*B0fin(0,0,m4sq) - m6sq*B0fin(0,0,m6sq)))/((m1sq - m3sq)**2*(m4sq - m6sq)**2)
		def eval_13():
			return (m4sq*(-m5sq + m6sq)*B0fin(0,0,m4sq) + m5sq*(m4sq - m6sq)*B0fin(0,0,m5sq) + (-m4sq + m5sq)*m6sq*B0fin(0,0,m6sq))/(2.*m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq))
		def eval_14():
			return ((m1sq*(m2sq - m3sq)*B0fin(0,0,m1sq) + m2sq*(-m1sq + m3sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*m3sq*B0fin(0,0,m3sq))*(m4sq - m5sq + m4sq*B0fin(0,0,m4sq) - m4sq*B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq)**2)
		def eval_15():
			return -(((m1sq*(m2sq - m3sq)*B0fin(0,0,m1sq) + m2sq*(-m1sq + m3sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*m3sq*B0fin(0,0,m3sq))*(m4sq - m6sq + m6sq*B0fin(0,0,m4sq) - m6sq*B0fin(0,0,m6sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m6sq)**2))
		def eval_16():
			return ((m1sq - m2sq + m1sq*B0fin(0,0,m1sq) - m1sq*B0fin(0,0,m2sq))*(m4sq*(m5sq - m6sq)*B0fin(0,0,m4sq) + m5sq*(-m4sq + m6sq)*B0fin(0,0,m5sq) + (m4sq - m5sq)*m6sq*B0fin(0,0,m6sq)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq))
		def eval_17():
			return -(((m1sq - m3sq + m3sq*B0fin(0,0,m1sq) - m3sq*B0fin(0,0,m3sq))*(m4sq*(m5sq - m6sq)*B0fin(0,0,m4sq) + m5sq*(-m4sq + m6sq)*B0fin(0,0,m5sq) + (m4sq - m5sq)*m6sq*B0fin(0,0,m6sq)))/((m1sq - m3sq)**2*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)))
		def eval_18():
			return ((m1sq*(m2sq - m3sq)*B0fin(0,0,m1sq) + m2sq*(-m1sq + m3sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*m3sq*B0fin(0,0,m3sq))*(m4sq*(m5sq - m6sq)*B0fin(0,0,m4sq) + m5sq*(-m4sq + m6sq)*B0fin(0,0,m5sq) + (m4sq - m5sq)*m6sq*B0fin(0,0,m6sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq))

		cond_m1_0 = cond(m1, 0)
		cond_m2_0 = cond(m2, 0)
		cond_m3_0 = cond(m3, 0)
		cond_m4_0 = cond(m4, 0)
		cond_m5_0 = cond(m5, 0)
		cond_m6_0 = cond(m6, 0)
		cond_m6_m5 = cond(m6, m5)
		cond_m6_m4 = cond(m6, m4)
		cond_m5_m4 = cond(m5, m4)
		cond_m6_m3 = cond(m6, m3)
		cond_m5_m3 = cond(m5, m3)
		cond_m4_m3 = cond(m4, m3)
		cond_m6_m2 = cond(m6, m2)
		cond_m5_m2 = cond(m5, m2)
		cond_m4_m2 = cond(m4, m2)
		cond_m3_m2 = cond(m3, m2)
		cond_m6_m1 = cond(m6, m1)
		cond_m5_m1 = cond(m5, m1)
		cond_m4_m1 = cond(m4, m1)
		cond_m3_m1 = cond(m3, m1)
		cond_m2_m1 = cond(m2, m1)

		conditions = [
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_11()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_11()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_11()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_15()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_11()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_15()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_15()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_15()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_15()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_15()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0, lambda: eval_15()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0, lambda: eval_15()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_17()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_15()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_15()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_15()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_15()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_5()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_5()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_9()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_5()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_5()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_5()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_9()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_5()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_14()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_9()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_9()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_14()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_7()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_14()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_12()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_14()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_15()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_15()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_10()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_15()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_15()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_12()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_12()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_15()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_15()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0, lambda: eval_17()),
			(cond_m1_0 and cond_m4_0, lambda: eval_18()),
			(cond_m1_0 and cond_m5_0, lambda: eval_18()),
			(cond_m1_0 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m3_0, lambda: eval_17()),
			(cond_m2_0 and cond_m4_0, lambda: eval_18()),
			(cond_m2_0 and cond_m5_0, lambda: eval_18()),
			(cond_m2_0 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_0, lambda: eval_18()),
			(cond_m3_0 and cond_m5_0, lambda: eval_18()),
			(cond_m3_0 and cond_m6_0, lambda: eval_18()),
			(cond_m4_0 and cond_m5_0, lambda: eval_15()),
			(cond_m4_0 and cond_m6_0, lambda: eval_15()),
			(cond_m5_0 and cond_m6_0, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_4()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_4()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_4()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_6()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_8()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_4()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_9()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_8()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_8()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_8()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_9()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_9()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_4()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_4()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_11()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_11()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_11()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_14()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_11()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_6()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_15()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_15()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_9()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_9()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_8()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_11()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_11()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_11()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_8()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_11()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_8()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_15()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5, lambda: eval_9()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4, lambda: eval_10()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_8()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_15()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_15()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_8()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_14()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_14()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_9()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_9()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_9()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_15()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_14()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5, lambda: eval_9()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4, lambda: eval_10()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4, lambda: eval_10()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_14()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_14()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_14()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_11()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_11()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_11()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_11()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_11()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0, lambda: eval_17()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_16()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_15()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_14()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m5_m4, lambda: eval_15()),
			(cond_m1_0 and cond_m6_m4, lambda: eval_15()),
			(cond_m1_0 and cond_m4_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m3_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m2_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m5_m4, lambda: eval_15()),
			(cond_m2_0 and cond_m6_m4, lambda: eval_15()),
			(cond_m2_0 and cond_m4_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m3_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m3_0 and cond_m5_m4, lambda: eval_15()),
			(cond_m3_0 and cond_m6_m4, lambda: eval_15()),
			(cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m5_m4 and cond_m6_0, lambda: eval_14()),
			(cond_m4_0 and cond_m5_m3, lambda: eval_18()),
			(cond_m4_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_0, lambda: eval_18()),
			(cond_m4_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m5_m3 and cond_m6_0, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_m2 and cond_m4_0, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_0, lambda: eval_16()),
			(cond_m4_0 and cond_m5_m2, lambda: eval_18()),
			(cond_m4_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_0, lambda: eval_18()),
			(cond_m3_m2 and cond_m6_0, lambda: eval_16()),
			(cond_m4_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m5_m2 and cond_m6_0, lambda: eval_18()),
			(cond_m2_0 and cond_m3_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_m1 and cond_m3_0, lambda: eval_16()),
			(cond_m2_m1 and cond_m4_0, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m3_m1 and cond_m4_0, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_0, lambda: eval_17()),
			(cond_m4_0 and cond_m5_m1, lambda: eval_18()),
			(cond_m4_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m4_m1 and cond_m5_0, lambda: eval_18()),
			(cond_m2_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m3_m1 and cond_m6_0, lambda: eval_17()),
			(cond_m4_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m5_0 and cond_m6_m1, lambda: eval_18()),
			(cond_m5_m1 and cond_m6_0, lambda: eval_18()),
			(cond_m1_0, lambda: eval_18()),
			(cond_m2_0, lambda: eval_18()),
			(cond_m3_0, lambda: eval_18()),
			(cond_m4_0, lambda: eval_18()),
			(cond_m5_0, lambda: eval_18()),
			(cond_m6_0, lambda: eval_18()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_3()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_4()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_5()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_5()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_9()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_9()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_3()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_11()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_11()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_11()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_6()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_4()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_7()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_5()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_5()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_8()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_4()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_9()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_9()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_9()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_15()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_15()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_10()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_10()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_8()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_5()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_5()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5, lambda: eval_11()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4, lambda: eval_11()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5, lambda: eval_11()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4, lambda: eval_11()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2, lambda: eval_11()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5, lambda: eval_9()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4, lambda: eval_9()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1, lambda: eval_9()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3, lambda: eval_12()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2, lambda: eval_12()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_12()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_16()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_14()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_14()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5, lambda: eval_6()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_11()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_11()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_11()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_11()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_11()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_11()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_15()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_15()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4, lambda: eval_7()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4, lambda: eval_7()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1, lambda: eval_10()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_10()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_15()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_15()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_12()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_12()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_12()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_8()),
			(cond_m5_m4 and cond_m6_m4, lambda: eval_8()),
			(cond_m4_m3 and cond_m6_m5, lambda: eval_14()),
			(cond_m5_m3 and cond_m6_m4, lambda: eval_14()),
			(cond_m5_m4 and cond_m6_m3, lambda: eval_14()),
			(cond_m4_m3 and cond_m5_m3, lambda: eval_15()),
			(cond_m4_m3 and cond_m6_m3, lambda: eval_15()),
			(cond_m5_m3 and cond_m6_m3, lambda: eval_15()),
			(cond_m3_m2 and cond_m6_m5, lambda: eval_9()),
			(cond_m4_m2 and cond_m6_m5, lambda: eval_14()),
			(cond_m5_m2 and cond_m6_m4, lambda: eval_14()),
			(cond_m5_m4 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_m2 and cond_m5_m4, lambda: eval_10()),
			(cond_m3_m2 and cond_m6_m4, lambda: eval_10()),
			(cond_m4_m2 and cond_m5_m3, lambda: eval_18()),
			(cond_m4_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_m2, lambda: eval_18()),
			(cond_m4_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m5_m2 and cond_m6_m3, lambda: eval_18()),
			(cond_m5_m3 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_m2 and cond_m4_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m6_m2, lambda: eval_16()),
			(cond_m4_m2 and cond_m5_m2, lambda: eval_15()),
			(cond_m4_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m5_m2 and cond_m6_m2, lambda: eval_15()),
			(cond_m2_m1 and cond_m6_m5, lambda: eval_11()),
			(cond_m3_m1 and cond_m6_m5, lambda: eval_11()),
			(cond_m4_m1 and cond_m6_m5, lambda: eval_14()),
			(cond_m5_m1 and cond_m6_m4, lambda: eval_14()),
			(cond_m5_m4 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_m1 and cond_m5_m4, lambda: eval_12()),
			(cond_m2_m1 and cond_m6_m4, lambda: eval_12()),
			(cond_m3_m1 and cond_m5_m4, lambda: eval_12()),
			(cond_m3_m1 and cond_m6_m4, lambda: eval_12()),
			(cond_m4_m1 and cond_m5_m3, lambda: eval_18()),
			(cond_m4_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_m3 and cond_m5_m1, lambda: eval_18()),
			(cond_m4_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m5_m1 and cond_m6_m3, lambda: eval_18()),
			(cond_m5_m3 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_m1 and cond_m4_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m6_m3, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m6_m2, lambda: eval_17()),
			(cond_m3_m2 and cond_m4_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m5_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m6_m1, lambda: eval_16()),
			(cond_m4_m1 and cond_m5_m2, lambda: eval_18()),
			(cond_m4_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m4_m2 and cond_m5_m1, lambda: eval_18()),
			(cond_m4_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m5_m1 and cond_m6_m2, lambda: eval_18()),
			(cond_m5_m2 and cond_m6_m1, lambda: eval_18()),
			(cond_m2_m1 and cond_m3_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m4_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m5_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m6_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m5_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m6_m1, lambda: eval_17()),
			(cond_m4_m1 and cond_m5_m1, lambda: eval_15()),
			(cond_m4_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m5_m1 and cond_m6_m1, lambda: eval_15()),
			(cond_m6_m5, lambda: eval_14()),
			(cond_m5_m4, lambda: eval_15()),
			(cond_m6_m4, lambda: eval_15()),
			(cond_m4_m3, lambda: eval_18()),
			(cond_m5_m3, lambda: eval_18()),
			(cond_m6_m3, lambda: eval_18()),
			(cond_m3_m2, lambda: eval_16()),
			(cond_m4_m2, lambda: eval_18()),
			(cond_m5_m2, lambda: eval_18()),
			(cond_m6_m2, lambda: eval_18()),
			(cond_m2_m1, lambda: eval_17()),
			(cond_m3_m1, lambda: eval_17()),
			(cond_m4_m1, lambda: eval_18()),
			(cond_m5_m1, lambda: eval_18()),
			(cond_m6_m1, lambda: eval_18()),
			(True, lambda: eval_18())
		]

		for condition,action in conditions:
			if condition:
				return action()

	except Exception as e:
		raise Exception(f"There was an error when evaluating the T111333 integral with masses {m1}, {m2}, {m3}, {m4}, {m5}, {m6} from {e}")