# This file is automatically generated. Do not modify it manually!
from functools import lru_cache
import numpy as np

from .config import cond
from .OneLoop import B0fin, B0del
from .T134 import T134fin


@lru_cache(maxsize=150)
def T1111134(m1: float, m2: float, m3: float, m4: float, m5: float, m6: float, m7) -> float:
	""" Computes the UV-finite part of the T1111134 integral.

	Args:
		m1: internal mass
		m2: internal mass
		m3: internal mass
		m4: internal mass
		m5: internal mass
		m6: internal mass
		m7: internal mass

	Returns:
		finite part of the T1111134 integral.
	"""

	try:

		m1, m2, m3, m4, m5 = np.sort([m1, m2, m3, m4, m5])
		
		

		m1sq = m1**2
		m2sq = m2**2
		m3sq = m3**2
		m4sq = m4**2
		m5sq = m5**2
		m6sq = m6**2
		m7sq = m7**2

		def eval_1():
			return 0
		def eval_2():
			return T134fin(m5,0,0)/m5**8
		def eval_3():
			return (71 - 105*B0fin(0,0,m6sq))/(22050.*m6**6)
		def eval_4():
			return -((m4 + 2*m4*B0fin(0,0,m4) + 2*T134fin(m4,0,0))/m4**8)
		def eval_5():
			return (-m6**9 - m6**8*m7 + 14*m6**6*m7**3 + 54*m6**5*m7**4 - 21*m6**6*m7**4 + 54*m6**4*m7**5 + 14*m6**3*m7**6 - 21*m6**4*m7**6 + 14*m6sq*m7**7 - m6*m7**8 + m6sq*m7**8 - m7**9 + 14*m6**7*m7sq + m6**8*m7sq + 6*m6sq*m7sq*(m6**6 + 4*m6sq*m7**4 + m7**6 + 4*m6**4*m7sq)*B0del(0,0,m6sq) + 6*m6sq*m7sq*(m6**6 + 4*m6sq*m7**4 + m7**6 + 4*m6**4*m7sq)*B0del(0,0,m7sq) - m6**9*B0fin(0,0,m6) - 30*m6**5*m7**4*B0fin(0,0,m6) - 16*m6**3*m7**6*B0fin(0,0,m6) - m6*m7**8*B0fin(0,0,m6) - 16*m6**7*m7sq*B0fin(0,0,m6) + 61*m6**6*m7**4*B0fin(0,0,m6sq) + 61*m6**4*m7**6*B0fin(0,0,m6sq) + m6sq*m7**8*B0fin(0,0,m6sq) + m6**8*m7sq*B0fin(0,0,m6sq) - m6**8*m7*B0fin(0,0,m7) - 16*m6**6*m7**3*B0fin(0,0,m7) - 30*m6**4*m7**5*B0fin(0,0,m7) - 16*m6sq*m7**7*B0fin(0,0,m7) - m7**9*B0fin(0,0,m7) + 61*m6**6*m7**4*B0fin(0,0,m7sq) + 61*m6**4*m7**6*B0fin(0,0,m7sq) + m6sq*m7**8*B0fin(0,0,m7sq) + m6**8*m7sq*B0fin(0,0,m7sq) + 24*m6**6*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 24*m6**4*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 6*m6sq*m7**8*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 6*m6**8*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 36*m6**4*m7**4*T134fin(m7,m6,0) - 12*m6sq*m7**6*T134fin(m7,m6,0) - 12*m6**6*m7sq*T134fin(m7,m6,0))/(6.*(m6 - m7)**8*(m6 + m7)**8)
		def eval_6():
			return (m5**6*T134fin(m4,0,0) - m4**6*T134fin(m5,0,0))/(m4**8*m5**6 - m4**6*m5**8)
		def eval_7():
			return (-31*m5**6 + 2700*m5sq*m6**4 - 1800*m6**6 - 550*m5**4*m6sq + 900*m6**4*(m5sq - 2*m6sq)*B0del(0,0,m6sq) + 30*(m5**6 - 90*m5sq*m6**4 - 60*m6**6 + 10*m5**4*m6sq)*B0fin(0,0,m6sq) + 450*m6**4*(m5sq - 2*m6sq)*B0fin(0,0,m6sq)**2 + 900*m6**4*T134fin(m6,m6,m5))/(900.*m5**8*m6**4)
		def eval_8():
			return -0.3333333333333333*(-16*m5**6*m6**4*m7**4 + 3*m5**4*m6**4*(m6 + m7)*(m6sq - m7sq)**2 + 3*m5**4*m7**4*(m6 + m7)*(m6sq - m7sq)**2 + 6*m5**4*m6sq*(m6 + m7)*(m6sq - m7sq)**2*m7sq + 12*m5**6*m6sq*(m6 + m7)*m7sq*(m6sq + m7sq) - 6*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6sq + m7sq) + 6*m5**6*m6**4*m7**4*B0del(0,0,m6sq) + 3*m5**6*m6sq*m7**6*B0del(0,0,m6sq) + 3*m5**6*m6**6*m7sq*B0del(0,0,m6sq) + 6*m5sq*m6sq*(m6sq - m7sq)**4*m7sq*B0del(0,0,m6sq) + 3*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq) + 6*m5**6*m6**4*m7**4*B0del(0,0,m7sq) + 3*m5**6*m6sq*m7**6*B0del(0,0,m7sq) + 3*m5**6*m6**6*m7sq*B0del(0,0,m7sq) + 6*m5sq*m6sq*(m6sq - m7sq)**4*m7sq*B0del(0,0,m7sq) + 3*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq) + 18*m5**6*m6**4*m7**4*B0fin(0,0,m6sq) + m5**6*m6sq*m7**6*B0fin(0,0,m6sq) + m5**6*m6**6*m7sq*B0fin(0,0,m6sq) - 6*m5sq*m6sq*(m6sq - m7sq)**4*m7sq*B0fin(0,0,m6sq) + 3*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq) - (3*m5**4*m6**4*(m6sq - m7sq)**2*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. - (3*m5**4*m7**4*(m6sq - m7sq)**2*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. + 3*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - (m5**6*m6**4*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. - (m5**6*m7**4*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. + 3*m5sq*(m6sq - m7sq)**4*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - m5**6*m6sq*m7sq*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 18*m5**6*m6**4*m7**4*B0fin(0,0,m7sq) + m5**6*m6sq*m7**6*B0fin(0,0,m7sq) + m5**6*m6**6*m7sq*B0fin(0,0,m7sq) - 6*m5sq*m6sq*(m6sq - m7sq)**4*m7sq*B0fin(0,0,m7sq) + 3*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq) + 6*m5**6*m6**4*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 3*m5**6*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 3*m5**6*m6**6*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 6*m5sq*m6sq*(m6sq - m7sq)**4*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 3*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 3*(m6sq - m7sq)**6*T134fin(m7,m6,0) - 6*m5**4*m6sq*(m6sq - m7sq)**2*m7sq*T134fin(m7,m6,0) - 3*m5sq*(m6sq - m7sq)**4*(m6sq + m7sq)*T134fin(m7,m6,0) - 6*m5**6*m6sq*m7sq*(m6sq + m7sq)*T134fin(m7,m6,0) - 3*(m6sq - m7sq)**6*T134fin(m7,m6,m5))/(m5**8*(m6sq - m7sq)**6)
		def eval_9():
			return (-2*m6sq*(B0del(0,0,m4sq) + B0del(0,0,m6sq) - B0fin(0,0,m4sq) - B0fin(0,0,m6sq) + B0fin(0,0,m4sq)*B0fin(0,0,m6sq)))/(m4**8 - 4*m4**6*m6sq) - (-11*m4**6 - 540*m4sq*m6**4 + 432*m6**6 + 152*m4**4*m6sq + 36*m6sq*(m4**4 + 10*m6**4 - 7*m4sq*m6sq)*B0del(0,0,m6sq) + 6*(m4**6 + 54*m4sq*m6**4 + 84*m6**6 - 22*m4**4*m6sq)*B0fin(0,0,m6sq) + 18*m6sq*(m4**4 + 10*m6**4 - 7*m4sq*m6sq)*B0fin(0,0,m6sq)**2)/(18.*m4**8*m6**2*(m4sq - 4*m6sq)) - ((m4sq - 2*m6sq)*(m4 + 2*m6 + 2*m4*B0fin(0,0,m4) + 4*m6*B0fin(0,0,m6)) + 2*(m4sq - 5*m6sq)*T134fin(m6,m6,m4))/(m4**8*(m4sq - 4*m6sq))
		def eval_10():
			return (16*m4**11 + 18*m4**10*m7 + 11*m4**8*m7**3 - 38*m4**7*m7**4 - 12*m4**8*m7**4 - 26*m4**6*m7**5 + 35*m4**5*m7**6 + 4*m4**6*m7**6 + 27*m4**4*m7**7 - 8*m4**3*m7**8 - 6*m4sq*m7**9 + 19*m4**9*m7sq - 16*m4**10*m7sq + 2*m4sq*(2*m4**10 - 17*m4**6*m7**4 + 9*m4**4*m7**6 + 2*m4sq*m7**8 - m7**10 + 11*m4**8*m7sq)*B0del(0,0,m4sq) + 2*m4sq*m7sq*(19*m4**8 + 17*m4**4*m7**4 - m7**8 - 29*m4**6*m7sq)*B0del(0,0,m7sq) + 16*m4**11*B0fin(0,0,m4) - 84*m4**7*m7**4*B0fin(0,0,m4) + 74*m4**5*m7**6*B0fin(0,0,m4) - 16*m4**3*m7**8*B0fin(0,0,m4) + 10*m4**9*m7sq*B0fin(0,0,m4) - 4*m4**12*B0fin(0,0,m4sq) + 46*m4**8*m7**4*B0fin(0,0,m4sq) - 22*m4**6*m7**6*B0fin(0,0,m4sq) - 4*m4**4*m7**8*B0fin(0,0,m4sq) + 2*m4sq*m7**10*B0fin(0,0,m4sq) - 6*m4**10*m7sq*B0fin(0,0,m4sq) + 2*m4**12*B0fin(0,0,m4sq)**2 + 12*m4**8*m7**4*B0fin(0,0,m4sq)**2 - 8*m4**6*m7**6*B0fin(0,0,m4sq)**2 + 2*m4**4*m7**8*B0fin(0,0,m4sq)**2 - 8*m4**10*m7sq*B0fin(0,0,m4sq)**2 + 20*m4**10*m7*B0fin(0,0,m7) - 6*m4**8*m7**3*B0fin(0,0,m7) - 60*m4**6*m7**5*B0fin(0,0,m7) + 58*m4**4*m7**7*B0fin(0,0,m7) - 12*m4sq*m7**9*B0fin(0,0,m7) + 70*m4**8*m7**4*B0fin(0,0,m7sq) - 38*m4**6*m7**6*B0fin(0,0,m7sq) + 2*m4sq*m7**10*B0fin(0,0,m7sq) - 22*m4**10*m7sq*B0fin(0,0,m7sq) - 58*m4**8*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 34*m4**6*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 2*m4sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 38*m4**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 8*m4**10*T134fin(m7,m4,0) + 184*m4**6*m7**4*T134fin(m7,m4,0) - 152*m4**4*m7**6*T134fin(m7,m4,0) + 52*m4sq*m7**8*T134fin(m7,m4,0) - 6*m7**10*T134fin(m7,m4,0) - 98*m4**8*m7sq*T134fin(m7,m4,0) - 22*m4**10*T134fin(m7,m4,m4) - 156*m4**6*m7**4*T134fin(m7,m4,m4) + 124*m4**4*m7**6*T134fin(m7,m4,m4) - 46*m4sq*m7**8*T134fin(m7,m4,m4) + 6*m7**10*T134fin(m7,m4,m4) + 94*m4**8*m7sq*T134fin(m7,m4,m4))/(2.*m4**8*(m4sq - m7sq)**4*(4*m4sq - m7sq))
		def eval_11():
			return (16*m4**11 + 18*m4**10*m6 + 11*m4**8*m6**3 - 38*m4**7*m6**4 - 12*m4**8*m6**4 - 26*m4**6*m6**5 + 35*m4**5*m6**6 + 4*m4**6*m6**6 + 27*m4**4*m6**7 - 8*m4**3*m6**8 - 6*m4sq*m6**9 + 19*m4**9*m6sq - 16*m4**10*m6sq + 2*m4sq*(2*m4**10 - 17*m4**6*m6**4 + 9*m4**4*m6**6 + 2*m4sq*m6**8 - m6**10 + 11*m4**8*m6sq)*B0del(0,0,m4sq) + 2*m4sq*m6sq*(19*m4**8 + 17*m4**4*m6**4 - m6**8 - 29*m4**6*m6sq)*B0del(0,0,m6sq) + 16*m4**11*B0fin(0,0,m4) - 84*m4**7*m6**4*B0fin(0,0,m4) + 74*m4**5*m6**6*B0fin(0,0,m4) - 16*m4**3*m6**8*B0fin(0,0,m4) + 10*m4**9*m6sq*B0fin(0,0,m4) - 4*m4**12*B0fin(0,0,m4sq) + 46*m4**8*m6**4*B0fin(0,0,m4sq) - 22*m4**6*m6**6*B0fin(0,0,m4sq) - 4*m4**4*m6**8*B0fin(0,0,m4sq) + 2*m4sq*m6**10*B0fin(0,0,m4sq) - 6*m4**10*m6sq*B0fin(0,0,m4sq) + 2*m4**12*B0fin(0,0,m4sq)**2 + 12*m4**8*m6**4*B0fin(0,0,m4sq)**2 - 8*m4**6*m6**6*B0fin(0,0,m4sq)**2 + 2*m4**4*m6**8*B0fin(0,0,m4sq)**2 - 8*m4**10*m6sq*B0fin(0,0,m4sq)**2 + 20*m4**10*m6*B0fin(0,0,m6) - 6*m4**8*m6**3*B0fin(0,0,m6) - 60*m4**6*m6**5*B0fin(0,0,m6) + 58*m4**4*m6**7*B0fin(0,0,m6) - 12*m4sq*m6**9*B0fin(0,0,m6) + 70*m4**8*m6**4*B0fin(0,0,m6sq) - 38*m4**6*m6**6*B0fin(0,0,m6sq) + 2*m4sq*m6**10*B0fin(0,0,m6sq) - 22*m4**10*m6sq*B0fin(0,0,m6sq) - 58*m4**8*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 34*m4**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m4sq*m6**10*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 38*m4**10*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m4**10*T134fin(m6,m4,0) + 184*m4**6*m6**4*T134fin(m6,m4,0) - 152*m4**4*m6**6*T134fin(m6,m4,0) + 52*m4sq*m6**8*T134fin(m6,m4,0) - 6*m6**10*T134fin(m6,m4,0) - 98*m4**8*m6sq*T134fin(m6,m4,0) - 22*m4**10*T134fin(m6,m4,m4) - 156*m4**6*m6**4*T134fin(m6,m4,m4) + 124*m4**4*m6**6*T134fin(m6,m4,m4) - 46*m4sq*m6**8*T134fin(m6,m4,m4) + 6*m6**10*T134fin(m6,m4,m4) + 94*m4**8*m6sq*T134fin(m6,m4,m4))/(2.*m4**8*(m4sq - m6sq)**4*(4*m4sq - m6sq))
		def eval_12():
			return (11*m4**6*m5**4 - 11*m4**4*m5**6 + 36*m4**6*m6**4 - 36*m5**6*m6**4 + 54*m4sq*m5**6*m6sq - 54*m4**6*m5sq*m6sq - 18*m6sq*(-(m4sq*m5**6) + m4**6*(m5sq - 2*m6sq) + 2*m5**6*m6sq)*B0del(0,0,m6sq) - 6*(-(m4**4*m5**6) + 6*m5**6*m6**4 + 9*m4sq*m5**6*m6sq + m4**6*(m5**4 - 6*m6**4 - 9*m5sq*m6sq))*B0fin(0,0,m6sq) + 9*m6sq*(m4sq*m5**6 - m4**6*(m5sq - 2*m6sq) - 2*m5**6*m6sq)*B0fin(0,0,m6sq)**2 + 18*m5**6*m6sq*T134fin(m6,m6,m4) - 18*m4**6*m6sq*T134fin(m6,m6,m5))/(18.*m4**6*m5**6*(m4sq - m5sq)*m6**2)
		def eval_13():
			return ((m4**4*m6**4)/((m6 - m7)**4*(m6 + m7)**3) + (m4**4*m7**4)/((m6 - m7)**4*(m6 + m7)**3) + (2*m4**4*m6sq*m7sq)/((m6 - m7)**4*(m6 + m7)**3) - (2*m4**4*m6sq*m7sq*(m6sq + m7sq))/(m6sq - m7sq)**4 - (m4sq*(m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m4sq*m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (4*m4sq*m6sq*m7sq*B0del(0,0,m6sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/(m6sq - m7sq)**4 + (2*m4sq*m6sq*m7sq*B0del(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m4sq*m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (4*m4sq*m6sq*m7sq*B0del(0,0,m7sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/(m6sq - m7sq)**4 + (2*m4sq*m6sq*m7sq*B0del(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m4sq*(m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (m4sq*(m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (m4sq*m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (4*m4sq*m6sq*m7sq*B0fin(0,0,m6sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/(m6sq - m7sq)**4 - (2*m4sq*m6sq*m7sq*B0fin(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (m4sq*m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m4sq*m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m4**4*m6**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*(m6sq - m7sq)**4) - (m4**4*m7**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*(m6sq - m7sq)**4) + (m4**4*m6sq*m7sq*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m6sq - m7sq)**4 + (2*m4sq*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m6sq - m7sq)**2 - (m4sq*(m4sq - m6sq - m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (4*m4sq*m6sq*m7sq*B0fin(0,0,m7sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**4 - (2*m4sq*m6sq*m7sq*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (m4sq*(m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m4sq*(m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (4*m4sq*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**4 + (2*m4sq*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + 3*T134fin(m7,m6,0) - (2*m4**4*m6sq*m7sq*T134fin(m7,m6,0))/(m6sq - m7sq)**4 - (2*m4sq*(m6sq + m7sq)*T134fin(m7,m6,0))/(m6sq - m7sq)**2 - 3*T134fin(m7,m6,m4) + (m4sq*(m4sq - m6sq - m7sq)*T134fin(m7,m6,m4))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))/m4**8
		def eval_14():
			return m6**4/(m4**2*m5**2*(m6 - m7)**4*(m6 + m7)**3) + m7**4/(m4**2*m5**2*(m6 - m7)**4*(m6 + m7)**3) + (2*m6sq*m7sq)/(m4**2*m5**2*(m6 - m7)**4*(m6 + m7)**3) - (2*m6sq*m7sq*(m6sq + m7sq))/(m4**2*m5**2*(m6sq - m7sq)**4) + (2*m6sq*m7sq*B0del(0,0,m6sq))/(m4**2*m5**4*(m6sq - m7sq)**2) + (2*m6sq*m7sq*B0del(0,0,m6sq))/(m4**4*m5**2*(m6sq - m7sq)**2) + (m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/(m4**2*m5**2*(m6sq - m7sq)**4) + (2*m6sq*m7sq*B0del(0,0,m7sq))/(m4**2*m5**4*(m6sq - m7sq)**2) + (2*m6sq*m7sq*B0del(0,0,m7sq))/(m4**4*m5**2*(m6sq - m7sq)**2) + (m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/(m4**2*m5**2*(m6sq - m7sq)**4) - (2*m6sq*m7sq*B0fin(0,0,m6sq))/(m4**2*m5**4*(m6sq - m7sq)**2) - (2*m6sq*m7sq*B0fin(0,0,m6sq))/(m4**4*m5**2*(m6sq - m7sq)**2) + (m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/(m4**2*m5**2*(m6sq - m7sq)**4) - (m6**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*m4**2*m5**2*(m6sq - m7sq)**4) - (m7**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*m4**2*m5**2*(m6sq - m7sq)**4) + (m6sq*m7sq*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m4**2*m5**2*(m6sq - m7sq)**4) + ((m4sq + m5sq)*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m4**4*m5**4*(m6sq - m7sq)**2) - (2*m6sq*m7sq*B0fin(0,0,m7sq))/(m4**2*m5**4*(m6sq - m7sq)**2) - (2*m6sq*m7sq*B0fin(0,0,m7sq))/(m4**4*m5**2*(m6sq - m7sq)**2) + (m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/(m4**2*m5**2*(m6sq - m7sq)**4) + (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m4**2*m5**4*(m6sq - m7sq)**2) + (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m4**4*m5**2*(m6sq - m7sq)**2) + (m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m4**2*m5**2*(m6sq - m7sq)**4) + T134fin(m7,m6,0)/(m4**2*m5**6) + T134fin(m7,m6,0)/(m4**4*m5**4) + T134fin(m7,m6,0)/(m4**6*m5**2) - (2*m6sq*m7sq*T134fin(m7,m6,0))/(m4**2*m5**2*(m6sq - m7sq)**4) - ((m4sq + m5sq)*(m6sq + m7sq)*T134fin(m7,m6,0))/(m4**4*m5**4*(m6sq - m7sq)**2) + T134fin(m7,m6,m4)/(m4**8 - m4**6*m5sq) + T134fin(m7,m6,m5)/(-(m4sq*m5**6) + m5**8)
		def eval_15():
			return (5*m3**5 + 6*m3**6 + 10*m3**4*m6 - 56*m3sq*m6**3 + 40*m3*m6**4 + 212*m3sq*m6**4 + 80*m6**5 - 200*m6**6 - 28*m3**3*m6sq - 66*m3**4*m6sq + 4*(-7*m3sq*m6**4 + 2*m3**4*m6sq)*B0del(0,0,m3sq) + 2*(m3**6 + 40*m3sq*m6**4 - 60*m6**6 - 10*m3**4*m6sq)*B0del(0,0,m6sq) + 6*m3**5*B0fin(0,0,m3) + 64*m3*m6**4*B0fin(0,0,m3) - 40*m3**3*m6sq*B0fin(0,0,m3) + 12*m3sq*m6**4*B0fin(0,0,m3sq) - 2*m3**4*m6sq*B0fin(0,0,m3sq) + 12*m3**4*m6*B0fin(0,0,m6) - 80*m3sq*m6**3*B0fin(0,0,m6) + 128*m6**5*B0fin(0,0,m6) - 6*m3**6*B0fin(0,0,m6sq) + 24*m3sq*m6**4*B0fin(0,0,m6sq) - 248*m6**6*B0fin(0,0,m6sq) + 34*m3**4*m6sq*B0fin(0,0,m6sq) - 28*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 8*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + m3**6*B0fin(0,0,m6sq)**2 + 54*m3sq*m6**4*B0fin(0,0,m6sq)**2 - 60*m6**6*B0fin(0,0,m6sq)**2 - 14*m3**4*m6sq*B0fin(0,0,m6sq)**2 + 2*m3**4*T134fin(m6,m6,m3) + 60*m6**4*T134fin(m6,m6,m3) - 24*m3sq*m6sq*T134fin(m6,m6,m3))/(2.*m3**8*(m3sq - 4*m6sq)**2)
		def eval_16():
			return (-2*m6sq*(B0del(0,0,m4sq) + B0del(0,0,m6sq) - B0fin(0,0,m4sq) - B0fin(0,0,m6sq) + B0fin(0,0,m4sq)*B0fin(0,0,m6sq)))/(m4**4*(-m3sq + m4sq)*(m4sq - 4*m6sq)) + ((8*(m3sq*(m4sq - 4*m6sq) - 2*m4sq*m6sq))/m3**4 + (8*m4sq*m6sq + 4*m3sq*(m4sq + 4*m6sq))/m3**4 + 4*((4*m6**4)/((m3sq - m4sq)*(m4sq - 4*m6sq)) - (2*m4sq*m6sq)/m3**4 - (3*m4sq + 4*m6sq)/m3**2)*B0fin(0,0,m6sq) + 2*((4*m6**4)/((-m3sq + m4sq)*(m4sq - 4*m6sq)) + (m4sq - 4*m6sq)/m3**2 - (2*m4sq*m6sq)/m3**4)*(2*B0del(0,0,m6sq) + B0fin(0,0,m6sq)**2))/(4.*m4**6) + T134fin(m6,m6,m3)/(m3**4*(m3sq - m4sq)**2) + ((m3sq - m4sq)*(m4sq - 2*m6sq)*(m4 + 2*m6 + 2*m4*B0fin(0,0,m4) + 4*m6*B0fin(0,0,m6)) + (-2*m4**4 + m3sq*(m4sq - 6*m6sq) + 10*m4sq*m6sq)*T134fin(m6,m6,m4))/(m4**6*(m3sq - m4sq)**2*(m4sq - 4*m6sq))
		def eval_17():
			return (-2*m6sq*(B0del(0,0,m3sq) + B0del(0,0,m6sq) - B0fin(0,0,m3sq) - B0fin(0,0,m6sq) + B0fin(0,0,m3sq)*B0fin(0,0,m6sq)))/(m3**4*(m3sq - m5sq)*(m3sq - 4*m6sq)) + ((8*(m3sq*(m5sq - 2*m6sq) - 4*m5sq*m6sq))/m5**4 + (4*(4*m5sq*m6sq + m3sq*(m5sq + 2*m6sq)))/m5**4 + 4*((-4*m6**4)/((m3sq - m5sq)*(m3sq - 4*m6sq)) - (4*m6sq)/m5**2 - (m3sq*(3*m5sq + 2*m6sq))/m5**4)*B0fin(0,0,m6sq) + 2*((4*m6**4)/((m3sq - m5sq)*(m3sq - 4*m6sq)) + (m3sq*(m5sq - 2*m6sq))/m5**4 - (4*m6sq)/m5**2)*(2*B0del(0,0,m6sq) + B0fin(0,0,m6sq)**2))/(4.*m3**6) + (-((m3sq - m5sq)*(m3sq - 2*m6sq)*(m3 + 2*m6 + 2*m3*B0fin(0,0,m3) + 4*m6*B0fin(0,0,m6))) + (-2*m3**4 - 6*m5sq*m6sq + m3sq*(m5sq + 10*m6sq))*T134fin(m6,m6,m3))/(m3**6*(m3sq - m5sq)**2*(m3sq - 4*m6sq)) + T134fin(m6,m6,m5)/(m5**4*(m3sq - m5sq)**2)
		def eval_18():
			return (6*m3sq*m4sq*m5sq - 4*m3sq*m4sq*m6sq - 4*m3sq*m5sq*m6sq - 4*m4sq*m5sq*m6sq + 2*(-2*m4sq*m5sq*m6sq + m3sq*(m4sq*(m5sq - 2*m6sq) - 2*m5sq*m6sq))*B0del(0,0,m6sq) - 2*(2*m4sq*m5sq*m6sq + m3sq*(2*m5sq*m6sq + m4sq*(3*m5sq + 2*m6sq)))*B0fin(0,0,m6sq) + (-2*m4sq*m5sq*m6sq + m3sq*(m4sq*(m5sq - 2*m6sq) - 2*m5sq*m6sq))*B0fin(0,0,m6sq)**2)/(2.*m3**4*m4**4*m5**4) + T134fin(m6,m6,m3)/(m3**4*(m3sq - m4sq)*(m3sq - m5sq)) + T134fin(m6,m6,m4)/(m4**4*(-m3sq + m4sq)*(m4sq - m5sq)) + T134fin(m6,m6,m5)/(m5**4*(-m3sq + m5sq)*(-m4sq + m5sq))
		def eval_19():
			return -0.013888888888888888*(1 + 12*B0fin(0,0,m1sq))/m1**6
		def eval_20():
			return -0.013888888888888888*(1 + 12*B0fin(0,0,m1sq))/m1**6
		def eval_21():
			return (m1**6 + 27*m1sq*m2**4 - 37*m2**6 - 15*m1**4*m2sq - 12*m2**4*(m1sq + m2sq)*B0del(0,0,m2sq) - 4*(m1**6 + 6*m1sq*m2**4 + 5*m2**6 - 6*m1**4*m2sq)*B0fin(0,0,m2sq) - 6*m2**4*(m1sq + m2sq)*B0fin(0,0,m2sq)**2 + 12*m2**4*T134fin(m2,m1,0))/(12.*(-(m1sq*m2) + m2**3)**4)
		def eval_22():
			return (m1**6 + 27*m1sq*m2**4 - 37*m2**6 - 15*m1**4*m2sq - 12*m2**4*(m1sq + m2sq)*B0del(0,0,m2sq) - 4*(m1**6 + 6*m1sq*m2**4 + 5*m2**6 - 6*m1**4*m2sq)*B0fin(0,0,m2sq) - 6*m2**4*(m1sq + m2sq)*B0fin(0,0,m2sq)**2 + 12*m2**4*T134fin(m2,m1,0))/(12.*(-(m1sq*m2) + m2**3)**4)
		def eval_23():
			return -((-m1**4 + m3**3 - 7*m3**4 + m1*m3sq + 2*m1sq*m3sq + m3**4*B0del(0,0,m1sq) - (3*m3**4 + 2*m1sq*m3sq)*B0del(0,0,m3sq) + 2*m1*m3sq*B0fin(0,0,m1) - m3**4*B0fin(0,0,m1sq) + 2*m3**3*B0fin(0,0,m3) + m1**4*B0fin(0,0,m3sq) - 8*m3**4*B0fin(0,0,m3sq) + m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m3**4*B0fin(0,0,m3sq)**2 - m1sq*m3sq*B0fin(0,0,m3sq)**2 + 2*m3sq*T134fin(m3,m1,0))/(m3**2*(m1sq - m3sq)**4))
		def eval_24():
			return -((-m1**4 + m3**3 - 7*m3**4 + m1*m3sq + 2*m1sq*m3sq + m3**4*B0del(0,0,m1sq) - (3*m3**4 + 2*m1sq*m3sq)*B0del(0,0,m3sq) + 2*m1*m3sq*B0fin(0,0,m1) - m3**4*B0fin(0,0,m1sq) + 2*m3**3*B0fin(0,0,m3) + m1**4*B0fin(0,0,m3sq) - 8*m3**4*B0fin(0,0,m3sq) + m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m3**4*B0fin(0,0,m3sq)**2 - m1sq*m3sq*B0fin(0,0,m3sq)**2 + 2*m3sq*T134fin(m3,m1,0))/(m3**2*(m1sq - m3sq)**4))
		def eval_25():
			return (m1**4 + 5*m3**3 + 5*m1*m3sq - 15*m1sq*m3sq - 2*(m3**4 + 3*m1sq*m3sq)*B0del(0,0,m1sq) + 4*m1sq*m3sq*B0del(0,0,m3sq) + 6*m1*m3sq*B0fin(0,0,m1) - m1**4*B0fin(0,0,m1sq) + 2*m3**4*B0fin(0,0,m1sq) - 15*m1sq*m3sq*B0fin(0,0,m1sq) - m3**4*B0fin(0,0,m1sq)**2 - 5*m1sq*m3sq*B0fin(0,0,m1sq)**2 + 6*m3**3*B0fin(0,0,m3) - m1**4*B0fin(0,0,m3sq) - m1sq*m3sq*B0fin(0,0,m3sq) + 4*m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m3sq*T134fin(m3,m1,0))/(2.*(m1 - m3)**4*m3**2*(m1 + m3)**4)
		def eval_26():
			return -((m1**3 - 7*m1**4 + m1sq*m4 - m4**4 + 2*m1sq*m4sq - (3*m1**4 + 2*m1sq*m4sq)*B0del(0,0,m1sq) + m1**4*B0del(0,0,m4sq) + 2*m1**3*B0fin(0,0,m1) - 8*m1**4*B0fin(0,0,m1sq) + m4**4*B0fin(0,0,m1sq) - 2*m1**4*B0fin(0,0,m1sq)**2 - m1sq*m4sq*B0fin(0,0,m1sq)**2 + 2*m1sq*m4*B0fin(0,0,m4) - m1**4*B0fin(0,0,m4sq) + m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*T134fin(m4,m1,0))/(m1**2*(m1sq - m4sq)**4))
		def eval_27():
			return -((m1**3 - 7*m1**4 + m1sq*m4 - m4**4 + 2*m1sq*m4sq - (3*m1**4 + 2*m1sq*m4sq)*B0del(0,0,m1sq) + m1**4*B0del(0,0,m4sq) + 2*m1**3*B0fin(0,0,m1) - 8*m1**4*B0fin(0,0,m1sq) + m4**4*B0fin(0,0,m1sq) - 2*m1**4*B0fin(0,0,m1sq)**2 - m1sq*m4sq*B0fin(0,0,m1sq)**2 + 2*m1sq*m4*B0fin(0,0,m4) - m1**4*B0fin(0,0,m4sq) + m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*T134fin(m4,m1,0))/(m1**2*(m1sq - m4sq)**4))
		def eval_28():
			return (-37*m1**6 - 15*m1sq*m5**4 + m5**6 + 27*m1**4*m5sq - 12*m1**4*(m1sq + m5sq)*B0del(0,0,m1sq) - 4*(5*m1**6 - 6*m1sq*m5**4 + m5**6 + 6*m1**4*m5sq)*B0fin(0,0,m1sq) - 6*m1**4*(m1sq + m5sq)*B0fin(0,0,m1sq)**2 + 12*m1**4*T134fin(m5,m1,0))/(12.*(m1**3 - m1*m5sq)**4)
		def eval_29():
			return (-37*m1**6 - 15*m1sq*m5**4 + m5**6 + 27*m1**4*m5sq - 12*m1**4*(m1sq + m5sq)*B0del(0,0,m1sq) - 4*(5*m1**6 - 6*m1sq*m5**4 + m5**6 + 6*m1**4*m5sq)*B0fin(0,0,m1sq) - 6*m1**4*(m1sq + m5sq)*B0fin(0,0,m1sq)**2 + 12*m1**4*T134fin(m5,m1,0))/(12.*(m1**3 - m1*m5sq)**4)
		def eval_30():
			return (2*(m1sq - m2sq)*m3sq*(m1**4*(m2sq + m3sq) + m3sq*(m2**4 + 4*m3**4 - 3*m2sq*m3sq) + m1sq*(m2**4 - 3*m3**4 - 2*m2sq*m3sq))*B0del(0,0,m3sq) - 2*(2*m2**6*m3**4 - 7*m2**4*m3**6 + 7*m2sq*m3**8 - m1**4*(m2**6 - 7*m3**6) + m1sq*(m2**6 - 7*m3**6)*m3sq + m1**6*(m2**4 - 2*m3**4 - m2sq*m3sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m1**4*(m2sq + m3sq) + m3sq*(m2**4 + 4*m3**4 - 3*m2sq*m3sq) + m1sq*(m2**4 - 3*m3**4 - 2*m2sq*m3sq))*B0fin(0,0,m3sq)**2 + 2*((m1sq - m2sq)*(3*m2**4*m3**4 - 8*m2sq*m3**6 + 7*m3**8 - 2*m1sq*m3sq*(m2**4 + 4*m3**4 - 3*m2sq*m3sq) + m1**4*(m2**4 + 3*m3**4 - 2*m2sq*m3sq)) + (m2sq - m3sq)**3*m3sq*T134fin(m3,m1,0) + m3sq*(-m1sq + m3sq)**3*T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)*m3**2*(m1sq - m3sq)**3*(m2sq - m3sq)**3)
		def eval_31():
			return (2*(m1sq - m2sq)*m3sq*(m1**4*(m2sq + m3sq) + m3sq*(m2**4 + 4*m3**4 - 3*m2sq*m3sq) + m1sq*(m2**4 - 3*m3**4 - 2*m2sq*m3sq))*B0del(0,0,m3sq) - 2*(2*m2**6*m3**4 - 7*m2**4*m3**6 + 7*m2sq*m3**8 - m1**4*(m2**6 - 7*m3**6) + m1sq*(m2**6 - 7*m3**6)*m3sq + m1**6*(m2**4 - 2*m3**4 - m2sq*m3sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m1**4*(m2sq + m3sq) + m3sq*(m2**4 + 4*m3**4 - 3*m2sq*m3sq) + m1sq*(m2**4 - 3*m3**4 - 2*m2sq*m3sq))*B0fin(0,0,m3sq)**2 + 2*((m1sq - m2sq)*(3*m2**4*m3**4 - 8*m2sq*m3**6 + 7*m3**8 - 2*m1sq*m3sq*(m2**4 + 4*m3**4 - 3*m2sq*m3sq) + m1**4*(m2**4 + 3*m3**4 - 2*m2sq*m3sq)) + (m2sq - m3sq)**3*m3sq*T134fin(m3,m1,0) + m3sq*(-m1sq + m3sq)**3*T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)*m3**2*(m1sq - m3sq)**3*(m2sq - m3sq)**3)
		def eval_32():
			return (2*m2sq*(m1sq - m5sq)*(m1**4*(m2sq + m5sq) + m2sq*(4*m2**4 + m5**4 - 3*m2sq*m5sq) + m1sq*(-3*m2**4 + m5**4 - 2*m2sq*m5sq))*B0del(0,0,m2sq) + 2*(7*m2**6*m5**4 - 2*m2**4*m5**6 + m1**4*(-7*m2**6 + m5**6) + m1sq*(7*m2**8 - m2sq*m5**6) - 7*m2**8*m5sq + m1**6*(2*m2**4 - m5**4 + m2sq*m5sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - m5sq)*(m1**4*(m2sq + m5sq) + m2sq*(4*m2**4 + m5**4 - 3*m2sq*m5sq) + m1sq*(-3*m2**4 + m5**4 - 2*m2sq*m5sq))*B0fin(0,0,m2sq)**2 + 2*((m1sq - m5sq)*(7*m2**8 + 3*m2**4*m5**4 - 8*m2**6*m5sq - 2*m1sq*m2sq*(4*m2**4 + m5**4 - 3*m2sq*m5sq) + m1**4*(3*m2**4 + m5**4 - 2*m2sq*m5sq)) - m2sq*(m2sq - m5sq)**3*T134fin(m2,m1,0) + m2sq*(-m1sq + m2sq)**3*T134fin(m5,m2,0)))/(2.*m2**2*(-m1sq + m2sq)**3*(m1sq - m5sq)*(m2sq - m5sq)**3)
		def eval_33():
			return (2*m2sq*(m1sq - m5sq)*(m1**4*(m2sq + m5sq) + m2sq*(4*m2**4 + m5**4 - 3*m2sq*m5sq) + m1sq*(-3*m2**4 + m5**4 - 2*m2sq*m5sq))*B0del(0,0,m2sq) + 2*(7*m2**6*m5**4 - 2*m2**4*m5**6 + m1**4*(-7*m2**6 + m5**6) + m1sq*(7*m2**8 - m2sq*m5**6) - 7*m2**8*m5sq + m1**6*(2*m2**4 - m5**4 + m2sq*m5sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - m5sq)*(m1**4*(m2sq + m5sq) + m2sq*(4*m2**4 + m5**4 - 3*m2sq*m5sq) + m1sq*(-3*m2**4 + m5**4 - 2*m2sq*m5sq))*B0fin(0,0,m2sq)**2 + 2*((m1sq - m5sq)*(7*m2**8 + 3*m2**4*m5**4 - 8*m2**6*m5sq - 2*m1sq*m2sq*(4*m2**4 + m5**4 - 3*m2sq*m5sq) + m1**4*(3*m2**4 + m5**4 - 2*m2sq*m5sq)) - m2sq*(m2sq - m5sq)**3*T134fin(m2,m1,0) + m2sq*(-m1sq + m2sq)**3*T134fin(m5,m2,0)))/(2.*m2**2*(-m1sq + m2sq)**3*(m1sq - m5sq)*(m2sq - m5sq)**3)
		def eval_34():
			return ((m3sq - m4sq)**2*(8*m1sq*(-3*m1sq + 2*m3sq + m4sq) + 4*(-5*m1**4 + m3sq*m4sq + m1sq*(3*m3sq + m4sq))*B0del(0,0,m1sq) - 4*(7*m1**4 + m3sq*m4sq - m1sq*(5*m3sq + 3*m4sq))*B0fin(0,0,m1sq) + 2*(-5*m1**4 + m3sq*m4sq + m1sq*(3*m3sq + m4sq))*B0fin(0,0,m1sq)**2) - 4*(m1**3 - m1*m3sq)**2*(m3sq - m4sq)*(B0del(0,0,m1sq) + B0del(0,0,m4sq) - B0fin(0,0,m1sq) - B0fin(0,0,m4sq) + B0fin(0,0,m1sq)*B0fin(0,0,m4sq)) + 4*(m1sq - m4sq)**3*T134fin(m3,m1,0) - 4*(m1sq - m3sq)**2*((m3sq - m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) + (m1sq + m3sq - 2*m4sq)*T134fin(m4,m1,0)))/(4.*(m1sq - m3sq)**2*(m1sq - m4sq)**3*(m3sq - m4sq)**2)
		def eval_35():
			return ((m3sq - m5sq)**2*(8*m1sq*(-3*m1sq + m3sq + 2*m5sq) + 4*(-5*m1**4 + m3sq*m5sq + m1sq*(m3sq + 3*m5sq))*B0del(0,0,m1sq) - 4*(7*m1**4 + m3sq*m5sq - m1sq*(3*m3sq + 5*m5sq))*B0fin(0,0,m1sq) + 2*(-5*m1**4 + m3sq*m5sq + m1sq*(m3sq + 3*m5sq))*B0fin(0,0,m1sq)**2) + 4*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) - 4*(m1sq - m5sq)**2*(-((m3sq - m5sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))) + (m1sq - 2*m3sq + m5sq)*T134fin(m3,m1,0)) + 4*(m1sq - m3sq)**3*T134fin(m5,m1,0))/(4.*(m1sq - m3sq)**3*(m1sq - m5sq)**2*(m3sq - m5sq)**2)
		def eval_36():
			return (2*m1sq*(m4sq - m5sq)*(4*m1**6 + m1sq*(m4sq - m5sq)**2 - 3*m1**4*(m4sq + m5sq) + m4sq*m5sq*(m4sq + m5sq))*B0del(0,0,m1sq) + 2*(-(m4**6*m5**4) + m4**4*m5**6 - 7*m1**6*(m4**4 - m5**4) + 2*m1**4*(m4**6 - m5**6) + 7*m1**8*(m4sq - m5sq) + m1sq*m4sq*(m4**4 - m5**4)*m5sq)*B0fin(0,0,m1sq) + m1sq*(m4sq - m5sq)*(4*m1**6 + m1sq*(m4sq - m5sq)**2 - 3*m1**4*(m4sq + m5sq) + m4sq*m5sq*(m4sq + m5sq))*B0fin(0,0,m1sq)**2 + 2*((m4sq - m5sq)*(7*m1**8 + m4**4*m5**4 - 8*m1**6*(m4sq + m5sq) - 2*m1sq*m4sq*m5sq*(m4sq + m5sq) + 3*m1**4*(m4sq + m5sq)**2) - m1sq*(m1sq - m5sq)**3*T134fin(m4,m1,0) + m1sq*(m1sq - m4sq)**3*T134fin(m5,m1,0)))/(2.*m1**2*(m1sq - m4sq)**3*(m1sq - m5sq)**3*(m4sq - m5sq))
		def eval_37():
			return (2*m1sq*(m4sq - m5sq)*(4*m1**6 + m1sq*(m4sq - m5sq)**2 - 3*m1**4*(m4sq + m5sq) + m4sq*m5sq*(m4sq + m5sq))*B0del(0,0,m1sq) + 2*(-(m4**6*m5**4) + m4**4*m5**6 - 7*m1**6*(m4**4 - m5**4) + 2*m1**4*(m4**6 - m5**6) + 7*m1**8*(m4sq - m5sq) + m1sq*m4sq*(m4**4 - m5**4)*m5sq)*B0fin(0,0,m1sq) + m1sq*(m4sq - m5sq)*(4*m1**6 + m1sq*(m4sq - m5sq)**2 - 3*m1**4*(m4sq + m5sq) + m4sq*m5sq*(m4sq + m5sq))*B0fin(0,0,m1sq)**2 + 2*((m4sq - m5sq)*(7*m1**8 + m4**4*m5**4 - 8*m1**6*(m4sq + m5sq) - 2*m1sq*m4sq*m5sq*(m4sq + m5sq) + 3*m1**4*(m4sq + m5sq)**2) - m1sq*(m1sq - m5sq)**3*T134fin(m4,m1,0) + m1sq*(m1sq - m4sq)**3*T134fin(m5,m1,0)))/(2.*m1**2*(m1sq - m4sq)**3*(m1sq - m5sq)**3*(m4sq - m5sq))
		def eval_38():
			return -0.5*(4*m1sq*(3*m1**4 + m4sq*m5sq + m3sq*(m4sq + m5sq) - 2*m1sq*(m3sq + m4sq + m5sq)) + 2*(5*m1**6 + m3sq*m4sq*m5sq - 3*m1**4*(m3sq + m4sq + m5sq) + m1sq*(m4sq*m5sq + m3sq*(m4sq + m5sq)))*B0del(0,0,m1sq) + 2*(7*m1**6 - m3sq*m4sq*m5sq - 5*m1**4*(m3sq + m4sq + m5sq) + 3*m1sq*(m4sq*m5sq + m3sq*(m4sq + m5sq)))*B0fin(0,0,m1sq) + (5*m1**6 + m3sq*m4sq*m5sq - 3*m1**4*(m3sq + m4sq + m5sq) + m1sq*(m4sq*m5sq + m3sq*(m4sq + m5sq)))*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m5sq)**2) + T134fin(m3,m1,0)/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - m5sq)) + T134fin(m4,m1,0)/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - m5sq)) + T134fin(m5,m1,0)/((m1sq - m5sq)**2*(-m3sq + m5sq)*(-m4sq + m5sq))
		def eval_39():
			return -0.5*(-4*m1**12*m4 + 80*m1**9*m4**4 + 12*m1**10*m4**4 + 40*m1**8*m4**5 - 120*m1**7*m4**6 - 52*m1**8*m4**6 - 80*m1**6*m4**7 + 80*m1**5*m4**8 + 88*m1**6*m4**8 + 60*m1**4*m4**9 - 20*m1**3*m4**10 - 72*m1**4*m4**10 - 16*m1sq*m4**11 + 28*m1sq*m4**12 - 4*m4**14 - 20*m1**11*m4sq - 2*m1**12*m7 + 60*m1**8*m4**4*m7 - 100*m1**6*m4**6*m7 + 70*m1**4*m4**8*m7 - 18*m1sq*m4**10*m7 - 10*m1**10*m4sq*m7 + 13*m1**10*m7**3 - 90*m1**6*m4**4*m7**3 + 68*m1**4*m4**6*m7**3 - 11*m1sq*m4**8*m7**3 + 20*m1**8*m4sq*m7**3 - 14*m1**9*m7**4 - 3*m1**10*m7**4 - 38*m1**8*m4*m7**4 - 14*m1**6*m4**3*m7**4 + 22*m1**5*m4**4*m7**4 + 38*m1**6*m4**4*m7**4 + 14*m1**4*m4**5*m7**4 + 14*m1**3*m4**6*m7**4 - 44*m1**4*m4**6*m7**4 + 38*m1sq*m4**7*m7**4 + 53*m1sq*m4**8*m7**4 - 28*m4**10*m7**4 - 22*m1**7*m4sq*m7**4 - 16*m1**8*m4sq*m7**4 - 26*m1**8*m7**5 + 18*m1**4*m4**4*m7**5 + 26*m1sq*m4**6*m7**5 - 18*m1**6*m4sq*m7**5 + 13*m1**7*m7**6 + 7*m1**8*m7**6 + 29*m1**6*m4*m7**6 + 6*m1**4*m4**3*m7**6 - 19*m1**3*m4**4*m7**6 - 13*m1**4*m4**4*m7**6 - 35*m1sq*m4**5*m7**6 - 23*m1sq*m4**6*m7**6 + 22*m4**8*m7**6 + 6*m1**5*m4sq*m7**6 + 7*m1**6*m4sq*m7**6 + 21*m1**6*m7**7 - 27*m1sq*m4**4*m7**7 + 6*m1**4*m4sq*m7**7 - 4*m1**5*m7**8 - 5*m1**6*m7**8 - 8*m1**4*m4*m7**8 + 8*m1sq*m4**3*m7**8 + 11*m1sq*m4**4*m7**8 - 8*m4**6*m7**8 + 4*m1**3*m4sq*m7**8 + 2*m1**4*m4sq*m7**8 - 6*m1**4*m7**9 + 6*m1sq*m4sq*m7**9 + m1**4*m7**10 + m4**4*m7**10 - 2*m1sq*m4sq*m7**10 + 5*m1**11*m7sq + 21*m1**10*m4*m7sq + 4*m1**8*m4**3*m7sq - 90*m1**7*m4**4*m7sq - 35*m1**8*m4**4*m7sq - 90*m1**6*m4**5*m7sq + 52*m1**5*m4**6*m7sq + 34*m1**6*m4**6*m7sq + 84*m1**4*m4**7*m7sq - 3*m1**3*m4**8*m7sq + 18*m1**4*m4**8*m7sq - 19*m1sq*m4**9*m7sq - 43*m1sq*m4**10*m7sq + 17*m4**12*m7sq + 36*m1**9*m4sq*m7sq + 9*m1**10*m4sq*m7sq - 4*m1sq*(m1sq - m4sq)*(4*m4sq - m7sq)*(-(m4sq - m7sq)**4 + m1**6*(m4sq + m7sq) + m1sq*(3*m4**6 - 3*m4sq*m7**4 + 3*m7**6 - 4*m4**4*m7sq) - m1**4*(3*m4**4 + 3*m7**4 + m4sq*m7sq))*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m4sq)*(10*m4**10 + 8*m4**6*m7**4 - 4*m4**4*m7**6 + 4*m4sq*m7**8 - m7**10 + m1**8*(2*m4sq - m7sq) - 11*m4**8*m7sq + 2*m1**4*(18*m4**6 + m4sq*m7**4 - 3*m7**6 + 10*m4**4*m7sq) - 2*m1sq*(16*m4**8 + 7*m4**4*m7**4 + 3*m4sq*m7**6 - 2*m7**8 + 3*m4**6*m7sq) - 2*m1**6*(8*m4**4 - 2*m7**4 + m4sq*m7sq))*B0del(0,0,m4sq) + 12*m1**10*m7**4*B0del(0,0,m7sq) - 72*m1**6*m4**4*m7**4*B0del(0,0,m7sq) + 48*m1**4*m4**6*m7**4*B0del(0,0,m7sq) - 4*m1sq*m4**8*m7**4*B0del(0,0,m7sq) + 16*m1**8*m4sq*m7**4*B0del(0,0,m7sq) - 24*m1**8*m7**6*B0del(0,0,m7sq) + 16*m1**4*m4**4*m7**6*B0del(0,0,m7sq) + 28*m1sq*m4**6*m7**6*B0del(0,0,m7sq) - 20*m1**6*m4sq*m7**6*B0del(0,0,m7sq) + 20*m1**6*m7**8*B0del(0,0,m7sq) - 28*m1sq*m4**4*m7**8*B0del(0,0,m7sq) + 8*m1**4*m4sq*m7**8*B0del(0,0,m7sq) - 6*m1**4*m7**10*B0del(0,0,m7sq) + 6*m1sq*m4sq*m7**10*B0del(0,0,m7sq) - 2*m1**12*m7sq*B0del(0,0,m7sq) + 44*m1**8*m4**4*m7sq*B0del(0,0,m7sq) - 76*m1**6*m4**6*m7sq*B0del(0,0,m7sq) + 54*m1**4*m4**8*m7sq*B0del(0,0,m7sq) - 14*m1sq*m4**10*m7sq*B0del(0,0,m7sq) - 6*m1**10*m4sq*m7sq*B0del(0,0,m7sq) + 96*m1**9*m4**4*B0fin(0,0,m1) - 144*m1**7*m4**6*B0fin(0,0,m1) + 96*m1**5*m4**8*B0fin(0,0,m1) - 24*m1**3*m4**10*B0fin(0,0,m1) - 24*m1**11*m4sq*B0fin(0,0,m1) - 20*m1**9*m7**4*B0fin(0,0,m1) + 36*m1**5*m4**4*m7**4*B0fin(0,0,m1) + 36*m1**3*m4**6*m7**4*B0fin(0,0,m1) - 52*m1**7*m4sq*m7**4*B0fin(0,0,m1) + 22*m1**7*m7**6*B0fin(0,0,m1) - 42*m1**3*m4**4*m7**6*B0fin(0,0,m1) + 20*m1**5*m4sq*m7**6*B0fin(0,0,m1) - 8*m1**5*m7**8*B0fin(0,0,m1) + 8*m1**3*m4sq*m7**8*B0fin(0,0,m1) + 6*m1**11*m7sq*B0fin(0,0,m1) - 108*m1**7*m4**4*m7sq*B0fin(0,0,m1) + 24*m1**5*m4**6*m7sq*B0fin(0,0,m1) + 22*m1**3*m4**8*m7sq*B0fin(0,0,m1) + 56*m1**9*m4sq*m7sq*B0fin(0,0,m1) + 4*m1**10*m4**4*B0fin(0,0,m1sq) - 12*m1**8*m4**6*B0fin(0,0,m1sq) + 8*m1**6*m4**8*B0fin(0,0,m1sq) + 8*m1**4*m4**10*B0fin(0,0,m1sq) - 12*m1sq*m4**12*B0fin(0,0,m1sq) + 4*m4**14*B0fin(0,0,m1sq) - m1**10*m7**4*B0fin(0,0,m1sq) - 22*m1**6*m4**4*m7**4*B0fin(0,0,m1sq) - 56*m1**4*m4**6*m7**4*B0fin(0,0,m1sq) + 71*m1sq*m4**8*m7**4*B0fin(0,0,m1sq) + 28*m4**10*m7**4*B0fin(0,0,m1sq) - 20*m1**8*m4sq*m7**4*B0fin(0,0,m1sq) + 5*m1**8*m7**6*B0fin(0,0,m1sq) + 49*m1**4*m4**4*m7**6*B0fin(0,0,m1sq) - 69*m1sq*m4**6*m7**6*B0fin(0,0,m1sq) - 22*m4**8*m7**6*B0fin(0,0,m1sq) + 37*m1**6*m4sq*m7**6*B0fin(0,0,m1sq) - 7*m1**6*m7**8*B0fin(0,0,m1sq) + 21*m1sq*m4**4*m7**8*B0fin(0,0,m1sq) + 8*m4**6*m7**8*B0fin(0,0,m1sq) - 22*m1**4*m4sq*m7**8*B0fin(0,0,m1sq) + 3*m1**4*m7**10*B0fin(0,0,m1sq) - m4**4*m7**10*B0fin(0,0,m1sq) - 2*m1sq*m4sq*m7**10*B0fin(0,0,m1sq) + 3*m1**8*m4**4*m7sq*B0fin(0,0,m1sq) - 58*m1**6*m4**6*m7sq*B0fin(0,0,m1sq) + 78*m1**4*m4**8*m7sq*B0fin(0,0,m1sq) - 9*m1sq*m4**10*m7sq*B0fin(0,0,m1sq) - 17*m4**12*m7sq*B0fin(0,0,m1sq) + 3*m1**10*m4sq*m7sq*B0fin(0,0,m1sq) - 8*m1**12*m4*B0fin(0,0,m4) + 16*m1**10*m4**3*B0fin(0,0,m4) + 16*m1**8*m4**5*B0fin(0,0,m4) - 64*m1**6*m4**7*B0fin(0,0,m4) + 56*m1**4*m4**9*B0fin(0,0,m4) - 16*m1sq*m4**11*B0fin(0,0,m4) - 68*m1**8*m4*m7**4*B0fin(0,0,m4) - 36*m1**6*m4**3*m7**4*B0fin(0,0,m4) + 20*m1**4*m4**5*m7**4*B0fin(0,0,m4) + 84*m1sq*m4**7*m7**4*B0fin(0,0,m4) + 54*m1**6*m4*m7**6*B0fin(0,0,m4) + 20*m1**4*m4**3*m7**6*B0fin(0,0,m4) - 74*m1sq*m4**5*m7**6*B0fin(0,0,m4) - 16*m1**4*m4*m7**8*B0fin(0,0,m4) + 16*m1sq*m4**3*m7**8*B0fin(0,0,m4) + 38*m1**10*m4*m7sq*B0fin(0,0,m4) - 8*m1**8*m4**3*m7sq*B0fin(0,0,m4) - 108*m1**6*m4**5*m7sq*B0fin(0,0,m4) + 88*m1**4*m4**7*m7sq*B0fin(0,0,m4) - 10*m1sq*m4**9*m7sq*B0fin(0,0,m4) + 24*m1**10*m4**4*B0fin(0,0,m4sq) - 52*m1**8*m4**6*B0fin(0,0,m4sq) + 48*m1**6*m4**8*B0fin(0,0,m4sq) - 12*m1**4*m4**10*B0fin(0,0,m4sq) - 8*m1sq*m4**12*B0fin(0,0,m4sq) + 4*m4**14*B0fin(0,0,m4sq) - 4*m1**12*m4sq*B0fin(0,0,m4sq) - 8*m1**10*m7**4*B0fin(0,0,m4sq) + 40*m1**6*m4**4*m7**4*B0fin(0,0,m4sq) - 30*m1**4*m4**6*m7**4*B0fin(0,0,m4sq) - 16*m1sq*m4**8*m7**4*B0fin(0,0,m4sq) + 15*m4**10*m7**4*B0fin(0,0,m4sq) - m1**8*m4sq*m7**4*B0fin(0,0,m4sq) + 12*m1**8*m7**6*B0fin(0,0,m4sq) - 13*m1**4*m4**4*m7**6*B0fin(0,0,m4sq) + 7*m1sq*m4**6*m7**6*B0fin(0,0,m4sq) - 7*m4**8*m7**6*B0fin(0,0,m4sq) + m1**6*m4sq*m7**6*B0fin(0,0,m4sq) - 8*m1**6*m7**8*B0fin(0,0,m4sq) + 6*m1sq*m4**4*m7**8*B0fin(0,0,m4sq) + m4**6*m7**8*B0fin(0,0,m4sq) + m1**4*m4sq*m7**8*B0fin(0,0,m4sq) + 2*m1**4*m7**10*B0fin(0,0,m4sq) - 2*m1sq*m4sq*m7**10*B0fin(0,0,m4sq) + 2*m1**12*m7sq*B0fin(0,0,m4sq) - 37*m1**8*m4**4*m7sq*B0fin(0,0,m4sq) + 26*m1**6*m4**6*m7sq*B0fin(0,0,m4sq) + 16*m1**4*m4**8*m7sq*B0fin(0,0,m4sq) + m1sq*m4**10*m7sq*B0fin(0,0,m4sq) - 13*m4**12*m7sq*B0fin(0,0,m4sq) + 5*m1**10*m4sq*m7sq*B0fin(0,0,m4sq) - 16*m1**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 64*m1**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 96*m1**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 64*m1**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 18*m1**6*m4**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 34*m1**4*m4**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 50*m1sq*m4**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**8*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 20*m1**4*m4**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 26*m1sq*m4**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**6*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m4sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**8*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 48*m1**6*m4**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 88*m1**4*m4**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 44*m1sq*m4**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**10*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1**10*m4**4*B0fin(0,0,m4sq)**2 + 20*m1**8*m4**6*B0fin(0,0,m4sq)**2 - 20*m1**6*m4**8*B0fin(0,0,m4sq)**2 + 10*m1**4*m4**10*B0fin(0,0,m4sq)**2 - 2*m1sq*m4**12*B0fin(0,0,m4sq)**2 + 2*m1**12*m4sq*B0fin(0,0,m4sq)**2 - 4*m1**6*m4**4*m7**4*B0fin(0,0,m4sq)**2 + 4*m1**4*m4**6*m7**4*B0fin(0,0,m4sq)**2 - 12*m1sq*m4**8*m7**4*B0fin(0,0,m4sq)**2 + 12*m1**8*m4sq*m7**4*B0fin(0,0,m4sq)**2 + 8*m1sq*m4**6*m7**6*B0fin(0,0,m4sq)**2 - 8*m1**6*m4sq*m7**6*B0fin(0,0,m4sq)**2 - 2*m1sq*m4**4*m7**8*B0fin(0,0,m4sq)**2 + 2*m1**4*m4sq*m7**8*B0fin(0,0,m4sq)**2 + 16*m1**8*m4**4*m7sq*B0fin(0,0,m4sq)**2 - 16*m1**4*m4**8*m7sq*B0fin(0,0,m4sq)**2 + 8*m1sq*m4**10*m7sq*B0fin(0,0,m4sq)**2 - 8*m1**10*m4sq*m7sq*B0fin(0,0,m4sq)**2 - 4*m1**12*m7*B0fin(0,0,m7) + 56*m1**8*m4**4*m7*B0fin(0,0,m7) - 104*m1**6*m4**6*m7*B0fin(0,0,m7) + 76*m1**4*m4**8*m7*B0fin(0,0,m7) - 20*m1sq*m4**10*m7*B0fin(0,0,m7) - 4*m1**10*m4sq*m7*B0fin(0,0,m7) + 22*m1**10*m7**3*B0fin(0,0,m7) - 108*m1**6*m4**4*m7**3*B0fin(0,0,m7) + 56*m1**4*m4**6*m7**3*B0fin(0,0,m7) + 6*m1sq*m4**8*m7**3*B0fin(0,0,m7) + 24*m1**8*m4sq*m7**3*B0fin(0,0,m7) - 44*m1**8*m7**5*B0fin(0,0,m7) + 28*m1**4*m4**4*m7**5*B0fin(0,0,m7) + 60*m1sq*m4**6*m7**5*B0fin(0,0,m7) - 44*m1**6*m4sq*m7**5*B0fin(0,0,m7) + 38*m1**6*m7**7*B0fin(0,0,m7) - 58*m1sq*m4**4*m7**7*B0fin(0,0,m7) + 20*m1**4*m4sq*m7**7*B0fin(0,0,m7) - 12*m1**4*m7**9*B0fin(0,0,m7) + 12*m1sq*m4sq*m7**9*B0fin(0,0,m7) - 9*m1**10*m7**4*B0fin(0,0,m7sq) + 22*m1**6*m4**4*m7**4*B0fin(0,0,m7sq) + 2*m1**4*m4**6*m7**4*B0fin(0,0,m7sq) - 29*m1sq*m4**8*m7**4*B0fin(0,0,m7sq) + 13*m4**10*m7**4*B0fin(0,0,m7sq) + m1**8*m4sq*m7**4*B0fin(0,0,m7sq) + 17*m1**8*m7**6*B0fin(0,0,m7sq) - 2*m1**4*m4**4*m7**6*B0fin(0,0,m7sq) - 16*m1sq*m4**6*m7**6*B0fin(0,0,m7sq) - 15*m4**8*m7**6*B0fin(0,0,m7sq) + 16*m1**6*m4sq*m7**6*B0fin(0,0,m7sq) - 15*m1**6*m7**8*B0fin(0,0,m7sq) + 19*m1sq*m4**4*m7**8*B0fin(0,0,m7sq) + 7*m4**6*m7**8*B0fin(0,0,m7sq) - 11*m1**4*m4sq*m7**8*B0fin(0,0,m7sq) + 5*m1**4*m7**10*B0fin(0,0,m7sq) - m4**4*m7**10*B0fin(0,0,m7sq) - 4*m1sq*m4sq*m7**10*B0fin(0,0,m7sq) + 2*m1**12*m7sq*B0fin(0,0,m7sq) + 20*m1**6*m4**6*m7sq*B0fin(0,0,m7sq) - 30*m1**4*m4**8*m7sq*B0fin(0,0,m7sq) + 18*m1sq*m4**10*m7sq*B0fin(0,0,m7sq) - 4*m4**12*m7sq*B0fin(0,0,m7sq) - 6*m1**10*m4sq*m7sq*B0fin(0,0,m7sq) + 4*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 30*m1**6*m4**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 46*m1**4*m4**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 62*m1sq*m4**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 42*m1**8*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1**4*m4**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 62*m1sq*m4**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 42*m1**6*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1sq*m4**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1**4*m4sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m4sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**8*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**6*m4**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 56*m1**4*m4**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1sq*m4**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 16*m1**10*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 8*m1**10*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 42*m1**6*m4**4*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m1**4*m4**6*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 58*m1sq*m4**8*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 26*m1**8*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 12*m1**8*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 24*m1**4*m4**4*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 34*m1sq*m4**6*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 22*m1**6*m4sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 8*m1**6*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 8*m1**4*m4sq*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 2*m1**4*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m1sq*m4sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 2*m1**12*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 20*m1**8*m4**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 100*m1**6*m4**6*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 110*m1**4*m4**8*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 38*m1sq*m4**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 10*m1**10*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 32*m1**8*m4**4*T134fin(m7,m4,m1) - 48*m1**6*m4**6*T134fin(m7,m4,m1) + 32*m1**4*m4**8*T134fin(m7,m4,m1) - 8*m1sq*m4**10*T134fin(m7,m4,m1) - 8*m1**10*m4sq*T134fin(m7,m4,m1) - 12*m1**8*m7**4*T134fin(m7,m4,m1) - 92*m1**4*m4**4*m7**4*T134fin(m7,m4,m1) - 184*m1sq*m4**6*m7**4*T134fin(m7,m4,m1) - 96*m1**6*m4sq*m7**4*T134fin(m7,m4,m1) + 24*m1**6*m7**6*T134fin(m7,m4,m1) + 152*m1sq*m4**4*m7**6*T134fin(m7,m4,m1) + 112*m1**4*m4sq*m7**6*T134fin(m7,m4,m1) - 20*m1**4*m7**8*T134fin(m7,m4,m1) - 52*m1sq*m4sq*m7**8*T134fin(m7,m4,m1) + 6*m1sq*m7**10*T134fin(m7,m4,m1) + 2*m1**10*m7sq*T134fin(m7,m4,m1) + 12*m1**6*m4**4*m7sq*T134fin(m7,m4,m1) - 152*m1**4*m4**6*m7sq*T134fin(m7,m4,m1) + 98*m1sq*m4**8*m7sq*T134fin(m7,m4,m1) + 40*m1**8*m4sq*m7sq*T134fin(m7,m4,m1) + 2*m1**12*T134fin(m7,m4,m4) - 76*m1**8*m4**4*T134fin(m7,m4,m4) + 124*m1**6*m4**6*T134fin(m7,m4,m4) - 86*m1**4*m4**8*T134fin(m7,m4,m4) + 22*m1sq*m4**10*T134fin(m7,m4,m4) + 14*m1**10*m4sq*T134fin(m7,m4,m4) + 36*m1**8*m7**4*T134fin(m7,m4,m4) + 76*m1**4*m4**4*m7**4*T134fin(m7,m4,m4) + 156*m1sq*m4**6*m7**4*T134fin(m7,m4,m4) + 116*m1**6*m4sq*m7**4*T134fin(m7,m4,m4) - 44*m1**6*m7**6*T134fin(m7,m4,m4) - 124*m1sq*m4**4*m7**6*T134fin(m7,m4,m4) - 120*m1**4*m4sq*m7**6*T134fin(m7,m4,m4) + 26*m1**4*m7**8*T134fin(m7,m4,m4) + 46*m1sq*m4sq*m7**8*T134fin(m7,m4,m4) - 6*m1sq*m7**10*T134fin(m7,m4,m4) - 14*m1**10*m7sq*T134fin(m7,m4,m4) + 60*m1**6*m4**4*m7sq*T134fin(m7,m4,m4) + 104*m1**4*m4**6*m7sq*T134fin(m7,m4,m4) - 94*m1sq*m4**8*m7sq*T134fin(m7,m4,m4) - 56*m1**8*m4sq*m7sq*T134fin(m7,m4,m4))/(m1**2*(m1sq - m4sq)**4*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(4*m4sq - m7sq))
		def eval_40():
			return -0.5*(-4*m1**12*m4 + 80*m1**9*m4**4 + 12*m1**10*m4**4 + 40*m1**8*m4**5 - 120*m1**7*m4**6 - 52*m1**8*m4**6 - 80*m1**6*m4**7 + 80*m1**5*m4**8 + 88*m1**6*m4**8 + 60*m1**4*m4**9 - 20*m1**3*m4**10 - 72*m1**4*m4**10 - 16*m1sq*m4**11 + 28*m1sq*m4**12 - 4*m4**14 - 20*m1**11*m4sq - 2*m1**12*m6 + 60*m1**8*m4**4*m6 - 100*m1**6*m4**6*m6 + 70*m1**4*m4**8*m6 - 18*m1sq*m4**10*m6 - 10*m1**10*m4sq*m6 + 13*m1**10*m6**3 - 90*m1**6*m4**4*m6**3 + 68*m1**4*m4**6*m6**3 - 11*m1sq*m4**8*m6**3 + 20*m1**8*m4sq*m6**3 - 14*m1**9*m6**4 - 3*m1**10*m6**4 - 38*m1**8*m4*m6**4 - 14*m1**6*m4**3*m6**4 + 22*m1**5*m4**4*m6**4 + 38*m1**6*m4**4*m6**4 + 14*m1**4*m4**5*m6**4 + 14*m1**3*m4**6*m6**4 - 44*m1**4*m4**6*m6**4 + 38*m1sq*m4**7*m6**4 + 53*m1sq*m4**8*m6**4 - 28*m4**10*m6**4 - 22*m1**7*m4sq*m6**4 - 16*m1**8*m4sq*m6**4 - 26*m1**8*m6**5 + 18*m1**4*m4**4*m6**5 + 26*m1sq*m4**6*m6**5 - 18*m1**6*m4sq*m6**5 + 13*m1**7*m6**6 + 7*m1**8*m6**6 + 29*m1**6*m4*m6**6 + 6*m1**4*m4**3*m6**6 - 19*m1**3*m4**4*m6**6 - 13*m1**4*m4**4*m6**6 - 35*m1sq*m4**5*m6**6 - 23*m1sq*m4**6*m6**6 + 22*m4**8*m6**6 + 6*m1**5*m4sq*m6**6 + 7*m1**6*m4sq*m6**6 + 21*m1**6*m6**7 - 27*m1sq*m4**4*m6**7 + 6*m1**4*m4sq*m6**7 - 4*m1**5*m6**8 - 5*m1**6*m6**8 - 8*m1**4*m4*m6**8 + 8*m1sq*m4**3*m6**8 + 11*m1sq*m4**4*m6**8 - 8*m4**6*m6**8 + 4*m1**3*m4sq*m6**8 + 2*m1**4*m4sq*m6**8 - 6*m1**4*m6**9 + 6*m1sq*m4sq*m6**9 + m1**4*m6**10 + m4**4*m6**10 - 2*m1sq*m4sq*m6**10 + 5*m1**11*m6sq + 21*m1**10*m4*m6sq + 4*m1**8*m4**3*m6sq - 90*m1**7*m4**4*m6sq - 35*m1**8*m4**4*m6sq - 90*m1**6*m4**5*m6sq + 52*m1**5*m4**6*m6sq + 34*m1**6*m4**6*m6sq + 84*m1**4*m4**7*m6sq - 3*m1**3*m4**8*m6sq + 18*m1**4*m4**8*m6sq - 19*m1sq*m4**9*m6sq - 43*m1sq*m4**10*m6sq + 17*m4**12*m6sq + 36*m1**9*m4sq*m6sq + 9*m1**10*m4sq*m6sq - 4*m1sq*(m1sq - m4sq)*(4*m4sq - m6sq)*(-(m4sq - m6sq)**4 + m1**6*(m4sq + m6sq) + m1sq*(3*m4**6 - 3*m4sq*m6**4 + 3*m6**6 - 4*m4**4*m6sq) - m1**4*(3*m4**4 + 3*m6**4 + m4sq*m6sq))*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m4sq)*(10*m4**10 + 8*m4**6*m6**4 - 4*m4**4*m6**6 + 4*m4sq*m6**8 - m6**10 + m1**8*(2*m4sq - m6sq) - 11*m4**8*m6sq + 2*m1**4*(18*m4**6 + m4sq*m6**4 - 3*m6**6 + 10*m4**4*m6sq) - 2*m1sq*(16*m4**8 + 7*m4**4*m6**4 + 3*m4sq*m6**6 - 2*m6**8 + 3*m4**6*m6sq) - 2*m1**6*(8*m4**4 - 2*m6**4 + m4sq*m6sq))*B0del(0,0,m4sq) + 12*m1**10*m6**4*B0del(0,0,m6sq) - 72*m1**6*m4**4*m6**4*B0del(0,0,m6sq) + 48*m1**4*m4**6*m6**4*B0del(0,0,m6sq) - 4*m1sq*m4**8*m6**4*B0del(0,0,m6sq) + 16*m1**8*m4sq*m6**4*B0del(0,0,m6sq) - 24*m1**8*m6**6*B0del(0,0,m6sq) + 16*m1**4*m4**4*m6**6*B0del(0,0,m6sq) + 28*m1sq*m4**6*m6**6*B0del(0,0,m6sq) - 20*m1**6*m4sq*m6**6*B0del(0,0,m6sq) + 20*m1**6*m6**8*B0del(0,0,m6sq) - 28*m1sq*m4**4*m6**8*B0del(0,0,m6sq) + 8*m1**4*m4sq*m6**8*B0del(0,0,m6sq) - 6*m1**4*m6**10*B0del(0,0,m6sq) + 6*m1sq*m4sq*m6**10*B0del(0,0,m6sq) - 2*m1**12*m6sq*B0del(0,0,m6sq) + 44*m1**8*m4**4*m6sq*B0del(0,0,m6sq) - 76*m1**6*m4**6*m6sq*B0del(0,0,m6sq) + 54*m1**4*m4**8*m6sq*B0del(0,0,m6sq) - 14*m1sq*m4**10*m6sq*B0del(0,0,m6sq) - 6*m1**10*m4sq*m6sq*B0del(0,0,m6sq) + 96*m1**9*m4**4*B0fin(0,0,m1) - 144*m1**7*m4**6*B0fin(0,0,m1) + 96*m1**5*m4**8*B0fin(0,0,m1) - 24*m1**3*m4**10*B0fin(0,0,m1) - 24*m1**11*m4sq*B0fin(0,0,m1) - 20*m1**9*m6**4*B0fin(0,0,m1) + 36*m1**5*m4**4*m6**4*B0fin(0,0,m1) + 36*m1**3*m4**6*m6**4*B0fin(0,0,m1) - 52*m1**7*m4sq*m6**4*B0fin(0,0,m1) + 22*m1**7*m6**6*B0fin(0,0,m1) - 42*m1**3*m4**4*m6**6*B0fin(0,0,m1) + 20*m1**5*m4sq*m6**6*B0fin(0,0,m1) - 8*m1**5*m6**8*B0fin(0,0,m1) + 8*m1**3*m4sq*m6**8*B0fin(0,0,m1) + 6*m1**11*m6sq*B0fin(0,0,m1) - 108*m1**7*m4**4*m6sq*B0fin(0,0,m1) + 24*m1**5*m4**6*m6sq*B0fin(0,0,m1) + 22*m1**3*m4**8*m6sq*B0fin(0,0,m1) + 56*m1**9*m4sq*m6sq*B0fin(0,0,m1) + 4*m1**10*m4**4*B0fin(0,0,m1sq) - 12*m1**8*m4**6*B0fin(0,0,m1sq) + 8*m1**6*m4**8*B0fin(0,0,m1sq) + 8*m1**4*m4**10*B0fin(0,0,m1sq) - 12*m1sq*m4**12*B0fin(0,0,m1sq) + 4*m4**14*B0fin(0,0,m1sq) - m1**10*m6**4*B0fin(0,0,m1sq) - 22*m1**6*m4**4*m6**4*B0fin(0,0,m1sq) - 56*m1**4*m4**6*m6**4*B0fin(0,0,m1sq) + 71*m1sq*m4**8*m6**4*B0fin(0,0,m1sq) + 28*m4**10*m6**4*B0fin(0,0,m1sq) - 20*m1**8*m4sq*m6**4*B0fin(0,0,m1sq) + 5*m1**8*m6**6*B0fin(0,0,m1sq) + 49*m1**4*m4**4*m6**6*B0fin(0,0,m1sq) - 69*m1sq*m4**6*m6**6*B0fin(0,0,m1sq) - 22*m4**8*m6**6*B0fin(0,0,m1sq) + 37*m1**6*m4sq*m6**6*B0fin(0,0,m1sq) - 7*m1**6*m6**8*B0fin(0,0,m1sq) + 21*m1sq*m4**4*m6**8*B0fin(0,0,m1sq) + 8*m4**6*m6**8*B0fin(0,0,m1sq) - 22*m1**4*m4sq*m6**8*B0fin(0,0,m1sq) + 3*m1**4*m6**10*B0fin(0,0,m1sq) - m4**4*m6**10*B0fin(0,0,m1sq) - 2*m1sq*m4sq*m6**10*B0fin(0,0,m1sq) + 3*m1**8*m4**4*m6sq*B0fin(0,0,m1sq) - 58*m1**6*m4**6*m6sq*B0fin(0,0,m1sq) + 78*m1**4*m4**8*m6sq*B0fin(0,0,m1sq) - 9*m1sq*m4**10*m6sq*B0fin(0,0,m1sq) - 17*m4**12*m6sq*B0fin(0,0,m1sq) + 3*m1**10*m4sq*m6sq*B0fin(0,0,m1sq) - 8*m1**12*m4*B0fin(0,0,m4) + 16*m1**10*m4**3*B0fin(0,0,m4) + 16*m1**8*m4**5*B0fin(0,0,m4) - 64*m1**6*m4**7*B0fin(0,0,m4) + 56*m1**4*m4**9*B0fin(0,0,m4) - 16*m1sq*m4**11*B0fin(0,0,m4) - 68*m1**8*m4*m6**4*B0fin(0,0,m4) - 36*m1**6*m4**3*m6**4*B0fin(0,0,m4) + 20*m1**4*m4**5*m6**4*B0fin(0,0,m4) + 84*m1sq*m4**7*m6**4*B0fin(0,0,m4) + 54*m1**6*m4*m6**6*B0fin(0,0,m4) + 20*m1**4*m4**3*m6**6*B0fin(0,0,m4) - 74*m1sq*m4**5*m6**6*B0fin(0,0,m4) - 16*m1**4*m4*m6**8*B0fin(0,0,m4) + 16*m1sq*m4**3*m6**8*B0fin(0,0,m4) + 38*m1**10*m4*m6sq*B0fin(0,0,m4) - 8*m1**8*m4**3*m6sq*B0fin(0,0,m4) - 108*m1**6*m4**5*m6sq*B0fin(0,0,m4) + 88*m1**4*m4**7*m6sq*B0fin(0,0,m4) - 10*m1sq*m4**9*m6sq*B0fin(0,0,m4) + 24*m1**10*m4**4*B0fin(0,0,m4sq) - 52*m1**8*m4**6*B0fin(0,0,m4sq) + 48*m1**6*m4**8*B0fin(0,0,m4sq) - 12*m1**4*m4**10*B0fin(0,0,m4sq) - 8*m1sq*m4**12*B0fin(0,0,m4sq) + 4*m4**14*B0fin(0,0,m4sq) - 4*m1**12*m4sq*B0fin(0,0,m4sq) - 8*m1**10*m6**4*B0fin(0,0,m4sq) + 40*m1**6*m4**4*m6**4*B0fin(0,0,m4sq) - 30*m1**4*m4**6*m6**4*B0fin(0,0,m4sq) - 16*m1sq*m4**8*m6**4*B0fin(0,0,m4sq) + 15*m4**10*m6**4*B0fin(0,0,m4sq) - m1**8*m4sq*m6**4*B0fin(0,0,m4sq) + 12*m1**8*m6**6*B0fin(0,0,m4sq) - 13*m1**4*m4**4*m6**6*B0fin(0,0,m4sq) + 7*m1sq*m4**6*m6**6*B0fin(0,0,m4sq) - 7*m4**8*m6**6*B0fin(0,0,m4sq) + m1**6*m4sq*m6**6*B0fin(0,0,m4sq) - 8*m1**6*m6**8*B0fin(0,0,m4sq) + 6*m1sq*m4**4*m6**8*B0fin(0,0,m4sq) + m4**6*m6**8*B0fin(0,0,m4sq) + m1**4*m4sq*m6**8*B0fin(0,0,m4sq) + 2*m1**4*m6**10*B0fin(0,0,m4sq) - 2*m1sq*m4sq*m6**10*B0fin(0,0,m4sq) + 2*m1**12*m6sq*B0fin(0,0,m4sq) - 37*m1**8*m4**4*m6sq*B0fin(0,0,m4sq) + 26*m1**6*m4**6*m6sq*B0fin(0,0,m4sq) + 16*m1**4*m4**8*m6sq*B0fin(0,0,m4sq) + m1sq*m4**10*m6sq*B0fin(0,0,m4sq) - 13*m4**12*m6sq*B0fin(0,0,m4sq) + 5*m1**10*m4sq*m6sq*B0fin(0,0,m4sq) - 16*m1**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 64*m1**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 96*m1**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 64*m1**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 18*m1**6*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 34*m1**4*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 50*m1sq*m4**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**8*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 20*m1**4*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 26*m1sq*m4**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**6*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**8*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 48*m1**6*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 88*m1**4*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 44*m1sq*m4**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**10*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1**10*m4**4*B0fin(0,0,m4sq)**2 + 20*m1**8*m4**6*B0fin(0,0,m4sq)**2 - 20*m1**6*m4**8*B0fin(0,0,m4sq)**2 + 10*m1**4*m4**10*B0fin(0,0,m4sq)**2 - 2*m1sq*m4**12*B0fin(0,0,m4sq)**2 + 2*m1**12*m4sq*B0fin(0,0,m4sq)**2 - 4*m1**6*m4**4*m6**4*B0fin(0,0,m4sq)**2 + 4*m1**4*m4**6*m6**4*B0fin(0,0,m4sq)**2 - 12*m1sq*m4**8*m6**4*B0fin(0,0,m4sq)**2 + 12*m1**8*m4sq*m6**4*B0fin(0,0,m4sq)**2 + 8*m1sq*m4**6*m6**6*B0fin(0,0,m4sq)**2 - 8*m1**6*m4sq*m6**6*B0fin(0,0,m4sq)**2 - 2*m1sq*m4**4*m6**8*B0fin(0,0,m4sq)**2 + 2*m1**4*m4sq*m6**8*B0fin(0,0,m4sq)**2 + 16*m1**8*m4**4*m6sq*B0fin(0,0,m4sq)**2 - 16*m1**4*m4**8*m6sq*B0fin(0,0,m4sq)**2 + 8*m1sq*m4**10*m6sq*B0fin(0,0,m4sq)**2 - 8*m1**10*m4sq*m6sq*B0fin(0,0,m4sq)**2 - 4*m1**12*m6*B0fin(0,0,m6) + 56*m1**8*m4**4*m6*B0fin(0,0,m6) - 104*m1**6*m4**6*m6*B0fin(0,0,m6) + 76*m1**4*m4**8*m6*B0fin(0,0,m6) - 20*m1sq*m4**10*m6*B0fin(0,0,m6) - 4*m1**10*m4sq*m6*B0fin(0,0,m6) + 22*m1**10*m6**3*B0fin(0,0,m6) - 108*m1**6*m4**4*m6**3*B0fin(0,0,m6) + 56*m1**4*m4**6*m6**3*B0fin(0,0,m6) + 6*m1sq*m4**8*m6**3*B0fin(0,0,m6) + 24*m1**8*m4sq*m6**3*B0fin(0,0,m6) - 44*m1**8*m6**5*B0fin(0,0,m6) + 28*m1**4*m4**4*m6**5*B0fin(0,0,m6) + 60*m1sq*m4**6*m6**5*B0fin(0,0,m6) - 44*m1**6*m4sq*m6**5*B0fin(0,0,m6) + 38*m1**6*m6**7*B0fin(0,0,m6) - 58*m1sq*m4**4*m6**7*B0fin(0,0,m6) + 20*m1**4*m4sq*m6**7*B0fin(0,0,m6) - 12*m1**4*m6**9*B0fin(0,0,m6) + 12*m1sq*m4sq*m6**9*B0fin(0,0,m6) - 9*m1**10*m6**4*B0fin(0,0,m6sq) + 22*m1**6*m4**4*m6**4*B0fin(0,0,m6sq) + 2*m1**4*m4**6*m6**4*B0fin(0,0,m6sq) - 29*m1sq*m4**8*m6**4*B0fin(0,0,m6sq) + 13*m4**10*m6**4*B0fin(0,0,m6sq) + m1**8*m4sq*m6**4*B0fin(0,0,m6sq) + 17*m1**8*m6**6*B0fin(0,0,m6sq) - 2*m1**4*m4**4*m6**6*B0fin(0,0,m6sq) - 16*m1sq*m4**6*m6**6*B0fin(0,0,m6sq) - 15*m4**8*m6**6*B0fin(0,0,m6sq) + 16*m1**6*m4sq*m6**6*B0fin(0,0,m6sq) - 15*m1**6*m6**8*B0fin(0,0,m6sq) + 19*m1sq*m4**4*m6**8*B0fin(0,0,m6sq) + 7*m4**6*m6**8*B0fin(0,0,m6sq) - 11*m1**4*m4sq*m6**8*B0fin(0,0,m6sq) + 5*m1**4*m6**10*B0fin(0,0,m6sq) - m4**4*m6**10*B0fin(0,0,m6sq) - 4*m1sq*m4sq*m6**10*B0fin(0,0,m6sq) + 2*m1**12*m6sq*B0fin(0,0,m6sq) + 20*m1**6*m4**6*m6sq*B0fin(0,0,m6sq) - 30*m1**4*m4**8*m6sq*B0fin(0,0,m6sq) + 18*m1sq*m4**10*m6sq*B0fin(0,0,m6sq) - 4*m4**12*m6sq*B0fin(0,0,m6sq) - 6*m1**10*m4sq*m6sq*B0fin(0,0,m6sq) + 4*m1**10*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 30*m1**6*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 46*m1**4*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 62*m1sq*m4**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 42*m1**8*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 12*m1**8*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1**4*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 62*m1sq*m4**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 42*m1**6*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 12*m1**6*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 28*m1sq*m4**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 16*m1**4*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**8*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**6*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 56*m1**4*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1sq*m4**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 16*m1**10*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1**10*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 42*m1**6*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1**4*m4**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 58*m1sq*m4**8*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 26*m1**8*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 12*m1**8*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 24*m1**4*m4**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 34*m1sq*m4**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 22*m1**6*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m1**6*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 8*m1**4*m4sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**4*m6**10*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m4sq*m6**10*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**12*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 20*m1**8*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 100*m1**6*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 110*m1**4*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 38*m1sq*m4**10*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 10*m1**10*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 32*m1**8*m4**4*T134fin(m6,m4,m1) - 48*m1**6*m4**6*T134fin(m6,m4,m1) + 32*m1**4*m4**8*T134fin(m6,m4,m1) - 8*m1sq*m4**10*T134fin(m6,m4,m1) - 8*m1**10*m4sq*T134fin(m6,m4,m1) - 12*m1**8*m6**4*T134fin(m6,m4,m1) - 92*m1**4*m4**4*m6**4*T134fin(m6,m4,m1) - 184*m1sq*m4**6*m6**4*T134fin(m6,m4,m1) - 96*m1**6*m4sq*m6**4*T134fin(m6,m4,m1) + 24*m1**6*m6**6*T134fin(m6,m4,m1) + 152*m1sq*m4**4*m6**6*T134fin(m6,m4,m1) + 112*m1**4*m4sq*m6**6*T134fin(m6,m4,m1) - 20*m1**4*m6**8*T134fin(m6,m4,m1) - 52*m1sq*m4sq*m6**8*T134fin(m6,m4,m1) + 6*m1sq*m6**10*T134fin(m6,m4,m1) + 2*m1**10*m6sq*T134fin(m6,m4,m1) + 12*m1**6*m4**4*m6sq*T134fin(m6,m4,m1) - 152*m1**4*m4**6*m6sq*T134fin(m6,m4,m1) + 98*m1sq*m4**8*m6sq*T134fin(m6,m4,m1) + 40*m1**8*m4sq*m6sq*T134fin(m6,m4,m1) + 2*m1**12*T134fin(m6,m4,m4) - 76*m1**8*m4**4*T134fin(m6,m4,m4) + 124*m1**6*m4**6*T134fin(m6,m4,m4) - 86*m1**4*m4**8*T134fin(m6,m4,m4) + 22*m1sq*m4**10*T134fin(m6,m4,m4) + 14*m1**10*m4sq*T134fin(m6,m4,m4) + 36*m1**8*m6**4*T134fin(m6,m4,m4) + 76*m1**4*m4**4*m6**4*T134fin(m6,m4,m4) + 156*m1sq*m4**6*m6**4*T134fin(m6,m4,m4) + 116*m1**6*m4sq*m6**4*T134fin(m6,m4,m4) - 44*m1**6*m6**6*T134fin(m6,m4,m4) - 124*m1sq*m4**4*m6**6*T134fin(m6,m4,m4) - 120*m1**4*m4sq*m6**6*T134fin(m6,m4,m4) + 26*m1**4*m6**8*T134fin(m6,m4,m4) + 46*m1sq*m4sq*m6**8*T134fin(m6,m4,m4) - 6*m1sq*m6**10*T134fin(m6,m4,m4) - 14*m1**10*m6sq*T134fin(m6,m4,m4) + 60*m1**6*m4**4*m6sq*T134fin(m6,m4,m4) + 104*m1**4*m4**6*m6sq*T134fin(m6,m4,m4) - 94*m1sq*m4**8*m6sq*T134fin(m6,m4,m4) - 56*m1**8*m4sq*m6sq*T134fin(m6,m4,m4))/(m1**2*(m1sq - m4sq)**4*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(4*m4sq - m6sq))
		def eval_41():
			return -0.5*(-4*m1**14 - 20*m1**10*m3**3 + 60*m1**9*m3**4 - 72*m1**10*m3**4 + 80*m1**8*m3**5 - 80*m1**7*m3**6 + 88*m1**8*m3**6 - 120*m1**6*m3**7 + 40*m1**5*m3**8 - 52*m1**6*m3**8 + 80*m1**4*m3**9 + 12*m1**4*m3**10 - 20*m1sq*m3**11 - 4*m1*m3**12 - 16*m1**11*m3sq + 28*m1**12*m3sq + 70*m1**8*m3**4*m7 - 100*m1**6*m3**6*m7 + 60*m1**4*m3**8*m7 - 10*m1sq*m3**10*m7 - 2*m3**12*m7 - 18*m1**10*m3sq*m7 + 68*m1**6*m3**4*m7**3 - 90*m1**4*m3**6*m7**3 + 20*m1sq*m3**8*m7**3 + 13*m3**10*m7**3 - 11*m1**8*m3sq*m7**3 - 28*m1**10*m7**4 + 14*m1**6*m3**3*m7**4 + 14*m1**5*m3**4*m7**4 - 44*m1**6*m3**4*m7**4 + 22*m1**4*m3**5*m7**4 - 14*m1**3*m3**6*m7**4 + 38*m1**4*m3**6*m7**4 - 22*m1sq*m3**7*m7**4 - 38*m1*m3**8*m7**4 - 16*m1sq*m3**8*m7**4 - 14*m3**9*m7**4 - 3*m3**10*m7**4 + 38*m1**7*m3sq*m7**4 + 53*m1**8*m3sq*m7**4 + 18*m1**4*m3**4*m7**5 - 18*m1sq*m3**6*m7**5 - 26*m3**8*m7**5 + 26*m1**6*m3sq*m7**5 + 22*m1**8*m7**6 - 19*m1**4*m3**3*m7**6 + 6*m1**3*m3**4*m7**6 - 13*m1**4*m3**4*m7**6 + 6*m1sq*m3**5*m7**6 + 29*m1*m3**6*m7**6 + 7*m1sq*m3**6*m7**6 + 13*m3**7*m7**6 + 7*m3**8*m7**6 - 35*m1**5*m3sq*m7**6 - 23*m1**6*m3sq*m7**6 + 6*m1sq*m3**4*m7**7 + 21*m3**6*m7**7 - 27*m1**4*m3sq*m7**7 - 8*m1**6*m7**8 + 4*m1sq*m3**3*m7**8 - 8*m1*m3**4*m7**8 + 2*m1sq*m3**4*m7**8 - 4*m3**5*m7**8 - 5*m3**6*m7**8 + 8*m1**3*m3sq*m7**8 + 11*m1**4*m3sq*m7**8 - 6*m3**4*m7**9 + 6*m1sq*m3sq*m7**9 + m1**4*m7**10 + m3**4*m7**10 - 2*m1sq*m3sq*m7**10 + 17*m1**12*m7sq - 3*m1**8*m3**3*m7sq + 84*m1**7*m3**4*m7sq + 18*m1**8*m3**4*m7sq + 52*m1**6*m3**5*m7sq - 90*m1**5*m3**6*m7sq + 34*m1**6*m3**6*m7sq - 90*m1**4*m3**7*m7sq + 4*m1**3*m3**8*m7sq - 35*m1**4*m3**8*m7sq + 36*m1sq*m3**9*m7sq + 21*m1*m3**10*m7sq + 9*m1sq*m3**10*m7sq + 5*m3**11*m7sq - 19*m1**9*m3sq*m7sq - 43*m1**10*m3sq*m7sq - 2*(m1sq - m3sq)*m3sq*(10*m1**10 - (m3sq - m7sq)**4*m7sq - m1**8*(32*m3sq + 11*m7sq) - 2*m1**4*(8*m3**6 + 7*m3sq*m7**4 + 2*m7**6 - 10*m3**4*m7sq) + m1**6*(36*m3**4 + 8*m7**4 - 6*m3sq*m7sq) + 2*m1sq*(m3sq - m7sq)**2*(m3**4 + 2*m7**4 + m3sq*m7sq))*B0del(0,0,m1sq) - 4*(m1sq - m3sq)*m3sq*(4*m1sq - m7sq)*(m1**8 + m7sq*(-m3sq + m7sq)**3 - m1**6*(3*m3sq + 4*m7sq) + m1sq*(-m3**6 + 3*m3sq*m7**4 - 4*m7**6 + m3**4*m7sq) + m1**4*(3*m3**4 + 6*m7**4 + 4*m3sq*m7sq))*B0del(0,0,m3sq) + 48*m1**6*m3**4*m7**4*B0del(0,0,m7sq) - 72*m1**4*m3**6*m7**4*B0del(0,0,m7sq) + 16*m1sq*m3**8*m7**4*B0del(0,0,m7sq) + 12*m3**10*m7**4*B0del(0,0,m7sq) - 4*m1**8*m3sq*m7**4*B0del(0,0,m7sq) + 16*m1**4*m3**4*m7**6*B0del(0,0,m7sq) - 20*m1sq*m3**6*m7**6*B0del(0,0,m7sq) - 24*m3**8*m7**6*B0del(0,0,m7sq) + 28*m1**6*m3sq*m7**6*B0del(0,0,m7sq) + 8*m1sq*m3**4*m7**8*B0del(0,0,m7sq) + 20*m3**6*m7**8*B0del(0,0,m7sq) - 28*m1**4*m3sq*m7**8*B0del(0,0,m7sq) - 6*m3**4*m7**10*B0del(0,0,m7sq) + 6*m1sq*m3sq*m7**10*B0del(0,0,m7sq) + 54*m1**8*m3**4*m7sq*B0del(0,0,m7sq) - 76*m1**6*m3**6*m7sq*B0del(0,0,m7sq) + 44*m1**4*m3**8*m7sq*B0del(0,0,m7sq) - 6*m1sq*m3**10*m7sq*B0del(0,0,m7sq) - 2*m3**12*m7sq*B0del(0,0,m7sq) - 14*m1**10*m3sq*m7sq*B0del(0,0,m7sq) + 56*m1**9*m3**4*B0fin(0,0,m1) - 64*m1**7*m3**6*B0fin(0,0,m1) + 16*m1**5*m3**8*B0fin(0,0,m1) + 16*m1**3*m3**10*B0fin(0,0,m1) - 8*m1*m3**12*B0fin(0,0,m1) - 16*m1**11*m3sq*B0fin(0,0,m1) + 20*m1**5*m3**4*m7**4*B0fin(0,0,m1) - 36*m1**3*m3**6*m7**4*B0fin(0,0,m1) - 68*m1*m3**8*m7**4*B0fin(0,0,m1) + 84*m1**7*m3sq*m7**4*B0fin(0,0,m1) + 20*m1**3*m3**4*m7**6*B0fin(0,0,m1) + 54*m1*m3**6*m7**6*B0fin(0,0,m1) - 74*m1**5*m3sq*m7**6*B0fin(0,0,m1) - 16*m1*m3**4*m7**8*B0fin(0,0,m1) + 16*m1**3*m3sq*m7**8*B0fin(0,0,m1) + 88*m1**7*m3**4*m7sq*B0fin(0,0,m1) - 108*m1**5*m3**6*m7sq*B0fin(0,0,m1) - 8*m1**3*m3**8*m7sq*B0fin(0,0,m1) + 38*m1*m3**10*m7sq*B0fin(0,0,m1) - 10*m1**9*m3sq*m7sq*B0fin(0,0,m1) + 4*m1**14*B0fin(0,0,m1sq) - 12*m1**10*m3**4*B0fin(0,0,m1sq) + 48*m1**8*m3**6*B0fin(0,0,m1sq) - 52*m1**6*m3**8*B0fin(0,0,m1sq) + 24*m1**4*m3**10*B0fin(0,0,m1sq) - 4*m1sq*m3**12*B0fin(0,0,m1sq) - 8*m1**12*m3sq*B0fin(0,0,m1sq) + 15*m1**10*m7**4*B0fin(0,0,m1sq) - 30*m1**6*m3**4*m7**4*B0fin(0,0,m1sq) + 40*m1**4*m3**6*m7**4*B0fin(0,0,m1sq) - m1sq*m3**8*m7**4*B0fin(0,0,m1sq) - 8*m3**10*m7**4*B0fin(0,0,m1sq) - 16*m1**8*m3sq*m7**4*B0fin(0,0,m1sq) - 7*m1**8*m7**6*B0fin(0,0,m1sq) - 13*m1**4*m3**4*m7**6*B0fin(0,0,m1sq) + m1sq*m3**6*m7**6*B0fin(0,0,m1sq) + 12*m3**8*m7**6*B0fin(0,0,m1sq) + 7*m1**6*m3sq*m7**6*B0fin(0,0,m1sq) + m1**6*m7**8*B0fin(0,0,m1sq) + m1sq*m3**4*m7**8*B0fin(0,0,m1sq) - 8*m3**6*m7**8*B0fin(0,0,m1sq) + 6*m1**4*m3sq*m7**8*B0fin(0,0,m1sq) + 2*m3**4*m7**10*B0fin(0,0,m1sq) - 2*m1sq*m3sq*m7**10*B0fin(0,0,m1sq) - 13*m1**12*m7sq*B0fin(0,0,m1sq) + 16*m1**8*m3**4*m7sq*B0fin(0,0,m1sq) + 26*m1**6*m3**6*m7sq*B0fin(0,0,m1sq) - 37*m1**4*m3**8*m7sq*B0fin(0,0,m1sq) + 5*m1sq*m3**10*m7sq*B0fin(0,0,m1sq) + 2*m3**12*m7sq*B0fin(0,0,m1sq) + m1**10*m3sq*m7sq*B0fin(0,0,m1sq) + 10*m1**10*m3**4*B0fin(0,0,m1sq)**2 - 20*m1**8*m3**6*B0fin(0,0,m1sq)**2 + 20*m1**6*m3**8*B0fin(0,0,m1sq)**2 - 10*m1**4*m3**10*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**12*B0fin(0,0,m1sq)**2 - 2*m1**12*m3sq*B0fin(0,0,m1sq)**2 + 4*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)**2 + 12*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)**2 - 12*m1**8*m3sq*m7**4*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)**2 + 8*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)**2 - 2*m1**4*m3sq*m7**8*B0fin(0,0,m1sq)**2 - 16*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)**2 + 16*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)**2 + 8*m1**10*m3sq*m7sq*B0fin(0,0,m1sq)**2 - 24*m1**10*m3**3*B0fin(0,0,m3) + 96*m1**8*m3**5*B0fin(0,0,m3) - 144*m1**6*m3**7*B0fin(0,0,m3) + 96*m1**4*m3**9*B0fin(0,0,m3) - 24*m1sq*m3**11*B0fin(0,0,m3) + 36*m1**6*m3**3*m7**4*B0fin(0,0,m3) + 36*m1**4*m3**5*m7**4*B0fin(0,0,m3) - 52*m1sq*m3**7*m7**4*B0fin(0,0,m3) - 20*m3**9*m7**4*B0fin(0,0,m3) - 42*m1**4*m3**3*m7**6*B0fin(0,0,m3) + 20*m1sq*m3**5*m7**6*B0fin(0,0,m3) + 22*m3**7*m7**6*B0fin(0,0,m3) + 8*m1sq*m3**3*m7**8*B0fin(0,0,m3) - 8*m3**5*m7**8*B0fin(0,0,m3) + 22*m1**8*m3**3*m7sq*B0fin(0,0,m3) + 24*m1**6*m3**5*m7sq*B0fin(0,0,m3) - 108*m1**4*m3**7*m7sq*B0fin(0,0,m3) + 56*m1sq*m3**9*m7sq*B0fin(0,0,m3) + 6*m3**11*m7sq*B0fin(0,0,m3) + 4*m1**14*B0fin(0,0,m3sq) + 8*m1**10*m3**4*B0fin(0,0,m3sq) + 8*m1**8*m3**6*B0fin(0,0,m3sq) - 12*m1**6*m3**8*B0fin(0,0,m3sq) + 4*m1**4*m3**10*B0fin(0,0,m3sq) - 12*m1**12*m3sq*B0fin(0,0,m3sq) + 28*m1**10*m7**4*B0fin(0,0,m3sq) - 56*m1**6*m3**4*m7**4*B0fin(0,0,m3sq) - 22*m1**4*m3**6*m7**4*B0fin(0,0,m3sq) - 20*m1sq*m3**8*m7**4*B0fin(0,0,m3sq) - m3**10*m7**4*B0fin(0,0,m3sq) + 71*m1**8*m3sq*m7**4*B0fin(0,0,m3sq) - 22*m1**8*m7**6*B0fin(0,0,m3sq) + 49*m1**4*m3**4*m7**6*B0fin(0,0,m3sq) + 37*m1sq*m3**6*m7**6*B0fin(0,0,m3sq) + 5*m3**8*m7**6*B0fin(0,0,m3sq) - 69*m1**6*m3sq*m7**6*B0fin(0,0,m3sq) + 8*m1**6*m7**8*B0fin(0,0,m3sq) - 22*m1sq*m3**4*m7**8*B0fin(0,0,m3sq) - 7*m3**6*m7**8*B0fin(0,0,m3sq) + 21*m1**4*m3sq*m7**8*B0fin(0,0,m3sq) - m1**4*m7**10*B0fin(0,0,m3sq) + 3*m3**4*m7**10*B0fin(0,0,m3sq) - 2*m1sq*m3sq*m7**10*B0fin(0,0,m3sq) - 17*m1**12*m7sq*B0fin(0,0,m3sq) + 78*m1**8*m3**4*m7sq*B0fin(0,0,m3sq) - 58*m1**6*m3**6*m7sq*B0fin(0,0,m3sq) + 3*m1**4*m3**8*m7sq*B0fin(0,0,m3sq) + 3*m1sq*m3**10*m7sq*B0fin(0,0,m3sq) - 9*m1**10*m3sq*m7sq*B0fin(0,0,m3sq) + 64*m1**10*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 96*m1**8*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 64*m1**6*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**4*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**12*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 34*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 18*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 50*m1**8*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 20*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 26*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1**4*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 88*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 48*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 44*m1**10*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 76*m1**8*m3**4*m7*B0fin(0,0,m7) - 104*m1**6*m3**6*m7*B0fin(0,0,m7) + 56*m1**4*m3**8*m7*B0fin(0,0,m7) - 4*m1sq*m3**10*m7*B0fin(0,0,m7) - 4*m3**12*m7*B0fin(0,0,m7) - 20*m1**10*m3sq*m7*B0fin(0,0,m7) + 56*m1**6*m3**4*m7**3*B0fin(0,0,m7) - 108*m1**4*m3**6*m7**3*B0fin(0,0,m7) + 24*m1sq*m3**8*m7**3*B0fin(0,0,m7) + 22*m3**10*m7**3*B0fin(0,0,m7) + 6*m1**8*m3sq*m7**3*B0fin(0,0,m7) + 28*m1**4*m3**4*m7**5*B0fin(0,0,m7) - 44*m1sq*m3**6*m7**5*B0fin(0,0,m7) - 44*m3**8*m7**5*B0fin(0,0,m7) + 60*m1**6*m3sq*m7**5*B0fin(0,0,m7) + 20*m1sq*m3**4*m7**7*B0fin(0,0,m7) + 38*m3**6*m7**7*B0fin(0,0,m7) - 58*m1**4*m3sq*m7**7*B0fin(0,0,m7) - 12*m3**4*m7**9*B0fin(0,0,m7) + 12*m1sq*m3sq*m7**9*B0fin(0,0,m7) + 13*m1**10*m7**4*B0fin(0,0,m7sq) + 2*m1**6*m3**4*m7**4*B0fin(0,0,m7sq) + 22*m1**4*m3**6*m7**4*B0fin(0,0,m7sq) + m1sq*m3**8*m7**4*B0fin(0,0,m7sq) - 9*m3**10*m7**4*B0fin(0,0,m7sq) - 29*m1**8*m3sq*m7**4*B0fin(0,0,m7sq) - 15*m1**8*m7**6*B0fin(0,0,m7sq) - 2*m1**4*m3**4*m7**6*B0fin(0,0,m7sq) + 16*m1sq*m3**6*m7**6*B0fin(0,0,m7sq) + 17*m3**8*m7**6*B0fin(0,0,m7sq) - 16*m1**6*m3sq*m7**6*B0fin(0,0,m7sq) + 7*m1**6*m7**8*B0fin(0,0,m7sq) - 11*m1sq*m3**4*m7**8*B0fin(0,0,m7sq) - 15*m3**6*m7**8*B0fin(0,0,m7sq) + 19*m1**4*m3sq*m7**8*B0fin(0,0,m7sq) - m1**4*m7**10*B0fin(0,0,m7sq) + 5*m3**4*m7**10*B0fin(0,0,m7sq) - 4*m1sq*m3sq*m7**10*B0fin(0,0,m7sq) - 4*m1**12*m7sq*B0fin(0,0,m7sq) - 30*m1**8*m3**4*m7sq*B0fin(0,0,m7sq) + 20*m1**6*m3**6*m7sq*B0fin(0,0,m7sq) - 6*m1sq*m3**10*m7sq*B0fin(0,0,m7sq) + 2*m3**12*m7sq*B0fin(0,0,m7sq) + 18*m1**10*m3sq*m7sq*B0fin(0,0,m7sq) + 2*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 42*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 26*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 8*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 58*m1**8*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 22*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 34*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 8*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m3**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1sq*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 110*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 100*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 20*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 10*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 38*m1**10*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 46*m1**6*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 30*m1**4*m3**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 42*m1sq*m3**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m3**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 62*m1**8*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m1**4*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 42*m1sq*m3**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 12*m3**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 62*m1**6*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1sq*m3**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 12*m3**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 28*m1**4*m3sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m3**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1sq*m3sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 56*m1**8*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 24*m1**6*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 24*m1**4*m3**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 16*m1sq*m3**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 24*m1**10*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 86*m1**8*m3**4*T134fin(m7,m1,m1) + 124*m1**6*m3**6*T134fin(m7,m1,m1) - 76*m1**4*m3**8*T134fin(m7,m1,m1) + 14*m1sq*m3**10*T134fin(m7,m1,m1) + 2*m3**12*T134fin(m7,m1,m1) + 22*m1**10*m3sq*T134fin(m7,m1,m1) + 76*m1**4*m3**4*m7**4*T134fin(m7,m1,m1) + 116*m1sq*m3**6*m7**4*T134fin(m7,m1,m1) + 36*m3**8*m7**4*T134fin(m7,m1,m1) + 156*m1**6*m3sq*m7**4*T134fin(m7,m1,m1) - 120*m1sq*m3**4*m7**6*T134fin(m7,m1,m1) - 44*m3**6*m7**6*T134fin(m7,m1,m1) - 124*m1**4*m3sq*m7**6*T134fin(m7,m1,m1) + 26*m3**4*m7**8*T134fin(m7,m1,m1) + 46*m1sq*m3sq*m7**8*T134fin(m7,m1,m1) - 6*m3sq*m7**10*T134fin(m7,m1,m1) + 104*m1**6*m3**4*m7sq*T134fin(m7,m1,m1) + 60*m1**4*m3**6*m7sq*T134fin(m7,m1,m1) - 56*m1sq*m3**8*m7sq*T134fin(m7,m1,m1) - 14*m3**10*m7sq*T134fin(m7,m1,m1) - 94*m1**8*m3sq*m7sq*T134fin(m7,m1,m1) + 32*m1**8*m3**4*T134fin(m7,m3,m1) - 48*m1**6*m3**6*T134fin(m7,m3,m1) + 32*m1**4*m3**8*T134fin(m7,m3,m1) - 8*m1sq*m3**10*T134fin(m7,m3,m1) - 8*m1**10*m3sq*T134fin(m7,m3,m1) - 92*m1**4*m3**4*m7**4*T134fin(m7,m3,m1) - 96*m1sq*m3**6*m7**4*T134fin(m7,m3,m1) - 12*m3**8*m7**4*T134fin(m7,m3,m1) - 184*m1**6*m3sq*m7**4*T134fin(m7,m3,m1) + 112*m1sq*m3**4*m7**6*T134fin(m7,m3,m1) + 24*m3**6*m7**6*T134fin(m7,m3,m1) + 152*m1**4*m3sq*m7**6*T134fin(m7,m3,m1) - 20*m3**4*m7**8*T134fin(m7,m3,m1) - 52*m1sq*m3sq*m7**8*T134fin(m7,m3,m1) + 6*m3sq*m7**10*T134fin(m7,m3,m1) - 152*m1**6*m3**4*m7sq*T134fin(m7,m3,m1) + 12*m1**4*m3**6*m7sq*T134fin(m7,m3,m1) + 40*m1sq*m3**8*m7sq*T134fin(m7,m3,m1) + 2*m3**10*m7sq*T134fin(m7,m3,m1) + 98*m1**8*m3sq*m7sq*T134fin(m7,m3,m1))/(m3**2*(m1sq - m3sq)**4*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m1sq - m7sq))
		def eval_42():
			return -0.5*(-4*m1**14 - 20*m1**10*m3**3 + 60*m1**9*m3**4 - 72*m1**10*m3**4 + 80*m1**8*m3**5 - 80*m1**7*m3**6 + 88*m1**8*m3**6 - 120*m1**6*m3**7 + 40*m1**5*m3**8 - 52*m1**6*m3**8 + 80*m1**4*m3**9 + 12*m1**4*m3**10 - 20*m1sq*m3**11 - 4*m1*m3**12 - 16*m1**11*m3sq + 28*m1**12*m3sq + 70*m1**8*m3**4*m6 - 100*m1**6*m3**6*m6 + 60*m1**4*m3**8*m6 - 10*m1sq*m3**10*m6 - 2*m3**12*m6 - 18*m1**10*m3sq*m6 + 68*m1**6*m3**4*m6**3 - 90*m1**4*m3**6*m6**3 + 20*m1sq*m3**8*m6**3 + 13*m3**10*m6**3 - 11*m1**8*m3sq*m6**3 - 28*m1**10*m6**4 + 14*m1**6*m3**3*m6**4 + 14*m1**5*m3**4*m6**4 - 44*m1**6*m3**4*m6**4 + 22*m1**4*m3**5*m6**4 - 14*m1**3*m3**6*m6**4 + 38*m1**4*m3**6*m6**4 - 22*m1sq*m3**7*m6**4 - 38*m1*m3**8*m6**4 - 16*m1sq*m3**8*m6**4 - 14*m3**9*m6**4 - 3*m3**10*m6**4 + 38*m1**7*m3sq*m6**4 + 53*m1**8*m3sq*m6**4 + 18*m1**4*m3**4*m6**5 - 18*m1sq*m3**6*m6**5 - 26*m3**8*m6**5 + 26*m1**6*m3sq*m6**5 + 22*m1**8*m6**6 - 19*m1**4*m3**3*m6**6 + 6*m1**3*m3**4*m6**6 - 13*m1**4*m3**4*m6**6 + 6*m1sq*m3**5*m6**6 + 29*m1*m3**6*m6**6 + 7*m1sq*m3**6*m6**6 + 13*m3**7*m6**6 + 7*m3**8*m6**6 - 35*m1**5*m3sq*m6**6 - 23*m1**6*m3sq*m6**6 + 6*m1sq*m3**4*m6**7 + 21*m3**6*m6**7 - 27*m1**4*m3sq*m6**7 - 8*m1**6*m6**8 + 4*m1sq*m3**3*m6**8 - 8*m1*m3**4*m6**8 + 2*m1sq*m3**4*m6**8 - 4*m3**5*m6**8 - 5*m3**6*m6**8 + 8*m1**3*m3sq*m6**8 + 11*m1**4*m3sq*m6**8 - 6*m3**4*m6**9 + 6*m1sq*m3sq*m6**9 + m1**4*m6**10 + m3**4*m6**10 - 2*m1sq*m3sq*m6**10 + 17*m1**12*m6sq - 3*m1**8*m3**3*m6sq + 84*m1**7*m3**4*m6sq + 18*m1**8*m3**4*m6sq + 52*m1**6*m3**5*m6sq - 90*m1**5*m3**6*m6sq + 34*m1**6*m3**6*m6sq - 90*m1**4*m3**7*m6sq + 4*m1**3*m3**8*m6sq - 35*m1**4*m3**8*m6sq + 36*m1sq*m3**9*m6sq + 21*m1*m3**10*m6sq + 9*m1sq*m3**10*m6sq + 5*m3**11*m6sq - 19*m1**9*m3sq*m6sq - 43*m1**10*m3sq*m6sq - 2*(m1sq - m3sq)*m3sq*(10*m1**10 - (m3sq - m6sq)**4*m6sq - m1**8*(32*m3sq + 11*m6sq) - 2*m1**4*(8*m3**6 + 7*m3sq*m6**4 + 2*m6**6 - 10*m3**4*m6sq) + m1**6*(36*m3**4 + 8*m6**4 - 6*m3sq*m6sq) + 2*m1sq*(m3sq - m6sq)**2*(m3**4 + 2*m6**4 + m3sq*m6sq))*B0del(0,0,m1sq) - 4*(m1sq - m3sq)*m3sq*(4*m1sq - m6sq)*(m1**8 + m6sq*(-m3sq + m6sq)**3 - m1**6*(3*m3sq + 4*m6sq) + m1sq*(-m3**6 + 3*m3sq*m6**4 - 4*m6**6 + m3**4*m6sq) + m1**4*(3*m3**4 + 6*m6**4 + 4*m3sq*m6sq))*B0del(0,0,m3sq) + 48*m1**6*m3**4*m6**4*B0del(0,0,m6sq) - 72*m1**4*m3**6*m6**4*B0del(0,0,m6sq) + 16*m1sq*m3**8*m6**4*B0del(0,0,m6sq) + 12*m3**10*m6**4*B0del(0,0,m6sq) - 4*m1**8*m3sq*m6**4*B0del(0,0,m6sq) + 16*m1**4*m3**4*m6**6*B0del(0,0,m6sq) - 20*m1sq*m3**6*m6**6*B0del(0,0,m6sq) - 24*m3**8*m6**6*B0del(0,0,m6sq) + 28*m1**6*m3sq*m6**6*B0del(0,0,m6sq) + 8*m1sq*m3**4*m6**8*B0del(0,0,m6sq) + 20*m3**6*m6**8*B0del(0,0,m6sq) - 28*m1**4*m3sq*m6**8*B0del(0,0,m6sq) - 6*m3**4*m6**10*B0del(0,0,m6sq) + 6*m1sq*m3sq*m6**10*B0del(0,0,m6sq) + 54*m1**8*m3**4*m6sq*B0del(0,0,m6sq) - 76*m1**6*m3**6*m6sq*B0del(0,0,m6sq) + 44*m1**4*m3**8*m6sq*B0del(0,0,m6sq) - 6*m1sq*m3**10*m6sq*B0del(0,0,m6sq) - 2*m3**12*m6sq*B0del(0,0,m6sq) - 14*m1**10*m3sq*m6sq*B0del(0,0,m6sq) + 56*m1**9*m3**4*B0fin(0,0,m1) - 64*m1**7*m3**6*B0fin(0,0,m1) + 16*m1**5*m3**8*B0fin(0,0,m1) + 16*m1**3*m3**10*B0fin(0,0,m1) - 8*m1*m3**12*B0fin(0,0,m1) - 16*m1**11*m3sq*B0fin(0,0,m1) + 20*m1**5*m3**4*m6**4*B0fin(0,0,m1) - 36*m1**3*m3**6*m6**4*B0fin(0,0,m1) - 68*m1*m3**8*m6**4*B0fin(0,0,m1) + 84*m1**7*m3sq*m6**4*B0fin(0,0,m1) + 20*m1**3*m3**4*m6**6*B0fin(0,0,m1) + 54*m1*m3**6*m6**6*B0fin(0,0,m1) - 74*m1**5*m3sq*m6**6*B0fin(0,0,m1) - 16*m1*m3**4*m6**8*B0fin(0,0,m1) + 16*m1**3*m3sq*m6**8*B0fin(0,0,m1) + 88*m1**7*m3**4*m6sq*B0fin(0,0,m1) - 108*m1**5*m3**6*m6sq*B0fin(0,0,m1) - 8*m1**3*m3**8*m6sq*B0fin(0,0,m1) + 38*m1*m3**10*m6sq*B0fin(0,0,m1) - 10*m1**9*m3sq*m6sq*B0fin(0,0,m1) + 4*m1**14*B0fin(0,0,m1sq) - 12*m1**10*m3**4*B0fin(0,0,m1sq) + 48*m1**8*m3**6*B0fin(0,0,m1sq) - 52*m1**6*m3**8*B0fin(0,0,m1sq) + 24*m1**4*m3**10*B0fin(0,0,m1sq) - 4*m1sq*m3**12*B0fin(0,0,m1sq) - 8*m1**12*m3sq*B0fin(0,0,m1sq) + 15*m1**10*m6**4*B0fin(0,0,m1sq) - 30*m1**6*m3**4*m6**4*B0fin(0,0,m1sq) + 40*m1**4*m3**6*m6**4*B0fin(0,0,m1sq) - m1sq*m3**8*m6**4*B0fin(0,0,m1sq) - 8*m3**10*m6**4*B0fin(0,0,m1sq) - 16*m1**8*m3sq*m6**4*B0fin(0,0,m1sq) - 7*m1**8*m6**6*B0fin(0,0,m1sq) - 13*m1**4*m3**4*m6**6*B0fin(0,0,m1sq) + m1sq*m3**6*m6**6*B0fin(0,0,m1sq) + 12*m3**8*m6**6*B0fin(0,0,m1sq) + 7*m1**6*m3sq*m6**6*B0fin(0,0,m1sq) + m1**6*m6**8*B0fin(0,0,m1sq) + m1sq*m3**4*m6**8*B0fin(0,0,m1sq) - 8*m3**6*m6**8*B0fin(0,0,m1sq) + 6*m1**4*m3sq*m6**8*B0fin(0,0,m1sq) + 2*m3**4*m6**10*B0fin(0,0,m1sq) - 2*m1sq*m3sq*m6**10*B0fin(0,0,m1sq) - 13*m1**12*m6sq*B0fin(0,0,m1sq) + 16*m1**8*m3**4*m6sq*B0fin(0,0,m1sq) + 26*m1**6*m3**6*m6sq*B0fin(0,0,m1sq) - 37*m1**4*m3**8*m6sq*B0fin(0,0,m1sq) + 5*m1sq*m3**10*m6sq*B0fin(0,0,m1sq) + 2*m3**12*m6sq*B0fin(0,0,m1sq) + m1**10*m3sq*m6sq*B0fin(0,0,m1sq) + 10*m1**10*m3**4*B0fin(0,0,m1sq)**2 - 20*m1**8*m3**6*B0fin(0,0,m1sq)**2 + 20*m1**6*m3**8*B0fin(0,0,m1sq)**2 - 10*m1**4*m3**10*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**12*B0fin(0,0,m1sq)**2 - 2*m1**12*m3sq*B0fin(0,0,m1sq)**2 + 4*m1**6*m3**4*m6**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m3**6*m6**4*B0fin(0,0,m1sq)**2 + 12*m1sq*m3**8*m6**4*B0fin(0,0,m1sq)**2 - 12*m1**8*m3sq*m6**4*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**6*m6**6*B0fin(0,0,m1sq)**2 + 8*m1**6*m3sq*m6**6*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**4*m6**8*B0fin(0,0,m1sq)**2 - 2*m1**4*m3sq*m6**8*B0fin(0,0,m1sq)**2 - 16*m1**8*m3**4*m6sq*B0fin(0,0,m1sq)**2 + 16*m1**4*m3**8*m6sq*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**10*m6sq*B0fin(0,0,m1sq)**2 + 8*m1**10*m3sq*m6sq*B0fin(0,0,m1sq)**2 - 24*m1**10*m3**3*B0fin(0,0,m3) + 96*m1**8*m3**5*B0fin(0,0,m3) - 144*m1**6*m3**7*B0fin(0,0,m3) + 96*m1**4*m3**9*B0fin(0,0,m3) - 24*m1sq*m3**11*B0fin(0,0,m3) + 36*m1**6*m3**3*m6**4*B0fin(0,0,m3) + 36*m1**4*m3**5*m6**4*B0fin(0,0,m3) - 52*m1sq*m3**7*m6**4*B0fin(0,0,m3) - 20*m3**9*m6**4*B0fin(0,0,m3) - 42*m1**4*m3**3*m6**6*B0fin(0,0,m3) + 20*m1sq*m3**5*m6**6*B0fin(0,0,m3) + 22*m3**7*m6**6*B0fin(0,0,m3) + 8*m1sq*m3**3*m6**8*B0fin(0,0,m3) - 8*m3**5*m6**8*B0fin(0,0,m3) + 22*m1**8*m3**3*m6sq*B0fin(0,0,m3) + 24*m1**6*m3**5*m6sq*B0fin(0,0,m3) - 108*m1**4*m3**7*m6sq*B0fin(0,0,m3) + 56*m1sq*m3**9*m6sq*B0fin(0,0,m3) + 6*m3**11*m6sq*B0fin(0,0,m3) + 4*m1**14*B0fin(0,0,m3sq) + 8*m1**10*m3**4*B0fin(0,0,m3sq) + 8*m1**8*m3**6*B0fin(0,0,m3sq) - 12*m1**6*m3**8*B0fin(0,0,m3sq) + 4*m1**4*m3**10*B0fin(0,0,m3sq) - 12*m1**12*m3sq*B0fin(0,0,m3sq) + 28*m1**10*m6**4*B0fin(0,0,m3sq) - 56*m1**6*m3**4*m6**4*B0fin(0,0,m3sq) - 22*m1**4*m3**6*m6**4*B0fin(0,0,m3sq) - 20*m1sq*m3**8*m6**4*B0fin(0,0,m3sq) - m3**10*m6**4*B0fin(0,0,m3sq) + 71*m1**8*m3sq*m6**4*B0fin(0,0,m3sq) - 22*m1**8*m6**6*B0fin(0,0,m3sq) + 49*m1**4*m3**4*m6**6*B0fin(0,0,m3sq) + 37*m1sq*m3**6*m6**6*B0fin(0,0,m3sq) + 5*m3**8*m6**6*B0fin(0,0,m3sq) - 69*m1**6*m3sq*m6**6*B0fin(0,0,m3sq) + 8*m1**6*m6**8*B0fin(0,0,m3sq) - 22*m1sq*m3**4*m6**8*B0fin(0,0,m3sq) - 7*m3**6*m6**8*B0fin(0,0,m3sq) + 21*m1**4*m3sq*m6**8*B0fin(0,0,m3sq) - m1**4*m6**10*B0fin(0,0,m3sq) + 3*m3**4*m6**10*B0fin(0,0,m3sq) - 2*m1sq*m3sq*m6**10*B0fin(0,0,m3sq) - 17*m1**12*m6sq*B0fin(0,0,m3sq) + 78*m1**8*m3**4*m6sq*B0fin(0,0,m3sq) - 58*m1**6*m3**6*m6sq*B0fin(0,0,m3sq) + 3*m1**4*m3**8*m6sq*B0fin(0,0,m3sq) + 3*m1sq*m3**10*m6sq*B0fin(0,0,m3sq) - 9*m1**10*m3sq*m6sq*B0fin(0,0,m3sq) + 64*m1**10*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 96*m1**8*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 64*m1**6*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**4*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**12*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 34*m1**6*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 18*m1**4*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1sq*m3**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 50*m1**8*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 20*m1**4*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1sq*m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 26*m1**6*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1**4*m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 88*m1**8*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 48*m1**6*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m1**4*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 44*m1**10*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 76*m1**8*m3**4*m6*B0fin(0,0,m6) - 104*m1**6*m3**6*m6*B0fin(0,0,m6) + 56*m1**4*m3**8*m6*B0fin(0,0,m6) - 4*m1sq*m3**10*m6*B0fin(0,0,m6) - 4*m3**12*m6*B0fin(0,0,m6) - 20*m1**10*m3sq*m6*B0fin(0,0,m6) + 56*m1**6*m3**4*m6**3*B0fin(0,0,m6) - 108*m1**4*m3**6*m6**3*B0fin(0,0,m6) + 24*m1sq*m3**8*m6**3*B0fin(0,0,m6) + 22*m3**10*m6**3*B0fin(0,0,m6) + 6*m1**8*m3sq*m6**3*B0fin(0,0,m6) + 28*m1**4*m3**4*m6**5*B0fin(0,0,m6) - 44*m1sq*m3**6*m6**5*B0fin(0,0,m6) - 44*m3**8*m6**5*B0fin(0,0,m6) + 60*m1**6*m3sq*m6**5*B0fin(0,0,m6) + 20*m1sq*m3**4*m6**7*B0fin(0,0,m6) + 38*m3**6*m6**7*B0fin(0,0,m6) - 58*m1**4*m3sq*m6**7*B0fin(0,0,m6) - 12*m3**4*m6**9*B0fin(0,0,m6) + 12*m1sq*m3sq*m6**9*B0fin(0,0,m6) + 13*m1**10*m6**4*B0fin(0,0,m6sq) + 2*m1**6*m3**4*m6**4*B0fin(0,0,m6sq) + 22*m1**4*m3**6*m6**4*B0fin(0,0,m6sq) + m1sq*m3**8*m6**4*B0fin(0,0,m6sq) - 9*m3**10*m6**4*B0fin(0,0,m6sq) - 29*m1**8*m3sq*m6**4*B0fin(0,0,m6sq) - 15*m1**8*m6**6*B0fin(0,0,m6sq) - 2*m1**4*m3**4*m6**6*B0fin(0,0,m6sq) + 16*m1sq*m3**6*m6**6*B0fin(0,0,m6sq) + 17*m3**8*m6**6*B0fin(0,0,m6sq) - 16*m1**6*m3sq*m6**6*B0fin(0,0,m6sq) + 7*m1**6*m6**8*B0fin(0,0,m6sq) - 11*m1sq*m3**4*m6**8*B0fin(0,0,m6sq) - 15*m3**6*m6**8*B0fin(0,0,m6sq) + 19*m1**4*m3sq*m6**8*B0fin(0,0,m6sq) - m1**4*m6**10*B0fin(0,0,m6sq) + 5*m3**4*m6**10*B0fin(0,0,m6sq) - 4*m1sq*m3sq*m6**10*B0fin(0,0,m6sq) - 4*m1**12*m6sq*B0fin(0,0,m6sq) - 30*m1**8*m3**4*m6sq*B0fin(0,0,m6sq) + 20*m1**6*m3**6*m6sq*B0fin(0,0,m6sq) - 6*m1sq*m3**10*m6sq*B0fin(0,0,m6sq) + 2*m3**12*m6sq*B0fin(0,0,m6sq) + 18*m1**10*m3sq*m6sq*B0fin(0,0,m6sq) + 2*m1**6*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 42*m1**4*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 26*m1sq*m3**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m3**10*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 58*m1**8*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**4*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 22*m1sq*m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 12*m3**8*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 34*m1**6*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1sq*m3**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m3**6*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m3**4*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m3sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 110*m1**8*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 100*m1**6*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 20*m1**4*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 10*m1sq*m3**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m3**12*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 38*m1**10*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 46*m1**6*m3**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 30*m1**4*m3**6*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 42*m1sq*m3**8*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 4*m3**10*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 62*m1**8*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 8*m1**4*m3**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 42*m1sq*m3**6*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 12*m3**8*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 62*m1**6*m3sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 16*m1sq*m3**4*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 12*m3**6*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 28*m1**4*m3sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 4*m3**4*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 4*m1sq*m3sq*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 56*m1**8*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 24*m1**6*m3**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 24*m1**4*m3**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 16*m1sq*m3**10*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 24*m1**10*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 86*m1**8*m3**4*T134fin(m6,m1,m1) + 124*m1**6*m3**6*T134fin(m6,m1,m1) - 76*m1**4*m3**8*T134fin(m6,m1,m1) + 14*m1sq*m3**10*T134fin(m6,m1,m1) + 2*m3**12*T134fin(m6,m1,m1) + 22*m1**10*m3sq*T134fin(m6,m1,m1) + 76*m1**4*m3**4*m6**4*T134fin(m6,m1,m1) + 116*m1sq*m3**6*m6**4*T134fin(m6,m1,m1) + 36*m3**8*m6**4*T134fin(m6,m1,m1) + 156*m1**6*m3sq*m6**4*T134fin(m6,m1,m1) - 120*m1sq*m3**4*m6**6*T134fin(m6,m1,m1) - 44*m3**6*m6**6*T134fin(m6,m1,m1) - 124*m1**4*m3sq*m6**6*T134fin(m6,m1,m1) + 26*m3**4*m6**8*T134fin(m6,m1,m1) + 46*m1sq*m3sq*m6**8*T134fin(m6,m1,m1) - 6*m3sq*m6**10*T134fin(m6,m1,m1) + 104*m1**6*m3**4*m6sq*T134fin(m6,m1,m1) + 60*m1**4*m3**6*m6sq*T134fin(m6,m1,m1) - 56*m1sq*m3**8*m6sq*T134fin(m6,m1,m1) - 14*m3**10*m6sq*T134fin(m6,m1,m1) - 94*m1**8*m3sq*m6sq*T134fin(m6,m1,m1) + 32*m1**8*m3**4*T134fin(m6,m3,m1) - 48*m1**6*m3**6*T134fin(m6,m3,m1) + 32*m1**4*m3**8*T134fin(m6,m3,m1) - 8*m1sq*m3**10*T134fin(m6,m3,m1) - 8*m1**10*m3sq*T134fin(m6,m3,m1) - 92*m1**4*m3**4*m6**4*T134fin(m6,m3,m1) - 96*m1sq*m3**6*m6**4*T134fin(m6,m3,m1) - 12*m3**8*m6**4*T134fin(m6,m3,m1) - 184*m1**6*m3sq*m6**4*T134fin(m6,m3,m1) + 112*m1sq*m3**4*m6**6*T134fin(m6,m3,m1) + 24*m3**6*m6**6*T134fin(m6,m3,m1) + 152*m1**4*m3sq*m6**6*T134fin(m6,m3,m1) - 20*m3**4*m6**8*T134fin(m6,m3,m1) - 52*m1sq*m3sq*m6**8*T134fin(m6,m3,m1) + 6*m3sq*m6**10*T134fin(m6,m3,m1) - 152*m1**6*m3**4*m6sq*T134fin(m6,m3,m1) + 12*m1**4*m3**6*m6sq*T134fin(m6,m3,m1) + 40*m1sq*m3**8*m6sq*T134fin(m6,m3,m1) + 2*m3**10*m6sq*T134fin(m6,m3,m1) + 98*m1**8*m3sq*m6sq*T134fin(m6,m3,m1))/(m3**2*(m1sq - m3sq)**4*(m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m1sq - m6sq))
		def eval_43():
			return -0.041666666666666664*(4*m1**15 + 4*m1**14*m6 - 16*m1**12*m6**3 + 24*m1**11*m6**4 + 71*m1**12*m6**4 + 24*m1**10*m6**5 - 16*m1**9*m6**6 - 139*m1**10*m6**6 - 16*m1**8*m6**7 + 4*m1**7*m6**8 + 147*m1**8*m6**8 + 4*m1**6*m6**9 - 93*m1**6*m6**10 + 37*m1**4*m6**12 - 9*m1sq*m6**14 + m6**16 - 16*m1**13*m6sq - 15*m1**14*m6sq + 4*m1**14*m7 + 24*m1**10*m6**4*m7 - 16*m1**8*m6**6*m7 + 4*m1**6*m6**8*m7 - 16*m1**12*m6sq*m7 - 16*m1**12*m7**3 + 96*m1**8*m6**4*m7**3 - 56*m1**6*m6**6*m7**3 - 24*m1**10*m6sq*m7**3 + 24*m1**11*m7**4 + 71*m1**12*m7**4 + 24*m1**10*m6*m7**4 + 96*m1**8*m6**3*m7**4 - 216*m1**7*m6**4*m7**4 + 194*m1**8*m6**4*m7**4 - 216*m1**6*m6**5*m7**4 + 158*m1**6*m6**6*m7**4 - 5*m1**4*m6**8*m7**4 - 81*m1sq*m6**10*m7**4 + 28*m6**12*m7**4 + 96*m1**9*m6sq*m7**4 - 269*m1**10*m6sq*m7**4 + 24*m1**10*m7**5 - 216*m1**6*m6**4*m7**5 + 96*m1**8*m6sq*m7**5 - 16*m1**9*m7**6 - 139*m1**10*m7**6 - 16*m1**8*m6*m7**6 - 56*m1**6*m6**3*m7**6 + 158*m1**6*m6**4*m7**6 + 100*m1**4*m6**6*m7**6 + 45*m1sq*m6**8*m7**6 - 56*m6**10*m7**6 - 56*m1**7*m6sq*m7**6 + 180*m1**8*m6sq*m7**6 - 16*m1**8*m7**7 - 56*m1**6*m6sq*m7**7 + 4*m1**7*m7**8 + 147*m1**8*m7**8 + 4*m1**6*m6*m7**8 - 5*m1**4*m6**4*m7**8 + 45*m1sq*m6**6*m7**8 + 70*m6**8*m7**8 + 15*m1**6*m6sq*m7**8 + 4*m1**6*m7**9 - 93*m1**6*m7**10 - 81*m1sq*m6**4*m7**10 - 56*m6**6*m7**10 - 82*m1**4*m6sq*m7**10 + 37*m1**4*m7**12 + 28*m6**4*m7**12 + 45*m1sq*m6sq*m7**12 - 9*m1sq*m7**14 - 8*m6sq*m7**14 + m7**16 - 16*m1**13*m7sq - 15*m1**14*m7sq - 16*m1**12*m6*m7sq - 24*m1**10*m6**3*m7sq + 96*m1**9*m6**4*m7sq - 269*m1**10*m6**4*m7sq + 96*m1**8*m6**5*m7sq - 56*m1**7*m6**6*m7sq + 180*m1**8*m6**6*m7sq - 56*m1**6*m6**7*m7sq + 15*m1**6*m6**8*m7sq - 82*m1**4*m6**10*m7sq + 45*m1sq*m6**12*m7sq - 8*m6**14*m7sq - 24*m1**11*m6sq*m7sq + 134*m1**12*m6sq*m7sq - 48*m1**8*m6sq*m7sq*(m1**4 + m6**4 + m7**4 + 3*m6sq*m7sq - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m1sq) - 48*m1**6*m6**4*m7sq*(m1**4 + m6**4 + m7**4 + 3*m6sq*m7sq - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m6sq) + 96*m1**8*m6**4*m7**4*B0del(0,0,m7sq) - 48*m1**6*m6**6*m7**4*B0del(0,0,m7sq) - 48*m1**10*m6sq*m7**4*B0del(0,0,m7sq) - 144*m1**6*m6**4*m7**6*B0del(0,0,m7sq) + 96*m1**8*m6sq*m7**6*B0del(0,0,m7sq) - 48*m1**6*m6sq*m7**8*B0del(0,0,m7sq) + 4*m1**15*B0fin(0,0,m1) + 24*m1**11*m6**4*B0fin(0,0,m1) - 16*m1**9*m6**6*B0fin(0,0,m1) + 4*m1**7*m6**8*B0fin(0,0,m1) - 16*m1**13*m6sq*B0fin(0,0,m1) + 24*m1**11*m7**4*B0fin(0,0,m1) + 120*m1**7*m6**4*m7**4*B0fin(0,0,m1) - 144*m1**9*m6sq*m7**4*B0fin(0,0,m1) - 16*m1**9*m7**6*B0fin(0,0,m1) + 64*m1**7*m6sq*m7**6*B0fin(0,0,m1) + 4*m1**7*m7**8*B0fin(0,0,m1) - 16*m1**13*m7sq*B0fin(0,0,m1) - 144*m1**9*m6**4*m7sq*B0fin(0,0,m1) + 64*m1**7*m6**6*m7sq*B0fin(0,0,m1) + 96*m1**11*m6sq*m7sq*B0fin(0,0,m1) + 52*m1**12*m6**4*B0fin(0,0,m1sq) - 116*m1**10*m6**6*B0fin(0,0,m1sq) + 146*m1**8*m6**8*B0fin(0,0,m1sq) - 114*m1**6*m6**10*B0fin(0,0,m1sq) + 56*m1**4*m6**12*B0fin(0,0,m1sq) - 16*m1sq*m6**14*B0fin(0,0,m1sq) + 2*m6**16*B0fin(0,0,m1sq) - 10*m1**14*m6sq*B0fin(0,0,m1sq) + 52*m1**12*m7**4*B0fin(0,0,m1sq) - 76*m1**8*m6**4*m7**4*B0fin(0,0,m1sq) + 88*m1**6*m6**6*m7**4*B0fin(0,0,m1sq) + 72*m1**4*m6**8*m7**4*B0fin(0,0,m1sq) - 144*m1sq*m6**10*m7**4*B0fin(0,0,m1sq) + 56*m6**12*m7**4*B0fin(0,0,m1sq) - 96*m1**10*m6sq*m7**4*B0fin(0,0,m1sq) - 116*m1**10*m7**6*B0fin(0,0,m1sq) + 88*m1**6*m6**4*m7**6*B0fin(0,0,m1sq) + 32*m1**4*m6**6*m7**6*B0fin(0,0,m1sq) + 80*m1sq*m6**8*m7**6*B0fin(0,0,m1sq) - 112*m6**10*m7**6*B0fin(0,0,m1sq) + 140*m1**8*m6sq*m7**6*B0fin(0,0,m1sq) + 146*m1**8*m7**8*B0fin(0,0,m1sq) + 72*m1**4*m6**4*m7**8*B0fin(0,0,m1sq) + 80*m1sq*m6**6*m7**8*B0fin(0,0,m1sq) + 140*m6**8*m7**8*B0fin(0,0,m1sq) + 26*m1**6*m6sq*m7**8*B0fin(0,0,m1sq) - 114*m1**6*m7**10*B0fin(0,0,m1sq) - 144*m1sq*m6**4*m7**10*B0fin(0,0,m1sq) - 112*m6**6*m7**10*B0fin(0,0,m1sq) - 144*m1**4*m6sq*m7**10*B0fin(0,0,m1sq) + 56*m1**4*m7**12*B0fin(0,0,m1sq) + 56*m6**4*m7**12*B0fin(0,0,m1sq) + 80*m1sq*m6sq*m7**12*B0fin(0,0,m1sq) - 16*m1sq*m7**14*B0fin(0,0,m1sq) - 16*m6sq*m7**14*B0fin(0,0,m1sq) + 2*m7**16*B0fin(0,0,m1sq) - 10*m1**14*m7sq*B0fin(0,0,m1sq) - 96*m1**10*m6**4*m7sq*B0fin(0,0,m1sq) + 140*m1**8*m6**6*m7sq*B0fin(0,0,m1sq) + 26*m1**6*m6**8*m7sq*B0fin(0,0,m1sq) - 144*m1**4*m6**10*m7sq*B0fin(0,0,m1sq) + 80*m1sq*m6**12*m7sq*B0fin(0,0,m1sq) - 16*m6**14*m7sq*B0fin(0,0,m1sq) + 20*m1**12*m6sq*m7sq*B0fin(0,0,m1sq) + 4*m1**14*m6*B0fin(0,0,m6) - 16*m1**12*m6**3*B0fin(0,0,m6) + 24*m1**10*m6**5*B0fin(0,0,m6) - 16*m1**8*m6**7*B0fin(0,0,m6) + 4*m1**6*m6**9*B0fin(0,0,m6) + 24*m1**10*m6*m7**4*B0fin(0,0,m6) - 144*m1**8*m6**3*m7**4*B0fin(0,0,m6) + 120*m1**6*m6**5*m7**4*B0fin(0,0,m6) - 16*m1**8*m6*m7**6*B0fin(0,0,m6) + 64*m1**6*m6**3*m7**6*B0fin(0,0,m6) + 4*m1**6*m6*m7**8*B0fin(0,0,m6) - 16*m1**12*m6*m7sq*B0fin(0,0,m6) + 96*m1**10*m6**3*m7sq*B0fin(0,0,m6) - 144*m1**8*m6**5*m7sq*B0fin(0,0,m6) + 64*m1**6*m6**7*m7sq*B0fin(0,0,m6) + 52*m1**12*m6**4*B0fin(0,0,m6sq) - 116*m1**10*m6**6*B0fin(0,0,m6sq) + 146*m1**8*m6**8*B0fin(0,0,m6sq) - 114*m1**6*m6**10*B0fin(0,0,m6sq) + 56*m1**4*m6**12*B0fin(0,0,m6sq) - 16*m1sq*m6**14*B0fin(0,0,m6sq) + 2*m6**16*B0fin(0,0,m6sq) - 10*m1**14*m6sq*B0fin(0,0,m6sq) + 218*m1**8*m6**4*m7**4*B0fin(0,0,m6sq) - 232*m1**6*m6**6*m7**4*B0fin(0,0,m6sq) - 60*m1**4*m6**8*m7**4*B0fin(0,0,m6sq) - 70*m1sq*m6**10*m7**4*B0fin(0,0,m6sq) + 42*m6**12*m7**4*B0fin(0,0,m6sq) + 54*m1**10*m6sq*m7**4*B0fin(0,0,m6sq) - 168*m1**6*m6**4*m7**6*B0fin(0,0,m6sq) + 16*m1**4*m6**6*m7**6*B0fin(0,0,m6sq) - 20*m1sq*m6**8*m7**6*B0fin(0,0,m6sq) - 70*m6**10*m7**6*B0fin(0,0,m6sq) - 158*m1**8*m6sq*m7**6*B0fin(0,0,m6sq) + 132*m1**4*m6**4*m7**8*B0fin(0,0,m6sq) + 100*m1sq*m6**6*m7**8*B0fin(0,0,m6sq) + 70*m6**8*m7**8*B0fin(0,0,m6sq) + 162*m1**6*m6sq*m7**8*B0fin(0,0,m6sq) - 74*m1sq*m6**4*m7**10*B0fin(0,0,m6sq) - 42*m6**6*m7**10*B0fin(0,0,m6sq) - 78*m1**4*m6sq*m7**10*B0fin(0,0,m6sq) + 14*m6**4*m7**12*B0fin(0,0,m6sq) + 18*m1sq*m6sq*m7**12*B0fin(0,0,m6sq) - 2*m6sq*m7**14*B0fin(0,0,m6sq) - 174*m1**10*m6**4*m7sq*B0fin(0,0,m6sq) + 322*m1**8*m6**6*m7sq*B0fin(0,0,m6sq) - 144*m1**6*m6**8*m7sq*B0fin(0,0,m6sq) - 66*m1**4*m6**10*m7sq*B0fin(0,0,m6sq) + 62*m1sq*m6**12*m7sq*B0fin(0,0,m6sq) - 14*m6**14*m7sq*B0fin(0,0,m6sq) + 14*m1**12*m6sq*m7sq*B0fin(0,0,m6sq) - 72*m1**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 48*m1**6*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 72*m1**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 48*m1**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 72*m1**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**8*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 24*m1**6*m6**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 24*m1**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**14*m7*B0fin(0,0,m7) + 24*m1**10*m6**4*m7*B0fin(0,0,m7) - 16*m1**8*m6**6*m7*B0fin(0,0,m7) + 4*m1**6*m6**8*m7*B0fin(0,0,m7) - 16*m1**12*m6sq*m7*B0fin(0,0,m7) - 16*m1**12*m7**3*B0fin(0,0,m7) - 144*m1**8*m6**4*m7**3*B0fin(0,0,m7) + 64*m1**6*m6**6*m7**3*B0fin(0,0,m7) + 96*m1**10*m6sq*m7**3*B0fin(0,0,m7) + 24*m1**10*m7**5*B0fin(0,0,m7) + 120*m1**6*m6**4*m7**5*B0fin(0,0,m7) - 144*m1**8*m6sq*m7**5*B0fin(0,0,m7) - 16*m1**8*m7**7*B0fin(0,0,m7) + 64*m1**6*m6sq*m7**7*B0fin(0,0,m7) + 4*m1**6*m7**9*B0fin(0,0,m7) + 52*m1**12*m7**4*B0fin(0,0,m7sq) + 218*m1**8*m6**4*m7**4*B0fin(0,0,m7sq) - 168*m1**6*m6**6*m7**4*B0fin(0,0,m7sq) + 132*m1**4*m6**8*m7**4*B0fin(0,0,m7sq) - 74*m1sq*m6**10*m7**4*B0fin(0,0,m7sq) + 14*m6**12*m7**4*B0fin(0,0,m7sq) - 174*m1**10*m6sq*m7**4*B0fin(0,0,m7sq) - 116*m1**10*m7**6*B0fin(0,0,m7sq) - 232*m1**6*m6**4*m7**6*B0fin(0,0,m7sq) + 16*m1**4*m6**6*m7**6*B0fin(0,0,m7sq) + 100*m1sq*m6**8*m7**6*B0fin(0,0,m7sq) - 42*m6**10*m7**6*B0fin(0,0,m7sq) + 322*m1**8*m6sq*m7**6*B0fin(0,0,m7sq) + 146*m1**8*m7**8*B0fin(0,0,m7sq) - 60*m1**4*m6**4*m7**8*B0fin(0,0,m7sq) - 20*m1sq*m6**6*m7**8*B0fin(0,0,m7sq) + 70*m6**8*m7**8*B0fin(0,0,m7sq) - 144*m1**6*m6sq*m7**8*B0fin(0,0,m7sq) - 114*m1**6*m7**10*B0fin(0,0,m7sq) - 70*m1sq*m6**4*m7**10*B0fin(0,0,m7sq) - 70*m6**6*m7**10*B0fin(0,0,m7sq) - 66*m1**4*m6sq*m7**10*B0fin(0,0,m7sq) + 56*m1**4*m7**12*B0fin(0,0,m7sq) + 42*m6**4*m7**12*B0fin(0,0,m7sq) + 62*m1sq*m6sq*m7**12*B0fin(0,0,m7sq) - 16*m1sq*m7**14*B0fin(0,0,m7sq) - 14*m6sq*m7**14*B0fin(0,0,m7sq) + 2*m7**16*B0fin(0,0,m7sq) - 10*m1**14*m7sq*B0fin(0,0,m7sq) + 54*m1**10*m6**4*m7sq*B0fin(0,0,m7sq) - 158*m1**8*m6**6*m7sq*B0fin(0,0,m7sq) + 162*m1**6*m6**8*m7sq*B0fin(0,0,m7sq) - 78*m1**4*m6**10*m7sq*B0fin(0,0,m7sq) + 18*m1sq*m6**12*m7sq*B0fin(0,0,m7sq) - 2*m6**14*m7sq*B0fin(0,0,m7sq) + 14*m1**12*m6sq*m7sq*B0fin(0,0,m7sq) - 72*m1**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 48*m1**6*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 48*m1**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m1**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 72*m1**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 72*m1**8*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**6*m6**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m1**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 168*m1**8*m6**4*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 96*m1**6*m6**6*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 72*m1**10*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 96*m1**6*m6**4*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 72*m1**8*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 24*m1**6*m6sq*m7**8*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 72*m1**10*m6**4*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 72*m1**8*m6**6*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 24*m1**6*m6**8*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 24*m1**12*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 144*m1**6*m6**4*m7**4*T134fin(m7,m6,m1) - 96*m1**8*m6sq*m7**4*T134fin(m7,m6,m1) + 48*m1**6*m6sq*m7**6*T134fin(m7,m6,m1) - 96*m1**8*m6**4*m7sq*T134fin(m7,m6,m1) + 48*m1**6*m6**6*m7sq*T134fin(m7,m6,m1) + 48*m1**10*m6sq*m7sq*T134fin(m7,m6,m1))/(m1**6*(m1 + m6 - m7)**4*(m1 - m6 + m7)**4*(-m1 + m6 + m7)**4*(m1 + m6 + m7)**4)
		def eval_44():
			return ((m2sq + m4sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m4sq*(m2sq - m4sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m4sq*B0del(0,0,m4sq))/((m2sq - m4sq)**2*(-m1sq + m4sq)*(4*m4sq - m7sq)) + (m4sq*(m2sq - m4sq + m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m7sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m7sq)**2 - 2*m4**4*m7sq + 2*m2**4*(m4sq + m7sq) + m1sq*(m2**4 - 7*m4**4 + m7**4 - 2*m2sq*(m4sq + m7sq)))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m2sq + m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m7sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m7sq)**2 - 2*m4**4*m7sq + 2*m2**4*(m4sq + m7sq) + m1sq*(m2**4 - 7*m4**4 + m7**4 - 2*m2sq*(m4sq + m7sq)))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m2sq + m4sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m7sq)) - (m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m7sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m7sq)**2 - 2*m4**4*m7sq + 2*m2**4*(m4sq + m7sq) + m1sq*(m2**4 - 7*m4**4 + m7**4 - 2*m2sq*(m4sq + m7sq)))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m2sq - m4sq)**2*(-m1sq + m4sq)*(4*m4sq - m7sq)) + ((m2sq - m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*m4sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(m2sq - m4sq)**3*(4*m4sq - m7sq)) - (m1sq*m2sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) - (m4**4*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) + (m1sq*m4sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) - ((m2sq + m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m7sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m7sq)**2 - 2*m4**4*m7sq + 2*m2**4*(m4sq + m7sq) + m1sq*(m2**4 - 7*m4**4 + m7**4 - 2*m2sq*(m4sq + m7sq)))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m2sq + m4sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m7sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m7sq)**2 - 2*m4**4*m7sq + 2*m2**4*(m4sq + m7sq) + m1sq*(m2**4 - 7*m4**4 + m7**4 - 2*m2sq*(m4sq + m7sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + T134fin(m7,m4,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)**2) + (2*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m4sq)**3) - (m2sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**3) + (m4sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**3) + ((m2sq - m4sq - m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m4sq)**2*(4*m4sq*m7sq - (-m2sq + m4sq + m7sq)**2)) + (m1sq*m2sq*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) - (11*m4**4*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) + (7*m1sq*m4sq*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) + (3*m2sq*m4sq*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) - (2*m1sq*m7sq*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) - (m2sq*m7sq*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq)) + (3*m4sq*m7sq*T134fin(m7,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m7sq))
		def eval_45():
			return ((m2sq + m4sq - m6sq)*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m4sq*(m2sq - m4sq + m6sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m4sq*B0del(0,0,m4sq))/((m2sq - m4sq)**2*(-m1sq + m4sq)*(4*m4sq - m6sq)) + (m4sq*(m2sq - m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m6sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m6sq)**2 - 2*m4**4*m6sq + 2*m2**4*(m4sq + m6sq) + m1sq*(m2**4 - 7*m4**4 + m6**4 - 2*m2sq*(m4sq + m6sq)))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m2sq + m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m6sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m6sq)**2 - 2*m4**4*m6sq + 2*m2**4*(m4sq + m6sq) + m1sq*(m2**4 - 7*m4**4 + m6**4 - 2*m2sq*(m4sq + m6sq)))*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - ((m2sq + m4sq - m6sq)*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m4sq*(m2sq - m4sq + m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m6sq)) - (m4sq*(m2sq - m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m6sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m6sq)**2 - 2*m4**4*m6sq + 2*m2**4*(m4sq + m6sq) + m1sq*(m2**4 - 7*m4**4 + m6**4 - 2*m2sq*(m4sq + m6sq)))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m4sq*(m2sq - m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m2sq - m4sq)**2*(-m1sq + m4sq)*(4*m4sq - m6sq)) + ((m2sq - m4sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m2sq*m4sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m4sq)**2*(m2sq - m4sq)**3*(4*m4sq - m6sq)) - (m1sq*m2sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) - (m4**4*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) + (m1sq*m4sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) - ((m2sq + m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m6sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m6sq)**2 - 2*m4**4*m6sq + 2*m2**4*(m4sq + m6sq) + m1sq*(m2**4 - 7*m4**4 + m6**4 - 2*m2sq*(m4sq + m6sq)))*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m2sq + m4sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m6sq*(-m2**6 + 8*m4**6 - m2sq*(m4sq - m6sq)**2 - 2*m4**4*m6sq + 2*m2**4*(m4sq + m6sq) + m1sq*(m2**4 - 7*m4**4 + m6**4 - 2*m2sq*(m4sq + m6sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m4sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + T134fin(m6,m4,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)**2) + (2*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m4sq)**3) - (m2sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**3) + (m4sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**3) + ((m2sq - m4sq - m6sq)*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m4sq)**2*(4*m4sq*m6sq - (-m2sq + m4sq + m6sq)**2)) + (m1sq*m2sq*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) - (11*m4**4*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) + (7*m1sq*m4sq*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) + (3*m2sq*m4sq*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) - (2*m1sq*m6sq*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) - (m2sq*m6sq*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq)) + (3*m4sq*m6sq*T134fin(m6,m4,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(4*m4sq - m6sq))
		def eval_46():
			return (-((-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m4sq - m7sq)*B0del(0,0,m2sq)) - 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*B0del(0,0,m2sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m7sq)**2) + 2*m2sq*m4sq*(m4sq + m7sq) - m2**4*(m4sq + 2*m7sq) - (m4**3 - m4*m7sq)**2)*B0del(0,0,m2sq) - (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m4sq - m7sq)*B0del(0,0,m4sq) + (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq + m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq + m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m7sq)**2) + 2*m2sq*m4sq*(m4sq + m7sq) - m2**4*(m4sq + 2*m7sq) - (m4**3 - m4*m7sq)**2)*B0del(0,0,m7sq) + (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m4sq - m7sq)*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m7sq)**2) + 2*m2sq*m4sq*(m4sq + m7sq) - m2**4*(m4sq + 2*m7sq) - (m4**3 - m4*m7sq)**2)*B0fin(0,0,m2sq) - (m1sq - m2sq)*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*B0fin(0,0,m2sq)**2 + (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m4sq - m7sq)*B0fin(0,0,m4sq) - (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) - (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m4sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m2**4*(m1sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + 2*m1sq*m2sq*(m1sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m1sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + 2*m2sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - m2**4*(m1**3 - m1*m2sq)**2*(4*m2sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 2*(-(m1sq*m2) + m2**3)**2*m4**4*(4*m2sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + m2**4*(m1sq - m2sq)**2*m4sq*(4*m2sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)**2*m4**4*(4*m2sq - m7sq)*(m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)**2*m4sq*(4*m2sq - m7sq)*(m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)**2*m2sq*(4*m2sq - m7sq)*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m7sq)*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq + m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m7sq)**2) + 2*m2sq*m4sq*(m4sq + m7sq) - m2**4*(m4sq + 2*m7sq) - (m4**3 - m4*m7sq)**2)*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m7sq)**2) + 2*m2sq*m4sq*(m4sq + m7sq) - m2**4*(m4sq + 2*m7sq) - (m4**3 - m4*m7sq)**2)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m2sq - m4sq)**3*(4*m2sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m1) - 11*m2**4*(m1sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) + 7*m1sq*m2sq*(m1sq - m4sq)**2*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) + m1sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) + 3*m2sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) - 2*m1sq*(m1sq - m4sq)**2*m7sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) + 3*m2sq*(m1sq - m4sq)**2*m7sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) - (m1sq - m4sq)**2*m4sq*m7sq*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*T134fin(m7,m2,m2) - m2**6*(m1sq - m2sq)**2*(4*m2sq - m7sq)*T134fin(m7,m4,m2) - m2**4*(m1**3 - m1*m2sq)**2*(4*m2sq - m7sq)*T134fin(m7,m4,m2) - 5*(-(m1sq*m2) + m2**3)**2*m4**4*(4*m2sq - m7sq)*T134fin(m7,m4,m2) + 4*m2**4*(m1sq - m2sq)**2*m4sq*(4*m2sq - m7sq)*T134fin(m7,m4,m2) + 2*m1sq*(m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m7sq)*T134fin(m7,m4,m2) - (-(m1sq*m2) + m2**3)**2*m7**4*(4*m2sq - m7sq)*T134fin(m7,m4,m2) + 2*(m1sq - m2sq)**2*m4**4*(4*m2sq - m7sq)*(m4sq - m7sq)*T134fin(m7,m4,m2) - m1sq*(m1sq - m2sq)**2*m4sq*(4*m2sq - m7sq)*(m4sq - m7sq)*T134fin(m7,m4,m2) + 2*m2**4*(m1sq - m2sq)**2*(4*m2sq - m7sq)*m7sq*T134fin(m7,m4,m2) + 5*m1sq*(m1sq - m2sq)**2*m2sq*(4*m2sq - m7sq)*m7sq*T134fin(m7,m4,m2) - 5*(m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m7sq)*m7sq*T134fin(m7,m4,m2) + 2*m1sq*(m1sq - m2sq)**2*(4*m2sq - m7sq)*(m4sq - m7sq)*m7sq*T134fin(m7,m4,m2) - 3*(m1sq - m2sq)**2*m4sq*(4*m2sq - m7sq)*(m4sq - m7sq)*m7sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m1sq - m4sq)**2*(m2sq - m4sq)**3*(4*m2sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)))
		def eval_47():
			return (-((-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq - m4sq - m6sq)*B0del(0,0,m2sq)) - 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*B0del(0,0,m2sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m6sq)**2) + 2*m2sq*m4sq*(m4sq + m6sq) - m2**4*(m4sq + 2*m6sq) - (m4**3 - m4*m6sq)**2)*B0del(0,0,m2sq) - (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq - m4sq - m6sq)*B0del(0,0,m4sq) + (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq + m4sq - m6sq)*m6sq*B0del(0,0,m4sq) + (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq + m4sq - m6sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m6sq)**2) + 2*m2sq*m4sq*(m4sq + m6sq) - m2**4*(m4sq + 2*m6sq) - (m4**3 - m4*m6sq)**2)*B0del(0,0,m6sq) + (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq - m4sq - m6sq)*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*B0fin(0,0,m2sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m6sq)**2) + 2*m2sq*m4sq*(m4sq + m6sq) - m2**4*(m4sq + 2*m6sq) - (m4**3 - m4*m6sq)**2)*B0fin(0,0,m2sq) - (m1sq - m2sq)*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*B0fin(0,0,m2sq)**2 + (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq - m4sq - m6sq)*B0fin(0,0,m4sq) - (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq + m4sq - m6sq)*m6sq*B0fin(0,0,m4sq) - (-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq - m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m2**4*(m1sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) + 2*m1sq*m2sq*(m1sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) - 2*m1sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) + 2*m2sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) - m2**4*(m1**3 - m1*m2sq)**2*(4*m2sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 2*(-(m1sq*m2) + m2**3)**2*m4**4*(4*m2sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m2**4*(m1sq - m2sq)**2*m4sq*(4*m2sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 2*m1sq*(m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)**2*m4**4*(4*m2sq - m6sq)*(m4sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)**2*m4sq*(4*m2sq - m6sq)*(m4sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)**2*m2sq*(4*m2sq - m6sq)*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m6sq)*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq + m4sq - m6sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m6sq)**2) + 2*m2sq*m4sq*(m4sq + m6sq) - m2**4*(m4sq + 2*m6sq) - (m4**3 - m4*m6sq)**2)*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(8*m2**6 + m1sq*(-7*m2**4 - 2*m2sq*m4sq + (m4sq - m6sq)**2) + 2*m2sq*m4sq*(m4sq + m6sq) - m2**4*(m4sq + 2*m6sq) - (m4**3 - m4*m6sq)**2)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + (m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m6sq)*(m2sq + m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + (m2sq - m4sq)**3*(4*m2sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m1) - 11*m2**4*(m1sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) + 7*m1sq*m2sq*(m1sq - m4sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) + m1sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) + 3*m2sq*(m1sq - m4sq)**2*m4sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) - 2*m1sq*(m1sq - m4sq)**2*m6sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) + 3*m2sq*(m1sq - m4sq)**2*m6sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) - (m1sq - m4sq)**2*m4sq*m6sq*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*T134fin(m6,m2,m2) - m2**6*(m1sq - m2sq)**2*(4*m2sq - m6sq)*T134fin(m6,m4,m2) - m2**4*(m1**3 - m1*m2sq)**2*(4*m2sq - m6sq)*T134fin(m6,m4,m2) - 5*(-(m1sq*m2) + m2**3)**2*m4**4*(4*m2sq - m6sq)*T134fin(m6,m4,m2) + 4*m2**4*(m1sq - m2sq)**2*m4sq*(4*m2sq - m6sq)*T134fin(m6,m4,m2) + 2*m1sq*(m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m6sq)*T134fin(m6,m4,m2) - (-(m1sq*m2) + m2**3)**2*m6**4*(4*m2sq - m6sq)*T134fin(m6,m4,m2) + 2*(m1sq - m2sq)**2*m4**4*(4*m2sq - m6sq)*(m4sq - m6sq)*T134fin(m6,m4,m2) - m1sq*(m1sq - m2sq)**2*m4sq*(4*m2sq - m6sq)*(m4sq - m6sq)*T134fin(m6,m4,m2) + 2*m2**4*(m1sq - m2sq)**2*(4*m2sq - m6sq)*m6sq*T134fin(m6,m4,m2) + 5*m1sq*(m1sq - m2sq)**2*m2sq*(4*m2sq - m6sq)*m6sq*T134fin(m6,m4,m2) - 5*(m1sq - m2sq)**2*m2sq*m4sq*(4*m2sq - m6sq)*m6sq*T134fin(m6,m4,m2) + 2*m1sq*(m1sq - m2sq)**2*(4*m2sq - m6sq)*(m4sq - m6sq)*m6sq*T134fin(m6,m4,m2) - 3*(m1sq - m2sq)**2*m4sq*(4*m2sq - m6sq)*(m4sq - m6sq)*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m1sq - m4sq)**2*(m2sq - m4sq)**3*(4*m2sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq)))
		def eval_48():
			return ((10*m2**4*(-m1sq + m2sq)**3*m6**4)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*(m1sq - m2sq)**3*m2sq*m6**6)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*m2**6*(m1sq - m2sq)**3*m6sq)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (10*m2**4*(-m1sq + m2sq)**3*m7**4)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (32*(m1sq - m2sq)**3*m6**4*m7**4)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*(m1sq - m2sq)**3*m2sq*m6sq*m7**4)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*(m1sq - m2sq)**3*m2sq*m7**6)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (21*(-(m1sq*m2) + m2**3)**2*m6**4)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (9*m2**4*(m1sq - m2sq)**2*m6sq)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (21*(-(m1sq*m2) + m2**3)**2*m7**4)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (6*m2**4*(m1sq - m2sq)**2)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) - (6*(m1sq - m2sq)**2*m6**4)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) - (6*(m1sq - m2sq)**2*m7**4)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) - (6*(m1sq - m2sq)**3*m6**6*(m6sq - m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)**3*m7**6*(m6sq - m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (15*(m1sq - m2sq)**2*m6**4*(m6sq - m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)**3*m6**4*(m6sq - m7sq)**3)/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + ((-m1sq + m2sq)**3*m7**4*(m6sq - m7sq)**3)/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (3*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)**3)/(m2**2*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**6*(m1sq - m2sq)**3*m7sq)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*(m1sq - m2sq)**3*m2sq*m6**4*m7sq)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (24*m2**4*(-m1sq + m2sq)**3*m6sq*m7sq)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (9*m2**4*(m1sq - m2sq)**2*m7sq)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (6*(m1sq - m2sq)**2*m2sq*m6sq*m7sq)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (12*(m1sq - m2sq)**2*m6sq*m7sq)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (24*(m1sq - m2sq)**3*m6sq*(m2sq - m6sq - m7sq)*m7sq)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**2) - (12*(m1sq - m2sq)**2*m6sq*(m2sq - m6sq - m7sq)*m7sq)/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq)/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*(m1sq - m2sq)**2*(m6sq - m7sq)**3*m7sq)/(m2**2*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (15*(m1sq - m2sq)**2*m7**4*(-m6sq + m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (12*(-(m1sq*m2) + m2**3)**2*(m6sq + m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (12*m2sq*(-m1sq + m2sq)**3*m6sq*m7**4*B0del(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*m2sq*(-m1sq + m2sq)**3*m6**4*m7sq*B0del(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*m2**4*(m1sq - m2sq)**3*m6sq*m7sq*B0del(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (12*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0del(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m6sq*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (6*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*(m6sq - m7sq)*m7sq*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (12*(m1sq - m2sq)**3*m6**4*m7**4*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*m2sq*(-m1sq + m2sq)**3*m6sq*m7**4*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6sq*m7**6*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6**6*m7sq*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0del(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**2*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (12*(m1sq - m2sq)**3*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)*m2sq*m6sq*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (6*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (12*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (12*(m1sq - m2sq)**3*m6**4*m7**4*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6sq*m7**6*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*m2sq*(-m1sq + m2sq)**3*m6**4*m7sq*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6**6*m7sq*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0del(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**2*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (12*(m1sq - m2sq)**3*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (12*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (15*m2**4*(-m1sq + m2sq)**3*m6**4*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (22*(m1sq - m2sq)**3*m2sq*m6**6*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (4*m2**6*(m1sq - m2sq)**3*m6sq*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (15*m2**4*(-m1sq + m2sq)**3*m7**4*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (14*(m1sq - m2sq)**3*m2sq*m6sq*m7**4*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (22*(m1sq - m2sq)**3*m2sq*m7**6*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (21*(-(m1sq*m2) + m2**3)**2*m6**4*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (9*m2**4*(m1sq - m2sq)**2*m6sq*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (21*(-(m1sq*m2) + m2**3)**2*m7**4*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (16*(m1sq - m2sq)**3*m6**6*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (16*(m1sq - m2sq)**3*m7**6*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (15*(m1sq - m2sq)**2*m6**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (15*(m1sq - m2sq)**2*m7**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(-m1sq + m2sq)**3*m7**4*(m6sq - m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((-m1sq + m2sq)**3*m6sq*(m6sq - m7sq)**5*B0fin(0,0,m2sq))/(m2**4*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (4*m2**6*(m1sq - m2sq)**3*m7sq*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (14*(m1sq - m2sq)**3*m2sq*m6**4*m7sq*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (10*m2**4*(-m1sq + m2sq)**3*m6sq*m7sq*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (9*m2**4*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (18*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (12*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + ((m1sq - m2sq)**3*(m6sq - m7sq)**5*m7sq*B0fin(0,0,m2sq))/(m2**4*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*(m1sq - m2sq)**2*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m6sq*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (15*m2**4*(-m1sq + m2sq)**3*m6**4*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (22*(m1sq - m2sq)**3*m2sq*m6**6*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (4*m2**6*(m1sq - m2sq)**3*m6sq*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (36*(m1sq - m2sq)**3*m6**4*m7**4*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (8*m2sq*(-m1sq + m2sq)**3*m6sq*m7**4*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (2*(m1sq - m2sq)**3*m6sq*m7**6*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (21*(-(m1sq*m2) + m2**3)**2*m6**4*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (9*m2**4*(m1sq - m2sq)**2*m6sq*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (16*(m1sq - m2sq)**3*m6**6*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (16*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (15*(m1sq - m2sq)**2*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m2**2*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((-m1sq + m2sq)**3*m6sq*(m6sq - m7sq)**5*B0fin(0,0,m6sq))/(m2**4*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (22*(m1sq - m2sq)**3*m2sq*m6**4*m7sq*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (2*(m1sq - m2sq)**3*m6**6*m7sq*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (7*m2**4*(-m1sq + m2sq)**3*m6sq*m7sq*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (9*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**2*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (28*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (3*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (8*(m1sq - m2sq)**3*m6sq*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m6sq))/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (4*(m1sq - m2sq)**3*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*m2sq*(-m1sq + m2sq)*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (12*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (12*m2sq*(-m1sq + m2sq)**3*m6sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*m2**4*(m1sq - m2sq)**3*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (6*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (3*m2**4*(m1sq - m2sq)**2*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*(m1sq - m2sq)**2*m6**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*(m1sq - m2sq)**2*m7**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m2**4*(-m1sq + m2sq)**3*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - ((m1sq - m2sq)**3*m6**4*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - ((m1sq - m2sq)**3*m7**4*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m6sq*m7sq*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*(m1sq - m2sq)**3*m6sq*(m2sq - m6sq - m7sq)*m7sq*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(-(m1sq*m2) + m2**3)**2*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m2sq*(-m1sq + m2sq)**3*(m2sq - m6sq - m7sq)*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (15*m2**4*(-m1sq + m2sq)**3*m7**4*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (36*(m1sq - m2sq)**3*m6**4*m7**4*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (22*(m1sq - m2sq)**3*m2sq*m6sq*m7**4*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (22*(m1sq - m2sq)**3*m2sq*m7**6*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (2*(m1sq - m2sq)**3*m6sq*m7**6*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (21*(-(m1sq*m2) + m2**3)**2*m7**4*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (28*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (16*(m1sq - m2sq)**3*m7**6*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (15*(m1sq - m2sq)**2*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(-m1sq + m2sq)**3*m7**4*(m6sq - m7sq)**3*B0fin(0,0,m7sq))/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (4*m2**6*(m1sq - m2sq)**3*m7sq*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (8*m2sq*(-m1sq + m2sq)**3*m6**4*m7sq*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (2*(m1sq - m2sq)**3*m6**6*m7sq*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (7*m2**4*(-m1sq + m2sq)**3*m6sq*m7sq*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (9*m2**4*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (9*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**2*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (16*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (8*(-m1sq + m2sq)**3*m6sq*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m2**2*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + ((m1sq - m2sq)**3*(m6sq - m7sq)**5*m7sq*B0fin(0,0,m7sq))/(m2**4*(m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (3*(m1sq - m2sq)**2*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m7sq))/(m2**2*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*(m1sq - m2sq)**3*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (12*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (12*m2sq*(-m1sq + m2sq)**3*m6**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*m2**4*(m1sq - m2sq)**3*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (6*(m1sq - m2sq)*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (12*(m1sq - m2sq)**3*m6**4*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (6*(m1sq - m2sq)**3*m6**6*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*m2**4*(-m1sq + m2sq)**3*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)**2*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (12*(m1sq - m2sq)**3*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) - (12*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + 6*T134fin(m7,m6,m1) - 6*T134fin(m7,m6,m2) + (12*(m1sq - m2sq)**2*m6sq*m7sq*T134fin(m7,m6,m2))/((m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (12*(m1sq - m2sq)**3*m6sq*(m2sq - m6sq - m7sq)*m7sq*T134fin(m7,m6,m2))/((m2 - m6 - m7)**3*(m2 + m6 - m7)**3*(m2 - m6 + m7)**3*(m2 + m6 + m7)**3) + (6*(m1sq - m2sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2))/(6.*(m1sq - m2sq)**4)
		def eval_49():
			return (-((m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m7sq)*(4*m4sq - m7sq)*m7sq*B0del(0,0,m1sq)) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m7sq)*(m1sq - m4sq + m7sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m7sq)*(m1sq - m4sq + m7sq)*B0del(0,0,m4sq) - 2*(m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m7**4) + 2*m4**4*m7sq - m1**4*(m3sq + 2*(m4sq + m7sq)) + m1sq*((m4sq - m7sq)**2 + 2*m3sq*(m4sq + m7sq)))*B0del(0,0,m4sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m7sq)*(4*m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m7**4) + 2*m4**4*m7sq - m1**4*(m3sq + 2*(m4sq + m7sq)) + m1sq*((m4sq - m7sq)**2 + 2*m3sq*(m4sq + m7sq)))*B0del(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m7sq)*(4*m4sq - m7sq)*m7sq*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m7sq)*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m7sq)*(m1sq - m4sq + m7sq)*B0fin(0,0,m4sq) + 2*(m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m7**4) + 2*m4**4*m7sq - m1**4*(m3sq + 2*(m4sq + m7sq)) + m1sq*((m4sq - m7sq)**2 + 2*m3sq*(m4sq + m7sq)))*B0fin(0,0,m4sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m7sq)*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq)**2 + 2*m1sq*(m1sq - m3sq)**2*m3sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m4 + m7/2. + 2*m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*(m1sq - m3sq)**2*m4**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m4 + m7/2. + 2*m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*m1sq*(m1sq - m3sq)**2*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m4 + m7/2. + 2*m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*(m1sq - m3sq)**2*m3sq*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m4 + m7/2. + 2*m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq - m4sq - m7sq)*(4*m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m7sq)*(4*m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m7**4) + 2*m4**4*m7sq - m1**4*(m3sq + 2*(m4sq + m7sq)) + m1sq*((m4sq - m7sq)**2 + 2*m3sq*(m4sq + m7sq)))*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m7sq)*(4*m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m7**4) + 2*m4**4*m7sq - m1**4*(m3sq + 2*(m4sq + m7sq)) + m1sq*((m4sq - m7sq)**2 + 2*m3sq*(m4sq + m7sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq - m4sq - m7sq)*(4*m4sq - m7sq)*T134fin(m7,m4,m1) - 3*m1sq*(m3sq - m4sq)**2*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m1) + (m3sq - m4sq)**2*m4sq*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m1) + 2*(m3**3 - m3*m4sq)**2*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m1) + (m1sq - m4sq)**3*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m3) - m1sq*(m1sq - m3sq)**2*m3sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4) + 11*(m1sq - m3sq)**2*m4**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4) - 3*m1sq*(m1sq - m3sq)**2*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4) - 7*(m1sq - m3sq)**2*m3sq*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4) + m1sq*(m1sq - m3sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4) + 2*(m1sq - m3sq)**2*m3sq*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4) - 3*(m1sq - m3sq)**2*m4sq*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m4))/((m1sq - m3sq)**2*(m1sq - m4sq)**3*(m3sq - m4sq)**2*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))
		def eval_50():
			return (-((m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m6sq)*(4*m4sq - m6sq)*m6sq*B0del(0,0,m1sq)) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m6sq)*(m1sq - m4sq + m6sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m6sq)*(m1sq - m4sq + m6sq)*B0del(0,0,m4sq) - 2*(m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*B0del(0,0,m4sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m6**4) + 2*m4**4*m6sq - m1**4*(m3sq + 2*(m4sq + m6sq)) + m1sq*((m4sq - m6sq)**2 + 2*m3sq*(m4sq + m6sq)))*B0del(0,0,m4sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m6sq)*(4*m4sq - m6sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m6**4) + 2*m4**4*m6sq - m1**4*(m3sq + 2*(m4sq + m6sq)) + m1sq*((m4sq - m6sq)**2 + 2*m3sq*(m4sq + m6sq)))*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m6sq)*(4*m4sq - m6sq)*m6sq*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m6sq)*(m1sq - m4sq + m6sq)*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m6sq)*(m1sq - m4sq + m6sq)*B0fin(0,0,m4sq) + 2*(m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m4sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m6**4) + 2*m4**4*m6sq - m1**4*(m3sq + 2*(m4sq + m6sq)) + m1sq*((m4sq - m6sq)**2 + 2*m3sq*(m4sq + m6sq)))*B0fin(0,0,m4sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*m4sq*(4*m4sq - m6sq)*(m1sq - m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m4sq)**2 + 2*m1sq*(m1sq - m3sq)**2*m3sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m4 + m6/2. + 2*m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*(m1sq - m3sq)**2*m4**4*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m4 + m6/2. + 2*m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) - 2*m1sq*(m1sq - m3sq)**2*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m4 + m6/2. + 2*m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) - 2*(m1sq - m3sq)**2*m3sq*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m4 + m6/2. + 2*m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq - m4sq - m6sq)*(4*m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m6sq)*(4*m4sq - m6sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m6**4) + 2*m4**4*m6sq - m1**4*(m3sq + 2*(m4sq + m6sq)) + m1sq*((m4sq - m6sq)**2 + 2*m3sq*(m4sq + m6sq)))*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq + m4sq - m6sq)*(4*m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1**6 - 8*m4**6 + m3sq*(7*m4**4 - m6**4) + 2*m4**4*m6sq - m1**4*(m3sq + 2*(m4sq + m6sq)) + m1sq*((m4sq - m6sq)**2 + 2*m3sq*(m4sq + m6sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1sq - m4sq - m6sq)*(4*m4sq - m6sq)*T134fin(m6,m4,m1) - 3*m1sq*(m3sq - m4sq)**2*(4*m4sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m1) + (m3sq - m4sq)**2*m4sq*(4*m4sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m1) + 2*(m3**3 - m3*m4sq)**2*(4*m4sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m1) + (m1sq - m4sq)**3*(4*m4sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m3) - m1sq*(m1sq - m3sq)**2*m3sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4) + 11*(m1sq - m3sq)**2*m4**4*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4) - 3*m1sq*(m1sq - m3sq)**2*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4) - 7*(m1sq - m3sq)**2*m3sq*m4sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4) + m1sq*(m1sq - m3sq)**2*m6sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4) + 2*(m1sq - m3sq)**2*m3sq*m6sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4) - 3*(m1sq - m3sq)**2*m4sq*m6sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m4,m4))/((m1sq - m3sq)**2*(m1sq - m4sq)**3*(m3sq - m4sq)**2*(4*m4sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq)))
		def eval_51():
			return ((7*m1sq*m3sq*m6**4)/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3**4*m6**4)/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**6*m6sq)/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3**4*m6sq)/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m1sq*m3sq*m7**4)/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3**4*m7**4)/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4)/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) + (2*m6**4)/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) + (2*m7**4)/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) + (5*m3sq*m6**4*(m6sq - m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m1sq*m6**4*(m6sq - m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m1sq*m7**4*(m6sq - m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m3sq*m7**4*(m6sq - m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3)/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (m1sq*m6sq*(m6sq - m7sq)**3)/(m3**2*(-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**6*m7sq)/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3**4*m7sq)/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m3sq*m6sq*m7sq)/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4*m6sq*m7sq)/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*m7sq)/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) + ((m6sq - m7sq)**3*m7sq)/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*(m6sq - m7sq)**3*m7sq)/(m3**2*(-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m3sq*(m6sq + m7sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) - (4*m6sq*m7sq*(-m3sq + m6sq + m7sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*(m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (12*m3**4*m6**4*B0del(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m6sq*B0del(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3**4*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3sq*m6**4*(m6sq - m7sq)*B0del(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3sq*m7**4*(m6sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*(m6sq - m7sq)**3*B0del(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m7sq*B0del(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**4*m6sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m1sq*m3sq*m6sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*(m6sq - m7sq)**3*m7sq*B0del(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3**4*m6**4*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m6sq*B0del(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3sq*m6**4*(m6sq - m7sq)*B0del(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*(m6sq - m7sq)**3*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m3sq*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (8*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (12*m3**4*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3sq*m7**4*(m6sq - m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m7sq*B0del(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m3sq*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*(m6sq - m7sq)**3*m7sq*B0del(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (8*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (5*m3**4*m6**4*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m1sq*m3sq*m6**4*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3**4*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m3**6*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m3**4*m7**4*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m1sq*m3sq*m7**4*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m1sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m1sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m3sq))/(m3**2*(-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3**4*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m3**6*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4*m6sq*m7sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m1sq*m3sq*m6sq*m7sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m3sq))/(m3**2*(-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m3**4*m6**4*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m1sq*m3sq*m6**4*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m3**6*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m1sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m3**2*(-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m3**4*m6sq*m7sq*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3sq*m6sq*m7sq*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (8*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (12*m3**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m3sq*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m3**4*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (m6**4*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (m7**4*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*m7sq*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*(m6sq + m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*(m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (5*m3**4*m7**4*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m1sq*m3sq*m7**4*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m1sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m3**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m3**4*m6sq*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m1sq*m3sq*m6sq*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m1sq*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m7sq))/(m3**2*(-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (8*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (12*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (12*m3sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3**4*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m3sq*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)**3*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (8*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (6*T134fin(m7,m6,m1))/(m1sq - m3sq)**4 + (2*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m1sq - m3sq)**3*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (6*T134fin(m7,m6,m3))/(m1sq - m3sq)**4 - (4*m6sq*m7sq*T134fin(m7,m6,m3))/((m1sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*(m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m1sq - m3sq)**3*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))/2.
		def eval_52():
			return (-((m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*B0del(0,0,m1sq)) - (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*B0del(0,0,m3sq) + 2*(m1sq - m3sq)*m3sq*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(m1**6 - 8*m3**6 - m5sq*m7**4 - m1**4*(2*m3sq + m5sq + 2*m7sq) + m3**4*(7*m5sq + 2*m7sq) + m1sq*(m3**4 + m7**4 + 2*m3sq*(m5sq - m7sq) + 2*m5sq*m7sq))*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*B0del(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(m1**6 - 8*m3**6 - m5sq*m7**4 - m1**4*(2*m3sq + m5sq + 2*m7sq) + m3**4*(7*m5sq + 2*m7sq) + m1sq*(m3**4 + m7**4 + 2*m3sq*(m5sq - m7sq) + 2*m5sq*m7sq))*B0del(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*B0fin(0,0,m3sq) - 2*(m1sq - m3sq)*m3sq*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(m1**6 - 8*m3**6 - m5sq*m7**4 - m1**4*(2*m3sq + m5sq + 2*m7sq) + m3**4*(7*m5sq + 2*m7sq) + m1sq*(m3**4 + m7**4 + 2*m3sq*(m5sq - m7sq) + 2*m5sq*m7sq))*B0fin(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + (m1sq - m3sq)*m3sq*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq)**2 + 2*m3**4*(m1sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*m1sq*m3sq*(m1sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*m3sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(m1**6 - 8*m3**6 - m5sq*m7**4 - m1**4*(2*m3sq + m5sq + 2*m7sq) + m3**4*(7*m5sq + 2*m7sq) + m1sq*(m3**4 + m7**4 + 2*m3sq*(m5sq - m7sq) + 2*m5sq*m7sq))*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(m1**6 - 8*m3**6 - m5sq*m7**4 - m1**4*(2*m3sq + m5sq + 2*m7sq) + m3**4*(7*m5sq + 2*m7sq) + m1sq*(m3**4 + m7**4 + 2*m3sq*(m5sq - m7sq) + 2*m5sq*m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*T134fin(m7,m3,m1) - 3*m1sq*(m3sq - m5sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + 2*(m3sq - m5sq)**2*m5sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + (m3**3 - m3*m5sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + 11*m3**4*(m1sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 3*m1sq*m3sq*(m1sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - m1sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 7*m3sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + m1sq*(m1sq - m5sq)**2*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 3*m3sq*(m1sq - m5sq)**2*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + 2*(m1sq - m5sq)**2*m5sq*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + (m1sq - m3sq)**3*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m5,m3))/((m1sq - m3sq)**3*(m1sq - m5sq)**2*(m3sq - m5sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))
		def eval_53():
			return (-((m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m6sq)*(4*m3sq - m6sq)*m6sq*B0del(0,0,m1sq)) - (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*B0del(0,0,m3sq) + 2*(m1sq - m3sq)*m3sq*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(m1**6 - 8*m3**6 - m5sq*m6**4 - m1**4*(2*m3sq + m5sq + 2*m6sq) + m3**4*(7*m5sq + 2*m6sq) + m1sq*(m3**4 + m6**4 + 2*m3sq*(m5sq - m6sq) + 2*m5sq*m6sq))*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m6sq)*(4*m3sq - m6sq)*m6sq*B0del(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(m1**6 - 8*m3**6 - m5sq*m6**4 - m1**4*(2*m3sq + m5sq + 2*m6sq) + m3**4*(7*m5sq + 2*m6sq) + m1sq*(m3**4 + m6**4 + 2*m3sq*(m5sq - m6sq) + 2*m5sq*m6sq))*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m6sq)*(4*m3sq - m6sq)*m6sq*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*B0fin(0,0,m3sq) - 2*(m1sq - m3sq)*m3sq*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m3sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(m1**6 - 8*m3**6 - m5sq*m6**4 - m1**4*(2*m3sq + m5sq + 2*m6sq) + m3**4*(7*m5sq + 2*m6sq) + m1sq*(m3**4 + m6**4 + 2*m3sq*(m5sq - m6sq) + 2*m5sq*m6sq))*B0fin(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3**3 - m3*m5sq)**2*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + (m1sq - m3sq)*m3sq*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m3sq)**2 + 2*m3**4*(m1sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m3 + m6/2. + 2*m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) - 2*m1sq*m3sq*(m1sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m3 + m6/2. + 2*m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) + 2*m1sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m3 + m6/2. + 2*m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) - 2*m3sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m3 + m6/2. + 2*m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m6sq)*(4*m3sq - m6sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(m1**6 - 8*m3**6 - m5sq*m6**4 - m1**4*(2*m3sq + m5sq + 2*m6sq) + m3**4*(7*m5sq + 2*m6sq) + m1sq*(m3**4 + m6**4 + 2*m3sq*(m5sq - m6sq) + 2*m5sq*m6sq))*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq + m3sq - m6sq)*(4*m3sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(m1**6 - 8*m3**6 - m5sq*m6**4 - m1**4*(2*m3sq + m5sq + 2*m6sq) + m3**4*(7*m5sq + 2*m6sq) + m1sq*(m3**4 + m6**4 + 2*m3sq*(m5sq - m6sq) + 2*m5sq*m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*T134fin(m6,m3,m1) - 3*m1sq*(m3sq - m5sq)**2*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m1) + 2*(m3sq - m5sq)**2*m5sq*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m1) + (m3**3 - m3*m5sq)**2*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m1) + 11*m3**4*(m1sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) - 3*m1sq*m3sq*(m1sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) - m1sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) - 7*m3sq*(m1sq - m5sq)**2*m5sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) + m1sq*(m1sq - m5sq)**2*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) - 3*m3sq*(m1sq - m5sq)**2*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) + 2*(m1sq - m5sq)**2*m5sq*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3) + (m1sq - m3sq)**3*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m5,m3))/((m1sq - m3sq)**3*(m1sq - m5sq)**2*(m3sq - m5sq)**2*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq)))
		def eval_54():
			return (-((m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m4sq - m7sq)*B0del(0,0,m1sq)) + 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m7sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m7sq) - m1**4*(7*m3sq + m4sq + 2*m7sq))*B0del(0,0,m1sq) - (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m4sq - m7sq)*B0del(0,0,m4sq) + (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq + m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq + m4sq - m7sq)*m7sq*B0del(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m7sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m7sq) - m1**4*(7*m3sq + m4sq + 2*m7sq))*B0del(0,0,m7sq) + (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m7sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m7sq) - m1**4*(7*m3sq + m4sq + 2*m7sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m1sq)**2 + (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m4sq) - (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) - (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) - m1**4*(m1sq - m3sq)**2*m3sq*(4*m1sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 2*(m1**3 - m1*m3sq)**2*m4**4*(4*m1sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + m1**4*(m1sq - m3sq)**2*m4sq*(4*m1sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + (m1sq - m3sq)**2*m4**4*(4*m1sq - m7sq)*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - (m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m7sq)*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m3sq)**2*m3sq*(4*m1sq - m7sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m3sq)**2*m4sq*(4*m1sq - m7sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq + m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m7sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m7sq) - m1**4*(7*m3sq + m4sq + 2*m7sq))*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m7sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m7sq) - m1**4*(7*m3sq + m4sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m1,m1) - 3*m1sq*(m3sq - m4sq)**2*(4*m1sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m1,m1) + (m3sq - m4sq)**2*m4sq*(4*m1sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m1,m1) + 2*(m3**3 - m3*m4sq)**2*(4*m1sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m1,m1) + (m1sq - m4sq)**3*(4*m1sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m3,m1) - m1**6*(m1sq - m3sq)**2*(4*m1sq - m7sq)*T134fin(m7,m4,m1) - m1**4*(m1sq - m3sq)**2*m3sq*(4*m1sq - m7sq)*T134fin(m7,m4,m1) - 5*(m1**3 - m1*m3sq)**2*m4**4*(4*m1sq - m7sq)*T134fin(m7,m4,m1) + 4*m1**4*(m1sq - m3sq)**2*m4sq*(4*m1sq - m7sq)*T134fin(m7,m4,m1) + 2*m1sq*(m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m7sq)*T134fin(m7,m4,m1) - (m1**3 - m1*m3sq)**2*m7**4*(4*m1sq - m7sq)*T134fin(m7,m4,m1) + 2*(m1sq - m3sq)**2*m4**4*(4*m1sq - m7sq)*(m4sq - m7sq)*T134fin(m7,m4,m1) - (m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m7sq)*(m4sq - m7sq)*T134fin(m7,m4,m1) + 2*m1**4*(m1sq - m3sq)**2*(4*m1sq - m7sq)*m7sq*T134fin(m7,m4,m1) + 5*m1sq*(m1sq - m3sq)**2*m3sq*(4*m1sq - m7sq)*m7sq*T134fin(m7,m4,m1) - 5*m1sq*(m1sq - m3sq)**2*m4sq*(4*m1sq - m7sq)*m7sq*T134fin(m7,m4,m1) + 2*(m1sq - m3sq)**2*m3sq*(4*m1sq - m7sq)*(m4sq - m7sq)*m7sq*T134fin(m7,m4,m1) - 3*(m1sq - m3sq)**2*m4sq*(4*m1sq - m7sq)*(m4sq - m7sq)*m7sq*T134fin(m7,m4,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**3*(m3sq - m4sq)**2*(4*m1sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))
		def eval_55():
			return (-((m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq - m4sq - m6sq)*B0del(0,0,m1sq)) + 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m6sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m6sq) - m1**4*(7*m3sq + m4sq + 2*m6sq))*B0del(0,0,m1sq) - (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq - m4sq - m6sq)*B0del(0,0,m4sq) + (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq + m4sq - m6sq)*m6sq*B0del(0,0,m4sq) + (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq + m4sq - m6sq)*m6sq*B0del(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m6sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m6sq) - m1**4*(7*m3sq + m4sq + 2*m6sq))*B0del(0,0,m6sq) + (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq - m4sq - m6sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m6sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m6sq) - m1**4*(7*m3sq + m4sq + 2*m6sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m1sq)**2 + (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq - m4sq - m6sq)*B0fin(0,0,m4sq) - (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq + m4sq - m6sq)*m6sq*B0fin(0,0,m4sq) - (m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq - m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1 + m6/2. + 2*m1*B0fin(0,0,m1) + m6*B0fin(0,0,m6)) - m1**4*(m1sq - m3sq)**2*m3sq*(4*m1sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 2*(m1**3 - m1*m3sq)**2*m4**4*(4*m1sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1**4*(m1sq - m3sq)**2*m4sq*(4*m1sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 2*m1sq*(m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (m1sq - m3sq)**2*m4**4*(4*m1sq - m6sq)*(m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - (m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m6sq)*(m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m3sq)**2*m3sq*(4*m1sq - m6sq)*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1sq*(m1sq - m3sq)**2*m4sq*(4*m1sq - m6sq)*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq + m4sq - m6sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m6sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m6sq) - m1**4*(7*m3sq + m4sq + 2*m6sq))*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(8*m1**6 + (m3sq - m4sq)*(m4sq - m6sq)**2 + 2*m1sq*m4sq*(-m3sq + m4sq + m6sq) - m1**4*(7*m3sq + m4sq + 2*m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)**2*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m6sq)*(m1sq + m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m1,m1) - 3*m1sq*(m3sq - m4sq)**2*(4*m1sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m1,m1) + (m3sq - m4sq)**2*m4sq*(4*m1sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m1,m1) + 2*(m3**3 - m3*m4sq)**2*(4*m1sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m1,m1) + (m1sq - m4sq)**3*(4*m1sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*T134fin(m6,m3,m1) - m1**6*(m1sq - m3sq)**2*(4*m1sq - m6sq)*T134fin(m6,m4,m1) - m1**4*(m1sq - m3sq)**2*m3sq*(4*m1sq - m6sq)*T134fin(m6,m4,m1) - 5*(m1**3 - m1*m3sq)**2*m4**4*(4*m1sq - m6sq)*T134fin(m6,m4,m1) + 4*m1**4*(m1sq - m3sq)**2*m4sq*(4*m1sq - m6sq)*T134fin(m6,m4,m1) + 2*m1sq*(m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m6sq)*T134fin(m6,m4,m1) - (m1**3 - m1*m3sq)**2*m6**4*(4*m1sq - m6sq)*T134fin(m6,m4,m1) + 2*(m1sq - m3sq)**2*m4**4*(4*m1sq - m6sq)*(m4sq - m6sq)*T134fin(m6,m4,m1) - (m1sq - m3sq)**2*m3sq*m4sq*(4*m1sq - m6sq)*(m4sq - m6sq)*T134fin(m6,m4,m1) + 2*m1**4*(m1sq - m3sq)**2*(4*m1sq - m6sq)*m6sq*T134fin(m6,m4,m1) + 5*m1sq*(m1sq - m3sq)**2*m3sq*(4*m1sq - m6sq)*m6sq*T134fin(m6,m4,m1) - 5*m1sq*(m1sq - m3sq)**2*m4sq*(4*m1sq - m6sq)*m6sq*T134fin(m6,m4,m1) + 2*(m1sq - m3sq)**2*m3sq*(4*m1sq - m6sq)*(m4sq - m6sq)*m6sq*T134fin(m6,m4,m1) - 3*(m1sq - m3sq)**2*m4sq*(4*m1sq - m6sq)*(m4sq - m6sq)*m6sq*T134fin(m6,m4,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**3*(m3sq - m4sq)**2*(4*m1sq - m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq)))
		def eval_56():
			return ((7*m1**4*(m1sq - m4sq)*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m4sq*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**6*(m1sq - m4sq)*m6sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*(m1sq - m4sq)*m4sq*m6sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1**4*(m1sq - m4sq)*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m4sq*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m6sq*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (5*m1sq*(m1sq - m4sq)*m7**6)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1**4*(m1sq - m4sq)**2)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (2*(m1sq - m4sq)**2*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (2*(m1sq - m4sq)**2*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (5*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)*m4sq*m6**4*(m6sq - m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m4sq*(-m1sq + m4sq)*m7**4*(m6sq - m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m6sq*(m6sq - m7sq)**3)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)**3)/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**6*(m1sq - m4sq)*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*(m1sq - m4sq)*m4sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m6**4*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1**4*(m1sq - m4sq)*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)**2*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (4*(m1sq - m4sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*(m6sq - m7sq)**3*m7sq)/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m7sq*(-m6sq + m7sq)**3)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1**3 - m1*m4sq)**2*(m6sq + m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (12*m1**4*(m1sq - m4sq)*m6**4*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1**6*(m1sq - m4sq)*m6sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (12*m1**4*(m1sq - m4sq)*m7**4*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1sq*(m1sq - m4sq)*m7**6*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1**6*(m1sq - m4sq)*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6**4*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*(m6sq - m7sq)**3*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*(m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (2*(m1sq - m4sq)*m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (12*m1**4*(m1sq - m4sq)*m6**4*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1**6*(m1sq - m4sq)*m6sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (8*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (2*(m1sq - m4sq)*m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (12*m1**4*(m1sq - m4sq)*m7**4*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6sq*m7**4*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1sq*(m1sq - m4sq)*m7**6*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1**6*(m1sq - m4sq)*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6**4*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*(m6sq - m7sq)**3*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (8*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (2*(m1sq - m4sq)*(m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (5*m1**4*(m1sq - m4sq)*m6**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m6**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m1sq - m4sq)*m6sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m1**4*(m1sq - m4sq)*m7**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m7**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m7**6*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m4sq*(-m1sq + m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)*m4sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m6**4*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)*m4sq*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*(m1sq - m4sq)*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)*(m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (2*(m1sq - m4sq)*m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (5*m1**4*(m1sq - m4sq)*m6**4*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m6**4*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m1sq - m4sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m4sq*(-m1sq + m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (8*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (2*(m1sq - m4sq)*m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (12*m1**4*(m1sq - m4sq)*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1**6*(m1sq - m4sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (m1**4*(m1sq - m4sq)**2*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)**2*m6**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)**2*m7**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)**2*m6sq*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1**3 - m1*m4sq)**2*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (2*(m1sq - m4sq)*(m4sq - m6sq - m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + (5*m1**4*(m1sq - m4sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m7**4*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m7**6*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)*m4sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m1sq - m4sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m6**4*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)*m4sq*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*(m1sq - m4sq)*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (8*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (2*(m1sq - m4sq)*(m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (12*m1**4*(m1sq - m4sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1sq*(m1sq - m4sq)*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1**6*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*(m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) - (2*(m1sq - m4sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (8*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)) + 6*T134fin(m7,m6,m1) - (4*(m1sq - m4sq)**2*m6sq*m7sq*T134fin(m7,m6,m1))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - 6*T134fin(m7,m6,m4) + (2*(m1sq - m4sq)*(m4sq - m6sq - m7sq)*T134fin(m7,m6,m4))/(4*m6sq*m7sq - (-m4sq + m6sq + m7sq)**2))/(2.*(m1sq - m4sq)**4)
		def eval_57():
			return ((m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m7sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m7sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m7sq) - m1**4*(m3sq + 7*m5sq + 2*m7sq))*B0del(0,0,m1sq) + (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m7sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*m7sq*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m7sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m7sq) - m1**4*(m3sq + 7*m5sq + 2*m7sq))*B0del(0,0,m7sq) - (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m7sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m7sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m7sq) - m1**4*(m3sq + 7*m5sq + 2*m7sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq)**2 - (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m7sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq) + (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*m7sq*B0fin(0,0,m3sq) + (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m7sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m7sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m7sq) - m1**4*(m3sq + 7*m5sq + 2*m7sq))*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m7sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m7sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m7sq) - m1**4*(m3sq + 7*m5sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) - 3*m1sq*(m3sq - m5sq)**2*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) + 2*(m3sq - m5sq)**2*m5sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) + (m3**3 - m3*m5sq)**2*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*T134fin(m7,m3,m1) + m3sq*(m1sq - m5sq)**2*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + 2*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m1) - (m1**3 - m1*m5sq)**2*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + (m1sq - m3sq)**3*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m5,m1))/((m1sq - m3sq)**3*(m1sq - m5sq)**2*(m3sq - m5sq)**2*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))
		def eval_58():
			return ((m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m6sq)*(m1sq - m3sq - m6sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m6sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m6sq) - m1**4*(m3sq + 7*m5sq + 2*m6sq))*B0del(0,0,m1sq) + (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m6sq)*(m1sq - m3sq - m6sq)*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq + m3sq - m6sq)*m6sq*B0del(0,0,m3sq) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq + m3sq - m6sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m6sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m6sq) - m1**4*(m3sq + 7*m5sq + 2*m6sq))*B0del(0,0,m6sq) - (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m6sq)*(m1sq - m3sq - m6sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m6sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m6sq) - m1**4*(m3sq + 7*m5sq + 2*m6sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m1sq)**2 - (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m6sq)*(m1sq - m3sq - m6sq)*B0fin(0,0,m3sq) + (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m3sq) + (m1sq - m3sq)*(m3sq - m5sq)*(m1**3 - m1*m5sq)**2*(4*m1sq - m6sq)*(m1sq - m3sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*(m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1 + m6/2. + 2*m1*B0fin(0,0,m1) + m6*B0fin(0,0,m6)) + (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq - m3sq + m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m6sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m6sq) - m1**4*(m3sq + 7*m5sq + 2*m6sq))*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)*m6sq*(8*m1**6 - (m3sq - m5sq)*(m3sq - m6sq)**2 + 2*m1sq*m3sq*(m3sq - m5sq + m6sq) - m1**4*(m3sq + 7*m5sq + 2*m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m5sq)*(m3sq - m5sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m1,m1) - 3*m1sq*(m3sq - m5sq)**2*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m1,m1) + 2*(m3sq - m5sq)**2*m5sq*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m1,m1) + (m3**3 - m3*m5sq)**2*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m1,m1) - (m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1sq - m3sq + m6sq)*T134fin(m6,m3,m1) + m3sq*(m1sq - m5sq)**2*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m1) + 2*(m1sq - m5sq)**2*(m3sq - m5sq)*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m1) - (m1**3 - m1*m5sq)**2*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m1) + (m1sq - m3sq)**3*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m5,m1))/((m1sq - m3sq)**3*(m1sq - m5sq)**2*(m3sq - m5sq)**2*(4*m1sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq)))
		def eval_59():
			return ((10*m1**4*(m1sq - m5sq)**3*m6**4)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*m1sq*(m1sq - m5sq)**3*m6**6)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (3*m1**6*(m1sq - m5sq)**3*m6sq)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (10*m1**4*(m1sq - m5sq)**3*m7**4)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (32*(m1sq - m5sq)**3*m6**4*m7**4)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*m1sq*(m1sq - m5sq)**3*m6sq*m7**4)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*m1sq*(m1sq - m5sq)**3*m7**6)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (21*(m1**3 - m1*m5sq)**2*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (9*m1**4*(m1sq - m5sq)**2*m6sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (21*(m1**3 - m1*m5sq)**2*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1**4*(m1sq - m5sq)**2)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (6*(m1sq - m5sq)**2*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (6*(m1sq - m5sq)**2*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (6*(m1sq - m5sq)**3*m6**6*(m6sq - m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (15*(m1sq - m5sq)**2*m6**4*(m6sq - m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m5sq)**3*m6**4*(m6sq - m7sq)**3)/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + ((m1sq - m5sq)**3*m7**4*(m6sq - m7sq)**3)/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (3*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)**3)/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**6*(m1sq - m5sq)**3*m7sq)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*m1sq*(m1sq - m5sq)**3*m6**4*m7sq)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (24*m1**4*(m1sq - m5sq)**3*m6sq*m7sq)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (9*m1**4*(m1sq - m5sq)**2*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m5sq)**2*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (12*(m1sq - m5sq)**2*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (24*(m1sq - m5sq)**3*m6sq*(m1sq - m6sq - m7sq)*m7sq)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**2) - (12*(m1sq - m5sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq)/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (3*(m1sq - m5sq)**2*(m6sq - m7sq)**3*m7sq)/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**3*m7**6*(-m6sq + m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (15*(m1sq - m5sq)**2*m7**4*(-m6sq + m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*(m1**3 - m1*m5sq)**2*(m6sq + m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (12*m1sq*(m1sq - m5sq)**3*m6sq*m7**4*B0del(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (12*m1sq*(m1sq - m5sq)**3*m6**4*m7sq*B0del(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0del(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m5sq)*m6sq*B0del(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*(m1sq - m5sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (6*m1sq*(m1sq - m5sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*(m1sq - m5sq)*m7sq*(-m6sq + m7sq)*B0del(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (12*(m1sq - m5sq)**3*m6**4*m7**4*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (12*m1sq*(m1sq - m5sq)**3*m6sq*m7**4*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6sq*m7**6*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6**6*m7sq*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (12*m1sq*(m1sq - m5sq)**3*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1sq*(m1sq - m5sq)*m6sq*B0del(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*(m1sq - m5sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (12*(m1sq - m5sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (12*(m1sq - m5sq)**3*m6**4*m7**4*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6sq*m7**6*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (12*m1sq*(m1sq - m5sq)**3*m6**4*m7sq*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6**6*m7sq*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (12*m1sq*(m1sq - m5sq)**3*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1sq*(m1sq - m5sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (12*(m1sq - m5sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*(m1sq - m5sq)*m7sq*(-m6sq + m7sq)*B0del(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (15*m1**4*(m1sq - m5sq)**3*m6**4*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (22*m1sq*(m1sq - m5sq)**3*m6**6*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (4*m1**6*(m1sq - m5sq)**3*m6sq*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (15*m1**4*(m1sq - m5sq)**3*m7**4*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (14*m1sq*(m1sq - m5sq)**3*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (22*m1sq*(m1sq - m5sq)**3*m7**6*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (21*(m1**3 - m1*m5sq)**2*m6**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (9*m1**4*(m1sq - m5sq)**2*m6sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (21*(m1**3 - m1*m5sq)**2*m7**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (16*(m1sq - m5sq)**3*m6**6*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (12*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (15*(m1sq - m5sq)**2*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (15*(m1sq - m5sq)**2*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m7**4*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (3*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m5sq)**3*m6sq*(m6sq - m7sq)**5*B0fin(0,0,m1sq))/(m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (4*m1**6*(m1sq - m5sq)**3*m7sq*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (14*m1sq*(m1sq - m5sq)**3*m6**4*m7sq*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (10*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (9*m1**4*(m1sq - m5sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (18*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (16*(m1sq - m5sq)**3*m7**6*(-m6sq + m7sq)*B0fin(0,0,m1sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (3*(m1sq - m5sq)**2*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m5sq)**3*m7sq*(-m6sq + m7sq)**5*B0fin(0,0,m1sq))/(m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*m1sq*(m1sq - m5sq)*m6sq*B0fin(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (6*(m1sq - m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*m1sq*(m1sq - m5sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (6*(m1sq - m5sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (15*m1**4*(m1sq - m5sq)**3*m6**4*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (22*m1sq*(m1sq - m5sq)**3*m6**6*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (4*m1**6*(m1sq - m5sq)**3*m6sq*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (36*(m1sq - m5sq)**3*m6**4*m7**4*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (8*m1sq*(m1sq - m5sq)**3*m6sq*m7**4*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (2*(m1sq - m5sq)**3*m6sq*m7**6*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (21*(m1**3 - m1*m5sq)**2*m6**4*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (9*m1**4*(m1sq - m5sq)**2*m6sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (16*(m1sq - m5sq)**3*m6**6*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (16*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (15*(m1sq - m5sq)**2*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (3*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m5sq)**3*m6sq*(m6sq - m7sq)**5*B0fin(0,0,m6sq))/(m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (22*m1sq*(m1sq - m5sq)**3*m6**4*m7sq*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (2*(m1sq - m5sq)**3*m6**6*m7sq*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (7*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (9*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (28*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (3*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (8*(m1sq - m5sq)**3*m6sq*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m6sq))/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (4*m1sq*(m1sq - m5sq)**3*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*m1sq*(m1sq - m5sq)*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (6*(m1sq - m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (12*(m1sq - m5sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (12*m1sq*(m1sq - m5sq)**3*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m5sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*(m1sq - m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (3*m1**4*(m1sq - m5sq)**2*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*(m1sq - m5sq)**2*m6**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*(m1sq - m5sq)**2*m7**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m1**4*(m1sq - m5sq)**3*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + ((m1sq - m5sq)**3*m6**4*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + ((m1sq - m5sq)**3*m7**4*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*(m1sq - m5sq)**2*m6sq*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m5sq)**3*m6sq*(m1sq - m6sq - m7sq)*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*(m1**3 - m1*m5sq)**2*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m5sq)**3*(m1sq - m6sq - m7sq)*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*(m1sq - m5sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (15*m1**4*(m1sq - m5sq)**3*m7**4*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (36*(m1sq - m5sq)**3*m6**4*m7**4*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (22*m1sq*(m1sq - m5sq)**3*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (22*m1sq*(m1sq - m5sq)**3*m7**6*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (2*(m1sq - m5sq)**3*m6sq*m7**6*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (21*(m1**3 - m1*m5sq)**2*m7**4*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (28*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (15*(m1sq - m5sq)**2*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**3*m7**4*(m6sq - m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (4*m1**6*(m1sq - m5sq)**3*m7sq*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (8*m1sq*(m1sq - m5sq)**3*m6**4*m7sq*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (2*(m1sq - m5sq)**3*m6**6*m7sq*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (7*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (9*m1**4*(m1sq - m5sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (9*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*(m1sq - m5sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (16*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (3*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (8*(m1sq - m5sq)**3*m6sq*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (16*(m1sq - m5sq)**3*m7**6*(-m6sq + m7sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (3*(m1sq - m5sq)**2*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m5sq)**3*m7sq*(-m6sq + m7sq)**5*B0fin(0,0,m7sq))/(m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (4*m1sq*(m1sq - m5sq)**3*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*m1sq*(m1sq - m5sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (12*(m1sq - m5sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (6*(m1sq - m5sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (6*(m1sq - m5sq)**3*m6sq*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (12*m1sq*(m1sq - m5sq)**3*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) - (6*m1sq*(m1sq - m5sq)**2*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*(m1sq - m5sq)**3*m6**4*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (6*(m1sq - m5sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (12*(m1sq - m5sq)**3*m6**4*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**3*m6**6*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*m1**4*(m1sq - m5sq)**3*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)**2*m6sq*(m1sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (12*m1sq*(m1sq - m5sq)**3*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (12*(m1sq - m5sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - 6*T134fin(m7,m6,m1) + (12*(m1sq - m5sq)**2*m6sq*m7sq*T134fin(m7,m6,m1))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*(m1sq - m5sq)**3*m6sq*(m1sq - m6sq - m7sq)*m7sq*T134fin(m7,m6,m1))/((m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3) + (6*(m1sq - m5sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + 6*T134fin(m7,m6,m5))/(6.*(m1sq - m5sq)**4)
		def eval_60():
			return (-2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m4sq*B0del(0,0,m4sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m7sq*B0del(0,0,m4sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m7sq*B0del(0,0,m7sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m4sq*B0fin(0,0,m4sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m7sq*B0fin(0,0,m4sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m4sq*B0fin(0,0,m4sq)**2 + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4**4*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**6*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*(2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m7sq*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)*(m2sq - m4sq)**2*(m3sq - m4sq)**2*(4*m4sq - m7sq)*T134fin(m7,m4,m1) - (m1sq - m3sq)*(m1sq - m4sq)**2*(m3sq - m4sq)**2*(4*m4sq - m7sq)*T134fin(m7,m4,m2) + (m1sq - m2sq)*(m1sq - m4sq)**2*(m2sq - m4sq)**2*(4*m4sq - m7sq)*T134fin(m7,m4,m3) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*T134fin(m7,m4,m4) + 7*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*T134fin(m7,m4,m4) + 7*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*T134fin(m7,m4,m4) + 7*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4**4*T134fin(m7,m4,m4) - 11*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**6*T134fin(m7,m4,m4) - 3*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*T134fin(m7,m4,m4) - 3*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*T134fin(m7,m4,m4) + 3*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*T134fin(m7,m4,m4) + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*T134fin(m7,m4,m4) + m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*T134fin(m7,m4,m4) + (m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*T134fin(m7,m4,m4) + 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*m7sq*T134fin(m7,m4,m4) - 2*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*m7sq*T134fin(m7,m4,m4) + 2*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*m7sq*T134fin(m7,m4,m4) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*m7sq*T134fin(m7,m4,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)**2*(m2sq - m4sq)**2*(m3sq - m4sq)**2*(4*m4sq - m7sq))
		def eval_61():
			return (-2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m4sq*B0del(0,0,m4sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m6sq*B0del(0,0,m4sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m6sq*B0del(0,0,m6sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m4sq*B0fin(0,0,m4sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m6sq*B0fin(0,0,m4sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m4sq*B0fin(0,0,m4sq)**2 + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4**4*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**6*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*(2*m4 + m6 + 4*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m3sq - m4sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + (m2sq - m3sq)*(m2sq - m4sq)**2*(m3sq - m4sq)**2*(4*m4sq - m6sq)*T134fin(m6,m4,m1) - (m1sq - m3sq)*(m1sq - m4sq)**2*(m3sq - m4sq)**2*(4*m4sq - m6sq)*T134fin(m6,m4,m2) + (m1sq - m2sq)*(m1sq - m4sq)**2*(m2sq - m4sq)**2*(4*m4sq - m6sq)*T134fin(m6,m4,m3) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*T134fin(m6,m4,m4) + 7*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*T134fin(m6,m4,m4) + 7*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*T134fin(m6,m4,m4) + 7*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4**4*T134fin(m6,m4,m4) - 11*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**6*T134fin(m6,m4,m4) - 3*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*T134fin(m6,m4,m4) - 3*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*T134fin(m6,m4,m4) + 3*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*T134fin(m6,m4,m4) + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*T134fin(m6,m4,m4) + m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m6sq*T134fin(m6,m4,m4) + (m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m6sq*T134fin(m6,m4,m4) + 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4**4*m6sq*T134fin(m6,m4,m4) - 2*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*m6sq*T134fin(m6,m4,m4) + 2*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*m6sq*T134fin(m6,m4,m4) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m4sq*m6sq*T134fin(m6,m4,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m4sq)**2*(m2sq - m4sq)**2*(m3sq - m4sq)**2*(4*m4sq - m6sq))
		def eval_62():
			return ((7*m3sq*m6**4)/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**4*m6sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3sq*m7**4)/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m3**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) - (2*m6**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) - (2*m7**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) + (5*m6**4*(m6sq - m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3)/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**4*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m1sq*m3**4*m6sq*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m2sq*m3**4*m6sq*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3**6*m6sq*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*m6sq*m7sq)/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m6sq*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) + (m7sq*(-m6sq + m7sq)**3)/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3sq*(m6sq + m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)) - (4*m3**4*m6sq*m7sq*(m6sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m1sq*m3sq*m6sq*m7sq*(m6sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m2sq*m3sq*m6sq*m7sq*(m6sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m1sq*m2sq*m6sq*m7sq*(-m3sq + m6sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m3sq*m6sq*m7sq*B0del(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*m7sq*(-m6sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (6*m1sq*m3**4*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m2sq*m3**4*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m3**6*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*m6sq*m7sq*B0del(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m1sq*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m2sq*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (8*m3sq*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (18*m3**4*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m1sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m2sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m2sq*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (6*m1sq*m3**4*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m2sq*m3**4*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m3**6*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*m6sq*m7sq*B0del(0,0,m7sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m1sq*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m2sq*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (8*m3sq*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (18*m3**4*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m1sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m2sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m2sq*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*m7sq*(-m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (7*m3sq*m6**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**4*m6sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (7*m3sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m3sq))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**4*m7sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3sq*m6sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m3sq))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq + m2sq - 2*m3sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (7*m3sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**4*m6sq*B0fin(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m1sq*m3**4*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m2sq*m3**4*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3**6*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m1sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m2sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (8*m3sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (14*m3**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m1sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m2sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m2sq*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq + m2sq - 2*m3sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m3sq*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m3**4*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m6**4*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m7**4*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m6sq*m7sq*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m3sq*(m6sq + m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*(m1sq + m2sq - 2*m3sq)*(m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (7*m3sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3**4*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m1sq*m3**4*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m2sq*m3**4*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m3**6*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (3*m3sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m1sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (4*m2sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (8*m3sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (14*m3**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m1sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m2sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m2sq*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m3sq*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m3sq*(-m1sq - m2sq + 2*m3sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq + m2sq - 2*m3sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (6*m1sq*m3**4*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (6*m2sq*m3**4*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m3**6*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m1sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (4*m2sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (8*m3sq*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (18*m3**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m1sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) - (10*m2sq*m3sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*m1sq*m2sq*m6sq*m7sq*(-m3sq + m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*T134fin(m7,m6,m1))/((m1sq - m2sq)*(m1sq - m3sq)**3) - (2*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m3sq)**3) - (2*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m1sq - m3sq)**3) + (2*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m2sq - m3sq)**3) + (4*m6sq*m7sq*T134fin(m7,m6,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m6 - m7)**2*(m3 - m6 + m7)**2*(-m3 + m6 + m7)**2*(m3 + m6 + m7)**2) + (2*(m1sq + m2sq - 2*m3sq)*(m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))/2.
		def eval_63():
			return (2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m7sq*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m7sq*B0del(0,0,m7sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m7sq*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*B0fin(0,0,m3sq)**2 + m1sq*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m2sq*(-m1sq + m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*m3**6*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)**2*(m2sq - m5sq)*(m3sq - m5sq)**2*(4*m3sq - m7sq)*T134fin(m7,m3,m1) - (m1sq - m3sq)**2*(m1sq - m5sq)*(m3sq - m5sq)**2*(4*m3sq - m7sq)*T134fin(m7,m3,m2) + 7*m1sq*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m7,m3,m3) + 7*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m7,m3,m3) - 11*(m1sq - m2sq)*m3**6*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m7,m3,m3) - 3*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m7,m3,m3) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m7,m3,m3) + 7*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m7,m3,m3) - 3*m1sq*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m7,m3,m3) + 3*m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m7,m3,m3) + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m7sq*T134fin(m7,m3,m3) + 3*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*m7sq*T134fin(m7,m3,m3) - 2*m1sq*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m7sq*T134fin(m7,m3,m3) + 2*m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m7sq*T134fin(m7,m3,m3) + m1sq*(m1sq - m2sq)*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*m7sq*T134fin(m7,m3,m3) + (m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*m7sq*T134fin(m7,m3,m3) - 2*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*m7sq*T134fin(m7,m3,m3) + (m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(4*m3sq - m7sq)*T134fin(m7,m5,m3))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)**2*(4*m3sq - m7sq))
		def eval_64():
			return (2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m6sq*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m6sq*B0del(0,0,m6sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m6sq*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*B0fin(0,0,m3sq)**2 + m1sq*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - m2sq*(-m1sq + m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - (m1sq - m2sq)*m3**6*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + (m2sq - m3sq)**2*(m2sq - m5sq)*(m3sq - m5sq)**2*(4*m3sq - m6sq)*T134fin(m6,m3,m1) - (m1sq - m3sq)**2*(m1sq - m5sq)*(m3sq - m5sq)**2*(4*m3sq - m6sq)*T134fin(m6,m3,m2) + 7*m1sq*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m6,m3,m3) + 7*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m6,m3,m3) - 11*(m1sq - m2sq)*m3**6*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m6,m3,m3) - 3*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*T134fin(m6,m3,m3) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m6,m3,m3) + 7*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m6,m3,m3) - 3*m1sq*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m6,m3,m3) + 3*m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*T134fin(m6,m3,m3) + m1sq*(m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m6sq*T134fin(m6,m3,m3) + 3*(m1sq - m2sq)*m3**4*(m1sq - m5sq)*(m2sq - m5sq)*m6sq*T134fin(m6,m3,m3) - 2*m1sq*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m6sq*T134fin(m6,m3,m3) + 2*m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m6sq*T134fin(m6,m3,m3) + m1sq*(m1sq - m2sq)*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*m6sq*T134fin(m6,m3,m3) + (m1sq - m2sq)*m2sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*m6sq*T134fin(m6,m3,m3) - 2*(m1sq - m2sq)*m3sq*(m1sq - m5sq)*(m2sq - m5sq)*m5sq*m6sq*T134fin(m6,m3,m3) + (m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(4*m3sq - m6sq)*T134fin(m6,m5,m3))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m1sq - m5sq)*(m2sq - m5sq)*(m3sq - m5sq)**2*(4*m3sq - m6sq))
		def eval_65():
			return ((m2sq + m6sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(-(1/((m1sq - m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))) + 1/((m1sq - m2sq)*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)))*B0del(0,0,m6sq))/(m2sq - m4sq)**2 + ((m2sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(-(1/((m1sq - m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))) + 1/((m1sq - m2sq)*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)))*B0del(0,0,m7sq))/(m2sq - m4sq)**2 - ((m2sq + m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(-(1/((m1sq - m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))) + 1/((m1sq - m2sq)*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)))*B0fin(0,0,m6sq))/(m2sq - m4sq)**2 + (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + ((m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m2sq*m4**4*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(m2sq - m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m1sq*m4**4*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m4**6*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m1sq*m2sq*(m4sq - m6sq - m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m2sq*m4sq*(m6sq + m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(m2sq - m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m4**4*(m6sq + m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m1sq*m4sq*(m6sq + m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - ((m2sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(-(1/((m1sq - m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))) + 1/((m1sq - m2sq)*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)))*B0fin(0,0,m7sq))/(m2sq - m4sq)**2 + ((m2sq + m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(-(1/((m1sq - m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))) + 1/((m1sq - m2sq)*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m2sq - m4sq)**2 + T134fin(m7,m6,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)**2) + (2*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m4sq)**3) - (m2sq*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**3) + (m4sq*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**3) + ((m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m4sq)**2*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)) + (m1sq*m4**4*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m4**6*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m1sq*m2sq*(m4sq - m6sq - m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m1sq*(m6sq - m7sq)**2*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m2sq*(m6sq - m7sq)**2*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (3*m4sq*(m6sq - m7sq)**2*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m2sq*m4sq*(m6sq + m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(m2sq - m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (5*m4**4*(m6sq + m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (3*m1sq*m4sq*(m6sq + m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))
		def eval_66():
			return ((7*m2sq*m6**4)/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*m6sq)/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (7*m2sq*m7**4)/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m2**4)/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) - (2*m6**4)/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) - (2*m7**4)/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (5*m6**4*(m6sq - m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3)/(m2**2*(-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*m7sq)/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*m6sq*m7sq)/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (4*m6sq*m7sq)/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (m7sq*(-m6sq + m7sq)**3)/(m2**2*(-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*m2sq*(m6sq + m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (4*m6sq*m7sq*(-m2sq + m6sq + m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*m2sq*m6sq*m7sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*m7sq*(-m6sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m2sq*m6sq*m7sq*B0del(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m6sq*m7sq*(-m2sq + m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (4*(m1sq - 2*m2sq + m5sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m2sq*m6sq*m7sq*B0del(0,0,m7sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m6sq*m7sq*(-m2sq + m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (4*(m1sq - 2*m2sq + m5sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*m7sq*(-m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (7*m2sq*m6**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*m6sq*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (7*m2sq*m7**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*m7sq*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2sq*m6sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m2sq))/(m2**2*(-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - 2*m2sq + m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (7*m2sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*m6sq*B0fin(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m2**2*(-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m6sq*m7sq*(-m2sq + m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - 2*m2sq + m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (4*(m1sq - 2*m2sq + m5sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m2**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m6**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m7**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m6sq*m7sq*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m2sq*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*(m1sq - 2*m2sq + m5sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (7*m2sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*m7sq*B0fin(0,0,m7sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m2**2*(-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m6sq*m7sq*(-m2sq + m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (4*(m1sq - 2*m2sq + m5sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((-m1sq + m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + 2*m2sq - m5sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - 2*m2sq + m5sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(-m2sq + m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*(m1sq - 2*m2sq + m5sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*T134fin(m7,m6,m1))/((m1sq - m2sq)**3*(m1sq - m5sq)) - (2*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m5sq)**3) + (2*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m5sq)**2) - (2*T134fin(m7,m6,m2))/((m1sq - m2sq)**3*(m2sq - m5sq)) + (4*m6sq*m7sq*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m5sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - 2*m2sq + m5sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*T134fin(m7,m6,m5))/((m1sq - m5sq)*(-m2sq + m5sq)**3))/2.
		def eval_67():
			return (2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + (m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + (m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) - (m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + (2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) - (m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + (m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) + T134fin(m7,m2,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - m5sq)) + T134fin(m7,m2,m2)/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)**2) + T134fin(m7,m2,m2)/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2sq - m5sq)) - T134fin(m7,m2,m2)/((m1sq - m2sq)**2*(m2sq - m4sq)*(m2sq - m5sq)) - T134fin(m7,m2,m2)/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m7sq)) - T134fin(m7,m4,m2)/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - m5sq)) - T134fin(m7,m5,m2)/((m1sq - m5sq)*(m2sq - m5sq)**2*(-m4sq + m5sq))
		def eval_68():
			return (2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + (m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + (m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) - (m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + (2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) - (m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + (m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) + T134fin(m6,m2,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - m5sq)) + T134fin(m6,m2,m2)/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)**2) + T134fin(m6,m2,m2)/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2sq - m5sq)) - T134fin(m6,m2,m2)/((m1sq - m2sq)**2*(m2sq - m4sq)*(m2sq - m5sq)) - T134fin(m6,m2,m2)/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m2sq - m6sq)) - T134fin(m6,m4,m2)/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - m5sq)) - T134fin(m6,m5,m2)/((m1sq - m5sq)*(m2sq - m5sq)**2*(-m4sq + m5sq))
		def eval_69():
			return -(((m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))) - (m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(1/((m1sq - m3sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))))*B0del(0,0,m6sq))/(m1sq - m4sq)**2 - ((m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(1/((m1sq - m3sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))))*B0del(0,0,m7sq))/(m1sq - m4sq)**2 + ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(1/((m1sq - m3sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))))*B0fin(0,0,m6sq))/(m1sq - m4sq)**2 - (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - ((m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m4**4*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m4**6*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m3sq*m4**4*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m3sq - m4sq)**2*(-m1sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m1sq*m3sq*(m4sq - m6sq - m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m4**4*(m6sq + m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m1sq*m4sq*(m6sq + m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m3sq*m4sq*(m6sq + m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m3sq - m4sq)**2*(-m1sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(1/((m1sq - m3sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))))*B0fin(0,0,m7sq))/(m1sq - m4sq)**2 - ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(1/((m1sq - m3sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m1sq - m4sq)**2 - (3*m1sq*T134fin(m7,m6,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**3) + (2*m3sq*T134fin(m7,m6,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**3) + (m4sq*T134fin(m7,m6,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**3) + ((m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + T134fin(m7,m6,m3)/((m1sq - m3sq)**2*(m3sq - m4sq)**2) + (2*m4**6*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m3sq*m4**4*T134fin(m7,m6,m4))/((m3sq - m4sq)**2*(-m1sq + m4sq)**3*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m1sq*m3sq*(m4sq - m6sq - m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m1sq*(m6sq - m7sq)**2*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m3sq*(m6sq - m7sq)**2*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (3*m4sq*(m6sq - m7sq)**2*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (5*m4**4*(m6sq + m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m1sq*m4sq*(m6sq + m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (3*m3sq*m4sq*(m6sq + m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m3sq - m4sq)**2*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))
		def eval_70():
			return -(((m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))) - (m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m3sq + m6sq - m7sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(1/((m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))*B0del(0,0,m6sq))/(m1sq - m3sq)**2 - ((m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m3sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(1/((m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))*B0del(0,0,m7sq))/(m1sq - m3sq)**2 + ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m3sq + m6sq - m7sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(1/((m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))*B0fin(0,0,m6sq))/(m1sq - m3sq)**2 - (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m3sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m6sq*m7sq*(1/((m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))*B0fin(0,0,m7sq))/(m1sq - m3sq)**2 - ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m3sq + m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(1/((m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + 1/((m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m1sq - m3sq)**2 - (3*m1sq*T134fin(m7,m6,m1))/((m1sq - m3sq)**3*(m1sq - m5sq)**2) + (m3sq*T134fin(m7,m6,m1))/((m1sq - m3sq)**3*(m1sq - m5sq)**2) + (2*m5sq*T134fin(m7,m6,m1))/((m1sq - m3sq)**3*(m1sq - m5sq)**2) + ((m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m1sq - m3sq)**2*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*T134fin(m7,m6,m3))/((m1sq - m3sq)**3*(m3sq - m5sq)**2) + (m3sq*T134fin(m7,m6,m3))/((m1sq - m3sq)**3*(m3sq - m5sq)**2) + (2*T134fin(m7,m6,m3))/((m1sq - m3sq)**3*(m3sq - m5sq)) + ((m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m1sq - m3sq)**2*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + T134fin(m7,m6,m5)/((m1sq - m5sq)**2*(m3sq - m5sq)**2)
		def eval_71():
			return ((7*m1sq*m6**4)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*m6sq)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*m7**4)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1**4)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (2*m6**4)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (2*m7**4)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (5*m6**4*(m6sq - m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3)/(m1**2*(m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*m7sq)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*m6sq*m7sq)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m6sq*m7sq)/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (m7sq*(-m6sq + m7sq)**3)/(m1**2*(m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m1sq*(m6sq + m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (4*m6sq*m7sq*(-m1sq + m6sq + m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(2*m1sq - m4sq - m5sq)*m6sq*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(2*m1sq - m4sq - m5sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m1sq*(2*m1sq - m4sq - m5sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*(m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m1sq*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(2*m1sq - m4sq - m5sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(2*m1sq - m4sq - m5sq)*m6sq*(m6sq - m7sq)*B0del(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (4*(-2*m1sq + m4sq + m5sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m1sq*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(2*m1sq - m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (4*(-2*m1sq + m4sq + m5sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (7*m1sq*m6**4*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m6sq*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(-m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(2*m1sq - m4sq - m5sq)*m6sq*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m1sq*(2*m1sq - m4sq - m5sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (7*m1sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(2*m1sq - m4sq - m5sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (4*(-2*m1sq + m4sq + m5sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(2*m1sq - m4sq - m5sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(2*m1sq - m4sq - m5sq)*m6sq*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m7**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(2*m1sq - m4sq - m5sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(-m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(2*m1sq - m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (4*(-2*m1sq + m4sq + m5sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*m7sq*(-m6sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(2*m1sq - m4sq - m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(2*m1sq - m4sq - m5sq)*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(-2*m1sq + m4sq + m5sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*T134fin(m7,m6,m1))/((m1sq - m4sq)*(m1sq - m5sq)**3) + (2*T134fin(m7,m6,m1))/((m1sq - m4sq)**2*(m1sq - m5sq)**2) + (2*T134fin(m7,m6,m1))/((m1sq - m4sq)**3*(m1sq - m5sq)) - (4*m6sq*m7sq*T134fin(m7,m6,m1))/((m1sq - m4sq)*(m1sq - m5sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(2*m1sq - m4sq - m5sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m1sq - m4sq)**2*(m1sq - m5sq)**2*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*T134fin(m7,m6,m4))/((m1sq - m4sq)**3*(m4sq - m5sq)) - (2*T134fin(m7,m6,m5))/((m1sq - m5sq)**3*(-m4sq + m5sq)))/2.
		def eval_72():
			return (2*m1sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) - (m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) - (m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) - (2*m1sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) + (m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) + (m1sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) - (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) + (m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) - (m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) - T134fin(m7,m1,m1)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)**2) - T134fin(m7,m1,m1)/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1sq - m5sq)) - T134fin(m7,m1,m1)/((m1sq - m3sq)**2*(m1sq - m4sq)*(m1sq - m5sq)) + T134fin(m7,m1,m1)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m7sq)) + T134fin(m7,m3,m1)/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - m5sq)) + T134fin(m7,m4,m1)/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - m5sq)) + T134fin(m7,m5,m1)/((m1sq - m5sq)**2*(-m3sq + m5sq)*(-m4sq + m5sq))
		def eval_73():
			return (2*m1sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) - (m6sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) - (m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) - (2*m1sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) + (m6sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) + (m1sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) - (2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) + (m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) - (m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) - T134fin(m6,m1,m1)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)**2) - T134fin(m6,m1,m1)/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1sq - m5sq)) - T134fin(m6,m1,m1)/((m1sq - m3sq)**2*(m1sq - m4sq)*(m1sq - m5sq)) + T134fin(m6,m1,m1)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(4*m1sq - m6sq)) + T134fin(m6,m3,m1)/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - m5sq)) + T134fin(m6,m4,m1)/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - m5sq)) + T134fin(m6,m5,m1)/((m1sq - m5sq)**2*(-m3sq + m5sq)*(-m4sq + m5sq))
		def eval_74():
			return ((m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (m6sq*(m4sq - m6sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + ((m4sq - m6sq - m7sq)*(m4 + m6 + m7 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + ((m4sq + m6sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq))) + T134fin(m7,m6,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)**2) - T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)**2) - T134fin(m7,m6,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)**2) - T134fin(m7,m6,m4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)**2) + T134fin(m7,m6,m4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)**2) + T134fin(m7,m6,m4)/((m1sq - m2sq)*(m1sq - m3sq)*(m3sq - m4sq)**2) - T134fin(m7,m6,m4)/((m1sq - m2sq)*(m2sq - m3sq)*(m3sq - m4sq)**2) - ((m4sq - m6sq - m7sq)*T134fin(m7,m6,m4))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m6sq - m7sq)**2 - 2*m4sq*(m6sq + m7sq)))
		def eval_75():
			return ((m3sq + m6sq - m7sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m3sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m3sq + m6sq - m7sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m3sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m3sq + m6sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + T134fin(m7,m6,m1)/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1sq - m5sq)) - T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2sq - m5sq)) + T134fin(m7,m6,m3)/((m1sq - m2sq)*(m1sq - m3sq)*(m3sq - m5sq)**2) - T134fin(m7,m6,m3)/((m1sq - m2sq)*(m2sq - m3sq)*(m3sq - m5sq)**2) - T134fin(m7,m6,m3)/((m1sq - m2sq)*(m1sq - m3sq)**2*(m3sq - m5sq)) + T134fin(m7,m6,m3)/((m1sq - m2sq)*(m2sq - m3sq)**2*(m3sq - m5sq)) - ((m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - T134fin(m7,m6,m5)/((m1sq - m5sq)*(m3sq - m5sq)**2*(-m2sq + m5sq))
		def eval_76():
			return ((m2sq + m6sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m2sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m2sq + m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m2sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m2sq + m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + T134fin(m7,m6,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - m5sq)) + T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)**2) + T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m4sq)**2*(m2sq - m5sq)) - T134fin(m7,m6,m2)/((m1sq - m2sq)**2*(m2sq - m4sq)*(m2sq - m5sq)) + ((m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m5sq)*(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2)) - T134fin(m7,m6,m4)/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - m5sq)) - T134fin(m7,m6,m5)/((m1sq - m5sq)*(m2sq - m5sq)**2*(-m4sq + m5sq))
		def eval_77():
			return -(((m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))) - (m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq + m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq + m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - T134fin(m7,m6,m1)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)**2) - T134fin(m7,m6,m1)/((m1sq - m3sq)*(m1sq - m4sq)**2*(m1sq - m5sq)) - T134fin(m7,m6,m1)/((m1sq - m3sq)**2*(m1sq - m4sq)*(m1sq - m5sq)) + ((m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + T134fin(m7,m6,m3)/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - m5sq)) + T134fin(m7,m6,m4)/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - m5sq)) + T134fin(m7,m6,m5)/((m1sq - m5sq)**2*(-m3sq + m5sq)*(-m4sq + m5sq))
		def eval_78():
			return T134fin(m7,m6,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m5sq)) - T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - m5sq)) - T134fin(m7,m6,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - m5sq)) - T134fin(m7,m6,m4)/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - m5sq)) - T134fin(m7,m6,m5)/((m1sq - m5sq)*(-m2sq + m5sq)*(-m3sq + m5sq)*(-m4sq + m5sq))

		cond_m1_0 = cond(m1, 0)
		cond_m2_0 = cond(m2, 0)
		cond_m3_0 = cond(m3, 0)
		cond_m4_0 = cond(m4, 0)
		cond_m5_0 = cond(m5, 0)
		cond_m6_0 = cond(m6, 0)
		cond_m7_0 = cond(m7, 0)
		cond_m7_m6 = cond(m7, m6)
		cond_m7_m5 = cond(m7, m5)
		cond_m6_m5 = cond(m6, m5)
		cond_m7_m4 = cond(m7, m4)
		cond_m6_m4 = cond(m6, m4)
		cond_m5_m4 = cond(m5, m4)
		cond_m7_m3 = cond(m7, m3)
		cond_m6_m3 = cond(m6, m3)
		cond_m5_m3 = cond(m5, m3)
		cond_m4_m3 = cond(m4, m3)
		cond_m7_m2 = cond(m7, m2)
		cond_m6_m2 = cond(m6, m2)
		cond_m5_m2 = cond(m5, m2)
		cond_m4_m2 = cond(m4, m2)
		cond_m3_m2 = cond(m3, m2)
		cond_m7_m1 = cond(m7, m1)
		cond_m6_m1 = cond(m6, m1)
		cond_m5_m1 = cond(m5, m1)
		cond_m4_m1 = cond(m4, m1)
		cond_m3_m1 = cond(m3, m1)
		cond_m2_m1 = cond(m2, m1)

		conditions = [
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_2()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_7()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_7()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_11()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_7()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_7()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_23()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_24()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_9()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_9()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_23()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_24()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_23()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_24()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_23()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_24()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_9()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_9()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_24()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_24()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_24()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_48()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_50()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_49()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_49()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_49()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_51()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_51()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_50()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_49()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_12()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_49()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_49()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_9()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_52()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0, lambda: eval_14()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_14()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_14()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_77()),
			(cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_77()),
			(cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_15()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_21()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_22()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_15()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_21()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_21()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_21()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_21()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_30()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_31()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_44()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_15()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_15()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_51()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_51()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_33()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_33()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_33()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_16()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_30()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_31()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_30()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_31()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_30()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_31()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_30()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_31()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_45()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_44()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_45()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_44()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_51()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_44()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_44()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_44()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_44()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_44()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_44()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_15()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_15()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_15()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_15()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_32()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_18()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_61()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_60()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_64()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_64()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_51()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_68()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_68()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_68()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_18()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_61()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_60()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_16()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_64()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_64()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_18()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_61()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_60()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_61()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_60()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_61()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_60()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_16()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_64()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_64()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_64()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_64()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_64()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_64()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_17()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_74()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_17()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_69()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_74()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_69()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_66()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_71()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_68()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_71()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4, lambda: eval_69()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3, lambda: eval_69()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0, lambda: eval_69()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2, lambda: eval_70()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_69()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_69()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_69()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_74()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_78()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_18()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_78()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_78()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_74()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_78()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_78()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_69()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_78()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_75()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_78()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_78()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0, lambda: eval_70()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1, lambda: eval_70()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_76()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_77()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_77()),
			(cond_m1_0 and cond_m2_0, lambda: eval_77()),
			(cond_m1_0 and cond_m3_0, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0, lambda: eval_77()),
			(cond_m1_0 and cond_m5_0, lambda: eval_77()),
			(cond_m1_0 and cond_m6_0, lambda: eval_78()),
			(cond_m1_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_0, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0, lambda: eval_77()),
			(cond_m2_0 and cond_m5_0, lambda: eval_77()),
			(cond_m2_0 and cond_m6_0, lambda: eval_78()),
			(cond_m2_0 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_0, lambda: eval_77()),
			(cond_m3_0 and cond_m5_0, lambda: eval_77()),
			(cond_m3_0 and cond_m6_0, lambda: eval_78()),
			(cond_m3_0 and cond_m7_0, lambda: eval_78()),
			(cond_m4_0 and cond_m5_0, lambda: eval_77()),
			(cond_m4_0 and cond_m6_0, lambda: eval_78()),
			(cond_m4_0 and cond_m7_0, lambda: eval_78()),
			(cond_m5_0 and cond_m6_0, lambda: eval_78()),
			(cond_m5_0 and cond_m7_0, lambda: eval_78()),
			(cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_20()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_62()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_62()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_21()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_22()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_23()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_24()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_23()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_24()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_23()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_24()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_23()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_24()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_39()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_40()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_39()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_40()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_39()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_39()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_39()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_39()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_27()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_27()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_27()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_27()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_27()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_27()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_29()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_29()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_29()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_29()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_74()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_30()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_31()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_45()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_44()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_45()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_44()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_33()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_33()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_33()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_74()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_50()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_50()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_49()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_49()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_49()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_74()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_51()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_52()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_52()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_52()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_55()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_55()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_55()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_55()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_56()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_59()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_37()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_36()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_37()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_36()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_37()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_36()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_37()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_36()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_37()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_36()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_37()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_74()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_75()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_62()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m6, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_76()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4, lambda: eval_65()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2, lambda: eval_65()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_74()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_75()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_78()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_74()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_78()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_62()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_74()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_78()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_61()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_60()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_74()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_74()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_75()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_78()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_75()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_62()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_64()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_78()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_64()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_75()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_75()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_78()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_75()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_78()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_65()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_78()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_65()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_65()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_78()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_76()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_66()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_78()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_68()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_66()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_68()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_78()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_68()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m6, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_76()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m6, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_74()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4, lambda: eval_65()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1, lambda: eval_65()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_76()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_74()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_74()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_76()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_78()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_76()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_77()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_78()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_74()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_69()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_74()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_78()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_69()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_78()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2, lambda: eval_65()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_78()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_75()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_70()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_78()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_66()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_66()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_71()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_78()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_71()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_73()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_73()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_71()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_73()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_78()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_73()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m7_m6, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m1_0 and cond_m5_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m6_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m1_0 and cond_m4_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m5_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m6_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m4_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m5_m2, lambda: eval_76()),
			(cond_m1_0 and cond_m6_m2, lambda: eval_78()),
			(cond_m1_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m2_0 and cond_m7_m6, lambda: eval_78()),
			(cond_m2_0 and cond_m6_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m2_0 and cond_m5_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m6_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m2_0 and cond_m4_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m5_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m6_m3, lambda: eval_78()),
			(cond_m2_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m3_0 and cond_m7_m6, lambda: eval_78()),
			(cond_m3_0 and cond_m6_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m3_0 and cond_m5_m4, lambda: eval_74()),
			(cond_m3_0 and cond_m6_m4, lambda: eval_78()),
			(cond_m3_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m4_0 and cond_m7_m6, lambda: eval_78()),
			(cond_m4_0 and cond_m6_m5, lambda: eval_78()),
			(cond_m4_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m5_0 and cond_m7_m6, lambda: eval_78()),
			(cond_m6_0 and cond_m7_m5, lambda: eval_78()),
			(cond_m6_m5 and cond_m7_0, lambda: eval_78()),
			(cond_m5_0 and cond_m6_m4, lambda: eval_78()),
			(cond_m5_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_m4 and cond_m6_0, lambda: eval_74()),
			(cond_m5_m4 and cond_m7_0, lambda: eval_74()),
			(cond_m6_0 and cond_m7_m4, lambda: eval_78()),
			(cond_m6_m4 and cond_m7_0, lambda: eval_78()),
			(cond_m4_0 and cond_m5_m3, lambda: eval_74()),
			(cond_m4_0 and cond_m6_m3, lambda: eval_78()),
			(cond_m4_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_m3 and cond_m5_0, lambda: eval_74()),
			(cond_m4_m3 and cond_m6_0, lambda: eval_75()),
			(cond_m5_0 and cond_m6_m3, lambda: eval_78()),
			(cond_m5_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m5_m3 and cond_m6_0, lambda: eval_75()),
			(cond_m4_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m5_m3 and cond_m7_0, lambda: eval_75()),
			(cond_m6_0 and cond_m7_m3, lambda: eval_78()),
			(cond_m6_m3 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m5_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m6_m2, lambda: eval_78()),
			(cond_m3_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m4_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m5_0, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m2, lambda: eval_75()),
			(cond_m4_0 and cond_m6_m2, lambda: eval_78()),
			(cond_m4_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m4_m2 and cond_m5_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m6_0, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_0, lambda: eval_76()),
			(cond_m5_0 and cond_m6_m2, lambda: eval_78()),
			(cond_m5_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m5_m2 and cond_m6_0, lambda: eval_76()),
			(cond_m3_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m4_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m5_m2 and cond_m7_0, lambda: eval_76()),
			(cond_m6_0 and cond_m7_m2, lambda: eval_78()),
			(cond_m6_m2 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m4_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m5_m1, lambda: eval_76()),
			(cond_m2_0 and cond_m6_m1, lambda: eval_78()),
			(cond_m2_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m5_m1, lambda: eval_76()),
			(cond_m3_0 and cond_m6_m1, lambda: eval_78()),
			(cond_m3_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m5_0, lambda: eval_76()),
			(cond_m3_m1 and cond_m5_0, lambda: eval_76()),
			(cond_m4_0 and cond_m5_m1, lambda: eval_76()),
			(cond_m4_0 and cond_m6_m1, lambda: eval_78()),
			(cond_m4_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m4_m1 and cond_m5_0, lambda: eval_76()),
			(cond_m2_m1 and cond_m6_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_0, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_0, lambda: eval_77()),
			(cond_m5_0 and cond_m6_m1, lambda: eval_78()),
			(cond_m5_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m5_m1 and cond_m6_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m4_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m5_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m6_0 and cond_m7_m1, lambda: eval_78()),
			(cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0, lambda: eval_78()),
			(cond_m2_0, lambda: eval_78()),
			(cond_m3_0, lambda: eval_78()),
			(cond_m4_0, lambda: eval_78()),
			(cond_m5_0, lambda: eval_78()),
			(cond_m6_0, lambda: eval_78()),
			(cond_m7_0, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_43()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_62()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_75()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_62()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_75()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_62()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_65()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_65()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_65()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_76()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_65()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_62()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_76()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_66()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_66()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_76()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_65()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_76()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_77()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_69()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_69()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_69()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_69()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_77()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_69()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_62()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_62()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_77()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m6, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_70()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m6, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_70()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m6, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_70()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_70()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_70()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_77()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_74()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m5, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m3, lambda: eval_69()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m2, lambda: eval_69()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m5, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m4, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m3, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1, lambda: eval_65()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m2, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m1, lambda: eval_65()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1, lambda: eval_51()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_66()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_66()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_77()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m6, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_71()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_71()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_71()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_77()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_69()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_69()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_75()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_70()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_59()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_59()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_71()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_71()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m6_m5 and cond_m7_m5, lambda: eval_78()),
			(cond_m5_m4 and cond_m7_m6, lambda: eval_74()),
			(cond_m6_m4 and cond_m7_m5, lambda: eval_78()),
			(cond_m6_m5 and cond_m7_m4, lambda: eval_78()),
			(cond_m5_m4 and cond_m6_m4, lambda: eval_74()),
			(cond_m5_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m6_m4 and cond_m7_m4, lambda: eval_78()),
			(cond_m4_m3 and cond_m7_m6, lambda: eval_75()),
			(cond_m5_m3 and cond_m7_m6, lambda: eval_75()),
			(cond_m6_m3 and cond_m7_m5, lambda: eval_78()),
			(cond_m6_m5 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_m3 and cond_m6_m5, lambda: eval_75()),
			(cond_m4_m3 and cond_m7_m5, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m4, lambda: eval_75()),
			(cond_m5_m3 and cond_m7_m4, lambda: eval_75()),
			(cond_m5_m4 and cond_m6_m3, lambda: eval_74()),
			(cond_m5_m4 and cond_m7_m3, lambda: eval_74()),
			(cond_m6_m3 and cond_m7_m4, lambda: eval_78()),
			(cond_m6_m4 and cond_m7_m3, lambda: eval_78()),
			(cond_m4_m3 and cond_m5_m3, lambda: eval_62()),
			(cond_m4_m3 and cond_m6_m3, lambda: eval_75()),
			(cond_m4_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m5_m3 and cond_m6_m3, lambda: eval_75()),
			(cond_m5_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m6_m3 and cond_m7_m3, lambda: eval_78()),
			(cond_m3_m2 and cond_m7_m6, lambda: eval_76()),
			(cond_m4_m2 and cond_m7_m6, lambda: eval_76()),
			(cond_m5_m2 and cond_m7_m6, lambda: eval_76()),
			(cond_m6_m2 and cond_m7_m5, lambda: eval_78()),
			(cond_m6_m5 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m6_m5, lambda: eval_76()),
			(cond_m3_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m6_m5, lambda: eval_76()),
			(cond_m4_m2 and cond_m7_m5, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m4, lambda: eval_76()),
			(cond_m5_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m5_m4 and cond_m6_m2, lambda: eval_74()),
			(cond_m5_m4 and cond_m7_m2, lambda: eval_74()),
			(cond_m6_m2 and cond_m7_m4, lambda: eval_78()),
			(cond_m6_m4 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m5_m4, lambda: eval_65()),
			(cond_m3_m2 and cond_m6_m4, lambda: eval_76()),
			(cond_m3_m2 and cond_m7_m4, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m3, lambda: eval_65()),
			(cond_m4_m2 and cond_m6_m3, lambda: eval_76()),
			(cond_m4_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m4_m3 and cond_m5_m2, lambda: eval_65()),
			(cond_m4_m3 and cond_m6_m2, lambda: eval_75()),
			(cond_m4_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m5_m2 and cond_m6_m3, lambda: eval_76()),
			(cond_m5_m2 and cond_m7_m3, lambda: eval_76()),
			(cond_m5_m3 and cond_m6_m2, lambda: eval_75()),
			(cond_m5_m3 and cond_m7_m2, lambda: eval_75()),
			(cond_m6_m2 and cond_m7_m3, lambda: eval_78()),
			(cond_m6_m3 and cond_m7_m2, lambda: eval_78()),
			(cond_m3_m2 and cond_m4_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m5_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m6_m2, lambda: eval_76()),
			(cond_m3_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m4_m2 and cond_m5_m2, lambda: eval_66()),
			(cond_m4_m2 and cond_m6_m2, lambda: eval_76()),
			(cond_m4_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m5_m2 and cond_m6_m2, lambda: eval_76()),
			(cond_m5_m2 and cond_m7_m2, lambda: eval_76()),
			(cond_m6_m2 and cond_m7_m2, lambda: eval_78()),
			(cond_m2_m1 and cond_m7_m6, lambda: eval_77()),
			(cond_m3_m1 and cond_m7_m6, lambda: eval_77()),
			(cond_m4_m1 and cond_m7_m6, lambda: eval_77()),
			(cond_m5_m1 and cond_m7_m6, lambda: eval_77()),
			(cond_m6_m1 and cond_m7_m5, lambda: eval_78()),
			(cond_m6_m5 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m6_m5, lambda: eval_77()),
			(cond_m2_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m6_m5, lambda: eval_77()),
			(cond_m3_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m6_m5, lambda: eval_77()),
			(cond_m4_m1 and cond_m7_m5, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m4, lambda: eval_77()),
			(cond_m5_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m5_m4 and cond_m6_m1, lambda: eval_74()),
			(cond_m5_m4 and cond_m7_m1, lambda: eval_74()),
			(cond_m6_m1 and cond_m7_m4, lambda: eval_78()),
			(cond_m6_m4 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m5_m4, lambda: eval_69()),
			(cond_m2_m1 and cond_m6_m4, lambda: eval_77()),
			(cond_m2_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m5_m4, lambda: eval_69()),
			(cond_m3_m1 and cond_m6_m4, lambda: eval_77()),
			(cond_m3_m1 and cond_m7_m4, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m3, lambda: eval_69()),
			(cond_m4_m1 and cond_m6_m3, lambda: eval_77()),
			(cond_m4_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_m3 and cond_m5_m1, lambda: eval_69()),
			(cond_m4_m3 and cond_m6_m1, lambda: eval_75()),
			(cond_m4_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m5_m1 and cond_m6_m3, lambda: eval_77()),
			(cond_m5_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m5_m3 and cond_m6_m1, lambda: eval_75()),
			(cond_m5_m3 and cond_m7_m1, lambda: eval_75()),
			(cond_m6_m1 and cond_m7_m3, lambda: eval_78()),
			(cond_m6_m3 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m4_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m5_m3, lambda: eval_70()),
			(cond_m2_m1 and cond_m6_m3, lambda: eval_77()),
			(cond_m2_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m5_m2, lambda: eval_70()),
			(cond_m3_m1 and cond_m6_m2, lambda: eval_77()),
			(cond_m3_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m5_m1, lambda: eval_70()),
			(cond_m3_m2 and cond_m6_m1, lambda: eval_76()),
			(cond_m3_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m4_m1 and cond_m5_m2, lambda: eval_70()),
			(cond_m4_m1 and cond_m6_m2, lambda: eval_77()),
			(cond_m4_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_m2 and cond_m5_m1, lambda: eval_70()),
			(cond_m4_m2 and cond_m6_m1, lambda: eval_76()),
			(cond_m4_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m5_m1 and cond_m6_m2, lambda: eval_77()),
			(cond_m5_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m5_m2 and cond_m6_m1, lambda: eval_76()),
			(cond_m5_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m6_m1 and cond_m7_m2, lambda: eval_78()),
			(cond_m6_m2 and cond_m7_m1, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m4_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m5_m1, lambda: eval_71()),
			(cond_m2_m1 and cond_m6_m1, lambda: eval_77()),
			(cond_m2_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m5_m1, lambda: eval_71()),
			(cond_m3_m1 and cond_m6_m1, lambda: eval_77()),
			(cond_m3_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m4_m1 and cond_m5_m1, lambda: eval_71()),
			(cond_m4_m1 and cond_m6_m1, lambda: eval_77()),
			(cond_m4_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m5_m1 and cond_m6_m1, lambda: eval_77()),
			(cond_m5_m1 and cond_m7_m1, lambda: eval_77()),
			(cond_m6_m1 and cond_m7_m1, lambda: eval_78()),
			(cond_m7_m6, lambda: eval_78()),
			(cond_m6_m5, lambda: eval_78()),
			(cond_m7_m5, lambda: eval_78()),
			(cond_m5_m4, lambda: eval_74()),
			(cond_m6_m4, lambda: eval_78()),
			(cond_m7_m4, lambda: eval_78()),
			(cond_m4_m3, lambda: eval_75()),
			(cond_m5_m3, lambda: eval_75()),
			(cond_m6_m3, lambda: eval_78()),
			(cond_m7_m3, lambda: eval_78()),
			(cond_m3_m2, lambda: eval_76()),
			(cond_m4_m2, lambda: eval_76()),
			(cond_m5_m2, lambda: eval_76()),
			(cond_m6_m2, lambda: eval_78()),
			(cond_m7_m2, lambda: eval_78()),
			(cond_m2_m1, lambda: eval_77()),
			(cond_m3_m1, lambda: eval_77()),
			(cond_m4_m1, lambda: eval_77()),
			(cond_m5_m1, lambda: eval_77()),
			(cond_m6_m1, lambda: eval_78()),
			(cond_m7_m1, lambda: eval_78()),
			(True, lambda: eval_78())
		]

		for condition,action in conditions:
			if condition:
				return action()

	except Exception as e:
		raise Exception(f"There was an error when evaluating the T1111134 integral with masses {m1}, {m2}, {m3}, {m4}, {m5}, {m6}, {m7} from {e}")