# This file is automatically generated. Do not modify it manually!
from functools import lru_cache
import numpy as np

from .config import cond
from .OneLoop import B0fin, B0del
from .T134 import T134fin


@lru_cache(maxsize=150)
def T1111334(m1: float, m2: float, m3: float, m4: float, m5: float, m6: float, m7) -> float:
	""" Computes the UV-finite part of the T1111334 integral.

	Args:
		m1: internal mass
		m2: internal mass
		m3: internal mass
		m4: internal mass
		m5: internal mass
		m6: internal mass
		m7: internal mass

	Returns:
		finite part of the T1111334 integral.
	"""

	try:

		m1, m2, m3, m4 = np.sort([m1, m2, m3, m4])
		m5, m6 = np.sort([m5, m6])
		

		m1sq = m1**2
		m2sq = m2**2
		m3sq = m3**2
		m4sq = m4**2
		m5sq = m5**2
		m6sq = m6**2
		m7sq = m7**2

		def eval_1():
			return 0
		def eval_2():
			return -0.16666666666666666*(1 + 2*B0fin(0,0,m6))/m6**7
		def eval_3():
			return (m4 + 2*m4*B0fin(0,0,m4) - T134fin(m4,0,0))/m4**8
		def eval_4():
			return -0.5*(15*m4 + 6*m4*B0fin(0,0,m4) + m4sq*(6 + 2*B0del(0,0,m4sq) - 6*B0fin(0,0,m4sq) + B0fin(0,0,m4sq)**2) - 10*T134fin(m4,0,0))/m4**8
		def eval_5():
			return (-3*m3 - 2*m3*B0fin(0,0,m3) + 2*T134fin(m3,0,0))/m3**8
		def eval_6():
			return -0.5*(m4**4 + 2*m4sq*m6sq - 2*(m4**4 - 2*m4sq*m6sq)*B0fin(0,0,m6) + 2*m6**3*T134fin(m4,0,0) - 2*m4sq*m6*T134fin(m6,0,0) + 2*m6**3*T134fin(m6,0,0) - 2*m6**3*T134fin(m6,m4,0))/(m4**6*m6**5)
		def eval_7():
			return (-(m3**6*m4) + m3*m4**6 + 2*m3*m4**6*B0fin(0,0,m3) - 2*m3**6*m4*B0fin(0,0,m4) - m4**6*T134fin(m3,0,0) + m3**6*T134fin(m4,0,0))/(m3**6*m4**6*(m3sq - m4sq))
		def eval_8():
			return (-8 + 15*B0fin(0,0,m5sq))/(450.*m5**6)
		def eval_9():
			return (31 - 30*B0fin(0,0,m6sq))/(900.*m6**4*(-m5sq + m6sq)) + (m5sq*m6sq*(-16*m5sq*m6sq + 3*(m5sq + m6sq)**2*B0del(0,0,m5sq) + 3*(m5sq + m6sq)**2*B0del(0,0,m6sq) + m5**4*B0fin(0,0,m5sq) + m6**4*B0fin(0,0,m5sq) + 18*m5sq*m6sq*B0fin(0,0,m5sq) + m5**4*B0fin(0,0,m6sq) + m6**4*B0fin(0,0,m6sq) + 18*m5sq*m6sq*B0fin(0,0,m6sq) + 3*m5**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 3*m6**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 6*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq)))/(3.*(m5sq - m6sq)**7) + ((m5sq + m6sq)*(24*m5sq*(m5 + m6)*m6sq - (m5sq + m6sq)**2*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - 12*m5sq*m6sq*T134fin(m6,m5,0)))/(6.*(m5sq - m6sq)**7)
		def eval_10():
			return -0.3333333333333333*(-2*m5**7 - 2*m5**6*m7 + 21*m5**4*m7**3 + 54*m5**3*m7**4 - 20*m5**4*m7**4 + 54*m5sq*m7**5 + 7*m5*m7**6 - 22*m5sq*m7**6 + 7*m7**7 + 21*m5**5*m7sq + 2*m5**6*m7sq + 3*(9*m5**4*m7**4 + 7*m5sq*m7**6 + m7**8 + 3*m5**6*m7sq)*B0del(0,0,m5sq) + 3*(9*m5**4*m7**4 + 7*m5sq*m7**6 + m7**8 + 3*m5**6*m7sq)*B0del(0,0,m7sq) - 2*m5**7*B0fin(0,0,m5) - 30*m5**3*m7**4*B0fin(0,0,m5) - 8*m5*m7**6*B0fin(0,0,m5) - 24*m5**5*m7sq*B0fin(0,0,m5) + 81*m5**4*m7**4*B0fin(0,0,m5sq) + 41*m5sq*m7**6*B0fin(0,0,m5sq) - 3*m7**8*B0fin(0,0,m5sq) + 5*m5**6*m7sq*B0fin(0,0,m5sq) - 2*m5**6*m7*B0fin(0,0,m7) - 24*m5**4*m7**3*B0fin(0,0,m7) - 30*m5sq*m7**5*B0fin(0,0,m7) - 8*m7**7*B0fin(0,0,m7) + 81*m5**4*m7**4*B0fin(0,0,m7sq) + 41*m5sq*m7**6*B0fin(0,0,m7sq) - 3*m7**8*B0fin(0,0,m7sq) + 5*m5**6*m7sq*B0fin(0,0,m7sq) + 27*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 21*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 36*m5sq*m7**4*T134fin(m7,m5,0) - 6*m7**6*T134fin(m7,m5,0) - 18*m5**4*m7sq*T134fin(m7,m5,0))/(m5sq - m7sq)**7
		def eval_11():
			return (((m5sq - m6sq)**6*(31 - 30*B0fin(0,0,m5sq)))/m5**4 - 300*m5sq*m6sq*(-16*m5sq*m6sq + 3*(m5sq + m6sq)**2*B0del(0,0,m5sq) + 3*(m5sq + m6sq)**2*B0del(0,0,m6sq) + m5**4*B0fin(0,0,m5sq) + m6**4*B0fin(0,0,m5sq) + 18*m5sq*m6sq*B0fin(0,0,m5sq) + m5**4*B0fin(0,0,m6sq) + m6**4*B0fin(0,0,m6sq) + 18*m5sq*m6sq*B0fin(0,0,m6sq) + 3*m5**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 3*m6**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 6*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq)) + 150*(m5sq + m6sq)*(-24*m5sq*(m5 + m6)*m6sq + (m5sq + m6sq)**2*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 12*m5sq*m6sq*T134fin(m6,m5,0)))/(900.*(m5sq - m6sq)**7)
		def eval_12():
			return (16*m6**4*m7**4*(m5sq - m7sq)**6 - 16*m5**4*m7**4*(m6sq - m7sq)**6 + 12*m5sq*(m5 + m7)*(m6sq - m7sq)**6*m7sq*(m5sq + m7sq) - 12*m6sq*(m6 + m7)*(m5sq - m7sq)**6*m7sq*(m6sq + m7sq) + 3*m5sq*(-(m6sq*m7) + m7**3)**6*B0del(0,0,m5sq) + 6*m5**4*m7**4*(m6sq - m7sq)**6*B0del(0,0,m5sq) + 3*m5**6*(m6sq - m7sq)**6*m7sq*B0del(0,0,m5sq) - 3*m6sq*(-(m5sq*m7) + m7**3)**6*B0del(0,0,m6sq) - 6*m6**4*m7**4*(m5sq - m7sq)**6*B0del(0,0,m6sq) - 3*m6**6*(m5sq - m7sq)**6*m7sq*B0del(0,0,m6sq) - 3*m6sq*(-(m5sq*m7) + m7**3)**6*B0del(0,0,m7sq) + 3*m5sq*(-(m6sq*m7) + m7**3)**6*B0del(0,0,m7sq) - 6*m6**4*m7**4*(m5sq - m7sq)**6*B0del(0,0,m7sq) + 6*m5**4*m7**4*(m6sq - m7sq)**6*B0del(0,0,m7sq) - 3*m6**6*(m5sq - m7sq)**6*m7sq*B0del(0,0,m7sq) + 3*m5**6*(m6sq - m7sq)**6*m7sq*B0del(0,0,m7sq) + m5sq*(-(m6sq*m7) + m7**3)**6*B0fin(0,0,m5sq) + 18*m5**4*m7**4*(m6sq - m7sq)**6*B0fin(0,0,m5sq) + m5**6*(m6sq - m7sq)**6*m7sq*B0fin(0,0,m5sq) - m6sq*(-(m5sq*m7) + m7**3)**6*B0fin(0,0,m6sq) - 18*m6**4*m7**4*(m5sq - m7sq)**6*B0fin(0,0,m6sq) - m6**6*(m5sq - m7sq)**6*m7sq*B0fin(0,0,m6sq) - (m5**4*(m6sq - m7sq)**6*(m5sq + m7sq)*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/2. - (m7**4*(m6sq - m7sq)**6*(m5sq + m7sq)*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/2. - m5sq*(m6sq - m7sq)**6*m7sq*(m5sq + m7sq)*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + (m6**4*(m5sq - m7sq)**6*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. + (m7**4*(m5sq - m7sq)**6*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. + m6sq*(m5sq - m7sq)**6*m7sq*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - m6sq*(-(m5sq*m7) + m7**3)**6*B0fin(0,0,m7sq) + m5sq*(-(m6sq*m7) + m7**3)**6*B0fin(0,0,m7sq) - 18*m6**4*m7**4*(m5sq - m7sq)**6*B0fin(0,0,m7sq) + 18*m5**4*m7**4*(m6sq - m7sq)**6*B0fin(0,0,m7sq) - m6**6*(m5sq - m7sq)**6*m7sq*B0fin(0,0,m7sq) + m5**6*(m6sq - m7sq)**6*m7sq*B0fin(0,0,m7sq) + 3*m5sq*(-(m6sq*m7) + m7**3)**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m5**4*m7**4*(m6sq - m7sq)**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m5**6*(m6sq - m7sq)**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 3*m6sq*(-(m5sq*m7) + m7**3)**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 6*m6**4*m7**4*(m5sq - m7sq)**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 3*m6**6*(m5sq - m7sq)**6*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 6*m5sq*(m6sq - m7sq)**6*m7sq*(m5sq + m7sq)*T134fin(m7,m5,0) + 6*m6sq*(m5sq - m7sq)**6*m7sq*(m6sq + m7sq)*T134fin(m7,m6,0))/(3.*(m5sq - m6sq)*(m5sq - m7sq)**6*(m6sq - m7sq)**6)
		def eval_13():
			return (-6*m3 + 15*m3sq + 18*m3sq*B0del(0,0,m3sq) - 12*m3*B0fin(0,0,m3) + 36*m3sq*B0fin(0,0,m3sq) + 9*m3sq*B0fin(0,0,m3sq)**2 - 3*T134fin(m3,0,0) - 5*T134fin(m3,m3,m3))/(3.*m3**8)
		def eval_14():
			return (5*m4**6 + 36*m4*m5**4 - 216*m4sq*m5**4 + 72*m5**5 + 34*m4**4*m5sq + 36*m4sq*m5**4*B0del(0,0,m4sq) + 72*m5**6*B0del(0,0,m5sq) + 72*m4*m5**4*B0fin(0,0,m4) - 36*m4sq*m5**4*B0fin(0,0,m4sq) + 144*m5**5*B0fin(0,0,m5) - 6*m4**6*B0fin(0,0,m5sq) + 144*m4sq*m5**4*B0fin(0,0,m5sq) - 72*m5**6*B0fin(0,0,m5sq) - 12*m4**4*m5sq*B0fin(0,0,m5sq) + 36*m4sq*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 18*m4sq*m5**4*B0fin(0,0,m5sq)**2 + 36*m5**6*B0fin(0,0,m5sq)**2 - 36*m5**4*T134fin(m5,m5,m4))/(36*m4**8*m5**4 - 144*m4**6*m5**6)
		def eval_15():
			return (8*m4**11 + 10*m4**10*m7 + 39*m4**8*m7**3 - 12*m4**7*m7**4 + 8*m4**8*m7**4 + 8*m4**6*m7**5 + 23*m4**5*m7**6 - 32*m4**6*m7**6 + 3*m4**4*m7**7 - 10*m4**3*m7**8 + 8*m4**4*m7**8 + 2*m4*m7**10 + 49*m4**9*m7sq - 32*m4**10*m7sq + 2*m4**4*(2*m4**8 + 13*m4**4*m7**4 - 4*m4sq*m7**6 + 2*m7**8 + 5*m4**6*m7sq)*B0del(0,0,m4sq) + 2*m4sq*m7sq*(15*m4**8 + 16*m4**4*m7**4 - 8*m4sq*m7**6 + 2*m7**8 - 7*m4**6*m7sq)*B0del(0,0,m7sq) - 16*m4**11*B0fin(0,0,m4) - 32*m4**7*m7**4*B0fin(0,0,m4) + 22*m4**5*m7**6*B0fin(0,0,m4) - 12*m4**3*m7**8*B0fin(0,0,m4) + 4*m4*m7**10*B0fin(0,0,m4) + 10*m4**9*m7sq*B0fin(0,0,m4) - 4*m4**12*B0fin(0,0,m4sq) - 10*m4**8*m7**4*B0fin(0,0,m4sq) + 32*m4**6*m7**6*B0fin(0,0,m4sq) - 12*m4**4*m7**8*B0fin(0,0,m4sq) + 54*m4**10*m7sq*B0fin(0,0,m4sq) + 2*m4**12*B0fin(0,0,m4sq)**2 + 20*m4**8*m7**4*B0fin(0,0,m4sq)**2 - 20*m4**6*m7**6*B0fin(0,0,m4sq)**2 + 10*m4**4*m7**8*B0fin(0,0,m4sq)**2 - 2*m4sq*m7**10*B0fin(0,0,m4sq)**2 - 10*m4**10*m7sq*B0fin(0,0,m4sq)**2 - 12*m4**10*m7*B0fin(0,0,m7) - 10*m4**8*m7**3*B0fin(0,0,m7) + 8*m4**6*m7**5*B0fin(0,0,m7) - 18*m4**4*m7**7*B0fin(0,0,m7) + 8*m4sq*m7**9*B0fin(0,0,m7) + 30*m4**8*m7**4*B0fin(0,0,m7sq) - 8*m4**6*m7**6*B0fin(0,0,m7sq) + 8*m4**4*m7**8*B0fin(0,0,m7sq) - 4*m4sq*m7**10*B0fin(0,0,m7sq) + 34*m4**10*m7sq*B0fin(0,0,m7sq) - 14*m4**8*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 32*m4**6*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 16*m4**4*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 4*m4sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 30*m4**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 8*m4**10*T134fin(m7,m4,0) - 28*m4**6*m7**4*T134fin(m7,m4,0) + 24*m4**4*m7**6*T134fin(m7,m4,0) - 12*m4sq*m7**8*T134fin(m7,m4,0) + 2*m7**10*T134fin(m7,m4,0) - 14*m4**8*m7sq*T134fin(m7,m4,0) + 2*m4**10*T134fin(m7,m4,m4) + 20*m4**6*m7**4*T134fin(m7,m4,m4) - 20*m4**4*m7**6*T134fin(m7,m4,m4) + 10*m4sq*m7**8*T134fin(m7,m4,m4) - 2*m7**10*T134fin(m7,m4,m4) - 10*m4**8*m7sq*T134fin(m7,m4,m4))/(2.*m4**6*(m4sq - m7sq)**5*(4*m4sq - m7sq))
		def eval_16():
			return (9*m4sq*m5sq*m6**4*(4*m4sq*(m5sq + m6sq) + 2*(-2*(m5sq - m6sq)**2 - m4sq*(m5sq + m6sq))*B0del(0,0,m5sq) + 2*(-2*(m5sq - m6sq)**2 - m4sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 2*(-2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq))*B0fin(0,0,m5sq) + (4*(m5sq - m6sq)**2 - 2*m4sq*(m5sq + m6sq) - 2*(2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq))*B0fin(0,0,m5sq))*B0fin(0,0,m6sq)) + (m5sq - m6sq)**4*(11*m4**4 + 36*m6**4 - 54*m4sq*m6sq - 18*(m4sq - 2*m6sq)*m6sq*B0del(0,0,m6sq) - 6*(m4**4 - 6*m6**4 - 9*m4sq*m6sq)*B0fin(0,0,m6sq) - 9*(m4sq - 2*m6sq)*m6sq*B0fin(0,0,m6sq)**2) - 9*m6sq*(2*m4**4*(m5 + m6)*(m5sq + m6sq)**2 - m4sq*(m5sq - m6sq)**2*(m4sq - 2*(m5sq + m6sq))*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + (2*(m5sq - m6sq)**4 - 4*m4**4*m5sq*m6sq - 2*m4sq*(m5sq - m6sq)**2*(m5sq + m6sq))*T134fin(m6,m5,0)) + 18*(m5sq - m6sq)**4*m6sq*T134fin(m6,m5,m4) - 18*(m5sq - m6sq)**4*m6sq*T134fin(m6,m6,m4))/(18.*m4**6*m6**2*(m5sq - m6sq)**5)
		def eval_17():
			return -0.5*(m4**8*m5**5 - 4*m4**6*m5**7 + 3*m4**4*m5**9 - 2*m4**3*m5**10 + 2*m4*m5**12 + m4**8*m5**4*m7 - 4*m4**6*m5**6*m7 + 3*m4**4*m5**8*m7 + 24*m4**6*m5**4*m7**3 - 14*m4**8*m5sq*m7**3 - 7*m4**8*m5*m7**4 + 52*m4**6*m5**3*m7**4 - 48*m4**6*m5**4*m7**4 - 6*m4**4*m5**5*m7**4 - 20*m4**3*m5**6*m7**4 + 32*m4**4*m5**6*m7**4 + 30*m4*m5**8*m7**4 - 32*m4sq*m5**8*m7**4 + 16*m4**8*m5sq*m7**4 - 7*m4**8*m7**5 - 6*m4**4*m5**4*m7**5 + 52*m4**6*m5sq*m7**5 + 8*m4**6*m5*m7**6 + 20*m4**3*m5**4*m7**6 - 16*m4**4*m5**4*m7**6 - 40*m4*m5**6*m7**6 + 48*m4sq*m5**6*m7**6 - 24*m4**6*m5sq*m7**6 + 8*m4**6*m7**7 + 3*m4**4*m5*m7**8 + 30*m4*m5**4*m7**8 - 32*m4sq*m5**4*m7**8 - 10*m4**3*m5sq*m7**8 + 3*m4**4*m7**9 + 2*m4**3*m7**10 - 12*m4*m5sq*m7**10 + 8*m4sq*m5sq*m7**10 + 2*m4*m7**12 - 14*m4**8*m5**3*m7sq + 24*m4**6*m5**5*m7sq + 8*m4**6*m5**6*m7sq + 10*m4**3*m5**8*m7sq - 16*m4**4*m5**8*m7sq - 12*m4*m5**10*m7sq + 8*m4sq*m5**10*m7sq - 2*m4sq*(m5sq - m7sq)**5*(m4sq - m5sq + m7sq)*B0del(0,0,m4sq) - 2*m4sq*(m4sq*(m5sq - m7sq)**2*(m5**6 - m7**6 - 2*m5**4*m7sq) + m4**6*(3*m5sq*m7**4 + m7**6 + 2*m5**4*m7sq) - m4**4*(11*m5**4*m7**4 + 9*m5sq*m7**6 + m7**8 + 3*m5**6*m7sq) - (m5sq - m7sq)**4*(m5**4 - m7**4 + 2*m5sq*m7sq))*B0del(0,0,m5sq) + 22*m4**6*m5**4*m7**4*B0del(0,0,m7sq) + 10*m4**4*m5**6*m7**4*B0del(0,0,m7sq) + 4*m4sq*m5**8*m7**4*B0del(0,0,m7sq) - 6*m4**8*m5sq*m7**4*B0del(0,0,m7sq) - 2*m4**8*m7**6*B0del(0,0,m7sq) - 14*m4**4*m5**4*m7**6*B0del(0,0,m7sq) - 16*m4sq*m5**6*m7**6*B0del(0,0,m7sq) + 18*m4**6*m5sq*m7**6*B0del(0,0,m7sq) + 2*m4**6*m7**8*B0del(0,0,m7sq) + 24*m4sq*m5**4*m7**8*B0del(0,0,m7sq) + 6*m4**4*m5sq*m7**8*B0del(0,0,m7sq) - 16*m4sq*m5sq*m7**10*B0del(0,0,m7sq) + 4*m4sq*m7**12*B0del(0,0,m7sq) - 4*m4**8*m5**4*m7sq*B0del(0,0,m7sq) + 6*m4**6*m5**6*m7sq*B0del(0,0,m7sq) - 2*m4**4*m5**8*m7sq*B0del(0,0,m7sq) - 4*m4**3*m5**10*B0fin(0,0,m4) + 4*m4*m5**12*B0fin(0,0,m4) - 40*m4**3*m5**6*m7**4*B0fin(0,0,m4) + 60*m4*m5**8*m7**4*B0fin(0,0,m4) + 40*m4**3*m5**4*m7**6*B0fin(0,0,m4) - 80*m4*m5**6*m7**6*B0fin(0,0,m4) + 60*m4*m5**4*m7**8*B0fin(0,0,m4) - 20*m4**3*m5sq*m7**8*B0fin(0,0,m4) + 4*m4**3*m7**10*B0fin(0,0,m4) - 24*m4*m5sq*m7**10*B0fin(0,0,m4) + 4*m4*m7**12*B0fin(0,0,m4) + 20*m4**3*m5**8*m7sq*B0fin(0,0,m4) - 24*m4*m5**10*m7sq*B0fin(0,0,m4) + 2*m4**4*m5**10*B0fin(0,0,m4sq) - 2*m4sq*m5**12*B0fin(0,0,m4sq) + 20*m4**4*m5**6*m7**4*B0fin(0,0,m4sq) - 30*m4sq*m5**8*m7**4*B0fin(0,0,m4sq) - 20*m4**4*m5**4*m7**6*B0fin(0,0,m4sq) + 40*m4sq*m5**6*m7**6*B0fin(0,0,m4sq) - 30*m4sq*m5**4*m7**8*B0fin(0,0,m4sq) + 10*m4**4*m5sq*m7**8*B0fin(0,0,m4sq) - 2*m4**4*m7**10*B0fin(0,0,m4sq) + 12*m4sq*m5sq*m7**10*B0fin(0,0,m4sq) - 2*m4sq*m7**12*B0fin(0,0,m4sq) - 10*m4**4*m5**8*m7sq*B0fin(0,0,m4sq) + 12*m4sq*m5**10*m7sq*B0fin(0,0,m4sq) + 2*m4**8*m5**5*B0fin(0,0,m5) - 10*m4**4*m5**9*B0fin(0,0,m5) + 8*m4sq*m5**11*B0fin(0,0,m5) + 2*m4**8*m5*m7**4*B0fin(0,0,m5) - 28*m4**4*m5**5*m7**4*B0fin(0,0,m5) + 16*m4sq*m5**7*m7**4*B0fin(0,0,m5) - 8*m4**6*m5*m7**6*B0fin(0,0,m5) + 16*m4sq*m5**5*m7**6*B0fin(0,0,m5) + 6*m4**4*m5*m7**8*B0fin(0,0,m5) - 24*m4sq*m5**3*m7**8*B0fin(0,0,m5) + 8*m4sq*m5*m7**10*B0fin(0,0,m5) + 4*m4**8*m5**3*m7sq*B0fin(0,0,m5) - 24*m4**6*m5**5*m7sq*B0fin(0,0,m5) + 32*m4**4*m5**7*m7sq*B0fin(0,0,m5) - 24*m4sq*m5**9*m7sq*B0fin(0,0,m5) + 2*m4**4*m5**10*B0fin(0,0,m5sq) - 2*m4sq*m5**12*B0fin(0,0,m5sq) + 58*m4**6*m5**4*m7**4*B0fin(0,0,m5sq) - 14*m4**4*m5**6*m7**4*B0fin(0,0,m5sq) + 38*m4sq*m5**8*m7**4*B0fin(0,0,m5sq) - 18*m4**8*m5sq*m7**4*B0fin(0,0,m5sq) + 2*m4**8*m7**6*B0fin(0,0,m5sq) + 18*m4**4*m5**4*m7**6*B0fin(0,0,m5sq) - 72*m4sq*m5**6*m7**6*B0fin(0,0,m5sq) + 22*m4**6*m5sq*m7**6*B0fin(0,0,m5sq) - 2*m4**6*m7**8*B0fin(0,0,m5sq) + 58*m4sq*m5**4*m7**8*B0fin(0,0,m5sq) - 4*m4**4*m5sq*m7**8*B0fin(0,0,m5sq) - 2*m4**4*m7**10*B0fin(0,0,m5sq) - 20*m4sq*m5sq*m7**10*B0fin(0,0,m5sq) + 2*m4sq*m7**12*B0fin(0,0,m5sq) - 4*m4**8*m5**4*m7sq*B0fin(0,0,m5sq) + 2*m4**6*m5**6*m7sq*B0fin(0,0,m5sq) - 4*m4sq*m5**10*m7sq*B0fin(0,0,m5sq) - 2*m4**4*m5**10*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m4sq*m5**12*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 20*m4**4*m5**6*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 10*m4sq*m5**8*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 20*m4**4*m5**4*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 10*m4sq*m5**4*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 10*m4**4*m5sq*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m4**4*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 8*m4sq*m5sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 2*m4sq*m7**12*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 10*m4**4*m5**8*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 8*m4sq*m5**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m4**8*m5**4*m7*B0fin(0,0,m7) - 10*m4**4*m5**8*m7*B0fin(0,0,m7) + 8*m4sq*m5**10*m7*B0fin(0,0,m7) - 24*m4**6*m5**4*m7**3*B0fin(0,0,m7) + 32*m4**4*m5**6*m7**3*B0fin(0,0,m7) - 24*m4sq*m5**8*m7**3*B0fin(0,0,m7) + 4*m4**8*m5sq*m7**3*B0fin(0,0,m7) + 2*m4**8*m7**5*B0fin(0,0,m7) - 28*m4**4*m5**4*m7**5*B0fin(0,0,m7) + 16*m4sq*m5**6*m7**5*B0fin(0,0,m7) - 8*m4**6*m7**7*B0fin(0,0,m7) + 16*m4sq*m5**4*m7**7*B0fin(0,0,m7) + 6*m4**4*m7**9*B0fin(0,0,m7) - 24*m4sq*m5sq*m7**9*B0fin(0,0,m7) + 8*m4sq*m7**11*B0fin(0,0,m7) + 58*m4**6*m5**4*m7**4*B0fin(0,0,m7sq) - 34*m4**4*m5**6*m7**4*B0fin(0,0,m7sq) + 28*m4sq*m5**8*m7**4*B0fin(0,0,m7sq) - 18*m4**8*m5sq*m7**4*B0fin(0,0,m7sq) + 2*m4**8*m7**6*B0fin(0,0,m7sq) + 38*m4**4*m5**4*m7**6*B0fin(0,0,m7sq) - 32*m4sq*m5**6*m7**6*B0fin(0,0,m7sq) + 22*m4**6*m5sq*m7**6*B0fin(0,0,m7sq) - 2*m4**6*m7**8*B0fin(0,0,m7sq) + 8*m4sq*m5**4*m7**8*B0fin(0,0,m7sq) - 14*m4**4*m5sq*m7**8*B0fin(0,0,m7sq) + 8*m4sq*m5sq*m7**10*B0fin(0,0,m7sq) - 4*m4sq*m7**12*B0fin(0,0,m7sq) - 4*m4**8*m5**4*m7sq*B0fin(0,0,m7sq) + 2*m4**6*m5**6*m7sq*B0fin(0,0,m7sq) + 10*m4**4*m5**8*m7sq*B0fin(0,0,m7sq) - 8*m4sq*m5**10*m7sq*B0fin(0,0,m7sq) + 20*m4sq*m5**8*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 40*m4sq*m5**6*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 40*m4sq*m5**4*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 20*m4sq*m5sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 4*m4sq*m7**12*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 4*m4sq*m5**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 22*m4**6*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 10*m4**4*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 16*m4sq*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m4**8*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m4**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 14*m4**4*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 24*m4sq*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 18*m4**6*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m4**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 16*m4sq*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m4**4*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m4sq*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m4**8*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m4**6*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m4**4*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m4sq*m5**10*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m4**4*m5**8*T134fin(m7,m5,0) - 4*m4sq*m5**10*T134fin(m7,m5,0) + 2*m5**12*T134fin(m7,m5,0) + 4*m4**8*m7**4*T134fin(m7,m5,0) + 8*m4**4*m5**4*m7**4*T134fin(m7,m5,0) - 24*m4sq*m5**6*m7**4*T134fin(m7,m5,0) + 30*m5**8*m7**4*T134fin(m7,m5,0) - 32*m4**6*m5sq*m7**4*T134fin(m7,m5,0) - 4*m4**6*m7**6*T134fin(m7,m5,0) + 16*m4sq*m5**4*m7**6*T134fin(m7,m5,0) - 40*m5**6*m7**6*T134fin(m7,m5,0) - 2*m4**4*m7**8*T134fin(m7,m5,0) + 30*m5**4*m7**8*T134fin(m7,m5,0) - 4*m4sq*m5sq*m7**8*T134fin(m7,m5,0) - 12*m5sq*m7**10*T134fin(m7,m5,0) + 2*m7**12*T134fin(m7,m5,0) - 12*m4**6*m5**4*m7sq*T134fin(m7,m5,0) - 8*m4**4*m5**6*m7sq*T134fin(m7,m5,0) + 16*m4sq*m5**8*m7sq*T134fin(m7,m5,0) - 12*m5**10*m7sq*T134fin(m7,m5,0) + 8*m4**8*m5sq*m7sq*T134fin(m7,m5,0) + 2*m4sq*m5**10*T134fin(m7,m5,m4) - 2*m5**12*T134fin(m7,m5,m4) + 20*m4sq*m5**6*m7**4*T134fin(m7,m5,m4) - 30*m5**8*m7**4*T134fin(m7,m5,m4) - 20*m4sq*m5**4*m7**6*T134fin(m7,m5,m4) + 40*m5**6*m7**6*T134fin(m7,m5,m4) - 30*m5**4*m7**8*T134fin(m7,m5,m4) + 10*m4sq*m5sq*m7**8*T134fin(m7,m5,m4) - 2*m4sq*m7**10*T134fin(m7,m5,m4) + 12*m5sq*m7**10*T134fin(m7,m5,m4) - 2*m7**12*T134fin(m7,m5,m4) - 10*m4sq*m5**8*m7sq*T134fin(m7,m5,m4) + 12*m5**10*m7sq*T134fin(m7,m5,m4))/(m4**6*(m5sq - m7sq)**5*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))
		def eval_18():
			return (-(((m5sq - m6sq)**4*(11*m4**4 + 36*m5**4 - 54*m4sq*m5sq - 18*(m4sq - 2*m5sq)*m5sq*B0del(0,0,m5sq) - 6*(m4**4 - 6*m5**4 - 9*m4sq*m5sq)*B0fin(0,0,m5sq) - 9*(m4sq - 2*m5sq)*m5sq*B0fin(0,0,m5sq)**2))/m5**2) + 18*m4sq*m5sq*m6sq*(-2*m4sq*(m5sq + m6sq) + (2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq))*B0del(0,0,m5sq) + (2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq) + (-2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq))*B0fin(0,0,m5sq) + (-2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq) + (2*(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq))*B0fin(0,0,m5sq))*B0fin(0,0,m6sq)) + 18*(m5sq - m6sq)**4*T134fin(m5,m5,m4) + 9*(2*m4**4*(m5 + m6)*(m5sq + m6sq)**2 - m4sq*(m5sq - m6sq)**2*(m4sq - 2*(m5sq + m6sq))*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + (2*(m5sq - m6sq)**4 - 4*m4**4*m5sq*m6sq - 2*m4sq*(m5sq - m6sq)**2*(m5sq + m6sq))*T134fin(m6,m5,0)) - 18*(m5sq - m6sq)**4*T134fin(m6,m5,m4))/(18.*m4**6*(m5sq - m6sq)**5)
		def eval_19():
			return (-((m4**4*m5**4)/((m5 - m7)**4*(m5 + m7)**3)) - (m4**4*m7**4)/((m5 - m7)**4*(m5 + m7)**3) + (m4**4*m6**4)/((m6 - m7)**4*(m6 + m7)**3) + (m4**4*m7**4)/((m6 - m7)**4*(m6 + m7)**3) - (2*m4**4*m5sq*m7sq)/((m5 - m7)**4*(m5 + m7)**3) + (2*m4**4*m6sq*m7sq)/((m6 - m7)**4*(m6 + m7)**3) + (2*m4**4*m5sq*m7sq*(m5sq + m7sq))/(m5sq - m7sq)**4 - (2*m4**4*m6sq*m7sq*(m6sq + m7sq))/(m6sq - m7sq)**4 - (2*m4sq*m5sq*m7sq*B0del(0,0,m5sq))/(m5sq - m7sq)**2 - (m4**4*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq))/(m5sq - m7sq)**4 + (2*m4sq*m6sq*m7sq*B0del(0,0,m6sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/(m6sq - m7sq)**4 - (2*m4sq*m5sq*m7sq*B0del(0,0,m7sq))/(m5sq - m7sq)**2 + (2*m4sq*m6sq*m7sq*B0del(0,0,m7sq))/(m6sq - m7sq)**2 - (m4**4*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/(m5sq - m7sq)**4 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/(m6sq - m7sq)**4 + (2*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/(m5sq - m7sq)**2 - (m4**4*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq))/(m5sq - m7sq)**4 - (2*m4sq*m6sq*m7sq*B0fin(0,0,m6sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/(m6sq - m7sq)**4 + (m4**4*m5**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(m5sq - m7sq)**4) + (m4**4*m7**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(m5sq - m7sq)**4) - (m4**4*m5sq*m7sq*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m5sq - m7sq)**4 - (m4sq*(m5sq + m7sq)*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m5sq - m7sq)**2 - (m4**4*m6**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*(m6sq - m7sq)**4) - (m4**4*m7**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*(m6sq - m7sq)**4) + (m4**4*m6sq*m7sq*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m6sq - m7sq)**4 + (m4sq*(m6sq + m7sq)*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m6sq - m7sq)**2 + (2*m4sq*m5sq*m7sq*B0fin(0,0,m7sq))/(m5sq - m7sq)**2 - (2*m4sq*m6sq*m7sq*B0fin(0,0,m7sq))/(m6sq - m7sq)**2 - (m4**4*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**4 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**4 - (2*m4sq*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**2 - (m4**4*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**4 + (2*m4sq*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**2 + (m4**4*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**4 - T134fin(m7,m5,0) + (2*m4**4*m5sq*m7sq*T134fin(m7,m5,0))/(m5sq - m7sq)**4 + (m4sq*(m5sq + m7sq)*T134fin(m7,m5,0))/(m5sq - m7sq)**2 + T134fin(m7,m5,m4) + T134fin(m7,m6,0) - (2*m4**4*m6sq*m7sq*T134fin(m7,m6,0))/(m6sq - m7sq)**4 - (m4sq*(m6sq + m7sq)*T134fin(m7,m6,0))/(m6sq - m7sq)**2 - T134fin(m7,m6,m4))/(m4**6*(m5sq - m6sq))
		def eval_20():
			return (-1 + 6*B0fin(0,0,m1sq))/(36.*m1**6)
		def eval_21():
			return -0.08333333333333333*(2 + m1 + 4*B0fin(0,0,m1) - 4*m1*B0fin(0,0,m1sq))/m1**7
		def eval_22():
			return (72*m1sq*m2**6*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(-7*m1**4 + 47*m2**4 + 68*m1sq*m2sq + 36*m2**4*B0del(0,0,m2sq) + 12*(m1**4 - 5*m2**4 - 5*m1sq*m2sq)*B0fin(0,0,m2sq) + 18*m2**4*B0fin(0,0,m2sq)**2) + 36*m2**4*(m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(36.*m2**4*(m1sq - m2sq)**5)
		def eval_23():
			return (-m1**4 + 2*m1**4*m2 - 4*m1sq*m2**3 - 3*m2**4 + 6*m2**5 + 4*m1sq*m2sq + 2*m2**3*(m1sq + m2sq)*B0del(0,0,m2sq) + 2*(m1**4 - m2**4)*B0fin(0,0,m2) - 2*m1**4*m2*B0fin(0,0,m2sq) + 2*m1sq*m2**3*B0fin(0,0,m2sq) + 4*m2**5*B0fin(0,0,m2sq) + m1sq*m2**3*B0fin(0,0,m2sq)**2 + m2**5*B0fin(0,0,m2sq)**2 + 2*m2**3*T134fin(m1,0,0) - 2*m1sq*m2*T134fin(m2,0,0) - 2*m2**3*T134fin(m2,m1,0))/(2.*m2**5*(-m1sq + m2sq)**3)
		def eval_24():
			return -0.5*(3*m3**6 + 12*m3sq*m5**3 - 16*m3*m5**4 + 48*m3sq*m5**4 - 32*m5**5 + 8*m5**6 + 6*m3**3*m5sq - 26*m3**4*m5sq + 4*m3sq*(m3sq - 3*m5sq)*m5sq*B0del(0,0,m3sq) + 8*m5**4*(m3sq - 3*m5sq)*B0del(0,0,m5sq) - 16*m3*m5**4*B0fin(0,0,m3) + 4*m3**3*m5sq*B0fin(0,0,m3) + 12*m3sq*m5**4*B0fin(0,0,m3sq) - 2*m3**4*m5sq*B0fin(0,0,m3sq) + 8*m3sq*m5**3*B0fin(0,0,m5) - 32*m5**5*B0fin(0,0,m5) - 2*m3**6*B0fin(0,0,m5sq) - 40*m3sq*m5**4*B0fin(0,0,m5sq) + 8*m5**6*B0fin(0,0,m5sq) + 18*m3**4*m5sq*B0fin(0,0,m5sq) - 12*m3sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 4*m3**4*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 10*m3sq*m5**4*B0fin(0,0,m5sq)**2 - 12*m5**6*B0fin(0,0,m5sq)**2 - 2*m3**4*m5sq*B0fin(0,0,m5sq)**2 + 12*m5**4*T134fin(m5,m5,m3) - 4*m3sq*m5sq*T134fin(m5,m5,m3))/(m3**6*m5**2*(m3sq - 4*m5sq)**2)
		def eval_25():
			return (m3**4*(8*m1sq - 2*(5*m1sq + m3sq)*B0del(0,0,m1sq) - 2*(5*m1sq + m3sq)*B0del(0,0,m3sq) + 2*(m1sq + m3sq)*B0fin(0,0,m1sq) - 2*(-m1sq - m3sq + (5*m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(-3*(m1sq + 3*m3sq) - 4*m3sq*B0del(0,0,m3sq) + 2*(m1sq + 5*m3sq)*B0fin(0,0,m3sq) - 2*m3sq*B0fin(0,0,m3sq)**2) - 2*m3sq*(2*(m1 + m3)*(m1sq + m3sq) + (m1sq + 3*m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*(m1sq + 2*m3sq)*T134fin(m3,m1,0)))/(2.*m3**2*(m1sq - m3sq)**5)
		def eval_26():
			return -0.5*(15*m1**3 - 6*m1**4 + m1**6/m2**2 + 15*m1sq*m2 + 3*m2**3 + 3*m1*m2sq - 7*m1sq*m2sq + 4*m1sq*(m1sq + 2*m2sq)*B0del(0,0,m1sq) + 4*m1sq*(m1sq + 2*m2sq)*B0del(0,0,m2sq) + 6*m1**3*B0fin(0,0,m1) - 2*m1*m2sq*B0fin(0,0,m1) + 2*m1**4*B0fin(0,0,m1sq) - (m1**6*B0fin(0,0,m1sq))/m2**2 + 7*m1sq*m2sq*B0fin(0,0,m1sq) + (m1sq - m2sq)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 6*m1sq*m2*B0fin(0,0,m2) - 2*m2**3*B0fin(0,0,m2) + 2*m1**4*B0fin(0,0,m2sq) - (m1**6*B0fin(0,0,m2sq))/m2**2 + 7*m1sq*m2sq*B0fin(0,0,m2sq) + 4*m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 10*m1sq*T134fin(m2,m1,0) - 2*m2sq*T134fin(m2,m1,0))/(m1sq - m2sq)**5
		def eval_27():
			return (3*m1**3 + 3*m1sq*m4 + 15*m4**3 + 15*m1*m4sq - 2*m1**3*B0fin(0,0,m1) + 6*m1*m4sq*B0fin(0,0,m1) - 2*m1sq*m4*B0fin(0,0,m4) + 6*m4**3*B0fin(0,0,m4) + (m4sq*(-7*m1**4 + m4**4 - 6*m1sq*m4sq + 4*m1sq*(2*m1sq + m4sq)*B0del(0,0,m1sq) + 4*m1sq*(2*m1sq + m4sq)*B0del(0,0,m4sq) + 7*m1**4*B0fin(0,0,m1sq) - m4**4*B0fin(0,0,m1sq) + 2*m1sq*m4sq*B0fin(0,0,m1sq) + 7*m1**4*B0fin(0,0,m4sq) - m4**4*B0fin(0,0,m4sq) + 2*m1sq*m4sq*B0fin(0,0,m4sq) + 8*m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq)))/m1**2 + (m1sq - m4sq)**2*(6 + 2*B0del(0,0,m4sq) - 6*B0fin(0,0,m4sq) + B0fin(0,0,m4sq)**2) - 2*m1sq*T134fin(m4,m1,0) - 10*m4sq*T134fin(m4,m1,0))/(2.*(m1sq - m4sq)**5)
		def eval_28():
			return (4*(m1 + m3)*(m1sq + m3sq) + ((m1sq - m3sq)**2*(3*(3*m1sq + m3sq) + 4*m1sq*B0del(0,0,m1sq) - 2*(5*m1sq + m3sq)*B0fin(0,0,m1sq) + 2*m1sq*B0fin(0,0,m1sq)**2))/m1**2 + 2*(3*m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*m1sq*(-4*m3sq + (m1sq + 5*m3sq)*B0del(0,0,m1sq) + (m1sq + 5*m3sq)*B0del(0,0,m3sq) - (m1sq + m3sq)*B0fin(0,0,m1sq) + (-m1sq - m3sq + (m1sq + 5*m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) - 4*(2*m1sq + m3sq)*T134fin(m3,m1,0))/(2.*(m1sq - m3sq)**5)
		def eval_29():
			return -0.027777777777777776*(((m1sq - m4sq)**2*(47*m1**4 - 7*m4**4 + 68*m1sq*m4sq + 36*m1**4*B0del(0,0,m1sq) - 12*(5*m1**4 - m4**4 + 5*m1sq*m4sq)*B0fin(0,0,m1sq) + 18*m1**4*B0fin(0,0,m1sq)**2))/m1**4 + 72*m1sq*m4sq*(B0del(0,0,m1sq) + B0del(0,0,m4sq) - B0fin(0,0,m1sq) - B0fin(0,0,m4sq) + B0fin(0,0,m1sq)*B0fin(0,0,m4sq)) + 36*(m1sq + m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/(m1sq - m4sq)**5
		def eval_30():
			return (-3*m1**4 + 6*m1**5 - m4**4 + 2*m1*m4**4 - 4*m1**3*m4sq + 4*m1sq*m4sq + 2*m1**3*(m1sq + m4sq)*B0del(0,0,m1sq) - 2*(m1**4 - m4**4)*B0fin(0,0,m1) + 4*m1**5*B0fin(0,0,m1sq) - 2*m1*m4**4*B0fin(0,0,m1sq) + 2*m1**3*m4sq*B0fin(0,0,m1sq) + m1**5*B0fin(0,0,m1sq)**2 + m1**3*m4sq*B0fin(0,0,m1sq)**2 - 2*m1*m4sq*T134fin(m1,0,0) + 2*m1**3*T134fin(m4,0,0) - 2*m1**3*T134fin(m4,m1,0))/(2.*m1**5*(m1sq - m4sq)**3)
		def eval_31():
			return (8*m3sq*m4**4*(m4sq - 4*m5sq)*m5sq*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) - B0fin(0,0,m5sq) + B0fin(0,0,m3sq)*B0fin(0,0,m5sq)) - 8*m3**4*m4sq*(m3sq - 4*m5sq)*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + 4*(m3sq - m4sq)*(-3*m3sq*m4sq*(m3sq - 4*m5sq)*(m4sq - 4*m5sq) + 2*m5sq*(8*m4sq*m5**4 + m3**4*(m4sq - 2*m5sq) - 2*m4**4*m5sq + m3sq*(m4**4 + 8*m5**4 - 6*m4sq*m5sq))*B0del(0,0,m5sq) + 2*(2*m4sq*m5**4*(m4sq - 4*m5sq) + m3sq*(22*m4sq*m5**4 - 8*m5**6 - 5*m4**4*m5sq) + m3**4*(m4**4 + 2*m5**4 - 5*m4sq*m5sq))*B0fin(0,0,m5sq) + m5sq*(8*m4sq*m5**4 + m3**4*(m4sq - 2*m5sq) - 2*m4**4*m5sq + m3sq*(m4**4 + 8*m5**4 - 6*m4sq*m5sq))*B0fin(0,0,m5sq)**2) + 8*m4**4*(m4sq - 4*m5sq)*m5sq*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5) - T134fin(m5,m5,m3)) - 8*m3**4*(m3sq - 4*m5sq)*m5sq*(m4 + 2*m5 + 2*m4*B0fin(0,0,m4) + 4*m5*B0fin(0,0,m5) - T134fin(m5,m5,m4)))/(8.*m3**4*m4**4*(m3sq - m4sq)*m5**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq))
		def eval_32():
			return (2*m1sq*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**4) + (2*m2sq*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**4) - (3*((m2sq - 3*m3sq)*m3sq + m1sq*(m2sq + m3sq)) + 2*(m1sq + m2sq - 2*m3sq)*m3sq*B0del(0,0,m3sq) - 2*(-5*m3**4 + 2*m2sq*m3sq + m1sq*(m2sq + 2*m3sq))*B0fin(0,0,m3sq) + (m1sq + m2sq - 2*m3sq)*m3sq*B0fin(0,0,m3sq)**2)/(2.*m3**2*(m1sq - m3sq)**2*(m2sq - m3sq)**2) + ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)**4) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)**4)
		def eval_33():
			return (2*m1sq*m4sq*(B0del(0,0,m1sq) + B0del(0,0,m4sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m4sq)))/((m1sq - m2sq)**2*(m1sq - m4sq)**3) + (m4sq*(4*m2**4 - 4*m1sq*m2sq + (-5*m2**4 + m2sq*m4sq + m1sq*(3*m2sq + m4sq))*B0del(0,0,m2sq) + (-5*m2**4 + m2sq*m4sq + m1sq*(3*m2sq + m4sq))*B0del(0,0,m4sq) + (m1sq + m2sq)*(m2sq - m4sq)*B0fin(0,0,m2sq) + ((m1sq + m2sq)*(m2sq - m4sq) + (-5*m2**4 + m2sq*m4sq + m1sq*(3*m2sq + m4sq))*B0fin(0,0,m2sq))*B0fin(0,0,m4sq)))/((m1sq - m2sq)**2*(m2sq - m4sq)**4) + (6 + 2*B0del(0,0,m4sq) - 6*B0fin(0,0,m4sq) + B0fin(0,0,m4sq)**2)/(2.*(m1sq - m4sq)*(m2sq - m4sq)**2) + ((m1sq + m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/((m1sq - m2sq)**2*(m1sq - m4sq)**3) + (2*(m1sq - m2sq)*(m2 + m4)*(m2sq + m4sq) - (m2**4 + 2*m2sq*m4sq - m4sq*(2*m1sq + m4sq))*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + (2*m2**4 - m4**4 + 3*m2sq*m4sq - m1sq*(m2sq + 3*m4sq))*T134fin(m4,m2,0))/((m1sq - m2sq)**2*(m2sq - m4sq)**4)
		def eval_34():
			return (2*m1sq*m2sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m3sq)**2) + (6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2)/(2.*(m1sq - m2sq)*(m2sq - m3sq)**2) + (m2sq*(4*m3**4 - 4*m1sq*m3sq + ((m2sq - 5*m3sq)*m3sq + m1sq*(m2sq + 3*m3sq))*B0del(0,0,m2sq) + ((m2sq - 5*m3sq)*m3sq + m1sq*(m2sq + 3*m3sq))*B0del(0,0,m3sq) - (m2sq - m3sq)*(m1sq + m3sq)*B0fin(0,0,m2sq) + (-((m2sq - m3sq)*(m1sq + m3sq)) + ((m2sq - 5*m3sq)*m3sq + m1sq*(m2sq + 3*m3sq))*B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((m1sq - m3sq)**2*(m2sq - m3sq)**4) + ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m1sq - m3sq)**2) + (2*(m2 + m3)*(m1sq - m3sq)*(m2sq + m3sq) + (m2**4 + 2*m1sq*m2sq - m3**4 - 2*m2sq*m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) - (m2**4 - 2*m3**4 - 3*m2sq*m3sq + m1sq*(3*m2sq + m3sq))*T134fin(m3,m2,0))/((m1sq - m3sq)**2*(m2sq - m3sq)**4)
		def eval_35():
			return (2*m1sq*m2sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**4*(m1sq - m4sq)) - (3*(-3*m2**4 + m2sq*m4sq + m1sq*(m2sq + m4sq)) + 2*m2sq*(m1sq - 2*m2sq + m4sq)*B0del(0,0,m2sq) - 2*(-5*m2**4 + 2*m2sq*m4sq + m1sq*(2*m2sq + m4sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - 2*m2sq + m4sq)*B0fin(0,0,m2sq)**2)/(2.*m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2) + (2*m2sq*m4sq*(B0del(0,0,m2sq) + B0del(0,0,m4sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m4sq)))/((m2sq - m4sq)**4*(-m1sq + m4sq)) + ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**4*(m1sq - m4sq)) - ((m2sq + m4sq)*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m2,0)))/((m1sq - m4sq)*(m2sq - m4sq)**4)
		def eval_36():
			return (-2*m3sq*(m5sq - m6sq)**3*(m3**4 + 2*(m5sq - m6sq)*m6sq + m3sq*(-m5sq + m6sq))*B0del(0,0,m3sq) - 2*m3sq*m5sq*(m3sq - 4*m6sq)*(m5sq - m6sq)**2*(m3sq - m5sq + m6sq)*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) + 2*m3sq*(m5sq - m6sq)**2*m6sq*(m3**4 + 2*(m5**4 - m6**4) + m3sq*(-5*m5sq + m6sq))*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) + 2*m3sq*(m5sq - m6sq)**2*B0fin(0,0,m3sq)*((m5sq - m6sq)*(m3**4 + 2*(m5sq - m6sq)*m6sq + m3sq*(-m5sq + m6sq)) - m5sq*(m3sq - 4*m6sq)*(m3sq - m5sq + m6sq)*B0fin(0,0,m5sq) + m6sq*(m3**4 + 2*(m5**4 - m6**4) + m3sq*(-5*m5sq + m6sq))*B0fin(0,0,m6sq)) + 4*m3sq*m5sq*(m3sq - 4*m6sq)*m6sq*(m3**4 + 2*(m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*(B0del(0,0,m5sq) + B0del(0,0,m6sq) - B0fin(0,0,m5sq) + (-1 + B0fin(0,0,m5sq))*B0fin(0,0,m6sq)) + (m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*(6*m3**4 + 32*m6**4 - 32*m3sq*m6sq + 2*(m3**4 + 12*m6**4 - 8*m3sq*m6sq)*B0del(0,0,m6sq) + (-6*m3**4 + 40*m6**4 + 16*m3sq*m6sq)*B0fin(0,0,m6sq) + (m3**4 + 12*m6**4 - 8*m3sq*m6sq)*B0fin(0,0,m6sq)**2) + 2*(m3sq - 4*m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*(m3sq*(m5sq + m6sq)*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + (2*(m5sq - m6sq)**2 - m3sq*(m5sq + m6sq))*T134fin(m6,m5,0)) + 2*(m3sq - 4*m6sq)*(m5sq - m6sq)**2*(2*m3sq*(-m3sq + m5sq + m6sq)*((m3 + m5 + m6)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + (-m3**4 - 2*(m5sq - m6sq)**2 + 3*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m3)) + 2*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m3sq - 2*m6sq)*(m3 + 2*m6 + 2*m3*B0fin(0,0,m3) + 4*m6*B0fin(0,0,m6)) + (m3sq - 6*m6sq)*T134fin(m6,m6,m3)))/(2.*m3**6*(m3sq - 4*m6sq)*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)))
		def eval_37():
			return -0.5*(2*m3sq*(m5sq - m6sq)**3*(m3**4 - 2*m5**4 + m3sq*(m5sq - m6sq) + 2*m5sq*m6sq)*B0del(0,0,m3sq) + 2*m3sq*m5sq*(m3**4 - 2*m5**4 + 2*m6**4 + m3sq*(m5sq - 5*m6sq))*(m5sq - m6sq)**2*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) + (m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*(6*m3**4 + 32*m5**4 - 32*m3sq*m5sq + 2*(m3**4 + 12*m5**4 - 8*m3sq*m5sq)*B0del(0,0,m5sq) + (-6*m3**4 + 40*m5**4 + 16*m3sq*m5sq)*B0fin(0,0,m5sq) + (m3**4 + 12*m5**4 - 8*m3sq*m5sq)*B0fin(0,0,m5sq)**2) - 2*m3sq*(m3sq - 4*m5sq)*(m5sq - m6sq)**2*(m3sq + m5sq - m6sq)*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) - 2*m3sq*(m5sq - m6sq)**2*B0fin(0,0,m3sq)*((m5sq - m6sq)*(m3**4 - 2*m5**4 + m3sq*(m5sq - m6sq) + 2*m5sq*m6sq) - m5sq*(m3**4 - 2*m5**4 + 2*m6**4 + m3sq*(m5sq - 5*m6sq))*B0fin(0,0,m5sq) + (m3sq - 4*m5sq)*(m3sq + m5sq - m6sq)*m6sq*B0fin(0,0,m6sq)) + 4*m3sq*(m3sq - 4*m5sq)*m5sq*m6sq*(m3**4 + 2*(m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*(B0del(0,0,m5sq) + B0del(0,0,m6sq) - B0fin(0,0,m5sq) - B0fin(0,0,m6sq) + B0fin(0,0,m5sq)*B0fin(0,0,m6sq)) + 2*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m3sq - 2*m5sq)*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) + (m3sq - 6*m5sq)*T134fin(m5,m5,m3)) + 2*(m3sq - 4*m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*(m3sq*(m5sq + m6sq)*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - (-2*(m5sq - m6sq)**2 + m3sq*(m5sq + m6sq))*T134fin(m6,m5,0)) - 2*(m3sq - 4*m5sq)*(m5sq - m6sq)**2*((2*m3**4 - 2*m3sq*(m5sq + m6sq))*((m3 + m5 + m6)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + (m3**4 + 2*(m5sq - m6sq)**2 - 3*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m3)))/(m3**6*(m3sq - 4*m5sq)*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)))
		def eval_38():
			return (-((m3sq - m4sq)**3*m4sq*(-8*m1**4 + 8*m1sq*m3sq - 2*(-5*m1**4 + m3sq*m4sq + m1sq*(3*m3sq + m4sq))*B0del(0,0,m1sq) - 2*(-5*m1**4 + m3sq*m4sq + m1sq*(3*m3sq + m4sq))*B0del(0,0,m4sq) - 2*(m1sq + m3sq)*(m1sq - m4sq)*B0fin(0,0,m1sq) - 2*((m1sq + m3sq)*(m1sq - m4sq) + (-5*m1**4 + m3sq*m4sq + m1sq*(3*m3sq + m4sq))*B0fin(0,0,m1sq))*B0fin(0,0,m4sq))) + 4*m3sq*(m1sq - m4sq)**4*m4sq*(B0del(0,0,m3sq) + B0del(0,0,m4sq) - B0fin(0,0,m3sq) - B0fin(0,0,m4sq) + B0fin(0,0,m3sq)*B0fin(0,0,m4sq)) + (m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)**2*(6 + 2*B0del(0,0,m4sq) - 6*B0fin(0,0,m4sq) + B0fin(0,0,m4sq)**2) + 2*(m3sq - m4sq)**3*(-2*(m1sq - m3sq)*(m1 + m4)*(m1sq + m4sq) - (m1**4 + 2*m1sq*m4sq - m4sq*(2*m3sq + m4sq))*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) - (-2*m1**4 + m4**4 + m1sq*(m3sq - 3*m4sq) + 3*m3sq*m4sq)*T134fin(m4,m1,0)) + 2*(m1sq - m4sq)**4*(m3sq + m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m3,0)))/(2.*(m1sq - m3sq)**2*(m1sq - m4sq)**4*(m3sq - m4sq)**3)
		def eval_39():
			return -0.5*(2*m1sq*(2*m2sq*(m1sq - m3sq)**4 - (m1sq - m2sq)**3*(-5*m3**4 + 3*m2sq*m3sq + m1sq*(m2sq + m3sq)))*B0del(0,0,m1sq) + (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 4*m1sq*m2sq*(m1sq - m3sq)**4*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + m1sq*(m1sq - m2sq)**3*(8*(m2sq - m3sq)*m3sq - 2*(-5*m3**4 + 3*m2sq*m3sq + m1sq*(m2sq + m3sq))*B0del(0,0,m3sq) + 2*(m1sq - m3sq)*(m2sq + m3sq)*B0fin(0,0,m3sq)) - 2*m1sq*B0fin(0,0,m1sq)*(-2*m2sq*(m1sq - m3sq)**4*(-1 + B0fin(0,0,m2sq)) + (m1sq - m2sq)**3*(-((m1sq - m3sq)*(m2sq + m3sq)) + (-5*m3**4 + 3*m2sq*m3sq + m1sq*(m2sq + m3sq))*B0fin(0,0,m3sq))) + 2*(m1sq + m2sq)*(m1sq - m3sq)**4*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**3*(2*(m1 + m3)*(m2sq - m3sq)*(m1sq + m3sq) + (m1**4 - m3**4 + 2*m1sq*(m2sq - m3sq))*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - (m1**4 - 2*m3**4 + 3*m1sq*(m2sq - m3sq) + m2sq*m3sq)*T134fin(m3,m1,0)))/((m1sq - m2sq)**3*(m1sq - m3sq)**4*(m2sq - m3sq)**2)
		def eval_40():
			return -0.5*(m3sq*(m3sq - m4sq)**3*(-8*m1**4 + 8*m1sq*m4sq - 2*(-5*m1**4 + m3sq*m4sq + m1sq*(m3sq + 3*m4sq))*B0del(0,0,m1sq) - 2*(-5*m1**4 + m3sq*m4sq + m1sq*(m3sq + 3*m4sq))*B0del(0,0,m3sq) - 2*(m1sq - m3sq)*(m1sq + m4sq)*B0fin(0,0,m1sq) - 2*((m1sq - m3sq)*(m1sq + m4sq) + (-5*m1**4 + m3sq*m4sq + m1sq*(m3sq + 3*m4sq))*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) + 4*(m1sq - m3sq)**4*m3sq*m4sq*(B0del(0,0,m3sq) + B0del(0,0,m4sq) - B0fin(0,0,m3sq) - B0fin(0,0,m4sq) + B0fin(0,0,m3sq)*B0fin(0,0,m4sq)) - 2*(m3sq - m4sq)**3*(-2*(m1 + m3)*(m1sq + m3sq)*(m1sq - m4sq) - (m1**4 + 2*m1sq*m3sq - m3sq*(m3sq + 2*m4sq))*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - (-2*m1**4 + m3**4 + 3*m3sq*m4sq + m1sq*(-3*m3sq + m4sq))*T134fin(m3,m1,0)) + 2*(m1sq - m3sq)**4*(m3sq + m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m3,0)))/((m1sq - m3sq)**4*(m1sq - m4sq)**2*(m3sq - m4sq)**3)
		def eval_41():
			return -0.5*(2*m1sq*(2*(m1sq - m2sq)**4*m4sq + (m1sq - m4sq)**3*(5*m2**4 - 3*m2sq*m4sq - m1sq*(m2sq + m4sq)))*B0del(0,0,m1sq) + (m1sq - m2sq)**2*(m1sq - m4sq)**2*(m2sq - m4sq)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + m1sq*(m1sq - m4sq)**3*(-8*m2**4 + 8*m2sq*m4sq - 2*(-5*m2**4 + 3*m2sq*m4sq + m1sq*(m2sq + m4sq))*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*(m2sq + m4sq)*B0fin(0,0,m2sq)) + 2*m1sq*B0fin(0,0,m1sq)*(-((m1sq - m4sq)**3*(-((m1sq - m2sq)*(m2sq + m4sq)) + (-5*m2**4 + 3*m2sq*m4sq + m1sq*(m2sq + m4sq))*B0fin(0,0,m2sq))) + 2*(m1sq - m2sq)**4*m4sq*(-1 + B0fin(0,0,m4sq))) + 4*m1sq*(m1sq - m2sq)**4*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)) - 2*(m1sq - m4sq)**3*(-2*(m1 + m2)*(m1sq + m2sq)*(m2sq - m4sq) + (m1**4 - m2**4 - 2*m1sq*(m2sq - m4sq))*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - (m1**4 - 2*m2**4 - 3*m1sq*(m2sq - m4sq) + m2sq*m4sq)*T134fin(m2,m1,0)) + 2*(m1sq - m2sq)**4*(m1sq + m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/((m1sq - m2sq)**4*(m1sq - m4sq)**3*(m2sq - m4sq)**2)
		def eval_42():
			return -0.5*(4*m1**4*(-(m3sq*(m1sq - m4sq)**4) + (m1sq - m3sq)**4*m4sq)*B0del(0,0,m1sq) + (m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(3*(m1sq - m3sq)*(m1sq - m4sq) + 6*m1sq*(-2*m1sq + m3sq + m4sq) + 2*(5*m1**4 - m3sq*m4sq - 2*m1sq*(m3sq + m4sq))*B0fin(0,0,m1sq) + m1sq*(-2*m1sq + m3sq + m4sq)*(2*B0del(0,0,m1sq) + B0fin(0,0,m1sq)**2)) - 4*m3sq*(m1**3 - m1*m4sq)**4*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) + 4*m1**4*B0fin(0,0,m1sq)*(-(m3sq*(m1sq - m4sq)**4*(-1 + B0fin(0,0,m3sq))) + (m1sq - m3sq)**4*m4sq*(-1 + B0fin(0,0,m4sq))) + 4*(m1**3 - m1*m3sq)**4*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)) - 2*m1sq*(m1sq + m3sq)*(m1sq - m4sq)**4*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*m1sq*(m1sq - m3sq)**4*(m1sq + m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/(m1**2*(m1sq - m3sq)**4*(m1sq - m4sq)**4*(m3sq - m4sq))
		def eval_43():
			return (8*m3sq*(m3sq - m4sq)*m4sq*m5sq*m6sq*(B0del(0,0,m5sq) + B0del(0,0,m6sq) - B0fin(0,0,m5sq) - B0fin(0,0,m6sq) + B0fin(0,0,m5sq)*B0fin(0,0,m6sq)) + (m3sq - m4sq)*(m5sq - m6sq)**2*(8*m4sq*m6sq + 4*m3sq*(m4sq + 2*m6sq) + 8*(m3sq*(m4sq - 2*m6sq) - 2*m4sq*m6sq) - 4*(2*m4sq*m6sq + m3sq*(3*m4sq + 2*m6sq))*B0fin(0,0,m6sq) + 2*(m3sq*(m4sq - 2*m6sq) - 2*m4sq*m6sq)*(2*B0del(0,0,m6sq) + B0fin(0,0,m6sq)**2)) + 4*(m3sq - m4sq)*(m3sq*m4sq*(m5sq + m6sq)*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + (m4sq*(m5sq - m6sq)**2 + m3sq*((m5sq - m6sq)**2 - m4sq*(m5sq + m6sq)))*T134fin(m6,m5,0)) + 4*m4**4*(m5sq - m6sq)**2*T134fin(m6,m5,m3) - 4*m3**4*(m5sq - m6sq)**2*T134fin(m6,m5,m4) - 4*m4**4*(m5sq - m6sq)**2*T134fin(m6,m6,m3) + 4*m3**4*(m5sq - m6sq)**2*T134fin(m6,m6,m4))/(4.*m3**4*m4**4*(m3sq - m4sq)*(m5sq - m6sq)**3)
		def eval_44():
			return (32*m3**4*m4**4*(m3sq - m4sq)*m5**4*m7**4 - 8*m3**6*m4**4*(m3sq - m4sq)*m5sq*m7**4 - 8*m3**4*m4**6*(m3sq - m4sq)*m5sq*m7**4 + 16*m3**4*m4**4*(m3sq - m4sq)*m5sq*m7**6 - 8*m3**6*m4**4*(m3sq - m4sq)*m5**4*m7sq - 8*m3**4*m4**6*(m3sq - m4sq)*m5**4*m7sq + 16*m3**4*m4**4*(m3sq - m4sq)*m5**6*m7sq + 4*m3**6*m4**6*(m3sq - m4sq)*m5sq*m7sq + 4*m3**6*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2 - 8*m3**4*(m3sq - m4sq)*m4sq*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2 + 4*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 2*m3sq*(m3sq - m4sq)*m4sq*m5sq*(m5 + m7)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 2*m3sq*(m3sq - m4sq)*m4sq*(m5 + m7)*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m3sq*m4**4*(m3sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m3sq) + 2*m3sq*m4**4*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m3sq) - m3**4*m4sq*(m4sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m4sq) - 2*m3**4*m4sq*(m5sq - m7sq)**3*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m4sq) - m3**6*m4**6*(m3sq - m4sq)*m7**4*B0del(0,0,m5sq) - 19*m3**4*m4**4*(m3sq - m4sq)*m5**4*m7**4*B0del(0,0,m5sq) + 6*m3**6*m4**4*(m3sq - m4sq)*m5sq*m7**4*B0del(0,0,m5sq) + 6*m3**4*m4**6*(m3sq - m4sq)*m5sq*m7**4*B0del(0,0,m5sq) + m3**6*m4**4*(m3sq - m4sq)*m7**6*B0del(0,0,m5sq) + m3**4*m4**6*(m3sq - m4sq)*m7**6*B0del(0,0,m5sq) - 13*m3**4*m4**4*(m3sq - m4sq)*m5sq*m7**6*B0del(0,0,m5sq) - m3**4*m4**4*(m3sq - m4sq)*m7**8*B0del(0,0,m5sq) + m3**6*m4**4*(m3sq - m4sq)*m5**4*m7sq*B0del(0,0,m5sq) + m3**4*m4**6*(m3sq - m4sq)*m5**4*m7sq*B0del(0,0,m5sq) + m3**4*m4**4*(m3sq - m4sq)*m5**6*m7sq*B0del(0,0,m5sq) - m3**6*m4**6*(m3sq - m4sq)*m5sq*m7sq*B0del(0,0,m5sq) + 2*m3**6*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*B0del(0,0,m5sq) - 4*m3**4*(m3sq - m4sq)*m4sq*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0del(0,0,m5sq) - m3**4*m4sq*(m4sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m5sq) + m3sq*m4**4*(m3sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 2*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - m3**6*m4**6*(m3sq - m4sq)*m7**4*B0del(0,0,m7sq) - 19*m3**4*m4**4*(m3sq - m4sq)*m5**4*m7**4*B0del(0,0,m7sq) + 6*m3**6*m4**4*(m3sq - m4sq)*m5sq*m7**4*B0del(0,0,m7sq) + 6*m3**4*m4**6*(m3sq - m4sq)*m5sq*m7**4*B0del(0,0,m7sq) + m3**6*m4**4*(m3sq - m4sq)*m7**6*B0del(0,0,m7sq) + m3**4*m4**6*(m3sq - m4sq)*m7**6*B0del(0,0,m7sq) - 13*m3**4*m4**4*(m3sq - m4sq)*m5sq*m7**6*B0del(0,0,m7sq) - m3**4*m4**4*(m3sq - m4sq)*m7**8*B0del(0,0,m7sq) + m3**6*m4**4*(m3sq - m4sq)*m5**4*m7sq*B0del(0,0,m7sq) + m3**4*m4**6*(m3sq - m4sq)*m5**4*m7sq*B0del(0,0,m7sq) + m3**4*m4**4*(m3sq - m4sq)*m5**6*m7sq*B0del(0,0,m7sq) - m3**6*m4**6*(m3sq - m4sq)*m5sq*m7sq*B0del(0,0,m7sq) + 2*m3**6*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*B0del(0,0,m7sq) - 4*m3**4*(m3sq - m4sq)*m4sq*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0del(0,0,m7sq) - 2*m3**4*m4sq*(m5sq - m7sq)**3*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 2*m3sq*m4**4*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 2*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) - m3sq*m4**4*(m3sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - 2*m3sq*m4**4*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + m3**4*m4sq*(m4sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m4sq) + 2*m3**4*m4sq*(m5sq - m7sq)**3*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m4sq) + m3**6*m4**6*(m3sq - m4sq)*m7**4*B0fin(0,0,m5sq) - 13*m3**4*m4**4*(m3sq - m4sq)*m5**4*m7**4*B0fin(0,0,m5sq) + 2*m3**6*m4**4*(m3sq - m4sq)*m5sq*m7**4*B0fin(0,0,m5sq) + 2*m3**4*m4**6*(m3sq - m4sq)*m5sq*m7**4*B0fin(0,0,m5sq) - m3**6*m4**4*(m3sq - m4sq)*m7**6*B0fin(0,0,m5sq) - m3**4*m4**6*(m3sq - m4sq)*m7**6*B0fin(0,0,m5sq) - 3*m3**4*m4**4*(m3sq - m4sq)*m5sq*m7**6*B0fin(0,0,m5sq) + m3**4*m4**4*(m3sq - m4sq)*m7**8*B0fin(0,0,m5sq) + 7*m3**6*m4**4*(m3sq - m4sq)*m5**4*m7sq*B0fin(0,0,m5sq) + 7*m3**4*m4**6*(m3sq - m4sq)*m5**4*m7sq*B0fin(0,0,m5sq) - 17*m3**4*m4**4*(m3sq - m4sq)*m5**6*m7sq*B0fin(0,0,m5sq) - 3*m3**6*m4**6*(m3sq - m4sq)*m5sq*m7sq*B0fin(0,0,m5sq) - 6*m3**6*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq) + 12*m3**4*(m3sq - m4sq)*m4sq*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq) + m3**4*m4sq*(m4sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - m3sq*m4**4*(m3sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 6*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + m3sq*m4**4*(m3sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m3**4*m4sq*(m4sq - m5sq - m7sq)*(m5sq - m7sq)**3*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m3sq*(m3sq - m4sq)*m4sq*m5sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m5 + m7)/2. + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m3sq*(m3sq - m4sq)*(m5sq - m7sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m5 + m7)/2. + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*(m3sq - m4sq)*m4sq*(m5sq - m7sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m5 + m7)/2. + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m5 + m7)/2. + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*m4**4*(m5sq - m7sq)**3*(m3sq - m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m3**4*(m5sq - m7sq)**3*(m4sq - m5sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*((m4 + m5 + m7)/2. + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + m3**6*m4**6*(m3sq - m4sq)*m7**4*B0fin(0,0,m7sq) - 13*m3**4*m4**4*(m3sq - m4sq)*m5**4*m7**4*B0fin(0,0,m7sq) + 2*m3**6*m4**4*(m3sq - m4sq)*m5sq*m7**4*B0fin(0,0,m7sq) + 2*m3**4*m4**6*(m3sq - m4sq)*m5sq*m7**4*B0fin(0,0,m7sq) - m3**6*m4**4*(m3sq - m4sq)*m7**6*B0fin(0,0,m7sq) - m3**4*m4**6*(m3sq - m4sq)*m7**6*B0fin(0,0,m7sq) - 3*m3**4*m4**4*(m3sq - m4sq)*m5sq*m7**6*B0fin(0,0,m7sq) + m3**4*m4**4*(m3sq - m4sq)*m7**8*B0fin(0,0,m7sq) + 7*m3**6*m4**4*(m3sq - m4sq)*m5**4*m7sq*B0fin(0,0,m7sq) + 7*m3**4*m4**6*(m3sq - m4sq)*m5**4*m7sq*B0fin(0,0,m7sq) - 17*m3**4*m4**4*(m3sq - m4sq)*m5**6*m7sq*B0fin(0,0,m7sq) - 3*m3**6*m4**6*(m3sq - m4sq)*m5sq*m7sq*B0fin(0,0,m7sq) - 6*m3**6*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*B0fin(0,0,m7sq) + 12*m3**4*(m3sq - m4sq)*m4sq*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m7sq) + 2*m3**4*m4sq*(m5sq - m7sq)**3*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 2*m3sq*m4**4*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 6*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + 2*m3sq*m4**4*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m3**4*m4sq*(m5sq - m7sq)**3*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m3**6*m4**6*(m3sq - m4sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 19*m3**4*m4**4*(m3sq - m4sq)*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m3**6*m4**4*(m3sq - m4sq)*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m3**4*m4**6*(m3sq - m4sq)*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3**6*m4**4*(m3sq - m4sq)*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3**4*m4**6*(m3sq - m4sq)*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 13*m3**4*m4**4*(m3sq - m4sq)*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m3**4*m4**4*(m3sq - m4sq)*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3**6*m4**4*(m3sq - m4sq)*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3**4*m4**6*(m3sq - m4sq)*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3**4*m4**4*(m3sq - m4sq)*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m3**6*m4**6*(m3sq - m4sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m3**6*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m3**4*(m3sq - m4sq)*m4sq*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3sq*(m3sq - m4sq)*(m5sq - m7sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,0) + (m3sq - m4sq)*m4sq*(m5sq - m7sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,0) + 2*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,0) - m4**4*(m5sq - m7sq)**3*(m3sq - m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m3) + m3**4*(m5sq - m7sq)**3*(m4sq - m5sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*T134fin(m7,m5,m4))/(m3**4*m4**4*(m3sq - m4sq)*(m5sq - m7sq)**3*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))
		def eval_45():
			return -0.25*((m3sq - m4sq)*(m5sq - m6sq)**2*(8*m4sq*m5sq + 4*m3sq*(m4sq + 2*m5sq) + 8*(m3sq*(m4sq - 2*m5sq) - 2*m4sq*m5sq) - 4*(2*m4sq*m5sq + m3sq*(3*m4sq + 2*m5sq))*B0fin(0,0,m5sq) + 2*(m3sq*(m4sq - 2*m5sq) - 2*m4sq*m5sq)*(2*B0del(0,0,m5sq) + B0fin(0,0,m5sq)**2)) + 8*m3sq*(m3sq - m4sq)*m4sq*m5sq*m6sq*(B0del(0,0,m5sq) + B0del(0,0,m6sq) - B0fin(0,0,m5sq) - B0fin(0,0,m6sq) + B0fin(0,0,m5sq)*B0fin(0,0,m6sq)) - 4*m4**4*(m5sq - m6sq)**2*T134fin(m5,m5,m3) + 4*m3**4*(m5sq - m6sq)**2*T134fin(m5,m5,m4) + 4*(m3sq - m4sq)*(m3sq*m4sq*(m5sq + m6sq)*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - (-(m4sq*(m5sq - m6sq)**2) + m3sq*(-(m5sq - m6sq)**2 + m4sq*(m5sq + m6sq)))*T134fin(m6,m5,0)) + 4*m4**4*(m5sq - m6sq)**2*T134fin(m6,m5,m3) - 4*m3**4*(m5sq - m6sq)**2*T134fin(m6,m5,m4))/(m3**4*m4**4*(m3sq - m4sq)*(m5sq - m6sq)**3)
		def eval_46():
			return 2*(m2sq/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)**3) + m3sq/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)**3))*m4sq*B0del(0,0,m4sq) + (2*m2sq*m4sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)**3) + (2*m3sq*m4sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)**3) + 2*m4sq*((m2sq*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)**3) + (m3sq*(-1 + B0fin(0,0,m3sq)))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)**3))*B0fin(0,0,m4sq) + (2*m1sq*m4sq*(B0del(0,0,m1sq) + B0del(0,0,m4sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m4sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)**3) + (6 + 2*B0del(0,0,m4sq) - 6*B0fin(0,0,m4sq) + B0fin(0,0,m4sq)**2)/(2.*(m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)) + ((m1sq + m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)**3) - ((m2sq + m4sq)*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)**3) - ((m3sq + m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)**3)
		def eval_47():
			return (2*m1sq*(m1sq - m2sq)*m3**4*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2 + 2*(m1sq - m2sq)*m2sq*m3**4*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2 - 2*(m1sq - m2sq)*m3**6*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2 - 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2 - 4*m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq + 4*m2sq*(-m1sq + m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq + 4*(m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq + 4*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq - 2*m1sq*(m1sq - m2sq)*m2sq*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq - 2*(m1sq - m2sq)*m3**4*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq + 2*m1sq*(m1sq - m2sq)*m3sq*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq + 2*(m1sq - m2sq)*m2sq*m3sq*(m3 + m7)*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq + 2*m1sq*(m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0del(0,0,m1sq) - 2*m2sq*(m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0del(0,0,m2sq) - m1sq*(m1sq - m2sq)*m2sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m3sq) + 3*(m1sq - m2sq)*m3**4*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m3sq) - m1sq*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m3sq) + m2sq*(-m1sq + m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m3sq) + 3*m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m3sq) + 3*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m3sq) - 5*(m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m3sq) - m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m3sq) - m1sq*(m1sq - m2sq)*m2sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m7sq) + 3*(m1sq - m2sq)*m3**4*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m7sq) - m1sq*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m7sq) + m2sq*(-m1sq + m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0del(0,0,m7sq) + 3*m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 3*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 5*(m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 2*m2sq*(m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0del(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0del(0,0,m7sq) - 2*m1sq*(m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0fin(0,0,m1sq) + 2*m2sq*(m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0fin(0,0,m2sq) + m1sq*(m1sq - m2sq)*m2sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq) - 3*(m1sq - m2sq)*m3**4*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq) + m1sq*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq) + (m1sq - m2sq)*m2sq*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq) + m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq) + (m1sq - m2sq)*m2sq*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq) - 3*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq) + (m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*(m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - (m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*(m2sq + m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m2sq*(-m1sq + m2sq)*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m2sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m2sq)*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m2sq)*m2sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m7sq) - 3*(m1sq - m2sq)*m3**4*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m7sq) + m1sq*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m7sq) + (m1sq - m2sq)*m2sq*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m7sq) + m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + (m1sq - m2sq)*m2sq*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + (m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 3*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + 2*m2sq*(m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) - 2*m1sq*(m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m2sq*(m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1sq*(m1sq - m2sq)*m2sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 3*(m1sq - m2sq)*m3**4*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m1sq*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m2sq*(-m1sq + m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 3*m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 3*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 5*(m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - (m2sq - m3sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3*(m1sq + m7sq)*T134fin(m7,m1,0) + (m1sq - m3sq)**2*(m1sq - m7sq)**2*(m3sq - m7sq)**3*(m2sq + m7sq)*T134fin(m7,m2,0) - m1sq*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*T134fin(m7,m3,0) + m2sq*(-m1sq + m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*T134fin(m7,m3,0) + 2*(m1sq - m2sq)*m3**6*(m1sq - m7sq)**2*(m2sq - m7sq)**2*T134fin(m7,m3,0) + m1sq*(m1sq - m2sq)*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*T134fin(m7,m3,0) + (m1sq - m2sq)*m2sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*T134fin(m7,m3,0) - 2*(m1sq - m2sq)*m3sq*m7**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*T134fin(m7,m3,0) + 2*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*T134fin(m7,m3,0) + 2*(m1sq - m2sq)*m3**4*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*T134fin(m7,m3,0) - 2*m1sq*(m1sq - m2sq)*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*T134fin(m7,m3,0) + 2*m2sq*(-m1sq + m2sq)*m3sq*(m1sq - m7sq)**2*(m2sq - m7sq)**2*m7sq*T134fin(m7,m3,0))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**2*(m3sq - m7sq)**3)
		def eval_48():
			return 2*m3sq*(m2sq/((-m1sq + m2sq)*(m2sq - m3sq)**3*(m2sq - m4sq)) + m4sq/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)**3))*B0del(0,0,m3sq) + (2*m2sq*m3sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3*(m2sq - m4sq)) + (2*m1sq*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m1sq - m4sq)) + (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*(m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)) + 2*m3sq*B0fin(0,0,m3sq)*((m2sq*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3*(m2sq - m4sq)) + (m4sq*(-1 + B0fin(0,0,m4sq)))/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)**3)) - (2*m3sq*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)))/((m3sq - m4sq)**3*(-m1sq + m4sq)*(-m2sq + m4sq)) + ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m1sq - m4sq)) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)**3*(m2sq - m4sq)) - ((m3sq + m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m3,0)))/((m3sq - m4sq)**3*(-m1sq + m4sq)*(-m2sq + m4sq))
		def eval_49():
			return (2*m1sq*m2**4*(m1sq - m4sq)*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2 - 2*m2**6*(m1sq - m4sq)*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2 + 2*m2**4*(m1sq - m4sq)*m4sq*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2 - 2*m1sq*m2sq*(m1sq - m4sq)*m4sq*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2 - 4*m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 4*m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 4*m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 4*m2**4*m4sq*(-m1sq + m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq - 2*m2**4*(m1sq - m4sq)*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 2*m1sq*m2sq*(m1sq - m4sq)*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq - 2*m1sq*(m1sq - m4sq)*m4sq*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 2*m2sq*(m1sq - m4sq)*m4sq*(m2 + m7)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 2*m1sq*(m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq) + 3*m2**4*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m2sq) - m1sq*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m2sq) - m1sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m2sq) + m2sq*m4sq*(-m1sq + m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m2sq) + 3*m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq) - 5*m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq) + 3*m2**4*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq) - m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq) - 2*(m1sq - m2sq)**2*m4sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*m7sq*B0del(0,0,m4sq) + 3*m2**4*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) - m1sq*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) - m1sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) + m2sq*m4sq*(-m1sq + m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) - 2*(m1sq - m2sq)**2*m4sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*m7sq*B0del(0,0,m7sq) + 3*m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 5*m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 3*m2**4*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 2*m1sq*(m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 2*m1sq*(m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) - 3*m2**4*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq) + m1sq*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq) + m1sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq) + m2sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq) + m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq) + m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq) + m2**4*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq) - 3*m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)**2*m4sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*m7sq*B0fin(0,0,m4sq) + (m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*(m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + 2*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + m4sq*(-m1sq + m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + m1sq*m2sq*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - m2sq*m4sq*(-m1sq + m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(m4sq + m7sq)*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 3*m2**4*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + m1sq*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + m1sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + m2sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)**2*m4sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) + m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + m2**4*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 3*m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 2*m1sq*(m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + 2*m1sq*(m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m2**4*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1sq*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1sq*(m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + m2sq*m4sq*(-m1sq + m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 3*m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 5*m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 3*m2**4*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1sq*m2sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*(m1sq - m2sq)**2*m4sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - (m2sq - m4sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2*(m1sq + m7sq)*T134fin(m7,m1,0) - m1sq*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m2,0) + 2*m2**6*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m2,0) + m2**4*m4sq*(-m1sq + m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m2,0) + m1sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m2,0) - 2*m2sq*(m1sq - m4sq)*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m2,0) + (m1sq - m4sq)*m4sq*m7**4*(m1sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m2,0) + 2*m2**4*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m2,0) - 2*m1sq*m2sq*(m1sq - m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m2,0) + 2*m1sq*(m1sq - m4sq)*m4sq*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m2,0) + 2*m2sq*m4sq*(-m1sq + m4sq)*(m1sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m2,0) + (m1sq - m2sq)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(m4sq + m7sq)*T134fin(m7,m4,0))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(m4sq - m7sq)**2)
		def eval_50():
			return 2*m2sq*(m3sq/((-m1sq + m3sq)*(-m2sq + m3sq)**3*(m3sq - m4sq)) + m4sq/((-m1sq + m4sq)*(-m2sq + m4sq)**3*(-m3sq + m4sq)))*B0del(0,0,m2sq) + (2*m1sq*m2sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m1sq - m4sq)) + (6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2)/(2.*(m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)) - (2*m2sq*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m2sq - m3sq)**3*(-m1sq + m3sq)*(m3sq - m4sq)) + 2*m2sq*B0fin(0,0,m2sq)*((m3sq*(-1 + B0fin(0,0,m3sq)))/((-m1sq + m3sq)*(-m2sq + m3sq)**3*(m3sq - m4sq)) + (m4sq*(-1 + B0fin(0,0,m4sq)))/((-m1sq + m4sq)*(-m2sq + m4sq)**3*(-m3sq + m4sq))) - (2*m2sq*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)))/((m2sq - m4sq)**3*(-m1sq + m4sq)*(-m3sq + m4sq)) + ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m1sq - m4sq)) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m2sq - m3sq)**3*(-m1sq + m3sq)*(m3sq - m4sq)) - ((m2sq + m4sq)*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m2,0)))/((m2sq - m4sq)**3*(-m1sq + m4sq)*(-m3sq + m4sq))
		def eval_51():
			return (-2*m1**6*(m3sq - m4sq)*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2 + 2*m1**4*m3sq*(m3sq - m4sq)*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2 + 2*m1**4*(m3sq - m4sq)*m4sq*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2 - 2*m1sq*m3sq*(m3sq - m4sq)*m4sq*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2 + 4*m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq - 4*m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 4*m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 4*m1**4*m4sq*(-m3sq + m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq - 2*m1**4*(m3sq - m4sq)*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 2*m1sq*m3sq*(m3sq - m4sq)*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 2*m1sq*(m3sq - m4sq)*m4sq*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq - 2*m3sq*(m3sq - m4sq)*m4sq*(m1 + m7)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq + 3*m1**4*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m1sq) - m1sq*m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m1sq) - m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m1sq) + m1sq*m4sq*(-m3sq + m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m1sq) - 5*m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq) + 3*m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq) + 3*m1**4*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq) - m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq) + 2*m3sq*(m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0del(0,0,m3sq) - 2*(m1sq - m3sq)**2*m4sq*(m1sq - m7sq)**3*(m3sq - m7sq)**2*m7sq*B0del(0,0,m4sq) + 3*m1**4*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) - m1sq*m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) - m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) + m1sq*m4sq*(-m3sq + m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0del(0,0,m7sq) - 2*(m1sq - m3sq)**2*m4sq*(m1sq - m7sq)**3*(m3sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 2*m3sq*(m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 5*m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 3*m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 3*m1**4*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 3*m1**4*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq) + m1sq*m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq) + m1sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq) + m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq) + m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) + m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) + m1**4*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) - 3*m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) - 2*m3sq*(m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m3sq) + 2*(m1sq - m3sq)**2*m4sq*(m1sq - m7sq)**3*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m4sq) - m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + 2*m1sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m4sq*(-m3sq + m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m1**4*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m1sq*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + (m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*(m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(m4sq + m7sq)*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 3*m1**4*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + m1sq*m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + m1sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m7sq) + 2*(m1sq - m3sq)**2*m4sq*(m1sq - m7sq)**3*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 2*m3sq*(m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + m1**4*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 3*m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + 3*m1**4*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m1sq*m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m1sq*m4sq*(-m3sq + m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 5*m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m1**4*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m3sq*(m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*(m1sq - m3sq)**2*m4sq*(m1sq - m7sq)**3*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m1**6*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m1,0) - m1**4*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m1,0) + m1**4*m4sq*(-m3sq + m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m1,0) - 2*m1sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m1,0) + m3sq*(m3sq - m4sq)*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m1,0) + (m3sq - m4sq)*m4sq*m7**4*(m3sq - m7sq)**2*(m4sq - m7sq)**2*T134fin(m7,m1,0) + 2*m1**4*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m1,0) - 2*m1sq*m3sq*(m3sq - m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m1,0) + 2*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m1,0) + 2*m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m7sq)**2*(m4sq - m7sq)**2*m7sq*T134fin(m7,m1,0) - (m1sq - m4sq)**2*(m1sq - m7sq)**3*(m4sq - m7sq)**2*(m3sq + m7sq)*T134fin(m7,m3,0) + (m1sq - m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(m4sq + m7sq)*T134fin(m7,m4,0))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(m4sq - m7sq)**2)
		def eval_52():
			return 2*m1sq*(m2sq/((-m1sq + m2sq)**3*(m2sq - m3sq)*(m2sq - m4sq)) + m3sq/((-m1sq + m3sq)**3*(-m2sq + m3sq)*(m3sq - m4sq)) + m4sq/((-m1sq + m4sq)**3*(-m2sq + m4sq)*(-m3sq + m4sq)))*B0del(0,0,m1sq) - (6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2)/(2.*(m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)) - (2*m1sq*m2sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m2sq - m3sq)*(m2sq - m4sq)) - (2*m1sq*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m1sq - m3sq)**3*(-m2sq + m3sq)*(m3sq - m4sq)) + 2*m1sq*B0fin(0,0,m1sq)*((m2sq*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)**3*(m2sq - m3sq)*(m2sq - m4sq)) + (m3sq*(-1 + B0fin(0,0,m3sq)))/((-m1sq + m3sq)**3*(-m2sq + m3sq)*(m3sq - m4sq)) + (m4sq*(-1 + B0fin(0,0,m4sq)))/((-m1sq + m4sq)**3*(-m2sq + m4sq)*(-m3sq + m4sq))) - (2*m1sq*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)))/((m1sq - m4sq)**3*(-m2sq + m4sq)*(-m3sq + m4sq)) - ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m2sq - m3sq)*(m2sq - m4sq)) - ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m3sq)**3*(-m2sq + m3sq)*(m3sq - m4sq)) - ((m1sq + m4sq)*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/((m1sq - m4sq)**3*(-m2sq + m4sq)*(-m3sq + m4sq))
		def eval_53():
			return -0.1111111111111111*1/m1**6
		def eval_54():
			return (4*m1sq*m2**4*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) - (m1sq - m2sq)*(m1**4 + 5*m2**4 - 6*m1sq*m2sq + 4*m2**4*B0del(0,0,m2sq) - 4*m2**4*B0fin(0,0,m2sq) + 2*m2**4*B0fin(0,0,m2sq)**2) + 4*m2**4*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(4.*m2**4*(m1sq - m2sq)**4)
		def eval_55():
			return -((m1**4 + 3*m3**3 + 3*m1*m3sq - 3*m1sq*m3sq + 2*m1sq*m3sq*B0del(0,0,m1sq) + 2*m3**4*B0del(0,0,m3sq) + 2*m1*m3sq*B0fin(0,0,m1) + m3**4*B0fin(0,0,m1sq) - m1sq*m3sq*B0fin(0,0,m1sq) + 2*m3**3*B0fin(0,0,m3) - m3**4*B0fin(0,0,m3sq) + m1sq*m3sq*B0fin(0,0,m3sq) + 2*m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3**4*B0fin(0,0,m3sq)**2 - m1sq*m3sq*B0fin(0,0,m3sq)**2 - 2*m3sq*T134fin(m3,m1,0))/((m1 - m3)**4*m3**2*(m1 + m3)**4))
		def eval_56():
			return (m1**4 - 3*m2**3 + 6*m2**4 - 3*m1*m2sq + 3*m1sq*m2sq + 2*m1sq*m2sq*B0del(0,0,m1sq) + 2*m2**4*B0del(0,0,m2sq) - 2*m1*m2sq*B0fin(0,0,m1) + m1**4*B0fin(0,0,m1sq) + 3*m1sq*m2sq*B0fin(0,0,m1sq) + 2*m1sq*m2sq*B0fin(0,0,m1sq)**2 - 2*m2**3*B0fin(0,0,m2) - m1**4*B0fin(0,0,m2sq) + 4*m2**4*B0fin(0,0,m2sq) + m1sq*m2sq*B0fin(0,0,m2sq) - 2*m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m2**4*B0fin(0,0,m2sq)**2 + m1sq*m2sq*B0fin(0,0,m2sq)**2 - 2*m2sq*T134fin(m2,m1,0))/(2.*(m1 - m2)**4*m2**2*(m1 + m2)**4)
		def eval_57():
			return -0.5*(-4*m1 + 8*m1sq - 4*m3 + 8*m3sq + 4*m1sq*B0del(0,0,m1sq) + 4*m3sq*B0del(0,0,m3sq) - 8*m1*B0fin(0,0,m1) + 12*m1sq*B0fin(0,0,m1sq) + 3*m1sq*B0fin(0,0,m1sq)**2 + m3sq*B0fin(0,0,m1sq)**2 - 8*m3*B0fin(0,0,m3) + 12*m3sq*B0fin(0,0,m3sq) - 2*m1sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1sq*B0fin(0,0,m3sq)**2 + 3*m3sq*B0fin(0,0,m3sq)**2 - 4*T134fin(m3,m1,0))/(m1sq - m3sq)**4
		def eval_58():
			return (-m1**4 + 3*m2**3 - 2*m2**4 + 3*m1*m2sq + m1sq*m2sq + 2*m1sq*m2sq*B0del(0,0,m1sq) + 2*m2**4*B0del(0,0,m2sq) - 2*m1*m2sq*B0fin(0,0,m1) + 3*m2**4*B0fin(0,0,m1sq) + m1sq*m2sq*B0fin(0,0,m1sq) - m2**4*B0fin(0,0,m1sq)**2 + m1sq*m2sq*B0fin(0,0,m1sq)**2 - 2*m2**3*B0fin(0,0,m2) + m2**4*B0fin(0,0,m2sq) + 3*m1sq*m2sq*B0fin(0,0,m2sq) + 2*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m2sq*T134fin(m2,m1,0))/(2.*(m1 - m2)**4*m2**2*(m1 + m2)**4)
		def eval_59():
			return -((3*m1**3 + 3*m1sq*m3 + m3**4 - 3*m1sq*m3sq + 2*m1**4*B0del(0,0,m1sq) + 2*m1sq*m3sq*B0del(0,0,m3sq) + 2*m1**3*B0fin(0,0,m1) - m1**4*B0fin(0,0,m1sq) + m1sq*m3sq*B0fin(0,0,m1sq) + m1**4*B0fin(0,0,m1sq)**2 - m1sq*m3sq*B0fin(0,0,m1sq)**2 + 2*m1sq*m3*B0fin(0,0,m3) + m1**4*B0fin(0,0,m3sq) - m1sq*m3sq*B0fin(0,0,m3sq) + 2*m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1sq*T134fin(m3,m1,0))/(m1**2*(m1 - m3)**4*(m1 + m3)**4))
		def eval_60():
			return -0.08333333333333333*(96*m1**7 - 48*m1**8 + 48*m1**6*m6 - 2*m1**4*m6**3 + 66*m1**4*m6**4 - 14*m1sq*m6**6 + m6**8 - 4*m1**5*m6sq - 116*m1**6*m6sq + 48*m1**8*B0del(0,0,m1sq) + 24*m1**6*m6sq*B0del(0,0,m6sq) - 8*m1**5*m6sq*B0fin(0,0,m1) + 48*m1**8*B0fin(0,0,m1sq) - 68*m1**4*m6**4*B0fin(0,0,m1sq) + 22*m1sq*m6**6*B0fin(0,0,m1sq) - 2*m6**8*B0fin(0,0,m1sq) + 56*m1**6*m6sq*B0fin(0,0,m1sq) + 24*m1**8*B0fin(0,0,m1sq)**2 - 12*m1**6*m6sq*B0fin(0,0,m1sq)**2 - 4*m1**4*m6**3*B0fin(0,0,m6) + 72*m1**4*m6**4*B0fin(0,0,m6sq) - 22*m1sq*m6**6*B0fin(0,0,m6sq) + 2*m6**8*B0fin(0,0,m6sq) - 24*m1**6*m6sq*B0fin(0,0,m6sq) + 24*m1**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 24*m1**6*T134fin(m6,m1,m1))/(m1**4*m6**4*(4*m1sq - m6sq)**3)
		def eval_61():
			return (-2*m1**5 - m1**6 - 2*m1**4*m6 - 5*m1sq*m6**4 + m6**6 + 9*m1**4*m6sq - 4*m1**5*B0fin(0,0,m1) + (4*m1**6 + 6*m1sq*m6**4 - 2*m6**6 - 4*m1**4*m6sq)*B0fin(0,0,m1sq) - 4*m1**4*m6*B0fin(0,0,m6) - 6*m1sq*m6**4*B0fin(0,0,m6sq) + 2*m6**6*B0fin(0,0,m6sq) + 8*m1**4*m6sq*B0fin(0,0,m6sq))/(12.*m1**4*(m1 - m6)**4*(m1 + m6)**4)
		def eval_62():
			return ((m1sq - m4sq)*(5*m1**4 + m4**4 - 6*m1sq*m4sq + 4*m1**4*B0del(0,0,m1sq) - 4*m1**4*B0fin(0,0,m1sq) + 2*m1**4*B0fin(0,0,m1sq)**2) + 4*m1**4*m4sq*(B0del(0,0,m1sq) + B0del(0,0,m4sq) - B0fin(0,0,m1sq) - B0fin(0,0,m4sq) + B0fin(0,0,m1sq)*B0fin(0,0,m4sq)) + 4*m1**4*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/(4.*(m1**3 - m1*m4sq)**4)
		def eval_63():
			return (m1sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**3) + (m2sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3) + (2*(m1sq - m3sq)*(-m2sq + m3sq) + 2*(m1sq + m2sq - 2*m3sq)*m3sq*B0del(0,0,m3sq) - 2*(m1sq + m2sq - 2*m3sq)*m3sq*B0fin(0,0,m3sq) + (m1sq + m2sq - 2*m3sq)*m3sq*B0fin(0,0,m3sq)**2)/(2.*m3**2*(m1sq - m3sq)**2*(m2sq - m3sq)**2) + (m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0))/((m1sq - m2sq)*(m1sq - m3sq)**3) - (m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0))/((m1sq - m2sq)*(m2sq - m3sq)**3)
		def eval_64():
			return (2*m2**4*(m1sq - m4sq)**2*(m2sq - m4sq)**2 - 2*m1sq*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2 + 4*m1sq*(m2 + m4)*(m1sq - m4sq)**2*(m2sq - m4sq)**2 - 4*m2sq*(m2 + m4)*(m1sq - m4sq)**2*(m2sq - m4sq)**2 - 2*m1sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq + 2*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq + 2*m1sq*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*B0del(0,0,m1sq) - 4*m2**4*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0del(0,0,m2sq) + 2*m1sq*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0del(0,0,m2sq) + 2*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0del(0,0,m2sq) - 2*(m1sq - m2sq)**2*(m2 - m4)**3*(m2 + m4)**3*(m1sq - m4sq)*B0del(0,0,m4sq) + 2*m1sq*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*B0del(0,0,m4sq) - 4*m2**4*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0del(0,0,m4sq) + 2*m1sq*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0del(0,0,m4sq) + 2*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0del(0,0,m4sq) - 2*m1sq*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*B0fin(0,0,m1sq) + 2*m2**4*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0fin(0,0,m2sq) + 2*m1sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m2sq) - 4*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m2sq) + 2*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) - 2*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + 2*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + 2*(m1sq - m2sq)**2*(m2 - m4)**3*(m2 + m4)**3*(m1sq - m4sq)*B0fin(0,0,m4sq) - 2*m1sq*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*B0fin(0,0,m4sq) + 2*m2**4*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0fin(0,0,m4sq) + 2*m1sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m4sq) - 4*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m4sq) + 2*m1sq*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m2**4*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - (m1sq - m2sq)**2*(m2 - m4)**3*(m2 + m4)**3*(m1sq - m4sq)*B0fin(0,0,m4sq)**2 - 2*(m2 - m4)**3*(m2 + m4)**3*(m2sq - m4sq)**2*T134fin(m4,m1,0) - 2*m1sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*T134fin(m4,m2,0) + 4*m2sq*(m1sq - m4sq)**2*(m2sq - m4sq)**2*T134fin(m4,m2,0) - 2*(m1sq - m4sq)**2*(m2sq - m4sq)**2*m4sq*T134fin(m4,m2,0))/(2.*(m1sq - m2sq)**2*(m2 - m4)**3*(m2 + m4)**3*(m1sq - m4sq)**2*(m2sq - m4sq)**2)
		def eval_65():
			return -0.5*(-2*m1sq*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2 + 2*(m1sq - m2sq)**2*m3**4*(m2sq - m3sq)**2 + 4*m1sq*(m1sq - m2sq)**2*(m2 + m3)*(m2sq - m3sq)**2 - 2*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq + 2*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*m3sq - 4*(m1sq - m2sq)**2*(m2 + m3)*(m2sq - m3sq)**2*m3sq - 2*m1sq*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*B0del(0,0,m1sq) + 2*(m1sq - m2sq)*(m2 - m3)**3*(m2 + m3)**3*(m1sq - m3sq)**2*B0del(0,0,m2sq) - 4*(m1sq - m2sq)**2*m3**4*(m2sq - m3sq)**2*B0del(0,0,m2sq) - 2*m1sq*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*B0del(0,0,m2sq) + 2*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*B0del(0,0,m2sq) + 2*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*m3sq*B0del(0,0,m2sq) - 4*(m1sq - m2sq)**2*m3**4*(m2sq - m3sq)**2*B0del(0,0,m3sq) + 2*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*B0del(0,0,m3sq) + 2*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*m3sq*B0del(0,0,m3sq) + 2*m1sq*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*B0fin(0,0,m1sq) - 2*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*(m1sq - m2sq)*(m2 - m3)**3*(m2 + m3)**3*(m1sq - m3sq)**2*B0fin(0,0,m2sq) + 2*m1sq*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)**2*m3**4*(m2sq - m3sq)**2*B0fin(0,0,m2sq) + 2*m1sq*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*B0fin(0,0,m2sq) - 4*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*m3sq*B0fin(0,0,m2sq) - 2*m1sq*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*(m2 - m3)**3*(m2 + m3)**3*(m1sq - m3sq)**2*B0fin(0,0,m2sq)**2 + 2*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) - 2*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 2*m1sq*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*B0fin(0,0,m3sq) + 2*(m1sq - m2sq)**2*m3**4*(m2sq - m3sq)**2*B0fin(0,0,m3sq) - 4*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*m3sq*B0fin(0,0,m3sq) - 4*(m1sq - m2sq)**2*m3**4*(m2sq - m3sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 2*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 2*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 2*(m2 - m3)**3*(m2 + m3)**3*(m2sq - m3sq)**2*T134fin(m2,m1,0) - 2*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*T134fin(m3,m2,0) - 2*(m1sq - m2sq)**2*m2sq*(m2sq - m3sq)**2*T134fin(m3,m2,0) + 4*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*T134fin(m3,m2,0))/((m1sq - m2sq)**2*(m2 - m3)**3*(m2 + m3)**3*(m1sq - m3sq)**2*(m2sq - m3sq)**2)
		def eval_66():
			return ((-2*(m1sq - m2sq)**2)/(m6**2*(-2*m2 + m6)**2*(2*m2 + m6)) + (m6sq*(90*m2**8 + 6*m2**4*m6**4 - 47*m2**6*m6sq + m1sq*(-52*m2**6 - 4*m2sq*m6**4 + 30*m2**4*m6sq) + m1**4*(26*m2**4 + 2*m6**4 - 15*m2sq*m6sq)) + 2*m2sq*(-4*m2**8 - 10*m2**4*m6**4 + m2sq*m6**6 + 26*m2**6*m6sq + m1sq*(8*m2**6 - 6*m2sq*m6**4 + m6**6 + 4*m2**4*m6sq) + m1**4*(-4*m2**4 + 2*m2sq*m6sq))*B0del(0,0,m2sq) + 2*(m1**4*(4*m2**6 + 7*m2sq*m6**4 - m6**6 - 12*m2**4*m6sq) + m2**4*(4*m2**6 - 15*m2sq*m6**4 + 2*m6**6 + 28*m2**4*m6sq) + m1sq*(-8*m2**8 - 8*m2**4*m6**4 + m2sq*m6**6 + 16*m2**6*m6sq))*B0fin(0,0,m2sq) + (m1**4*(-4*m2**6 + 2*m2**4*m6sq) + m1sq*m2sq*(8*m2**6 - 6*m2sq*m6**4 + m6**6 + 4*m2**4*m6sq) + m2**4*(-4*m2**6 - 10*m2sq*m6**4 + m6**6 + 26*m2**4*m6sq))*B0fin(0,0,m2sq)**2)/(m6**4*(-4*m2**3 + m2*m6sq)**2) + ((m1sq - m2sq)*(m1sq - m2sq - 2*m6sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/(-4*m2sq*m6**4 + m6**6) - ((-m1sq + m2sq)*(-8*m1sq*m2**4 + 8*m2**6 - m1sq*m6**4 + m2sq*m6**4 - 8*m2**4*m6sq + 8*m1sq*m2sq*m6sq + (-4*m1sq*m2**4 + 4*m2**6 - 2*m2sq*m6**4 + 8*m2**4*m6sq)*B0del(0,0,m2sq) + (-4*m1sq*m2**4 + 4*m2**6 - 2*m2sq*m6**4 + 8*m2**4*m6sq)*B0del(0,0,m6sq) + 12*m1sq*m2**4*B0fin(0,0,m2sq) - 12*m2**6*B0fin(0,0,m2sq) + m1sq*m6**4*B0fin(0,0,m2sq) + m2sq*m6**4*B0fin(0,0,m2sq) - 8*m1sq*m2sq*m6sq*B0fin(0,0,m2sq) + 12*m1sq*m2**4*B0fin(0,0,m6sq) - 12*m2**6*B0fin(0,0,m6sq) + m1sq*m6**4*B0fin(0,0,m6sq) + m2sq*m6**4*B0fin(0,0,m6sq) - 8*m1sq*m2sq*m6sq*B0fin(0,0,m6sq) - 4*m1sq*m2**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m2**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m2sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 8*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq)))/(-4*m2**3*m6 + m2*m6**3)**2 - (2*T134fin(m2,m1,0))/m6**2 + (2*T134fin(m6,m2,m1))/m6**2 + (-2/m6**2 + (4*(-(m1sq*m2) + m2**3)**2)/(m6**4*(-4*m2sq + m6sq)**2) + (2*(m1sq - m2sq))/(m6**4 - 4*m2sq*m6sq))*T134fin(m6,m2,m2))/(2.*(m1sq - m2sq)**3)
		def eval_67():
			return ((4*(2*(m1**4 + 3*m2**4 - 2*m1sq*m2sq) + 2*m2sq*(m1sq + m2sq)*B0del(0,0,m2sq) + (-2*m1**4 + 4*m2**4 + 2*m1sq*m2sq)*B0fin(0,0,m2sq) + m2sq*(m1sq + m2sq)*B0fin(0,0,m2sq)**2))/(m2**2*(-m1sq + m2sq)**3*(m2sq - m6sq)) - (4*m6sq*(-3*m2**4 + 3*m1sq*m2sq - m1sq*m6sq + m2sq*m6sq + 2*(m2**4 - m2sq*m6sq)*B0del(0,0,m2sq) + 2*(m2**4 - m2sq*m6sq)*B0del(0,0,m6sq) + m2**4*B0fin(0,0,m2sq) - 3*m1sq*m2sq*B0fin(0,0,m2sq) + m1sq*m6sq*B0fin(0,0,m2sq) + m2sq*m6sq*B0fin(0,0,m2sq) + m2**4*B0fin(0,0,m6sq) - 3*m1sq*m2sq*B0fin(0,0,m6sq) + m1sq*m6sq*B0fin(0,0,m6sq) + m2sq*m6sq*B0fin(0,0,m6sq) + 2*m2**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq)))/((-(m1sq*m2) + m2**3)**2*(m2 - m6)**3*(m2 + m6)**3) + (8*T134fin(m2,m1,0))/((m1sq - m2sq)**3*(m2sq - m6sq)) - (8*T134fin(m6,m1,0))/((m1sq - m2sq)**3*(m2sq - m6sq)) + (4*(2*(m1sq - m2sq)**2*(m2 + m6) - (m1sq - m2sq)*(m1sq + m2sq - 2*m6sq)*(m2 + m6 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) - 2*(m2sq - m6sq)*(-m1sq + m6sq)*T134fin(m6,m2,0)))/((m1sq - m2sq)**3*(m2 - m6)**3*(m2 + m6)**3))/8.
		def eval_68():
			return (m1sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m4sq)) + (2*(m1sq - m2sq)*(m2sq - m4sq) + 2*m2sq*(m1sq - 2*m2sq + m4sq)*B0del(0,0,m2sq) - 2*m2sq*(m1sq - 2*m2sq + m4sq)*B0fin(0,0,m2sq) + m2sq*(m1sq - 2*m2sq + m4sq)*B0fin(0,0,m2sq)**2)/(2.*m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2) + (m4sq*(B0del(0,0,m2sq) + B0del(0,0,m4sq) - B0fin(0,0,m2sq) - B0fin(0,0,m4sq) + B0fin(0,0,m2sq)*B0fin(0,0,m4sq)))/((m1sq - m4sq)*(m2sq - m4sq)**3) + (m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0))/((m1sq - m2sq)**3*(m1sq - m4sq)) + (m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m2,0))/((m1sq - m4sq)*(m2sq - m4sq)**3)
		def eval_69():
			return (2*m1**4*(m1sq - m4sq)**2*(m3sq - m4sq)**2 - 2*m1sq*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2 - 4*m1sq*(m1 + m4)*(m1sq - m4sq)**2*(m3sq - m4sq)**2 + 4*m3sq*(m1 + m4)*(m1sq - m4sq)**2*(m3sq - m4sq)**2 + 2*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq - 2*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq - 4*m1**4*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0del(0,0,m1sq) + 2*m1sq*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0del(0,0,m1sq) + 2*m3sq*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*B0del(0,0,m3sq) + 2*m3sq*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*B0del(0,0,m4sq) - 2*(m1sq - m3sq)**2*(m1 - m4)**3*(m1 + m4)**3*(m3sq - m4sq)*B0del(0,0,m4sq) - 4*m1**4*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0del(0,0,m4sq) + 2*m1sq*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0del(0,0,m4sq) + 2*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0del(0,0,m4sq) + 2*m1**4*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m1sq) - 4*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq) + 2*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq) - 2*m3sq*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*B0fin(0,0,m3sq) - 2*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) + 2*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) + 2*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)) - 2*m3sq*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*B0fin(0,0,m4sq) + 2*(m1sq - m3sq)**2*(m1 - m4)**3*(m1 + m4)**3*(m3sq - m4sq)*B0fin(0,0,m4sq) + 2*m1**4*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m4sq) - 4*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m4sq) + 2*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m4sq) - 4*m1**4*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m3sq*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - (m1sq - m3sq)**2*(m1 - m4)**3*(m1 + m4)**3*(m3sq - m4sq)*B0fin(0,0,m4sq)**2 + 4*m1sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*T134fin(m4,m1,0) - 2*m3sq*(m1sq - m4sq)**2*(m3sq - m4sq)**2*T134fin(m4,m1,0) - 2*(m1sq - m4sq)**2*(m3sq - m4sq)**2*m4sq*T134fin(m4,m1,0) - 2*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*T134fin(m4,m3,0))/(2.*(m1sq - m3sq)**2*(m1 - m4)**3*(m1 + m4)**3*(m1sq - m4sq)**2*(m3sq - m4sq)**2)
		def eval_70():
			return -(((m1sq - m3sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))) - (m7sq*(3*m1sq - m3sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(4*m3sq - m7sq)) - ((m1sq - m3sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(3*m1**4 + 11*m3**4 + 5*m7**4 - 16*m3sq*m7sq - 6*m1sq*(m3sq + m7sq))*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m7sq*(3*m1sq - m3sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(3*m1**4 + 11*m3**4 + 5*m7**4 - 16*m3sq*m7sq - 6*m1sq*(m3sq + m7sq))*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(3*m1sq - m3sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(4*m3sq - m7sq)) + ((m1sq - m3sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m7sq*(3*m1**4 + 11*m3**4 + 5*m7**4 - 16*m3sq*m7sq - 6*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + B0fin(0,0,m3sq)**2/((m1sq - m3sq)**2*(4*m3sq - m7sq)) + (2*((m1 + m7)/2. + m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)))/((-m1sq + m3sq)**3*(m1sq - m7sq)) + (2*((m3 + m7)/2. + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)))/((-m1sq + m3sq)**3*(m3sq - m7sq)) - (m1sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m3**2*(-m1sq + m3sq)**3*(m1sq - m7sq)) - (m1sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(m3**2*(-m1sq + m3sq)**3*(m3sq - m7sq)) + ((-m1sq + m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((-(m1sq*m3) + m3**3)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)**3*(4*m3sq - m7sq)) + (m1sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(m3**2*(-m1sq + m3sq)**3*(4*m3sq - m7sq)) + (m7sq*(3*m1sq - m3sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m7sq*(3*m1**4 + 11*m3**4 + 5*m7**4 - 16*m3sq*m7sq - 6*m1sq*(m3sq + m7sq))*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m7sq*(3*m1sq - m3sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(3*m1**4 + 11*m3**4 + 5*m7**4 - 16*m3sq*m7sq - 6*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m7,m1,0)/((m1sq - m3sq)**3*(m1sq - m7sq)) - (m1sq*T134fin(m7,m1,0))/(m3**2*(-m1sq + m3sq)**3*(m1sq - m7sq)) + (2*m7sq*T134fin(m7,m1,0))/(m3**2*(-m1sq + m3sq)**3*(m1sq - m7sq)) + T134fin(m7,m3,0)/((-m1sq + m3sq)**3*(m3sq - m7sq)) + (m1sq*T134fin(m7,m3,0))/(m3**2*(-m1sq + m3sq)**3*(m3sq - m7sq)) - (2*m7sq*T134fin(m7,m3,0))/(m3**2*(-m1sq + m3sq)**3*(m3sq - m7sq)) + (2*T134fin(m7,m3,m1))/(m3**2*(-m1sq + m3sq)**3) - ((-m1sq + m3sq + m7sq)*T134fin(m7,m3,m1))/((-(m1sq*m3) + m3**3)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (7*T134fin(m7,m3,m3))/((m1sq - m3sq)**3*(4*m3sq - m7sq)) - (m1sq*T134fin(m7,m3,m3))/(m3**2*(-m1sq + m3sq)**3*(4*m3sq - m7sq)) + (2*m7sq*T134fin(m7,m3,m3))/(m3**2*(-m1sq + m3sq)**3*(4*m3sq - m7sq))
		def eval_71():
			return (2*m1**4*(m1sq - m3sq)**2*(m3sq - m4sq)**2 - 4*m1sq*(m1 + m3)*(m1sq - m3sq)**2*(m3sq - m4sq)**2 + 2*m1sq*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2 - 2*m1sq*(m1sq - m3sq)**2*(m3sq - m4sq)**2*m4sq + 4*(m1 + m3)*(m1sq - m3sq)**2*(m3sq - m4sq)**2*m4sq - 2*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*m4sq - 4*m1**4*(m1sq - m3sq)**2*(m3sq - m4sq)**2*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)**2*(m3sq - m4sq)**2*m4sq*B0del(0,0,m1sq) + 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m4sq)**2*(m3sq - m4sq)*B0del(0,0,m3sq) - 4*m1**4*(m1sq - m3sq)**2*(m3sq - m4sq)**2*B0del(0,0,m3sq) + 2*m1sq*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*B0del(0,0,m3sq) + 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*m4sq*B0del(0,0,m3sq) + 2*m1sq*(m1sq - m3sq)**2*(m3sq - m4sq)**2*m4sq*B0del(0,0,m3sq) + 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*m4sq*B0del(0,0,m4sq) + 2*m1**4*(m1sq - m3sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m1sq) - 4*m1sq*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*B0fin(0,0,m1sq) + 2*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)**2*(m3sq - m4sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m4sq)**2*(m3sq - m4sq)*B0fin(0,0,m3sq) + 2*m1**4*(m1sq - m3sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m3sq) - 4*m1sq*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*B0fin(0,0,m3sq) - 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*m4sq*B0fin(0,0,m3sq) + 2*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m3sq) - 4*m1**4*(m1sq - m3sq)**2*(m3sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1sq*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1sq*(m1sq - m3sq)**2*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + (m1 - m3)**3*(m1 + m3)**3*(m1sq - m4sq)**2*(m3sq - m4sq)*B0fin(0,0,m3sq)**2 + 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)) - 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*m4sq*B0fin(0,0,m4sq) + 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1sq*(m1sq - m3sq)**2*(m3sq - m4sq)**2*T134fin(m3,m1,0) - 2*(m1sq - m3sq)**2*m3sq*(m3sq - m4sq)**2*T134fin(m3,m1,0) - 2*(m1sq - m3sq)**2*(m3sq - m4sq)**2*m4sq*T134fin(m3,m1,0) - 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*T134fin(m4,m3,0))/(2.*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)**2)
		def eval_72():
			return (2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2 - 2*(m1sq - m2sq)**2*m3**4*(m1sq - m3sq)**2 - 4*(m1sq - m2sq)**2*m2sq*(m1 + m3)*(m1sq - m3sq)**2 - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq + 2*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*m3sq + 4*(m1sq - m2sq)**2*(m1 + m3)*(m1sq - m3sq)**2*m3sq + 4*(m1sq - m2sq)**2*m3**4*(m1sq - m3sq)**2*B0del(0,0,m1sq) + 2*m2sq*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*B0del(0,0,m1sq) + 2*(m1sq - m2sq)*(m1 - m3)**3*(m1 + m3)**3*(m2sq - m3sq)**2*B0del(0,0,m1sq) - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*B0del(0,0,m1sq) - 2*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*m3sq*B0del(0,0,m1sq) + 2*m2sq*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*B0del(0,0,m2sq) + 4*(m1sq - m2sq)**2*m3**4*(m1sq - m3sq)**2*B0del(0,0,m3sq) - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*B0del(0,0,m3sq) - 2*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*m3sq*B0del(0,0,m3sq) - 2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*B0fin(0,0,m1sq) - 2*(m1sq - m2sq)**2*m3**4*(m1sq - m3sq)**2*B0fin(0,0,m1sq) - 2*m2sq*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*B0fin(0,0,m1sq) - 2*(m1sq - m2sq)*(m1 - m3)**3*(m1 + m3)**3*(m2sq - m3sq)**2*B0fin(0,0,m1sq) + 4*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*B0fin(0,0,m1sq) + (m1sq - m2sq)*(m1 - m3)**3*(m1 + m3)**3*(m2sq - m3sq)**2*B0fin(0,0,m1sq)**2 + 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m2sq*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*B0fin(0,0,m2sq) + 2*m2sq*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)**2*m3**4*(m1sq - m3sq)**2*B0fin(0,0,m3sq) + 4*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*B0fin(0,0,m3sq) + 4*(m1sq - m2sq)**2*m3**4*(m1sq - m3sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*T134fin(m2,m1,0) + 2*m1sq*(m1sq - m2sq)**2*(m1sq - m3sq)**2*T134fin(m3,m1,0) + 2*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*T134fin(m3,m1,0) - 4*(m1sq - m2sq)**2*(m1sq - m3sq)**2*m3sq*T134fin(m3,m1,0))/(2.*(m1sq - m2sq)**2*(m1 - m3)**3*(m1 + m3)**3*(m1sq - m3sq)**2*(m2sq - m3sq)**2)
		def eval_73():
			return ((2*(m1sq - m3sq)*B0del(0,0,m1sq))/(4*m1sq - m7sq) + ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) + ((m1sq - m3sq)*m7sq*(11*m1**4 + 3*m3**4 + 5*m7**4 - 6*m3sq*m7sq - 2*m1sq*(3*m3sq + 8*m7sq))*B0del(0,0,m1sq))/((m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) + ((m1sq - m3sq)*(m1sq - 3*m3sq - m7sq)*m7sq*B0del(0,0,m3sq))/((m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*(m1sq - 3*m3sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m1**4 + 3*m3**4 + 5*m7**4 - 6*m3sq*m7sq - 2*m1sq*(3*m3sq + 8*m7sq))*B0del(0,0,m7sq))/((m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*(m1sq - m3sq)*B0fin(0,0,m1sq))/(4*m1sq - m7sq) - ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) - ((m1sq - m3sq)*m7sq*(11*m1**4 + 3*m3**4 + 5*m7**4 - 6*m3sq*m7sq - 2*m1sq*(3*m3sq + 8*m7sq))*B0fin(0,0,m1sq))/((m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*B0fin(0,0,m1sq)**2)/(4*m1sq - m7sq) - ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) - ((m1sq - m3sq)*(m1sq - 3*m3sq - m7sq)*m7sq*B0fin(0,0,m3sq))/((m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) + (m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/(m1sq - m7sq) - (m3sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1**4 - m1sq*m7sq) - (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/(4*m1sq - m7sq) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(4*m1**4 - m1sq*m7sq) + (m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7))/(m3sq - m7sq) - (m3sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(m1**2*(m3sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(m1**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*(m1sq - 3*m3sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*m7sq*(11*m1**4 + 3*m3**4 + 5*m7**4 - 6*m3sq*m7sq - 2*m1sq*(3*m3sq + 8*m7sq))*B0fin(0,0,m7sq))/((m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m1**4 + 3*m3**4 + 5*m7**4 - 6*m3sq*m7sq - 2*m1sq*(3*m3sq + 8*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*(m1sq - 3*m3sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m7,m1,0)/(m1sq - m7sq) + (m3sq*T134fin(m7,m1,0))/(m1**4 - m1sq*m7sq) - (2*m7sq*T134fin(m7,m1,0))/(m1**4 - m1sq*m7sq) - (7*T134fin(m7,m1,m1))/(4*m1sq - m7sq) - (m3sq*T134fin(m7,m1,m1))/(4*m1**4 - m1sq*m7sq) + (2*m7sq*T134fin(m7,m1,m1))/(4*m1**4 - m1sq*m7sq) - T134fin(m7,m3,0)/(m3sq - m7sq) - (m3sq*T134fin(m7,m3,0))/(m1**2*(m3sq - m7sq)) + (2*m7sq*T134fin(m7,m3,0))/(m1**2*(m3sq - m7sq)) + (2*T134fin(m7,m3,m1))/m1**2 + ((-m1sq + m3sq)*(m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/(m1**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))))/(m1sq - m3sq)**3
		def eval_74():
			return (2*(m3sq - m6sq)*(m1**4 - m3sq*m6sq)*B0del(0,0,m1sq) + (m1sq - m6sq)*(-m3sq + m6sq)*(8*m1sq + 2*(3*m1sq + m3sq)*B0del(0,0,m1sq) + 2*(5*m1sq - m3sq)*B0fin(0,0,m1sq) + (3*m1sq + m3sq)*B0fin(0,0,m1sq)**2) + 2*m1sq*(m1sq - m6sq)*(m3sq - m6sq)*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 2*(m3sq - m6sq)*B0fin(0,0,m1sq)*(-(m1sq*(m1sq - m6sq)*(-1 + B0fin(0,0,m3sq))) - (m1sq - m3sq)*m6sq*(-1 + B0fin(0,0,m6sq))) + 2*(m1sq - m3sq)*(m3sq - m6sq)*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) + 2*(m1sq - m3sq)*(m1sq - m6sq)*m6sq*(B0del(0,0,m3sq) + B0del(0,0,m6sq) - B0fin(0,0,m3sq) - B0fin(0,0,m6sq) + B0fin(0,0,m3sq)*B0fin(0,0,m6sq)) + 2*(m1sq - m6sq)*(m3sq - m6sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + T134fin(m3,m1,0)) + 2*(m3sq - m6sq)*((m1sq - m3sq)*(m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + (m1sq + m3sq - 2*m6sq)*T134fin(m6,m1,0)) + 2*(m1sq - m6sq)*((m1sq - m3sq)*(m3 + m6 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - (m1sq + m3sq - 2*m6sq)*T134fin(m6,m3,0)))/(2.*(m1sq - m3sq)**3*(m1sq - m6sq)**2*(m3sq - m6sq))
		def eval_75():
			return (-2*m2**4*(m1sq - m2sq)**2*(m1sq - m4sq)**2 - 2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2 + 4*(m1 + m2)*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2 + 2*m1sq*(m1sq - m2sq)**2*(m1sq - m4sq)**2*m4sq - 4*(m1 + m2)*(m1sq - m2sq)**2*(m1sq - m4sq)**2*m4sq + 2*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*m4sq + 4*m2**4*(m1sq - m2sq)**2*(m1sq - m4sq)**2*B0del(0,0,m1sq) - 2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*B0del(0,0,m1sq) + 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m4sq)*(m2sq - m4sq)**2*B0del(0,0,m1sq) + 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*m4sq*B0del(0,0,m1sq) - 2*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*m4sq*B0del(0,0,m1sq) + 4*m2**4*(m1sq - m2sq)**2*(m1sq - m4sq)**2*B0del(0,0,m2sq) - 2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*B0del(0,0,m2sq) - 2*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*m4sq*B0del(0,0,m2sq) + 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*m4sq*B0del(0,0,m4sq) - 2*m2**4*(m1sq - m2sq)**2*(m1sq - m4sq)**2*B0fin(0,0,m1sq) + 4*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*B0fin(0,0,m1sq) - 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m4sq)*(m2sq - m4sq)**2*B0fin(0,0,m1sq) - 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*m4sq*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m4sq)**2*m4sq*B0fin(0,0,m1sq) + (m1 - m2)**3*(m1 + m2)**3*(m1sq - m4sq)*(m2sq - m4sq)**2*B0fin(0,0,m1sq)**2 - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m4sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 2*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m2**4*(m1sq - m2sq)**2*(m1sq - m4sq)**2*B0fin(0,0,m2sq) + 4*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*B0fin(0,0,m2sq) - 2*m1sq*(m1sq - m2sq)**2*(m1sq - m4sq)**2*m4sq*B0fin(0,0,m2sq) + 4*m2**4*(m1sq - m2sq)**2*(m1sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1sq*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) - 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*m4sq*B0fin(0,0,m4sq) + 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*(m1sq - m2sq)**2*(m1sq - m4sq)**2*T134fin(m2,m1,0) - 4*(m1sq - m2sq)**2*m2sq*(m1sq - m4sq)**2*T134fin(m2,m1,0) + 2*(m1sq - m2sq)**2*(m1sq - m4sq)**2*m4sq*T134fin(m2,m1,0) - 2*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*T134fin(m4,m1,0))/(2.*(m1 - m2)**3*(m1 + m2)**3*(m1sq - m2sq)**2*(m1sq - m4sq)**2*(m2sq - m4sq)**2)
		def eval_76():
			return -0.5*((-2*(m1sq - m4sq)**2)/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)) + (m6sq*(90*m1**8 + 2*m4**4*m6**4 - m1**6*(52*m4sq + 47*m6sq) - m1sq*(4*m4sq*m6**4 + 15*m4**4*m6sq) + m1**4*(26*m4**4 + 6*m6**4 + 30*m4sq*m6sq)) + 2*m1sq*(-4*m1**8 + m4sq*m6**6 + m1**6*(8*m4sq + 26*m6sq) + m1sq*(-6*m4sq*m6**4 + m6**6 + 2*m4**4*m6sq) - 2*m1**4*(2*m4**4 + 5*m6**4 - 2*m4sq*m6sq))*B0del(0,0,m1sq) + 2*(4*m1**10 - m4**4*m6**6 + m1sq*m4sq*m6**4*(7*m4sq + m6sq) + m1**8*(-8*m4sq + 28*m6sq) - 2*m1**4*(4*m4sq*m6**4 - m6**6 + 6*m4**4*m6sq) + m1**6*(4*m4**4 - 15*m6**4 + 16*m4sq*m6sq))*B0fin(0,0,m1sq) + (-4*m1**10 + m1sq*m4sq*m6**6 + m1**8*(8*m4sq + 26*m6sq) + m1**4*(-6*m4sq*m6**4 + m6**6 + 2*m4**4*m6sq) - 2*m1**6*(2*m4**4 + 5*m6**4 - 2*m4sq*m6sq))*B0fin(0,0,m1sq)**2)/(m6**4*(-4*m1**3 + m1*m6sq)**2) + ((m1sq - m4sq)*(m1sq - m4sq + 2*m6sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/(-4*m1sq*m6**4 + m6**6) - ((m1sq - m4sq)*(8*m1**6 - 8*m1**4*m4sq + m1sq*m6**4 - m4sq*m6**4 - 8*m1**4*m6sq + 8*m1sq*m4sq*m6sq + (4*m1**6 - 2*m1sq*m6**4 - 4*m1**4*(m4sq - 2*m6sq))*B0del(0,0,m1sq) + (4*m1**6 - 2*m1sq*m6**4 - 4*m1**4*(m4sq - 2*m6sq))*B0del(0,0,m6sq) - 12*m1**6*B0fin(0,0,m1sq) + 12*m1**4*m4sq*B0fin(0,0,m1sq) + m1sq*m6**4*B0fin(0,0,m1sq) + m4sq*m6**4*B0fin(0,0,m1sq) - 8*m1sq*m4sq*m6sq*B0fin(0,0,m1sq) - 12*m1**6*B0fin(0,0,m6sq) + 12*m1**4*m4sq*B0fin(0,0,m6sq) + m1sq*m6**4*B0fin(0,0,m6sq) + m4sq*m6**4*B0fin(0,0,m6sq) - 8*m1sq*m4sq*m6sq*B0fin(0,0,m6sq) + 4*m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq)))/(-4*m1**3*m6 + m1*m6**3)**2 - (2*T134fin(m4,m1,0))/m6**2 + (-2/m6**2 + (4*(m1**3 - m1*m4sq)**2)/(m6**4*(-4*m1sq + m6sq)**2) + (-2*m1sq + 2*m4sq)/(m6**4 - 4*m1sq*m6sq))*T134fin(m6,m1,m1) + (2*T134fin(m6,m4,m1))/m6**2)/(m1sq - m4sq)**3
		def eval_77():
			return ((8*(3*m1**4 + m4**4 - 2*m1sq*m4sq) + 8*m1sq*(m1sq + m4sq)*B0del(0,0,m1sq) + 8*(2*m1**4 - m4**4 + m1sq*m4sq)*B0fin(0,0,m1sq) + 4*m1sq*(m1sq + m4sq)*B0fin(0,0,m1sq)**2)/(m1**2*(m1sq - m4sq)**3*(m1sq - m6sq)) - (4*m6sq*(-3*m1**4 + 3*m1sq*m4sq + m1sq*m6sq - m4sq*m6sq + 2*(m1**4 - m1sq*m6sq)*B0del(0,0,m1sq) + 2*(m1**4 - m1sq*m6sq)*B0del(0,0,m6sq) + m1**4*B0fin(0,0,m1sq) - 3*m1sq*m4sq*B0fin(0,0,m1sq) + m1sq*m6sq*B0fin(0,0,m1sq) + m4sq*m6sq*B0fin(0,0,m1sq) + m1**4*B0fin(0,0,m6sq) - 3*m1sq*m4sq*B0fin(0,0,m6sq) + m1sq*m6sq*B0fin(0,0,m6sq) + m4sq*m6sq*B0fin(0,0,m6sq) + 2*m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq)))/((m1**3 - m1*m4sq)**2*(m1 - m6)**3*(m1 + m6)**3) - (8*T134fin(m4,m1,0))/((m1sq - m4sq)**3*(m1sq - m6sq)) + (4*(-2*(m1sq - m4sq)**2*(m1 + m6) - (m1sq - m4sq)*(m1sq + m4sq - 2*m6sq)*(m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + 2*(m1sq - m6sq)*(-m4sq + m6sq)*T134fin(m6,m1,0)))/((m1sq - m4sq)**3*(m1 - m6)**3*(m1 + m6)**3) + (8*T134fin(m6,m4,0))/((m1sq - m4sq)**3*(m1sq - m6sq)))/8.
		def eval_78():
			return -0.5*(2*m1sq*(m3sq - m4sq)*(m1**6 - 3*m1sq*m3sq*m4sq + m3sq*m4sq*(m3sq + m4sq))*B0del(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(2*(m1sq - m3sq)*(m1sq - m4sq) + 2*m1sq*(2*m1sq - m3sq - m4sq)*B0del(0,0,m1sq) + 2*m1sq*(-2*m1sq + m3sq + m4sq)*B0fin(0,0,m1sq) + m1sq*(2*m1sq - m3sq - m4sq)*B0fin(0,0,m1sq)**2) + 2*m1sq*m3sq*(m1sq - m4sq)**3*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 2*m1sq*B0fin(0,0,m1sq)*(-(m3sq*(m1sq - m4sq)**3*(-1 + B0fin(0,0,m3sq))) + (m1sq - m3sq)**3*m4sq*(-1 + B0fin(0,0,m4sq))) - 2*m1sq*(m1sq - m3sq)**3*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)) + 2*m1sq*(m1sq - m4sq)**3*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) - 2*m1sq*(m1sq - m3sq)**3*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m1,0)))/(m1**2*(m1sq - m3sq)**3*(m1sq - m4sq)**3*(m3sq - m4sq))
		def eval_79():
			return (2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3sq - m7sq)*B0del(0,0,m3sq) + 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*B0del(0,0,m3sq) + 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*B0del(0,0,m7sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3sq - m7sq)*B0fin(0,0,m3sq) - 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3sq - m7sq)*B0fin(0,0,m3sq)**2 + m1sq*(m1sq - m2sq)*m2sq*(4*m3sq - m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)*m3**4*(4*m3sq - m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m3sq*(4*m3sq - m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m2sq*(-m1sq + m2sq)*m3sq*(4*m3sq - m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq - m2sq)*m2sq*(m3sq - m7sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*m3**4*(m3sq - m7sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq - m2sq)*m3sq*(m3sq - m7sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - m2sq*(-m1sq + m2sq)*m3sq*(m3sq - m7sq)*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*B0fin(0,0,m7sq) + 3*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - (m2sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*T134fin(m7,m1,0) + (m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*T134fin(m7,m2,0) - m1sq*(m1sq - m2sq)*m2sq*(4*m3sq - m7sq)*T134fin(m7,m3,0) + (m1sq - m2sq)*m3**4*(4*m3sq - m7sq)*T134fin(m7,m3,0) - 2*(m1sq - m2sq)*m3sq*(4*m3sq - m7sq)*m7sq*T134fin(m7,m3,0) - m1sq*(m1sq - m2sq)*m7sq*(-4*m3sq + m7sq)*T134fin(m7,m3,0) + m2sq*(-m1sq + m2sq)*m7sq*(-4*m3sq + m7sq)*T134fin(m7,m3,0) + (m2sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*T134fin(m7,m3,m1) - (m1sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq)*T134fin(m7,m3,m2) + m1sq*(m1sq - m2sq)*m2sq*(m3sq - m7sq)*T134fin(m7,m3,m3) - 7*(m1sq - m2sq)*m3**4*(m3sq - m7sq)*T134fin(m7,m3,m3) + 3*m1sq*(m1sq - m2sq)*m3sq*(m3sq - m7sq)*T134fin(m7,m3,m3) + 3*(m1sq - m2sq)*m2sq*m3sq*(m3sq - m7sq)*T134fin(m7,m3,m3) + 2*(m1sq - m2sq)*m3sq*(m3sq - m7sq)*m7sq*T134fin(m7,m3,m3) + m1sq*(m1sq - m2sq)*m7sq*(-m3sq + m7sq)*T134fin(m7,m3,m3) - m2sq*(-m1sq + m2sq)*m7sq*(-m3sq + m7sq)*T134fin(m7,m3,m3))/((m1sq - m2sq)*m3**2*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3sq - m7sq)*(4*m3sq - m7sq))
		def eval_80():
			return (-4*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**4 + 8*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**6 + 4*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7sq - 8*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**6*m7sq + 4*m2sq*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*m7sq - 4*m2sq*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**4*m7sq - 4*m2**6*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5**3 - m5*m7sq)**2 + 8*m2**4*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2 - m2**4*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2sq*m3**10*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2**4*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - m2sq*m3**8*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - 3*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 3*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 2*m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m3 + m5 + m7)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - 2*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m3 + m5 + m7)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m3 + m5 + m7)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m3 + m5 + m7)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m3 + m5 + m7)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m3 + m5 + m7)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 2*m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m3 + m5 + m7)*(m5**4 - m7**4)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - m2**4*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - 6*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2sq - m5sq - m7sq)*(m5sq - m7sq)*B0del(0,0,m2sq) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0del(0,0,m2sq) + m2**4*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 2*m2sq*m3**10*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + 3*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 3*m2**4*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + 6*m2sq*m3**8*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + m2**4*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - m2**4*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) + 8*m2sq*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m3sq) - 35*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7**4*B0del(0,0,m5sq) + 8*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**4*B0del(0,0,m5sq) + m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**6*B0del(0,0,m5sq) - 17*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**6*B0del(0,0,m5sq) - m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**8*B0del(0,0,m5sq) + m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2sq - m5sq - m7sq)*(m5sq - m7sq)*B0del(0,0,m5sq) + m2**6*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0del(0,0,m5sq) - m2**4*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0del(0,0,m5sq) + 7*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7sq*B0del(0,0,m5sq) - 11*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**6*m7sq*B0del(0,0,m5sq) + 2*m2sq*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*m7sq*B0del(0,0,m5sq) - 2*m2sq*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**4*m7sq*B0del(0,0,m5sq) - 2*m2**6*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0del(0,0,m5sq) + m2**4*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0del(0,0,m5sq) + m2sq*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0del(0,0,m5sq) - 2*m2**6*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5**3 - m5*m7sq)**2*B0del(0,0,m5sq) + 4*m2**4*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0del(0,0,m5sq) + m2sq*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq)*B0del(0,0,m5sq) + m2**4*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0del(0,0,m5sq) - 2*m2sq*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0del(0,0,m5sq) + m2**4*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 2*m2sq*m3**10*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 3*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 3*m2**4*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 6*m2sq*m3**8*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + m2**4*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - m2**4*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 2*m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 5*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) + m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 35*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7**4*B0del(0,0,m7sq) + 8*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**4*B0del(0,0,m7sq) + m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**6*B0del(0,0,m7sq) - 17*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**6*B0del(0,0,m7sq) - m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**8*B0del(0,0,m7sq) + m2**6*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0del(0,0,m7sq) - m2**4*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0del(0,0,m7sq) + 7*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7sq*B0del(0,0,m7sq) - 11*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**6*m7sq*B0del(0,0,m7sq) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq) + 2*m2sq*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*m7sq*B0del(0,0,m7sq) - 2*m2sq*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**4*m7sq*B0del(0,0,m7sq) - 2*m2**6*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0del(0,0,m7sq) + m2**4*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0del(0,0,m7sq) + m2sq*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0del(0,0,m7sq) - 2*m2**6*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5**3 - m5*m7sq)**2*B0del(0,0,m7sq) + 4*m2**4*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0del(0,0,m7sq) + m2sq*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq)*B0del(0,0,m7sq) + m2**4*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0del(0,0,m7sq) - 2*m2sq*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0del(0,0,m7sq) + 3*m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 5*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 3*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) + m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 8*m2sq*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) - m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2sq - m5sq - m7sq)*(m5sq - m7sq)*B0fin(0,0,m2sq) - 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq) + m2sq*m3**10*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 7*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 2*m2**4*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - 5*m2sq*m3**8*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 2*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + m2sq*m3**6*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - 3*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 2*m2**4*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 2*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 3*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - 2*m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) - 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + 35*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7**4*B0fin(0,0,m5sq) - 4*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**4*B0fin(0,0,m5sq) - m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**6*B0fin(0,0,m5sq) + 9*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**6*B0fin(0,0,m5sq) + m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**8*B0fin(0,0,m5sq) - m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2sq - m5sq - m7sq)*(m5sq - m7sq)*B0fin(0,0,m5sq) - m2**6*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0fin(0,0,m5sq) + m2**4*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0fin(0,0,m5sq) - 11*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7sq*B0fin(0,0,m5sq) + 19*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**6*m7sq*B0fin(0,0,m5sq) - 6*m2sq*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m5sq) + 6*m2sq*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m5sq) + 2*m2**6*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m5sq) - m2**4*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m5sq) - m2sq*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m5sq) + 6*m2**6*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq) - 12*m2**4*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq) - m2sq*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq)*B0fin(0,0,m5sq) - m2**4*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0fin(0,0,m5sq) + 2*m2sq*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0fin(0,0,m5sq) + m2sq*m3**10*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 7*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**4*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 5*m2sq*m3**8*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + m2sq*m3**6*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 3*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**4*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 2*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2sq - m5sq - m7sq)*(m5sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**4*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m2sq*m3**10*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 3*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 3*m2**4*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 6*m2sq*m3**8*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m2**4*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m2**4*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 5*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*(m2sq - m3sq)**2*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m5 + m7)/2. + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 10*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 8*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 6*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 4*m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5**4 - m7**4)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m2**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**4*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 4*m2sq*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**4*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*m2**4*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 4*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + m2sq*m3**4*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*(m2sq - m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + 35*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7**4*B0fin(0,0,m7sq) - 4*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**4*B0fin(0,0,m7sq) - m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**6*B0fin(0,0,m7sq) + 9*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**6*B0fin(0,0,m7sq) + m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**8*B0fin(0,0,m7sq) - m2**6*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0fin(0,0,m7sq) + m2**4*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0fin(0,0,m7sq) - 11*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7sq*B0fin(0,0,m7sq) + 19*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**6*m7sq*B0fin(0,0,m7sq) - 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq) - 6*m2sq*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) + 6*m2sq*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m7sq) + 2*m2**6*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m7sq) - m2**4*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m7sq) - m2sq*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m7sq) + 6*m2**6*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5**3 - m5*m7sq)**2*B0fin(0,0,m7sq) - 12*m2**4*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m7sq) - m2sq*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq)*B0fin(0,0,m7sq) - m2**4*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0fin(0,0,m7sq) + 2*m2sq*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0fin(0,0,m7sq) + m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + 3*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 4*m2sq*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 3*m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 5*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 3*m2sq*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**3*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m2**4*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 8*m2sq*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 35*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 8*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 17*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2**6*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m2**4*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 7*m2**6*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 11*m2**4*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m2sq*m3**4*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m2sq*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m2**6*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2**4*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2sq*m3**10*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(3*m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m2**6*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m2**4*(m2sq - m3sq)*m3sq*(m2**3 - m2*m3sq)**2*m7sq*(m5sq + m7sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2sq*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2**4*m3**6*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m2sq*m3**8*(m2sq - m3sq)*(m2**3 - m2*m3sq)**2*m7sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - (m2sq - m3sq)**2*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,0) - m2sq*m3**4*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*(m2sq - m5sq + m7sq)*T134fin(m7,m5,m2) - m2**4*m3**6*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) + 2*m2sq*m3**8*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) + 6*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) + 3*m2**4*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) - 6*m2sq*m3**6*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) - 4*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m7**4*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) - 3*m2**4*m3sq*(m2**3 - m2*m3sq)**2*(m5**4 - m7**4)*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) + m2**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**4*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) - 2*m2sq*m3sq*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)**4*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) - m2**4*m3**4*(m2**3 - m2*m3sq)**2*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3) - 2*m2sq*m3**4*(m2**3 - m2*m3sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m5,m3))/(m2**2*m3**4*(m2sq - m3sq)**2*(m2**3 - m2*m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2*(m5sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)))
		def eval_81():
			return (-2*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) - (3*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m7sq)*(4*m2sq - m7sq)) - (3*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m7sq)*(4*m2sq - m7sq)) + (2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) + (3*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m7sq)*(4*m2sq - m7sq)) - B0fin(0,0,m2sq)**2/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) - (m1sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) + (m2sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) - (m4sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) + (m1sq*m4sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) + (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m2sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) + (m4sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m1sq*m4sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) + (3*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m7sq)*(4*m2sq - m7sq)) - (3*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2sq - m7sq)*(4*m2sq - m7sq)) - T134fin(m7,m1,0)/((-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)) + (m2sq*T134fin(m7,m2,0))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) - (m1sq*m4sq*T134fin(m7,m2,0))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) - (2*m7sq*T134fin(m7,m2,0))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) + (m1sq*m7sq*T134fin(m7,m2,0))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) + (m4sq*m7sq*T134fin(m7,m2,0))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2sq - m7sq)) + T134fin(m7,m2,m1)/((-(m1sq*m2) + m2**3)**2*(m1sq - m4sq)) + (3*m1sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) - (7*m2sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) + (3*m4sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) + (m1sq*m4sq*T134fin(m7,m2,m2))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) + (2*m7sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m1sq*m7sq*T134fin(m7,m2,m2))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m4sq*m7sq*T134fin(m7,m2,m2))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(4*m2sq - m7sq)) + T134fin(m7,m4,0)/((m1sq - m4sq)*(m2**3 - m2*m4sq)**2) - T134fin(m7,m4,m2)/((m1sq - m4sq)*(m2**3 - m2*m4sq)**2)
		def eval_82():
			return (4*m2**4*m4**6*(m2sq - m4sq)**3*m5sq*m7**4 - 8*m2**4*m4**4*(m2sq - m4sq)**3*m5sq*m7**6 - 4*m2**4*m4**6*(m2sq - m4sq)**3*m5**4*m7sq + 8*m2**4*m4**4*(m2sq - m4sq)**3*m5**6*m7sq - 4*m2**4*(m2sq - m4sq)**3*m4sq*m5sq*(m5sq - m7sq)**3*m7sq - m2**8*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2**10*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2**4*m4**4*(m2sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - m2**6*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2**6*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - m2**8*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 3*m2**4*m4**4*(m2sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 3*m2**6*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 2*m2**6*m4**4*(m2sq - m4sq)**2*(m2 + m5 + m7)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 2*m2**8*(m2sq - m4sq)**2*m4sq*(m2 + m5 + m7)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 2*m2**4*(m2sq - m4sq)**2*m4sq*m5**4*(m2 + m5 + m7)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 4*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m2 + m5 + m7)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 4*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m2 + m5 + m7)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 2*m2**4*(m2sq - m4sq)**2*m4sq*m7**4*(m2 + m5 + m7)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 2*m4**4*(m2**3 - m2*m4sq)**2*(m2 + m5 + m7)*(m5**4 - m7**4)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - m2sq*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 6*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 6*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 4*m2**4*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - 4*m2**6*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + 4*m2sq*(m2sq - m4sq)**3*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + m2**8*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 2*m2**10*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + 3*m2**4*m4**4*(m2sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 3*m2**6*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + 6*m2**8*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + m2**4*m4**4*(m2sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 4*m2**6*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - m2sq*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + 2*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + 4*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 2*m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) - 4*m2**4*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + 8*m2**6*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m2sq) + m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4sq - m5sq - m7sq)*(m5sq - m7sq)*B0del(0,0,m4sq) + 2*m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0del(0,0,m4sq) + 35*m2**4*m4**4*(m2sq - m4sq)**3*m5**4*m7**4*B0del(0,0,m5sq) - 8*m2**4*m4**6*(m2sq - m4sq)**3*m5sq*m7**4*B0del(0,0,m5sq) - m2**4*m4**6*(m2sq - m4sq)**3*m7**6*B0del(0,0,m5sq) + 17*m2**4*m4**4*(m2sq - m4sq)**3*m5sq*m7**6*B0del(0,0,m5sq) + m2**4*m4**4*(m2sq - m4sq)**3*m7**8*B0del(0,0,m5sq) + m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4sq - m5sq - m7sq)*(m5sq - m7sq)*B0del(0,0,m5sq) - 7*m2**4*m4**6*(m2sq - m4sq)**3*m5**4*m7sq*B0del(0,0,m5sq) + 11*m2**4*m4**4*(m2sq - m4sq)**3*m5**6*m7sq*B0del(0,0,m5sq) + m2**10*(m2sq - m4sq)**3*m4sq*(m4sq - 3*m5sq - m7sq)*m7sq*B0del(0,0,m5sq) - 2*m2**4*(m2sq - m4sq)**3*m4sq*m5sq*(m5sq - m7sq)**3*m7sq*B0del(0,0,m5sq) + m2**8*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 2*m2**10*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 3*m2**4*m4**4*(m2sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 3*m2**6*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 6*m2**8*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + m2**4*m4**4*(m2sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 4*m2**6*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - m2sq*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 2*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 2*m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 5*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 4*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) + 2*m2sq*(m2sq - m4sq)**3*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m5sq) - m2**8*(m2sq - m4sq)**3*m4sq*m7sq*(m4**4 + m4sq*(3*m5sq + m7sq) - 2*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0del(0,0,m5sq) - m2**6*(m2sq - m4sq)**3*m4sq*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq - 2*m4**4*(3*m5sq + m7sq) + m4sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0del(0,0,m5sq) + 35*m2**4*m4**4*(m2sq - m4sq)**3*m5**4*m7**4*B0del(0,0,m7sq) - 8*m2**4*m4**6*(m2sq - m4sq)**3*m5sq*m7**4*B0del(0,0,m7sq) - m2**4*m4**6*(m2sq - m4sq)**3*m7**6*B0del(0,0,m7sq) + 17*m2**4*m4**4*(m2sq - m4sq)**3*m5sq*m7**6*B0del(0,0,m7sq) + m2**4*m4**4*(m2sq - m4sq)**3*m7**8*B0del(0,0,m7sq) - 7*m2**4*m4**6*(m2sq - m4sq)**3*m5**4*m7sq*B0del(0,0,m7sq) + 11*m2**4*m4**4*(m2sq - m4sq)**3*m5**6*m7sq*B0del(0,0,m7sq) + m2**10*(m2sq - m4sq)**3*m4sq*(m4sq - 3*m5sq - m7sq)*m7sq*B0del(0,0,m7sq) + 2*m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq) - 2*m2**4*(m2sq - m4sq)**3*m4sq*m5sq*(m5sq - m7sq)**3*m7sq*B0del(0,0,m7sq) + 3*m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 5*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) + m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 3*m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 4*m2**4*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 8*m2**6*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 2*m2sq*(m2sq - m4sq)**3*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0del(0,0,m7sq) - m2**8*(m2sq - m4sq)**3*m4sq*m7sq*(m4**4 + m4sq*(3*m5sq + m7sq) - 2*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0del(0,0,m7sq) - m2**6*(m2sq - m4sq)**3*m4sq*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq - 2*m4**4*(3*m5sq + m7sq) + m4sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0del(0,0,m7sq) + m2**10*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - 4*m2**4*m4**4*(m2sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + 7*m2**6*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + 2*m2**6*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - 5*m2**8*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + 2*m2**4*m4**4*(m2sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + m2**6*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + 2*m2sq*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - 3*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + 2*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - 2*m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) + 3*m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - 4*m2**6*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4sq - m5sq - m7sq)*(m5sq - m7sq)*B0fin(0,0,m4sq) - 2*m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0fin(0,0,m4sq) - 35*m2**4*m4**4*(m2sq - m4sq)**3*m5**4*m7**4*B0fin(0,0,m5sq) + 4*m2**4*m4**6*(m2sq - m4sq)**3*m5sq*m7**4*B0fin(0,0,m5sq) + m2**4*m4**6*(m2sq - m4sq)**3*m7**6*B0fin(0,0,m5sq) - 9*m2**4*m4**4*(m2sq - m4sq)**3*m5sq*m7**6*B0fin(0,0,m5sq) - m2**4*m4**4*(m2sq - m4sq)**3*m7**8*B0fin(0,0,m5sq) - m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4sq - m5sq - m7sq)*(m5sq - m7sq)*B0fin(0,0,m5sq) + 11*m2**4*m4**6*(m2sq - m4sq)**3*m5**4*m7sq*B0fin(0,0,m5sq) - 19*m2**4*m4**4*(m2sq - m4sq)**3*m5**6*m7sq*B0fin(0,0,m5sq) - m2**10*(m2sq - m4sq)**3*m4sq*(m4sq - 3*m5sq - m7sq)*m7sq*B0fin(0,0,m5sq) + 6*m2**4*(m2sq - m4sq)**3*m4sq*m5sq*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m5sq) + m2**10*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 4*m2**4*m4**4*(m2sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 7*m2**6*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**6*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 5*m2**8*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**4*m4**4*(m2sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + m2**6*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2sq*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 3*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 2*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + 2*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) - 6*m2sq*(m2sq - m4sq)**3*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq) + m2**8*(m2sq - m4sq)**3*m4sq*m7sq*(m4**4 + m4sq*(3*m5sq + m7sq) - 2*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0fin(0,0,m5sq) + m2**6*(m2sq - m4sq)**3*m4sq*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq - 2*m4**4*(3*m5sq + m7sq) + m4sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0fin(0,0,m5sq) + m2**8*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**10*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 3*m2**4*m4**4*(m2sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 3*m2**6*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m2**8*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**4*m4**4*(m2sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2**6*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m2sq*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)**3*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 5*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4sq - m5sq - m7sq)*(m5sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*(m2sq - m4sq)**4*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m5 + m7)/2. + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 10*m2**4*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 8*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 6*m2**4*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 4*m4**4*(m2**3 - m2*m4sq)**2*(m5**4 - m7**4)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) - 2*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**4*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 4*m4sq*(m2**3 - m2*m4sq)**2*(m5sq - m7sq)**4*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*m2**4*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 4*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + m2**4*(m2sq - m4sq)**2*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*(m4sq - m5sq + m7sq)*(m4 + m5 + m7 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - 35*m2**4*m4**4*(m2sq - m4sq)**3*m5**4*m7**4*B0fin(0,0,m7sq) + 4*m2**4*m4**6*(m2sq - m4sq)**3*m5sq*m7**4*B0fin(0,0,m7sq) + m2**4*m4**6*(m2sq - m4sq)**3*m7**6*B0fin(0,0,m7sq) - 9*m2**4*m4**4*(m2sq - m4sq)**3*m5sq*m7**6*B0fin(0,0,m7sq) - m2**4*m4**4*(m2sq - m4sq)**3*m7**8*B0fin(0,0,m7sq) + 11*m2**4*m4**6*(m2sq - m4sq)**3*m5**4*m7sq*B0fin(0,0,m7sq) - 19*m2**4*m4**4*(m2sq - m4sq)**3*m5**6*m7sq*B0fin(0,0,m7sq) - m2**10*(m2sq - m4sq)**3*m4sq*(m4sq - 3*m5sq - m7sq)*m7sq*B0fin(0,0,m7sq) - 2*m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq) + 6*m2**4*(m2sq - m4sq)**3*m4sq*m5sq*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) + m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + 3*m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 4*m2**6*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 6*m2sq*(m2sq - m4sq)**3*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + m2**8*(m2sq - m4sq)**3*m4sq*m7sq*(m4**4 + m4sq*(3*m5sq + m7sq) - 2*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0fin(0,0,m7sq) + m2**6*(m2sq - m4sq)**3*m4sq*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq - 2*m4**4*(3*m5sq + m7sq) + m4sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0fin(0,0,m7sq) + 3*m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 5*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + m2sq*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 3*m2**4*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)**3*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 4*m2**4*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 8*m2**6*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*m7sq*(m5sq + m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*m2**4*(m2sq - m4sq)**2*m4sq*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 35*m2**4*m4**4*(m2sq - m4sq)**3*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 8*m2**4*m4**6*(m2sq - m4sq)**3*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m2**4*m4**6*(m2sq - m4sq)**3*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 17*m2**4*m4**4*(m2sq - m4sq)**3*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2**4*m4**4*(m2sq - m4sq)**3*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 7*m2**4*m4**6*(m2sq - m4sq)**3*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 11*m2**4*m4**4*(m2sq - m4sq)**3*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m2**10*(m2sq - m4sq)**3*m4sq*(m4sq - 3*m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m2**4*(m2sq - m4sq)**3*m4sq*m5sq*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m2sq*(m2sq - m4sq)**3*m4sq*m7sq*(m5**3 - m5*m7sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m2**8*(m2sq - m4sq)**3*m4sq*m7sq*(m4**4 + m4sq*(3*m5sq + m7sq) - 2*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m2**6*(m2sq - m4sq)**3*m4sq*m7sq*(7*m5**6 + 21*m5sq*m7**4 + m7**6 + 35*m5**4*m7sq - 2*m4**4*(3*m5sq + m7sq) + m4sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - (m2sq - m4sq)**4*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,0) - m2**6*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) + 2*m2**8*(m2sq - m4sq)**2*m4sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) + 6*m2**4*(m2sq - m4sq)**2*m4sq*m5**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) + 3*m2**4*m4**4*(m2sq - m4sq)**2*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - 6*m2**6*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - 4*m2**4*(m2sq - m4sq)**2*m4sq*m7**4*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - 3*m4**4*(m2**3 - m2*m4sq)**2*(m5**4 - m7**4)*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) + m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)**4*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - 2*m4sq*(m2**3 - m2*m4sq)**2*(m5sq - m7sq)**4*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - m2**4*m4**4*(m2sq - m4sq)**2*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - 2*m2**4*(m2sq - m4sq)**2*m4sq*m5sq*(m5sq - m7sq)*m7sq*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))*T134fin(m7,m5,m2) - m2**4*(m2sq - m4sq)**2*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*(m4sq - m5sq + m7sq)*T134fin(m7,m5,m4))/(m2**4*(-(m2sq*m4) + m4**3)**2*(m2sq - m4sq)**2*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(m5sq - m7sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))
		def eval_83():
			return (m1**6*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq) - m1**4*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq) + m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq) + m1**4*m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq) - 2*m1**4*(m3sq - m4sq)*(m1 + m5)*(m3sq - m5sq)*(m4sq - m5sq) + 2*m1sq*m3sq*(m3sq - m4sq)*(m1 + m5)*(m3sq - m5sq)*(m4sq - m5sq) + 2*m1sq*(m3sq - m4sq)*m4sq*(m1 + m5)*(m3sq - m5sq)*(m4sq - m5sq) - 2*m3sq*(m3sq - m4sq)*m4sq*(m1 + m5)*(m3sq - m5sq)*(m4sq - m5sq) + m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq - m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq + m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*m5sq + m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq - 2*m1**6*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0del(0,0,m1sq) + m1**4*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0del(0,0,m1sq) + m1**4*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*B0del(0,0,m1sq) + 2*m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m1sq) - m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m1sq) + m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m1sq) + m3sq*(m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*B0del(0,0,m3sq) - (m1sq - m3sq)**2*m4sq*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*B0del(0,0,m4sq) - (m1sq - m3sq)**2*m4sq*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*B0del(0,0,m5sq) + m3sq*(m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*B0del(0,0,m5sq) - 2*m1**6*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0del(0,0,m5sq) + m1**4*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0del(0,0,m5sq) + m1**4*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*B0del(0,0,m5sq) + 2*m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) - m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) + m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) + m1**6*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m1sq) - m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m1sq) - 3*m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq) + 2*m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq) + 2*m1sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq) - m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq) - m3sq*(m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*B0fin(0,0,m3sq) + (m1sq - m3sq)**2*m4sq*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*B0fin(0,0,m4sq) - m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + 2*m1sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + (m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) - (m1sq - m3sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + (m1sq - m3sq)**2*m4sq*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*B0fin(0,0,m5sq) - m3sq*(m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*B0fin(0,0,m5sq) + m1**6*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m5sq) - m1sq*m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m5sq) - 3*m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) + 2*m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) + 2*m1sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) - m3sq*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) - 2*m1**6*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*(m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m3sq*(m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - (m1sq - m3sq)**2*m4sq*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m1**4*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*T134fin(m5,m1,0) - m1sq*m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*T134fin(m5,m1,0) + m1sq*m4sq*(-m3sq + m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*T134fin(m5,m1,0) - 2*m1sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*T134fin(m5,m1,0) + m3sq*(m3sq - m4sq)*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*T134fin(m5,m1,0) + (m3sq - m4sq)*m4sq*(m3sq - m5sq)*(m4sq - m5sq)*m5sq*T134fin(m5,m1,0) - (m1sq - m4sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m4sq - m5sq)*T134fin(m5,m3,0) + (m1sq - m3sq)**2*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*T134fin(m5,m4,0))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(m1 - m5)**2*(m1 + m5)**2*(m3sq - m5sq)*(m4sq - m5sq))
		def eval_84():
			return (2*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) + (3*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m7sq)*(4*m1sq - m7sq)) + (3*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m7sq)*(4*m1sq - m7sq)) - (2*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) - (3*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m7sq)*(4*m1sq - m7sq)) + B0fin(0,0,m1sq)**2/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) + (m1sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) - (m3sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) - (m4sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) + (m3sq*m4sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) - (m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (m4sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (m3sq*m4sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (3*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m7sq)*(4*m1sq - m7sq)) + (3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - m7sq)*(4*m1sq - m7sq)) + (m1sq*T134fin(m7,m1,0))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) - (m3sq*m4sq*T134fin(m7,m1,0))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) - (2*m7sq*T134fin(m7,m1,0))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) + (m3sq*m7sq*T134fin(m7,m1,0))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) + (m4sq*m7sq*T134fin(m7,m1,0))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1sq - m7sq)) - (7*m1sq*T134fin(m7,m1,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (3*m3sq*T134fin(m7,m1,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (3*m4sq*T134fin(m7,m1,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (m3sq*m4sq*T134fin(m7,m1,m1))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (2*m7sq*T134fin(m7,m1,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (m3sq*m7sq*T134fin(m7,m1,m1))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (m4sq*m7sq*T134fin(m7,m1,m1))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - T134fin(m7,m3,0)/((m1**3 - m1*m3sq)**2*(m3sq - m4sq)) + T134fin(m7,m3,m1)/((m1**3 - m1*m3sq)**2*(m3sq - m4sq)) + T134fin(m7,m4,0)/((m3sq - m4sq)*(m1**3 - m1*m4sq)**2) + T134fin(m7,m4,m1)/((-m3sq + m4sq)*(m1**3 - m1*m4sq)**2)
		def eval_85():
			return ((m3sq - m4sq)*(m1sq - m6sq)*(8*m1sq*(-2*m1sq + m3sq + m4sq) + 4*(-3*m1**4 + m3sq*m4sq + m1sq*(m3sq + m4sq))*B0del(0,0,m1sq) - 4*(5*m1**4 + m3sq*m4sq - 3*m1sq*(m3sq + m4sq))*B0fin(0,0,m1sq) + 2*(-3*m1**4 + m3sq*m4sq + m1sq*(m3sq + m4sq))*B0fin(0,0,m1sq)**2) + 4*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(B0del(0,0,m1sq) + B0del(0,0,m6sq) - B0fin(0,0,m1sq) - B0fin(0,0,m6sq) + B0fin(0,0,m1sq)*B0fin(0,0,m6sq)) + 4*(m1sq - m4sq)**2*(m1sq - m6sq)*T134fin(m3,m1,0) - 4*(m1sq - m3sq)**2*(m1sq - m6sq)*T134fin(m4,m1,0) + 4*(m3sq - m4sq)*((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + (m1**4 - 2*m1sq*m6sq + m4sq*m6sq + m3sq*(-m4sq + m6sq))*T134fin(m6,m1,0)) - 4*(m1sq - m4sq)**2*(m1sq - m6sq)*T134fin(m6,m3,0) + 4*(m1sq - m3sq)**2*(m1sq - m6sq)*T134fin(m6,m4,0))/(4.*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(m1sq - m6sq)**2)
		def eval_86():
			return B0del(0,0,m1sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)) + (m2sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) + (m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m3sq - m4sq)) + (m4sq*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(-m2sq + m4sq)*(-m3sq + m4sq)) + (m2sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) + (m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m3sq - m4sq)) + (m4sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m2sq + m4sq)*(-m3sq + m4sq)) - B0fin(0,0,m1sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)) - (m2sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) - (m3sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m3sq - m4sq)) - (m4sq*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(-m2sq + m4sq)*(-m3sq + m4sq)) + B0fin(0,0,m1sq)**2/(2.*(m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)) + (m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) - (m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) + (m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) + (m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m3sq - m4sq)) - (m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m3sq - m4sq)) + (m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m3sq - m4sq)) + (m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4))/((m1sq - m4sq)**2*(-m2sq + m4sq)*(-m3sq + m4sq)) - (m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m2sq + m4sq)*(-m3sq + m4sq)) + (m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m2sq + m4sq)*(-m3sq + m4sq)) - T134fin(m2,m1,0)/((m1sq - m2sq)**2*(m2sq - m3sq)*(m2sq - m4sq)) + T134fin(m3,m1,0)/((m1sq - m3sq)**2*(m2sq - m3sq)*(m3sq - m4sq)) + T134fin(m4,m1,0)/((m1sq - m4sq)**2*(m2sq - m4sq)*(-m3sq + m4sq))
		def eval_87():
			return (-(m1**6*m2**5) + 2*m1**4*m2**8 + 3*m1sq*m2**9 - 2*m1*m2**10 - 2*m1sq*m2**10 - 2*m1**6*m2**4*m5 + 6*m1sq*m2**8*m5 - 4*m2**10*m5 - 24*m1**4*m2**4*m5**3 - 24*m1sq*m2**6*m5**3 + 24*m2**8*m5**3 + 24*m1**6*m2sq*m5**3 - 12*m1**6*m2*m5**4 - 24*m1**4*m2**3*m5**4 + 32*m1**4*m2**4*m5**4 + 84*m1sq*m2**5*m5**4 - 96*m1*m2**6*m5**4 + 32*m1sq*m2**6*m5**4 + 48*m2**7*m5**4 - 40*m2**8*m5**4 - 24*m1**6*m2sq*m5**4 - 24*m1**6*m5**5 + 168*m1sq*m2**4*m5**5 - 96*m2**6*m5**5 - 48*m1**4*m2sq*m5**5 + 16*m1**6*m5**6 + 48*m1**4*m2*m5**6 - 96*m1sq*m2**3*m5**6 + 128*m1*m2**4*m5**6 - 176*m1sq*m2**4*m5**6 - 80*m2**5*m5**6 + 64*m2**6*m5**6 + 96*m1**4*m2sq*m5**6 + 96*m1**4*m5**7 + 96*m2**4*m5**7 - 192*m1sq*m2sq*m5**7 - 64*m1**4*m5**8 + 64*m2**4*m5**8 + 12*m1**6*m2**3*m5sq + 2*m1**6*m2**4*m5sq - 12*m1**4*m2**5*m5sq - 12*m1**4*m2**6*m5sq - 12*m1sq*m2**7*m5sq + 24*m1*m2**8*m5sq + 2*m1sq*m2**8*m5sq - 12*m2**9*m5sq + 8*m2**10*m5sq - 2*m1sq*m2**4*(m2sq - 4*m5sq)**3*B0del(0,0,m1sq) + 2*m2sq*(m1sq - 4*m5sq)*(m2**8 - 2*m1**4*m5**4 - 4*m2**6*m5sq + 2*m1sq*m2sq*m5sq*(m1sq + 6*m5sq) + m2**4*(6*m5**4 - 6*m1sq*m5sq))*B0del(0,0,m2sq) - 24*m1**4*m2**4*m5**4*B0del(0,0,m5sq) - 16*m1sq*m2**6*m5**4*B0del(0,0,m5sq) + 32*m2**8*m5**4*B0del(0,0,m5sq) + 8*m1**6*m2sq*m5**4*B0del(0,0,m5sq) - 8*m1**6*m5**6*B0del(0,0,m5sq) + 120*m1sq*m2**4*m5**6*B0del(0,0,m5sq) - 128*m2**6*m5**6*B0del(0,0,m5sq) + 16*m1**4*m2sq*m5**6*B0del(0,0,m5sq) + 32*m1**4*m5**8*B0del(0,0,m5sq) + 160*m2**4*m5**8*B0del(0,0,m5sq) - 192*m1sq*m2sq*m5**8*B0del(0,0,m5sq) + 4*m1sq*m2**8*m5sq*B0del(0,0,m5sq) - 4*m2**10*m5sq*B0del(0,0,m5sq) - 4*m1*m2**10*B0fin(0,0,m1) - 192*m1*m2**6*m5**4*B0fin(0,0,m1) + 256*m1*m2**4*m5**6*B0fin(0,0,m1) + 48*m1*m2**8*m5sq*B0fin(0,0,m1) + 2*m1sq*m2**10*B0fin(0,0,m1sq) + 96*m1sq*m2**6*m5**4*B0fin(0,0,m1sq) - 128*m1sq*m2**4*m5**6*B0fin(0,0,m1sq) - 24*m1sq*m2**8*m5sq*B0fin(0,0,m1sq) - 2*m1**6*m2**5*B0fin(0,0,m2) + 8*m1**4*m2**7*B0fin(0,0,m2) - 2*m1sq*m2**9*B0fin(0,0,m2) - 8*m1**6*m2*m5**4*B0fin(0,0,m2) + 48*m1**4*m2**3*m5**4*B0fin(0,0,m2) + 184*m1sq*m2**5*m5**4*B0fin(0,0,m2) - 32*m2**7*m5**4*B0fin(0,0,m2) + 32*m1**4*m2*m5**6*B0fin(0,0,m2) - 320*m1sq*m2**3*m5**6*B0fin(0,0,m2) + 32*m2**5*m5**6*B0fin(0,0,m2) + 8*m1**6*m2**3*m5sq*B0fin(0,0,m2) - 40*m1**4*m2**5*m5sq*B0fin(0,0,m2) - 24*m1sq*m2**7*m5sq*B0fin(0,0,m2) + 8*m2**9*m5sq*B0fin(0,0,m2) + m1**6*m2**6*B0fin(0,0,m2sq) - 4*m1**4*m2**8*B0fin(0,0,m2sq) + m1sq*m2**10*B0fin(0,0,m2sq) - 32*m1**4*m2**4*m5**4*B0fin(0,0,m2sq) - 68*m1sq*m2**6*m5**4*B0fin(0,0,m2sq) - 8*m2**8*m5**4*B0fin(0,0,m2sq) + 12*m1**6*m2sq*m5**4*B0fin(0,0,m2sq) + 160*m1sq*m2**4*m5**6*B0fin(0,0,m2sq) + 16*m2**6*m5**6*B0fin(0,0,m2sq) - 48*m1**4*m2sq*m5**6*B0fin(0,0,m2sq) - 2*m1**6*m2**4*m5sq*B0fin(0,0,m2sq) + 12*m1**4*m2**6*m5sq*B0fin(0,0,m2sq) + 18*m1sq*m2**8*m5sq*B0fin(0,0,m2sq) - 4*m2**10*m5sq*B0fin(0,0,m2sq) - 4*m1**6*m2**4*m5*B0fin(0,0,m5) + 16*m1**4*m2**6*m5*B0fin(0,0,m5) - 4*m1sq*m2**8*m5*B0fin(0,0,m5) - 8*m2**10*m5*B0fin(0,0,m5) - 80*m1**4*m2**4*m5**3*B0fin(0,0,m5) - 48*m1sq*m2**6*m5**3*B0fin(0,0,m5) + 112*m2**8*m5**3*B0fin(0,0,m5) + 16*m1**6*m2sq*m5**3*B0fin(0,0,m5) - 16*m1**6*m5**5*B0fin(0,0,m5) + 368*m1sq*m2**4*m5**5*B0fin(0,0,m5) - 448*m2**6*m5**5*B0fin(0,0,m5) + 96*m1**4*m2sq*m5**5*B0fin(0,0,m5) + 64*m1**4*m5**7*B0fin(0,0,m5) + 576*m2**4*m5**7*B0fin(0,0,m5) - 640*m1sq*m2sq*m5**7*B0fin(0,0,m5) + m1**6*m2**6*B0fin(0,0,m5sq) - 4*m1**4*m2**8*B0fin(0,0,m5sq) + 3*m1sq*m2**10*B0fin(0,0,m5sq) + 48*m1**4*m2**4*m5**4*B0fin(0,0,m5sq) - 24*m1sq*m2**6*m5**4*B0fin(0,0,m5sq) - 8*m2**8*m5**4*B0fin(0,0,m5sq) - 16*m1**6*m2sq*m5**4*B0fin(0,0,m5sq) + 8*m1**6*m5**6*B0fin(0,0,m5sq) - 184*m1sq*m2**4*m5**6*B0fin(0,0,m5sq) + 224*m2**6*m5**6*B0fin(0,0,m5sq) - 48*m1**4*m2sq*m5**6*B0fin(0,0,m5sq) - 32*m1**4*m5**8*B0fin(0,0,m5sq) - 416*m2**4*m5**8*B0fin(0,0,m5sq) + 448*m1sq*m2sq*m5**8*B0fin(0,0,m5sq) + 2*m1**6*m2**4*m5sq*B0fin(0,0,m5sq) + 6*m1sq*m2**8*m5sq*B0fin(0,0,m5sq) - 8*m2**10*m5sq*B0fin(0,0,m5sq) - 2*m1sq*m2**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 96*m1sq*m2**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 128*m1sq*m2**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 24*m1sq*m2**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m2**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1**4*m2**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 60*m1sq*m2**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 32*m2**8*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1**6*m2sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 96*m1sq*m2**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 48*m2**6*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 16*m1**4*m2sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1**6*m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 12*m1**4*m2**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m1sq*m2**8*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m2**10*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 16*m1**4*m2**4*m5**4*B0fin(0,0,m5sq)**2 + 10*m1sq*m2**6*m5**4*B0fin(0,0,m5sq)**2 + 6*m1**6*m2sq*m5**4*B0fin(0,0,m5sq)**2 - 4*m1**6*m5**6*B0fin(0,0,m5sq)**2 + 44*m1sq*m2**4*m5**6*B0fin(0,0,m5sq)**2 - 40*m2**6*m5**6*B0fin(0,0,m5sq)**2 + 16*m1**4*m5**8*B0fin(0,0,m5sq)**2 + 80*m2**4*m5**8*B0fin(0,0,m5sq)**2 - 96*m1sq*m2sq*m5**8*B0fin(0,0,m5sq)**2 - 2*m1**6*m2**4*m5sq*B0fin(0,0,m5sq)**2 + 6*m1**4*m2**6*m5sq*B0fin(0,0,m5sq)**2 - 6*m1sq*m2**8*m5sq*B0fin(0,0,m5sq)**2 + 2*m2**10*m5sq*B0fin(0,0,m5sq)**2 + 2*m2**10*T134fin(m5,m5,m1) + 96*m2**6*m5**4*T134fin(m5,m5,m1) - 128*m2**4*m5**6*T134fin(m5,m5,m1) - 24*m2**8*m5sq*T134fin(m5,m5,m1) - 2*m1sq*m2**8*T134fin(m5,m5,m2) + 4*m1**6*m5**4*T134fin(m5,m5,m2) - 60*m1sq*m2**4*m5**4*T134fin(m5,m5,m2) - 32*m2**6*m5**4*T134fin(m5,m5,m2) - 8*m1**4*m2sq*m5**4*T134fin(m5,m5,m2) - 16*m1**4*m5**6*T134fin(m5,m5,m2) + 48*m2**4*m5**6*T134fin(m5,m5,m2) + 96*m1sq*m2sq*m5**6*T134fin(m5,m5,m2) + 12*m1**4*m2**4*m5sq*T134fin(m5,m5,m2) + 8*m1sq*m2**6*m5sq*T134fin(m5,m5,m2) + 8*m2**8*m5sq*T134fin(m5,m5,m2) - 4*m1**6*m2sq*m5sq*T134fin(m5,m5,m2))/(2.*m2**4*(-m1sq + m2sq)**3*(m2 - 2*m5)**3*(m2 + 2*m5)**3*(m1sq - 4*m5sq))
		def eval_88():
			return -((4*m1**13*m2**4 - 16*m1**11*m2**6 + 24*m1**9*m2**8 - 16*m1**7*m2**10 + 4*m1**5*m2**12 + 2*m1**12*m2**4*m4 - 8*m1**10*m2**6*m4 + 12*m1**8*m2**8*m4 - 8*m1**6*m2**10*m4 + 2*m1**4*m2**12*m4 + 4*m1**14*m4**3 + 95*m1**10*m2**4*m4**3 - 148*m1**8*m2**6*m4**3 + 102*m1**6*m2**8*m4**3 - 24*m1**4*m2**10*m4**3 - m1sq*m2**12*m4**3 - 28*m1**12*m2sq*m4**3 + 4*m1**13*m4**4 + 4*m1**14*m4**4 + 17*m1**12*m2*m4**4 - 126*m1**10*m2**3*m4**4 + 43*m1**9*m2**4*m4**4 - 12*m1**10*m2**4*m4**4 + 138*m1**8*m2**5*m4**4 + 70*m1**7*m2**6*m4**4 - 38*m1**8*m2**6*m4**4 + 2*m1**6*m2**7*m4**4 - 138*m1**5*m2**8*m4**4 + 8*m1**6*m2**8*m4**4 - 63*m1**4*m2**9*m4**4 + 66*m1**3*m2**10*m4**4 + 21*m1**4*m2**10*m4**4 + 7*m1*m2**12*m4**4 - 20*m1**11*m2sq*m4**4 + 17*m1**12*m2sq*m4**4 - 15*m1**12*m4**5 + 20*m1**8*m2**4*m4**5 + 18*m1**6*m2**6*m4**5 - 51*m1**4*m2**8*m4**5 + 18*m1sq*m2**10*m4**5 + 2*m2**12*m4**5 + 8*m1**10*m2sq*m4**5 + 2*m1**11*m4**6 - 17*m1**12*m4**6 + 8*m1**10*m2*m4**6 + 126*m1**8*m2**3*m4**6 - 189*m1**7*m2**4*m4**6 + 51*m1**8*m2**4*m4**6 - 141*m1**6*m2**5*m4**6 + 144*m1**5*m2**6*m4**6 + 21*m1**6*m2**6*m4**6 + 168*m1**4*m2**7*m4**6 - 99*m1**3*m2**8*m4**6 - 42*m1**4*m2**8*m4**6 + 63*m1sq*m2**9*m4**6 - 44*m1*m2**10*m4**6 - 21*m1sq*m2**10*m4**6 - 38*m1**9*m2sq*m4**6 + 8*m1**10*m2sq*m4**6 + 47*m1**10*m4**7 - 129*m1**6*m2**4*m4**7 + 120*m1**4*m2**6*m4**7 - 16*m2**10*m4**7 - 22*m1**8*m2sq*m4**7 + 19*m1**9*m4**8 - 4*m1**10*m4**8 - 63*m1**8*m2*m4**8 - 48*m1**6*m2**3*m4**8 + 83*m1**5*m2**4*m4**8 - 8*m1**6*m2**4*m4**8 - 165*m1**4*m2**5*m4**8 + 86*m1**3*m2**6*m4**8 + 13*m1**4*m2**6*m4**8 - 202*m1sq*m2**7*m4**8 + 102*m1*m2**8*m4**8 + 42*m1sq*m2**8*m4**8 - 12*m2**9*m4**8 + 4*m2**10*m4**8 + 200*m1**7*m2sq*m4**8 - 47*m1**8*m2sq*m4**8 - 55*m1**8*m4**9 - 23*m1**4*m2**4*m4**9 - 70*m1sq*m2**6*m4**9 + 36*m2**8*m4**9 + 112*m1**6*m2sq*m4**9 - 77*m1**7*m4**10 + 34*m1**8*m4**10 + 71*m1**6*m2*m4**10 + 126*m1**4*m2**3*m4**10 - 94*m1**3*m2**4*m4**10 - 9*m1**4*m2**4*m4**10 + 240*m1sq*m2**5*m4**10 - 116*m1*m2**6*m4**10 - 4*m1sq*m2**6*m4**10 + 40*m2**7*m4**10 - 8*m2**8*m4**10 - 190*m1**5*m2sq*m4**10 - 13*m1**6*m2sq*m4**10 + 9*m1**6*m4**11 + 73*m1sq*m2**4*m4**11 - 32*m2**6*m4**11 - 50*m1**4*m2sq*m4**11 + 73*m1**5*m4**12 - 4*m1**6*m4**12 - 50*m1**4*m2*m4**12 - 126*m1sq*m2**3*m4**12 + 71*m1*m2**4*m4**12 - 30*m1sq*m2**4*m4**12 - 48*m2**5*m4**12 + 80*m1**3*m2sq*m4**12 + 34*m1**4*m2sq*m4**12 + 10*m1**4*m4**13 + 10*m2**4*m4**13 - 20*m1sq*m2sq*m4**13 - 25*m1**3*m4**14 - 17*m1**4*m4**14 + 25*m1sq*m2*m4**14 + 24*m2**3*m4**14 + 8*m2**4*m4**14 - 24*m1*m2sq*m4**14 + 9*m1sq*m2sq*m4**14 + 4*m1*m4**16 + 4*m1sq*m4**16 - 4*m2*m4**16 - 4*m2sq*m4**16 - 4*m1**14*m2*m4sq + 24*m1**12*m2**3*m4sq + 34*m1**11*m2**4*m4sq - 24*m1**10*m2**5*m4sq - 48*m1**9*m2**6*m4sq + 8*m1**10*m2**6*m4sq - 8*m1**8*m2**7*m4sq + 12*m1**7*m2**8*m4sq + 12*m1**6*m2**9*m4sq + 24*m1**5*m2**10*m4sq - 4*m1**6*m2**10*m4sq - 14*m1**3*m2**12*m4sq - 8*m1**13*m2sq*m4sq - 4*m1**14*m2sq*m4sq + m1sq*(m2sq - m4sq)*(4*m1**12*(m2sq - 2*m4sq) + m4**4*(m2sq - m4sq)**2*(7*m2**6 + 16*m2sq*m4**4 - 4*m4**6 - 23*m2**4*m4sq) + 2*m1**8*(12*m2**6 - 5*m2sq*m4**4 - 18*m4**6 - 10*m2**4*m4sq) + m1**6*(-16*m2**8 + 53*m2**4*m4**4 - 64*m2sq*m4**6 + 60*m4**8 - 8*m2**6*m4sq) + m1**4*(4*m2**10 - 89*m2**6*m4**4 + 13*m2**4*m4**6 + 92*m2sq*m4**8 - 52*m4**10 + 28*m2**8*m4sq) + m1sq*(52*m2**8*m4**4 - 68*m2**6*m4**6 + 77*m2**4*m4**8 - 68*m2sq*m4**10 + 21*m4**12 - 14*m2**10*m4sq) + m1**10*(-16*m2**4 + 19*m4**4 + 22*m2sq*m4sq))*B0del(0,0,m1sq) - m2sq*m4sq*(4*m1**6 + 21*m1sq*m4**4 - 4*m4**6 - 21*m1**4*m4sq)*(m1**8 - 5*m1**6*m2sq + m1sq*(m2**6 - 3*m2sq*m4**4 + 2*m4**6) - (m2sq - m4sq)**3*(2*m2sq - m4sq) + m1**4*(5*m2**4 - 2*m4**4 + m2sq*m4sq))*B0del(0,0,m2sq) + 4*m1**14*m4**4*B0del(0,0,m4sq) + 99*m1**10*m2**4*m4**4*B0del(0,0,m4sq) - 144*m1**8*m2**6*m4**4*B0del(0,0,m4sq) + 98*m1**6*m2**8*m4**4*B0del(0,0,m4sq) - 24*m1**4*m2**10*m4**4*B0del(0,0,m4sq) - m1sq*m2**12*m4**4*B0del(0,0,m4sq) - 32*m1**12*m2sq*m4**4*B0del(0,0,m4sq) - 11*m1**12*m4**6*B0del(0,0,m4sq) - 13*m1**8*m2**4*m4**6*B0del(0,0,m4sq) + 9*m1**6*m2**6*m4**6*B0del(0,0,m4sq) - 30*m1**4*m2**8*m4**6*B0del(0,0,m4sq) + 18*m1sq*m2**10*m4**6*B0del(0,0,m4sq) + 2*m2**12*m4**6*B0del(0,0,m4sq) + 25*m1**10*m2sq*m4**6*B0del(0,0,m4sq) + 26*m1**10*m4**8*B0del(0,0,m4sq) - 57*m1**6*m2**4*m4**8*B0del(0,0,m4sq) + 78*m1**4*m2**6*m4**8*B0del(0,0,m4sq) - 21*m1sq*m2**8*m4**8*B0del(0,0,m4sq) - 16*m2**10*m4**8*B0del(0,0,m4sq) - 10*m1**8*m2sq*m4**8*B0del(0,0,m4sq) - 38*m1**8*m4**10*B0del(0,0,m4sq) - 27*m1**4*m2**4*m4**10*B0del(0,0,m4sq) - 11*m1sq*m2**6*m4**10*B0del(0,0,m4sq) + 40*m2**8*m4**10*B0del(0,0,m4sq) + 36*m1**6*m2sq*m4**10*B0del(0,0,m4sq) + 26*m1**6*m4**12*B0del(0,0,m4sq) + 22*m1sq*m2**4*m4**12*B0del(0,0,m4sq) - 44*m2**6*m4**12*B0del(0,0,m4sq) - 4*m1**4*m2sq*m4**12*B0del(0,0,m4sq) - 11*m1**4*m4**14*B0del(0,0,m4sq) + 22*m2**4*m4**14*B0del(0,0,m4sq) - 11*m1sq*m2sq*m4**14*B0del(0,0,m4sq) + 4*m1sq*m4**16*B0del(0,0,m4sq) - 4*m2sq*m4**16*B0del(0,0,m4sq) + 2*m1**12*m2**4*m4sq*B0del(0,0,m4sq) - 8*m1**10*m2**6*m4sq*B0del(0,0,m4sq) + 12*m1**8*m2**8*m4sq*B0del(0,0,m4sq) - 8*m1**6*m2**10*m4sq*B0del(0,0,m4sq) + 2*m1**4*m2**12*m4sq*B0del(0,0,m4sq) + 8*m1**13*m2**4*B0fin(0,0,m1) - 32*m1**11*m2**6*B0fin(0,0,m1) + 48*m1**9*m2**8*B0fin(0,0,m1) - 32*m1**7*m2**10*B0fin(0,0,m1) + 8*m1**5*m2**12*B0fin(0,0,m1) + 24*m1**13*m4**4*B0fin(0,0,m1) - 46*m1**9*m2**4*m4**4*B0fin(0,0,m1) + 104*m1**7*m2**6*m4**4*B0fin(0,0,m1) - 192*m1**5*m2**8*m4**4*B0fin(0,0,m1) + 132*m1**3*m2**10*m4**4*B0fin(0,0,m1) + 14*m1*m2**12*m4**4*B0fin(0,0,m1) + 28*m1**11*m2sq*m4**4*B0fin(0,0,m1) - 80*m1**11*m4**6*B0fin(0,0,m1) - 90*m1**7*m2**4*m4**6*B0fin(0,0,m1) + 120*m1**5*m2**6*m4**6*B0fin(0,0,m1) - 282*m1**3*m2**8*m4**6*B0fin(0,0,m1) - 88*m1*m2**10*m4**6*B0fin(0,0,m1) - 28*m1**9*m2sq*m4**6*B0fin(0,0,m1) + 106*m1**9*m4**8*B0fin(0,0,m1) + 150*m1**5*m2**4*m4**8*B0fin(0,0,m1) + 408*m1**3*m2**6*m4**8*B0fin(0,0,m1) + 220*m1*m2**8*m4**8*B0fin(0,0,m1) + 96*m1**7*m2sq*m4**8*B0fin(0,0,m1) - 86*m1**7*m4**10*B0fin(0,0,m1) - 392*m1**3*m2**4*m4**10*B0fin(0,0,m1) - 280*m1*m2**6*m4**10*B0fin(0,0,m1) - 196*m1**5*m2sq*m4**10*B0fin(0,0,m1) + 62*m1**5*m4**12*B0fin(0,0,m1) + 190*m1*m2**4*m4**12*B0fin(0,0,m1) + 196*m1**3*m2sq*m4**12*B0fin(0,0,m1) - 34*m1**3*m4**14*B0fin(0,0,m1) - 64*m1*m2sq*m4**14*B0fin(0,0,m1) + 8*m1*m4**16*B0fin(0,0,m1) + 84*m1**11*m2**4*m4sq*B0fin(0,0,m1) - 80*m1**9*m2**6*m4sq*B0fin(0,0,m1) + 8*m1**7*m2**8*m4sq*B0fin(0,0,m1) + 48*m1**5*m2**10*m4sq*B0fin(0,0,m1) - 28*m1**3*m2**12*m4sq*B0fin(0,0,m1) - 32*m1**13*m2sq*m4sq*B0fin(0,0,m1) - 4*m1**14*m2**4*B0fin(0,0,m1sq) + 16*m1**12*m2**6*B0fin(0,0,m1sq) - 24*m1**10*m2**8*B0fin(0,0,m1sq) + 16*m1**8*m2**10*B0fin(0,0,m1sq) - 4*m1**6*m2**12*B0fin(0,0,m1sq) - 8*m1**14*m4**4*B0fin(0,0,m1sq) - 46*m1**10*m2**4*m4**4*B0fin(0,0,m1sq) + 59*m1**8*m2**6*m4**4*B0fin(0,0,m1sq) + 33*m1**6*m2**8*m4**4*B0fin(0,0,m1sq) - 66*m1**4*m2**10*m4**4*B0fin(0,0,m1sq) - 7*m1sq*m2**12*m4**4*B0fin(0,0,m1sq) + 3*m1**12*m2sq*m4**4*B0fin(0,0,m1sq) + 3*m1**12*m4**6*B0fin(0,0,m1sq) - 3*m1**8*m2**4*m4**6*B0fin(0,0,m1sq) - 18*m1**6*m2**6*m4**6*B0fin(0,0,m1sq) + 204*m1**4*m2**8*m4**6*B0fin(0,0,m1sq) + 44*m1sq*m2**10*m4**6*B0fin(0,0,m1sq) - 6*m1**10*m2sq*m4**6*B0fin(0,0,m1sq) + 64*m1**10*m4**8*B0fin(0,0,m1sq) - 95*m1**6*m2**4*m4**8*B0fin(0,0,m1sq) - 365*m1**4*m2**6*m4**8*B0fin(0,0,m1sq) - 122*m1sq*m2**8*m4**8*B0fin(0,0,m1sq) + 28*m1**8*m2sq*m4**8*B0fin(0,0,m1sq) - 108*m1**8*m4**10*B0fin(0,0,m1sq) + 349*m1**4*m2**4*m4**10*B0fin(0,0,m1sq) + 176*m1sq*m2**6*m4**10*B0fin(0,0,m1sq) + 60*m1**6*m2sq*m4**10*B0fin(0,0,m1sq) + 48*m1**6*m4**12*B0fin(0,0,m1sq) - 131*m1sq*m2**4*m4**12*B0fin(0,0,m1sq) - 141*m1**4*m2sq*m4**12*B0fin(0,0,m1sq) + 5*m1**4*m4**14*B0fin(0,0,m1sq) + 44*m1sq*m2sq*m4**14*B0fin(0,0,m1sq) - 4*m1sq*m4**16*B0fin(0,0,m1sq) - 22*m1**12*m2**4*m4sq*B0fin(0,0,m1sq) + 12*m1**10*m2**6*m4sq*B0fin(0,0,m1sq) + 8*m1**8*m2**8*m4sq*B0fin(0,0,m1sq) - 24*m1**6*m2**10*m4sq*B0fin(0,0,m1sq) + 14*m1**4*m2**12*m4sq*B0fin(0,0,m1sq) + 12*m1**14*m2sq*m4sq*B0fin(0,0,m1sq) + 2*m1**14*m2**4*B0fin(0,0,m1sq)**2 - 8*m1**12*m2**6*B0fin(0,0,m1sq)**2 + 12*m1**10*m2**8*B0fin(0,0,m1sq)**2 - 8*m1**8*m2**10*B0fin(0,0,m1sq)**2 + 2*m1**6*m2**12*B0fin(0,0,m1sq)**2 + 2*m1**14*m4**4*B0fin(0,0,m1sq)**2 - 24*m1**10*m2**4*m4**4*B0fin(0,0,m1sq)**2 + 48*m1**8*m2**6*m4**4*B0fin(0,0,m1sq)**2 - 66*m1**6*m2**8*m4**4*B0fin(0,0,m1sq)**2 + 48*m1**4*m2**10*m4**4*B0fin(0,0,m1sq)**2 + 24*m1**12*m2sq*m4**4*B0fin(0,0,m1sq)**2 - 16*m1**12*m4**6*B0fin(0,0,m1sq)**2 - 48*m1**8*m2**4*m4**6*B0fin(0,0,m1sq)**2 + 24*m1**6*m2**6*m4**6*B0fin(0,0,m1sq)**2 - 120*m1**4*m2**8*m4**6*B0fin(0,0,m1sq)**2 - 48*m1**10*m2sq*m4**6*B0fin(0,0,m1sq)**2 + 44*m1**10*m4**8*B0fin(0,0,m1sq)**2 + 94*m1**6*m2**4*m4**8*B0fin(0,0,m1sq)**2 + 160*m1**4*m2**6*m4**8*B0fin(0,0,m1sq)**2 + 88*m1**8*m2sq*m4**8*B0fin(0,0,m1sq)**2 - 56*m1**8*m4**10*B0fin(0,0,m1sq)**2 - 120*m1**4*m2**4*m4**10*B0fin(0,0,m1sq)**2 - 108*m1**6*m2sq*m4**10*B0fin(0,0,m1sq)**2 + 34*m1**6*m4**12*B0fin(0,0,m1sq)**2 + 48*m1**4*m2sq*m4**12*B0fin(0,0,m1sq)**2 - 8*m1**4*m4**14*B0fin(0,0,m1sq)**2 + 16*m1**10*m2**6*m4sq*B0fin(0,0,m1sq)**2 - 24*m1**8*m2**8*m4sq*B0fin(0,0,m1sq)**2 + 20*m1**6*m2**10*m4sq*B0fin(0,0,m1sq)**2 - 8*m1**4*m2**12*m4sq*B0fin(0,0,m1sq)**2 - 4*m1**14*m2sq*m4sq*B0fin(0,0,m1sq)**2 + 50*m1**12*m2*m4**4*B0fin(0,0,m2) - 184*m1**10*m2**3*m4**4*B0fin(0,0,m2) + 144*m1**8*m2**5*m4**4*B0fin(0,0,m2) - 32*m1**6*m2**7*m4**4*B0fin(0,0,m2) - 42*m1**4*m2**9*m4**4*B0fin(0,0,m2) - 68*m1**10*m2*m4**6*B0fin(0,0,m2) + 300*m1**8*m2**3*m4**6*B0fin(0,0,m2) + 6*m1**6*m2**5*m4**6*B0fin(0,0,m2) + 168*m1**4*m2**7*m4**6*B0fin(0,0,m2) + 42*m1sq*m2**9*m4**6*B0fin(0,0,m2) - 58*m1**8*m2*m4**8*B0fin(0,0,m2) - 400*m1**6*m2**3*m4**8*B0fin(0,0,m2) - 346*m1**4*m2**5*m4**8*B0fin(0,0,m2) - 168*m1sq*m2**7*m4**8*B0fin(0,0,m2) - 8*m2**9*m4**8*B0fin(0,0,m2) + 210*m1**6*m2*m4**10*B0fin(0,0,m2) + 436*m1**4*m2**3*m4**10*B0fin(0,0,m2) + 276*m1sq*m2**5*m4**10*B0fin(0,0,m2) + 32*m2**7*m4**10*B0fin(0,0,m2) - 184*m1**4*m2*m4**12*B0fin(0,0,m2) - 216*m1sq*m2**3*m4**12*B0fin(0,0,m2) - 48*m2**5*m4**12*B0fin(0,0,m2) + 66*m1sq*m2*m4**14*B0fin(0,0,m2) + 32*m2**3*m4**14*B0fin(0,0,m2) - 8*m2*m4**16*B0fin(0,0,m2) - 8*m1**14*m2*m4sq*B0fin(0,0,m2) + 32*m1**12*m2**3*m4sq*B0fin(0,0,m2) - 32*m1**10*m2**5*m4sq*B0fin(0,0,m2) + 8*m1**6*m2**9*m4sq*B0fin(0,0,m2) - 4*m1**14*m4**4*B0fin(0,0,m2sq) + 121*m1**10*m2**4*m4**4*B0fin(0,0,m2sq) - 51*m1**8*m2**6*m4**4*B0fin(0,0,m2sq) - m1**6*m2**8*m4**4*B0fin(0,0,m2sq) + 21*m1**4*m2**10*m4**4*B0fin(0,0,m2sq) - 54*m1**12*m2sq*m4**4*B0fin(0,0,m2sq) + 33*m1**12*m4**6*B0fin(0,0,m2sq) - 221*m1**8*m2**4*m4**6*B0fin(0,0,m2sq) - 36*m1**6*m2**6*m4**6*B0fin(0,0,m2sq) - 84*m1**4*m2**8*m4**6*B0fin(0,0,m2sq) - 21*m1sq*m2**10*m4**6*B0fin(0,0,m2sq) + 105*m1**10*m2sq*m4**6*B0fin(0,0,m2sq) - 96*m1**10*m4**8*B0fin(0,0,m2sq) + 300*m1**6*m2**4*m4**8*B0fin(0,0,m2sq) + 240*m1**4*m2**6*m4**8*B0fin(0,0,m2sq) + 101*m1sq*m2**8*m4**8*B0fin(0,0,m2sq) + 4*m2**10*m4**8*B0fin(0,0,m2sq) - 59*m1**8*m2sq*m4**8*B0fin(0,0,m2sq) + 134*m1**8*m4**10*B0fin(0,0,m2sq) - 331*m1**4*m2**4*m4**10*B0fin(0,0,m2sq) - 201*m1sq*m2**6*m4**10*B0fin(0,0,m2sq) - 20*m2**8*m4**10*B0fin(0,0,m2sq) - 59*m1**6*m2sq*m4**10*B0fin(0,0,m2sq) - 96*m1**6*m4**12*B0fin(0,0,m2sq) + 179*m1sq*m2**4*m4**12*B0fin(0,0,m2sq) + 36*m2**6*m4**12*B0fin(0,0,m2sq) + 105*m1**4*m2sq*m4**12*B0fin(0,0,m2sq) + 33*m1**4*m4**14*B0fin(0,0,m2sq) - 28*m2**4*m4**14*B0fin(0,0,m2sq) - 54*m1sq*m2sq*m4**14*B0fin(0,0,m2sq) - 4*m1sq*m4**16*B0fin(0,0,m2sq) + 8*m2sq*m4**16*B0fin(0,0,m2sq) - 20*m1**12*m2**4*m4sq*B0fin(0,0,m2sq) + 12*m1**10*m2**6*m4sq*B0fin(0,0,m2sq) + 4*m1**8*m2**8*m4sq*B0fin(0,0,m2sq) - 4*m1**6*m2**10*m4sq*B0fin(0,0,m2sq) + 8*m1**14*m2sq*m4sq*B0fin(0,0,m2sq) - 4*m1**14*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 135*m1**10*m2**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 187*m1**8*m2**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 105*m1**6*m2**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 25*m1**12*m2sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 29*m1**12*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 112*m1**8*m2**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 105*m1**4*m2**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 38*m1**10*m2sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 67*m1**10*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 112*m1**6*m2**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 187*m1**4*m2**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 20*m1sq*m2**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 67*m1**8*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 135*m1**4*m2**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 44*m1sq*m2**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 38*m1**6*m2sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 29*m1**6*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 28*m1sq*m2**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 25*m1**4*m2sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**4*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1sq*m2sq*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 28*m1**12*m2**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 44*m1**10*m2**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 20*m1**8*m2**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**14*m2sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**12*m2**4*m4*B0fin(0,0,m4) - 16*m1**10*m2**6*m4*B0fin(0,0,m4) + 24*m1**8*m2**8*m4*B0fin(0,0,m4) - 16*m1**6*m2**10*m4*B0fin(0,0,m4) + 4*m1**4*m2**12*m4*B0fin(0,0,m4) + 8*m1**14*m4**3*B0fin(0,0,m4) + 206*m1**10*m2**4*m4**3*B0fin(0,0,m4) - 280*m1**8*m2**6*m4**3*B0fin(0,0,m4) + 188*m1**6*m2**8*m4**3*B0fin(0,0,m4) - 48*m1**4*m2**10*m4**3*B0fin(0,0,m4) - 2*m1sq*m2**12*m4**3*B0fin(0,0,m4) - 72*m1**12*m2sq*m4**3*B0fin(0,0,m4) - 14*m1**12*m4**5*B0fin(0,0,m4) - 92*m1**8*m2**4*m4**5*B0fin(0,0,m4) - 18*m1**4*m2**8*m4**5*B0fin(0,0,m4) + 36*m1sq*m2**10*m4**5*B0fin(0,0,m4) + 4*m2**12*m4**5*B0fin(0,0,m4) + 84*m1**10*m2sq*m4**5*B0fin(0,0,m4) + 10*m1**10*m4**7*B0fin(0,0,m4) + 30*m1**6*m2**4*m4**7*B0fin(0,0,m4) + 72*m1**4*m2**6*m4**7*B0fin(0,0,m4) - 84*m1sq*m2**8*m4**7*B0fin(0,0,m4) - 32*m2**10*m4**7*B0fin(0,0,m4) + 4*m1**8*m2sq*m4**7*B0fin(0,0,m4) - 42*m1**8*m4**9*B0fin(0,0,m4) - 62*m1**4*m2**4*m4**9*B0fin(0,0,m4) + 96*m1sq*m2**6*m4**9*B0fin(0,0,m4) + 88*m2**8*m4**9*B0fin(0,0,m4) - 80*m1**6*m2sq*m4**9*B0fin(0,0,m4) + 86*m1**6*m4**11*B0fin(0,0,m4) - 58*m1sq*m2**4*m4**11*B0fin(0,0,m4) - 112*m2**6*m4**11*B0fin(0,0,m4) + 84*m1**4*m2sq*m4**11*B0fin(0,0,m4) - 64*m1**4*m4**13*B0fin(0,0,m4) + 68*m2**4*m4**13*B0fin(0,0,m4) - 4*m1sq*m2sq*m4**13*B0fin(0,0,m4) + 16*m1sq*m4**15*B0fin(0,0,m4) - 16*m2sq*m4**15*B0fin(0,0,m4) - 8*m1**14*m4**4*B0fin(0,0,m4sq) - 51*m1**10*m2**4*m4**4*B0fin(0,0,m4sq) + 46*m1**8*m2**6*m4**4*B0fin(0,0,m4sq) - 22*m1**6*m2**8*m4**4*B0fin(0,0,m4sq) + 3*m1**4*m2**10*m4**4*B0fin(0,0,m4sq) + m1sq*m2**12*m4**4*B0fin(0,0,m4sq) + 31*m1**12*m2sq*m4**4*B0fin(0,0,m4sq) + 28*m1**12*m4**6*B0fin(0,0,m4sq) + 114*m1**8*m2**4*m4**6*B0fin(0,0,m4sq) - 30*m1**6*m2**6*m4**6*B0fin(0,0,m4sq) - 12*m1**4*m2**8*m4**6*B0fin(0,0,m4sq) + 3*m1sq*m2**10*m4**6*B0fin(0,0,m4sq) - 2*m2**12*m4**6*B0fin(0,0,m4sq) - 101*m1**10*m2sq*m4**6*B0fin(0,0,m4sq) - 22*m1**10*m4**8*B0fin(0,0,m4sq) - 87*m1**6*m2**4*m4**8*B0fin(0,0,m4sq) + 45*m1**4*m2**6*m4**8*B0fin(0,0,m4sq) - 5*m1sq*m2**8*m4**8*B0fin(0,0,m4sq) + 12*m2**10*m4**8*B0fin(0,0,m4sq) + 57*m1**8*m2sq*m4**8*B0fin(0,0,m4sq) + 4*m1**8*m4**10*B0fin(0,0,m4sq) - 17*m1sq*m2**6*m4**10*B0fin(0,0,m4sq) - 32*m2**8*m4**10*B0fin(0,0,m4sq) + 45*m1**6*m2sq*m4**10*B0fin(0,0,m4sq) - 22*m1**6*m4**12*B0fin(0,0,m4sq) + 24*m1sq*m2**4*m4**12*B0fin(0,0,m4sq) + 44*m2**6*m4**12*B0fin(0,0,m4sq) - 46*m1**4*m2sq*m4**12*B0fin(0,0,m4sq) + 28*m1**4*m4**14*B0fin(0,0,m4sq) - 30*m2**4*m4**14*B0fin(0,0,m4sq) + 2*m1sq*m2sq*m4**14*B0fin(0,0,m4sq) - 8*m1sq*m4**16*B0fin(0,0,m4sq) + 8*m2sq*m4**16*B0fin(0,0,m4sq) - 18*m1**12*m2**4*m4sq*B0fin(0,0,m4sq) + 32*m1**10*m2**6*m4sq*B0fin(0,0,m4sq) - 28*m1**8*m2**8*m4sq*B0fin(0,0,m4sq) + 12*m1**6*m2**10*m4sq*B0fin(0,0,m4sq) - 2*m1**4*m2**12*m4sq*B0fin(0,0,m4sq) + 4*m1**14*m2sq*m4sq*B0fin(0,0,m4sq) + 8*m1**14*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 193*m1**10*m2**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 222*m1**8*m2**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 120*m1**6*m2**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 30*m1**4*m2**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 7*m1sq*m2**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 76*m1**12*m2sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1**12*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 133*m1**8*m2**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 54*m1**6*m2**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 15*m1**4*m2**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 44*m1sq*m2**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 108*m1**10*m2sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 15*m1**10*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1**6*m2**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1**4*m2**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 126*m1sq*m2**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 52*m1**8*m2sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 15*m1**8*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 40*m1**4*m2**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 172*m1sq*m2**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 34*m1**6*m2sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 13*m1**6*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 111*m1sq*m2**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 18*m1**4*m2sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 9*m1**4*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 32*m1sq*m2sq*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m4**16*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 10*m1**12*m2**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 32*m1**10*m2**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 36*m1**8*m2**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1**6*m2**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**4*m2**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**14*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 26*m1**10*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 82*m1**8*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 98*m1**6*m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 42*m1**4*m2**10*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1**12*m2sq*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 29*m1**12*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 26*m1**8*m2**4*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 69*m1**6*m2**6*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 21*m1**4*m2**8*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 42*m1sq*m2**10*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 25*m1**10*m2sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 67*m1**10*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 12*m1**6*m2**4*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 18*m1**4*m2**6*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 123*m1sq*m2**8*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m2**10*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 46*m1**8*m2sq*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 67*m1**8*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 37*m1**4*m2**4*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 145*m1sq*m2**6*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 28*m2**8*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 50*m1**6*m2sq*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 29*m1**6*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 89*m1sq*m2**4*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 36*m2**6*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 46*m1**4*m2sq*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1**4*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 20*m2**4*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 25*m1sq*m2sq*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2sq*m4**16*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**12*m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 24*m1**10*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m1**8*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m1**6*m2**10*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1**14*m4**4*B0fin(0,0,m4sq)**2 - 60*m1**10*m2**4*m4**4*B0fin(0,0,m4sq)**2 + 80*m1**8*m2**6*m4**4*B0fin(0,0,m4sq)**2 - 60*m1**6*m2**8*m4**4*B0fin(0,0,m4sq)**2 + 24*m1**4*m2**10*m4**4*B0fin(0,0,m4sq)**2 - 4*m1sq*m2**12*m4**4*B0fin(0,0,m4sq)**2 + 24*m1**12*m2sq*m4**4*B0fin(0,0,m4sq)**2 + 17*m1**12*m4**6*B0fin(0,0,m4sq)**2 + 47*m1**8*m2**4*m4**6*B0fin(0,0,m4sq)**2 + 12*m1**6*m2**6*m4**6*B0fin(0,0,m4sq)**2 - 33*m1**4*m2**8*m4**6*B0fin(0,0,m4sq)**2 + 10*m1sq*m2**10*m4**6*B0fin(0,0,m4sq)**2 + m2**12*m4**6*B0fin(0,0,m4sq)**2 - 54*m1**10*m2sq*m4**6*B0fin(0,0,m4sq)**2 - 28*m1**10*m4**8*B0fin(0,0,m4sq)**2 - 24*m1**6*m2**4*m4**8*B0fin(0,0,m4sq)**2 + 24*m1**4*m2**6*m4**8*B0fin(0,0,m4sq)**2 - 12*m1sq*m2**8*m4**8*B0fin(0,0,m4sq)**2 - 4*m2**10*m4**8*B0fin(0,0,m4sq)**2 + 44*m1**8*m2sq*m4**8*B0fin(0,0,m4sq)**2 + 22*m1**8*m4**10*B0fin(0,0,m4sq)**2 - 12*m1**4*m2**4*m4**10*B0fin(0,0,m4sq)**2 + 8*m1sq*m2**6*m4**10*B0fin(0,0,m4sq)**2 + 6*m2**8*m4**10*B0fin(0,0,m4sq)**2 - 24*m1**6*m2sq*m4**10*B0fin(0,0,m4sq)**2 - 8*m1**6*m4**12*B0fin(0,0,m4sq)**2 - 4*m2**6*m4**12*B0fin(0,0,m4sq)**2 + 12*m1**4*m2sq*m4**12*B0fin(0,0,m4sq)**2 + m1**4*m4**14*B0fin(0,0,m4sq)**2 + m2**4*m4**14*B0fin(0,0,m4sq)**2 - 2*m1sq*m2sq*m4**14*B0fin(0,0,m4sq)**2 - 2*m1**12*m2**4*T134fin(m4,m1,m1) + 8*m1**10*m2**6*T134fin(m4,m1,m1) - 12*m1**8*m2**8*T134fin(m4,m1,m1) + 8*m1**6*m2**10*T134fin(m4,m1,m1) - 2*m1**4*m2**12*T134fin(m4,m1,m1) - 2*m1**12*m4**4*T134fin(m4,m1,m1) + 24*m1**8*m2**4*m4**4*T134fin(m4,m1,m1) - 40*m1**6*m2**6*m4**4*T134fin(m4,m1,m1) + 54*m1**4*m2**8*m4**4*T134fin(m4,m1,m1) - 38*m1sq*m2**10*m4**4*T134fin(m4,m1,m1) - 4*m2**12*m4**4*T134fin(m4,m1,m1) - 26*m1**10*m2sq*m4**4*T134fin(m4,m1,m1) + 17*m1**10*m4**6*T134fin(m4,m1,m1) + 36*m1**6*m2**4*m4**6*T134fin(m4,m1,m1) + 87*m1sq*m2**8*m4**6*T134fin(m4,m1,m1) + 24*m2**10*m4**6*T134fin(m4,m1,m1) + 60*m1**8*m2sq*m4**6*T134fin(m4,m1,m1) - 52*m1**8*m4**8*T134fin(m4,m1,m1) - 118*m1**4*m2**4*m4**8*T134fin(m4,m1,m1) - 148*m1sq*m2**6*m4**8*T134fin(m4,m1,m1) - 60*m2**8*m4**8*T134fin(m4,m1,m1) - 112*m1**6*m2sq*m4**8*T134fin(m4,m1,m1) + 78*m1**6*m4**10*T134fin(m4,m1,m1) + 167*m1sq*m2**4*m4**10*T134fin(m4,m1,m1) + 80*m2**6*m4**10*T134fin(m4,m1,m1) + 152*m1**4*m2sq*m4**10*T134fin(m4,m1,m1) - 62*m1**4*m4**12*T134fin(m4,m1,m1) - 60*m2**4*m4**12*T134fin(m4,m1,m1) - 102*m1sq*m2sq*m4**12*T134fin(m4,m1,m1) + 25*m1sq*m4**14*T134fin(m4,m1,m1) + 24*m2sq*m4**14*T134fin(m4,m1,m1) - 4*m4**16*T134fin(m4,m1,m1) + m1**10*m2**4*m4sq*T134fin(m4,m1,m1) - 20*m1**8*m2**6*m4sq*T134fin(m4,m1,m1) + 30*m1**6*m2**8*m4sq*T134fin(m4,m1,m1) - 24*m1**4*m2**10*m4sq*T134fin(m4,m1,m1) + 9*m1sq*m2**12*m4sq*T134fin(m4,m1,m1) + 4*m1**12*m2sq*m4sq*T134fin(m4,m1,m1) - 21*m1**12*m4**4*T134fin(m4,m2,m1) - 105*m1**8*m2**4*m4**4*T134fin(m4,m2,m1) + 7*m1**6*m2**6*m4**4*T134fin(m4,m2,m1) + 42*m1**4*m2**8*m4**4*T134fin(m4,m2,m1) + 109*m1**10*m2sq*m4**4*T134fin(m4,m2,m1) + 13*m1**10*m4**6*T134fin(m4,m2,m1) + 69*m1**6*m2**4*m4**6*T134fin(m4,m2,m1) - 126*m1**4*m2**6*m4**6*T134fin(m4,m2,m1) - 42*m1sq*m2**8*m4**6*T134fin(m4,m2,m1) - 138*m1**8*m2sq*m4**6*T134fin(m4,m2,m1) + 46*m1**8*m4**8*T134fin(m4,m2,m1) + 169*m1**4*m2**4*m4**8*T134fin(m4,m2,m1) + 143*m1sq*m2**6*m4**8*T134fin(m4,m2,m1) + 8*m2**8*m4**8*T134fin(m4,m2,m1) + 124*m1**6*m2sq*m4**8*T134fin(m4,m2,m1) - 88*m1**6*m4**10*T134fin(m4,m2,m1) - 189*m1sq*m2**4*m4**10*T134fin(m4,m2,m1) - 28*m2**6*m4**10*T134fin(m4,m2,m1) - 172*m1**4*m2sq*m4**10*T134fin(m4,m2,m1) + 71*m1**4*m4**12*T134fin(m4,m2,m1) + 36*m2**4*m4**12*T134fin(m4,m2,m1) + 117*m1sq*m2sq*m4**12*T134fin(m4,m2,m1) - 29*m1sq*m4**14*T134fin(m4,m2,m1) - 20*m2sq*m4**14*T134fin(m4,m2,m1) + 4*m4**16*T134fin(m4,m2,m1) + 4*m1**14*m4sq*T134fin(m4,m2,m1) + 20*m1**10*m2**4*m4sq*T134fin(m4,m2,m1) + 4*m1**8*m2**6*m4sq*T134fin(m4,m2,m1) - 8*m1**6*m2**8*m4sq*T134fin(m4,m2,m1) - 20*m1**12*m2sq*m4sq*T134fin(m4,m2,m1) + 17*m1**12*m4**4*T134fin(m4,m4,m1) + 47*m1**8*m2**4*m4**4*T134fin(m4,m4,m1) + 12*m1**6*m2**6*m4**4*T134fin(m4,m4,m1) - 33*m1**4*m2**8*m4**4*T134fin(m4,m4,m1) + 10*m1sq*m2**10*m4**4*T134fin(m4,m4,m1) + m2**12*m4**4*T134fin(m4,m4,m1) - 54*m1**10*m2sq*m4**4*T134fin(m4,m4,m1) - 28*m1**10*m4**6*T134fin(m4,m4,m1) - 24*m1**6*m2**4*m4**6*T134fin(m4,m4,m1) + 24*m1**4*m2**6*m4**6*T134fin(m4,m4,m1) - 12*m1sq*m2**8*m4**6*T134fin(m4,m4,m1) - 4*m2**10*m4**6*T134fin(m4,m4,m1) + 44*m1**8*m2sq*m4**6*T134fin(m4,m4,m1) + 22*m1**8*m4**8*T134fin(m4,m4,m1) - 12*m1**4*m2**4*m4**8*T134fin(m4,m4,m1) + 8*m1sq*m2**6*m4**8*T134fin(m4,m4,m1) + 6*m2**8*m4**8*T134fin(m4,m4,m1) - 24*m1**6*m2sq*m4**8*T134fin(m4,m4,m1) - 8*m1**6*m4**10*T134fin(m4,m4,m1) - 4*m2**6*m4**10*T134fin(m4,m4,m1) + 12*m1**4*m2sq*m4**10*T134fin(m4,m4,m1) + m1**4*m4**12*T134fin(m4,m4,m1) + m2**4*m4**12*T134fin(m4,m4,m1) - 2*m1sq*m2sq*m4**12*T134fin(m4,m4,m1) - 4*m1**14*m4sq*T134fin(m4,m4,m1) - 60*m1**10*m2**4*m4sq*T134fin(m4,m4,m1) + 80*m1**8*m2**6*m4sq*T134fin(m4,m4,m1) - 60*m1**6*m2**8*m4sq*T134fin(m4,m4,m1) + 24*m1**4*m2**10*m4sq*T134fin(m4,m4,m1) - 4*m1sq*m2**12*m4sq*T134fin(m4,m4,m1) + 24*m1**12*m2sq*m4sq*T134fin(m4,m4,m1))/((m1sq - m2sq)**2*(m1 + m2 - m4)**2*m4**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m2sq - m4sq)**2*(4*m1**6 + 21*m1sq*m4**4 - 4*m4**6 - 21*m1**4*m4sq)))
		def eval_89():
			return (4*m1**14*m2**3 + 4*m1**13*m2**4 + 4*m1**14*m2**4 - 15*m1**12*m2**5 + 2*m1**11*m2**6 - 17*m1**12*m2**6 + 47*m1**10*m2**7 + 19*m1**9*m2**8 - 4*m1**10*m2**8 - 55*m1**8*m2**9 - 77*m1**7*m2**10 + 34*m1**8*m2**10 + 9*m1**6*m2**11 + 73*m1**5*m2**12 - 4*m1**6*m2**12 + 10*m1**4*m2**13 - 25*m1**3*m2**14 - 17*m1**4*m2**14 + 4*m1*m2**16 + 4*m1sq*m2**16 + 17*m1**12*m2**4*m3 + 8*m1**10*m2**6*m3 - 63*m1**8*m2**8*m3 + 71*m1**6*m2**10*m3 - 50*m1**4*m2**12*m3 + 25*m1sq*m2**14*m3 - 4*m2**16*m3 - 4*m1**14*m2sq*m3 - 126*m1**10*m2**4*m3**3 + 126*m1**8*m2**6*m3**3 - 48*m1**6*m2**8*m3**3 + 126*m1**4*m2**10*m3**3 - 126*m1sq*m2**12*m3**3 + 24*m2**14*m3**3 + 24*m1**12*m2sq*m3**3 + 4*m1**13*m3**4 + 2*m1**12*m2*m3**4 + 95*m1**10*m2**3*m3**4 + 43*m1**9*m2**4*m3**4 - 12*m1**10*m2**4*m3**4 + 20*m1**8*m2**5*m3**4 - 189*m1**7*m2**6*m3**4 + 51*m1**8*m2**6*m3**4 - 129*m1**6*m2**7*m3**4 + 83*m1**5*m2**8*m3**4 - 8*m1**6*m2**8*m3**4 - 23*m1**4*m2**9*m3**4 - 94*m1**3*m2**10*m3**4 - 9*m1**4*m2**10*m3**4 + 73*m1sq*m2**11*m3**4 + 71*m1*m2**12*m3**4 - 30*m1sq*m2**12*m3**4 + 10*m2**13*m3**4 + 8*m2**14*m3**4 + 34*m1**11*m2sq*m3**4 + 138*m1**8*m2**4*m3**5 - 141*m1**6*m2**6*m3**5 - 165*m1**4*m2**8*m3**5 + 240*m1sq*m2**10*m3**5 - 48*m2**12*m3**5 - 24*m1**10*m2sq*m3**5 - 16*m1**11*m3**6 - 8*m1**10*m2*m3**6 - 148*m1**8*m2**3*m3**6 + 70*m1**7*m2**4*m3**6 - 38*m1**8*m2**4*m3**6 + 18*m1**6*m2**5*m3**6 + 144*m1**5*m2**6*m3**6 + 21*m1**6*m2**6*m3**6 + 120*m1**4*m2**7*m3**6 + 86*m1**3*m2**8*m3**6 + 13*m1**4*m2**8*m3**6 - 70*m1sq*m2**9*m3**6 - 116*m1*m2**10*m3**6 - 4*m1sq*m2**10*m3**6 - 32*m2**11*m3**6 - 48*m1**9*m2sq*m3**6 + 8*m1**10*m2sq*m3**6 + 2*m1**6*m2**4*m3**7 + 168*m1**4*m2**6*m3**7 - 202*m1sq*m2**8*m3**7 + 40*m2**10*m3**7 - 8*m1**8*m2sq*m3**7 + 24*m1**9*m3**8 + 12*m1**8*m2*m3**8 + 102*m1**6*m2**3*m3**8 - 138*m1**5*m2**4*m3**8 + 8*m1**6*m2**4*m3**8 - 51*m1**4*m2**5*m3**8 - 99*m1**3*m2**6*m3**8 - 42*m1**4*m2**6*m3**8 + 102*m1*m2**8*m3**8 + 42*m1sq*m2**8*m3**8 + 36*m2**9*m3**8 - 8*m2**10*m3**8 + 12*m1**7*m2sq*m3**8 - 63*m1**4*m2**4*m3**9 + 63*m1sq*m2**6*m3**9 - 12*m2**8*m3**9 + 12*m1**6*m2sq*m3**9 - 16*m1**7*m3**10 - 8*m1**6*m2*m3**10 - 24*m1**4*m2**3*m3**10 + 66*m1**3*m2**4*m3**10 + 21*m1**4*m2**4*m3**10 + 18*m1sq*m2**5*m3**10 - 44*m1*m2**6*m3**10 - 21*m1sq*m2**6*m3**10 - 16*m2**7*m3**10 + 4*m2**8*m3**10 + 24*m1**5*m2sq*m3**10 - 4*m1**6*m2sq*m3**10 + 4*m1**5*m3**12 + 2*m1**4*m2*m3**12 - m1sq*m2**3*m3**12 + 7*m1*m2**4*m3**12 + 2*m2**5*m3**12 - 14*m1**3*m2sq*m3**12 - 28*m1**12*m2**3*m3sq - 20*m1**11*m2**4*m3sq + 17*m1**12*m2**4*m3sq + 8*m1**10*m2**5*m3sq - 38*m1**9*m2**6*m3sq + 8*m1**10*m2**6*m3sq - 22*m1**8*m2**7*m3sq + 200*m1**7*m2**8*m3sq - 47*m1**8*m2**8*m3sq + 112*m1**6*m2**9*m3sq - 190*m1**5*m2**10*m3sq - 13*m1**6*m2**10*m3sq - 50*m1**4*m2**11*m3sq + 80*m1**3*m2**12*m3sq + 34*m1**4*m2**12*m3sq - 20*m1sq*m2**13*m3sq - 24*m1*m2**14*m3sq + 9*m1sq*m2**14*m3sq - 4*m2**16*m3sq - 8*m1**13*m2sq*m3sq - 4*m1**14*m2sq*m3sq + m1sq*(m2sq - m3sq)*(m1**12*(8*m2sq - 4*m3sq) + m2**4*(m2sq - m3sq)**2*(4*m2**6 + 23*m2sq*m3**4 - 7*m3**6 - 16*m2**4*m3sq) + 2*m1**8*(18*m2**6 + 10*m2sq*m3**4 - 12*m3**6 + 5*m2**4*m3sq) + m1**6*(-60*m2**8 - 53*m2**4*m3**4 + 8*m2sq*m3**6 + 16*m3**8 + 64*m2**6*m3sq) + m1**4*(52*m2**10 - 13*m2**6*m3**4 + 89*m2**4*m3**6 - 28*m2sq*m3**8 - 4*m3**10 - 92*m2**8*m3sq) + m1sq*(-21*m2**12 - 77*m2**8*m3**4 + 68*m2**6*m3**6 - 52*m2**4*m3**8 + 14*m2sq*m3**10 + 68*m2**10*m3sq) + m1**10*(-19*m2**4 + 16*m3**4 - 22*m2sq*m3sq))*B0del(0,0,m1sq) + m2sq*(m1sq - m3sq)*(4*m1**12*m2sq - m1sq*(11*m2**6 + 18*m2sq*m3**4 - m3**6)*(m2**3 - m2*m3sq)**2 + m1**8*(26*m2**6 + 71*m2sq*m3**4 - 6*m3**6 + 14*m2**4*m3sq) + m1**6*(-38*m2**8 + m2**4*m3**4 - 73*m2sq*m3**6 + 6*m3**8 + 16*m2**6*m3sq) + m1**4*(26*m2**10 - 41*m2**6*m3**4 + 10*m2**4*m3**6 + 25*m2sq*m3**8 - 2*m3**10 - 2*m2**8*m3sq) + m1**10*(-11*m2**4 + 2*m3**4 - 28*m2sq*m3sq) + 2*m2**4*(m2sq - m3sq)**3*(2*m2**4 + m3**4 - 5*m2sq*m3sq))*B0del(0,0,m2sq) - 109*m1**10*m2**4*m3**4*B0del(0,0,m3sq) + 138*m1**8*m2**6*m3**4*B0del(0,0,m3sq) - 124*m1**6*m2**8*m3**4*B0del(0,0,m3sq) + 172*m1**4*m2**10*m3**4*B0del(0,0,m3sq) - 117*m1sq*m2**12*m3**4*B0del(0,0,m3sq) + 20*m2**14*m3**4*B0del(0,0,m3sq) + 20*m1**12*m2sq*m3**4*B0del(0,0,m3sq) + 105*m1**8*m2**4*m3**6*B0del(0,0,m3sq) - 69*m1**6*m2**6*m3**6*B0del(0,0,m3sq) - 169*m1**4*m2**8*m3**6*B0del(0,0,m3sq) + 189*m1sq*m2**10*m3**6*B0del(0,0,m3sq) - 36*m2**12*m3**6*B0del(0,0,m3sq) - 20*m1**10*m2sq*m3**6*B0del(0,0,m3sq) - 7*m1**6*m2**4*m3**8*B0del(0,0,m3sq) + 126*m1**4*m2**6*m3**8*B0del(0,0,m3sq) - 143*m1sq*m2**8*m3**8*B0del(0,0,m3sq) + 28*m2**10*m3**8*B0del(0,0,m3sq) - 4*m1**8*m2sq*m3**8*B0del(0,0,m3sq) - 42*m1**4*m2**4*m3**10*B0del(0,0,m3sq) + 42*m1sq*m2**6*m3**10*B0del(0,0,m3sq) - 8*m2**8*m3**10*B0del(0,0,m3sq) + 8*m1**6*m2sq*m3**10*B0del(0,0,m3sq) + 21*m1**12*m2**4*m3sq*B0del(0,0,m3sq) - 13*m1**10*m2**6*m3sq*B0del(0,0,m3sq) - 46*m1**8*m2**8*m3sq*B0del(0,0,m3sq) + 88*m1**6*m2**10*m3sq*B0del(0,0,m3sq) - 71*m1**4*m2**12*m3sq*B0del(0,0,m3sq) + 29*m1sq*m2**14*m3sq*B0del(0,0,m3sq) - 4*m2**16*m3sq*B0del(0,0,m3sq) - 4*m1**14*m2sq*m3sq*B0del(0,0,m3sq) + 24*m1**13*m2**4*B0fin(0,0,m1) - 80*m1**11*m2**6*B0fin(0,0,m1) + 106*m1**9*m2**8*B0fin(0,0,m1) - 86*m1**7*m2**10*B0fin(0,0,m1) + 62*m1**5*m2**12*B0fin(0,0,m1) - 34*m1**3*m2**14*B0fin(0,0,m1) + 8*m1*m2**16*B0fin(0,0,m1) + 8*m1**13*m3**4*B0fin(0,0,m1) - 46*m1**9*m2**4*m3**4*B0fin(0,0,m1) - 90*m1**7*m2**6*m3**4*B0fin(0,0,m1) + 150*m1**5*m2**8*m3**4*B0fin(0,0,m1) - 392*m1**3*m2**10*m3**4*B0fin(0,0,m1) + 190*m1*m2**12*m3**4*B0fin(0,0,m1) + 84*m1**11*m2sq*m3**4*B0fin(0,0,m1) - 32*m1**11*m3**6*B0fin(0,0,m1) + 104*m1**7*m2**4*m3**6*B0fin(0,0,m1) + 120*m1**5*m2**6*m3**6*B0fin(0,0,m1) + 408*m1**3*m2**8*m3**6*B0fin(0,0,m1) - 280*m1*m2**10*m3**6*B0fin(0,0,m1) - 80*m1**9*m2sq*m3**6*B0fin(0,0,m1) + 48*m1**9*m3**8*B0fin(0,0,m1) - 192*m1**5*m2**4*m3**8*B0fin(0,0,m1) - 282*m1**3*m2**6*m3**8*B0fin(0,0,m1) + 220*m1*m2**8*m3**8*B0fin(0,0,m1) + 8*m1**7*m2sq*m3**8*B0fin(0,0,m1) - 32*m1**7*m3**10*B0fin(0,0,m1) + 132*m1**3*m2**4*m3**10*B0fin(0,0,m1) - 88*m1*m2**6*m3**10*B0fin(0,0,m1) + 48*m1**5*m2sq*m3**10*B0fin(0,0,m1) + 8*m1**5*m3**12*B0fin(0,0,m1) + 14*m1*m2**4*m3**12*B0fin(0,0,m1) - 28*m1**3*m2sq*m3**12*B0fin(0,0,m1) + 28*m1**11*m2**4*m3sq*B0fin(0,0,m1) - 28*m1**9*m2**6*m3sq*B0fin(0,0,m1) + 96*m1**7*m2**8*m3sq*B0fin(0,0,m1) - 196*m1**5*m2**10*m3sq*B0fin(0,0,m1) + 196*m1**3*m2**12*m3sq*B0fin(0,0,m1) - 64*m1*m2**14*m3sq*B0fin(0,0,m1) - 32*m1**13*m2sq*m3sq*B0fin(0,0,m1) - 8*m1**14*m2**4*B0fin(0,0,m1sq) + 3*m1**12*m2**6*B0fin(0,0,m1sq) + 64*m1**10*m2**8*B0fin(0,0,m1sq) - 108*m1**8*m2**10*B0fin(0,0,m1sq) + 48*m1**6*m2**12*B0fin(0,0,m1sq) + 5*m1**4*m2**14*B0fin(0,0,m1sq) - 4*m1sq*m2**16*B0fin(0,0,m1sq) - 4*m1**14*m3**4*B0fin(0,0,m1sq) - 46*m1**10*m2**4*m3**4*B0fin(0,0,m1sq) - 3*m1**8*m2**6*m3**4*B0fin(0,0,m1sq) - 95*m1**6*m2**8*m3**4*B0fin(0,0,m1sq) + 349*m1**4*m2**10*m3**4*B0fin(0,0,m1sq) - 131*m1sq*m2**12*m3**4*B0fin(0,0,m1sq) - 22*m1**12*m2sq*m3**4*B0fin(0,0,m1sq) + 16*m1**12*m3**6*B0fin(0,0,m1sq) + 59*m1**8*m2**4*m3**6*B0fin(0,0,m1sq) - 18*m1**6*m2**6*m3**6*B0fin(0,0,m1sq) - 365*m1**4*m2**8*m3**6*B0fin(0,0,m1sq) + 176*m1sq*m2**10*m3**6*B0fin(0,0,m1sq) + 12*m1**10*m2sq*m3**6*B0fin(0,0,m1sq) - 24*m1**10*m3**8*B0fin(0,0,m1sq) + 33*m1**6*m2**4*m3**8*B0fin(0,0,m1sq) + 204*m1**4*m2**6*m3**8*B0fin(0,0,m1sq) - 122*m1sq*m2**8*m3**8*B0fin(0,0,m1sq) + 8*m1**8*m2sq*m3**8*B0fin(0,0,m1sq) + 16*m1**8*m3**10*B0fin(0,0,m1sq) - 66*m1**4*m2**4*m3**10*B0fin(0,0,m1sq) + 44*m1sq*m2**6*m3**10*B0fin(0,0,m1sq) - 24*m1**6*m2sq*m3**10*B0fin(0,0,m1sq) - 4*m1**6*m3**12*B0fin(0,0,m1sq) - 7*m1sq*m2**4*m3**12*B0fin(0,0,m1sq) + 14*m1**4*m2sq*m3**12*B0fin(0,0,m1sq) + 3*m1**12*m2**4*m3sq*B0fin(0,0,m1sq) - 6*m1**10*m2**6*m3sq*B0fin(0,0,m1sq) + 28*m1**8*m2**8*m3sq*B0fin(0,0,m1sq) + 60*m1**6*m2**10*m3sq*B0fin(0,0,m1sq) - 141*m1**4*m2**12*m3sq*B0fin(0,0,m1sq) + 44*m1sq*m2**14*m3sq*B0fin(0,0,m1sq) + 12*m1**14*m2sq*m3sq*B0fin(0,0,m1sq) + 2*m1**14*m2**4*B0fin(0,0,m1sq)**2 - 16*m1**12*m2**6*B0fin(0,0,m1sq)**2 + 44*m1**10*m2**8*B0fin(0,0,m1sq)**2 - 56*m1**8*m2**10*B0fin(0,0,m1sq)**2 + 34*m1**6*m2**12*B0fin(0,0,m1sq)**2 - 8*m1**4*m2**14*B0fin(0,0,m1sq)**2 + 2*m1**14*m3**4*B0fin(0,0,m1sq)**2 - 24*m1**10*m2**4*m3**4*B0fin(0,0,m1sq)**2 - 48*m1**8*m2**6*m3**4*B0fin(0,0,m1sq)**2 + 94*m1**6*m2**8*m3**4*B0fin(0,0,m1sq)**2 - 120*m1**4*m2**10*m3**4*B0fin(0,0,m1sq)**2 - 8*m1**12*m3**6*B0fin(0,0,m1sq)**2 + 48*m1**8*m2**4*m3**6*B0fin(0,0,m1sq)**2 + 24*m1**6*m2**6*m3**6*B0fin(0,0,m1sq)**2 + 160*m1**4*m2**8*m3**6*B0fin(0,0,m1sq)**2 + 16*m1**10*m2sq*m3**6*B0fin(0,0,m1sq)**2 + 12*m1**10*m3**8*B0fin(0,0,m1sq)**2 - 66*m1**6*m2**4*m3**8*B0fin(0,0,m1sq)**2 - 120*m1**4*m2**6*m3**8*B0fin(0,0,m1sq)**2 - 24*m1**8*m2sq*m3**8*B0fin(0,0,m1sq)**2 - 8*m1**8*m3**10*B0fin(0,0,m1sq)**2 + 48*m1**4*m2**4*m3**10*B0fin(0,0,m1sq)**2 + 20*m1**6*m2sq*m3**10*B0fin(0,0,m1sq)**2 + 2*m1**6*m3**12*B0fin(0,0,m1sq)**2 - 8*m1**4*m2sq*m3**12*B0fin(0,0,m1sq)**2 + 24*m1**12*m2**4*m3sq*B0fin(0,0,m1sq)**2 - 48*m1**10*m2**6*m3sq*B0fin(0,0,m1sq)**2 + 88*m1**8*m2**8*m3sq*B0fin(0,0,m1sq)**2 - 108*m1**6*m2**10*m3sq*B0fin(0,0,m1sq)**2 + 48*m1**4*m2**12*m3sq*B0fin(0,0,m1sq)**2 - 4*m1**14*m2sq*m3sq*B0fin(0,0,m1sq)**2 + 8*m1**14*m2**3*B0fin(0,0,m2) - 14*m1**12*m2**5*B0fin(0,0,m2) + 10*m1**10*m2**7*B0fin(0,0,m2) - 42*m1**8*m2**9*B0fin(0,0,m2) + 86*m1**6*m2**11*B0fin(0,0,m2) - 64*m1**4*m2**13*B0fin(0,0,m2) + 16*m1sq*m2**15*B0fin(0,0,m2) + 4*m1**12*m2*m3**4*B0fin(0,0,m2) + 206*m1**10*m2**3*m3**4*B0fin(0,0,m2) - 92*m1**8*m2**5*m3**4*B0fin(0,0,m2) + 30*m1**6*m2**7*m3**4*B0fin(0,0,m2) - 62*m1**4*m2**9*m3**4*B0fin(0,0,m2) - 58*m1sq*m2**11*m3**4*B0fin(0,0,m2) + 68*m2**13*m3**4*B0fin(0,0,m2) - 16*m1**10*m2*m3**6*B0fin(0,0,m2) - 280*m1**8*m2**3*m3**6*B0fin(0,0,m2) + 72*m1**4*m2**7*m3**6*B0fin(0,0,m2) + 96*m1sq*m2**9*m3**6*B0fin(0,0,m2) - 112*m2**11*m3**6*B0fin(0,0,m2) + 24*m1**8*m2*m3**8*B0fin(0,0,m2) + 188*m1**6*m2**3*m3**8*B0fin(0,0,m2) - 18*m1**4*m2**5*m3**8*B0fin(0,0,m2) - 84*m1sq*m2**7*m3**8*B0fin(0,0,m2) + 88*m2**9*m3**8*B0fin(0,0,m2) - 16*m1**6*m2*m3**10*B0fin(0,0,m2) - 48*m1**4*m2**3*m3**10*B0fin(0,0,m2) + 36*m1sq*m2**5*m3**10*B0fin(0,0,m2) - 32*m2**7*m3**10*B0fin(0,0,m2) + 4*m1**4*m2*m3**12*B0fin(0,0,m2) - 2*m1sq*m2**3*m3**12*B0fin(0,0,m2) + 4*m2**5*m3**12*B0fin(0,0,m2) - 72*m1**12*m2**3*m3sq*B0fin(0,0,m2) + 84*m1**10*m2**5*m3sq*B0fin(0,0,m2) + 4*m1**8*m2**7*m3sq*B0fin(0,0,m2) - 80*m1**6*m2**9*m3sq*B0fin(0,0,m2) + 84*m1**4*m2**11*m3sq*B0fin(0,0,m2) - 4*m1sq*m2**13*m3sq*B0fin(0,0,m2) - 16*m2**15*m3sq*B0fin(0,0,m2) - 8*m1**14*m2**4*B0fin(0,0,m2sq) + 28*m1**12*m2**6*B0fin(0,0,m2sq) - 22*m1**10*m2**8*B0fin(0,0,m2sq) + 4*m1**8*m2**10*B0fin(0,0,m2sq) - 22*m1**6*m2**12*B0fin(0,0,m2sq) + 28*m1**4*m2**14*B0fin(0,0,m2sq) - 8*m1sq*m2**16*B0fin(0,0,m2sq) - 51*m1**10*m2**4*m3**4*B0fin(0,0,m2sq) + 114*m1**8*m2**6*m3**4*B0fin(0,0,m2sq) - 87*m1**6*m2**8*m3**4*B0fin(0,0,m2sq) + 24*m1sq*m2**12*m3**4*B0fin(0,0,m2sq) - 30*m2**14*m3**4*B0fin(0,0,m2sq) - 18*m1**12*m2sq*m3**4*B0fin(0,0,m2sq) + 46*m1**8*m2**4*m3**6*B0fin(0,0,m2sq) - 30*m1**6*m2**6*m3**6*B0fin(0,0,m2sq) + 45*m1**4*m2**8*m3**6*B0fin(0,0,m2sq) - 17*m1sq*m2**10*m3**6*B0fin(0,0,m2sq) + 44*m2**12*m3**6*B0fin(0,0,m2sq) + 32*m1**10*m2sq*m3**6*B0fin(0,0,m2sq) - 22*m1**6*m2**4*m3**8*B0fin(0,0,m2sq) - 12*m1**4*m2**6*m3**8*B0fin(0,0,m2sq) - 5*m1sq*m2**8*m3**8*B0fin(0,0,m2sq) - 32*m2**10*m3**8*B0fin(0,0,m2sq) - 28*m1**8*m2sq*m3**8*B0fin(0,0,m2sq) + 3*m1**4*m2**4*m3**10*B0fin(0,0,m2sq) + 3*m1sq*m2**6*m3**10*B0fin(0,0,m2sq) + 12*m2**8*m3**10*B0fin(0,0,m2sq) + 12*m1**6*m2sq*m3**10*B0fin(0,0,m2sq) + m1sq*m2**4*m3**12*B0fin(0,0,m2sq) - 2*m2**6*m3**12*B0fin(0,0,m2sq) - 2*m1**4*m2sq*m3**12*B0fin(0,0,m2sq) + 31*m1**12*m2**4*m3sq*B0fin(0,0,m2sq) - 101*m1**10*m2**6*m3sq*B0fin(0,0,m2sq) + 57*m1**8*m2**8*m3sq*B0fin(0,0,m2sq) + 45*m1**6*m2**10*m3sq*B0fin(0,0,m2sq) - 46*m1**4*m2**12*m3sq*B0fin(0,0,m2sq) + 2*m1sq*m2**14*m3sq*B0fin(0,0,m2sq) + 8*m2**16*m3sq*B0fin(0,0,m2sq) + 4*m1**14*m2sq*m3sq*B0fin(0,0,m2sq) + 8*m1**14*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 16*m1**12*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 15*m1**10*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 15*m1**8*m2**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 13*m1**6*m2**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 9*m1**4*m2**14*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1sq*m2**16*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 193*m1**10*m2**4*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 133*m1**8*m2**6*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 3*m1**6*m2**8*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 40*m1**4*m2**10*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 111*m1sq*m2**12*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 10*m1**12*m2sq*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 222*m1**8*m2**4*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 54*m1**6*m2**6*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 12*m1**4*m2**8*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 172*m1sq*m2**10*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 32*m1**10*m2sq*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 120*m1**6*m2**4*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 15*m1**4*m2**6*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 126*m1sq*m2**8*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 36*m1**8*m2sq*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 30*m1**4*m2**4*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 44*m1sq*m2**6*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 16*m1**6*m2sq*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 7*m1sq*m2**4*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1**4*m2sq*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 76*m1**12*m2**4*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 108*m1**10*m2**6*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 52*m1**8*m2**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 34*m1**6*m2**10*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 18*m1**4*m2**12*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 32*m1sq*m2**14*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**14*m2**4*B0fin(0,0,m2sq)**2 + 17*m1**12*m2**6*B0fin(0,0,m2sq)**2 - 28*m1**10*m2**8*B0fin(0,0,m2sq)**2 + 22*m1**8*m2**10*B0fin(0,0,m2sq)**2 - 8*m1**6*m2**12*B0fin(0,0,m2sq)**2 + m1**4*m2**14*B0fin(0,0,m2sq)**2 - 60*m1**10*m2**4*m3**4*B0fin(0,0,m2sq)**2 + 47*m1**8*m2**6*m3**4*B0fin(0,0,m2sq)**2 - 24*m1**6*m2**8*m3**4*B0fin(0,0,m2sq)**2 - 12*m1**4*m2**10*m3**4*B0fin(0,0,m2sq)**2 + m2**14*m3**4*B0fin(0,0,m2sq)**2 + 80*m1**8*m2**4*m3**6*B0fin(0,0,m2sq)**2 + 12*m1**6*m2**6*m3**6*B0fin(0,0,m2sq)**2 + 24*m1**4*m2**8*m3**6*B0fin(0,0,m2sq)**2 + 8*m1sq*m2**10*m3**6*B0fin(0,0,m2sq)**2 - 4*m2**12*m3**6*B0fin(0,0,m2sq)**2 - 60*m1**6*m2**4*m3**8*B0fin(0,0,m2sq)**2 - 33*m1**4*m2**6*m3**8*B0fin(0,0,m2sq)**2 - 12*m1sq*m2**8*m3**8*B0fin(0,0,m2sq)**2 + 6*m2**10*m3**8*B0fin(0,0,m2sq)**2 + 24*m1**4*m2**4*m3**10*B0fin(0,0,m2sq)**2 + 10*m1sq*m2**6*m3**10*B0fin(0,0,m2sq)**2 - 4*m2**8*m3**10*B0fin(0,0,m2sq)**2 - 4*m1sq*m2**4*m3**12*B0fin(0,0,m2sq)**2 + m2**6*m3**12*B0fin(0,0,m2sq)**2 + 24*m1**12*m2**4*m3sq*B0fin(0,0,m2sq)**2 - 54*m1**10*m2**6*m3sq*B0fin(0,0,m2sq)**2 + 44*m1**8*m2**8*m3sq*B0fin(0,0,m2sq)**2 - 24*m1**6*m2**10*m3sq*B0fin(0,0,m2sq)**2 + 12*m1**4*m2**12*m3sq*B0fin(0,0,m2sq)**2 - 2*m1sq*m2**14*m3sq*B0fin(0,0,m2sq)**2 + 50*m1**12*m2**4*m3*B0fin(0,0,m3) - 68*m1**10*m2**6*m3*B0fin(0,0,m3) - 58*m1**8*m2**8*m3*B0fin(0,0,m3) + 210*m1**6*m2**10*m3*B0fin(0,0,m3) - 184*m1**4*m2**12*m3*B0fin(0,0,m3) + 66*m1sq*m2**14*m3*B0fin(0,0,m3) - 8*m2**16*m3*B0fin(0,0,m3) - 8*m1**14*m2sq*m3*B0fin(0,0,m3) - 184*m1**10*m2**4*m3**3*B0fin(0,0,m3) + 300*m1**8*m2**6*m3**3*B0fin(0,0,m3) - 400*m1**6*m2**8*m3**3*B0fin(0,0,m3) + 436*m1**4*m2**10*m3**3*B0fin(0,0,m3) - 216*m1sq*m2**12*m3**3*B0fin(0,0,m3) + 32*m2**14*m3**3*B0fin(0,0,m3) + 32*m1**12*m2sq*m3**3*B0fin(0,0,m3) + 144*m1**8*m2**4*m3**5*B0fin(0,0,m3) + 6*m1**6*m2**6*m3**5*B0fin(0,0,m3) - 346*m1**4*m2**8*m3**5*B0fin(0,0,m3) + 276*m1sq*m2**10*m3**5*B0fin(0,0,m3) - 48*m2**12*m3**5*B0fin(0,0,m3) - 32*m1**10*m2sq*m3**5*B0fin(0,0,m3) - 32*m1**6*m2**4*m3**7*B0fin(0,0,m3) + 168*m1**4*m2**6*m3**7*B0fin(0,0,m3) - 168*m1sq*m2**8*m3**7*B0fin(0,0,m3) + 32*m2**10*m3**7*B0fin(0,0,m3) - 42*m1**4*m2**4*m3**9*B0fin(0,0,m3) + 42*m1sq*m2**6*m3**9*B0fin(0,0,m3) - 8*m2**8*m3**9*B0fin(0,0,m3) + 8*m1**6*m2sq*m3**9*B0fin(0,0,m3) - 4*m1**14*m2**4*B0fin(0,0,m3sq) + 33*m1**12*m2**6*B0fin(0,0,m3sq) - 96*m1**10*m2**8*B0fin(0,0,m3sq) + 134*m1**8*m2**10*B0fin(0,0,m3sq) - 96*m1**6*m2**12*B0fin(0,0,m3sq) + 33*m1**4*m2**14*B0fin(0,0,m3sq) - 4*m1sq*m2**16*B0fin(0,0,m3sq) + 121*m1**10*m2**4*m3**4*B0fin(0,0,m3sq) - 221*m1**8*m2**6*m3**4*B0fin(0,0,m3sq) + 300*m1**6*m2**8*m3**4*B0fin(0,0,m3sq) - 331*m1**4*m2**10*m3**4*B0fin(0,0,m3sq) + 179*m1sq*m2**12*m3**4*B0fin(0,0,m3sq) - 28*m2**14*m3**4*B0fin(0,0,m3sq) - 20*m1**12*m2sq*m3**4*B0fin(0,0,m3sq) - 51*m1**8*m2**4*m3**6*B0fin(0,0,m3sq) - 36*m1**6*m2**6*m3**6*B0fin(0,0,m3sq) + 240*m1**4*m2**8*m3**6*B0fin(0,0,m3sq) - 201*m1sq*m2**10*m3**6*B0fin(0,0,m3sq) + 36*m2**12*m3**6*B0fin(0,0,m3sq) + 12*m1**10*m2sq*m3**6*B0fin(0,0,m3sq) - m1**6*m2**4*m3**8*B0fin(0,0,m3sq) - 84*m1**4*m2**6*m3**8*B0fin(0,0,m3sq) + 101*m1sq*m2**8*m3**8*B0fin(0,0,m3sq) - 20*m2**10*m3**8*B0fin(0,0,m3sq) + 4*m1**8*m2sq*m3**8*B0fin(0,0,m3sq) + 21*m1**4*m2**4*m3**10*B0fin(0,0,m3sq) - 21*m1sq*m2**6*m3**10*B0fin(0,0,m3sq) + 4*m2**8*m3**10*B0fin(0,0,m3sq) - 4*m1**6*m2sq*m3**10*B0fin(0,0,m3sq) - 54*m1**12*m2**4*m3sq*B0fin(0,0,m3sq) + 105*m1**10*m2**6*m3sq*B0fin(0,0,m3sq) - 59*m1**8*m2**8*m3sq*B0fin(0,0,m3sq) - 59*m1**6*m2**10*m3sq*B0fin(0,0,m3sq) + 105*m1**4*m2**12*m3sq*B0fin(0,0,m3sq) - 54*m1sq*m2**14*m3sq*B0fin(0,0,m3sq) + 8*m2**16*m3sq*B0fin(0,0,m3sq) + 8*m1**14*m2sq*m3sq*B0fin(0,0,m3sq) - 4*m1**14*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 29*m1**12*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 67*m1**10*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 67*m1**8*m2**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 29*m1**6*m2**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**4*m2**14*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 135*m1**10*m2**4*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 112*m1**8*m2**6*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 112*m1**6*m2**8*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 135*m1**4*m2**10*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 28*m1sq*m2**12*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 28*m1**12*m2sq*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 187*m1**8*m2**4*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 187*m1**4*m2**8*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 44*m1sq*m2**10*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 44*m1**10*m2sq*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 105*m1**6*m2**4*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 105*m1**4*m2**6*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 20*m1sq*m2**8*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 20*m1**8*m2sq*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 25*m1**12*m2**4*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 38*m1**10*m2**6*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 38*m1**6*m2**10*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 25*m1**4*m2**12*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m2**14*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1**14*m2sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**14*m2**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 29*m1**12*m2**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 67*m1**10*m2**8*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 67*m1**8*m2**10*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 29*m1**6*m2**12*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 4*m1**4*m2**14*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 26*m1**10*m2**4*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 26*m1**8*m2**6*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 12*m1**6*m2**8*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 37*m1**4*m2**10*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 89*m1sq*m2**12*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 20*m2**14*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 8*m1**12*m2sq*m3**4*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 82*m1**8*m2**4*m3**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 69*m1**6*m2**6*m3**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 18*m1**4*m2**8*m3**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 145*m1sq*m2**10*m3**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 36*m2**12*m3**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 24*m1**10*m2sq*m3**6*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 98*m1**6*m2**4*m3**8*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 21*m1**4*m2**6*m3**8*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 123*m1sq*m2**8*m3**8*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 28*m2**10*m3**8*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 24*m1**8*m2sq*m3**8*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 42*m1**4*m2**4*m3**10*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 42*m1sq*m2**6*m3**10*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 8*m2**8*m3**10*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 8*m1**6*m2sq*m3**10*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 4*m1**12*m2**4*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 25*m1**10*m2**6*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 46*m1**8*m2**8*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 50*m1**6*m2**10*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 46*m1**4*m2**12*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 25*m1sq*m2**14*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 4*m2**16*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 2*m1**12*m2**4*T134fin(m2,m1,m1) + 17*m1**10*m2**6*T134fin(m2,m1,m1) - 52*m1**8*m2**8*T134fin(m2,m1,m1) + 78*m1**6*m2**10*T134fin(m2,m1,m1) - 62*m1**4*m2**12*T134fin(m2,m1,m1) + 25*m1sq*m2**14*T134fin(m2,m1,m1) - 4*m2**16*T134fin(m2,m1,m1) - 2*m1**12*m3**4*T134fin(m2,m1,m1) + 24*m1**8*m2**4*m3**4*T134fin(m2,m1,m1) + 36*m1**6*m2**6*m3**4*T134fin(m2,m1,m1) - 118*m1**4*m2**8*m3**4*T134fin(m2,m1,m1) + 167*m1sq*m2**10*m3**4*T134fin(m2,m1,m1) - 60*m2**12*m3**4*T134fin(m2,m1,m1) + m1**10*m2sq*m3**4*T134fin(m2,m1,m1) + 8*m1**10*m3**6*T134fin(m2,m1,m1) - 40*m1**6*m2**4*m3**6*T134fin(m2,m1,m1) - 148*m1sq*m2**8*m3**6*T134fin(m2,m1,m1) + 80*m2**10*m3**6*T134fin(m2,m1,m1) - 20*m1**8*m2sq*m3**6*T134fin(m2,m1,m1) - 12*m1**8*m3**8*T134fin(m2,m1,m1) + 54*m1**4*m2**4*m3**8*T134fin(m2,m1,m1) + 87*m1sq*m2**6*m3**8*T134fin(m2,m1,m1) - 60*m2**8*m3**8*T134fin(m2,m1,m1) + 30*m1**6*m2sq*m3**8*T134fin(m2,m1,m1) + 8*m1**6*m3**10*T134fin(m2,m1,m1) - 38*m1sq*m2**4*m3**10*T134fin(m2,m1,m1) + 24*m2**6*m3**10*T134fin(m2,m1,m1) - 24*m1**4*m2sq*m3**10*T134fin(m2,m1,m1) - 2*m1**4*m3**12*T134fin(m2,m1,m1) - 4*m2**4*m3**12*T134fin(m2,m1,m1) + 9*m1sq*m2sq*m3**12*T134fin(m2,m1,m1) - 26*m1**10*m2**4*m3sq*T134fin(m2,m1,m1) + 60*m1**8*m2**6*m3sq*T134fin(m2,m1,m1) - 112*m1**6*m2**8*m3sq*T134fin(m2,m1,m1) + 152*m1**4*m2**10*m3sq*T134fin(m2,m1,m1) - 102*m1sq*m2**12*m3sq*T134fin(m2,m1,m1) + 24*m2**14*m3sq*T134fin(m2,m1,m1) + 4*m1**12*m2sq*m3sq*T134fin(m2,m1,m1) + 17*m1**12*m2**4*T134fin(m2,m2,m1) - 28*m1**10*m2**6*T134fin(m2,m2,m1) + 22*m1**8*m2**8*T134fin(m2,m2,m1) - 8*m1**6*m2**10*T134fin(m2,m2,m1) + m1**4*m2**12*T134fin(m2,m2,m1) - 4*m1**14*m2sq*T134fin(m2,m2,m1) + 47*m1**8*m2**4*m3**4*T134fin(m2,m2,m1) - 24*m1**6*m2**6*m3**4*T134fin(m2,m2,m1) - 12*m1**4*m2**8*m3**4*T134fin(m2,m2,m1) + m2**12*m3**4*T134fin(m2,m2,m1) - 60*m1**10*m2sq*m3**4*T134fin(m2,m2,m1) + 12*m1**6*m2**4*m3**6*T134fin(m2,m2,m1) + 24*m1**4*m2**6*m3**6*T134fin(m2,m2,m1) + 8*m1sq*m2**8*m3**6*T134fin(m2,m2,m1) - 4*m2**10*m3**6*T134fin(m2,m2,m1) + 80*m1**8*m2sq*m3**6*T134fin(m2,m2,m1) - 33*m1**4*m2**4*m3**8*T134fin(m2,m2,m1) - 12*m1sq*m2**6*m3**8*T134fin(m2,m2,m1) + 6*m2**8*m3**8*T134fin(m2,m2,m1) - 60*m1**6*m2sq*m3**8*T134fin(m2,m2,m1) + 10*m1sq*m2**4*m3**10*T134fin(m2,m2,m1) - 4*m2**6*m3**10*T134fin(m2,m2,m1) + 24*m1**4*m2sq*m3**10*T134fin(m2,m2,m1) + m2**4*m3**12*T134fin(m2,m2,m1) - 4*m1sq*m2sq*m3**12*T134fin(m2,m2,m1) - 54*m1**10*m2**4*m3sq*T134fin(m2,m2,m1) + 44*m1**8*m2**6*m3sq*T134fin(m2,m2,m1) - 24*m1**6*m2**8*m3sq*T134fin(m2,m2,m1) + 12*m1**4*m2**10*m3sq*T134fin(m2,m2,m1) - 2*m1sq*m2**12*m3sq*T134fin(m2,m2,m1) + 24*m1**12*m2sq*m3sq*T134fin(m2,m2,m1) - 21*m1**12*m2**4*T134fin(m3,m2,m1) + 13*m1**10*m2**6*T134fin(m3,m2,m1) + 46*m1**8*m2**8*T134fin(m3,m2,m1) - 88*m1**6*m2**10*T134fin(m3,m2,m1) + 71*m1**4*m2**12*T134fin(m3,m2,m1) - 29*m1sq*m2**14*T134fin(m3,m2,m1) + 4*m2**16*T134fin(m3,m2,m1) + 4*m1**14*m2sq*T134fin(m3,m2,m1) - 105*m1**8*m2**4*m3**4*T134fin(m3,m2,m1) + 69*m1**6*m2**6*m3**4*T134fin(m3,m2,m1) + 169*m1**4*m2**8*m3**4*T134fin(m3,m2,m1) - 189*m1sq*m2**10*m3**4*T134fin(m3,m2,m1) + 36*m2**12*m3**4*T134fin(m3,m2,m1) + 20*m1**10*m2sq*m3**4*T134fin(m3,m2,m1) + 7*m1**6*m2**4*m3**6*T134fin(m3,m2,m1) - 126*m1**4*m2**6*m3**6*T134fin(m3,m2,m1) + 143*m1sq*m2**8*m3**6*T134fin(m3,m2,m1) - 28*m2**10*m3**6*T134fin(m3,m2,m1) + 4*m1**8*m2sq*m3**6*T134fin(m3,m2,m1) + 42*m1**4*m2**4*m3**8*T134fin(m3,m2,m1) - 42*m1sq*m2**6*m3**8*T134fin(m3,m2,m1) + 8*m2**8*m3**8*T134fin(m3,m2,m1) - 8*m1**6*m2sq*m3**8*T134fin(m3,m2,m1) + 109*m1**10*m2**4*m3sq*T134fin(m3,m2,m1) - 138*m1**8*m2**6*m3sq*T134fin(m3,m2,m1) + 124*m1**6*m2**8*m3sq*T134fin(m3,m2,m1) - 172*m1**4*m2**10*m3sq*T134fin(m3,m2,m1) + 117*m1sq*m2**12*m3sq*T134fin(m3,m2,m1) - 20*m2**14*m3sq*T134fin(m3,m2,m1) - 20*m1**12*m2sq*m3sq*T134fin(m3,m2,m1))/(m2**2*(-4*m1**6 - 21*m1sq*m2**4 + 4*m2**6 + 21*m1**4*m2sq)*(m1 + m2 - m3)**2*(m1 - m2 + m3)**2*(-m1 + m2 + m3)**2*(m1 + m2 + m3)**2*(m1sq - m3sq)**2*(m2sq - m3sq)**2)
		def eval_90():
			return (-80*m1**11*m3**4 + 12*m1**12*m3**4 + 64*m1**9*m3**6 - 12*m1**10*m3**6 - 16*m1**7*m3**8 + 4*m1**8*m3**8 + 32*m1**13*m3sq - 4*m1**14*m3sq - 40*m1**10*m3**4*m4 + 32*m1**8*m3**6*m4 - 8*m1**6*m3**8*m4 + 16*m1**12*m3sq*m4 - 32*m1**12*m4**3 - 31*m1**8*m3**4*m4**3 - 11*m1**6*m3**6*m4**3 + 7*m1**4*m3**8*m4**3 + 67*m1**10*m3sq*m4**3 + 154*m1**11*m4**4 - 28*m1**12*m4**4 - 120*m1**10*m3*m4**4 - 104*m1**8*m3**3*m4**4 + 46*m1**7*m3**4*m4**4 - 3*m1**8*m3**4*m4**4 + 72*m1**5*m3**6*m4**4 + 15*m1**6*m3**6*m4**4 - 52*m1**3*m3**8*m4**4 + 15*m1**4*m3**8*m4**4 + 4*m1**9*m3sq*m4**4 + m1**10*m3sq*m4**4 + 77*m1**10*m4**5 + 47*m1**6*m3**4*m4**5 + 36*m1**4*m3**6*m4**5 - 14*m1sq*m3**8*m4**5 - 146*m1**8*m3sq*m4**5 - 294*m1**9*m4**6 + 59*m1**10*m4**6 + 297*m1**8*m3*m4**6 + 193*m1**6*m3**3*m4**6 - 166*m1**5*m3**4*m4**6 + 62*m1**3*m3**6*m4**6 - 60*m1**4*m3**6*m4**6 + 15*m1*m3**8*m4**6 + 5*m1sq*m3**8*m4**6 - 107*m1**7*m3sq*m4**6 - 4*m1**8*m3sq*m4**6 - 48*m1**8*m4**7 - 92*m1**4*m3**4*m4**7 + 13*m1sq*m3**6*m4**7 + 6*m3**8*m4**7 + 121*m1**6*m3sq*m4**7 + 291*m1**7*m4**8 - 45*m1**8*m4**8 - 335*m1**6*m3*m4**8 - 142*m1**4*m3**3*m4**8 + 32*m1**3*m3**4*m4**8 + 48*m1**4*m3**4*m4**8 - 38*m1*m3**6*m4**8 - 3*m1sq*m3**6*m4**8 - 4*m3**8*m4**8 + 192*m1**5*m3sq*m4**8 + 4*m1**6*m3sq*m4**8 - 7*m1**6*m4**9 + 25*m1sq*m3**4*m4**9 - 16*m3**6*m4**9 - 2*m1**4*m3sq*m4**9 - 160*m1**5*m4**10 + m1**6*m4**10 + 183*m1**4*m3*m4**10 + 41*m1sq*m3**3*m4**10 + 23*m1*m3**4*m4**10 + 3*m1sq*m3**4*m4**10 + 12*m3**6*m4**10 - 87*m1**3*m3sq*m4**10 - 16*m1**4*m3sq*m4**10 + 10*m1**4*m4**11 + 10*m3**4*m4**11 - 20*m1sq*m3sq*m4**11 + 45*m1**3*m4**12 + 13*m1**4*m4**12 - 45*m1sq*m3*m4**12 - 4*m3**3*m4**12 - 12*m3**4*m4**12 + 4*m1*m3sq*m4**12 - m1sq*m3sq*m4**12 - 4*m1*m4**14 - 4*m1sq*m4**14 + 4*m3*m4**14 + 4*m3sq*m4**14 - 32*m1**13*m4sq + 4*m1**14*m4sq + 16*m1**12*m3*m4sq + 16*m1**10*m3**3*m4sq + 226*m1**9*m3**4*m4sq - 48*m1**10*m3**4*m4sq - 214*m1**7*m3**6*m4sq + 48*m1**8*m3**6*m4sq + 62*m1**5*m3**8*m4sq - 20*m1**6*m3**8*m4sq - 74*m1**11*m3sq*m4sq + 16*m1**12*m3sq*m4sq + m1sq*(m3sq - m4sq)*(28*m1**12 - 4*m1**10*(17*m3sq + 31*m4sq) + m4**6*(7*m3**6 - 8*m3sq*m4**4 + 4*m4**6 - 7*m3**4*m4sq) - m1sq*m4**4*(26*m3**6 - 68*m3sq*m4**4 + 37*m4**6 + 18*m3**4*m4sq) - m1**6*(12*m3**6 + 102*m3sq*m4**4 + 209*m4**6 + 172*m3**4*m4sq) + 2*m1**4*(50*m3**4*m4**4 - 39*m3sq*m4**6 + 59*m4**8 + 20*m3**6*m4sq) + 4*m1**8*(13*m3**4 + 55*m4**4 + 56*m3sq*m4sq))*B0del(0,0,m1sq) + m3sq*(m1sq - 4*m4sq)*(m1sq + m3sq - m4sq)*m4sq*(4*m1**4 + m4**4 - 5*m1sq*m4sq)**2*B0del(0,0,m3sq) - 30*m1**12*m4**4*B0del(0,0,m4sq) - 58*m1**8*m3**4*m4**4*B0del(0,0,m4sq) + 16*m1**6*m3**6*m4**4*B0del(0,0,m4sq) - 4*m1**4*m3**8*m4**4*B0del(0,0,m4sq) + 76*m1**10*m3sq*m4**4*B0del(0,0,m4sq) + 62*m1**10*m4**6*B0del(0,0,m4sq) + 59*m1**6*m3**4*m4**6*B0del(0,0,m4sq) + 30*m1**4*m3**6*m4**6*B0del(0,0,m4sq) - m1sq*m3**8*m4**6*B0del(0,0,m4sq) - 150*m1**8*m3sq*m4**6*B0del(0,0,m4sq) - 11*m1**8*m4**8*B0del(0,0,m4sq) - 98*m1**4*m3**4*m4**8*B0del(0,0,m4sq) - 14*m1sq*m3**6*m4**8*B0del(0,0,m4sq) + 2*m3**8*m4**8*B0del(0,0,m4sq) + 121*m1**6*m3sq*m4**8*B0del(0,0,m4sq) - 48*m1**6*m4**10*B0del(0,0,m4sq) + 52*m1sq*m3**4*m4**10*B0del(0,0,m4sq) - 4*m3**6*m4**10*B0del(0,0,m4sq) + 31*m1**4*m4**12*B0del(0,0,m4sq) - 2*m3**4*m4**12*B0del(0,0,m4sq) - 29*m1sq*m3sq*m4**12*B0del(0,0,m4sq) - 4*m1sq*m4**14*B0del(0,0,m4sq) + 4*m3sq*m4**14*B0del(0,0,m4sq) - 34*m1**10*m3**4*m4sq*B0del(0,0,m4sq) + 26*m1**8*m3**6*m4sq*B0del(0,0,m4sq) - 6*m1**6*m3**8*m4sq*B0del(0,0,m4sq) + 14*m1**12*m3sq*m4sq*B0del(0,0,m4sq) - 112*m1**11*m3**4*B0fin(0,0,m1) + 80*m1**9*m3**6*B0fin(0,0,m1) - 16*m1**7*m3**8*B0fin(0,0,m1) + 48*m1**13*m3sq*B0fin(0,0,m1) + 188*m1**11*m4**4*B0fin(0,0,m1) + 188*m1**7*m3**4*m4**4*B0fin(0,0,m1) + 96*m1**5*m3**6*m4**4*B0fin(0,0,m1) - 24*m1**9*m3sq*m4**4*B0fin(0,0,m1) - 292*m1**9*m4**6*B0fin(0,0,m1) - 380*m1**5*m3**4*m4**6*B0fin(0,0,m1) - 92*m1**3*m3**6*m4**6*B0fin(0,0,m1) - 2*m1*m3**8*m4**6*B0fin(0,0,m1) - 214*m1**7*m3sq*m4**6*B0fin(0,0,m1) + 254*m1**7*m4**8*B0fin(0,0,m1) + 280*m1**3*m3**4*m4**8*B0fin(0,0,m1) + 20*m1*m3**6*m4**8*B0fin(0,0,m1) + 400*m1**5*m3sq*m4**8*B0fin(0,0,m1) - 152*m1**5*m4**10*B0fin(0,0,m1) - 50*m1*m3**4*m4**10*B0fin(0,0,m1) - 246*m1**3*m3sq*m4**10*B0fin(0,0,m1) + 58*m1**3*m4**12*B0fin(0,0,m1) + 40*m1*m3sq*m4**12*B0fin(0,0,m1) - 8*m1*m4**14*B0fin(0,0,m1) - 48*m1**13*m4sq*B0fin(0,0,m1) + 236*m1**9*m3**4*m4sq*B0fin(0,0,m1) - 212*m1**7*m3**6*m4sq*B0fin(0,0,m1) + 36*m1**5*m3**8*m4sq*B0fin(0,0,m1) - 76*m1**11*m3sq*m4sq*B0fin(0,0,m1) + 44*m1**12*m3**4*B0fin(0,0,m1sq) - 28*m1**10*m3**6*B0fin(0,0,m1sq) + 4*m1**8*m3**8*B0fin(0,0,m1sq) - 20*m1**14*m3sq*B0fin(0,0,m1sq) - 68*m1**12*m4**4*B0fin(0,0,m1sq) - 67*m1**8*m3**4*m4**4*B0fin(0,0,m1sq) - 87*m1**6*m3**6*m4**4*B0fin(0,0,m1sq) - 5*m1**4*m3**8*m4**4*B0fin(0,0,m1sq) + 3*m1**10*m3sq*m4**4*B0fin(0,0,m1sq) + 101*m1**10*m4**6*B0fin(0,0,m1sq) + 190*m1**6*m3**4*m4**6*B0fin(0,0,m1sq) + 100*m1**4*m3**6*m4**6*B0fin(0,0,m1sq) - 12*m1sq*m3**8*m4**6*B0fin(0,0,m1sq) + 111*m1**8*m3sq*m4**6*B0fin(0,0,m1sq) - 112*m1**8*m4**8*B0fin(0,0,m1sq) - 182*m1**4*m3**4*m4**8*B0fin(0,0,m1sq) + 17*m1sq*m3**6*m4**8*B0fin(0,0,m1sq) + 4*m3**8*m4**8*B0fin(0,0,m1sq) - 204*m1**6*m3sq*m4**8*B0fin(0,0,m1sq) + 101*m1**6*m4**10*B0fin(0,0,m1sq) - 2*m1sq*m3**4*m4**10*B0fin(0,0,m1sq) - 12*m3**6*m4**10*B0fin(0,0,m1sq) + 137*m1**4*m3sq*m4**10*B0fin(0,0,m1sq) - 50*m1**4*m4**12*B0fin(0,0,m1sq) + 12*m3**4*m4**12*B0fin(0,0,m1sq) - 11*m1sq*m3sq*m4**12*B0fin(0,0,m1sq) + 8*m1sq*m4**14*B0fin(0,0,m1sq) - 4*m3sq*m4**14*B0fin(0,0,m1sq) + 20*m1**14*m4sq*B0fin(0,0,m1sq) - 76*m1**10*m3**4*m4sq*B0fin(0,0,m1sq) + 64*m1**8*m3**6*m4sq*B0fin(0,0,m1sq) + 24*m1**12*m3sq*m4sq*B0fin(0,0,m1sq) - 34*m1**12*m3**4*B0fin(0,0,m1sq)**2 + 26*m1**10*m3**6*B0fin(0,0,m1sq)**2 - 6*m1**8*m3**8*B0fin(0,0,m1sq)**2 + 14*m1**14*m3sq*B0fin(0,0,m1sq)**2 + 93*m1**12*m4**4*B0fin(0,0,m1sq)**2 + 108*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)**2 - 42*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)**2 + 5*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)**2 + 44*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)**2 - 181*m1**10*m4**6*B0fin(0,0,m1sq)**2 - 38*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)**2 - 11*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)**2 - 152*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)**2 + 143*m1**8*m4**8*B0fin(0,0,m1sq)**2 + 27*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)**2 + 12*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)**2 + 102*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)**2 - 45*m1**6*m4**10*B0fin(0,0,m1sq)**2 - 12*m1sq*m3**4*m4**10*B0fin(0,0,m1sq)**2 - 25*m1**4*m3sq*m4**10*B0fin(0,0,m1sq)**2 + 4*m1**4*m4**12*B0fin(0,0,m1sq)**2 + 4*m1sq*m3sq*m4**12*B0fin(0,0,m1sq)**2 - 14*m1**14*m4sq*B0fin(0,0,m1sq)**2 + 111*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)**2 - 93*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)**2 + 23*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)**2 - 59*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)**2 - 240*m1**10*m3*m4**4*B0fin(0,0,m3) - 208*m1**8*m3**3*m4**4*B0fin(0,0,m3) + 594*m1**8*m3*m4**6*B0fin(0,0,m3) + 386*m1**6*m3**3*m4**6*B0fin(0,0,m3) - 670*m1**6*m3*m4**8*B0fin(0,0,m3) - 284*m1**4*m3**3*m4**8*B0fin(0,0,m3) + 366*m1**4*m3*m4**10*B0fin(0,0,m3) + 82*m1sq*m3**3*m4**10*B0fin(0,0,m3) - 90*m1sq*m3*m4**12*B0fin(0,0,m3) - 8*m3**3*m4**12*B0fin(0,0,m3) + 8*m3*m4**14*B0fin(0,0,m3) + 32*m1**12*m3*m4sq*B0fin(0,0,m3) + 32*m1**10*m3**3*m4sq*B0fin(0,0,m3) + 104*m1**8*m3**4*m4**4*B0fin(0,0,m3sq) + 120*m1**10*m3sq*m4**4*B0fin(0,0,m3sq) - 193*m1**6*m3**4*m4**6*B0fin(0,0,m3sq) - 297*m1**8*m3sq*m4**6*B0fin(0,0,m3sq) + 142*m1**4*m3**4*m4**8*B0fin(0,0,m3sq) + 335*m1**6*m3sq*m4**8*B0fin(0,0,m3sq) - 41*m1sq*m3**4*m4**10*B0fin(0,0,m3sq) - 183*m1**4*m3sq*m4**10*B0fin(0,0,m3sq) + 4*m3**4*m4**12*B0fin(0,0,m3sq) + 45*m1sq*m3sq*m4**12*B0fin(0,0,m3sq) - 4*m3sq*m4**14*B0fin(0,0,m3sq) - 16*m1**10*m3**4*m4sq*B0fin(0,0,m3sq) - 16*m1**12*m3sq*m4sq*B0fin(0,0,m3sq) - 208*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 386*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 284*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 82*m1**4*m3sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m1sq*m3sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 56*m1**10*m3**4*m4*B0fin(0,0,m4) + 40*m1**8*m3**6*m4*B0fin(0,0,m4) - 8*m1**6*m3**8*m4*B0fin(0,0,m4) + 24*m1**12*m3sq*m4*B0fin(0,0,m4) - 56*m1**12*m4**3*B0fin(0,0,m4) - 170*m1**8*m3**4*m4**3*B0fin(0,0,m4) + 86*m1**6*m3**6*m4**3*B0fin(0,0,m4) - 30*m1**4*m3**8*m4**3*B0fin(0,0,m4) + 170*m1**10*m3sq*m4**3*B0fin(0,0,m4) + 94*m1**10*m4**5*B0fin(0,0,m4) + 142*m1**6*m3**4*m4**5*B0fin(0,0,m4) + 48*m1**4*m3**6*m4**5*B0fin(0,0,m4) + 24*m1sq*m3**8*m4**5*B0fin(0,0,m4) - 308*m1**8*m3sq*m4**5*B0fin(0,0,m4) + 52*m1**8*m4**7*B0fin(0,0,m4) - 208*m1**4*m3**4*m4**7*B0fin(0,0,m4) - 82*m1sq*m3**6*m4**7*B0fin(0,0,m4) - 4*m3**8*m4**7*B0fin(0,0,m4) + 242*m1**6*m3sq*m4**7*B0fin(0,0,m4) - 178*m1**6*m4**9*B0fin(0,0,m4) + 158*m1sq*m3**4*m4**9*B0fin(0,0,m4) + 16*m3**6*m4**9*B0fin(0,0,m4) + 4*m1**4*m3sq*m4**9*B0fin(0,0,m4) + 104*m1**4*m4**11*B0fin(0,0,m4) - 28*m3**4*m4**11*B0fin(0,0,m4) - 76*m1sq*m3sq*m4**11*B0fin(0,0,m4) - 16*m1sq*m4**13*B0fin(0,0,m4) + 16*m3sq*m4**13*B0fin(0,0,m4) + 30*m1**12*m4**4*B0fin(0,0,m4sq) + 61*m1**8*m3**4*m4**4*B0fin(0,0,m4sq) - 19*m1**6*m3**6*m4**4*B0fin(0,0,m4sq) + 5*m1**4*m3**8*m4**4*B0fin(0,0,m4sq) - 77*m1**10*m3sq*m4**4*B0fin(0,0,m4sq) - 61*m1**10*m4**6*B0fin(0,0,m4sq) - 71*m1**6*m3**4*m4**6*B0fin(0,0,m4sq) - 18*m1**4*m3**6*m4**6*B0fin(0,0,m4sq) - 4*m1sq*m3**8*m4**6*B0fin(0,0,m4sq) + 154*m1**8*m3sq*m4**6*B0fin(0,0,m4sq) + 4*m1**8*m4**8*B0fin(0,0,m4sq) + 98*m1**4*m3**4*m4**8*B0fin(0,0,m4sq) + 17*m1sq*m3**6*m4**8*B0fin(0,0,m4sq) + 2*m3**8*m4**8*B0fin(0,0,m4sq) - 121*m1**6*m3sq*m4**8*B0fin(0,0,m4sq) + 63*m1**6*m4**10*B0fin(0,0,m4sq) - 55*m1sq*m3**4*m4**10*B0fin(0,0,m4sq) - 8*m3**6*m4**10*B0fin(0,0,m4sq) - 44*m1**4*m4**12*B0fin(0,0,m4sq) + 14*m3**4*m4**12*B0fin(0,0,m4sq) + 30*m1sq*m3sq*m4**12*B0fin(0,0,m4sq) + 8*m1sq*m4**14*B0fin(0,0,m4sq) - 8*m3sq*m4**14*B0fin(0,0,m4sq) + 34*m1**10*m3**4*m4sq*B0fin(0,0,m4sq) - 26*m1**8*m3**6*m4sq*B0fin(0,0,m4sq) + 6*m1**6*m3**8*m4sq*B0fin(0,0,m4sq) - 14*m1**12*m3sq*m4sq*B0fin(0,0,m4sq) - 62*m1**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 146*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 144*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 36*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 116*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 142*m1**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 102*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 30*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 15*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 189*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 77*m1**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 32*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 38*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 276*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 28*m1**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 23*m1sq*m3**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 137*m1**4*m3sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 29*m1**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1sq*m3sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 50*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 26*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 30*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 104*m1**8*m3**4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 88*m1**10*m3sq*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 193*m1**6*m3**4*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 89*m1**8*m3sq*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 142*m1**4*m3**4*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 51*m1**6*m3sq*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 41*m1sq*m3**4*m4**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 101*m1**4*m3sq*m4**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m3**4*m4**12*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 37*m1sq*m3sq*m4**12*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m3sq*m4**14*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 16*m1**10*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 16*m1**12*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 16*m1**12*m4**4*B0fin(0,0,m4sq)**2 + 96*m1**8*m3**4*m4**4*B0fin(0,0,m4sq)**2 - 64*m1**6*m3**6*m4**4*B0fin(0,0,m4sq)**2 + 16*m1**4*m3**8*m4**4*B0fin(0,0,m4sq)**2 - 64*m1**10*m3sq*m4**4*B0fin(0,0,m4sq)**2 - 40*m1**10*m4**6*B0fin(0,0,m4sq)**2 - 16*m1**6*m3**4*m4**6*B0fin(0,0,m4sq)**2 - 8*m1sq*m3**8*m4**6*B0fin(0,0,m4sq)**2 + 64*m1**8*m3sq*m4**6*B0fin(0,0,m4sq)**2 + 33*m1**8*m4**8*B0fin(0,0,m4sq)**2 + 6*m1**4*m3**4*m4**8*B0fin(0,0,m4sq)**2 + 12*m1sq*m3**6*m4**8*B0fin(0,0,m4sq)**2 + m3**8*m4**8*B0fin(0,0,m4sq)**2 - 52*m1**6*m3sq*m4**8*B0fin(0,0,m4sq)**2 - 10*m1**6*m4**10*B0fin(0,0,m4sq)**2 - 6*m1sq*m3**4*m4**10*B0fin(0,0,m4sq)**2 - 2*m3**6*m4**10*B0fin(0,0,m4sq)**2 + 18*m1**4*m3sq*m4**10*B0fin(0,0,m4sq)**2 + m1**4*m4**12*B0fin(0,0,m4sq)**2 + m3**4*m4**12*B0fin(0,0,m4sq)**2 - 2*m1sq*m3sq*m4**12*B0fin(0,0,m4sq)**2 + 34*m1**10*m3**4*T134fin(m4,m1,m1) - 26*m1**8*m3**6*T134fin(m4,m1,m1) + 6*m1**6*m3**8*T134fin(m4,m1,m1) - 14*m1**12*m3sq*T134fin(m4,m1,m1) - 102*m1**10*m4**4*T134fin(m4,m1,m1) - 27*m1**6*m3**4*m4**4*T134fin(m4,m1,m1) - 30*m1**4*m3**6*m4**4*T134fin(m4,m1,m1) + 17*m1sq*m3**8*m4**4*T134fin(m4,m1,m1) - 82*m1**8*m3sq*m4**4*T134fin(m4,m1,m1) + 242*m1**8*m4**6*T134fin(m4,m1,m1) + 86*m1**4*m3**4*m4**6*T134fin(m4,m1,m1) - 10*m1sq*m3**6*m4**6*T134fin(m4,m1,m1) - 4*m3**8*m4**6*T134fin(m4,m1,m1) + 176*m1**6*m3sq*m4**6*T134fin(m4,m1,m1) - 267*m1**6*m4**8*T134fin(m4,m1,m1) - 40*m1sq*m3**4*m4**8*T134fin(m4,m1,m1) + 8*m3**6*m4**8*T134fin(m4,m1,m1) - 178*m1**4*m3sq*m4**8*T134fin(m4,m1,m1) + 150*m1**4*m4**10*T134fin(m4,m1,m1) + 74*m1sq*m3sq*m4**10*T134fin(m4,m1,m1) - 41*m1sq*m4**12*T134fin(m4,m1,m1) - 8*m3sq*m4**12*T134fin(m4,m1,m1) + 4*m4**14*T134fin(m4,m1,m1) + 14*m1**12*m4sq*T134fin(m4,m1,m1) - 134*m1**8*m3**4*m4sq*T134fin(m4,m1,m1) + 112*m1**6*m3**6*m4sq*T134fin(m4,m1,m1) - 28*m1**4*m3**8*m4sq*T134fin(m4,m1,m1) + 68*m1**10*m3sq*m4sq*T134fin(m4,m1,m1) + 120*m1**10*m4**4*T134fin(m4,m3,m1) + 104*m1**8*m3sq*m4**4*T134fin(m4,m3,m1) - 297*m1**8*m4**6*T134fin(m4,m3,m1) - 193*m1**6*m3sq*m4**6*T134fin(m4,m3,m1) + 335*m1**6*m4**8*T134fin(m4,m3,m1) + 142*m1**4*m3sq*m4**8*T134fin(m4,m3,m1) - 183*m1**4*m4**10*T134fin(m4,m3,m1) - 41*m1sq*m3sq*m4**10*T134fin(m4,m3,m1) + 45*m1sq*m4**12*T134fin(m4,m3,m1) + 4*m3sq*m4**12*T134fin(m4,m3,m1) - 4*m4**14*T134fin(m4,m3,m1) - 16*m1**12*m4sq*T134fin(m4,m3,m1) - 16*m1**10*m3sq*m4sq*T134fin(m4,m3,m1) - 40*m1**10*m4**4*T134fin(m4,m4,m1) - 16*m1**6*m3**4*m4**4*T134fin(m4,m4,m1) - 8*m1sq*m3**8*m4**4*T134fin(m4,m4,m1) + 64*m1**8*m3sq*m4**4*T134fin(m4,m4,m1) + 33*m1**8*m4**6*T134fin(m4,m4,m1) + 6*m1**4*m3**4*m4**6*T134fin(m4,m4,m1) + 12*m1sq*m3**6*m4**6*T134fin(m4,m4,m1) + m3**8*m4**6*T134fin(m4,m4,m1) - 52*m1**6*m3sq*m4**6*T134fin(m4,m4,m1) - 10*m1**6*m4**8*T134fin(m4,m4,m1) - 6*m1sq*m3**4*m4**8*T134fin(m4,m4,m1) - 2*m3**6*m4**8*T134fin(m4,m4,m1) + 18*m1**4*m3sq*m4**8*T134fin(m4,m4,m1) + m1**4*m4**10*T134fin(m4,m4,m1) + m3**4*m4**10*T134fin(m4,m4,m1) - 2*m1sq*m3sq*m4**10*T134fin(m4,m4,m1) + 16*m1**12*m4sq*T134fin(m4,m4,m1) + 96*m1**8*m3**4*m4sq*T134fin(m4,m4,m1) - 64*m1**6*m3**6*m4sq*T134fin(m4,m4,m1) + 16*m1**4*m3**8*m4sq*T134fin(m4,m4,m1) - 64*m1**10*m3sq*m4sq*T134fin(m4,m4,m1))/((m1sq - m3sq)**2*m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(m1sq - 4*m4sq)*(m1sq - m4sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq)))
		def eval_91():
			return (4*m1**14*m4 - 12*m1**12*m4**3 - 60*m1**11*m4**4 + 44*m1**12*m4**4 + 120*m1**9*m4**6 - 104*m1**10*m4**6 + 40*m1**8*m4**7 - 120*m1**7*m4**8 + 140*m1**8*m4**8 - 60*m1**6*m4**9 + 60*m1**5*m4**10 - 120*m1**6*m4**10 + 36*m1**4*m4**11 - 12*m1**3*m4**12 + 68*m1**4*m4**12 - 8*m1sq*m4**13 - 24*m1sq*m4**14 + 4*m4**16 + 12*m1**13*m4sq - 8*m1**14*m4sq + 2*m1**14*m7 - 30*m1**10*m4**4*m7 + 80*m1**8*m4**6*m7 - 90*m1**6*m4**8*m7 + 48*m1**4*m4**10*m7 - 10*m1sq*m4**12*m7 - 15*m1**12*m7**3 - 70*m1**8*m4**4*m7**3 - 18*m1**6*m4**6*m7**3 + 69*m1**4*m4**8*m7**3 - 29*m1sq*m4**10*m7**3 + 63*m1**10*m4sq*m7**3 - 3*m1**11*m7**4 - m1**12*m7**4 + 57*m1**10*m4*m7**4 - 136*m1**8*m4**3*m7**4 + 186*m1**7*m4**4*m7**4 - 33*m1**8*m4**4*m7**4 + 162*m1**6*m4**5*m7**4 - 96*m1**5*m4**6*m7**4 - 36*m1**6*m4**6*m7**4 - 144*m1**4*m4**7*m7**4 + m1**3*m4**8*m7**4 + 133*m1**4*m4**8*m7**4 + 61*m1sq*m4**9*m7**4 - 130*m1sq*m4**10*m7**4 + 45*m4**12*m7**4 - 88*m1**9*m4sq*m7**4 + 22*m1**10*m4sq*m7**4 + 27*m1**10*m7**5 + 174*m1**6*m4**4*m7**5 - 120*m1**4*m4**6*m7**5 + 31*m1sq*m4**8*m7**5 - 112*m1**8*m4sq*m7**5 + 23*m1**9*m7**6 - 4*m1**10*m7**6 - 57*m1**8*m4*m7**6 + 15*m1**6*m4**3*m7**6 - 3*m1**5*m4**4*m7**6 - 70*m1**6*m4**4*m7**6 - 51*m1**4*m4**5*m7**6 + 45*m1**3*m4**6*m7**6 + 42*m1**4*m4**6*m7**6 - 35*m1sq*m4**7*m7**6 + 82*m1sq*m4**8*m7**6 - 50*m4**10*m7**6 + 63*m1**7*m4sq*m7**6 - 17*m1**8*m7**7 - 27*m1**4*m4**4*m7**7 + 5*m1sq*m4**6*m7**7 + 39*m1**6*m4sq*m7**7 - 27*m1**7*m7**8 + 2*m1**8*m7**8 + 33*m1**6*m4*m7**8 + 30*m1**4*m4**3*m7**8 - 27*m1**3*m4**4*m7**8 + 4*m1**4*m4**4*m7**8 + 33*m1sq*m4**5*m7**8 - 46*m1sq*m4**6*m7**8 + 30*m4**8*m7**8 - 42*m1**5*m4sq*m7**8 + 10*m1**6*m4sq*m7**8 + 3*m1**6*m7**9 + 3*m1sq*m4**4*m7**9 - 6*m1**4*m4sq*m7**9 + 12*m1**5*m7**10 + 2*m1**6*m7**10 - 12*m1**4*m4*m7**10 - 12*m1sq*m4**3*m7**10 + 8*m1sq*m4**4*m7**10 - 9*m4**6*m7**10 + 12*m1**3*m4sq*m7**10 - m1**4*m4sq*m7**10 - 2*m1**3*m7**12 - m1**4*m7**12 + 2*m1sq*m4*m7**12 + m4**4*m7**12 - 3*m1**13*m7sq + 2*m1**14*m7sq - 27*m1**12*m4*m7sq + 99*m1**10*m4**3*m7sq - 46*m1**9*m4**4*m7sq + 2*m1**10*m4**4*m7sq - 94*m1**8*m4**5*m7sq + 6*m1**7*m4**6*m7sq - 31*m1**8*m4**6*m7sq - 42*m1**6*m4**7*m7sq + 33*m1**5*m4**8*m7sq + 142*m1**6*m4**8*m7sq + 105*m1**4*m4**9*m7sq - 17*m1**3*m4**10*m7sq - 197*m1**4*m4**10*m7sq - 41*m1sq*m4**11*m7sq + 110*m1sq*m4**12*m7sq - 21*m4**14*m7sq + 27*m1**11*m4sq*m7sq - 7*m1**12*m4sq*m7sq + 2*m1**4*(4*m4sq - m7sq)*(m1**10 - m4**10 - 2*m4**6*m7**4 + 6*m4**4*m7**6 - 3*m4sq*m7**8 + m7**10 - 2*m1**4*(5*m4**6 - 7*m4sq*m7**4 - 5*m7**6) - m4**8*m7sq + m1**8*(-5*m4sq + m7sq) + m1sq*(5*m4**8 - 4*m4**4*m7**4 - 5*m7**8 + 2*m4**6*m7sq) + 2*m1**6*(5*m4**4 - 4*m7**4 - m4sq*m7sq))*B0del(0,0,m1sq) + 2*m1sq*m4sq*(2*m1**12 - 2*m4**12 + 23*m4**8*m7**4 - 14*m4**6*m7**6 + 12*m4**4*m7**8 - 5*m4sq*m7**10 + m7**12 - 15*m4**10*m7sq - m1**10*(8*m4sq + 13*m7sq) - 2*m1**6*(27*m4sq*m7**4 + 16*m7**6 + 21*m4**4*m7sq) + 2*m1**4*(-5*m4**8 + 22*m4**4*m7**4 + m4sq*m7**6 + 10*m7**8 - 7*m4**6*m7sq) + m1sq*(8*m4**10 - 42*m4**6*m7**4 - 20*m4**4*m7**6 + 16*m4sq*m7**8 - 7*m7**10 + 39*m4**8*m7sq) + m1**8*(10*m4**4 + 29*m7**4 + 45*m4sq*m7sq))*B0del(0,0,m4sq) - 14*m1**12*m7**4*B0del(0,0,m7sq) - 60*m1**8*m4**4*m7**4*B0del(0,0,m7sq) - 4*m1**6*m4**6*m7**4*B0del(0,0,m7sq) + 42*m1**4*m4**8*m7**4*B0del(0,0,m7sq) - 18*m1sq*m4**10*m7**4*B0del(0,0,m7sq) + 54*m1**10*m4sq*m7**4*B0del(0,0,m7sq) + 28*m1**10*m7**6*B0del(0,0,m7sq) + 100*m1**6*m4**4*m7**6*B0del(0,0,m7sq) - 60*m1**4*m4**6*m7**6*B0del(0,0,m7sq) + 16*m1sq*m4**8*m7**6*B0del(0,0,m7sq) - 84*m1**8*m4sq*m7**6*B0del(0,0,m7sq) - 24*m1**8*m7**8*B0del(0,0,m7sq) - 16*m1**4*m4**4*m7**8*B0del(0,0,m7sq) + 12*m1sq*m4**6*m7**8*B0del(0,0,m7sq) + 28*m1**6*m4sq*m7**8*B0del(0,0,m7sq) + 10*m1**6*m7**10*B0del(0,0,m7sq) - 6*m1sq*m4**4*m7**10*B0del(0,0,m7sq) - 4*m1**4*m4sq*m7**10*B0del(0,0,m7sq) - 2*m1**4*m7**12*B0del(0,0,m7sq) + 2*m1sq*m4sq*m7**12*B0del(0,0,m7sq) + 2*m1**14*m7sq*B0del(0,0,m7sq) - 10*m1**10*m4**4*m7sq*B0del(0,0,m7sq) + 40*m1**8*m4**6*m7sq*B0del(0,0,m7sq) - 50*m1**6*m4**8*m7sq*B0del(0,0,m7sq) + 28*m1**4*m4**10*m7sq*B0del(0,0,m7sq) - 6*m1sq*m4**12*m7sq*B0del(0,0,m7sq) - 4*m1**12*m4sq*m7sq*B0del(0,0,m7sq) + 40*m1**11*m4**4*B0fin(0,0,m1) - 80*m1**9*m4**6*B0fin(0,0,m1) + 80*m1**7*m4**8*B0fin(0,0,m1) - 40*m1**5*m4**10*B0fin(0,0,m1) + 8*m1**3*m4**12*B0fin(0,0,m1) - 8*m1**13*m4sq*B0fin(0,0,m1) - 6*m1**11*m7**4*B0fin(0,0,m1) + 4*m1**7*m4**4*m7**4*B0fin(0,0,m1) + 112*m1**5*m4**6*m7**4*B0fin(0,0,m1) - 78*m1**3*m4**8*m7**4*B0fin(0,0,m1) - 32*m1**9*m4sq*m7**4*B0fin(0,0,m1) + 14*m1**9*m7**6*B0fin(0,0,m1) + 58*m1**5*m4**4*m7**6*B0fin(0,0,m1) + 106*m1**3*m4**6*m7**6*B0fin(0,0,m1) + 78*m1**7*m4sq*m7**6*B0fin(0,0,m1) - 22*m1**7*m7**8*B0fin(0,0,m1) - 86*m1**3*m4**4*m7**8*B0fin(0,0,m1) - 84*m1**5*m4sq*m7**8*B0fin(0,0,m1) + 16*m1**5*m7**10*B0fin(0,0,m1) + 32*m1**3*m4sq*m7**10*B0fin(0,0,m1) - 4*m1**3*m7**12*B0fin(0,0,m1) + 2*m1**13*m7sq*B0fin(0,0,m1) - 76*m1**9*m4**4*m7sq*B0fin(0,0,m1) + 124*m1**7*m4**6*m7sq*B0fin(0,0,m1) - 86*m1**5*m4**8*m7sq*B0fin(0,0,m1) + 22*m1**3*m4**10*m7sq*B0fin(0,0,m1) + 14*m1**11*m4sq*m7sq*B0fin(0,0,m1) - 8*m1**12*m4**4*B0fin(0,0,m1sq) - 20*m1**10*m4**6*B0fin(0,0,m1sq) + 80*m1**8*m4**8*B0fin(0,0,m1sq) - 100*m1**6*m4**10*B0fin(0,0,m1sq) + 56*m1**4*m4**12*B0fin(0,0,m1sq) - 12*m1sq*m4**14*B0fin(0,0,m1sq) + 4*m1**14*m4sq*B0fin(0,0,m1sq) + 52*m1**8*m4**4*m7**4*B0fin(0,0,m1sq) - 180*m1**6*m4**6*m7**4*B0fin(0,0,m1sq) + 156*m1**4*m4**8*m7**4*B0fin(0,0,m1sq) - 40*m1sq*m4**10*m7**4*B0fin(0,0,m1sq) + 12*m1**10*m4sq*m7**4*B0fin(0,0,m1sq) - 6*m1**10*m7**6*B0fin(0,0,m1sq) - 10*m1**6*m4**4*m7**6*B0fin(0,0,m1sq) - 62*m1**4*m4**6*m7**6*B0fin(0,0,m1sq) + 32*m1sq*m4**8*m7**6*B0fin(0,0,m1sq) - 82*m1**8*m4sq*m7**6*B0fin(0,0,m1sq) + 20*m1**8*m7**8*B0fin(0,0,m1sq) + 24*m1**4*m4**4*m7**8*B0fin(0,0,m1sq) - 26*m1sq*m4**6*m7**8*B0fin(0,0,m1sq) + 78*m1**6*m4sq*m7**8*B0fin(0,0,m1sq) - 17*m1**6*m7**10*B0fin(0,0,m1sq) + 13*m1sq*m4**4*m7**10*B0fin(0,0,m1sq) - 20*m1**4*m4sq*m7**10*B0fin(0,0,m1sq) + 4*m1**4*m7**12*B0fin(0,0,m1sq) - 2*m1sq*m4sq*m7**12*B0fin(0,0,m1sq) - m1**14*m7sq*B0fin(0,0,m1sq) + 53*m1**10*m4**4*m7sq*B0fin(0,0,m1sq) - 196*m1**8*m4**6*m7sq*B0fin(0,0,m1sq) + 265*m1**6*m4**8*m7sq*B0fin(0,0,m1sq) - 158*m1**4*m4**10*m7sq*B0fin(0,0,m1sq) + 35*m1sq*m4**12*m7sq*B0fin(0,0,m1sq) + 2*m1**12*m4sq*m7sq*B0fin(0,0,m1sq) + 8*m1**14*m4*B0fin(0,0,m4) - 56*m1**12*m4**3*B0fin(0,0,m4) + 160*m1**10*m4**5*B0fin(0,0,m4) - 240*m1**8*m4**7*B0fin(0,0,m4) + 200*m1**6*m4**9*B0fin(0,0,m4) - 88*m1**4*m4**11*B0fin(0,0,m4) + 16*m1sq*m4**13*B0fin(0,0,m4) + 114*m1**10*m4*m7**4*B0fin(0,0,m4) - 128*m1**8*m4**3*m7**4*B0fin(0,0,m4) - 44*m1**6*m4**5*m7**4*B0fin(0,0,m4) + 16*m1**4*m4**7*m7**4*B0fin(0,0,m4) + 42*m1sq*m4**9*m7**4*B0fin(0,0,m4) - 146*m1**8*m4*m7**6*B0fin(0,0,m4) - 18*m1**6*m4**3*m7**6*B0fin(0,0,m4) - 38*m1**4*m4**5*m7**6*B0fin(0,0,m4) - 54*m1sq*m4**7*m7**6*B0fin(0,0,m4) + 98*m1**6*m4*m7**8*B0fin(0,0,m4) + 60*m1**4*m4**3*m7**8*B0fin(0,0,m4) + 34*m1sq*m4**5*m7**8*B0fin(0,0,m4) - 32*m1**4*m4*m7**10*B0fin(0,0,m4) - 16*m1sq*m4**3*m7**10*B0fin(0,0,m4) + 4*m1sq*m4*m7**12*B0fin(0,0,m4) - 46*m1**12*m4*m7sq*B0fin(0,0,m4) + 158*m1**10*m4**3*m7sq*B0fin(0,0,m4) - 172*m1**8*m4**5*m7sq*B0fin(0,0,m4) + 28*m1**6*m4**7*m7sq*B0fin(0,0,m4) + 58*m1**4*m4**9*m7sq*B0fin(0,0,m4) - 26*m1sq*m4**11*m7sq*B0fin(0,0,m4) - 32*m1**12*m4**4*B0fin(0,0,m4sq) + 40*m1**10*m4**6*B0fin(0,0,m4sq) - 40*m1**6*m4**10*B0fin(0,0,m4sq) + 32*m1**4*m4**12*B0fin(0,0,m4sq) - 8*m1sq*m4**14*B0fin(0,0,m4sq) + 8*m1**14*m4sq*B0fin(0,0,m4sq) + 13*m1**12*m7**4*B0fin(0,0,m4sq) - 111*m1**8*m4**4*m7**4*B0fin(0,0,m4sq) + 196*m1**6*m4**6*m7**4*B0fin(0,0,m4sq) - 61*m1**4*m4**8*m7**4*B0fin(0,0,m4sq) - 17*m4**12*m7**4*B0fin(0,0,m4sq) - 20*m1**10*m4sq*m7**4*B0fin(0,0,m4sq) - 22*m1**10*m7**6*B0fin(0,0,m4sq) + 74*m1**6*m4**4*m7**6*B0fin(0,0,m4sq) - 58*m1**4*m4**6*m7**6*B0fin(0,0,m4sq) + 44*m1sq*m4**8*m7**6*B0fin(0,0,m4sq) + 28*m4**10*m7**6*B0fin(0,0,m4sq) + 62*m1**8*m4sq*m7**6*B0fin(0,0,m4sq) + 18*m1**8*m7**8*B0fin(0,0,m4sq) - 24*m1**4*m4**4*m7**8*B0fin(0,0,m4sq) - 18*m1sq*m4**6*m7**8*B0fin(0,0,m4sq) - 22*m4**8*m7**8*B0fin(0,0,m4sq) - 50*m1**6*m4sq*m7**8*B0fin(0,0,m4sq) - 7*m1**6*m7**10*B0fin(0,0,m4sq) + 7*m1sq*m4**4*m7**10*B0fin(0,0,m4sq) + 8*m4**6*m7**10*B0fin(0,0,m4sq) + 16*m1**4*m4sq*m7**10*B0fin(0,0,m4sq) + m1**4*m7**12*B0fin(0,0,m4sq) - m4**4*m7**12*B0fin(0,0,m4sq) - 2*m1sq*m4sq*m7**12*B0fin(0,0,m4sq) - 3*m1**14*m7sq*B0fin(0,0,m4sq) + 95*m1**10*m4**4*m7sq*B0fin(0,0,m4sq) - 160*m1**8*m4**6*m7sq*B0fin(0,0,m4sq) + 91*m1**6*m4**8*m7sq*B0fin(0,0,m4sq) + 10*m1**4*m4**10*m7sq*B0fin(0,0,m4sq) - 23*m1sq*m4**12*m7sq*B0fin(0,0,m4sq) + 4*m4**14*m7sq*B0fin(0,0,m4sq) - 14*m1**12*m4sq*m7sq*B0fin(0,0,m4sq) - 40*m1**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 80*m1**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 80*m1**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 40*m1**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1**14*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1**8*m4**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**6*m4**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 94*m1**4*m4**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 62*m1sq*m4**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**10*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 68*m1**6*m4**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1**4*m4**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 62*m1sq*m4**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**8*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 42*m1**4*m4**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 36*m1sq*m4**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**6*m4sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 14*m1sq*m4**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1**4*m4sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*m4sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**14*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 68*m1**10*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 76*m1**8*m4**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1**6*m4**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 58*m1**4*m4**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1sq*m4**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 14*m1**12*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1**12*m4**4*B0fin(0,0,m4sq)**2 - 30*m1**10*m4**6*B0fin(0,0,m4sq)**2 + 40*m1**8*m4**8*B0fin(0,0,m4sq)**2 - 30*m1**6*m4**10*B0fin(0,0,m4sq)**2 + 12*m1**4*m4**12*B0fin(0,0,m4sq)**2 - 2*m1sq*m4**14*B0fin(0,0,m4sq)**2 - 2*m1**14*m4sq*B0fin(0,0,m4sq)**2 + 24*m1**8*m4**4*m7**4*B0fin(0,0,m4sq)**2 + 12*m1**6*m4**6*m7**4*B0fin(0,0,m4sq)**2 + 24*m1**4*m4**8*m7**4*B0fin(0,0,m4sq)**2 - 30*m1sq*m4**10*m7**4*B0fin(0,0,m4sq)**2 - 30*m1**10*m4sq*m7**4*B0fin(0,0,m4sq)**2 + 24*m1**6*m4**4*m7**6*B0fin(0,0,m4sq)**2 + 24*m1**4*m4**6*m7**6*B0fin(0,0,m4sq)**2 + 40*m1sq*m4**8*m7**6*B0fin(0,0,m4sq)**2 + 40*m1**8*m4sq*m7**6*B0fin(0,0,m4sq)**2 - 36*m1**4*m4**4*m7**8*B0fin(0,0,m4sq)**2 - 30*m1sq*m4**6*m7**8*B0fin(0,0,m4sq)**2 - 30*m1**6*m4sq*m7**8*B0fin(0,0,m4sq)**2 + 12*m1sq*m4**4*m7**10*B0fin(0,0,m4sq)**2 + 12*m1**4*m4sq*m7**10*B0fin(0,0,m4sq)**2 - 2*m1sq*m4sq*m7**12*B0fin(0,0,m4sq)**2 - 36*m1**10*m4**4*m7sq*B0fin(0,0,m4sq)**2 + 24*m1**8*m4**6*m7sq*B0fin(0,0,m4sq)**2 + 24*m1**6*m4**8*m7sq*B0fin(0,0,m4sq)**2 - 36*m1**4*m4**10*m7sq*B0fin(0,0,m4sq)**2 + 12*m1sq*m4**12*m7sq*B0fin(0,0,m4sq)**2 + 12*m1**12*m4sq*m7sq*B0fin(0,0,m4sq)**2 + 4*m1**14*m7*B0fin(0,0,m7) + 100*m1**10*m4**4*m7*B0fin(0,0,m7) - 160*m1**8*m4**6*m7*B0fin(0,0,m7) + 140*m1**6*m4**8*m7*B0fin(0,0,m7) - 64*m1**4*m4**10*m7*B0fin(0,0,m7) + 12*m1sq*m4**12*m7*B0fin(0,0,m7) - 32*m1**12*m4sq*m7*B0fin(0,0,m7) - 22*m1**12*m7**3*B0fin(0,0,m7) - 124*m1**8*m4**4*m7**3*B0fin(0,0,m7) + 76*m1**6*m4**6*m7**3*B0fin(0,0,m7) - 14*m1**4*m4**8*m7**3*B0fin(0,0,m7) - 2*m1sq*m4**10*m7**3*B0fin(0,0,m7) + 86*m1**10*m4sq*m7**3*B0fin(0,0,m7) + 54*m1**10*m7**5*B0fin(0,0,m7) - 20*m1**6*m4**4*m7**5*B0fin(0,0,m7) + 64*m1**4*m4**6*m7**5*B0fin(0,0,m7) - 18*m1sq*m4**8*m7**5*B0fin(0,0,m7) - 80*m1**8*m4sq*m7**5*B0fin(0,0,m7) - 66*m1**8*m7**7*B0fin(0,0,m7) + 10*m1**4*m4**4*m7**7*B0fin(0,0,m7) + 26*m1sq*m4**6*m7**7*B0fin(0,0,m7) + 30*m1**6*m4sq*m7**7*B0fin(0,0,m7) + 38*m1**6*m7**9*B0fin(0,0,m7) - 26*m1sq*m4**4*m7**9*B0fin(0,0,m7) - 12*m1**4*m4sq*m7**9*B0fin(0,0,m7) - 8*m1**4*m7**11*B0fin(0,0,m7) + 8*m1sq*m4sq*m7**11*B0fin(0,0,m7) - m1**12*m7**4*B0fin(0,0,m7sq) + 251*m1**8*m4**4*m7**4*B0fin(0,0,m7sq) - 112*m1**6*m4**6*m7**4*B0fin(0,0,m7sq) - 75*m1**4*m4**8*m7**4*B0fin(0,0,m7sq) + 28*m1sq*m4**10*m7**4*B0fin(0,0,m7sq) + 17*m4**12*m7**4*B0fin(0,0,m7sq) - 108*m1**10*m4sq*m7**4*B0fin(0,0,m7sq) + 4*m1**10*m7**6*B0fin(0,0,m7sq) + 28*m1**6*m4**4*m7**6*B0fin(0,0,m7sq) - 60*m1**4*m4**6*m7**6*B0fin(0,0,m7sq) - 16*m1sq*m4**8*m7**6*B0fin(0,0,m7sq) - 28*m4**10*m7**6*B0fin(0,0,m7sq) + 72*m1**8*m4sq*m7**6*B0fin(0,0,m7sq) + 6*m1**8*m7**8*B0fin(0,0,m7sq) - 4*m1**4*m4**4*m7**8*B0fin(0,0,m7sq) + 20*m1sq*m4**6*m7**8*B0fin(0,0,m7sq) + 22*m4**8*m7**8*B0fin(0,0,m7sq) - 44*m1**6*m4sq*m7**8*B0fin(0,0,m7sq) - 10*m1**6*m7**10*B0fin(0,0,m7sq) + 6*m1sq*m4**4*m7**10*B0fin(0,0,m7sq) - 8*m4**6*m7**10*B0fin(0,0,m7sq) + 12*m1**4*m4sq*m7**10*B0fin(0,0,m7sq) + 3*m1**4*m7**12*B0fin(0,0,m7sq) + m4**4*m7**12*B0fin(0,0,m7sq) - 4*m1sq*m4sq*m7**12*B0fin(0,0,m7sq) - 2*m1**14*m7sq*B0fin(0,0,m7sq) - 286*m1**10*m4**4*m7sq*B0fin(0,0,m7sq) + 540*m1**8*m4**6*m7sq*B0fin(0,0,m7sq) - 510*m1**6*m4**8*m7sq*B0fin(0,0,m7sq) + 232*m1**4*m4**10*m7sq*B0fin(0,0,m7sq) - 34*m1sq*m4**12*m7sq*B0fin(0,0,m7sq) - 4*m4**14*m7sq*B0fin(0,0,m7sq) + 64*m1**12*m4sq*m7sq*B0fin(0,0,m7sq) - 8*m1**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 104*m1**8*m4**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 52*m1**6*m4**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 80*m1**4*m4**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 62*m1sq*m4**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 62*m1**10*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 22*m1**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 76*m1**6*m4**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 40*m1**4*m4**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 62*m1sq*m4**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 56*m1**8*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 22*m1**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 78*m1**4*m4**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 36*m1sq*m4**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 56*m1**6*m4sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 10*m1**6*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 14*m1sq*m4**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m4sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**4*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m4sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 104*m1**10*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 96*m1**8*m4**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1**6*m4**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 64*m1**4*m4**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1sq*m4**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 32*m1**12*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**12*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 164*m1**8*m4**4*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 48*m1**6*m4**6*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 38*m1**4*m4**8*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 44*m1sq*m4**10*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 116*m1**10*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m1**10*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 24*m1**6*m4**4*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 100*m1**4*m4**6*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 46*m1sq*m4**8*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 140*m1**8*m4sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 2*m1**8*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 62*m1**4*m4**4*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 48*m1sq*m4**6*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 84*m1**6*m4sq*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 20*m1sq*m4**4*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 28*m1**4*m4sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 4*m1sq*m4sq*m7**12*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m1**14*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 94*m1**10*m4**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 56*m1**8*m4**6*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 66*m1**6*m4**8*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 92*m1**4*m4**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 30*m1sq*m4**12*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 36*m1**12*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 40*m1**10*m4**4*T134fin(m7,m4,m1) - 80*m1**8*m4**6*T134fin(m7,m4,m1) + 80*m1**6*m4**8*T134fin(m7,m4,m1) - 40*m1**4*m4**10*T134fin(m7,m4,m1) + 8*m1sq*m4**12*T134fin(m7,m4,m1) - 8*m1**12*m4sq*T134fin(m7,m4,m1) + 2*m1**10*m7**4*T134fin(m7,m4,m1) - 112*m1**6*m4**4*m7**4*T134fin(m7,m4,m1) + 36*m1**4*m4**6*m7**4*T134fin(m7,m4,m1) + 14*m1sq*m4**8*m7**4*T134fin(m7,m4,m1) + 60*m1**8*m4sq*m7**4*T134fin(m7,m4,m1) - 16*m1**8*m7**6*T134fin(m7,m4,m1) - 8*m1**4*m4**4*m7**6*T134fin(m7,m4,m1) - 52*m1sq*m4**6*m7**6*T134fin(m7,m4,m1) - 52*m1**6*m4sq*m7**6*T134fin(m7,m4,m1) + 20*m1**6*m7**8*T134fin(m7,m4,m1) + 36*m1sq*m4**4*m7**8*T134fin(m7,m4,m1) + 40*m1**4*m4sq*m7**8*T134fin(m7,m4,m1) - 10*m1**4*m7**10*T134fin(m7,m4,m1) - 14*m1sq*m4sq*m7**10*T134fin(m7,m4,m1) + 2*m1sq*m7**12*T134fin(m7,m4,m1) + 2*m1**12*m7sq*T134fin(m7,m4,m1) + 36*m1**8*m4**4*m7sq*T134fin(m7,m4,m1) - 20*m1**6*m4**6*m7sq*T134fin(m7,m4,m1) - 6*m1**4*m4**8*m7sq*T134fin(m7,m4,m1) + 6*m1sq*m4**10*m7sq*T134fin(m7,m4,m1) - 18*m1**10*m4sq*m7sq*T134fin(m7,m4,m1) - 2*m1**14*T134fin(m7,m4,m4) - 30*m1**10*m4**4*T134fin(m7,m4,m4) + 40*m1**8*m4**6*T134fin(m7,m4,m4) - 30*m1**6*m4**8*T134fin(m7,m4,m4) + 12*m1**4*m4**10*T134fin(m7,m4,m4) - 2*m1sq*m4**12*T134fin(m7,m4,m4) + 12*m1**12*m4sq*T134fin(m7,m4,m4) - 30*m1**10*m7**4*T134fin(m7,m4,m4) + 12*m1**6*m4**4*m7**4*T134fin(m7,m4,m4) + 24*m1**4*m4**6*m7**4*T134fin(m7,m4,m4) - 30*m1sq*m4**8*m7**4*T134fin(m7,m4,m4) + 24*m1**8*m4sq*m7**4*T134fin(m7,m4,m4) + 40*m1**8*m7**6*T134fin(m7,m4,m4) + 24*m1**4*m4**4*m7**6*T134fin(m7,m4,m4) + 40*m1sq*m4**6*m7**6*T134fin(m7,m4,m4) + 24*m1**6*m4sq*m7**6*T134fin(m7,m4,m4) - 30*m1**6*m7**8*T134fin(m7,m4,m4) - 30*m1sq*m4**4*m7**8*T134fin(m7,m4,m4) - 36*m1**4*m4sq*m7**8*T134fin(m7,m4,m4) + 12*m1**4*m7**10*T134fin(m7,m4,m4) + 12*m1sq*m4sq*m7**10*T134fin(m7,m4,m4) - 2*m1sq*m7**12*T134fin(m7,m4,m4) + 12*m1**12*m7sq*T134fin(m7,m4,m4) + 24*m1**8*m4**4*m7sq*T134fin(m7,m4,m4) + 24*m1**6*m4**6*m7sq*T134fin(m7,m4,m4) - 36*m1**4*m4**8*m7sq*T134fin(m7,m4,m4) + 12*m1sq*m4**10*m7sq*T134fin(m7,m4,m4) - 36*m1**10*m4sq*m7sq*T134fin(m7,m4,m4))/(2.*m1**2*(m1sq - m4sq)**3*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(4*m4sq - m7sq))
		def eval_92():
			return ((m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*B0del(0,0,m1sq) + (m1sq - m3sq)*(4*m3sq - m7sq)*m7sq*(11*m1**4 - m3**4 + m1sq*(6*m3sq - 5*m7sq) + m3sq*m7sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m1sq) + (m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*B0del(0,0,m3sq) - 2*(m1sq - m3sq)*m3sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m3sq) + (m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 - 11*m3**4 + 5*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0del(0,0,m3sq) + (m1sq - m3sq)*(4*m3sq - m7sq)*m7sq*(11*m1**4 - m3**4 + m1sq*(6*m3sq - 5*m7sq) + m3sq*m7sq)*B0del(0,0,m7sq) + (m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 - 11*m3**4 + 5*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0del(0,0,m7sq) - (m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*B0fin(0,0,m1sq) - (m1sq - m3sq)*(4*m3sq - m7sq)*m7sq*(11*m1**4 - m3**4 + m1sq*(6*m3sq - 5*m7sq) + m3sq*m7sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq)**2 - (m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*B0fin(0,0,m3sq) + 2*(m1sq - m3sq)*m3sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - (m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 - 11*m3**4 + 5*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1sq + m3sq - m7sq)*(4*m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - (m1sq - m3sq)*m3sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq)**2 - 2*m1sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + 2*m3sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + 2*m1sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*m3sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 4*m1sq*m3sq*(4*m1sq - m7sq)*(4*m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - 2*m3**4*(4*m3sq - m7sq)*(-4*m1sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - 2*m1**4*(4*m1sq - m7sq)*(-4*m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m3sq)*(4*m3sq - m7sq)*m7sq*(11*m1**4 - m3**4 + m1sq*(6*m3sq - 5*m7sq) + m3sq*m7sq)*B0fin(0,0,m7sq) - (m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 - 11*m3**4 + 5*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0fin(0,0,m7sq) + (m1sq - m3sq)*(4*m3sq - m7sq)*m7sq*(11*m1**4 - m3**4 + m1sq*(6*m3sq - 5*m7sq) + m3sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 - 11*m3**4 + 5*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 7*m1sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) - m3sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) + 2*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) - 4*m1sq*m3sq*(4*m1sq - m7sq)*(4*m3sq - m7sq)*T134fin(m7,m3,m1) - 2*m3**4*(4*m3sq - m7sq)*(-4*m1sq + m7sq)*T134fin(m7,m3,m1) + 8*m3sq*(4*m3sq - m7sq)*m7sq*(-4*m1sq + m7sq)*T134fin(m7,m3,m1) - 2*m1**4*(4*m1sq - m7sq)*(-4*m3sq + m7sq)*T134fin(m7,m3,m1) + 8*m1sq*(4*m1sq - m7sq)*m7sq*(-4*m3sq + m7sq)*T134fin(m7,m3,m1) + 4*m7**4*(-4*m1sq + m7sq)*(-4*m3sq + m7sq)*T134fin(m7,m3,m1) - m1sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 7*m3sq*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + 2*(4*m1sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m3))/((m1sq - m3sq)**4*(4*m1sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))
		def eval_93():
			return -0.5*(4*m1**16 - 12*m1**12*m2**3 + 36*m1**11*m2**4 + 68*m1**12*m2**4 + 60*m1**10*m2**5 - 60*m1**9*m2**6 - 120*m1**10*m2**6 - 120*m1**8*m2**7 + 40*m1**7*m2**8 + 140*m1**8*m2**8 + 120*m1**6*m2**9 - 104*m1**6*m2**10 - 60*m1**4*m2**11 - 12*m1**3*m2**12 + 44*m1**4*m2**12 + 12*m1sq*m2**13 + 4*m1*m2**14 - 8*m1sq*m2**14 - 8*m1**13*m2sq - 24*m1**14*m2sq + 48*m1**10*m2**4*m7 - 90*m1**8*m2**6*m7 + 80*m1**6*m2**8*m7 - 30*m1**4*m2**10*m7 + 2*m2**14*m7 - 10*m1**12*m2sq*m7 + 69*m1**8*m2**4*m7**3 - 18*m1**6*m2**6*m7**3 - 70*m1**4*m2**8*m7**3 + 63*m1sq*m2**10*m7**3 - 15*m2**12*m7**3 - 29*m1**10*m2sq*m7**3 + 45*m1**12*m7**4 + m1**8*m2**3*m7**4 - 144*m1**7*m2**4*m7**4 + 133*m1**8*m2**4*m7**4 - 96*m1**6*m2**5*m7**4 + 162*m1**5*m2**6*m7**4 - 36*m1**6*m2**6*m7**4 + 186*m1**4*m2**7*m7**4 - 136*m1**3*m2**8*m7**4 - 33*m1**4*m2**8*m7**4 - 88*m1sq*m2**9*m7**4 + 57*m1*m2**10*m7**4 + 22*m1sq*m2**10*m7**4 - 3*m2**11*m7**4 - m2**12*m7**4 + 61*m1**9*m2sq*m7**4 - 130*m1**10*m2sq*m7**4 - 120*m1**6*m2**4*m7**5 + 174*m1**4*m2**6*m7**5 - 112*m1sq*m2**8*m7**5 + 27*m2**10*m7**5 + 31*m1**8*m2sq*m7**5 - 50*m1**10*m7**6 + 45*m1**6*m2**3*m7**6 - 51*m1**5*m2**4*m7**6 + 42*m1**6*m2**4*m7**6 - 3*m1**4*m2**5*m7**6 + 15*m1**3*m2**6*m7**6 - 70*m1**4*m2**6*m7**6 + 63*m1sq*m2**7*m7**6 - 57*m1*m2**8*m7**6 + 23*m2**9*m7**6 - 4*m2**10*m7**6 - 35*m1**7*m2sq*m7**6 + 82*m1**8*m2sq*m7**6 - 27*m1**4*m2**4*m7**7 + 39*m1sq*m2**6*m7**7 - 17*m2**8*m7**7 + 5*m1**6*m2sq*m7**7 + 30*m1**8*m7**8 - 27*m1**4*m2**3*m7**8 + 30*m1**3*m2**4*m7**8 + 4*m1**4*m2**4*m7**8 - 42*m1sq*m2**5*m7**8 + 33*m1*m2**6*m7**8 + 10*m1sq*m2**6*m7**8 - 27*m2**7*m7**8 + 2*m2**8*m7**8 + 33*m1**5*m2sq*m7**8 - 46*m1**6*m2sq*m7**8 - 6*m1sq*m2**4*m7**9 + 3*m2**6*m7**9 + 3*m1**4*m2sq*m7**9 - 9*m1**6*m7**10 + 12*m1sq*m2**3*m7**10 - 12*m1*m2**4*m7**10 - m1sq*m2**4*m7**10 + 12*m2**5*m7**10 + 2*m2**6*m7**10 - 12*m1**3*m2sq*m7**10 + 8*m1**4*m2sq*m7**10 + m1**4*m7**12 - 2*m2**3*m7**12 - m2**4*m7**12 + 2*m1*m2sq*m7**12 - 21*m1**14*m7sq - 17*m1**10*m2**3*m7sq + 105*m1**9*m2**4*m7sq - 197*m1**10*m2**4*m7sq + 33*m1**8*m2**5*m7sq - 42*m1**7*m2**6*m7sq + 142*m1**8*m2**6*m7sq + 6*m1**6*m2**7*m7sq - 94*m1**5*m2**8*m7sq - 31*m1**6*m2**8*m7sq - 46*m1**4*m2**9*m7sq + 99*m1**3*m2**10*m7sq + 2*m1**4*m2**10*m7sq + 27*m1sq*m2**11*m7sq - 27*m1*m2**12*m7sq - 7*m1sq*m2**12*m7sq - 3*m2**13*m7sq + 2*m2**14*m7sq - 41*m1**11*m2sq*m7sq + 110*m1**12*m2sq*m7sq - 2*m1sq*m2sq*(2*m1**12 + m1**10*(-8*m2sq + 15*m7sq) - 2*m1**4*(5*m2**8 + 22*m2**4*m7**4 - 10*m2sq*m7**6 + 6*m7**8 - 21*m2**6*m7sq) - (m2sq - m7sq)**2*(2*m2**8 + 9*m2**4*m7**4 - 5*m2sq*m7**6 + m7**8 - 9*m2**6*m7sq) + m1sq*(8*m2**10 + 54*m2**6*m7**4 - 2*m2**4*m7**6 - 16*m2sq*m7**8 + 5*m7**10 - 45*m2**8*m7sq) + m1**8*(10*m2**4 - 23*m7**4 - 39*m2sq*m7sq) + 14*m1**6*m7sq*(m2**4 + m7**4 + 3*m2sq*m7sq))*B0del(0,0,m1sq) + 2*m2**4*(4*m1sq - m7sq)*(-m1**10 + 2*m1**4*(5*m2**6 - 2*m2sq*m7**4 + 3*m7**6) + m1**8*(5*m2sq - m7sq) + (m2sq - m7sq)**2*(m2**6 - 3*m2sq*m7**4 + m7**6 + 3*m2**4*m7sq) - m1sq*(5*m2**8 - 14*m2**4*m7**4 + 3*m7**8 + 2*m2**6*m7sq) - 2*m1**6*(5*m2**4 + m7**4 - m2sq*m7sq))*B0del(0,0,m2sq) + 42*m1**8*m2**4*m7**4*B0del(0,0,m7sq) - 4*m1**6*m2**6*m7**4*B0del(0,0,m7sq) - 60*m1**4*m2**8*m7**4*B0del(0,0,m7sq) + 54*m1sq*m2**10*m7**4*B0del(0,0,m7sq) - 14*m2**12*m7**4*B0del(0,0,m7sq) - 18*m1**10*m2sq*m7**4*B0del(0,0,m7sq) - 60*m1**6*m2**4*m7**6*B0del(0,0,m7sq) + 100*m1**4*m2**6*m7**6*B0del(0,0,m7sq) - 84*m1sq*m2**8*m7**6*B0del(0,0,m7sq) + 28*m2**10*m7**6*B0del(0,0,m7sq) + 16*m1**8*m2sq*m7**6*B0del(0,0,m7sq) - 16*m1**4*m2**4*m7**8*B0del(0,0,m7sq) + 28*m1sq*m2**6*m7**8*B0del(0,0,m7sq) - 24*m2**8*m7**8*B0del(0,0,m7sq) + 12*m1**6*m2sq*m7**8*B0del(0,0,m7sq) - 4*m1sq*m2**4*m7**10*B0del(0,0,m7sq) + 10*m2**6*m7**10*B0del(0,0,m7sq) - 6*m1**4*m2sq*m7**10*B0del(0,0,m7sq) - 2*m2**4*m7**12*B0del(0,0,m7sq) + 2*m1sq*m2sq*m7**12*B0del(0,0,m7sq) + 28*m1**10*m2**4*m7sq*B0del(0,0,m7sq) - 50*m1**8*m2**6*m7sq*B0del(0,0,m7sq) + 40*m1**6*m2**8*m7sq*B0del(0,0,m7sq) - 10*m1**4*m2**10*m7sq*B0del(0,0,m7sq) - 4*m1sq*m2**12*m7sq*B0del(0,0,m7sq) + 2*m2**14*m7sq*B0del(0,0,m7sq) - 6*m1**12*m2sq*m7sq*B0del(0,0,m7sq) - 88*m1**11*m2**4*B0fin(0,0,m1) + 200*m1**9*m2**6*B0fin(0,0,m1) - 240*m1**7*m2**8*B0fin(0,0,m1) + 160*m1**5*m2**10*B0fin(0,0,m1) - 56*m1**3*m2**12*B0fin(0,0,m1) + 8*m1*m2**14*B0fin(0,0,m1) + 16*m1**13*m2sq*B0fin(0,0,m1) + 16*m1**7*m2**4*m7**4*B0fin(0,0,m1) - 44*m1**5*m2**6*m7**4*B0fin(0,0,m1) - 128*m1**3*m2**8*m7**4*B0fin(0,0,m1) + 114*m1*m2**10*m7**4*B0fin(0,0,m1) + 42*m1**9*m2sq*m7**4*B0fin(0,0,m1) - 38*m1**5*m2**4*m7**6*B0fin(0,0,m1) - 18*m1**3*m2**6*m7**6*B0fin(0,0,m1) - 146*m1*m2**8*m7**6*B0fin(0,0,m1) - 54*m1**7*m2sq*m7**6*B0fin(0,0,m1) + 60*m1**3*m2**4*m7**8*B0fin(0,0,m1) + 98*m1*m2**6*m7**8*B0fin(0,0,m1) + 34*m1**5*m2sq*m7**8*B0fin(0,0,m1) - 32*m1*m2**4*m7**10*B0fin(0,0,m1) - 16*m1**3*m2sq*m7**10*B0fin(0,0,m1) + 4*m1*m2sq*m7**12*B0fin(0,0,m1) + 58*m1**9*m2**4*m7sq*B0fin(0,0,m1) + 28*m1**7*m2**6*m7sq*B0fin(0,0,m1) - 172*m1**5*m2**8*m7sq*B0fin(0,0,m1) + 158*m1**3*m2**10*m7sq*B0fin(0,0,m1) - 46*m1*m2**12*m7sq*B0fin(0,0,m1) - 26*m1**11*m2sq*m7sq*B0fin(0,0,m1) + 32*m1**12*m2**4*B0fin(0,0,m1sq) - 40*m1**10*m2**6*B0fin(0,0,m1sq) + 40*m1**6*m2**10*B0fin(0,0,m1sq) - 32*m1**4*m2**12*B0fin(0,0,m1sq) + 8*m1sq*m2**14*B0fin(0,0,m1sq) - 8*m1**14*m2sq*B0fin(0,0,m1sq) - 17*m1**12*m7**4*B0fin(0,0,m1sq) - 61*m1**8*m2**4*m7**4*B0fin(0,0,m1sq) + 196*m1**6*m2**6*m7**4*B0fin(0,0,m1sq) - 111*m1**4*m2**8*m7**4*B0fin(0,0,m1sq) - 20*m1sq*m2**10*m7**4*B0fin(0,0,m1sq) + 13*m2**12*m7**4*B0fin(0,0,m1sq) + 28*m1**10*m7**6*B0fin(0,0,m1sq) - 58*m1**6*m2**4*m7**6*B0fin(0,0,m1sq) + 74*m1**4*m2**6*m7**6*B0fin(0,0,m1sq) + 62*m1sq*m2**8*m7**6*B0fin(0,0,m1sq) - 22*m2**10*m7**6*B0fin(0,0,m1sq) + 44*m1**8*m2sq*m7**6*B0fin(0,0,m1sq) - 22*m1**8*m7**8*B0fin(0,0,m1sq) - 24*m1**4*m2**4*m7**8*B0fin(0,0,m1sq) - 50*m1sq*m2**6*m7**8*B0fin(0,0,m1sq) + 18*m2**8*m7**8*B0fin(0,0,m1sq) - 18*m1**6*m2sq*m7**8*B0fin(0,0,m1sq) + 8*m1**6*m7**10*B0fin(0,0,m1sq) + 16*m1sq*m2**4*m7**10*B0fin(0,0,m1sq) - 7*m2**6*m7**10*B0fin(0,0,m1sq) + 7*m1**4*m2sq*m7**10*B0fin(0,0,m1sq) - m1**4*m7**12*B0fin(0,0,m1sq) + m2**4*m7**12*B0fin(0,0,m1sq) - 2*m1sq*m2sq*m7**12*B0fin(0,0,m1sq) + 4*m1**14*m7sq*B0fin(0,0,m1sq) + 10*m1**10*m2**4*m7sq*B0fin(0,0,m1sq) + 91*m1**8*m2**6*m7sq*B0fin(0,0,m1sq) - 160*m1**6*m2**8*m7sq*B0fin(0,0,m1sq) + 95*m1**4*m2**10*m7sq*B0fin(0,0,m1sq) - 14*m1sq*m2**12*m7sq*B0fin(0,0,m1sq) - 3*m2**14*m7sq*B0fin(0,0,m1sq) - 23*m1**12*m2sq*m7sq*B0fin(0,0,m1sq) + 12*m1**12*m2**4*B0fin(0,0,m1sq)**2 - 30*m1**10*m2**6*B0fin(0,0,m1sq)**2 + 40*m1**8*m2**8*B0fin(0,0,m1sq)**2 - 30*m1**6*m2**10*B0fin(0,0,m1sq)**2 + 12*m1**4*m2**12*B0fin(0,0,m1sq)**2 - 2*m1sq*m2**14*B0fin(0,0,m1sq)**2 - 2*m1**14*m2sq*B0fin(0,0,m1sq)**2 + 24*m1**8*m2**4*m7**4*B0fin(0,0,m1sq)**2 + 12*m1**6*m2**6*m7**4*B0fin(0,0,m1sq)**2 + 24*m1**4*m2**8*m7**4*B0fin(0,0,m1sq)**2 - 30*m1sq*m2**10*m7**4*B0fin(0,0,m1sq)**2 - 30*m1**10*m2sq*m7**4*B0fin(0,0,m1sq)**2 + 24*m1**6*m2**4*m7**6*B0fin(0,0,m1sq)**2 + 24*m1**4*m2**6*m7**6*B0fin(0,0,m1sq)**2 + 40*m1sq*m2**8*m7**6*B0fin(0,0,m1sq)**2 + 40*m1**8*m2sq*m7**6*B0fin(0,0,m1sq)**2 - 36*m1**4*m2**4*m7**8*B0fin(0,0,m1sq)**2 - 30*m1sq*m2**6*m7**8*B0fin(0,0,m1sq)**2 - 30*m1**6*m2sq*m7**8*B0fin(0,0,m1sq)**2 + 12*m1sq*m2**4*m7**10*B0fin(0,0,m1sq)**2 + 12*m1**4*m2sq*m7**10*B0fin(0,0,m1sq)**2 - 2*m1sq*m2sq*m7**12*B0fin(0,0,m1sq)**2 - 36*m1**10*m2**4*m7sq*B0fin(0,0,m1sq)**2 + 24*m1**8*m2**6*m7sq*B0fin(0,0,m1sq)**2 + 24*m1**6*m2**8*m7sq*B0fin(0,0,m1sq)**2 - 36*m1**4*m2**10*m7sq*B0fin(0,0,m1sq)**2 + 12*m1sq*m2**12*m7sq*B0fin(0,0,m1sq)**2 + 12*m1**12*m2sq*m7sq*B0fin(0,0,m1sq)**2 + 8*m1**12*m2**3*B0fin(0,0,m2) - 40*m1**10*m2**5*B0fin(0,0,m2) + 80*m1**8*m2**7*B0fin(0,0,m2) - 80*m1**6*m2**9*B0fin(0,0,m2) + 40*m1**4*m2**11*B0fin(0,0,m2) - 8*m1sq*m2**13*B0fin(0,0,m2) - 78*m1**8*m2**3*m7**4*B0fin(0,0,m2) + 112*m1**6*m2**5*m7**4*B0fin(0,0,m2) + 4*m1**4*m2**7*m7**4*B0fin(0,0,m2) - 32*m1sq*m2**9*m7**4*B0fin(0,0,m2) - 6*m2**11*m7**4*B0fin(0,0,m2) + 106*m1**6*m2**3*m7**6*B0fin(0,0,m2) + 58*m1**4*m2**5*m7**6*B0fin(0,0,m2) + 78*m1sq*m2**7*m7**6*B0fin(0,0,m2) + 14*m2**9*m7**6*B0fin(0,0,m2) - 86*m1**4*m2**3*m7**8*B0fin(0,0,m2) - 84*m1sq*m2**5*m7**8*B0fin(0,0,m2) - 22*m2**7*m7**8*B0fin(0,0,m2) + 32*m1sq*m2**3*m7**10*B0fin(0,0,m2) + 16*m2**5*m7**10*B0fin(0,0,m2) - 4*m2**3*m7**12*B0fin(0,0,m2) + 22*m1**10*m2**3*m7sq*B0fin(0,0,m2) - 86*m1**8*m2**5*m7sq*B0fin(0,0,m2) + 124*m1**6*m2**7*m7sq*B0fin(0,0,m2) - 76*m1**4*m2**9*m7sq*B0fin(0,0,m2) + 14*m1sq*m2**11*m7sq*B0fin(0,0,m2) + 2*m2**13*m7sq*B0fin(0,0,m2) + 56*m1**12*m2**4*B0fin(0,0,m2sq) - 100*m1**10*m2**6*B0fin(0,0,m2sq) + 80*m1**8*m2**8*B0fin(0,0,m2sq) - 20*m1**6*m2**10*B0fin(0,0,m2sq) - 8*m1**4*m2**12*B0fin(0,0,m2sq) + 4*m1sq*m2**14*B0fin(0,0,m2sq) - 12*m1**14*m2sq*B0fin(0,0,m2sq) + 156*m1**8*m2**4*m7**4*B0fin(0,0,m2sq) - 180*m1**6*m2**6*m7**4*B0fin(0,0,m2sq) + 52*m1**4*m2**8*m7**4*B0fin(0,0,m2sq) + 12*m1sq*m2**10*m7**4*B0fin(0,0,m2sq) - 40*m1**10*m2sq*m7**4*B0fin(0,0,m2sq) - 62*m1**6*m2**4*m7**6*B0fin(0,0,m2sq) - 10*m1**4*m2**6*m7**6*B0fin(0,0,m2sq) - 82*m1sq*m2**8*m7**6*B0fin(0,0,m2sq) - 6*m2**10*m7**6*B0fin(0,0,m2sq) + 32*m1**8*m2sq*m7**6*B0fin(0,0,m2sq) + 24*m1**4*m2**4*m7**8*B0fin(0,0,m2sq) + 78*m1sq*m2**6*m7**8*B0fin(0,0,m2sq) + 20*m2**8*m7**8*B0fin(0,0,m2sq) - 26*m1**6*m2sq*m7**8*B0fin(0,0,m2sq) - 20*m1sq*m2**4*m7**10*B0fin(0,0,m2sq) - 17*m2**6*m7**10*B0fin(0,0,m2sq) + 13*m1**4*m2sq*m7**10*B0fin(0,0,m2sq) + 4*m2**4*m7**12*B0fin(0,0,m2sq) - 2*m1sq*m2sq*m7**12*B0fin(0,0,m2sq) - 158*m1**10*m2**4*m7sq*B0fin(0,0,m2sq) + 265*m1**8*m2**6*m7sq*B0fin(0,0,m2sq) - 196*m1**6*m2**8*m7sq*B0fin(0,0,m2sq) + 53*m1**4*m2**10*m7sq*B0fin(0,0,m2sq) + 2*m1sq*m2**12*m7sq*B0fin(0,0,m2sq) - m2**14*m7sq*B0fin(0,0,m2sq) + 35*m1**12*m2sq*m7sq*B0fin(0,0,m2sq) - 8*m1**12*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 40*m1**10*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 80*m1**8*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 80*m1**6*m2**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 40*m1**4*m2**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1sq*m2**14*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 94*m1**8*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1**6*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1**4*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1sq*m2**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 6*m2**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 62*m1**10*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 12*m1**6*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 68*m1**4*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1sq*m2**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 6*m2**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 62*m1**8*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 42*m1**4*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1sq*m2**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m2**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 36*m1**6*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 10*m1sq*m2**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 14*m1**4*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 58*m1**10*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 10*m1**8*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 76*m1**6*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 68*m1**4*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 14*m1sq*m2**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m2**14*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 24*m1**12*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 64*m1**10*m2**4*m7*B0fin(0,0,m7) + 140*m1**8*m2**6*m7*B0fin(0,0,m7) - 160*m1**6*m2**8*m7*B0fin(0,0,m7) + 100*m1**4*m2**10*m7*B0fin(0,0,m7) - 32*m1sq*m2**12*m7*B0fin(0,0,m7) + 4*m2**14*m7*B0fin(0,0,m7) + 12*m1**12*m2sq*m7*B0fin(0,0,m7) - 14*m1**8*m2**4*m7**3*B0fin(0,0,m7) + 76*m1**6*m2**6*m7**3*B0fin(0,0,m7) - 124*m1**4*m2**8*m7**3*B0fin(0,0,m7) + 86*m1sq*m2**10*m7**3*B0fin(0,0,m7) - 22*m2**12*m7**3*B0fin(0,0,m7) - 2*m1**10*m2sq*m7**3*B0fin(0,0,m7) + 64*m1**6*m2**4*m7**5*B0fin(0,0,m7) - 20*m1**4*m2**6*m7**5*B0fin(0,0,m7) - 80*m1sq*m2**8*m7**5*B0fin(0,0,m7) + 54*m2**10*m7**5*B0fin(0,0,m7) - 18*m1**8*m2sq*m7**5*B0fin(0,0,m7) + 10*m1**4*m2**4*m7**7*B0fin(0,0,m7) + 30*m1sq*m2**6*m7**7*B0fin(0,0,m7) - 66*m2**8*m7**7*B0fin(0,0,m7) + 26*m1**6*m2sq*m7**7*B0fin(0,0,m7) - 12*m1sq*m2**4*m7**9*B0fin(0,0,m7) + 38*m2**6*m7**9*B0fin(0,0,m7) - 26*m1**4*m2sq*m7**9*B0fin(0,0,m7) - 8*m2**4*m7**11*B0fin(0,0,m7) + 8*m1sq*m2sq*m7**11*B0fin(0,0,m7) + 17*m1**12*m7**4*B0fin(0,0,m7sq) - 75*m1**8*m2**4*m7**4*B0fin(0,0,m7sq) - 112*m1**6*m2**6*m7**4*B0fin(0,0,m7sq) + 251*m1**4*m2**8*m7**4*B0fin(0,0,m7sq) - 108*m1sq*m2**10*m7**4*B0fin(0,0,m7sq) - m2**12*m7**4*B0fin(0,0,m7sq) + 28*m1**10*m2sq*m7**4*B0fin(0,0,m7sq) - 28*m1**10*m7**6*B0fin(0,0,m7sq) - 60*m1**6*m2**4*m7**6*B0fin(0,0,m7sq) + 28*m1**4*m2**6*m7**6*B0fin(0,0,m7sq) + 72*m1sq*m2**8*m7**6*B0fin(0,0,m7sq) + 4*m2**10*m7**6*B0fin(0,0,m7sq) - 16*m1**8*m2sq*m7**6*B0fin(0,0,m7sq) + 22*m1**8*m7**8*B0fin(0,0,m7sq) - 4*m1**4*m2**4*m7**8*B0fin(0,0,m7sq) - 44*m1sq*m2**6*m7**8*B0fin(0,0,m7sq) + 6*m2**8*m7**8*B0fin(0,0,m7sq) + 20*m1**6*m2sq*m7**8*B0fin(0,0,m7sq) - 8*m1**6*m7**10*B0fin(0,0,m7sq) + 12*m1sq*m2**4*m7**10*B0fin(0,0,m7sq) - 10*m2**6*m7**10*B0fin(0,0,m7sq) + 6*m1**4*m2sq*m7**10*B0fin(0,0,m7sq) + m1**4*m7**12*B0fin(0,0,m7sq) + 3*m2**4*m7**12*B0fin(0,0,m7sq) - 4*m1sq*m2sq*m7**12*B0fin(0,0,m7sq) - 4*m1**14*m7sq*B0fin(0,0,m7sq) + 232*m1**10*m2**4*m7sq*B0fin(0,0,m7sq) - 510*m1**8*m2**6*m7sq*B0fin(0,0,m7sq) + 540*m1**6*m2**8*m7sq*B0fin(0,0,m7sq) - 286*m1**4*m2**10*m7sq*B0fin(0,0,m7sq) + 64*m1sq*m2**12*m7sq*B0fin(0,0,m7sq) - 2*m2**14*m7sq*B0fin(0,0,m7sq) - 34*m1**12*m2sq*m7sq*B0fin(0,0,m7sq) - 38*m1**8*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 48*m1**6*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 164*m1**4*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 116*m1sq*m2**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m2**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 44*m1**10*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 100*m1**6*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 140*m1sq*m2**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m2**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 46*m1**8*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 62*m1**4*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 84*m1sq*m2**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m2**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 48*m1**6*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1sq*m2**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**4*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m2sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 92*m1**10*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 66*m1**8*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 56*m1**6*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 94*m1**4*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 36*m1sq*m2**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m2**14*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 30*m1**12*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 80*m1**8*m2**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 52*m1**6*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 104*m1**4*m2**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 62*m1sq*m2**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 8*m2**12*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 62*m1**10*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 40*m1**6*m2**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 76*m1**4*m2**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 56*m1sq*m2**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 22*m2**10*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 62*m1**8*m2sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 78*m1**4*m2**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 56*m1sq*m2**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 22*m2**8*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 36*m1**6*m2sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m1sq*m2**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 10*m2**6*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 14*m1**4*m2sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m2**4*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1sq*m2sq*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 64*m1**10*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 16*m1**8*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 96*m1**6*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 104*m1**4*m2**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 32*m1sq*m2**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m1**12*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 12*m1**10*m2**4*T134fin(m7,m1,m1) - 30*m1**8*m2**6*T134fin(m7,m1,m1) + 40*m1**6*m2**8*T134fin(m7,m1,m1) - 30*m1**4*m2**10*T134fin(m7,m1,m1) + 12*m1sq*m2**12*T134fin(m7,m1,m1) - 2*m2**14*T134fin(m7,m1,m1) - 2*m1**12*m2sq*T134fin(m7,m1,m1) + 24*m1**6*m2**4*m7**4*T134fin(m7,m1,m1) + 12*m1**4*m2**6*m7**4*T134fin(m7,m1,m1) + 24*m1sq*m2**8*m7**4*T134fin(m7,m1,m1) - 30*m2**10*m7**4*T134fin(m7,m1,m1) - 30*m1**8*m2sq*m7**4*T134fin(m7,m1,m1) + 24*m1**4*m2**4*m7**6*T134fin(m7,m1,m1) + 24*m1sq*m2**6*m7**6*T134fin(m7,m1,m1) + 40*m2**8*m7**6*T134fin(m7,m1,m1) + 40*m1**6*m2sq*m7**6*T134fin(m7,m1,m1) - 36*m1sq*m2**4*m7**8*T134fin(m7,m1,m1) - 30*m2**6*m7**8*T134fin(m7,m1,m1) - 30*m1**4*m2sq*m7**8*T134fin(m7,m1,m1) + 12*m2**4*m7**10*T134fin(m7,m1,m1) + 12*m1sq*m2sq*m7**10*T134fin(m7,m1,m1) - 2*m2sq*m7**12*T134fin(m7,m1,m1) - 36*m1**8*m2**4*m7sq*T134fin(m7,m1,m1) + 24*m1**6*m2**6*m7sq*T134fin(m7,m1,m1) + 24*m1**4*m2**8*m7sq*T134fin(m7,m1,m1) - 36*m1sq*m2**10*m7sq*T134fin(m7,m1,m1) + 12*m2**12*m7sq*T134fin(m7,m1,m1) + 12*m1**10*m2sq*m7sq*T134fin(m7,m1,m1) - 40*m1**10*m2**4*T134fin(m7,m2,m1) + 80*m1**8*m2**6*T134fin(m7,m2,m1) - 80*m1**6*m2**8*T134fin(m7,m2,m1) + 40*m1**4*m2**10*T134fin(m7,m2,m1) - 8*m1sq*m2**12*T134fin(m7,m2,m1) + 8*m1**12*m2sq*T134fin(m7,m2,m1) + 36*m1**6*m2**4*m7**4*T134fin(m7,m2,m1) - 112*m1**4*m2**6*m7**4*T134fin(m7,m2,m1) + 60*m1sq*m2**8*m7**4*T134fin(m7,m2,m1) + 2*m2**10*m7**4*T134fin(m7,m2,m1) + 14*m1**8*m2sq*m7**4*T134fin(m7,m2,m1) - 8*m1**4*m2**4*m7**6*T134fin(m7,m2,m1) - 52*m1sq*m2**6*m7**6*T134fin(m7,m2,m1) - 16*m2**8*m7**6*T134fin(m7,m2,m1) - 52*m1**6*m2sq*m7**6*T134fin(m7,m2,m1) + 40*m1sq*m2**4*m7**8*T134fin(m7,m2,m1) + 20*m2**6*m7**8*T134fin(m7,m2,m1) + 36*m1**4*m2sq*m7**8*T134fin(m7,m2,m1) - 10*m2**4*m7**10*T134fin(m7,m2,m1) - 14*m1sq*m2sq*m7**10*T134fin(m7,m2,m1) + 2*m2sq*m7**12*T134fin(m7,m2,m1) - 6*m1**8*m2**4*m7sq*T134fin(m7,m2,m1) - 20*m1**6*m2**6*m7sq*T134fin(m7,m2,m1) + 36*m1**4*m2**8*m7sq*T134fin(m7,m2,m1) - 18*m1sq*m2**10*m7sq*T134fin(m7,m2,m1) + 2*m2**12*m7sq*T134fin(m7,m2,m1) + 6*m1**10*m2sq*m7sq*T134fin(m7,m2,m1))/(m2**2*(-m1sq + m2sq)**3*(m1 + m2 - m7)**3*(m1 - m2 + m7)**3*(-m1 + m2 + m7)**3*(m1 + m2 + m7)**3*(4*m1sq - m7sq))
		def eval_94():
			return (-32*m1**12*m3**3 + 154*m1**11*m3**4 - 28*m1**12*m3**4 + 77*m1**10*m3**5 - 294*m1**9*m3**6 + 59*m1**10*m3**6 - 48*m1**8*m3**7 + 291*m1**7*m3**8 - 45*m1**8*m3**8 - 7*m1**6*m3**9 - 160*m1**5*m3**10 + m1**6*m3**10 + 10*m1**4*m3**11 + 45*m1**3*m3**12 + 13*m1**4*m3**12 - 4*m1*m3**14 - 4*m1sq*m3**14 - 32*m1**13*m3sq + 4*m1**14*m3sq - 120*m1**10*m3**4*m4 + 297*m1**8*m3**6*m4 - 335*m1**6*m3**8*m4 + 183*m1**4*m3**10*m4 - 45*m1sq*m3**12*m4 + 4*m3**14*m4 + 16*m1**12*m3sq*m4 - 104*m1**8*m3**4*m4**3 + 193*m1**6*m3**6*m4**3 - 142*m1**4*m3**8*m4**3 + 41*m1sq*m3**10*m4**3 - 4*m3**12*m4**3 + 16*m1**10*m3sq*m4**3 - 80*m1**11*m4**4 + 12*m1**12*m4**4 - 40*m1**10*m3*m4**4 - 31*m1**8*m3**3*m4**4 + 46*m1**7*m3**4*m4**4 - 3*m1**8*m3**4*m4**4 + 47*m1**6*m3**5*m4**4 - 166*m1**5*m3**6*m4**4 - 92*m1**4*m3**7*m4**4 + 32*m1**3*m3**8*m4**4 + 48*m1**4*m3**8*m4**4 + 25*m1sq*m3**9*m4**4 + 23*m1*m3**10*m4**4 + 3*m1sq*m3**10*m4**4 + 10*m3**11*m4**4 - 12*m3**12*m4**4 + 226*m1**9*m3sq*m4**4 - 48*m1**10*m3sq*m4**4 + 64*m1**9*m4**6 - 12*m1**10*m4**6 + 32*m1**8*m3*m4**6 - 11*m1**6*m3**3*m4**6 + 72*m1**5*m3**4*m4**6 + 15*m1**6*m3**4*m4**6 + 36*m1**4*m3**5*m4**6 + 62*m1**3*m3**6*m4**6 - 60*m1**4*m3**6*m4**6 + 13*m1sq*m3**7*m4**6 - 38*m1*m3**8*m4**6 - 3*m1sq*m3**8*m4**6 - 16*m3**9*m4**6 + 12*m3**10*m4**6 - 214*m1**7*m3sq*m4**6 + 48*m1**8*m3sq*m4**6 - 16*m1**7*m4**8 + 4*m1**8*m4**8 - 8*m1**6*m3*m4**8 + 7*m1**4*m3**3*m4**8 - 52*m1**3*m3**4*m4**8 + 15*m1**4*m3**4*m4**8 - 14*m1sq*m3**5*m4**8 + 15*m1*m3**6*m4**8 + 5*m1sq*m3**6*m4**8 + 6*m3**7*m4**8 - 4*m3**8*m4**8 + 62*m1**5*m3sq*m4**8 - 20*m1**6*m3sq*m4**8 + 32*m1**13*m4sq - 4*m1**14*m4sq + 16*m1**12*m3*m4sq + 67*m1**10*m3**3*m4sq + 4*m1**9*m3**4*m4sq + m1**10*m3**4*m4sq - 146*m1**8*m3**5*m4sq - 107*m1**7*m3**6*m4sq - 4*m1**8*m3**6*m4sq + 121*m1**6*m3**7*m4sq + 192*m1**5*m3**8*m4sq + 4*m1**6*m3**8*m4sq - 2*m1**4*m3**9*m4sq - 87*m1**3*m3**10*m4sq - 16*m1**4*m3**10*m4sq - 20*m1sq*m3**11*m4sq + 4*m1*m3**12*m4sq - m1sq*m3**12*m4sq + 4*m3**14*m4sq - 74*m1**11*m3sq*m4sq + 16*m1**12*m3sq*m4sq - m1sq*(m3sq - m4sq)*(28*m1**12 - 4*m1**10*(31*m3sq + 17*m4sq) - m1sq*m3**4*(37*m3**6 + 18*m3sq*m4**4 + 26*m4**6 - 68*m3**4*m4sq) + m3**6*(4*m3**6 - 7*m3sq*m4**4 + 7*m4**6 - 8*m3**4*m4sq) - m1**6*(209*m3**6 + 172*m3sq*m4**4 + 12*m4**6 + 102*m3**4*m4sq) + 2*m1**4*(59*m3**8 + 50*m3**4*m4**4 + 20*m3sq*m4**6 - 39*m3**6*m4sq) + 4*m1**8*(55*m3**4 + 13*m4**4 + 56*m3sq*m4sq))*B0del(0,0,m1sq) - m3sq*(m1sq - m4sq)*(2*m1**10*(15*m3sq - 7*m4sq) - m1sq*m3**4*(31*m3**6 + 12*m3sq*m4**4 + m4**6 - 48*m3**4*m4sq) + 2*m3**6*(2*m3**6 - 2*m3sq*m4**4 + m4**6 - m3**4*m4sq) + m1**6*(11*m3**6 + 12*m3sq*m4**4 - 6*m4**6 + 88*m3**4*m4sq) + m1**4*(48*m3**8 + 29*m3**4*m4**4 - 4*m3sq*m4**6 - 110*m3**6*m4sq) + m1**8*(-62*m3**4 + 20*m4**4 - 46*m3sq*m4sq))*B0del(0,0,m3sq) - 104*m1**8*m3**4*m4**4*B0del(0,0,m4sq) + 193*m1**6*m3**6*m4**4*B0del(0,0,m4sq) - 142*m1**4*m3**8*m4**4*B0del(0,0,m4sq) + 41*m1sq*m3**10*m4**4*B0del(0,0,m4sq) - 4*m3**12*m4**4*B0del(0,0,m4sq) + 16*m1**10*m3sq*m4**4*B0del(0,0,m4sq) - 120*m1**10*m3**4*m4sq*B0del(0,0,m4sq) + 297*m1**8*m3**6*m4sq*B0del(0,0,m4sq) - 335*m1**6*m3**8*m4sq*B0del(0,0,m4sq) + 183*m1**4*m3**10*m4sq*B0del(0,0,m4sq) - 45*m1sq*m3**12*m4sq*B0del(0,0,m4sq) + 4*m3**14*m4sq*B0del(0,0,m4sq) + 16*m1**12*m3sq*m4sq*B0del(0,0,m4sq) + 188*m1**11*m3**4*B0fin(0,0,m1) - 292*m1**9*m3**6*B0fin(0,0,m1) + 254*m1**7*m3**8*B0fin(0,0,m1) - 152*m1**5*m3**10*B0fin(0,0,m1) + 58*m1**3*m3**12*B0fin(0,0,m1) - 8*m1*m3**14*B0fin(0,0,m1) - 48*m1**13*m3sq*B0fin(0,0,m1) - 112*m1**11*m4**4*B0fin(0,0,m1) + 188*m1**7*m3**4*m4**4*B0fin(0,0,m1) - 380*m1**5*m3**6*m4**4*B0fin(0,0,m1) + 280*m1**3*m3**8*m4**4*B0fin(0,0,m1) - 50*m1*m3**10*m4**4*B0fin(0,0,m1) + 236*m1**9*m3sq*m4**4*B0fin(0,0,m1) + 80*m1**9*m4**6*B0fin(0,0,m1) + 96*m1**5*m3**4*m4**6*B0fin(0,0,m1) - 92*m1**3*m3**6*m4**6*B0fin(0,0,m1) + 20*m1*m3**8*m4**6*B0fin(0,0,m1) - 212*m1**7*m3sq*m4**6*B0fin(0,0,m1) - 16*m1**7*m4**8*B0fin(0,0,m1) - 2*m1*m3**6*m4**8*B0fin(0,0,m1) + 36*m1**5*m3sq*m4**8*B0fin(0,0,m1) + 48*m1**13*m4sq*B0fin(0,0,m1) - 24*m1**9*m3**4*m4sq*B0fin(0,0,m1) - 214*m1**7*m3**6*m4sq*B0fin(0,0,m1) + 400*m1**5*m3**8*m4sq*B0fin(0,0,m1) - 246*m1**3*m3**10*m4sq*B0fin(0,0,m1) + 40*m1*m3**12*m4sq*B0fin(0,0,m1) - 76*m1**11*m3sq*m4sq*B0fin(0,0,m1) - 68*m1**12*m3**4*B0fin(0,0,m1sq) + 101*m1**10*m3**6*B0fin(0,0,m1sq) - 112*m1**8*m3**8*B0fin(0,0,m1sq) + 101*m1**6*m3**10*B0fin(0,0,m1sq) - 50*m1**4*m3**12*B0fin(0,0,m1sq) + 8*m1sq*m3**14*B0fin(0,0,m1sq) + 20*m1**14*m3sq*B0fin(0,0,m1sq) + 44*m1**12*m4**4*B0fin(0,0,m1sq) - 67*m1**8*m3**4*m4**4*B0fin(0,0,m1sq) + 190*m1**6*m3**6*m4**4*B0fin(0,0,m1sq) - 182*m1**4*m3**8*m4**4*B0fin(0,0,m1sq) - 2*m1sq*m3**10*m4**4*B0fin(0,0,m1sq) + 12*m3**12*m4**4*B0fin(0,0,m1sq) - 76*m1**10*m3sq*m4**4*B0fin(0,0,m1sq) - 28*m1**10*m4**6*B0fin(0,0,m1sq) - 87*m1**6*m3**4*m4**6*B0fin(0,0,m1sq) + 100*m1**4*m3**6*m4**6*B0fin(0,0,m1sq) + 17*m1sq*m3**8*m4**6*B0fin(0,0,m1sq) - 12*m3**10*m4**6*B0fin(0,0,m1sq) + 64*m1**8*m3sq*m4**6*B0fin(0,0,m1sq) + 4*m1**8*m4**8*B0fin(0,0,m1sq) - 5*m1**4*m3**4*m4**8*B0fin(0,0,m1sq) - 12*m1sq*m3**6*m4**8*B0fin(0,0,m1sq) + 4*m3**8*m4**8*B0fin(0,0,m1sq) - 20*m1**14*m4sq*B0fin(0,0,m1sq) + 3*m1**10*m3**4*m4sq*B0fin(0,0,m1sq) + 111*m1**8*m3**6*m4sq*B0fin(0,0,m1sq) - 204*m1**6*m3**8*m4sq*B0fin(0,0,m1sq) + 137*m1**4*m3**10*m4sq*B0fin(0,0,m1sq) - 11*m1sq*m3**12*m4sq*B0fin(0,0,m1sq) - 4*m3**14*m4sq*B0fin(0,0,m1sq) + 24*m1**12*m3sq*m4sq*B0fin(0,0,m1sq) + 93*m1**12*m3**4*B0fin(0,0,m1sq)**2 - 181*m1**10*m3**6*B0fin(0,0,m1sq)**2 + 143*m1**8*m3**8*B0fin(0,0,m1sq)**2 - 45*m1**6*m3**10*B0fin(0,0,m1sq)**2 + 4*m1**4*m3**12*B0fin(0,0,m1sq)**2 - 14*m1**14*m3sq*B0fin(0,0,m1sq)**2 - 34*m1**12*m4**4*B0fin(0,0,m1sq)**2 + 108*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)**2 - 38*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)**2 + 27*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)**2 - 12*m1sq*m3**10*m4**4*B0fin(0,0,m1sq)**2 + 111*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)**2 + 26*m1**10*m4**6*B0fin(0,0,m1sq)**2 - 42*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)**2 - 11*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)**2 + 12*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)**2 - 93*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)**2 - 6*m1**8*m4**8*B0fin(0,0,m1sq)**2 + 5*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)**2 + 23*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)**2 + 14*m1**14*m4sq*B0fin(0,0,m1sq)**2 + 44*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)**2 - 152*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)**2 + 102*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)**2 - 25*m1**4*m3**10*m4sq*B0fin(0,0,m1sq)**2 + 4*m1sq*m3**12*m4sq*B0fin(0,0,m1sq)**2 - 59*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)**2 - 56*m1**12*m3**3*B0fin(0,0,m3) + 94*m1**10*m3**5*B0fin(0,0,m3) + 52*m1**8*m3**7*B0fin(0,0,m3) - 178*m1**6*m3**9*B0fin(0,0,m3) + 104*m1**4*m3**11*B0fin(0,0,m3) - 16*m1sq*m3**13*B0fin(0,0,m3) - 56*m1**10*m3*m4**4*B0fin(0,0,m3) - 170*m1**8*m3**3*m4**4*B0fin(0,0,m3) + 142*m1**6*m3**5*m4**4*B0fin(0,0,m3) - 208*m1**4*m3**7*m4**4*B0fin(0,0,m3) + 158*m1sq*m3**9*m4**4*B0fin(0,0,m3) - 28*m3**11*m4**4*B0fin(0,0,m3) + 40*m1**8*m3*m4**6*B0fin(0,0,m3) + 86*m1**6*m3**3*m4**6*B0fin(0,0,m3) + 48*m1**4*m3**5*m4**6*B0fin(0,0,m3) - 82*m1sq*m3**7*m4**6*B0fin(0,0,m3) + 16*m3**9*m4**6*B0fin(0,0,m3) - 8*m1**6*m3*m4**8*B0fin(0,0,m3) - 30*m1**4*m3**3*m4**8*B0fin(0,0,m3) + 24*m1sq*m3**5*m4**8*B0fin(0,0,m3) - 4*m3**7*m4**8*B0fin(0,0,m3) + 24*m1**12*m3*m4sq*B0fin(0,0,m3) + 170*m1**10*m3**3*m4sq*B0fin(0,0,m3) - 308*m1**8*m3**5*m4sq*B0fin(0,0,m3) + 242*m1**6*m3**7*m4sq*B0fin(0,0,m3) + 4*m1**4*m3**9*m4sq*B0fin(0,0,m3) - 76*m1sq*m3**11*m4sq*B0fin(0,0,m3) + 16*m3**13*m4sq*B0fin(0,0,m3) + 30*m1**12*m3**4*B0fin(0,0,m3sq) - 61*m1**10*m3**6*B0fin(0,0,m3sq) + 4*m1**8*m3**8*B0fin(0,0,m3sq) + 63*m1**6*m3**10*B0fin(0,0,m3sq) - 44*m1**4*m3**12*B0fin(0,0,m3sq) + 8*m1sq*m3**14*B0fin(0,0,m3sq) + 61*m1**8*m3**4*m4**4*B0fin(0,0,m3sq) - 71*m1**6*m3**6*m4**4*B0fin(0,0,m3sq) + 98*m1**4*m3**8*m4**4*B0fin(0,0,m3sq) - 55*m1sq*m3**10*m4**4*B0fin(0,0,m3sq) + 14*m3**12*m4**4*B0fin(0,0,m3sq) + 34*m1**10*m3sq*m4**4*B0fin(0,0,m3sq) - 19*m1**6*m3**4*m4**6*B0fin(0,0,m3sq) - 18*m1**4*m3**6*m4**6*B0fin(0,0,m3sq) + 17*m1sq*m3**8*m4**6*B0fin(0,0,m3sq) - 8*m3**10*m4**6*B0fin(0,0,m3sq) - 26*m1**8*m3sq*m4**6*B0fin(0,0,m3sq) + 5*m1**4*m3**4*m4**8*B0fin(0,0,m3sq) - 4*m1sq*m3**6*m4**8*B0fin(0,0,m3sq) + 2*m3**8*m4**8*B0fin(0,0,m3sq) + 6*m1**6*m3sq*m4**8*B0fin(0,0,m3sq) - 77*m1**10*m3**4*m4sq*B0fin(0,0,m3sq) + 154*m1**8*m3**6*m4sq*B0fin(0,0,m3sq) - 121*m1**6*m3**8*m4sq*B0fin(0,0,m3sq) + 30*m1sq*m3**12*m4sq*B0fin(0,0,m3sq) - 8*m3**14*m4sq*B0fin(0,0,m3sq) - 14*m1**12*m3sq*m4sq*B0fin(0,0,m3sq) - 62*m1**12*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 142*m1**10*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 77*m1**8*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 28*m1**6*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 29*m1**4*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1sq*m3**14*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 146*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 102*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 23*m1sq*m3**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 50*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 144*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 30*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 38*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 26*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 36*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 15*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 116*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 189*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 276*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 137*m1**4*m3**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 12*m1sq*m3**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 30*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 16*m1**12*m3**4*B0fin(0,0,m3sq)**2 - 40*m1**10*m3**6*B0fin(0,0,m3sq)**2 + 33*m1**8*m3**8*B0fin(0,0,m3sq)**2 - 10*m1**6*m3**10*B0fin(0,0,m3sq)**2 + m1**4*m3**12*B0fin(0,0,m3sq)**2 + 96*m1**8*m3**4*m4**4*B0fin(0,0,m3sq)**2 - 16*m1**6*m3**6*m4**4*B0fin(0,0,m3sq)**2 + 6*m1**4*m3**8*m4**4*B0fin(0,0,m3sq)**2 - 6*m1sq*m3**10*m4**4*B0fin(0,0,m3sq)**2 + m3**12*m4**4*B0fin(0,0,m3sq)**2 - 64*m1**6*m3**4*m4**6*B0fin(0,0,m3sq)**2 + 12*m1sq*m3**8*m4**6*B0fin(0,0,m3sq)**2 - 2*m3**10*m4**6*B0fin(0,0,m3sq)**2 + 16*m1**4*m3**4*m4**8*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**6*m4**8*B0fin(0,0,m3sq)**2 + m3**8*m4**8*B0fin(0,0,m3sq)**2 - 64*m1**10*m3**4*m4sq*B0fin(0,0,m3sq)**2 + 64*m1**8*m3**6*m4sq*B0fin(0,0,m3sq)**2 - 52*m1**6*m3**8*m4sq*B0fin(0,0,m3sq)**2 + 18*m1**4*m3**10*m4sq*B0fin(0,0,m3sq)**2 - 2*m1sq*m3**12*m4sq*B0fin(0,0,m3sq)**2 - 240*m1**10*m3**4*m4*B0fin(0,0,m4) + 594*m1**8*m3**6*m4*B0fin(0,0,m4) - 670*m1**6*m3**8*m4*B0fin(0,0,m4) + 366*m1**4*m3**10*m4*B0fin(0,0,m4) - 90*m1sq*m3**12*m4*B0fin(0,0,m4) + 8*m3**14*m4*B0fin(0,0,m4) + 32*m1**12*m3sq*m4*B0fin(0,0,m4) - 208*m1**8*m3**4*m4**3*B0fin(0,0,m4) + 386*m1**6*m3**6*m4**3*B0fin(0,0,m4) - 284*m1**4*m3**8*m4**3*B0fin(0,0,m4) + 82*m1sq*m3**10*m4**3*B0fin(0,0,m4) - 8*m3**12*m4**3*B0fin(0,0,m4) + 32*m1**10*m3sq*m4**3*B0fin(0,0,m4) + 104*m1**8*m3**4*m4**4*B0fin(0,0,m4sq) - 193*m1**6*m3**6*m4**4*B0fin(0,0,m4sq) + 142*m1**4*m3**8*m4**4*B0fin(0,0,m4sq) - 41*m1sq*m3**10*m4**4*B0fin(0,0,m4sq) + 4*m3**12*m4**4*B0fin(0,0,m4sq) - 16*m1**10*m3sq*m4**4*B0fin(0,0,m4sq) + 120*m1**10*m3**4*m4sq*B0fin(0,0,m4sq) - 297*m1**8*m3**6*m4sq*B0fin(0,0,m4sq) + 335*m1**6*m3**8*m4sq*B0fin(0,0,m4sq) - 183*m1**4*m3**10*m4sq*B0fin(0,0,m4sq) + 45*m1sq*m3**12*m4sq*B0fin(0,0,m4sq) - 4*m3**14*m4sq*B0fin(0,0,m4sq) - 16*m1**12*m3sq*m4sq*B0fin(0,0,m4sq) - 208*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 386*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 284*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 82*m1**4*m3**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m3**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 32*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 104*m1**8*m3**4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 193*m1**6*m3**6*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 142*m1**4*m3**8*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 41*m1sq*m3**10*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m3**12*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 16*m1**10*m3sq*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 88*m1**10*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 89*m1**8*m3**6*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 51*m1**6*m3**8*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 101*m1**4*m3**10*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 37*m1sq*m3**12*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m3**14*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 16*m1**12*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 102*m1**10*m3**4*T134fin(m3,m1,m1) + 242*m1**8*m3**6*T134fin(m3,m1,m1) - 267*m1**6*m3**8*T134fin(m3,m1,m1) + 150*m1**4*m3**10*T134fin(m3,m1,m1) - 41*m1sq*m3**12*T134fin(m3,m1,m1) + 4*m3**14*T134fin(m3,m1,m1) + 14*m1**12*m3sq*T134fin(m3,m1,m1) + 34*m1**10*m4**4*T134fin(m3,m1,m1) - 27*m1**6*m3**4*m4**4*T134fin(m3,m1,m1) + 86*m1**4*m3**6*m4**4*T134fin(m3,m1,m1) - 40*m1sq*m3**8*m4**4*T134fin(m3,m1,m1) - 134*m1**8*m3sq*m4**4*T134fin(m3,m1,m1) - 26*m1**8*m4**6*T134fin(m3,m1,m1) - 30*m1**4*m3**4*m4**6*T134fin(m3,m1,m1) - 10*m1sq*m3**6*m4**6*T134fin(m3,m1,m1) + 8*m3**8*m4**6*T134fin(m3,m1,m1) + 112*m1**6*m3sq*m4**6*T134fin(m3,m1,m1) + 6*m1**6*m4**8*T134fin(m3,m1,m1) + 17*m1sq*m3**4*m4**8*T134fin(m3,m1,m1) - 4*m3**6*m4**8*T134fin(m3,m1,m1) - 28*m1**4*m3sq*m4**8*T134fin(m3,m1,m1) - 14*m1**12*m4sq*T134fin(m3,m1,m1) - 82*m1**8*m3**4*m4sq*T134fin(m3,m1,m1) + 176*m1**6*m3**6*m4sq*T134fin(m3,m1,m1) - 178*m1**4*m3**8*m4sq*T134fin(m3,m1,m1) + 74*m1sq*m3**10*m4sq*T134fin(m3,m1,m1) - 8*m3**12*m4sq*T134fin(m3,m1,m1) + 68*m1**10*m3sq*m4sq*T134fin(m3,m1,m1) - 40*m1**10*m3**4*T134fin(m3,m3,m1) + 33*m1**8*m3**6*T134fin(m3,m3,m1) - 10*m1**6*m3**8*T134fin(m3,m3,m1) + m1**4*m3**10*T134fin(m3,m3,m1) + 16*m1**12*m3sq*T134fin(m3,m3,m1) - 16*m1**6*m3**4*m4**4*T134fin(m3,m3,m1) + 6*m1**4*m3**6*m4**4*T134fin(m3,m3,m1) - 6*m1sq*m3**8*m4**4*T134fin(m3,m3,m1) + m3**10*m4**4*T134fin(m3,m3,m1) + 96*m1**8*m3sq*m4**4*T134fin(m3,m3,m1) + 12*m1sq*m3**6*m4**6*T134fin(m3,m3,m1) - 2*m3**8*m4**6*T134fin(m3,m3,m1) - 64*m1**6*m3sq*m4**6*T134fin(m3,m3,m1) - 8*m1sq*m3**4*m4**8*T134fin(m3,m3,m1) + m3**6*m4**8*T134fin(m3,m3,m1) + 16*m1**4*m3sq*m4**8*T134fin(m3,m3,m1) + 64*m1**8*m3**4*m4sq*T134fin(m3,m3,m1) - 52*m1**6*m3**6*m4sq*T134fin(m3,m3,m1) + 18*m1**4*m3**8*m4sq*T134fin(m3,m3,m1) - 2*m1sq*m3**10*m4sq*T134fin(m3,m3,m1) - 64*m1**10*m3sq*m4sq*T134fin(m3,m3,m1) + 120*m1**10*m3**4*T134fin(m4,m3,m1) - 297*m1**8*m3**6*T134fin(m4,m3,m1) + 335*m1**6*m3**8*T134fin(m4,m3,m1) - 183*m1**4*m3**10*T134fin(m4,m3,m1) + 45*m1sq*m3**12*T134fin(m4,m3,m1) - 4*m3**14*T134fin(m4,m3,m1) - 16*m1**12*m3sq*T134fin(m4,m3,m1) + 104*m1**8*m3**4*m4sq*T134fin(m4,m3,m1) - 193*m1**6*m3**6*m4sq*T134fin(m4,m3,m1) + 142*m1**4*m3**8*m4sq*T134fin(m4,m3,m1) - 41*m1sq*m3**10*m4sq*T134fin(m4,m3,m1) + 4*m3**12*m4sq*T134fin(m4,m3,m1) - 16*m1**10*m3sq*m4sq*T134fin(m4,m3,m1))/(m3**2*(-2*m1 + m3)**2*(2*m1 + m3)**2*(m1sq - m3sq)**2*(-m1sq + 4*m3sq)*(m1sq - m4sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq)))
		def eval_95():
			return (4*m1**13 - m1**14 + 4*m1**12*m5 - 16*m1**10*m5**3 + 24*m1**9*m5**4 + 43*m1**10*m5**4 + 24*m1**8*m5**5 - 16*m1**7*m5**6 - 83*m1**8*m5**6 - 16*m1**6*m5**7 + 4*m1**5*m5**8 + 77*m1**6*m5**8 + 4*m1**4*m5**9 - 37*m1**4*m5**10 + 9*m1sq*m5**12 - m5**14 - 16*m1**11*m5sq - 7*m1**12*m5sq + 4*m1**12*m7 + 24*m1**8*m5**4*m7 - 16*m1**6*m5**6*m7 + 4*m1**4*m5**8*m7 - 16*m1**10*m5sq*m7 - 26*m1**10*m7**3 + 66*m1**6*m5**4*m7**3 - 46*m1**4*m5**6*m7**3 + 6*m1**8*m5sq*m7**3 + 54*m1**9*m7**4 - 15*m1**10*m7**4 + 54*m1**8*m5*m7**4 - 84*m1**6*m5**3*m7**4 - 66*m1**5*m5**4*m7**4 + 62*m1**6*m5**4*m7**4 - 66*m1**4*m5**5*m7**4 + 38*m1**4*m5**6*m7**4 + 25*m1sq*m5**8*m7**4 - 21*m5**10*m7**4 - 84*m1**7*m5sq*m7**4 + 7*m1**8*m5sq*m7**4 + 54*m1**8*m7**5 - 66*m1**4*m5**4*m7**5 - 84*m1**6*m5sq*m7**5 - 46*m1**7*m7**6 + 47*m1**8*m7**6 - 46*m1**6*m5*m7**6 + 94*m1**4*m5**3*m7**6 + 26*m1**4*m5**4*m7**6 + 40*m1sq*m5**6*m7**6 + 35*m5**8*m7**6 + 94*m1**5*m5sq*m7**6 + 44*m1**6*m5sq*m7**6 - 46*m1**6*m7**7 + 94*m1**4*m5sq*m7**7 + 14*m1**5*m7**8 - 67*m1**6*m7**8 + 14*m1**4*m5*m7**8 - 85*m1sq*m5**4*m7**8 - 35*m5**6*m7**8 - 129*m1**4*m5sq*m7**8 + 14*m1**4*m7**9 + 45*m1**4*m7**10 + 21*m5**4*m7**10 + 56*m1sq*m5sq*m7**10 - 13*m1sq*m7**12 - 7*m5sq*m7**12 + m7**14 - 26*m1**11*m7sq + 3*m1**12*m7sq - 26*m1**10*m5*m7sq + 6*m1**8*m5**3*m7sq + 66*m1**7*m5**4*m7sq - 67*m1**8*m5**4*m7sq + 66*m1**6*m5**5*m7sq - 46*m1**5*m5**6*m7sq - 4*m1**6*m5**6*m7sq - 46*m1**4*m5**7*m7sq + 57*m1**4*m5**8*m7sq - 32*m1sq*m5**10*m7sq + 7*m5**12*m7sq + 6*m1**9*m5sq*m7sq + 36*m1**10*m5sq*m7sq - 12*m1**6*m7sq*(m1**6 + 3*m5**6 - 5*m5sq*m7**4 - m7**6 + m1**4*(m5sq - 3*m7sq) + 3*m5**4*m7sq + m1sq*(-5*m5**4 + 3*m7**4 + 4*m5sq*m7sq))*B0del(0,0,m1sq) - 12*m1**4*m5sq*m7sq*(m1**6 + 3*m5**6 - 5*m5sq*m7**4 - m7**6 + m1**4*(m5sq - 3*m7sq) + 3*m5**4*m7sq + m1sq*(-5*m5**4 + 3*m7**4 + 4*m5sq*m7sq))*B0del(0,0,m5sq) - 12*m1**10*m7**4*B0del(0,0,m7sq) + 60*m1**6*m5**4*m7**4*B0del(0,0,m7sq) - 36*m1**4*m5**6*m7**4*B0del(0,0,m7sq) - 12*m1**8*m5sq*m7**4*B0del(0,0,m7sq) + 36*m1**8*m7**6*B0del(0,0,m7sq) - 36*m1**4*m5**4*m7**6*B0del(0,0,m7sq) - 48*m1**6*m5sq*m7**6*B0del(0,0,m7sq) - 36*m1**6*m7**8*B0del(0,0,m7sq) + 60*m1**4*m5sq*m7**8*B0del(0,0,m7sq) + 12*m1**4*m7**10*B0del(0,0,m7sq) + 4*m1**13*B0fin(0,0,m1) + 24*m1**9*m5**4*B0fin(0,0,m1) - 16*m1**7*m5**6*B0fin(0,0,m1) + 4*m1**5*m5**8*B0fin(0,0,m1) - 16*m1**11*m5sq*B0fin(0,0,m1) - 36*m1**9*m7**4*B0fin(0,0,m1) + 12*m1**5*m5**4*m7**4*B0fin(0,0,m1) + 24*m1**7*m5sq*m7**4*B0fin(0,0,m1) + 44*m1**7*m7**6*B0fin(0,0,m1) - 44*m1**5*m5sq*m7**6*B0fin(0,0,m1) - 16*m1**5*m7**8*B0fin(0,0,m1) + 4*m1**11*m7sq*B0fin(0,0,m1) - 84*m1**7*m5**4*m7sq*B0fin(0,0,m1) + 44*m1**5*m5**6*m7sq*B0fin(0,0,m1) + 36*m1**9*m5sq*m7sq*B0fin(0,0,m1) - 2*m1**14*B0fin(0,0,m1sq) - 4*m1**10*m5**4*B0fin(0,0,m1sq) - 4*m1**8*m5**6*B0fin(0,0,m1sq) + 6*m1**6*m5**8*B0fin(0,0,m1sq) - 2*m1**4*m5**10*B0fin(0,0,m1sq) + 6*m1**12*m5sq*B0fin(0,0,m1sq) + 4*m1**10*m7**4*B0fin(0,0,m1sq) - 84*m1**6*m5**4*m7**4*B0fin(0,0,m1sq) + 88*m1**4*m5**6*m7**4*B0fin(0,0,m1sq) - 56*m1**8*m5sq*m7**4*B0fin(0,0,m1sq) + 32*m1**8*m7**6*B0fin(0,0,m1sq) - 52*m1**4*m5**4*m7**6*B0fin(0,0,m1sq) + 124*m1**6*m5sq*m7**6*B0fin(0,0,m1sq) - 50*m1**6*m7**8*B0fin(0,0,m1sq) - 22*m1**4*m5sq*m7**8*B0fin(0,0,m1sq) + 20*m1**4*m7**10*B0fin(0,0,m1sq) - 4*m1**12*m7sq*B0fin(0,0,m1sq) + 84*m1**8*m5**4*m7sq*B0fin(0,0,m1sq) + 4*m1**6*m5**6*m7sq*B0fin(0,0,m1sq) - 32*m1**4*m5**8*m7sq*B0fin(0,0,m1sq) - 52*m1**10*m5sq*m7sq*B0fin(0,0,m1sq) + 4*m1**12*m5*B0fin(0,0,m5) - 16*m1**10*m5**3*B0fin(0,0,m5) + 24*m1**8*m5**5*B0fin(0,0,m5) - 16*m1**6*m5**7*B0fin(0,0,m5) + 4*m1**4*m5**9*B0fin(0,0,m5) - 36*m1**8*m5*m7**4*B0fin(0,0,m5) + 24*m1**6*m5**3*m7**4*B0fin(0,0,m5) + 12*m1**4*m5**5*m7**4*B0fin(0,0,m5) + 44*m1**6*m5*m7**6*B0fin(0,0,m5) - 44*m1**4*m5**3*m7**6*B0fin(0,0,m5) - 16*m1**4*m5*m7**8*B0fin(0,0,m5) + 4*m1**10*m5*m7sq*B0fin(0,0,m5) + 36*m1**8*m5**3*m7sq*B0fin(0,0,m5) - 84*m1**6*m5**5*m7sq*B0fin(0,0,m5) + 44*m1**4*m5**7*m7sq*B0fin(0,0,m5) - 2*m1**14*B0fin(0,0,m5sq) - 4*m1**10*m5**4*B0fin(0,0,m5sq) - 4*m1**8*m5**6*B0fin(0,0,m5sq) + 6*m1**6*m5**8*B0fin(0,0,m5sq) - 2*m1**4*m5**10*B0fin(0,0,m5sq) + 6*m1**12*m5sq*B0fin(0,0,m5sq) + 6*m1**10*m7**4*B0fin(0,0,m5sq) - 144*m1**6*m5**4*m7**4*B0fin(0,0,m5sq) - 68*m1**4*m5**6*m7**4*B0fin(0,0,m5sq) - 38*m1sq*m5**8*m7**4*B0fin(0,0,m5sq) + 6*m5**10*m7**4*B0fin(0,0,m5sq) + 190*m1**8*m5sq*m7**4*B0fin(0,0,m5sq) - 35*m1**8*m7**6*B0fin(0,0,m5sq) + 70*m1**4*m5**4*m7**6*B0fin(0,0,m5sq) + 32*m1sq*m5**6*m7**6*B0fin(0,0,m5sq) - 15*m5**8*m7**6*B0fin(0,0,m5sq) - 204*m1**6*m5sq*m7**6*B0fin(0,0,m5sq) + 50*m1**6*m7**8*B0fin(0,0,m5sq) + 12*m1sq*m5**4*m7**8*B0fin(0,0,m5sq) + 20*m5**6*m7**8*B0fin(0,0,m5sq) + 102*m1**4*m5sq*m7**8*B0fin(0,0,m5sq) - 33*m1**4*m7**10*B0fin(0,0,m5sq) - 15*m5**4*m7**10*B0fin(0,0,m5sq) - 28*m1sq*m5sq*m7**10*B0fin(0,0,m5sq) + 10*m1sq*m7**12*B0fin(0,0,m5sq) + 6*m5sq*m7**12*B0fin(0,0,m5sq) - m7**14*B0fin(0,0,m5sq) + 5*m1**12*m7sq*B0fin(0,0,m5sq) + 81*m1**8*m5**4*m7sq*B0fin(0,0,m5sq) + 44*m1**6*m5**6*m7sq*B0fin(0,0,m5sq) - 69*m1**4*m5**8*m7sq*B0fin(0,0,m5sq) + 12*m1sq*m5**10*m7sq*B0fin(0,0,m5sq) - m5**12*m7sq*B0fin(0,0,m5sq) - 72*m1**10*m5sq*m7sq*B0fin(0,0,m5sq) + 24*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 72*m1**6*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 36*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 48*m1**4*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 36*m1**6*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 24*m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**4*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 6*m1**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 6*m1**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 24*m1**8*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**6*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 18*m1**4*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 12*m1**10*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**12*m7*B0fin(0,0,m7) + 24*m1**8*m5**4*m7*B0fin(0,0,m7) - 16*m1**6*m5**6*m7*B0fin(0,0,m7) + 4*m1**4*m5**8*m7*B0fin(0,0,m7) - 16*m1**10*m5sq*m7*B0fin(0,0,m7) + 4*m1**10*m7**3*B0fin(0,0,m7) - 84*m1**6*m5**4*m7**3*B0fin(0,0,m7) + 44*m1**4*m5**6*m7**3*B0fin(0,0,m7) + 36*m1**8*m5sq*m7**3*B0fin(0,0,m7) - 36*m1**8*m7**5*B0fin(0,0,m7) + 12*m1**4*m5**4*m7**5*B0fin(0,0,m7) + 24*m1**6*m5sq*m7**5*B0fin(0,0,m7) + 44*m1**6*m7**7*B0fin(0,0,m7) - 44*m1**4*m5sq*m7**7*B0fin(0,0,m7) - 16*m1**4*m7**9*B0fin(0,0,m7) + 46*m1**10*m7**4*B0fin(0,0,m7sq) + 252*m1**6*m5**4*m7**4*B0fin(0,0,m7sq) - 148*m1**4*m5**6*m7**4*B0fin(0,0,m7sq) + 38*m1sq*m5**8*m7**4*B0fin(0,0,m7sq) - 6*m5**10*m7**4*B0fin(0,0,m7sq) - 182*m1**8*m5sq*m7**4*B0fin(0,0,m7sq) - 5*m1**8*m7**6*B0fin(0,0,m7sq) + 38*m1**4*m5**4*m7**6*B0fin(0,0,m7sq) - 32*m1sq*m5**6*m7**6*B0fin(0,0,m7sq) + 15*m5**8*m7**6*B0fin(0,0,m7sq) + 32*m1**6*m5sq*m7**6*B0fin(0,0,m7sq) - 52*m1**6*m7**8*B0fin(0,0,m7sq) - 12*m1sq*m5**4*m7**8*B0fin(0,0,m7sq) - 20*m5**6*m7**8*B0fin(0,0,m7sq) + 52*m1**4*m5sq*m7**8*B0fin(0,0,m7sq) + 41*m1**4*m7**10*B0fin(0,0,m7sq) + 15*m5**4*m7**10*B0fin(0,0,m7sq) + 28*m1sq*m5sq*m7**10*B0fin(0,0,m7sq) - 10*m1sq*m7**12*B0fin(0,0,m7sq) - 6*m5sq*m7**12*B0fin(0,0,m7sq) + m7**14*B0fin(0,0,m7sq) - 21*m1**12*m7sq*B0fin(0,0,m7sq) - 93*m1**8*m5**4*m7sq*B0fin(0,0,m7sq) + 32*m1**6*m5**6*m7sq*B0fin(0,0,m7sq) + 17*m1**4*m5**8*m7sq*B0fin(0,0,m7sq) - 12*m1sq*m5**10*m7sq*B0fin(0,0,m7sq) + m5**12*m7sq*B0fin(0,0,m7sq) + 76*m1**10*m5sq*m7sq*B0fin(0,0,m7sq) + 12*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 36*m1**6*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 48*m1**8*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 48*m1**4*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**6*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 36*m1**8*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 48*m1**6*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 18*m1**4*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m1**10*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 24*m1**6*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 36*m1**4*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 36*m1**8*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 36*m1**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 12*m1**4*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 72*m1**6*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 24*m1**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 36*m1**4*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1**12*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 36*m1**8*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 48*m1**6*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 18*m1**4*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 36*m1**8*m7**4*T134fin(m7,m5,m1) + 36*m1**4*m5**4*m7**4*T134fin(m7,m5,m1) + 48*m1**6*m5sq*m7**4*T134fin(m7,m5,m1) + 36*m1**6*m7**6*T134fin(m7,m5,m1) - 60*m1**4*m5sq*m7**6*T134fin(m7,m5,m1) - 12*m1**4*m7**8*T134fin(m7,m5,m1) + 12*m1**10*m7sq*T134fin(m7,m5,m1) - 60*m1**6*m5**4*m7sq*T134fin(m7,m5,m1) + 36*m1**4*m5**6*m7sq*T134fin(m7,m5,m1) + 12*m1**8*m5sq*m7sq*T134fin(m7,m5,m1))/(6.*m1**4*(m1 + m5 - m7)**4*(m1 - m5 + m7)**4*(-m1 + m5 + m7)**4*(m1 + m5 + m7)**4)
		def eval_96():
			return (-4*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**4*(m3 + 2*m5)**2 + 16*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2 + 16*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2 - 64*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5**8*(m3**3 - 4*m3*m5sq)**2 + m1sq*(m1sq - m2sq)*m2sq*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2 - m1sq*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2 + m2sq*(-m1sq + m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2 + (m1sq - m2sq)*m3**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2 - 2*(m1sq - m2sq)*m3**6*(m3 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2 - 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m3 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2 + 2*m1sq*(m1sq - m2sq)*m3sq*(m3 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 2*m5sq)*(m3**3 - 4*m3*m5sq)**2 + 2*(m1sq - m2sq)*m2sq*m3sq*(m3 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 2*m5sq)*(m3**3 - 4*m3*m5sq)**2 + 4*m1sq*(m1sq - m2sq)*m2sq*(m3 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2 + 4*(m1sq - m2sq)*m3**4*(m3 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2 + m1sq*(m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m2sq) + m1sq*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) + (m1sq - m2sq)*m2sq*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) - 2*(m1sq - m2sq)*m3**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) - 2*m1sq*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) + 2*m2sq*(-m1sq + m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) + 6*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) - 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m3sq) - 4*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**4*(m3 + 2*m5)**2*B0del(0,0,m5sq) + 16*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2*B0del(0,0,m5sq) + 16*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2*B0del(0,0,m5sq) + 2*m1sq*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0del(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m3**6*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0del(0,0,m5sq) + 2*m2sq*(-m1sq + m2sq)*m3**6*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0del(0,0,m5sq) + 2*(m1sq - m2sq)*m3**8*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - 4*m5sq)**2*m5sq*B0del(0,0,m5sq) - 64*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5**8*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) - m2sq*(m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) + m1sq*(m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) + m1sq*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) + (m1sq - m2sq)*m2sq*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) - 2*(m1sq - m2sq)*m3**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) + 2*m2sq*(-m1sq + m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) + 6*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0del(0,0,m5sq) - m1sq*(m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m2sq) - m1sq*(m1sq - m2sq)*m2sq*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq) + 2*m1sq*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq) + 2*(m1sq - m2sq)*m2sq*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq) - 6*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq) + 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq) + (m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)) - (m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)) - (m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) + m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) - 4*m1sq*(m1sq - m2sq)*m2sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) + 4*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) + 12*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**4*(m3 + 2*m5)**2*B0fin(0,0,m5sq) - 48*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2*B0fin(0,0,m5sq) + 48*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2*B0fin(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq) + 2*m1sq*(m1sq - m2sq)*m3**6*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq) + 2*(m1sq - m2sq)*m2sq*m3**6*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq) - 2*(m1sq - m2sq)*m3**8*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - 4*m5sq)**2*m5sq*B0fin(0,0,m5sq) + 192*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5**8*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) + m2sq*(m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) - m1sq*(m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) - m1sq*(m1sq - m2sq)*m2sq*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) + (m1sq - m2sq)*m3**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) + 2*m1sq*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) + 2*(m1sq - m2sq)*m2sq*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) - 6*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) + 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m5sq) + m1sq*(m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m2sq*(m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + (m1sq - m2sq)*m2sq*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*(m1sq - m2sq)*m3**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*m2sq*(-m1sq + m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 6*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m2sq*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**4*(m3 + 2*m5)**2*B0fin(0,0,m5sq)**2 + 8*m1sq*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2*B0fin(0,0,m5sq)**2 + 8*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**6*(m3 + 2*m5)**2*B0fin(0,0,m5sq)**2 - 32*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3 - 2*m5)**2*m5**8*(m3 + 2*m5)**2*B0fin(0,0,m5sq)**2 + m1sq*(m1sq - m2sq)*m2sq*m3**4*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq)**2 - m1sq*(m1sq - m2sq)*m3**6*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq)**2 + m2sq*(-m1sq + m2sq)*m3**6*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq)**2 + (m1sq - m2sq)*m3**8*(m1sq - m3sq)*(m2sq - m3sq)*(m3 - 2*m5)**2*(m3 + 2*m5)**2*m5sq*B0fin(0,0,m5sq)**2 - (m2sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m1) + (m1sq - m3sq)**2*m3sq*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m2) + 2*(m1sq - m2sq)*m3**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m3) - m1sq*(m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 2*m5sq)*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m3) + m2sq*(-m1sq + m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 2*m5sq)*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m3) + 2*m1sq*(m1sq - m2sq)*m2sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m3) - 6*(m1sq - m2sq)*m3**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3**3 - 4*m3*m5sq)**2*T134fin(m5,m5,m3))/((m1sq - m2sq)*m3**2*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 - 2*m5)**2*(m3 + 2*m5)**2*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3**3 - 4*m3*m5sq)**2)
		def eval_97():
			return -((m1sq*m2**4)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2)) + m2**6/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m2**4*m4sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m1sq*m2sq*m4sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2**4)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) + (2*m1sq*m2sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) - (2*m1sq*m4sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) + (2*m2sq*m4sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) - (4*m1sq*m5sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) + (4*m2sq*m5sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) - (4*m4sq*m5sq)/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) + (4*m1sq*m4sq*m5sq)/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)) + (4*m1sq*m5**4)/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) + (16*m5**6)/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) + (m1sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m1sq*m2**4*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2**6*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m2**4*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (6*m2**4*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m1sq*m2sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m1sq*m4sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2sq*m4sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m4sq*B0del(0,0,m4sq))/((m2sq - m4sq)**2*(-m1sq + m4sq)*(m4sq - 4*m5sq)) + (m1sq*m2**4*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2**6*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m2**4*m4sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m1sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m4sq*B0del(0,0,m5sq))/((m2sq - m4sq)**2*(-m1sq + m4sq)*(m4sq - 4*m5sq)) + (6*m2**4*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m1sq*m2sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m1sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m2sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (2*m2**4*m5sq*B0del(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) - (2*m1sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (2*m2sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (4*m1sq*m5**4*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) + (16*m5**6*B0del(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) - (m1sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m1sq*m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (6*m2**4*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m2sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m4sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m2sq*m4sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - 4*m5sq)) + (m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) - (m2**4*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m1sq*m4sq*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (4*m2sq*m5sq*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (4*m1sq*m4sq*m5sq*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m4 + 2*m5 + 2*m4*B0fin(0,0,m4) + 4*m5*B0fin(0,0,m5))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - 4*m5sq)) + (m2**6*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m1sq*m2sq*m4sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m1sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m4sq*B0fin(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - 4*m5sq)) - (6*m2**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m2sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m2sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m2**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) - (2*m1sq*m2sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (2*m1sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (2*m2sq*m4sq*m5sq*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (12*m1sq*m5**4*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) + (48*m5**6*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) + (m1sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m1sq*m2**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (6*m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m1sq*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m1sq*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (2*m2sq*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m2sq - m4sq)**2*(-m1sq + m4sq)*(m4sq - 4*m5sq)) + (m1sq*m2sq*m5sq*B0fin(0,0,m5sq)**2)/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (m2**4*m5sq*B0fin(0,0,m5sq)**2)/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) - (m1sq*m4sq*m5sq*B0fin(0,0,m5sq)**2)/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (m2sq*m4sq*m5sq*B0fin(0,0,m5sq)**2)/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**2*(m4sq - 4*m5sq)) + (2*m1sq*m5**4*B0fin(0,0,m5sq)**2)/((m1sq - m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) + (8*m5**6*B0fin(0,0,m5sq)**2)/((-m1sq + m2sq)*(m2sq - m4sq)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2) - T134fin(m5,m5,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (2*m2**4*T134fin(m5,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m1sq*m2sq*T134fin(m5,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (m2sq*m4sq*T134fin(m5,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m5sq*T134fin(m5,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) - (6*m2sq*m5sq*T134fin(m5,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m4sq*m5sq*T134fin(m5,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + (2*m1sq*m4sq*m5sq*T134fin(m5,m5,m2))/(m2**2*(m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2) + T134fin(m5,m5,m4)/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4sq - 4*m5sq))
		def eval_98():
			return ((m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*m7sq*B0del(0,0,m2sq) + (m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*B0del(0,0,m3sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq))*B0del(0,0,m7sq) + m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*B0fin(0,0,m2sq) + 2*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m2sq) + m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*B0fin(0,0,m3sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq)**2 + 2*m1sq*(m1sq - m2sq)*m2sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m3**4*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*m1sq*(m1sq - m2sq)*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m2sq*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*(m2sq - m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + 2*m2sq*(-m1sq + m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq))*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)**2*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) - (m1sq - m3sq)**2*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m2) - (m2sq - m3sq)**2*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*(m2sq - m3sq + m7sq)*T134fin(m7,m3,m2) + 2*(m1sq - m3sq)**2*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - (m2sq - m3sq)**2*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - m1sq*(m1sq - m2sq)*m2sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + 7*(m1sq - m2sq)*m3**4*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 3*m1sq*(m1sq - m2sq)*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 3*(m1sq - m2sq)*m2sq*m3sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + m1sq*(m1sq - m2sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + (m1sq - m2sq)*m2sq*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - 2*(m1sq - m2sq)*m3sq*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq)))
		def eval_99():
			return ((10*m2**4*(m1sq - m2sq)**2*m5**4)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (12*(-(m1sq*m2) + m2**3)**2*m5**6)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (3*m2**6*(m1sq - m2sq)**2*m5sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(-(m1sq*m2) + m2**3)**2*m7**6)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (16*(-(m1sq*m2) + m2**3)**2*m7**4)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**2) + (2*m2**6*(-m1sq + m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*m5**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**4*(-m1sq + m2sq)*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*(m1sq - m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (4*(m1sq - m2sq)*m5**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (8*m2sq*(-m1sq + m2sq)*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (4*(m1sq - m2sq)*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (16*(m1sq - m2sq)**2*m5sq*m7**4*(m5sq - m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**2) + (6*(m1sq - m2sq)**2*m5**4*(m5sq - m7sq)**2)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - ((m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**4)/(m2**2*(m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (m2**6*(m1sq - m2sq)**2*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(m1sq - m2sq)**2*m2sq*m5**4*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (14*m2**4*(m1sq - m2sq)**2*m5sq*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (8*m2**4*(m1sq - m2sq)**2*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**2) - (8*(m1sq - m2sq)**2*m2sq*m5sq*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**2) + (2*m2**4*(-m1sq + m2sq)*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*m5sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (16*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**2) + (8*(-m1sq + m2sq)*m5sq*(m5sq - m7sq)*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq)/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + ((m1sq - m2sq)**2*(m5sq - m7sq)**4*m7sq)/(m2**2*(m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (8*m2sq*(-m1sq + m2sq)*m7sq*(m5sq + m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*(m5**3 - m5*m7sq)**2)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (4*m1sq*m7sq*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (8*m2**4*(m1sq - m2sq)**2*m7**4*B0del(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0del(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*(-(m1sq*m2) + m2**3)**2*m7**6*B0del(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*m2sq*(-m1sq + m2sq)*m7**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2**6*(m1sq - m2sq)**2*m7sq*B0del(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0del(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2**4*(m1sq - m2sq)**2*m5sq*m7sq*B0del(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2**4*(-m1sq + m2sq)*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2sq*(-m1sq + m2sq)*m5sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*(m2sq - m7sq)*B0del(0,0,m2sq))/(4*m2sq*m7sq - (m2sq - m5sq + m7sq)**2) + (2*m2sq*m5sq*B0del(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (4*m2sq*m7sq*B0del(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (8*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*(m1sq - m2sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m7**6*(m5sq - m7sq)*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2**4*(m1sq - m2sq)**2*m5sq*m7sq*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2sq*(-m1sq + m2sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2sq*(m2sq - m7sq)*B0del(0,0,m5sq))/(4*m2sq*m7sq - (m2sq - m5sq + m7sq)**2) + (2*m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m7sq*(-m1sq + m7sq)*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m2sq*m5sq*B0del(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0del(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*(m2sq - m7sq)*m7sq*B0del(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (4*m2**4*(m1sq - m2sq)**2*m7**4*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*(-(m1sq*m2) + m2**3)**2*m7**6*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2sq*(-m1sq + m2sq)*m7**4*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*(m1sq - m2sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m7**6*(m5sq - m7sq)*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*(m1sq - m2sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*m1sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m7sq*(-m1sq + m7sq)*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (4*m2sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*(m2sq - m7sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (4*m1sq*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m2**8*(m1sq - m2sq)**2*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(-(m1sq*m2) + m2**3)**2*m5**6*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2**6*(m1sq - m2sq)**2*m5sq*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**4*(m1sq - m2sq)**2*m7**4*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (14*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*(-(m1sq*m2) + m2**3)**2*m7**6*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**6*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*m5**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*(-m1sq + m2sq)*m5sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (10*m2sq*(-m1sq + m2sq)*m7**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (5*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (10*m2**4*(m1sq - m2sq)**2*m5sq*m7sq*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2**4*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (8*m2sq*(-m1sq + m2sq)*m5sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*m2sq*(-m1sq + m2sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2sq*(m2sq - m7sq)*B0fin(0,0,m2sq))/(4*m2sq*m7sq - (m2sq - m5sq + m7sq)**2) - (2*m2sq*m5sq*B0fin(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (4*m2sq*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (m2**8*(m1sq - m2sq)**2*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(-(m1sq*m2) + m2**3)**2*m5**6*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2**6*(m1sq - m2sq)**2*m5sq*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**4*(m1sq - m2sq)**2*m7**4*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (26*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(-(m1sq*m2) + m2**3)**2*m7**6*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**6*(-m1sq + m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*m5**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*(-m1sq + m2sq)*m5sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*m2sq*(-m1sq + m2sq)*m7**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (18*(m1sq - m2sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(-m1sq + m2sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + ((m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (3*m2**6*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (6*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (14*m2**4*(m1sq - m2sq)**2*m5sq*m7sq*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (6*m2**4*(-m1sq + m2sq)*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (6*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - ((m1sq - m2sq)**2*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m5sq))/(m2**2*(m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m7**6*(-m5sq + m7sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2sq*(m2sq - m7sq)*B0fin(0,0,m5sq))/(4*m2sq*m7sq - (m2sq - m5sq + m7sq)**2) - (2*m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m7sq*(-m1sq + m7sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m2sq*m5sq*B0fin(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0fin(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m7sq*(-m2sq + m7sq)*B0fin(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (6*m2**4*(m1sq - m2sq)**2*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (6*(-(m1sq*m2) + m2**3)**2*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*m2sq*(-m1sq + m2sq)*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**6*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2**4*(m1sq - m2sq)**2*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**4*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2sq*(-m1sq + m2sq)*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2sq*(m2sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/(4*m2sq*m7sq - (m2sq - m5sq + m7sq)**2) + (2*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*(m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m2**6*(m1sq - m2sq)**2*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (3*(-(m1sq*m2) + m2**3)**2*m5**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (3*m2**4*(m1sq - m2sq)**2*m5sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - ((-(m1sq*m2) + m2**3)**2*m7**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2**4*(-m1sq + m2sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*m5**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2sq*(-m1sq + m2sq)*m5sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*m7**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)**2*m5**4*(m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (m2**4*(m1sq - m2sq)**2*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2sq*(-m1sq + m2sq)*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m5sq*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + ((m1sq - m2sq)**2*m7**4*(-m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(m2sq - m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (12*m2**4*(m1sq - m2sq)**2*m7**4*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (16*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(-(m1sq*m2) + m2**3)**2*m7**6*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*m2sq*(-m1sq + m2sq)*m7**4*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (18*(m1sq - m2sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(-m1sq + m2sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (7*m2**6*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (18*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (20*m2**4*(m1sq - m2sq)**2*m5sq*m7sq*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (8*m2**4*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (8*m2sq*(-m1sq + m2sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (6*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m7sq))/(m2**2*(m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m7**6*(-m5sq + m7sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*m2sq*(-m1sq + m2sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m1sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m7sq*(-m1sq + m7sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (4*m2sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m7sq*(-m2sq + m7sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (4*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m2**4*(m1sq - m2sq)**2*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (8*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(-(m1sq*m2) + m2**3)**2*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*(m1sq - m2sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**6*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (6*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (2*m2**4*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (6*m2**4*(m1sq - m2sq)**2*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*(m1sq - m2sq)**2*m2sq*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (6*(-(m1sq*m2) + m2**3)**2*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (4*m2sq*(-m1sq + m2sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*(m1sq - m2sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)**2*m7**6*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) - (6*(m1sq - m2sq)**2*m2sq*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*m2**4*(-m1sq + m2sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m7sq*(-m1sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*(m2sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*(m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (8*(-(m1sq*m2) + m2**3)**2*m7**4*T134fin(m7,m5,m2))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*(m1sq - m2sq)*m7**4*T134fin(m7,m5,m2))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*(m1sq - m2sq)**2*m7sq*T134fin(m7,m5,m2))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*T134fin(m7,m5,m2))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (4*m2sq*(-m1sq + m2sq)*m7sq*T134fin(m7,m5,m2))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)*m5sq*m7sq*T134fin(m7,m5,m2))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)**2*m7**4*(-m5sq + m7sq)*T134fin(m7,m5,m2))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (8*(m1sq - m2sq)**2*m5sq*m7sq*(-m5sq + m7sq)*T134fin(m7,m5,m2))/((m2 - m5 - m7)**3*(m2 + m5 - m7)**3*(m2 - m5 + m7)**3*(m2 + m5 + m7)**3) + (2*(m2sq - m5sq + m7sq)*T134fin(m7,m5,m2))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)))/(2.*(m1sq - m2sq)**3)
		def eval_100():
			return m1**6/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m1**4*m3sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m1**4*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1sq*m3sq*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) + (2*m1sq*m3sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) + (2*m1sq*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) - (2*m3sq*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) + (4*m1sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) - (4*m3sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) - (4*m4sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) + (4*m3sq*m4sq*m5sq)/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)) - (4*m5**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1**3 - 4*m1*m5sq)**2) - (2*m1**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1**4*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1**4*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (6*m1**4*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1sq*m3sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1sq*m4sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m3sq*m4sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - 4*m5sq)) - (2*m1**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1**4*m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1**4*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - 4*m5sq)) + (6*m1**4*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1sq*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m3sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m1**4*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) + (2*m3sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) - (2*m1sq*(m3sq + m4sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) - (4*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**3 - 4*m1*m5sq)**2) + (m1**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m1sq*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (6*m1**4*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m1sq*m3sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m1sq*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m3sq*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) - (m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - 4*m5sq)) - (m1**4*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m3sq*m4sq*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (4*m1sq*m5sq*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (4*m3sq*m4sq*m5sq*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4 + 2*m5 + 2*m4*B0fin(0,0,m4) + 4*m5*B0fin(0,0,m5))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - 4*m5sq)) + (m1**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m1sq*m3sq*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m3sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) - (m4sq*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - 4*m5sq)) - (6*m1**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m1sq*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m1sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m3sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) + (2*m3sq*m4sq*m5sq*B0fin(0,0,m5sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) + (2*m1sq*(m3sq + m4sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) + (12*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**3 - 4*m1*m5sq)**2) - (2*m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1**4*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m1**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (6*m1**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1sq*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m1sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (2*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4sq - 4*m5sq)) + (m1**4*m5sq*B0fin(0,0,m5sq)**2)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) + (m3sq*m4sq*m5sq*B0fin(0,0,m5sq)**2)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) - (m1sq*(m3sq + m4sq)*m5sq*B0fin(0,0,m5sq)**2)/((m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)**2*(m3sq - 4*m5sq)*(m4sq - 4*m5sq)) - (2*m5**4*B0fin(0,0,m5sq)**2)/((m1sq - m3sq)*(m1sq - m4sq)*(m1**3 - 4*m1*m5sq)**2) + (2*m1**4*T134fin(m5,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m1sq*m3sq*T134fin(m5,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (m1sq*m4sq*T134fin(m5,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - (6*m1sq*m5sq*T134fin(m5,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m3sq*m5sq*T134fin(m5,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m4sq*m5sq*T134fin(m5,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) + (2*m3sq*m4sq*m5sq*T134fin(m5,m5,m1))/(m1**2*(m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 - 2*m5)**2*(m1 + 2*m5)**2) - T134fin(m5,m5,m3)/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3sq - 4*m5sq)) + T134fin(m5,m5,m4)/((m1sq - m4sq)**2*(m3sq - m4sq)*(m4sq - 4*m5sq))
		def eval_101():
			return m1**10/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**8*m3sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**6*m4**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m3sq*m4**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**6*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**4*m3sq*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**4*m4sq*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m4sq*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**4*m5**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m3sq*m5**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)) + (2*m4**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)) - (2*m5**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)) + (m1sq*m4**4*(m4sq - m5sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m3sq*m4**4*(m4sq - m5sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**8*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**6*m3sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**4*m4**4*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m3sq*m4**4*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**6*m4sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m3sq*m4sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1sq*m4sq*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1sq*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)) - (4*m4sq*(m4sq - m5sq)*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m3sq*m4sq*(m4sq - m5sq)**2*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m5sq*(m4**3 - m4*m5sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**10*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**8*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (5*m1**6*m4**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**4*m3sq*m4**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**4*m4**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1sq*m3sq*m4**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**8*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**6*m3sq*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (6*m1**6*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m3sq*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m4sq*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1sq*m3sq*m4sq*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m5**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m3sq*m5**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m4**4*(m4sq - m5sq)**2*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1**8*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**6*m3sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1**4*m4**4*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1sq*m3sq*m4**4*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**6*m4sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m5sq*(m4**3 - m4*m5sq)**2*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*(m3sq - m4sq - m5sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (11*m1**6*m4**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**4*m3sq*m4**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (7*m1**4*m4**6*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m3sq*m4**6*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m4**4*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**8*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**6*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**4*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m4sq*m5**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m3sq*m4sq*m5**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4**4*(m4sq - m5sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m4**4*(m4sq - m5sq)**2*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m3sq*m4**4*(m4sq - m5sq)**2*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m5sq)) - (4*m4**4*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*m5**2*(4*m4sq - m5sq)) + (2*m1**4*m4**4*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m3sq*m4**4*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (8*m1**6*m4sq*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1**4*m3sq*m4sq*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4sq*(m4sq - m5sq)*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m4sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*m5sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(1/(4*m3sq*m4sq - (m3sq + m4sq - m5sq)**2) - (-2*m1sq + m3sq + m4sq)/((m1sq - m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))))*B0del(0,0,m4sq))/(m1sq - m3sq)**2 - (2*m1**10*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**8*m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (6*m1**6*m4**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m4**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m4**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m4**4*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1**8*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**6*m3sq*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**4*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (6*m1**6*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m3sq*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m4sq*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m5**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m3sq*m5**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4**4*(m4sq - m5sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m3sq*m4**4*(m4sq - m5sq)**2*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m4sq*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m5sq)) + (6*m1**8*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**6*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1**4*m4**4*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1sq*m3sq*m4**4*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (9*m1**6*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1**4*m3sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4sq*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m5sq*(m4**3 - m4*m5sq)**2*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m4sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m3sq*(m3sq - m4sq - m5sq)*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(1/(4*m3sq*m4sq - (m3sq + m4sq - m5sq)**2) - (-2*m1sq + m3sq + m4sq)/((m1sq - m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))))*B0del(0,0,m5sq))/(m1sq - m3sq)**2 + (m1**10*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**6*m4**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m3sq*m4**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (5*m1**4*m4**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1sq*m3sq*m4**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**8*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (7*m1**6*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1**4*m3sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (5*m1**4*m4sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m5**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m5**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m3sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**8*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**6*m3sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (7*m1**4*m4**4*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1sq*m3sq*m4**4*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**6*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m3sq*m4sq*(m4sq - m5sq)**2*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m5sq*(m4**3 - m4*m5sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*(m3sq - m4sq - m5sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (3*m1**6*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m3sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m4**6*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1sq*m3sq*m4**6*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**8*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**6*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m4sq*m5**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m4**4*(m4sq - m5sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m3sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m5sq)) + (4*m4**4*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*m5**2*(4*m4sq - m5sq)) - (6*m1**4*m4**4*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1sq*m3sq*m4**4*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1**6*m4sq*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1sq*m4sq*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m4sq*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*m5sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*(1/(4*m3sq*m4sq - (m3sq + m4sq - m5sq)**2) - (-2*m1sq + m3sq + m4sq)/((m1sq - m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))))*B0fin(0,0,m4sq))/(m1sq - m3sq)**2 + (11*m1**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**4*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (7*m1**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (5*m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m3sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m3sq*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (8*m1**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m4**4*B0fin(0,0,m4sq)**2)/((m1sq - m4sq)**2*(-m3sq + m4sq)*m5**2*(4*m4sq - m5sq)) + (m1**4*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4**4*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m4sq*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m5**4*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1sq*m5sq*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m4sq*m5sq*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - ((2*m1sq - m3sq - m4sq)*(m1sq + m4sq - m5sq)*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + ((m3sq + m4sq - m5sq)*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + ((2*m4sq - m5sq)*(2*m4 + m5 + 4*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m4sq)**2*(m3sq - m4sq)*m5**2*(4*m4sq - m5sq)) + (m1**10*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1**4*m3sq*m4**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m4**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (6*m1sq*m3sq*m4**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m4**4*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**8*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**4*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (7*m1**6*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1**4*m3sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m4sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (4*m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**4*m5**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m5**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m4**4*(m4sq - m5sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m3sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m4sq*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m5sq)) - (5*m1**8*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**6*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1**4*m4**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m4sq*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m3sq*m4sq*(m4sq - m5sq)**2*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m5sq*(m4**3 - m4*m5sq)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (m3sq*(m3sq - m4sq - m5sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*(1/(4*m3sq*m4sq - (m3sq + m4sq - m5sq)**2) - (-2*m1sq + m3sq + m4sq)/((m1sq - m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))))*B0fin(0,0,m5sq))/(m1sq - m3sq)**2 - (2*m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (6*m1**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (6*m1**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (3*m1**4*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m3sq*m4**4*(m4sq - m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (6*m1**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1**6*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1**4*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (3*m1sq*m3sq*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (9*m1**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (4*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m1sq*m5sq*(m4**3 - m4*m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m3sq*(m3sq - m4sq - m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m1**4*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (m4**4*(m4sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m5sq)) + (m4sq*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) - (m4sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (m4sq*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(1/(4*m3sq*m4sq - (m3sq + m4sq - m5sq)**2) - (-2*m1sq + m3sq + m4sq)/((m1sq - m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))))*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/(m1sq - m3sq)**2 - (2*m4**4*T134fin(m5,m4,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m1sq*m4sq*T134fin(m5,m4,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + (2*m4sq*m5sq*T134fin(m5,m4,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m5)**2*(m1 - m4 + m5)**2*(-m1 + m4 + m5)**2*(m1 + m4 + m5)**2) + ((2*m1sq - m3sq - m4sq)*(m1sq + m4sq - m5sq)*T134fin(m5,m4,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - ((m3sq + m4sq - m5sq)*T134fin(m5,m4,m3))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + ((2*m4sq - m5sq)*T134fin(m5,m4,m4))/((m1sq - m4sq)**2*(-m3sq + m4sq)*m5**2*(4*m4sq - m5sq))
		def eval_102():
			return m1**10/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m3sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m4**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m4**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**8*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m3sq*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m3sq*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1**4*m4sq*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m3sq*m4sq*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m7**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m7**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (2*m4**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (4*m1sq*m4sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*m7**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (m1sq*m4**4*(m4sq - m7sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4**4*(m4sq - m7sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**4*m4**4*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1sq*m3sq*m4**4*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m3sq*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m4sq*m7sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*(m4sq - m7sq)*m7sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4sq*(m4sq - m7sq)**2*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m7sq*(m4**3 - m4*m7sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**10*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (9*m1**6*m4**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1**4*m4**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1**8*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m3sq*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1**6*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m3sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4*m7**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m7**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4**4*(m4sq - m7sq)**2*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m3sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m4**4*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4**4*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**6*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*(m3sq - m4sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1**10*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m3sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (9*m1**6*m4**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1**4*m4**6*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4**6*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1**8*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**6*m7**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m3sq*m7**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m7**4*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4sq*m7**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4sq*m7**4*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m7**6*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4**4*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(4*m4sq - m7sq)) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m7sq)) + (5*m1**8*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m3sq*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4**4*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (8*m1**6*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(-m4sq + m7sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m4sq + m7sq)**2)) - (m4sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m3sq*(m3sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((-17*m4**4*m7**4 + m7**8 + 4*m4**6*m7sq + m3sq*(m4**6 - 7*m4sq*m7**4 - 2*m7**6 - m4**4*m7sq) + m3**4*(-m4**4 + m7**4 + 3*m4sq*m7sq) + m1**4*(m4**4 - m7**4 - 3*m4sq*m7sq + m3sq*(-m4sq + m7sq)) + m1sq*(-m4**6 + 15*m4sq*m7**4 + m3**4*(m4sq - m7sq) + m4**4*m7sq + m3sq*(m7**4 - 4*m4sq*m7sq)))*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1**6*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m3sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m4sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m4sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**6*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m7**6*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(4*m4sq - m7sq)) - (5*m1**8*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**6*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (11*m1**6*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m4sq + m7sq)**2)) - (m4sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((-17*m4**4*m7**4 + m7**8 + 4*m4**6*m7sq + m3sq*(m4**6 - 7*m4sq*m7**4 - 2*m7**6 - m4**4*m7sq) + m3**4*(-m4**4 + m7**4 + 3*m4sq*m7sq) + m1**4*(m4**4 - m7**4 - 3*m4sq*m7sq + m3sq*(-m4sq + m7sq)) + m1sq*(-m4**6 + 15*m4sq*m7**4 + m3**4*(m4sq - m7sq) + m4**4*m7sq + m3sq*(m7**4 - 4*m4sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**10*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (9*m1**6*m4**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m3sq*m4**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m3sq*m4**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**8*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m3sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m7**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m7**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (11*m1**4*m4**4*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**6*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**10*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (9*m1**6*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m3sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4**6*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m3sq*m4**6*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**8*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m3sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m4sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m7**6*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m7sq)) - (2*m1**8*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (8*m1**4*m4**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (9*m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m4sq + m7sq)**2)) + (m4sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m3sq*(m3sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((-17*m4**4*m7**4 + m7**8 + 4*m4**6*m7sq + m3sq*(m4**6 - 7*m4sq*m7**4 - 2*m7**6 - m4**4*m7sq) + m3**4*(-m4**4 + m7**4 + 3*m4sq*m7sq) + m1**4*(m4**4 - m7**4 - 3*m4sq*m7sq + m3sq*(-m4sq + m7sq)) + m1sq*(-m4**6 + 15*m4sq*m7**4 + m3**4*(m4sq - m7sq) + m4**4*m7sq + m3sq*(m7**4 - 4*m4sq*m7sq)))*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (9*m1**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (8*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m7sq)) + (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m4sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((2*m1sq - m3sq - m4sq)*(m1sq - m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m3sq - m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7))/((m1sq - m4sq)**2*(m3sq - m4sq)*(4*m4sq - m7sq)) - (4*m1**6*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m4sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m7**6*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m7sq)) + (m1**8*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m4sq + m7sq)**2)) + (m4sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((-17*m4**4*m7**4 + m7**8 + 4*m4**6*m7sq + m3sq*(m4**6 - 7*m4sq*m7**4 - 2*m7**6 - m4**4*m7sq) + m3**4*(-m4**4 + m7**4 + 3*m4sq*m7sq) + m1**4*(m4**4 - m7**4 - 3*m4sq*m7sq + m3sq*(-m4sq + m7sq)) + m1sq*(-m4**6 + 15*m4sq*m7**4 + m3**4*(m4sq - m7sq) + m4**4*m7sq + m3sq*(m7**4 - 4*m4sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**6*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (11*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(4*m4sq - m7sq)) + (m1**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(-m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m4sq + m7sq)**2)) - (m4sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((-17*m4**4*m7**4 + m7**8 + 4*m4**6*m7sq + m3sq*(m4**6 - 7*m4sq*m7**4 - 2*m7**6 - m4**4*m7sq) + m3**4*(-m4**4 + m7**4 + 3*m4sq*m7sq) + m1**4*(m4**4 - m7**4 - 3*m4sq*m7sq + m3sq*(-m4sq + m7sq)) + m1sq*(-m4**6 + 15*m4sq*m7**4 + m3**4*(m4sq - m7sq) + m4**4*m7sq + m3sq*(m7**4 - 4*m4sq*m7sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m7**4*T134fin(m7,m4,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*T134fin(m7,m4,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*T134fin(m7,m4,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((2*m1sq - m3sq - m4sq)*(m1sq - m4sq + m7sq)*T134fin(m7,m4,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + T134fin(m7,m4,m4)/((m1sq - m4sq)**2*(-m3sq + m4sq)*(4*m4sq - m7sq))
		def eval_103():
			return ((m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m1sq))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*(-m1sq + m3sq)*B0del(0,0,m3sq))/((m2sq - m3sq)*(4*m3sq - m7sq)) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1**4 - 3*m3**4 + 3*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0del(0,0,m3sq))/((m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1**4 - 3*m3**4 + 3*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0del(0,0,m7sq))/((m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq))/((-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq))/((-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*(-m1sq + m3sq)*B0fin(0,0,m3sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1**4 - 3*m3**4 + 3*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0fin(0,0,m3sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(-m1sq + m3sq)*B0fin(0,0,m3sq)**2)/((m2sq - m3sq)*(4*m3sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*m2sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) + (m3**4*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) - (m1sq*m3sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) - (m2sq*m3sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m7sq))/((-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1**4 - 3*m3**4 + 3*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0fin(0,0,m7sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1**4 - 3*m3**4 + 3*m3sq*m7sq - m1sq*(6*m3sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m7,m1,m1)/(m1sq - m2sq) - ((m1sq - m3sq)**2*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)**2) - (2*T134fin(m7,m3,m1))/(m1sq - m2sq) + ((m1sq - m3sq)**2*T134fin(m7,m3,m1))/((m1sq - m2sq)*(m2sq - m3sq)**2) + ((m1sq - m3sq)*(m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)**2*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)**2) - (m1sq*m2sq*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) + (7*m3**4*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) - (3*m1sq*m3sq*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) - (3*m2sq*m3sq*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) + (m1sq*m7sq*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) + (m2sq*m7sq*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)) - (2*m3sq*m7sq*T134fin(m7,m3,m3))/((m2sq - m3sq)**2*(4*m3sq - m7sq)))/(m1sq - m3sq)**3
		def eval_104():
			return m1**10/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**6*m3**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**8)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**8*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m3**4*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**6*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1sq*m3**4*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**4*m3sq*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**4*m4sq*m5**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**4*m5**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m4sq*m5**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)) + (2*m3**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)) - (2*m5**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)) - (m3**4*m4sq*(m3sq - m5sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**8*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**4*m3**4*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1sq*m3**6*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**6*m3sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (4*m1sq*m3sq*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**6*m4sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3**4*m4sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m3sq*m4sq*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1sq*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)) - (4*m3sq*(m3sq - m5sq)*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3sq*m4sq*(m3sq - m5sq)**2*m5sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3sq*m5**4*(-2*m4sq + m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**10*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (5*m1**6*m3**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**4*m3**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**8*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**8*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**8*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**4*m3**4*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1sq*m3**6*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**6*m3sq*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1**6*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1sq*m3**4*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m3sq*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m4sq*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3sq*m4sq*m5**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m5**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m4sq*m5**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1**8*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1**4*m3**4*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1sq*m3**6*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**6*m3sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**6*m4sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1sq*m3**4*m4sq*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3sq*m5**4*(-2*m4sq + m5sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (11*m1**6*m3**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (7*m1**4*m3**6*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**8*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**8*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**4*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**4*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**4*m3**4*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**6*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**6*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**4*m5**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m3sq*m5**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3sq*m4sq*m5**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*(m3sq - m5sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*m4sq*(m3sq - m5sq)**2*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m5sq)) - (4*m3**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*m5**2*(4*m3sq - m5sq)) + (2*m1**4*m3**4*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**6*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (8*m1**6*m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**4*m4sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (4*m1**4*m3sq*m4sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3sq*(m3sq - m5sq)*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*(m1**4 + m3**4 + m1sq*(-3*m3sq + m4sq - 2*m5sq) - (m4sq - m5sq)**2 + m3sq*(m4sq + 4*m5sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(-m3sq + m4sq - m5sq)*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1**10*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1**6*m3**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m3**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1**8*m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**4*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**4*m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**8*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**6*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**6*m3sq*m4sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1**6*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**4*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m4sq*m5**4*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m5**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m4sq*m5**6*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*(m3sq - m5sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3**4*m4sq*(m3sq - m5sq)**2*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m5sq)) + (6*m1**8*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1**4*m3**4*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3**6*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (9*m1**6*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**6*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1sq*m3**4*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1**4*m3sq*m4sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3sq*(m3sq - m5sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3sq*m5**4*(-2*m4sq + m5sq)*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m4sq*(-m3sq + m4sq - m5sq)*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*(m1**4 + m3**4 + m1sq*(-3*m3sq + m4sq - 2*m5sq) - (m4sq - m5sq)**2 + m3sq*(m4sq + 4*m5sq))*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m1**10*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**6*m3**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (5*m1**4*m3**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**8*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**8*m3sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m3**4*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1sq*m3**6*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (7*m1**6*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1sq*m3**4*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (5*m1**4*m3sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (4*m1**4*m4sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m5**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m4sq*m5**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*m4sq*(m3sq - m5sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**8*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (7*m1**4*m3**4*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1sq*m3**6*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**6*m3sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1sq*m3**4*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3sq*m4sq*(m3sq - m5sq)**2*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3sq*m5**4*(-2*m4sq + m5sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**6*m3**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m3**6*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3**8*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**8*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**4*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m3**4*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1sq*m3**6*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**6*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3**4*m5**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m3sq*m5**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3**4*(m3sq - m5sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3**4*m4sq*(m3sq - m5sq)**2*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m5sq)) + (4*m3**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*m5**2*(4*m3sq - m5sq)) - (6*m1**4*m3**4*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**6*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (4*m1**6*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1sq*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1sq*m3**4*m4sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m3sq*(m3sq - m5sq)*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*(m1**4 + m3**4 + m1sq*(-3*m3sq + m4sq - 2*m5sq) - (m4sq - m5sq)**2 + m3sq*(m4sq + 4*m5sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (11*m1**6*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (7*m1**4*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1**4*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*m4sq*(m3sq - m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (8*m1**6*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**4*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (4*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m3**4*B0fin(0,0,m3sq)**2)/((m1sq - m3sq)**2*(m3sq - m4sq)*m5**2*(4*m3sq - m5sq)) + (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*(-m3sq + m4sq - m5sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m1**4*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3sq*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m5**4*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m5sq*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m3sq*m5sq*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - ((2*m1sq - m3sq - m4sq)*(m1sq + m3sq - m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - ((2*m3sq - m5sq)*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)**2*(m3sq - m4sq)*m5**2*(4*m3sq - m5sq)) + ((m3sq + m4sq - m5sq)*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m1**10*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m3**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3**8*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**8*m3sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**4*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**4*m3sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1**4*m3**4*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1sq*m3**6*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (7*m1**6*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (5*m1sq*m3**4*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m3sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (4*m1**4*m4sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**4*m5**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m4sq*m5**6*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3**4*(m3sq - m5sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m3**4*m4sq*(m3sq - m5sq)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m3sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m5sq)) - (5*m1**8*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1**4*m3**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1sq*m3**6*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**6*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1sq*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m3sq*(m3sq - m5sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3sq*m4sq*(m3sq - m5sq)**2*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3sq*m5**4*(-2*m4sq + m5sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m4sq*(-m3sq + m4sq - m5sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*(m1**4 + m3**4 + m1sq*(-3*m3sq + m4sq - 2*m5sq) - (m4sq - m5sq)**2 + m3sq*(m4sq + 4*m5sq))*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1**6*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (6*m1**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (3*m1**4*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3**4*m4sq*(m3sq - m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (6*m1**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1**4*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (9*m1**6*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (3*m1sq*m3**4*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (4*m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m1sq*m3sq*m5**4*(-2*m4sq + m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (2*m1sq*m3**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m1**4*m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (m3**4*(m3sq - m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m5sq)) + (m3sq*(m3sq - m5sq)*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) - (m3sq*(-2*m1sq + m3sq + m4sq)*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*(m1**4 + m3**4 + m1sq*(-3*m3sq + m4sq - 2*m5sq) - (m4sq - m5sq)**2 + m3sq*(m4sq + 4*m5sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(-m3sq + m4sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m3**4*T134fin(m5,m3,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m1sq*m3sq*T134fin(m5,m3,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + (2*m3sq*m5sq*T134fin(m5,m3,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2) + ((2*m1sq - m3sq - m4sq)*(m1sq + m3sq - m5sq)*T134fin(m5,m3,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((2*m3sq - m5sq)*T134fin(m5,m3,m3))/((m1sq - m3sq)**2*(m3sq - m4sq)*m5**2*(4*m3sq - m5sq)) - ((m3sq + m4sq - m5sq)*T134fin(m5,m4,m3))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)))
		def eval_105():
			return (m1**8/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m3sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m3sq*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m3sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**6)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*m1**4*m3sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*m1sq*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*m1**4*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (4*m1sq*m3sq*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*m1sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (m1sq*m3**6)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - m3**8/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m5**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m3sq*m5**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m3**4*m5sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**6*m5sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m3**4*m7**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m1sq*m3sq*m7**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (2*m3**6)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) - (2*m1sq*m5**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (2*m3sq*m5**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) - (4*m3**4*m5sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (4*m1sq*m3sq*m5sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (2*m1sq*m7**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) - (2*m3sq*m7**4)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (2*m3sq*m5sq*(m5sq - m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (m1sq*m5sq*(m5sq - m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m5sq*(m5sq - m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m5sq*(m5sq - m7sq)**2)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3sq*m5sq*(m5sq - m7sq)**2)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1**6*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**4*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*(m1sq - m3sq)*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1sq*m3sq*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m3**4*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**6*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (6*m3**4*m5sq*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m1sq*m3sq*m5sq*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3sq*(-m1sq + m3sq)*m5sq*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*(m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3sq*(m5sq - m7sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*(m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*(m5sq - m7sq)**2*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*(m5sq - m7sq)**2*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*(m5sq - m7sq)**2*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3sq*(m5sq - m7sq)**2*m7sq)/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1**4*m7sq*(m5sq + m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m7sq*(m5sq + m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m3**4*m7sq*(m5sq + m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3sq*m7sq*(m5sq + m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1**8*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**6*m5sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m3sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1**4*m7sq*(m5sq + m7sq)*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3**8*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5**4*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (6*m3**6*m5sq*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**4*m7**4*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*m3sq*m7**4*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m3sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3**4*m7sq*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5sq*m7sq*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3sq*m5sq*m7sq*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (8*m3**4*m7sq*(m5sq + m7sq)*B0del(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1**8*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**6*m5sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m3sq)*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3**8*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5**4*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (6*m3**6*m5sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**4*m7**4*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*m3sq*m7**4*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*(-m1sq + m3sq)*m7**4*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m3sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m1**6*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m3sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3**4*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m3**6*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*(m1sq - m3sq)*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5sq*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3sq*m5sq*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - ((m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(-m5sq + m7sq)*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(-m5sq + m7sq)*B0del(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m5sq*m7sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0del(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + 2*m7sq*((m1sq - m7sq)/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (-m3sq + m7sq)/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0del(0,0,m5sq) - (2*m1sq*(m1sq - m3sq)*m7**4*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3sq*(-m1sq + m3sq)*m7**4*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m1**6*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3**4*m7sq*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m3**6*m7sq*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - ((m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m1sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(-m5sq + m7sq)*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(-m5sq + m7sq)*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (8*m1**4*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (8*m3**4*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m5sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0del(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + 2*m7sq*((m1sq - m7sq)/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (-m3sq + m7sq)/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0del(0,0,m7sq) + (m1**8*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m3sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1**4*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3sq*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1**6*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m1sq*m3sq*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m3sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3**6*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**8*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (7*m3**4*m5**4*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3sq*m5**4*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3**4*m5sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m3**6*m5sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**4*m7**4*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m1sq*m3sq*m7**4*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3**4*m7sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**6*m7sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3sq*m5sq*m7sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m1sq*m3sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1**8*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m3sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1**4*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3sq*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1**6*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m1sq*m3sq*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3**6*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**8*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (7*m3**4*m5**4*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3sq*m5**4*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3**4*m5sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m3**6*m5sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**4*m7**4*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m1sq*m3sq*m7**4*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*(m1sq - m3sq)*m3sq*m7**4*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m1sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1**6*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m3sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3**4*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3**6*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*(-m1sq + m3sq)*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*(m1sq - m3sq)*m3sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*(m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*(m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m5sq*m7sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - 2*m7sq*((m1sq - m7sq)/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (-m3sq + m7sq)/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0fin(0,0,m5sq) - (2*m1**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (6*m3**6*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m3sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3sq*m5sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1**6*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1sq*m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*m5sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m5sq*(m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m5sq - m7sq)**3*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*(m5sq - m7sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m3**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**6*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m5**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m3sq*m5**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m3**4*m5sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3sq*m5sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m7**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m3sq*m7**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*(m5sq - m7sq)**3*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m3sq*m7sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m3sq*m5sq*m7sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m3sq)*m3sq*m7**4*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1**6*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m3sq*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m3**4*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**6*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*(-m1sq + m3sq)*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*(m1sq - m3sq)*m3sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*(m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*(m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m3sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m3**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m1sq*m3sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m5sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - 2*m7sq*((m1sq - m7sq)/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (-m3sq + m7sq)/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0fin(0,0,m7sq) - (5*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (8*m3**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3sq*(-m1sq + m3sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - ((m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m3sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(-m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*m7**4*(-m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + 2*m7sq*((m1sq - m7sq)/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (-m3sq + m7sq)/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + (2*m1**6*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1sq*m5**4*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m7**4*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m5sq - m7sq)**3*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3sq*m7sq*(-m5sq + m7sq)*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m3**6*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (6*m3sq*m5**4*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3**4*m5sq*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m1sq*m7**4*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3sq*m7**4*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*(m5sq - m7sq)**3*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*m3sq*m7sq*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m1sq*m5sq*m7sq*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m5sq*m7sq*T134fin(m7,m5,m3))/((m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2))/(m1sq - m3sq)**3
		def eval_106():
			return (((m1sq - m3sq)*m3sq*(-m1sq + m3sq - m7sq)*B0del(0,0,m1sq))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m3sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m3sq - m7sq)*(m6sq - m7sq) + m1sq*(m3sq + m6sq + 2*m7sq))*B0del(0,0,m1sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m3sq*B0del(0,0,m3sq))/((m3sq - m6sq)*(4*m3sq - m7sq)) + ((m1sq - m3sq)*m3sq*(-m1sq + m3sq - m7sq)*B0del(0,0,m3sq))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m3sq))/((m3sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m3**8 - m6**4*m7**4 + m6sq*m7**6 + m3sq*(8*m6sq*m7**4 - 5*m7**6) - m3**6*(10*m6sq + 27*m7sq) + m3**4*(7*m6**4 + 21*m7**4 - 23*m6sq*m7sq) + m1**4*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) - 2*m1sq*(m3sq + m7sq)*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq))*B0del(0,0,m3sq))/((m3sq - m6sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m3sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m3sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0del(0,0,m6sq))/(m3sq - m6sq) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m3sq - m7sq)*(m6sq - m7sq) + m1sq*(m3sq + m6sq + 2*m7sq))*B0del(0,0,m7sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m3**8 - m6**4*m7**4 + m6sq*m7**6 + m3sq*(8*m6sq*m7**4 - 5*m7**6) - m3**6*(10*m6sq + 27*m7sq) + m3**4*(7*m6**4 + 21*m7**4 - 23*m6sq*m7sq) + m1**4*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) - 2*m1sq*(m3sq + m7sq)*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq))*B0del(0,0,m7sq))/((m3sq - m6sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0del(0,0,m7sq))/(m3sq - m6sq) + (m3sq*(-m1sq + m3sq)*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m3sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m3sq - m7sq)*(-m6sq + m7sq) - m1sq*(m3sq + m6sq + 2*m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m3sq*(-m1sq + m3sq)*B0fin(0,0,m3sq))/((m3sq - m6sq)*(4*m3sq - m7sq)) + (m3sq*(-m1sq + m3sq)*(-m1sq + m3sq - m7sq)*B0fin(0,0,m3sq))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq))/((m3sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(11*m3**8 - m6**4*m7**4 + m6sq*m7**6 + m3sq*(8*m6sq*m7**4 - 5*m7**6) - m3**6*(10*m6sq + 27*m7sq) + m3**4*(7*m6**4 + 21*m7**4 - 23*m6sq*m7sq) + m1**4*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) - 2*m1sq*(m3sq + m7sq)*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq))*B0fin(0,0,m3sq))/((m3sq - m6sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m3sq*B0fin(0,0,m3sq)**2)/((m3sq - m6sq)*(4*m3sq - m7sq)) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m3sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m3sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m6sq))/(m3sq - m6sq) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m3sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m3sq - m6sq)*(4*m3sq - m7sq)) + (m3sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m3sq - m6sq)*(4*m3sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m3sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*(m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m3sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m3sq - m7sq)*(-m6sq + m7sq) - m1sq*(m3sq + m6sq + 2*m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(11*m3**8 - m6**4*m7**4 + m6sq*m7**6 + m3sq*(8*m6sq*m7**4 - 5*m7**6) - m3**6*(10*m6sq + 27*m7sq) + m3**4*(7*m6**4 + 21*m7**4 - 23*m6sq*m7sq) + m1**4*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) - 2*m1sq*(m3sq + m7sq)*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq))*B0fin(0,0,m7sq))/((m3sq - m6sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m7sq))/(m3sq - m6sq) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m3sq - m7sq)*(m6sq - m7sq) + m1sq*(m3sq + m6sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m3**8 - m6**4*m7**4 + m6sq*m7**6 + m3sq*(8*m6sq*m7**4 - 5*m7**6) - m3**6*(10*m6sq + 27*m7sq) + m3**4*(7*m6**4 + 21*m7**4 - 23*m6sq*m7sq) + m1**4*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) - 2*m1sq*(m3sq + m7sq)*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3sq - m6sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m3sq - m6sq) - (2*T134fin(m7,m3,m1))/(m3sq - m6sq) + ((m1sq - m3sq)*(m1sq - m3sq - m7sq)*T134fin(m7,m3,m1))/((m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*T134fin(m7,m3,m3))/((m3sq - m6sq)*(4*m3sq - m7sq)) + (7*m3sq*T134fin(m7,m3,m3))/((m3sq - m6sq)*(4*m3sq - m7sq)) - (2*m7sq*T134fin(m7,m3,m3))/((m3sq - m6sq)*(4*m3sq - m7sq)) + (2*T134fin(m7,m6,m1))/(m3sq - m6sq) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m3sq - m6sq)*(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2)) - (2*T134fin(m7,m6,m3))/(m3sq - m6sq) + ((m1sq - m3sq)*(m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m3sq - m6sq)*(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2)))/(m1sq - m3sq)**3
		def eval_107():
			return (-(((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0del(0,0,m1sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq))) + ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*m3sq*(-3*m1**4 + (m3sq - m5sq)*(m3sq - m6sq) + m1sq*(2*m3sq + m5sq + m6sq))*B0del(0,0,m1sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (2*(m1sq - m3sq)*m3sq*B0del(0,0,m3sq))/((4*m3sq - m5sq)*(4*m3sq - m6sq)) - ((m1sq - m3sq)*m5sq*(m1**4 - 7*m3**4 + m5**4 - 2*m1sq*(m3sq + m5sq))*B0del(0,0,m3sq))/((4*m3sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*m6sq*(m1**4 - 7*m3**4 + m6**4 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m3sq))/((4*m3sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*m3sq*(-3*m1**4 + (m3sq - m5sq)*(m3sq - m6sq) + m1sq*(2*m3sq + m5sq + m6sq))*B0del(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0del(0,0,m5sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*m5sq*(m1**4 - 7*m3**4 + m5**4 - 2*m1sq*(m3sq + m5sq))*B0del(0,0,m5sq))/((4*m3sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - ((m1sq - m3sq)*m6sq*(m1**4 - 7*m3**4 + m6**4 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m6sq))/((4*m3sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m3sq*(-m1sq + m3sq)*(-3*m1**4 + (m3sq - m5sq)*(m3sq - m6sq) + m1sq*(2*m3sq + m5sq + m6sq))*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (2*m3sq*(-m1sq + m3sq)*B0fin(0,0,m3sq))/((4*m3sq - m5sq)*(4*m3sq - m6sq)) + ((m1sq - m3sq)*m5sq*(m1**4 - 7*m3**4 + m5**4 - 2*m1sq*(m3sq + m5sq))*B0fin(0,0,m3sq))/((4*m3sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*m6sq*(m1**4 - 7*m3**4 + m6**4 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m3sq))/((4*m3sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m3sq*(-m1sq + m3sq)*(-3*m1**4 + (m3sq - m5sq)*(m3sq - m6sq) + m1sq*(2*m3sq + m5sq + m6sq))*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*m3sq*(-3*m1**4 + (m3sq - m5sq)*(m3sq - m6sq) + m1sq*(2*m3sq + m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*m3sq*B0fin(0,0,m3sq)**2)/((4*m3sq - m5sq)*(4*m3sq - m6sq)) - ((m1sq - m3sq)*(m1sq - m3sq - m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - (m1sq*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((4*m3sq - m5sq)*(m5sq - m6sq)) + (m3sq*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((4*m3sq - m5sq)*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0fin(0,0,m5sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*m5sq*(m1**4 - 7*m3**4 + m5**4 - 2*m1sq*(m3sq + m5sq))*B0fin(0,0,m5sq))/((4*m3sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*m5sq*(m1**4 - 7*m3**4 + m5**4 - 2*m1sq*(m3sq + m5sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((4*m3sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq - m3sq - m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m1sq*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((4*m3sq - m6sq)*(-m5sq + m6sq)) + (m3sq*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((4*m3sq - m6sq)*(-m5sq + m6sq)) - ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*m6sq*(m1**4 - 7*m3**4 + m6**4 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m6sq))/((4*m3sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - ((m1sq - m3sq)*m6sq*(m1**4 - 7*m3**4 + m6**4 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((4*m3sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*T134fin(m5,m3,m1))/(m5sq - m6sq) + ((m1sq - m3sq)*(m1sq - m3sq - m5sq)*T134fin(m5,m3,m1))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + (m1sq*T134fin(m5,m3,m3))/((4*m3sq - m5sq)*(m5sq - m6sq)) + (7*m3sq*T134fin(m5,m3,m3))/((4*m3sq - m5sq)*(m5sq - m6sq)) + (2*m5sq*T134fin(m5,m3,m3))/((-4*m3sq + m5sq)*(m5sq - m6sq)) + (2*T134fin(m6,m3,m1))/(m5sq - m6sq) + ((m1sq - m3sq)*(m1sq - m3sq - m6sq)*T134fin(m6,m3,m1))/((m5sq - m6sq)*(4*m3sq*m6sq - (-m1sq + m3sq + m6sq)**2)) + (m1sq*T134fin(m6,m3,m3))/((4*m3sq - m6sq)*(-m5sq + m6sq)) + (7*m3sq*T134fin(m6,m3,m3))/((4*m3sq - m6sq)*(-m5sq + m6sq)) + (2*m6sq*T134fin(m6,m3,m3))/((-4*m3sq + m6sq)*(-m5sq + m6sq)))/(m1sq - m3sq)**3
		def eval_108():
			return m1**10/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1**4*m3**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**8)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**8*m3sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**8*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3**6*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1**6*m3sq*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**6*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1sq*m3**4*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m1**4*m3sq*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m4sq*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (4*m1sq*m3sq*m4sq*m7**4)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**4*m7**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3sq*m7**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m4sq*m7**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)) - (2*m3**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)) + (4*m1sq*m3sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)) + (2*m7**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)) + (m3**4*m4sq*(m3sq - m7sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**8*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1**4*m3**4*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1sq*m3**6*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**6*m3sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m1sq*m3sq*m7sq)/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**6*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (5*m1sq*m3**4*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**4*m3sq*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m3sq*(m3sq - m7sq)*m7sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*m4sq*(m3sq - m7sq)**2*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**10*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (9*m1**6*m3**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (5*m1**4*m3**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**8*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (7*m1**8*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**8*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3**4*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**6*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**6*m3sq*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m1**6*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1sq*m3**4*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**4*m4sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**4*m7**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3sq*m7**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m4sq*m7**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (6*m1**4*m3**4*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1sq*m3**6*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**6*m3sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**6*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3**4*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**10*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (9*m1**6*m3**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (5*m1**4*m3**6*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**8*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (7*m1**8*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**8*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3**4*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**6*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**6*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (4*m1**6*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**4*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m3sq*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m7**4*B0del(0,0,m3sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m4sq*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3sq*m4sq*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m7**6*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m7**4*(m3sq - m7sq)*B0del(0,0,m3sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) + (5*m1**8*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m3**4*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m3**6*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (8*m1**6*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**6*m4sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*(m3sq - m7sq)*m7sq*B0del(0,0,m3sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m4sq*(-m3sq + m4sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m7**4*(m4sq - m7sq)**2 + m3**6*(m4sq + 4*m7sq) + m3sq*(-7*m4sq*m7**4 + 3*m4**4*m7sq) - m3**4*(m4**4 + 17*m7**4 + m4sq*m7sq) + m1**4*(m3**4 + (m4sq - m7sq)*m7sq - m3sq*(m4sq + 3*m7sq)) + m1sq*(-m3**6 + m4sq*m7**4 + m3**4*m7sq - m4**4*m7sq + m3sq*(m4**4 + 15*m7**4 - 4*m4sq*m7sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m4sq*(-m3sq + m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1**6*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3**4*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1**4*m3sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m7**4*B0del(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (4*m1**4*m4sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3sq*m4sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**4*m7**6*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3sq*m7**6*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m4sq*m7**6*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m7**4*(m3sq - m7sq)*B0del(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) - (5*m1**8*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (7*m1**4*m3**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3**6*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (11*m1**6*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**6*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3**4*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*(m3sq - m7sq)*m7sq*B0del(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m7**4*(m4sq - m7sq)**2 + m3**6*(m4sq + 4*m7sq) + m3sq*(-7*m4sq*m7**4 + 3*m4**4*m7sq) - m3**4*(m4**4 + 17*m7**4 + m4sq*m7sq) + m1**4*(m3**4 + (m4sq - m7sq)*m7sq - m3sq*(m4sq + 3*m7sq)) + m1sq*(-m3**6 + m4sq*m7**4 + m3**4*m7sq - m4**4*m7sq + m3sq*(m4**4 + 15*m7**4 - 4*m4sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**10*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (9*m1**6*m3**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (7*m1**4*m3**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m3**8*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1**8*m3sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**4*m3**4*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1sq*m3**6*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**6*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (6*m1sq*m3**4*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (7*m1**4*m3sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1**4*m4sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (5*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m7**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3sq*m7**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m4sq*m7**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3**4*m4sq*(m3sq - m7sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**8*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (11*m1**4*m3**4*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (6*m1sq*m3**6*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (4*m1**6*m3sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (6*m1sq*m3**4*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**10*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (9*m1**6*m3**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (7*m1**4*m3**6*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m3**8*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1**8*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**4*m3**4*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1sq*m3**6*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**6*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**6*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m1sq*m3**4*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**4*m3sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1**4*m4sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3sq*m7**6*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m4sq*m7**6*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m7**4*(m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3**4*m4sq*(m3sq - m7sq)**2*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) - (2*m1**8*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (8*m1**4*m3**4*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1sq*m3**6*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**6*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m1sq*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m7sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1**6*m4sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (9*m1sq*m3**4*m4sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (6*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m3sq*(m3sq - m7sq)*m7sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m4sq*(-m3sq + m4sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m7**4*(m4sq - m7sq)**2 + m3**6*(m4sq + 4*m7sq) + m3sq*(-7*m4sq*m7**4 + 3*m4**4*m7sq) - m3**4*(m4**4 + 17*m7**4 + m4sq*m7sq) + m1**4*(m3**4 + (m4sq - m7sq)*m7sq - m3sq*(m4sq + 3*m7sq)) + m1sq*(-m3**6 + m4sq*m7**4 + m3**4*m7sq - m4**4*m7sq + m3sq*(m4**4 + 15*m7**4 - 4*m4sq*m7sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (9*m1**6*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (5*m1**4*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (7*m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (4*m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (5*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (8*m1**6*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*B0fin(0,0,m3sq)**2)/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) - (m4sq*(-m3sq + m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m4sq*(-m3sq + m4sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**4*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3**4*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m7**4*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m3sq*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - ((2*m1sq - m3sq - m4sq)*(m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) + ((-m3sq + m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (4*m1**6*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m3**4*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (6*m1**4*m3sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (6*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m7**6*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m4sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m7**4*(m3sq - m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) + (m1**8*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**4*m3**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m1sq*m3**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**6*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (4*m1sq*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**4*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1**6*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1sq*m3**4*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m3sq*(m3sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m7**4*(m4sq - m7sq)**2 + m3**6*(m4sq + 4*m7sq) + m3sq*(-7*m4sq*m7**4 + 3*m4**4*m7sq) - m3**4*(m4**4 + 17*m7**4 + m4sq*m7sq) + m1**4*(m3**4 + (m4sq - m7sq)*m7sq - m3sq*(m4sq + 3*m7sq)) + m1sq*(-m3**6 + m4sq*m7**4 + m3**4*m7sq - m4**4*m7sq + m3sq*(m4**4 + 15*m7**4 - 4*m4sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1**4*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (4*m1**4*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (2*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (3*m1**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (7*m1**4*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (11*m1**6*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (3*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m1sq*m3**4*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (5*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*m4sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m7**4*(m3sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) + (m1**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (m3sq*(m3sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m1sq + m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) - (m3sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m7**4*(m4sq - m7sq)**2 + m3**6*(m4sq + 4*m7sq) + m3sq*(-7*m4sq*m7**4 + 3*m4**4*m7sq) - m3**4*(m4**4 + 17*m7**4 + m4sq*m7sq) + m1**4*(m3**4 + (m4sq - m7sq)*m7sq - m3sq*(m4sq + 3*m7sq)) + m1sq*(-m3**6 + m4sq*m7**4 + m3**4*m7sq - m4**4*m7sq + m3sq*(m4**4 + 15*m7**4 - 4*m4sq*m7sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m7**4*T134fin(m7,m3,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m1sq*m7sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + (2*m3sq*m7sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2) + ((2*m1sq - m3sq - m4sq)*(m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m7,m3,m3)/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq - m7sq)) - ((-m3sq + m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)))
		def eval_109():
			return (-((m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0del(0,0,m1sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m1sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)*m2sq*B0del(0,0,m2sq))/((m2sq - m4sq)*(4*m2sq - m7sq)) - (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0del(0,0,m2sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0del(0,0,m2sq))/((m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m7sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0del(0,0,m7sq))/((m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m2sq - m4sq)*(4*m2sq - m7sq)) + (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m2sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0fin(0,0,m2sq))/((m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m2sq*B0fin(0,0,m2sq)**2)/((m2sq - m4sq)*(4*m2sq - m7sq)) - ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m2**4*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m1sq*m2sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) + (m1sq*m4sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m2sq*m4sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m7sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0fin(0,0,m7sq))/((m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + T134fin(m7,m1,m1)/(m1sq - m4sq) + ((m1sq - m2sq)*T134fin(m7,m2,m1))/(m2sq - m4sq)**2 + T134fin(m7,m2,m1)/(-m1sq + m4sq) + T134fin(m7,m2,m1)/(-m2sq + m4sq) + ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (7*m2**4*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - (3*m1sq*m2sq*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - (m1sq*m4sq*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - (3*m2sq*m4sq*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) + (m1sq*m7sq*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - (2*m2sq*m7sq*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) + (m4sq*m7sq*T134fin(m7,m2,m2))/((m2sq - m4sq)**2*(4*m2sq - m7sq)) - ((m1sq - m2sq)**2*T134fin(m7,m4,m1))/((m1sq - m4sq)*(m2sq - m4sq)**2) + ((m1sq - m2sq)**2*T134fin(m7,m4,m2))/((m1sq - m4sq)*(m2sq - m4sq)**2))/(m1sq - m2sq)**3
		def eval_110():
			return ((-10*m1**4*(m1sq - m4sq)**2*m5**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*(m1**3 - m1*m4sq)**2*m5**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**6*(m1sq - m4sq)**2*m5sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1**3 - m1*m4sq)**2*m7**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (16*(m1**3 - m1*m4sq)**2*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) - (2*m1**6*(m1sq - m4sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(m1sq - m4sq)*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*(m1sq - m4sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*(m1sq - m4sq)*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (8*m1sq*(m1sq - m4sq)*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (4*(m1sq - m4sq)*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (16*(m1sq - m4sq)**2*m5sq*m7**4*(m5sq - m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*(m1sq - m4sq)**2*m5**4*(m5sq - m7sq)**2)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**4)/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m1**6*(m1sq - m4sq)**2*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*(m1sq - m4sq)**2*m5**4*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (14*m1**4*(m1sq - m4sq)**2*m5sq*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1**4*(m1sq - m4sq)**2*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) + (8*m1sq*(m1sq - m4sq)**2*m5sq*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*(m1sq - m4sq)*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - ((m1sq - m4sq)**2*(m5sq - m7sq)**4*m7sq)/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*(m1sq - m4sq)**2*m7**4*(-m5sq + m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) + (16*(m1sq - m4sq)**2*m5sq*m7sq*(-m5sq + m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) + (8*m1sq*(m1sq - m4sq)*m7sq*(m5sq + m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*(m5**3 - m5*m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (8*m1**4*(m1sq - m4sq)**2*m7**4*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*(m1**3 - m1*m4sq)**2*m7**6*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*(m1sq - m4sq)*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**6*(m1sq - m4sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**4*(m1sq - m4sq)**2*m5sq*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**4*(m1sq - m4sq)*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m1sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (4*m1sq*m7sq*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m4sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (4*m4sq*m7sq*B0del(0,0,m4sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (8*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*(m1sq - m4sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**4*(m1sq - m4sq)**2*m5sq*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m1sq - m4sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(-m1sq + m4sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)**2*m7**6*(-m5sq + m7sq)*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m5sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m1sq - m7sq)*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m7sq*(-m1sq + m7sq)*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0del(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*(m4sq - m7sq)*m7sq*B0del(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (4*m1**4*(m1sq - m4sq)**2*m7**4*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*(m1**3 - m1*m4sq)**2*m7**6*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m1sq - m4sq)*m7**4*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*(m1sq - m4sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m1sq - m4sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(-m1sq + m4sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)**2*m7**6*(-m5sq + m7sq)*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m7sq*(-m1sq + m7sq)*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (4*m4sq*m7sq*B0del(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0del(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (m1**8*(m1sq - m4sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1**3 - m1*m4sq)**2*m5**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**6*(m1sq - m4sq)**2*m5sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m1sq - m4sq)**2*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (14*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*(m1**3 - m1*m4sq)**2*m7**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*(m1sq - m4sq)*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (10*m1sq*(m1sq - m4sq)*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m4sq)**2*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (5*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (10*m1**4*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**4*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1sq*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1sq*(m1sq - m4sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m5sq*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m1sq*(m1sq - m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (4*m1sq*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (4*m4sq*m7sq*B0fin(0,0,m4sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (m1**8*(m1sq - m4sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1**3 - m1*m4sq)**2*m5**6*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**6*(m1sq - m4sq)**2*m5sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m1sq - m4sq)**2*m7**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (26*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1**3 - m1*m4sq)**2*m7**6*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*(m1sq - m4sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (10*m1sq*(m1sq - m4sq)*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(-m1sq + m4sq)*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (18*(m1sq - m4sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)**2*m7**6*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(-m1sq + m4sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m4sq)**2*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - ((m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*m1**6*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (14*m1**4*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1**4*(m1sq - m4sq)*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1sq*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1sq*(-m1sq + m4sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m1sq - m4sq)**2*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m5sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m5sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m1sq*(m1sq - m7sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m7sq*(-m1sq + m7sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0fin(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*m7sq*(-m4sq + m7sq)*B0fin(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (6*m1**4*(m1sq - m4sq)**2*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*(m1**3 - m1*m4sq)**2*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*(m1sq - m4sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**4*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m1sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (m1**6*(m1sq - m4sq)**2*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*(m1**3 - m1*m4sq)**2*m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**4*(m1sq - m4sq)**2*m5sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m1**3 - m1*m4sq)**2*m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**4*(m1sq - m4sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)**2*m5**4*(m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m1sq - m4sq)**2*m7**4*(m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m1**4*(m1sq - m4sq)**2*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m1sq - m4sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*(m4sq - m5sq + m7sq)*(m4 + m5 + m7 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (12*m1**4*(m1sq - m4sq)**2*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (16*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1**3 - m1*m4sq)**2*m7**6*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(-m1sq + m4sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (18*(m1sq - m4sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)**2*m7**6*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(-m1sq + m4sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (7*m1**6*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (18*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (20*m1**4*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1**4*(m1sq - m4sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1sq*(-m1sq + m4sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m4sq)**2*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1sq*(m1sq - m4sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m7sq*(-m1sq + m7sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (4*m4sq*m7sq*B0fin(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (2*m5sq*m7sq*B0fin(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*m7sq*(-m4sq + m7sq)*B0fin(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) - (2*m1**4*(m1sq - m4sq)**2*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*(m1**3 - m1*m4sq)**2*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*(m1sq - m4sq)*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (4*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (6*m1**4*(m1sq - m4sq)**2*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*(m1sq - m4sq)**2*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*(m1**3 - m1*m4sq)**2*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m1sq - m4sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*(m1sq - m4sq)**2*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**6*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1sq*(m1sq - m4sq)**2*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(-m1sq + m4sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)**2*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m7**6*(-m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m7sq*(-m1sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (2*(m4sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)) + (8*(m1**3 - m1*m4sq)**2*m7**4*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*(m1sq - m4sq)*m7**4*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq)*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1**4*(m1sq - m4sq)**2*m7sq*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*(m1sq - m4sq)*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)*m5sq*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*(m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*(m4sq - m5sq + m7sq)*T134fin(m7,m5,m4))/(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))/(2.*(m1sq - m4sq)**3)
		def eval_111():
			return ((2*m1sq*(m1sq - m3sq)*B0del(0,0,m1sq))/((m1sq - m6sq)*(4*m1sq - m7sq)) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m1**8 + m6sq*(m3sq - m7sq)**2*(-m6sq + m7sq) - m1**6*(6*m3sq + 10*m6sq + 27*m7sq) + m1**4*(3*m3**4 + 7*m6**4 - 12*m3sq*m6sq + 21*m7**4 - 23*m6sq*m7sq) + m1sq*(8*m6sq*m7**4 - 5*m7**6 + m3**4*(6*m6sq - 3*m7sq) + 2*m3sq*(m6**4 + 3*m7**4 - 7*m6sq*m7sq)))*B0del(0,0,m1sq))/((m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1sq*(m3sq + m6sq - m7sq) - (m3sq - m7sq)*(3*m3sq - m6sq + m7sq))*B0del(0,0,m3sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0del(0,0,m6sq))/(m1sq - m6sq) + ((m1sq - m3sq)*m7sq*(m1sq*(m3sq + m6sq - m7sq) - (m3sq - m7sq)*(3*m3sq - m6sq + m7sq))*B0del(0,0,m7sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0del(0,0,m7sq))/(m1sq - m6sq) + ((m1sq - m3sq)*m7sq*(11*m1**8 + m6sq*(m3sq - m7sq)**2*(-m6sq + m7sq) - m1**6*(6*m3sq + 10*m6sq + 27*m7sq) + m1**4*(3*m3**4 + 7*m6**4 - 12*m3sq*m6sq + 21*m7**4 - 23*m6sq*m7sq) + m1sq*(8*m6sq*m7**4 - 5*m7**6 + m3**4*(6*m6sq - 3*m7sq) + 2*m3sq*(m6**4 + 3*m7**4 - 7*m6sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1sq - m6sq)*(4*m1sq - m7sq)) - (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(11*m1**8 + m6sq*(m3sq - m7sq)**2*(-m6sq + m7sq) - m1**6*(6*m3sq + 10*m6sq + 27*m7sq) + m1**4*(3*m3**4 + 7*m6**4 - 12*m3sq*m6sq + 21*m7**4 - 23*m6sq*m7sq) + m1sq*(8*m6sq*m7**4 - 5*m7**6 + m3**4*(6*m6sq - 3*m7sq) + 2*m3sq*(m6**4 + 3*m7**4 - 7*m6sq*m7sq)))*B0fin(0,0,m1sq))/((m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq)**2)/((m1sq - m6sq)*(4*m1sq - m7sq)) - (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(m1sq*(m3sq + m6sq - m7sq) - (m3sq - m7sq)*(3*m3sq - m6sq + m7sq))*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m6sq))/(m1sq - m6sq) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(4*m1sq - m7sq)) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(4*m1sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*(m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(m1sq*(m3sq + m6sq - m7sq) - (m3sq - m7sq)*(3*m3sq - m6sq + m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m7sq))/(m1sq - m6sq) - ((m1sq - m3sq)*m7sq*(11*m1**8 + m6sq*(m3sq - m7sq)**2*(-m6sq + m7sq) - m1**6*(6*m3sq + 10*m6sq + 27*m7sq) + m1**4*(3*m3**4 + 7*m6**4 - 12*m3sq*m6sq + 21*m7**4 - 23*m6sq*m7sq) + m1sq*(8*m6sq*m7**4 - 5*m7**6 + m3**4*(6*m6sq - 3*m7sq) + 2*m3sq*(m6**4 + 3*m7**4 - 7*m6sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(11*m1**8 + m6sq*(m3sq - m7sq)**2*(-m6sq + m7sq) - m1**6*(6*m3sq + 10*m6sq + 27*m7sq) + m1**4*(3*m3**4 + 7*m6**4 - 12*m3sq*m6sq + 21*m7**4 - 23*m6sq*m7sq) + m1sq*(8*m6sq*m7**4 - 5*m7**6 + m3**4*(6*m6sq - 3*m7sq) + 2*m3sq*(m6**4 + 3*m7**4 - 7*m6sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m1sq*(m3sq + m6sq - m7sq) - (m3sq - m7sq)*(3*m3sq - m6sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m1sq - m6sq) - (7*m1sq*T134fin(m7,m1,m1))/((m1sq - m6sq)*(4*m1sq - m7sq)) - (m3sq*T134fin(m7,m1,m1))/((m1sq - m6sq)*(4*m1sq - m7sq)) + (2*m7sq*T134fin(m7,m1,m1))/((m1sq - m6sq)*(4*m1sq - m7sq)) + (2*T134fin(m7,m3,m1))/(m1sq - m6sq) + ((-m1sq + m3sq)*(m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((m1sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*T134fin(m7,m6,m1))/(m1sq - m6sq) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m1sq - m6sq)*(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2)) - (2*T134fin(m7,m6,m3))/(m1sq - m6sq) + ((m1sq - m3sq)*(m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m1sq - m6sq)*(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2)))/(m1sq - m3sq)**3
		def eval_112():
			return ((2*m1sq*(m1sq - m3sq)*B0del(0,0,m1sq))/((4*m1sq - m5sq)*(4*m1sq - m6sq)) + ((m1sq - m3sq)*(7*m1**4 + 2*m1sq*m3sq - (m3sq - m5sq)**2)*m5sq*B0del(0,0,m1sq))/((4*m1sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(7*m1**4 + 2*m1sq*m3sq - (m3sq - m6sq)**2)*m6sq*B0del(0,0,m1sq))/((4*m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m1sq*(m1sq - m3sq)*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m5sq - m6sq) + m5sq*m6sq + m3sq*(m5sq + m6sq))*B0del(0,0,m1sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0del(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0del(0,0,m3sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m1sq*(m1sq - m3sq)*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m5sq - m6sq) + m5sq*m6sq + m3sq*(m5sq + m6sq))*B0del(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(7*m1**4 + 2*m1sq*m3sq - (m3sq - m5sq)**2)*m5sq*B0del(0,0,m5sq))/((4*m1sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0del(0,0,m5sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(7*m1**4 + 2*m1sq*m3sq - (m3sq - m6sq)**2)*m6sq*B0del(0,0,m6sq))/((4*m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq))/((4*m1sq - m5sq)*(4*m1sq - m6sq)) + ((m1sq - m3sq)*(-7*m1**4 - 2*m1sq*m3sq + (m3sq - m5sq)**2)*m5sq*B0fin(0,0,m1sq))/((4*m1sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(-7*m1**4 - 2*m1sq*m3sq + (m3sq - m6sq)**2)*m6sq*B0fin(0,0,m1sq))/((4*m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m1sq*(m1sq - m3sq)*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m5sq - m6sq) + m5sq*m6sq + m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq)**2)/((4*m1sq - m5sq)*(4*m1sq - m6sq)) + ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m3sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m1sq*(m1sq - m3sq)*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m5sq - m6sq) + m5sq*m6sq + m3sq*(m5sq + m6sq))*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m1sq*(m1sq - m3sq)*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m5sq - m6sq) + m5sq*m6sq + m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m1sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((4*m1sq - m5sq)*(m5sq - m6sq)) + (m3sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((4*m1sq - m5sq)*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq - m3sq + m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(-7*m1**4 - 2*m1sq*m3sq + (m3sq - m5sq)**2)*m5sq*B0fin(0,0,m5sq))/((4*m1sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0fin(0,0,m5sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) + ((m1sq - m3sq)*(7*m1**4 + 2*m1sq*m3sq - (m3sq - m5sq)**2)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((4*m1sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - ((m1sq - m3sq)*(m1sq + m3sq - m5sq)*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - (m1sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((4*m1sq - m6sq)*(-m5sq + m6sq)) + (m3sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((4*m1sq - m6sq)*(-m5sq + m6sq)) - ((m1sq - m3sq)*(m1sq - m3sq + m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(-7*m1**4 - 2*m1sq*m3sq + (m3sq - m6sq)**2)*m6sq*B0fin(0,0,m6sq))/((4*m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(7*m1**4 + 2*m1sq*m3sq - (m3sq - m6sq)**2)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((4*m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + ((m1sq - m3sq)*(m1sq + m3sq - m6sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (7*m1sq*T134fin(m5,m1,m1))/((4*m1sq - m5sq)*(m5sq - m6sq)) - (m3sq*T134fin(m5,m1,m1))/((4*m1sq - m5sq)*(m5sq - m6sq)) - (2*m5sq*T134fin(m5,m1,m1))/((-4*m1sq + m5sq)*(m5sq - m6sq)) + (2*T134fin(m5,m3,m1))/(m5sq - m6sq) + ((-m1sq + m3sq)*(m1sq - m3sq + m5sq)*T134fin(m5,m3,m1))/((m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m5sq - m6sq)) - (7*m1sq*T134fin(m6,m1,m1))/((4*m1sq - m6sq)*(-m5sq + m6sq)) - (m3sq*T134fin(m6,m1,m1))/((4*m1sq - m6sq)*(-m5sq + m6sq)) - (2*m6sq*T134fin(m6,m1,m1))/((-4*m1sq + m6sq)*(-m5sq + m6sq)) - (2*T134fin(m6,m3,m1))/(m5sq - m6sq) + ((m1sq - m3sq)*(m1sq - m3sq + m6sq)*T134fin(m6,m3,m1))/((m5sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))))/(m1sq - m3sq)**3
		def eval_113():
			return (-10*m1**8*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 + 12*m1**6*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 + 3*m1**10*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 - 10*m1**8*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 + 32*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 + 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 + 12*m1**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3 + 10*m1**8*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 - 12*m1**6*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 - 3*m1**10*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 + 10*m1**8*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 - 32*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 - 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 - 12*m1**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3 + 6*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq) + 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq) - m1sq*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3 + m1sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3 - 6*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq) - 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq) + 6*m1**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq) + m1sq*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**3 + 3*m1**10*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq + 12*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq - 24*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq - 3*m1**10*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq - 12*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq + 24*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq - 24*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 + m5 + m7)*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*m7sq - 6*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq + 24*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1 + m6 + m7)*(m1sq - m6sq - m7sq)*m7sq + 6*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq + 6*m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(-m5sq + m7sq) + m1sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(-m6sq + m7sq)**3 - 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0del(0,0,m1sq) + 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0del(0,0,m1sq) - 12*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0del(0,0,m1sq) + 12*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0del(0,0,m1sq) + 12*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0del(0,0,m1sq) - 12*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0del(0,0,m1sq) + 12*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0del(0,0,m5sq) + 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0del(0,0,m5sq) + 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0del(0,0,m5sq) + 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0del(0,0,m5sq) + 6*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0del(0,0,m5sq) + 6*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq) - 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq) - 12*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0del(0,0,m6sq) - 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0del(0,0,m6sq) - 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0del(0,0,m6sq) - 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0del(0,0,m6sq) - 6*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0del(0,0,m6sq) - 6*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq) + 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq) - 12*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0del(0,0,m7sq) - 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0del(0,0,m7sq) + 12*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0del(0,0,m7sq) + 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0del(0,0,m7sq) - 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0del(0,0,m7sq) + 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0del(0,0,m7sq) - 12*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0del(0,0,m7sq) - 6*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0del(0,0,m7sq) + 12*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0del(0,0,m7sq) + 6*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0del(0,0,m7sq) - 6*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq) + 6*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq) - 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq) + 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq) - 15*m1**8*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq) + 22*m1**6*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq) + 4*m1**10*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq) - 15*m1**8*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq) + 14*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq) + 22*m1**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq) + 15*m1**8*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq) - 22*m1**6*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq) - 4*m1**10*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq) + 15*m1**8*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq) - 14*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq) - 22*m1**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq) + 16*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m1sq) - 12*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m1sq) - 6*m1sq*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3*B0fin(0,0,m1sq) + 6*m1sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3*B0fin(0,0,m1sq) + m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**5*B0fin(0,0,m1sq) - 16*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m1sq) + 12*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m1sq) + 16*m1**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m1sq) + 6*m1sq*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**3*B0fin(0,0,m1sq) - m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**5*B0fin(0,0,m1sq) + 4*m1**10*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m1sq) + 14*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m1sq) - 10*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m1sq) - 4*m1**10*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m1sq) - 14*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m1sq) + 10*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m1sq) + 12*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq) - 12*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq) + (m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**5*m7sq*B0fin(0,0,m1sq) + 16*m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(-m5sq + m7sq)*B0fin(0,0,m1sq) + (m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(-m5sq + m7sq)**5*B0fin(0,0,m1sq) + 6*m1sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(-m6sq + m7sq)**3*B0fin(0,0,m1sq) + 15*m1**8*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq) - 22*m1**6*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq) - 4*m1**10*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq) + 36*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq) + 8*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq) + 2*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq) + 16*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m5sq) + 16*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m5sq) - 6*m1sq*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3*B0fin(0,0,m5sq) + m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**5*B0fin(0,0,m5sq) - 22*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m5sq) + 2*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m5sq) + 7*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m5sq) + 28*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq) - 8*m1sq*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m5sq) - 4*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq) + 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 6*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 15*m1**8*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq) + 22*m1**6*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq) + 4*m1**10*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq) - 36*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq) - 8*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq) - 2*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq) - 16*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m6sq) - 16*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m6sq) + 6*m1sq*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**3*B0fin(0,0,m6sq) - m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**5*B0fin(0,0,m6sq) + 22*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m6sq) - 2*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m6sq) - 7*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m6sq) - 28*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq) + 8*m1sq*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m6sq) + 4*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq) - 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**8*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + 2*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - 2*m1**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*(m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - m1**8*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - m1**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - 2*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1sq - m6sq - m7sq)*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 2*m1**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1sq - m6sq - m7sq)*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - 15*m1**8*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m7sq) - 36*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m7sq) + 22*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m7sq) + 22*m1**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m7sq) - 2*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m7sq) + 15*m1**8*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m7sq) + 36*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m7sq) - 22*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m7sq) - 22*m1**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m7sq) + 2*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m7sq) - 28*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m7sq) + 6*m1sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3*B0fin(0,0,m7sq) + 28*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m7sq) + 16*m1**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m7sq) + 4*m1**10*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m7sq) - 8*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m7sq) - 2*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m7sq) - 7*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m7sq) - 4*m1**10*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m7sq) + 8*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m7sq) + 2*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m7sq) + 7*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m7sq) - 16*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq) + 8*m1sq*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) + 16*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq) - 8*m1sq*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) + (m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)**5*m7sq*B0fin(0,0,m7sq) + 16*m1**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(-m5sq + m7sq)*B0fin(0,0,m7sq) + (m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(-m5sq + m7sq)**5*B0fin(0,0,m7sq) - 4*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq) + 6*m1sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(-m6sq + m7sq)**3*B0fin(0,0,m7sq) + 4*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq) - 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1**6*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1**6*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1**4*m5**4*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**4*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*m7**6*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1**4*m5**6*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1**8*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1**6*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1**4*m6**4*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**4*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 6*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*m7**6*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 6*m1**4*m6**6*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 6*m1**8*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 12*m1**6*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 12*m1**4*m5sq*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3*(m1sq - m5sq - m7sq)*m7sq*T134fin(m7,m5,m1) - 12*m1**4*m6sq*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1sq - m6sq - m7sq)*m7sq*T134fin(m7,m6,m1))/(6.*m1**4*(m5sq - m6sq)*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m6 - m7)**3*(m1 + m6 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3*(m1 - m6 + m7)**3*(m1 + m6 + m7)**3)
		def eval_114():
			return (6*m1**6)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (6*m1**4*m3sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (6*m1**4*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (6*m1sq*m3sq*m4sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + 2/((m1sq - m3sq)*(m1sq - m4sq)*(-2*m1 + m7)**2*(2*m1 + m7)) - (m1**4*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (m1sq*m3sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (m1sq*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (m3sq*m4sq*m7sq)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1sq)/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - (8*m1**6*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1sq*m3sq*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**8*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**6*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**6*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**4*m3sq*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (m1sq*(2*m1sq - m3sq - m4sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (2*m1**4*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (2*m3sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) + (2*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) + (m3sq*(-m1sq + m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m4sq*(-m1sq + m4sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((-2*m1**8 + (m3sq - m7sq)*(m3sq + m4sq - m7sq)*m7sq*(-m4sq + m7sq) + 3*m1**6*(m3sq + m4sq + 2*m7sq) - m1**4*(m3**4 + m4**4 - 5*m7**4 + 7*m4sq*m7sq + m3sq*(4*m4sq + 7*m7sq)) + m1sq*(-9*m4sq*m7**4 + 2*m7**6 + 3*m4**4*m7sq + m3**4*(m4sq + 3*m7sq) + m3sq*(m4**4 - 9*m7**4 + 4*m4sq*m7sq)))*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m3sq*(-m1sq + m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m4sq*(-m1sq + m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(2*m1sq - m3sq - m4sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (4*m1sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) + (2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - (m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((-2*m1**8 + (m3sq - m7sq)*(m3sq + m4sq - m7sq)*m7sq*(-m4sq + m7sq) + 3*m1**6*(m3sq + m4sq + 2*m7sq) - m1**4*(m3**4 + m4**4 - 5*m7**4 + 7*m4sq*m7sq + m3sq*(4*m4sq + 7*m7sq)) + m1sq*(-9*m4sq*m7**4 + 2*m7**6 + 3*m4**4*m7sq + m3**4*(m4sq + 3*m7sq) + m3sq*(m4**4 - 9*m7**4 + 4*m4sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m1**6*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (12*m1**4*m3sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (12*m1**4*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (20*m1sq*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**8*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**6*m3sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**6*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**4*m3sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (m1sq*(2*m1sq - m3sq - m4sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (2*m1sq*m3sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (12*m1sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - (2*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - (m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m4sq*(-m1sq + m4sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((-2*m1**8 + (m3sq - m7sq)*(m3sq + m4sq - m7sq)*m7sq*(-m4sq + m7sq) + 3*m1**6*(m3sq + m4sq + 2*m7sq) - m1**4*(m3**4 + m4**4 - 5*m7**4 + 7*m4sq*m7sq + m3sq*(4*m4sq + 7*m7sq)) + m1sq*(-9*m4sq*m7**4 + 2*m7**6 + 3*m4**4*m7sq + m3**4*(m4sq + 3*m7sq) + m3sq*(m4**4 - 9*m7**4 + 4*m4sq*m7sq)))*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m1**6*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m1sq*m3sq*m4sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1**8*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m1**6*m3sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m1**6*m4sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1**4*m3sq*m4sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (m1**4*m7sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (m3sq*m4sq*m7sq*B0fin(0,0,m1sq)**2)/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m4sq*(-m1sq + m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m4sq*(-m1sq + m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq*m7 + m7**3)**2) + ((2*m1sq - m3sq - m4sq)*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - ((m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(2*m1sq - m3sq - m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) + (12*m1sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - (2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) + (m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((-2*m1**8 + (m3sq - m7sq)*(m3sq + m4sq - m7sq)*m7sq*(-m4sq + m7sq) + 3*m1**6*(m3sq + m4sq + 2*m7sq) - m1**4*(m3**4 + m4**4 - 5*m7**4 + 7*m4sq*m7sq + m3sq*(4*m4sq + 7*m7sq)) + m1sq*(-9*m4sq*m7**4 + 2*m7**6 + 3*m4**4*m7sq + m3**4*(m4sq + 3*m7sq) + m3sq*(m4**4 - 9*m7**4 + 4*m4sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(2*m1sq - m3sq - m4sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (4*m1sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) + (2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) - (m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((-2*m1**8 + (m3sq - m7sq)*(m3sq + m4sq - m7sq)*m7sq*(-m4sq + m7sq) + 3*m1**6*(m3sq + m4sq + 2*m7sq) - m1**4*(m3**4 + m4**4 - 5*m7**4 + 7*m4sq*m7sq + m3sq*(4*m4sq + 7*m7sq)) + m1sq*(-9*m4sq*m7**4 + 2*m7**6 + 3*m4**4*m7sq + m3**4*(m4sq + 3*m7sq) + m3sq*(m4**4 - 9*m7**4 + 4*m4sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (4*m1sq*T134fin(m7,m1,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq*m7 + m7**3)**2) - ((2*m1sq - m3sq - m4sq)*T134fin(m7,m1,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(4*m1sq - m7sq)) - (2*T134fin(m7,m1,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(-4*m1sq + m7sq)**2) + ((m1sq - m3sq - m7sq)*T134fin(m7,m3,m1))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))
		def eval_115():
			return (m1sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) + (m3sq*B0del(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0del(0,0,m4sq))/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq)) + (m1sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m2sq*B0del(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) + (m3sq*B0del(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0del(0,0,m5sq))/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq)) - (2*m5sq*B0del(0,0,m5sq))/((m1sq - 4*m5sq)*(-m2sq + 4*m5sq)*(-m3sq + 4*m5sq)*(-m4sq + 4*m5sq)) - (m1sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) + (m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq)) + (m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) - (m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) - (m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) - (m4 + 2*m5 + 2*m4*B0fin(0,0,m4) + 4*m5*B0fin(0,0,m5))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq)) - (m1sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m2sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) + (m3sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0fin(0,0,m5sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq)) + (2*m5sq*B0fin(0,0,m5sq))/((m1sq - 4*m5sq)*(-m2sq + 4*m5sq)*(-m3sq + 4*m5sq)*(-m4sq + 4*m5sq)) + (m1sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) + (m2sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) + (m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) + (m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq)) - (m5sq*B0fin(0,0,m5sq)**2)/((m1sq - 4*m5sq)*(-m2sq + 4*m5sq)*(-m3sq + 4*m5sq)*(-m4sq + 4*m5sq)) - T134fin(m5,m5,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1sq - 4*m5sq)) + T134fin(m5,m5,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2sq - 4*m5sq)) + T134fin(m5,m5,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3sq - 4*m5sq)) + T134fin(m5,m5,m4)/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4sq - 4*m5sq))
		def eval_116():
			return (m1sq*(m1sq - m4sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m2sq - m4sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m3sq - m4sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*B0del(0,0,m4sq))/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)) + (m1sq*(m1sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m2sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m3sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(m1sq*(-(m4sq*(m4sq - m7sq)*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) - 3*m3sq*(12*m4**4 + 3*m7**4 + 10*m4sq*m7sq))) + m2sq*(36*m4**8 - 21*m4**4*m7**4 - 9*m4sq*m7**6 - 6*m4**6*m7sq + m3sq*(8*m4**6 + 38*m4sq*m7**4 + m7**6 + 80*m4**4*m7sq) - m3**4*(12*m4**4 + m7**4 + 18*m4sq*m7sq)) + m2**4*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m1**4*(m4sq*(m4sq - m7sq)*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2**4*(-m3**4 + 3*m4sq*(m4sq - m7sq) + m3sq*(6*m4sq + m7sq)) + m2sq*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m4sq*(m4sq - m7sq)*(35*m4**8 + 21*m4**4*m7**4 - 10*m4sq*m7**6 + 2*m7**8 - m3sq*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq) + m3**4*(15*m4**4 + 2*m7**4 - 5*m4sq*m7sq) + m2**4*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m4**6 + 7*m4sq*m7**4 - 4*m7**6 - 21*m4**4*m7sq - 5*m3**4*(2*m4sq + m7sq) + m3sq*(36*m4**4 + 9*m7**4 + 30*m4sq*m7sq))))*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(m1sq*(-(m4sq*(m4sq - m7sq)*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) - 3*m3sq*(12*m4**4 + 3*m7**4 + 10*m4sq*m7sq))) + m2sq*(36*m4**8 - 21*m4**4*m7**4 - 9*m4sq*m7**6 - 6*m4**6*m7sq + m3sq*(8*m4**6 + 38*m4sq*m7**4 + m7**6 + 80*m4**4*m7sq) - m3**4*(12*m4**4 + m7**4 + 18*m4sq*m7sq)) + m2**4*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m1**4*(m4sq*(m4sq - m7sq)*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2**4*(-m3**4 + 3*m4sq*(m4sq - m7sq) + m3sq*(6*m4sq + m7sq)) + m2sq*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m4sq*(m4sq - m7sq)*(35*m4**8 + 21*m4**4*m7**4 - 10*m4sq*m7**6 + 2*m7**8 - m3sq*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq) + m3**4*(15*m4**4 + 2*m7**4 - 5*m4sq*m7sq) + m2**4*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m4**6 + 7*m4sq*m7**4 - 4*m7**6 - 21*m4**4*m7sq - 5*m3**4*(2*m4sq + m7sq) + m3sq*(36*m4**4 + 9*m7**4 + 30*m4sq*m7sq))))*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(m2sq - m4sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)) - (m1sq*(m1sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(m2sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(m3sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(m1sq*(-(m4sq*(m4sq - m7sq)*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) - 3*m3sq*(12*m4**4 + 3*m7**4 + 10*m4sq*m7sq))) + m2sq*(36*m4**8 - 21*m4**4*m7**4 - 9*m4sq*m7**6 - 6*m4**6*m7sq + m3sq*(8*m4**6 + 38*m4sq*m7**4 + m7**6 + 80*m4**4*m7sq) - m3**4*(12*m4**4 + m7**4 + 18*m4sq*m7sq)) + m2**4*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m1**4*(m4sq*(m4sq - m7sq)*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2**4*(-m3**4 + 3*m4sq*(m4sq - m7sq) + m3sq*(6*m4sq + m7sq)) + m2sq*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m4sq*(m4sq - m7sq)*(35*m4**8 + 21*m4**4*m7**4 - 10*m4sq*m7**6 + 2*m7**8 - m3sq*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq) + m3**4*(15*m4**4 + 2*m7**4 - 5*m4sq*m7sq) + m2**4*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m4**6 + 7*m4sq*m7**4 - 4*m7**6 - 21*m4**4*m7sq - 5*m3**4*(2*m4sq + m7sq) + m3sq*(36*m4**4 + 9*m7**4 + 30*m4sq*m7sq))))*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m2sq - m4sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((-m1sq + m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)) + ((m1sq - m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m2sq - m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m3sq - m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4 + m7 + 4*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(m1sq*(-(m4sq*(m4sq - m7sq)*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) - 3*m3sq*(12*m4**4 + 3*m7**4 + 10*m4sq*m7sq))) + m2sq*(36*m4**8 - 21*m4**4*m7**4 - 9*m4sq*m7**6 - 6*m4**6*m7sq + m3sq*(8*m4**6 + 38*m4sq*m7**4 + m7**6 + 80*m4**4*m7sq) - m3**4*(12*m4**4 + m7**4 + 18*m4sq*m7sq)) + m2**4*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m1**4*(m4sq*(m4sq - m7sq)*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2**4*(-m3**4 + 3*m4sq*(m4sq - m7sq) + m3sq*(6*m4sq + m7sq)) + m2sq*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m4sq*(m4sq - m7sq)*(35*m4**8 + 21*m4**4*m7**4 - 10*m4sq*m7**6 + 2*m7**8 - m3sq*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq) + m3**4*(15*m4**4 + 2*m7**4 - 5*m4sq*m7sq) + m2**4*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m4**6 + 7*m4sq*m7**4 - 4*m7**6 - 21*m4**4*m7sq - 5*m3**4*(2*m4sq + m7sq) + m3sq*(36*m4**4 + 9*m7**4 + 30*m4sq*m7sq))))*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(m1sq*(-(m4sq*(m4sq - m7sq)*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) - 3*m3sq*(12*m4**4 + 3*m7**4 + 10*m4sq*m7sq))) + m2sq*(36*m4**8 - 21*m4**4*m7**4 - 9*m4sq*m7**6 - 6*m4**6*m7sq + m3sq*(8*m4**6 + 38*m4sq*m7**4 + m7**6 + 80*m4**4*m7sq) - m3**4*(12*m4**4 + m7**4 + 18*m4sq*m7sq)) + m2**4*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m1**4*(m4sq*(m4sq - m7sq)*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2**4*(-m3**4 + 3*m4sq*(m4sq - m7sq) + m3sq*(6*m4sq + m7sq)) + m2sq*(m3**4*(6*m4sq + m7sq) + 5*m4sq*(-2*m4**4 + m7**4 + m4sq*m7sq) - m3sq*(12*m4**4 + m7**4 + 18*m4sq*m7sq))) + m4sq*(m4sq - m7sq)*(35*m4**8 + 21*m4**4*m7**4 - 10*m4sq*m7**6 + 2*m7**8 - m3sq*(42*m4**6 - 7*m4sq*m7**4 + 4*m7**6 + 21*m4**4*m7sq) + m3**4*(15*m4**4 + 2*m7**4 - 5*m4sq*m7sq) + m2**4*(3*m3**4 + 15*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m4**6 + 7*m4sq*m7**4 - 4*m7**6 - 21*m4**4*m7sq - 5*m3**4*(2*m4sq + m7sq) + m3sq*(36*m4**4 + 9*m7**4 + 30*m4sq*m7sq))))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m1sq - m4sq + m7sq)*T134fin(m7,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m2sq - m4sq + m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - T134fin(m7,m4,m4)/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(4*m4sq - m7sq))
		def eval_117():
			return m3**6/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3sq*m5**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m5sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3sq*m7**4)/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (2*m5**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) - (4*m3sq*m5sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) - (2*m7**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)) + (-(m5sq*m7) + m7**3)**2/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m1sq*m2sq*m3**4*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3**6*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m2sq*m3**6*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**8*m7sq)/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3**4*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3sq*m5sq*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (6*m3sq*m5sq*m7sq)/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m5sq*(m5sq - m7sq)*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m1sq*m3**4*m7sq*(m5sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m2sq*m3**4*m7sq*(m5sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m3**6*m7sq*(m5sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m2sq*m3sq*m7sq*(m5sq + m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5**3 - m5*m7sq)**2/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m2sq - m5sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m3sq*m7**4*B0del(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m3**4*(-(m5sq*m7) + m7**3)**2*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m2sq*m3**4*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m1sq*m3**6*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m2sq*m3**6*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m3**8*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m5sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m2sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m2sq*m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3**4*m7sq*(m5sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m2sq*m3**4*m7sq*(m5sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (8*m3**6*m7sq*(m5sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - ((m1sq + m2sq - 2*m3sq)*m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*m3sq*(m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m3sq*m7**4*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m7**4*B0del(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) + (m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m7sq*(-m1sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m2sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m2sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*m3sq*(m3sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*(m3sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m3sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m3**4*(-(m5sq*m7) + m7**3)**2*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m2sq*m3**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m1sq*m3**6*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m2sq*m3**6*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m3**8*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m2sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m2sq*m3sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3**4*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m2sq*m3**4*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (8*m3**6*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m7sq*(-m1sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m2sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*(m3sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m2sq - m5sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3**6*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3sq*m5**4*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m5sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (5*m3sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3**4*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m1sq*m2sq*m3**4*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3**6*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m2sq*m3**6*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**8*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**4*m7sq*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3sq*m5sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m2sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m2sq*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m3**6*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m1sq*m2sq*m3sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m5**3 - m5*m7sq)**2*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq + m2sq - 2*m3sq)*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*m3sq*(m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m3**6*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3sq*m5**4*B0fin(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m5sq*B0fin(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3sq*m7**4*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m3**4*m7sq*B0fin(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) - (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m2sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-m2sq + m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*m3sq*(m3sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*(m3sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m2sq - m5sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m5sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - ((m1sq + m2sq - 2*m3sq)*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*m3sq*(m3sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m2sq - m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m3**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m5**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m5sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m7**4*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m7sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m5sq*m7sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + ((m1sq + m2sq - 2*m3sq)*(m3sq - m5sq + m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m3sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m3**4*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (3*m1sq*m2sq*m3**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m2sq*m3**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**8*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m3**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m3sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m2sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m2sq*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m3**6*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (4*m1sq*m2sq*m3sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-m2sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq + m2sq - 2*m3sq)*(m3sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (3*m3**4*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m1sq*m2sq*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m1sq*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (3*m2sq*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (5*m3**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m2sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m1sq*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m2sq*m3sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m1sq*m3**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (4*m2sq*m3**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (8*m3**6*m7sq*(m5sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (2*m3sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (m3**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) + (m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) + (m7sq*(-m1sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m2sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq + m2sq - 2*m3sq)*(m3sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m2sq - m5sq + m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m7**4*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m3sq*m7sq*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - (2*m5sq*m7sq*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m5 - m7)**2*(m3 - m5 + m7)**2*(-m3 + m5 + m7)**2*(m3 + m5 + m7)**2) - ((m1sq + m2sq - 2*m3sq)*(m3sq - m5sq + m7sq)*T134fin(m7,m5,m3))/((m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))
		def eval_118():
			return ((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*(m3sq - m6sq + m7sq)*B0del(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0del(0,0,m3sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*m7sq*B0del(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*(m3sq - m6sq + m7sq)*B0del(0,0,m6sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0del(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m3sq)**2 + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*(m3sq - m6sq + m7sq)*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 2*m1sq*(m1sq - m2sq)*m2sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m3**4*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m2sq)*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m2sq*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*(m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m7sq*(3*m3**4 - m6**4 + m3sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(4*m3sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)**2*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m1) - (m1sq - m3sq)**2*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m2) + m1sq*(m1sq - m2sq)*m2sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) - 7*(m1sq - m2sq)*m3**4*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) + 3*m1sq*(m1sq - m2sq)*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) + 3*(m1sq - m2sq)*m2sq*m3sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) - m1sq*(m1sq - m2sq)*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) - (m1sq - m2sq)*m2sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) + 2*(m1sq - m2sq)*m3sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m3,m3) - (m2sq - m3sq)**2*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m1) + (m1sq - m3sq)**2*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m2) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*(m3sq - m6sq - m7sq)*T134fin(m7,m6,m3) - (m1sq - m3sq)**2*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m3) + (m2sq - m3sq)**2*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m3sq - m6sq)*(4*m3sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq)))
		def eval_119():
			return (-((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(4*m3sq - m6sq)*B0del(0,0,m3sq)) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m5sq - m6sq)*B0del(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m5sq)*m6sq*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(4*m3sq - m6sq)*B0del(0,0,m5sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m5sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(4*m3sq - m6sq)*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m5sq - m6sq)*B0fin(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m5sq)*m6sq*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m5sq - m6sq)*B0fin(0,0,m3sq)**2 - m1sq*(m1sq - m2sq)*m2sq*(4*m3sq - m6sq)*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) - (m1sq - m2sq)*m3**4*(4*m3sq - m6sq)*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) + m1sq*(m1sq - m2sq)*m3sq*(4*m3sq - m6sq)*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) - m2sq*(-m1sq + m2sq)*m3sq*(4*m3sq - m6sq)*(2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(4*m3sq - m6sq)*B0fin(0,0,m5sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(4*m3sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m1sq*(m1sq - m2sq)*m2sq*(4*m3sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)*m3**4*(4*m3sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1sq - m2sq)*m3sq*(4*m3sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + m2sq*(-m1sq + m2sq)*m3sq*(4*m3sq - m5sq)*(2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m5sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m5sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + (m2sq - m3sq)**2*(4*m3sq - m5sq)*(4*m3sq - m6sq)*T134fin(m5,m3,m1) - (m1sq - m3sq)**2*(4*m3sq - m5sq)*(4*m3sq - m6sq)*T134fin(m5,m3,m2) + m1sq*(m1sq - m2sq)*m2sq*(4*m3sq - m6sq)*T134fin(m5,m3,m3) - 7*(m1sq - m2sq)*m3**4*(4*m3sq - m6sq)*T134fin(m5,m3,m3) + 3*m1sq*(m1sq - m2sq)*m3sq*(4*m3sq - m6sq)*T134fin(m5,m3,m3) + 3*(m1sq - m2sq)*m2sq*m3sq*(4*m3sq - m6sq)*T134fin(m5,m3,m3) - m1sq*(m1sq - m2sq)*m5sq*(4*m3sq - m6sq)*T134fin(m5,m3,m3) + m2sq*(-m1sq + m2sq)*m5sq*(4*m3sq - m6sq)*T134fin(m5,m3,m3) + 2*(m1sq - m2sq)*m3sq*m5sq*(4*m3sq - m6sq)*T134fin(m5,m3,m3) - (m2sq - m3sq)**2*(4*m3sq - m5sq)*(4*m3sq - m6sq)*T134fin(m6,m3,m1) + (m1sq - m3sq)**2*(4*m3sq - m5sq)*(4*m3sq - m6sq)*T134fin(m6,m3,m2) - m1sq*(m1sq - m2sq)*m2sq*(4*m3sq - m5sq)*T134fin(m6,m3,m3) + 7*(m1sq - m2sq)*m3**4*(4*m3sq - m5sq)*T134fin(m6,m3,m3) - 3*m1sq*(m1sq - m2sq)*m3sq*(4*m3sq - m5sq)*T134fin(m6,m3,m3) + 3*m2sq*(-m1sq + m2sq)*m3sq*(4*m3sq - m5sq)*T134fin(m6,m3,m3) + m1sq*(m1sq - m2sq)*(4*m3sq - m5sq)*m6sq*T134fin(m6,m3,m3) + (m1sq - m2sq)*m2sq*(4*m3sq - m5sq)*m6sq*T134fin(m6,m3,m3) - 2*(m1sq - m2sq)*m3sq*(4*m3sq - m5sq)*m6sq*T134fin(m6,m3,m3))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(4*m3sq - m5sq)*(4*m3sq - m6sq)*(m5sq - m6sq))
		def eval_120():
			return (m1sq*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2sq - m3sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*B0del(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)) + (m1sq*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m4sq*(-m3sq + m4sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(m1**4*(m2**4*(3*m3**4 - m4**4 + m3sq*(6*m4sq - 3*m7sq) + m4sq*m7sq) + m3sq*(m3sq - m7sq)*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m3sq*(m3sq - m7sq)*(35*m3**8 - 42*m3**6*m4sq + 2*m7**4*(m4sq - m7sq)**2 + m3sq*(7*m4sq*m7**4 - 10*m7**6 - 5*m4**4*m7sq) + 3*m3**4*(5*m4**4 + 7*m7**4 - 7*m4sq*m7sq) + m2**4*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m3**6 + 9*m4sq*m7**4 - 4*m7**6 + 3*m3**4*(12*m4sq - 7*m7sq) - 5*m4**4*m7sq + m3sq*(-10*m4**4 + 7*m7**4 + 30*m4sq*m7sq))) + m1sq*(-(m3sq*(m3sq - m7sq)*(42*m3**6 - 9*m4sq*m7**4 + 4*m7**6 + 5*m4**4*m7sq + m3**4*(-36*m4sq + 21*m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m2**4*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2sq*(36*m3**8 - m4**4*m7**4 + m4sq*m7**6 + m3**6*(8*m4sq - 6*m7sq) + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(-12*m4**4 - 21*m7**4 + 80*m4sq*m7sq))))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m4sq*(-m3sq + m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(m1**4*(m2**4*(3*m3**4 - m4**4 + m3sq*(6*m4sq - 3*m7sq) + m4sq*m7sq) + m3sq*(m3sq - m7sq)*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m3sq*(m3sq - m7sq)*(35*m3**8 - 42*m3**6*m4sq + 2*m7**4*(m4sq - m7sq)**2 + m3sq*(7*m4sq*m7**4 - 10*m7**6 - 5*m4**4*m7sq) + 3*m3**4*(5*m4**4 + 7*m7**4 - 7*m4sq*m7sq) + m2**4*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m3**6 + 9*m4sq*m7**4 - 4*m7**6 + 3*m3**4*(12*m4sq - 7*m7sq) - 5*m4**4*m7sq + m3sq*(-10*m4**4 + 7*m7**4 + 30*m4sq*m7sq))) + m1sq*(-(m3sq*(m3sq - m7sq)*(42*m3**6 - 9*m4sq*m7**4 + 4*m7**6 + 5*m4**4*m7sq + m3**4*(-36*m4sq + 21*m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m2**4*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2sq*(36*m3**8 - m4**4*m7**4 + m4sq*m7**6 + m3**6*(8*m4sq - 6*m7sq) + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(-12*m4**4 - 21*m7**4 + 80*m4sq*m7sq))))*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m2sq - m3sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)) - (m1sq*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m2sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m4sq*(-m3sq + m4sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(m1**4*(m2**4*(3*m3**4 - m4**4 + m3sq*(6*m4sq - 3*m7sq) + m4sq*m7sq) + m3sq*(m3sq - m7sq)*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m3sq*(m3sq - m7sq)*(35*m3**8 - 42*m3**6*m4sq + 2*m7**4*(m4sq - m7sq)**2 + m3sq*(7*m4sq*m7**4 - 10*m7**6 - 5*m4**4*m7sq) + 3*m3**4*(5*m4**4 + 7*m7**4 - 7*m4sq*m7sq) + m2**4*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m3**6 + 9*m4sq*m7**4 - 4*m7**6 + 3*m3**4*(12*m4sq - 7*m7sq) - 5*m4**4*m7sq + m3sq*(-10*m4**4 + 7*m7**4 + 30*m4sq*m7sq))) + m1sq*(-(m3sq*(m3sq - m7sq)*(42*m3**6 - 9*m4sq*m7**4 + 4*m7**6 + 5*m4**4*m7sq + m3**4*(-36*m4sq + 21*m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m2**4*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2sq*(36*m3**8 - m4**4*m7**4 + m4sq*m7**6 + m3**6*(8*m4sq - 6*m7sq) + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(-12*m4**4 - 21*m7**4 + 80*m4sq*m7sq))))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2sq - m3sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m3sq*B0fin(0,0,m3sq)**2)/((-m1sq + m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)) + (m4sq*(-m3sq + m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m4sq*(-m3sq + m4sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m2sq - m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)) - ((-m3sq + m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(m1**4*(m2**4*(3*m3**4 - m4**4 + m3sq*(6*m4sq - 3*m7sq) + m4sq*m7sq) + m3sq*(m3sq - m7sq)*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m3sq*(m3sq - m7sq)*(35*m3**8 - 42*m3**6*m4sq + 2*m7**4*(m4sq - m7sq)**2 + m3sq*(7*m4sq*m7**4 - 10*m7**6 - 5*m4**4*m7sq) + 3*m3**4*(5*m4**4 + 7*m7**4 - 7*m4sq*m7sq) + m2**4*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m3**6 + 9*m4sq*m7**4 - 4*m7**6 + 3*m3**4*(12*m4sq - 7*m7sq) - 5*m4**4*m7sq + m3sq*(-10*m4**4 + 7*m7**4 + 30*m4sq*m7sq))) + m1sq*(-(m3sq*(m3sq - m7sq)*(42*m3**6 - 9*m4sq*m7**4 + 4*m7**6 + 5*m4**4*m7sq + m3**4*(-36*m4sq + 21*m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m2**4*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2sq*(36*m3**8 - m4**4*m7**4 + m4sq*m7**6 + m3**6*(8*m4sq - 6*m7sq) + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(-12*m4**4 - 21*m7**4 + 80*m4sq*m7sq))))*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m7sq*(m1**4*(m2**4*(3*m3**4 - m4**4 + m3sq*(6*m4sq - 3*m7sq) + m4sq*m7sq) + m3sq*(m3sq - m7sq)*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m3sq*(m3sq - m7sq)*(35*m3**8 - 42*m3**6*m4sq + 2*m7**4*(m4sq - m7sq)**2 + m3sq*(7*m4sq*m7**4 - 10*m7**6 - 5*m4**4*m7sq) + 3*m3**4*(5*m4**4 + 7*m7**4 - 7*m4sq*m7sq) + m2**4*(15*m3**4 + 3*m4**4 + 2*m7**4 - 5*m4sq*m7sq - 5*m3sq*(2*m4sq + m7sq)) + m2sq*(-42*m3**6 + 9*m4sq*m7**4 - 4*m7**6 + 3*m3**4*(12*m4sq - 7*m7sq) - 5*m4**4*m7sq + m3sq*(-10*m4**4 + 7*m7**4 + 30*m4sq*m7sq))) + m1sq*(-(m3sq*(m3sq - m7sq)*(42*m3**6 - 9*m4sq*m7**4 + 4*m7**6 + 5*m4**4*m7sq + m3**4*(-36*m4sq + 21*m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m2**4*(-10*m3**6 + m4sq*(m4sq - m7sq)*m7sq + m3**4*(-12*m4sq + 5*m7sq) + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2sq*(36*m3**8 - m4**4*m7**4 + m4sq*m7**6 + m3**6*(8*m4sq - 6*m7sq) + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(-12*m4**4 - 21*m7**4 + 80*m4sq*m7sq))))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m2sq - m3sq + m7sq)*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - T134fin(m7,m3,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(4*m3sq - m7sq)) + ((-m3sq + m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)))
		def eval_121():
			return m2**6/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5**4)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m5sq)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2sq*m7**4)/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (2*m5**4)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (4*m2sq*m5sq)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (2*m7**4)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (-(m5sq*m7) + m7**3)**2/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**4*m7sq)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2sq*m5sq*m7sq)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2sq*m5sq*m7sq)/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m5sq*(m5sq - m7sq)*m7sq)/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2sq*m7sq*(m5sq + m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5**3 - m5*m7sq)**2/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*m7**4*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m5sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*(m1sq - 2*m2sq + m4sq)*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2sq*(m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*(m1sq - 2*m2sq + m4sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m2sq*m7**4*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m7**4*B0del(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) + (m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m7sq*(-m1sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m1sq - 2*m2sq + m4sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2sq*(m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - 2*m2sq + m4sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m4sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m2sq*m7**4*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((-(m5sq*m7) + m7**3)**2*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m7sq*(-m1sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*(m1sq - 2*m2sq + m4sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - 2*m2sq + m4sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5**4*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m5sq*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*m2sq*m7**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*m7sq*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2sq*m5sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m5**3 - m5*m7sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(m1sq - 2*m2sq + m4sq)*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m2sq*(m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m2sq*(m1sq - 2*m2sq + m4sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m2**6*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5**4*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m5sq*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2sq*m7**4*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*m7sq*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) - (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m1sq - 2*m2sq + m4sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m2sq*(m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - 2*m2sq + m4sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*(-m4sq + m7sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((-m1sq + m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*(m1sq - 2*m2sq + m4sq)*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2sq*(m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m5**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m5sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m7**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m5sq*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - 2*m2sq + m4sq)*(m2sq - m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m4sq - m5sq + m7sq)*(m4 + m5 + m7 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m2sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m2sq*(m1sq - 2*m2sq + m4sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - 2*m2sq + m4sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*(m1sq - 2*m2sq + m4sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m2sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2)) + (m7sq*(-m1sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - 2*m2sq + m4sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - 2*m2sq + m4sq)*(m2sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m4sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - ((m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m7**4*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2sq*m7sq*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m5sq*m7sq*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m4sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - 2*m2sq + m4sq)*(m2sq - m5sq + m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m4sq - m5sq + m7sq)*T134fin(m7,m5,m4))/((m1sq - m4sq)*(m2sq - m4sq)**2*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))
		def eval_122():
			return ((7*m2**4*(m1sq - m2sq)*m5**4)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (7*m1sq*(m1sq - m2sq)*m2sq*m5**4)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*m2**4*(m1sq - m2sq)*m5sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**6*(-m1sq + m2sq)*m5sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (7*(-(m1sq*m2) + m2**3)**2*m7**4)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**4*(m1sq - m2sq)**2)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (2*(m1sq - m2sq)**2*m5**4)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (2*(m1sq - m2sq)**2*m7**4)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (7*m1sq*(m1sq - m2sq)*m2sq*m6**4)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (7*m2**4*(-m1sq + m2sq)*m6**4)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*m1sq*m2**4*(m1sq - m2sq)*m6sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**6*(m1sq - m2sq)*m6sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (7*(-(m1sq*m2) + m2**3)**2*m7**4)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2**4*(m1sq - m2sq)**2)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (2*(m1sq - m2sq)**2*m6**4)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (2*(m1sq - m2sq)**2*m7**4)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (5*m1sq*(m1sq - m2sq)*m5**4*(m5sq - m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*m2sq*(-m1sq + m2sq)*m5**4*(m5sq - m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m5sq*(m5sq - m7sq)**3)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**3)/(m2**2*(m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (5*m1sq*(m1sq - m2sq)*m6**4*(m6sq - m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*(m1sq - m2sq)*m2sq*m6**4*(m6sq - m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*(m1sq - m2sq)**2*m7**4*(m6sq - m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)*m6sq*(m6sq - m7sq)**3)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**3)/(m2**2*(m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m2**4*(m1sq - m2sq)**2*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*m2**4*(m1sq - m2sq)*m5sq*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*(m1sq - m2sq)*m2sq*m5sq*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)**2*m2sq*m5sq*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)**2*m5sq*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (3*m2**4*(m1sq - m2sq)**2*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m1sq*(m1sq - m2sq)*m2sq*m6sq*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)**2*m2sq*m6sq*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m2**4*(-m1sq + m2sq)*m6sq*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*(m1sq - m2sq)**2*m6sq*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) - (4*m1sq*(m1sq - m2sq)*m5sq*(m2sq - m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2sq*(-m1sq + m2sq)*m5sq*(m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*(m5sq - m7sq)**3*m7sq)/(m2**2*(m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*(m1sq - m2sq)*m6sq*(m2sq - m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*(m1sq - m2sq)*m2sq*m6sq*(m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*(m1sq - m2sq)**2*m7**4*(-m5sq + m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(-(m1sq*m2) + m2**3)**2*(m5sq + m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (4*m2sq*(-m1sq + m2sq)*m5sq*m7sq*(m5sq + m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m7sq*(-m6sq + m7sq)**3)/(m2**2*(m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (4*(-(m1sq*m2) + m2**3)**2*(m6sq + m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)) + (4*(m1sq - m2sq)*m2sq*m6sq*m7sq*(m6sq + m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2**4*(-m1sq + m2sq)*m5**4*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*(m1sq - m2sq)*m5sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(m1sq - m2sq)*m6**4*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2**6*(-m1sq + m2sq)*m6sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m5**4*(m5sq - m7sq)*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m6**4*(m6sq - m7sq)*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m2sq*m5sq*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m2sq*m6sq*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m2sq))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m2sq))/((m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (6*m2**4*(-m1sq + m2sq)*m5**4*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*(m1sq - m2sq)*m5sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m5**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m2sq*m5sq*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(-m1sq + m2sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m5sq*(m2sq - m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (10*(m1sq - m2sq)*m2sq*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(m1sq - m2sq)*m6**4*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2**6*(-m1sq + m2sq)*m6sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m6**4*(m6sq - m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2**4*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m2sq*m6sq*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (10*m2sq*(-m1sq + m2sq)*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(-m1sq + m2sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m5sq*(m2sq - m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (10*(m1sq - m2sq)*m2sq*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (10*m2sq*(-m1sq + m2sq)*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m7sq))/((m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (7*m1sq*(m1sq - m2sq)*m2sq*m5**4*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(-m1sq + m2sq)*m5**4*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2**4*(m1sq - m2sq)*m5sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*(m1sq - m2sq)*m5sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (7*(-(m1sq*m2) + m2**3)**2*m7**4*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(m1sq - m2sq)*m6**4*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (7*m1sq*(m1sq - m2sq)*m2sq*m6**4*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m1sq*m2**4*(m1sq - m2sq)*m6sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m2**6*(-m1sq + m2sq)*m6sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (7*(-(m1sq*m2) + m2**3)**2*m7**4*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (5*m1sq*(m1sq - m2sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(-m1sq + m2sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*m1sq*(m1sq - m2sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)*m2sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*m2**4*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*(m1sq - m2sq)*m2sq*m5sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(-m1sq + m2sq)*m5sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m2**4*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*m1sq*(m1sq - m2sq)*m2sq*m6sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(-m1sq + m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)*m2sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)**2*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m2sq))/(m2**2*(m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)**2*m7sq*(-m5sq + m7sq)**3*B0fin(0,0,m2sq))/(m2**2*(m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*(m1sq - m2sq)**2*m7**4*(-m6sq + m7sq)*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m2sq))/((m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (7*m1sq*(m1sq - m2sq)*m2sq*m5**4*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(-m1sq + m2sq)*m5**4*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2**4*(m1sq - m2sq)*m5sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*(m1sq - m2sq)*m5sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (5*m1sq*(m1sq - m2sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(-m1sq + m2sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m5sq))/(m2**2*(m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*(m1sq - m2sq)*m2sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m5sq*(m2sq - m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(-m1sq + m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(-m1sq + m2sq)*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*(m1sq - m2sq)*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m5**4*(m5sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m2sq*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(m1sq - m2sq)*m6**4*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (7*m1sq*(m1sq - m2sq)*m2sq*m6**4*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (3*m1sq*m2**4*(m1sq - m2sq)*m6sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m2**6*(-m1sq + m2sq)*m6sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*m1sq*(m1sq - m2sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)*m2sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m2**2*(m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*m1sq*(m1sq - m2sq)*m2sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m2**4*(-m1sq + m2sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)*m2sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (4*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2**4*(m1sq - m2sq)*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2**6*(-m1sq + m2sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m2sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (m2**4*(m1sq - m2sq)**2*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m5**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m7**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)**2*m5sq*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(-(m1sq*m2) + m2**3)**2*(m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*(m2sq - m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m2**4*(m1sq - m2sq)**2*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)**2*m6**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)**2*m7**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)**2*m6sq*m7sq*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(-(m1sq*m2) + m2**3)**2*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*(m1sq - m2sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (7*(-(m1sq*m2) + m2**3)**2*m7**4*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (7*(-(m1sq*m2) + m2**3)**2*m7**4*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (5*(m1sq - m2sq)**2*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m2**4*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*(m1sq - m2sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (3*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2**4*(-m1sq + m2sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m5sq*(m2sq - m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - ((m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (4*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)**2*(m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m2**2*(m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + ((m1sq - m2sq)**2*m7sq*(-m5sq + m7sq)**3*B0fin(0,0,m7sq))/(m2**2*(m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2sq*(-m1sq + m2sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (5*(m1sq - m2sq)**2*m7**4*(-m6sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (6*(m1sq - m2sq)*m2sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m7sq))/((m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)**2*m2sq*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)**2*m2sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(m1sq - m2sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (6*m2**4*(-m1sq + m2sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m5sq*(m2sq - m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (10*(m1sq - m2sq)*m2sq*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) - (2*m1sq*(m1sq - m2sq)*m6sq*(m2sq - m6sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (4*(m1sq - m2sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (10*m2sq*(-m1sq + m2sq)*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*T134fin(m7,m5,m1))/(m5sq - m6sq) - (2*T134fin(m7,m5,m2))/(m5sq - m6sq) + (4*(m1sq - m2sq)**2*m5sq*m7sq*T134fin(m7,m5,m2))/((m5sq - m6sq)*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*(m2sq - m5sq - m7sq)*T134fin(m7,m5,m2))/((m5sq - m6sq)*(4*m5sq*m7sq - (-m2sq + m5sq + m7sq)**2)) - (2*T134fin(m7,m6,m1))/(m5sq - m6sq) + (2*T134fin(m7,m6,m2))/(m5sq - m6sq) - (4*(m1sq - m2sq)**2*m6sq*m7sq*T134fin(m7,m6,m2))/((m5sq - m6sq)*(m2 + m6 - m7)**2*(m2 - m6 + m7)**2*(-m2 + m6 + m7)**2*(m2 + m6 + m7)**2) + (2*(m1sq - m2sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))))/(2.*(m1sq - m2sq)**3)
		def eval_123():
			return -(((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)*(m2sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0del(0,0,m2sq) - 2*(m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*m7sq*B0del(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq) - 2*(m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0del(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m2sq) - 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)*(m2sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq) + (m1sq - m2sq)*m2sq*(m1sq - m4sq)*(m2sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq)**2 + 2*(m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*m7sq*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m2**4*(m1sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m1sq*m2sq*(m1sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m4sq)*m4sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m2sq*(m1sq - m4sq)*m4sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m7sq*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*(m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m6sq*(4*m2sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - (m2sq - m4sq)**2*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m1) + 7*m2**4*(m1sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) - 3*m1sq*m2sq*(m1sq - m4sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) - m1sq*(m1sq - m4sq)*m4sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) - 3*m2sq*(m1sq - m4sq)*m4sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) + m1sq*(m1sq - m4sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) - 2*m2sq*(m1sq - m4sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) + (m1sq - m4sq)*m4sq*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) + (m1sq - m2sq)**2*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m4,m2) + (m2sq - m4sq)**2*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2) + m1sq*(m1sq - m4sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m6,m2) - 2*m2sq*(m1sq - m4sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m6,m2) + (m1sq - m4sq)*m4sq*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m6,m2) - (m1sq - m2sq)**2*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m6,m4))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)**2*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))))
		def eval_124():
			return ((m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*B0del(0,0,m2sq) + 2*m2sq*(-m1sq + m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m5sq - m6sq)*B0del(0,0,m2sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m5sq)*m6sq*B0del(0,0,m2sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*B0del(0,0,m5sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m5sq)*m6sq*B0del(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m1sq - m4sq)*(m2sq - m4sq)*(m5sq - m6sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m5sq)*m6sq*B0fin(0,0,m2sq) + m2sq*(-m1sq + m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(m5sq - m6sq)*B0fin(0,0,m2sq)**2 - m2**4*(m1sq - m4sq)*(4*m2sq - m6sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) + m1sq*m2sq*(m1sq - m4sq)*(4*m2sq - m6sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - m1sq*(m1sq - m4sq)*m4sq*(4*m2sq - m6sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - m2sq*m4sq*(-m1sq + m4sq)*(4*m2sq - m6sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*B0fin(0,0,m5sq) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**4*(m1sq - m4sq)*(4*m2sq - m5sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) - m1sq*m2sq*(m1sq - m4sq)*(4*m2sq - m5sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + m1sq*(m1sq - m4sq)*m4sq*(4*m2sq - m5sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + m2sq*m4sq*(-m1sq + m4sq)*(4*m2sq - m5sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m5sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m4sq)*(m2sq - m4sq)*(4*m2sq - m5sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + (m2sq - m4sq)**2*(4*m2sq - m5sq)*(4*m2sq - m6sq)*T134fin(m5,m2,m1) - 7*m2**4*(m1sq - m4sq)*(4*m2sq - m6sq)*T134fin(m5,m2,m2) + 3*m1sq*m2sq*(m1sq - m4sq)*(4*m2sq - m6sq)*T134fin(m5,m2,m2) + m1sq*(m1sq - m4sq)*m4sq*(4*m2sq - m6sq)*T134fin(m5,m2,m2) + 3*m2sq*(m1sq - m4sq)*m4sq*(4*m2sq - m6sq)*T134fin(m5,m2,m2) - m1sq*(m1sq - m4sq)*m5sq*(4*m2sq - m6sq)*T134fin(m5,m2,m2) + 2*m2sq*(m1sq - m4sq)*m5sq*(4*m2sq - m6sq)*T134fin(m5,m2,m2) + m4sq*(-m1sq + m4sq)*m5sq*(4*m2sq - m6sq)*T134fin(m5,m2,m2) - (m1sq - m2sq)**2*(4*m2sq - m5sq)*(4*m2sq - m6sq)*T134fin(m5,m4,m2) - (m2sq - m4sq)**2*(4*m2sq - m5sq)*(4*m2sq - m6sq)*T134fin(m6,m2,m1) + 7*m2**4*(m1sq - m4sq)*(4*m2sq - m5sq)*T134fin(m6,m2,m2) - 3*m1sq*m2sq*(m1sq - m4sq)*(4*m2sq - m5sq)*T134fin(m6,m2,m2) - m1sq*(m1sq - m4sq)*m4sq*(4*m2sq - m5sq)*T134fin(m6,m2,m2) + 3*m2sq*m4sq*(-m1sq + m4sq)*(4*m2sq - m5sq)*T134fin(m6,m2,m2) + m1sq*(m1sq - m4sq)*(4*m2sq - m5sq)*m6sq*T134fin(m6,m2,m2) - 2*m2sq*(m1sq - m4sq)*(4*m2sq - m5sq)*m6sq*T134fin(m6,m2,m2) + (m1sq - m4sq)*m4sq*(4*m2sq - m5sq)*m6sq*T134fin(m6,m2,m2) + (m1sq - m2sq)**2*(4*m2sq - m5sq)*(4*m2sq - m6sq)*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m1sq - m4sq)*(m2sq - m4sq)**2*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq))
		def eval_125():
			return (m1sq*(m1sq - m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) + (m1sq*(m1sq - m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(-m2sq + m3sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m4sq*(-m2sq + m4sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m7sq*(m2sq*(m2sq - m7sq)*(35*m2**8 - 42*m2**6*(m3sq + m4sq) + 3*m2**4*(5*m3**4 + 5*m4**4 + 7*m7**4 + m3sq*(12*m4sq - 7*m7sq) - 7*m4sq*m7sq) + (m3sq - m7sq)*(m4sq - m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq) - m2sq*(-7*m4sq*m7**4 + 10*m7**6 + 5*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m1sq*(-42*m2**10 + m3sq*m4sq*(m3sq - m7sq)*(m4sq - m7sq)*m7sq + 3*m2**8*(12*m3sq + 12*m4sq + 7*m7sq) - 2*m2**6*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq)) - m2**4*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m1**4*(15*m2**8 + m3sq*m4sq*(m3sq - m7sq)*(-m4sq + m7sq) - 10*m2**6*(m3sq + m4sq + 2*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) + m2sq*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(-m2sq + m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m4sq*(-m2sq + m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m7sq*(m2sq*(m2sq - m7sq)*(35*m2**8 - 42*m2**6*(m3sq + m4sq) + 3*m2**4*(5*m3**4 + 5*m4**4 + 7*m7**4 + m3sq*(12*m4sq - 7*m7sq) - 7*m4sq*m7sq) + (m3sq - m7sq)*(m4sq - m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq) - m2sq*(-7*m4sq*m7**4 + 10*m7**6 + 5*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m1sq*(-42*m2**10 + m3sq*m4sq*(m3sq - m7sq)*(m4sq - m7sq)*m7sq + 3*m2**8*(12*m3sq + 12*m4sq + 7*m7sq) - 2*m2**6*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq)) - m2**4*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m1**4*(15*m2**8 + m3sq*m4sq*(m3sq - m7sq)*(-m4sq + m7sq) - 10*m2**6*(m3sq + m4sq + 2*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) + m2sq*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m1sq*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) - (m1sq*(m1sq - m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(-m2sq + m3sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m4sq*(-m2sq + m4sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m7sq*(m2sq*(m2sq - m7sq)*(35*m2**8 - 42*m2**6*(m3sq + m4sq) + 3*m2**4*(5*m3**4 + 5*m4**4 + 7*m7**4 + m3sq*(12*m4sq - 7*m7sq) - 7*m4sq*m7sq) + (m3sq - m7sq)*(m4sq - m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq) - m2sq*(-7*m4sq*m7**4 + 10*m7**6 + 5*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m1sq*(-42*m2**10 + m3sq*m4sq*(m3sq - m7sq)*(m4sq - m7sq)*m7sq + 3*m2**8*(12*m3sq + 12*m4sq + 7*m7sq) - 2*m2**6*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq)) - m2**4*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m1**4*(15*m2**8 + m3sq*m4sq*(m3sq - m7sq)*(-m4sq + m7sq) - 10*m2**6*(m3sq + m4sq + 2*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) + m2sq*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m1sq*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) + (m3sq*(-m2sq + m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m3sq*(-m2sq + m3sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m4sq*(-m2sq + m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m4sq*(-m2sq + m4sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) - ((-m2sq + m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - ((-m2sq + m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m7sq*(m2sq*(m2sq - m7sq)*(35*m2**8 - 42*m2**6*(m3sq + m4sq) + 3*m2**4*(5*m3**4 + 5*m4**4 + 7*m7**4 + m3sq*(12*m4sq - 7*m7sq) - 7*m4sq*m7sq) + (m3sq - m7sq)*(m4sq - m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq) - m2sq*(-7*m4sq*m7**4 + 10*m7**6 + 5*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m1sq*(-42*m2**10 + m3sq*m4sq*(m3sq - m7sq)*(m4sq - m7sq)*m7sq + 3*m2**8*(12*m3sq + 12*m4sq + 7*m7sq) - 2*m2**6*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq)) - m2**4*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m1**4*(15*m2**8 + m3sq*m4sq*(m3sq - m7sq)*(-m4sq + m7sq) - 10*m2**6*(m3sq + m4sq + 2*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) + m2sq*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m7sq*(m2sq*(m2sq - m7sq)*(35*m2**8 - 42*m2**6*(m3sq + m4sq) + 3*m2**4*(5*m3**4 + 5*m4**4 + 7*m7**4 + m3sq*(12*m4sq - 7*m7sq) - 7*m4sq*m7sq) + (m3sq - m7sq)*(m4sq - m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq) - m2sq*(-7*m4sq*m7**4 + 10*m7**6 + 5*m4**4*m7sq + 5*m3**4*(2*m4sq + m7sq) + m3sq*(10*m4**4 - 7*m7**4 - 30*m4sq*m7sq))) + m1sq*(-42*m2**10 + m3sq*m4sq*(m3sq - m7sq)*(m4sq - m7sq)*m7sq + 3*m2**8*(12*m3sq + 12*m4sq + 7*m7sq) - 2*m2**6*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq)) - m2**4*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))) + m1**4*(15*m2**8 + m3sq*m4sq*(m3sq - m7sq)*(-m4sq + m7sq) - 10*m2**6*(m3sq + m4sq + 2*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) + m2sq*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - T134fin(m7,m2,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq - m7sq)) + ((-m2sq + m3sq + m7sq)*T134fin(m7,m3,m2))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((-m2sq + m4sq + m7sq)*T134fin(m7,m4,m2))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)))
		def eval_126():
			return m1**6/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m5**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m7**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*m5**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*m1sq*m5sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*m7**4)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (-(m5sq*m7) + m7**3)**2/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m7sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m5sq*m7sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m5sq*(m5sq - m7sq)*m7sq)/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m7sq*(m5sq + m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5**3 - m5*m7sq)**2/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m7**4*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(2*m1sq - m3sq - m4sq)*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m1sq*(2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m3sq*(m3sq - m5sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - ((-(m5sq*m7) + m7**3)**2*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m5sq + m7sq)**2)) + (m1sq*(2*m1sq - m3sq - m4sq)*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m1sq*(2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((-2*m1sq + m3sq + m4sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m3sq*(m3sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m7sq*(-m3sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*(-m4sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m1sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m5sq + m7sq)**2)) + (2*m1sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((-2*m1sq + m3sq + m4sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m7sq*(-m3sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m1**6*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m5**4*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m5**3 - m5*m7sq)**2*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*(2*m1sq - m3sq - m4sq)*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1sq*(2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m3sq*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m1**6*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m7**4*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(-(m5sq*m7) + m7**3)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m5sq + m7sq)**2)) - (m1sq*(2*m1sq - m3sq - m4sq)*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1sq*(2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((-2*m1sq + m3sq + m4sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m3sq*(m3sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m3sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m4sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m1sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(2*m1sq - m3sq - m4sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m1sq*(2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m3sq*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m1**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((2*m1sq - m3sq - m4sq)*(m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m3sq - m5sq + m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m4sq - m5sq + m7sq)*(m4 + m5 + m7 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m1sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m5sq + m7sq)**2)) - (2*m1sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((-2*m1sq + m3sq + m4sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m3sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((-(m5sq*m7) + m7**3)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(-2*m1sq + m3sq + m4sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m1sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(-m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(4*m3sq*m7sq - (m3sq - m5sq + m7sq)**2)) - ((-2*m1sq + m3sq + m4sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((2*m1sq - m3sq - m4sq)*(m1sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m7sq*(-m3sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*(-m4sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m7**4*T134fin(m7,m5,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m7sq*T134fin(m7,m5,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m5sq*m7sq*T134fin(m7,m5,m1))/((m1sq - m3sq)*(m1sq - m4sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((2*m1sq - m3sq - m4sq)*(m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m3sq - m5sq + m7sq)*T134fin(m7,m5,m3))/((m1sq - m3sq)**2*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m4sq - m5sq + m7sq)*T134fin(m7,m5,m4))/((m1sq - m4sq)**2*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))
		def eval_127():
			return (-(((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m5sq - m7sq)*(m6sq - m7sq) + m1sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m1sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*B0del(0,0,m3sq))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m3sq))/((m5sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m3**4 + (m5sq - m7sq)*(m6sq - m7sq) + m3sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m3sq))/((m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*(1/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + 1/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0del(0,0,m5sq))/(m5sq - m6sq) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0del(0,0,m6sq))/(m5sq - m6sq) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m5sq - m7sq)*(m6sq - m7sq) + m1sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m3**4 + (m5sq - m7sq)*(m6sq - m7sq) + m3sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m7sq))/((m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*(1/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + 1/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0del(0,0,m7sq))/(m5sq - m6sq) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0del(0,0,m7sq))/(m5sq - m6sq) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*B0fin(0,0,m3sq))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq))/((m5sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m3sq))/((m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*(1/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + 1/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0fin(0,0,m5sq))/(m5sq - m6sq) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m6sq))/(m5sq - m6sq) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*(m3sq - m5sq - m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*(m3sq - m6sq - m7sq)*(m3 + m6 + m7 + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m7sq))/((m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*(1/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + 1/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0fin(0,0,m7sq))/(m5sq - m6sq) - (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m7sq))/(m5sq - m6sq) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m5sq - m7sq)*(m6sq - m7sq) + m1sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m3**4 + (m5sq - m7sq)*(m6sq - m7sq) + m3sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*(1/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + 1/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m6sq) + (2*(m1sq - m3sq)*m6sq*m7sq*(1/(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2) + 1/(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m5sq - m6sq) - (2*T134fin(m7,m5,m1))/(m5sq - m6sq) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*T134fin(m7,m5,m3))/(m5sq - m6sq) + ((m1sq - m3sq)*(m3sq - m5sq - m7sq)*T134fin(m7,m5,m3))/((m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*T134fin(m7,m6,m1))/(m5sq - m6sq) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m5sq - m6sq)*(4*m6sq*m7sq - (-m1sq + m6sq + m7sq)**2)) - (2*T134fin(m7,m6,m3))/(m5sq - m6sq) + ((m1sq - m3sq)*(m3sq - m6sq - m7sq)*T134fin(m7,m6,m3))/((m5sq - m6sq)*(4*m6sq*m7sq - (-m3sq + m6sq + m7sq)**2)))/(m1sq - m3sq)**3
		def eval_128():
			return ((7*m1**4*(m1sq - m4sq)*m5**4)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m4sq*m5**4)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**6*(m1sq - m4sq)*m5sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*(m1sq - m4sq)*m4sq*m5sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*(m1**3 - m1*m4sq)**2*m7**4)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(m1sq - m4sq)**2)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*(m1sq - m4sq)**2*m5**4)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*(m1sq - m4sq)**2*m7**4)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (7*m1**4*(m1sq - m4sq)*m6**4)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m6**4)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**6*(m1sq - m4sq)*m6sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m6sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*(m1**3 - m1*m4sq)**2*m7**4)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m1sq - m4sq)**2)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (2*(m1sq - m4sq)**2*m6**4)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (2*(m1sq - m4sq)**2*m7**4)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (5*m1sq*(m1sq - m4sq)*m5**4*(m5sq - m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*(m1sq - m4sq)*m4sq*m5**4*(m5sq - m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*(m1sq - m4sq)**2*m7**4*(m5sq - m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)*m5sq*(m5sq - m7sq)**3)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m4sq*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)**3)/(m1**2*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m4sq*(-m1sq + m4sq)*m6**4*(m6sq - m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)*m6sq*(m6sq - m7sq)**3)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)**3)/(m1**2*(m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*(m1sq - m4sq)**2*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m1**4*(m1sq - m4sq)*m5sq*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(m1sq - m4sq)**2*m5sq*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)**2*m5sq*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (3*m1**4*(m1sq - m4sq)**2*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (5*m1**4*(m1sq - m4sq)*m6sq*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1sq*(m1sq - m4sq)**2*m6sq*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)**2*m6sq*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (3*m1sq*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*(m1sq - m4sq)*m4sq*m5sq*(m5sq - m7sq)*m7sq)/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*(m1sq - m4sq)**2*m6sq*(m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)*m7sq)/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)**2*(m6sq - m7sq)**3*m7sq)/(m1**2*(m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)**2*m7sq*(-m5sq + m7sq)**3)/(m1**2*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1**3 - m1*m4sq)**2*(m5sq + m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (4*m1sq*(m1sq - m4sq)*m5sq*m7sq*(m5sq + m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)*m4sq*m5sq*m7sq*(m5sq + m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*(m1sq - m4sq)**2*m7**4*(-m6sq + m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1**3 - m1*m4sq)**2*(m6sq + m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (4*m1sq*(m1sq - m4sq)*m6sq*m7sq*(m6sq + m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m4sq*(-m1sq + m4sq)*m6sq*m7sq*(m6sq + m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1**4*(m1sq - m4sq)*m5**4*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*(m1sq - m4sq)*m5sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**4*(m1sq - m4sq)*m6**4*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**6*(m1sq - m4sq)*m6sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m5**4*(m5sq - m7sq)*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**3*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m4sq)**2*m6sq*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*(m1sq - m4sq)*m7sq*B0del(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m4sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m1sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (6*m1**4*(m1sq - m4sq)*m5**4*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*(m1sq - m4sq)*m5sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m5**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**3*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*(m1sq - m4sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (10*m1sq*(m1sq - m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**4*(m1sq - m4sq)*m6**4*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**6*(m1sq - m4sq)*m6sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (10*m1sq*(m1sq - m4sq)*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1**4*(m1sq - m4sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)**2*m6sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (10*m1sq*(m1sq - m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (10*m1sq*(m1sq - m4sq)*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*(m1sq - m4sq)*m7sq*B0del(0,0,m7sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m4sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1**4*(m1sq - m4sq)*m5**4*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m5**4*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*(m1sq - m4sq)*m5sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m5sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (7*(m1**3 - m1*m4sq)**2*m7**4*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m4sq)*m6**4*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m4sq*m6**4*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m1sq - m4sq)*m6sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*(m1sq - m4sq)*m4sq*m6sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*(m1**3 - m1*m4sq)**2*m7**4*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1sq*(m1sq - m4sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m4sq*(-m1sq + m4sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)*m4sq*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)*m4sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)**2*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)**2*m6sq*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1sq*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m4sq*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(m1**2*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)**2*m7**4*(-m5sq + m7sq)*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)**2*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m4sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1**4*(m1sq - m4sq)*m5**4*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1sq*(m1sq - m4sq)*m4sq*m5**4*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*(m1sq - m4sq)*m5sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*(m1sq - m4sq)*m4sq*m5sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*(m1sq - m4sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m4sq*(-m1sq + m4sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)*m4sq*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m5sq))/(m1**2*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m4sq*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*(m1sq - m4sq)*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*(m1sq - m4sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m5**4*(m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m4sq)*m6**4*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*(m1sq - m4sq)*m4sq*m6**4*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m1sq - m4sq)*m6sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*(m1sq - m4sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)*m4sq*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m4sq*(-m1sq + m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (5*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1**4*(m1sq - m4sq)*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**6*(m1sq - m4sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m1sq*(m1sq - m4sq)*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**4*(m1sq - m4sq)**2*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m4sq)**2*m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m4sq)**2*m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1**3 - m1*m4sq)**2*(m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1**4*(m1sq - m4sq)**2*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)**2*m6**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m1sq - m4sq)**2*m7**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m6sq*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1**3 - m1*m4sq)**2*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (7*(m1**3 - m1*m4sq)**2*m7**4*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*(m1**3 - m1*m4sq)**2*m7**4*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)**2*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*(m1sq - m4sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*(m1sq - m4sq)**2*m6sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - ((m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)**2*(m5sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*(m1sq - m4sq)**2*m7**4*(-m5sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1sq*(m1sq - m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m4sq)**2*m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*(m1sq - m4sq)*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*(m1sq - m4sq)*m7sq*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m4sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m1sq*(m1sq - m4sq)**2*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m4sq)**2*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*(m1sq - m4sq)**2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)**2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*(m1sq - m4sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m4sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m5sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (6*m1**4*(m1sq - m4sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m4sq)*m4sq*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*(m1sq - m4sq)*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (10*m1sq*(m1sq - m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(-m1sq + m4sq)*m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**4*(m1sq - m4sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m1sq - m4sq)*m4sq*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*(m1sq - m4sq)*m6sq*(m6sq - m7sq)**2*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (10*m1sq*(m1sq - m4sq)*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*m4sq*m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*T134fin(m7,m5,m1))/(m5sq - m6sq) - (4*(m1sq - m4sq)**2*m5sq*m7sq*T134fin(m7,m5,m1))/((m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m4sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m5sq - m6sq)*(4*m5sq*m7sq - (-m1sq + m5sq + m7sq)**2)) - (2*T134fin(m7,m5,m4))/(m5sq - m6sq) - (2*T134fin(m7,m6,m1))/(m5sq - m6sq) + (4*(m1sq - m4sq)**2*m6sq*m7sq*T134fin(m7,m6,m1))/((m5sq - m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*(m1sq - m4sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/((m5sq - m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*T134fin(m7,m6,m4))/(m5sq - m6sq))/(2.*(m1sq - m4sq)**3)
		def eval_129():
			return ((m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(3*m1**4 - m6**4 + m1sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m1sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*m7sq*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(3*m1**4 - m6**4 + m1sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0del(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(3*m1**4 - m6**4 + m1sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m1sq)**2 + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1**4*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m1sq*m3sq*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m1sq*(m3sq - m4sq)*m4sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m3sq*(m3sq - m4sq)*m4sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(3*m1**4 - m6**4 + m1sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m7sq*(3*m1**4 - m6**4 + m1sq*(6*m6sq - 3*m7sq) + m6sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 7*m1**4*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + 3*m1sq*m3sq*(m3sq - m4sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + 3*m1sq*(m3sq - m4sq)*m4sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + m3sq*(m3sq - m4sq)*m4sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + 2*m1sq*(m3sq - m4sq)*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) - m3sq*(m3sq - m4sq)*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) - (m3sq - m4sq)*m4sq*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + (m1sq - m4sq)**2*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m3,m1) - (m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m4,m1) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1) + 2*m1sq*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - m3sq*(m3sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - (m3sq - m4sq)*m4sq*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - (m1sq - m4sq)**2*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m3) + (m1sq - m3sq)**2*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m4))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))
		def eval_130():
			return (-((m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*B0del(0,0,m1sq)) + 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*B0del(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*B0del(0,0,m5sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*B0fin(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*B0fin(0,0,m1sq)**2 - m1**4*(m3sq - m4sq)*(4*m1sq - m6sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + m1sq*m3sq*(m3sq - m4sq)*(4*m1sq - m6sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - m3sq*(m3sq - m4sq)*m4sq*(4*m1sq - m6sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - m1sq*m4sq*(-m3sq + m4sq)*(4*m1sq - m6sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*B0fin(0,0,m5sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*(m3sq - m4sq)*(4*m1sq - m5sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) - m1sq*m3sq*(m3sq - m4sq)*(4*m1sq - m5sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + m3sq*(m3sq - m4sq)*m4sq*(4*m1sq - m5sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + m1sq*m4sq*(-m3sq + m4sq)*(4*m1sq - m5sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 7*m1**4*(m3sq - m4sq)*(4*m1sq - m6sq)*T134fin(m5,m1,m1) + 3*m1sq*m3sq*(m3sq - m4sq)*(4*m1sq - m6sq)*T134fin(m5,m1,m1) + 3*m1sq*(m3sq - m4sq)*m4sq*(4*m1sq - m6sq)*T134fin(m5,m1,m1) + m3sq*(m3sq - m4sq)*m4sq*(4*m1sq - m6sq)*T134fin(m5,m1,m1) + 2*m1sq*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*T134fin(m5,m1,m1) - m3sq*(m3sq - m4sq)*m5sq*(4*m1sq - m6sq)*T134fin(m5,m1,m1) + m4sq*(-m3sq + m4sq)*m5sq*(4*m1sq - m6sq)*T134fin(m5,m1,m1) + (m1sq - m4sq)**2*(4*m1sq - m5sq)*(4*m1sq - m6sq)*T134fin(m5,m3,m1) - (m1sq - m3sq)**2*(4*m1sq - m5sq)*(4*m1sq - m6sq)*T134fin(m5,m4,m1) + 7*m1**4*(m3sq - m4sq)*(4*m1sq - m5sq)*T134fin(m6,m1,m1) - 3*m1sq*m3sq*(m3sq - m4sq)*(4*m1sq - m5sq)*T134fin(m6,m1,m1) - m3sq*(m3sq - m4sq)*m4sq*(4*m1sq - m5sq)*T134fin(m6,m1,m1) + 3*m1sq*m4sq*(-m3sq + m4sq)*(4*m1sq - m5sq)*T134fin(m6,m1,m1) - 2*m1sq*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*T134fin(m6,m1,m1) + m3sq*(m3sq - m4sq)*(4*m1sq - m5sq)*m6sq*T134fin(m6,m1,m1) + (m3sq - m4sq)*m4sq*(4*m1sq - m5sq)*m6sq*T134fin(m6,m1,m1) - (m1sq - m4sq)**2*(4*m1sq - m5sq)*(4*m1sq - m6sq)*T134fin(m6,m3,m1) + (m1sq - m3sq)**2*(4*m1sq - m5sq)*(4*m1sq - m6sq)*T134fin(m6,m4,m1))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq))
		def eval_131():
			return (2*m1sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) - (m2sq*(-m1sq + m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(-m1sq + m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m4sq*(-m1sq + m4sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m7sq*(35*m1**12 - m2sq*m3sq*m4sq*(m2sq - m7sq)*(m3sq - m7sq)*(m4sq - m7sq) - 7*m1**10*(6*m2sq + 6*m3sq + 6*m4sq + 5*m7sq) + 3*m1**8*(5*m2**4 + 5*m3**4 + 5*m4**4 + 7*m7**4 + 7*m4sq*m7sq + m3sq*(12*m4sq + 7*m7sq) + m2sq*(12*m3sq + 12*m4sq + 7*m7sq)) - m1**6*(-28*m4sq*m7**4 + 31*m7**6 + 20*m4**4*m7sq + 10*m3**4*(m4sq + 2*m7sq) + 10*m2**4*(m3sq + m4sq + 2*m7sq) + 2*m3sq*(5*m4**4 - 14*m7**4 + 3*m4sq*m7sq) + 2*m2sq*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq))) + m1**4*(7*m4**4*m7**4 - 11*m4sq*m7**6 + 12*m7**8 + m3sq*(-21*m4sq*m7**4 - 11*m7**6 + 5*m4**4*m7sq) + m3**4*(3*m4**4 + 7*m7**4 + 5*m4sq*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) - m2sq*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq))) + m1sq*(-(m7sq*(-m3sq + m7sq)*(-m4sq + m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2**4*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(-m1sq + m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(-m1sq + m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m4sq*(-m1sq + m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m7sq*(35*m1**12 - m2sq*m3sq*m4sq*(m2sq - m7sq)*(m3sq - m7sq)*(m4sq - m7sq) - 7*m1**10*(6*m2sq + 6*m3sq + 6*m4sq + 5*m7sq) + 3*m1**8*(5*m2**4 + 5*m3**4 + 5*m4**4 + 7*m7**4 + 7*m4sq*m7sq + m3sq*(12*m4sq + 7*m7sq) + m2sq*(12*m3sq + 12*m4sq + 7*m7sq)) - m1**6*(-28*m4sq*m7**4 + 31*m7**6 + 20*m4**4*m7sq + 10*m3**4*(m4sq + 2*m7sq) + 10*m2**4*(m3sq + m4sq + 2*m7sq) + 2*m3sq*(5*m4**4 - 14*m7**4 + 3*m4sq*m7sq) + 2*m2sq*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq))) + m1**4*(7*m4**4*m7**4 - 11*m4sq*m7**6 + 12*m7**8 + m3sq*(-21*m4sq*m7**4 - 11*m7**6 + 5*m4**4*m7sq) + m3**4*(3*m4**4 + 7*m7**4 + 5*m4sq*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) - m2sq*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq))) + m1sq*(-(m7sq*(-m3sq + m7sq)*(-m4sq + m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2**4*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) + (m2sq*(-m1sq + m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m4sq*(-m1sq + m4sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m7sq*(35*m1**12 - m2sq*m3sq*m4sq*(m2sq - m7sq)*(m3sq - m7sq)*(m4sq - m7sq) - 7*m1**10*(6*m2sq + 6*m3sq + 6*m4sq + 5*m7sq) + 3*m1**8*(5*m2**4 + 5*m3**4 + 5*m4**4 + 7*m7**4 + 7*m4sq*m7sq + m3sq*(12*m4sq + 7*m7sq) + m2sq*(12*m3sq + 12*m4sq + 7*m7sq)) - m1**6*(-28*m4sq*m7**4 + 31*m7**6 + 20*m4**4*m7sq + 10*m3**4*(m4sq + 2*m7sq) + 10*m2**4*(m3sq + m4sq + 2*m7sq) + 2*m3sq*(5*m4**4 - 14*m7**4 + 3*m4sq*m7sq) + 2*m2sq*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq))) + m1**4*(7*m4**4*m7**4 - 11*m4sq*m7**6 + 12*m7**8 + m3sq*(-21*m4sq*m7**4 - 11*m7**6 + 5*m4**4*m7sq) + m3**4*(3*m4**4 + 7*m7**4 + 5*m4sq*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) - m2sq*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq))) + m1sq*(-(m7sq*(-m3sq + m7sq)*(-m4sq + m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2**4*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*B0fin(0,0,m1sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) + (m2sq*(-m1sq + m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m2sq*(-m1sq + m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m4sq*(-m1sq + m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m4sq*(-m1sq + m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) + ((m1sq - m2sq - m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m7sq*(35*m1**12 - m2sq*m3sq*m4sq*(m2sq - m7sq)*(m3sq - m7sq)*(m4sq - m7sq) - 7*m1**10*(6*m2sq + 6*m3sq + 6*m4sq + 5*m7sq) + 3*m1**8*(5*m2**4 + 5*m3**4 + 5*m4**4 + 7*m7**4 + 7*m4sq*m7sq + m3sq*(12*m4sq + 7*m7sq) + m2sq*(12*m3sq + 12*m4sq + 7*m7sq)) - m1**6*(-28*m4sq*m7**4 + 31*m7**6 + 20*m4**4*m7sq + 10*m3**4*(m4sq + 2*m7sq) + 10*m2**4*(m3sq + m4sq + 2*m7sq) + 2*m3sq*(5*m4**4 - 14*m7**4 + 3*m4sq*m7sq) + 2*m2sq*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq))) + m1**4*(7*m4**4*m7**4 - 11*m4sq*m7**6 + 12*m7**8 + m3sq*(-21*m4sq*m7**4 - 11*m7**6 + 5*m4**4*m7sq) + m3**4*(3*m4**4 + 7*m7**4 + 5*m4sq*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) - m2sq*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq))) + m1sq*(-(m7sq*(-m3sq + m7sq)*(-m4sq + m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2**4*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m7sq*(35*m1**12 - m2sq*m3sq*m4sq*(m2sq - m7sq)*(m3sq - m7sq)*(m4sq - m7sq) - 7*m1**10*(6*m2sq + 6*m3sq + 6*m4sq + 5*m7sq) + 3*m1**8*(5*m2**4 + 5*m3**4 + 5*m4**4 + 7*m7**4 + 7*m4sq*m7sq + m3sq*(12*m4sq + 7*m7sq) + m2sq*(12*m3sq + 12*m4sq + 7*m7sq)) - m1**6*(-28*m4sq*m7**4 + 31*m7**6 + 20*m4**4*m7sq + 10*m3**4*(m4sq + 2*m7sq) + 10*m2**4*(m3sq + m4sq + 2*m7sq) + 2*m3sq*(5*m4**4 - 14*m7**4 + 3*m4sq*m7sq) + 2*m2sq*(5*m3**4 + 5*m4**4 - 14*m7**4 + 3*m4sq*m7sq + m3sq*(-4*m4sq + 3*m7sq))) + m1**4*(7*m4**4*m7**4 - 11*m4sq*m7**6 + 12*m7**8 + m3sq*(-21*m4sq*m7**4 - 11*m7**6 + 5*m4**4*m7sq) + m3**4*(3*m4**4 + 7*m7**4 + 5*m4sq*m7sq) + m2**4*(3*m3**4 + 3*m4**4 + 7*m7**4 + 5*m4sq*m7sq + m3sq*(-12*m4sq + 5*m7sq)) - m2sq*(21*m4sq*m7**4 + 11*m7**6 + m3**4*(12*m4sq - 5*m7sq) - 5*m4**4*m7sq + m3sq*(12*m4**4 + 21*m7**4 - 80*m4sq*m7sq))) + m1sq*(-(m7sq*(-m3sq + m7sq)*(-m4sq + m7sq)*(2*m7**4 + m3sq*(3*m4sq - 2*m7sq) - 2*m4sq*m7sq)) + m2sq*(5*m4**4*m7**4 - 9*m4sq*m7**6 + 4*m7**8 + m3sq*(38*m4sq*m7**4 - 9*m7**6 - 18*m4**4*m7sq) + m3**4*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq)) + m2**4*(5*m4sq*m7**4 - 2*m7**6 + m3**4*(6*m4sq - 3*m7sq) - 3*m4**4*m7sq + m3sq*(6*m4**4 + 5*m7**4 - 18*m4sq*m7sq))))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + T134fin(m7,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m7sq)) + ((m1sq - m2sq - m7sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(4*m2sq*m7sq - (-m1sq + m2sq + m7sq)**2)) - ((m1sq - m3sq - m7sq)*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))
		def eval_132():
			return (m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m2sq - m5sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m3sq*(m3sq - m5sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m1sq*(m1sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m2sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m3sq*(m3sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*((m5sq - m7sq)*(5*m4sq*m5**4 - 7*m5**6 + m4sq*m7**4 - 21*m5sq*m7**4 - m7**6 - 35*m5**4*m7sq + 10*m4sq*m5sq*m7sq + m3sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq)) + m2sq*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))) + m1sq*(m2sq*((m4sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m3sq*(m4sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))))*B0del(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*((m5sq - m7sq)*(5*m4sq*m5**4 - 7*m5**6 + m4sq*m7**4 - 21*m5sq*m7**4 - m7**6 - 35*m5**4*m7sq + 10*m4sq*m5sq*m7sq + m3sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq)) + m2sq*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))) + m1sq*(m2sq*((m4sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m3sq*(m4sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))))*B0del(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m2sq - m5sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3sq*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m2sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3sq*(m3sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m7sq*((m5sq - m7sq)*(5*m4sq*m5**4 - 7*m5**6 + m4sq*m7**4 - 21*m5sq*m7**4 - m7**6 - 35*m5**4*m7sq + 10*m4sq*m5sq*m7sq + m3sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq)) + m2sq*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))) + m1sq*(m2sq*((m4sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m3sq*(m4sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))))*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m1sq*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m2sq - m5sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m3sq*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m4sq*(m4sq - m5sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + ((m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m2sq - m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m3sq - m5sq + m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m4sq - m5sq + m7sq)*(m4 + m5 + m7 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - (m7sq*((m5sq - m7sq)*(5*m4sq*m5**4 - 7*m5**6 + m4sq*m7**4 - 21*m5sq*m7**4 - m7**6 - 35*m5**4*m7sq + 10*m4sq*m5sq*m7sq + m3sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq)) + m2sq*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))) + m1sq*(m2sq*((m4sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m3sq*(m4sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))))*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) + (m7sq*((m5sq - m7sq)*(5*m4sq*m5**4 - 7*m5**6 + m4sq*m7**4 - 21*m5sq*m7**4 - m7**6 - 35*m5**4*m7sq + 10*m4sq*m5sq*m7sq + m3sq*(5*m5**4 + m7**4 + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq)) + m2sq*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))) + m1sq*(m2sq*((m4sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m3sq*(m4sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m3sq*(m4sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m4sq*(3*m5sq + m7sq))))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq))) - ((m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m2sq - m5sq + m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m3sq - m5sq + m7sq)*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m4sq - m5sq + m7sq)*T134fin(m7,m5,m4))/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)*(m4**4 + (m5sq - m7sq)**2 - 2*m4sq*(m5sq + m7sq)))
		def eval_133():
			return ((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0del(0,0,m3sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m5sq - m6sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0del(0,0,m5sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0del(0,0,m5sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m6sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0del(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m5sq - m6sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m5sq - m6sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m5sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m5sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(m3sq - m5sq + m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*(m3sq - m6sq + m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - m5sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*((m3 + m5 + m7)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - m6sq - m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*((m3 + m6 + m7)/2. + m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m5sq - m6sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m5sq - m6sq)*m7sq*(3*m3**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m3sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*m7sq*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m6sq*m7sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m5,m1) - (m1sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m5,m2) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - m5sq - m7sq)*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m5,m3) + (m1sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m5,m3) - (m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m5,m3) - (m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m1) + (m1sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m2) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - m6sq - m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*T134fin(m7,m6,m3) - (m1sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m3) + (m2sq - m3sq)**2*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq))*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m5sq - m6sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(m3**4 + (m6sq - m7sq)**2 - 2*m3sq*(m6sq + m7sq)))
		def eval_134():
			return (m5sq*(m2sq - m5sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m7sq*(-3*m2**4 + (m5sq - m7sq)*(m6sq - m7sq) + m2sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*(m2sq - m5sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m7sq*(-3*m2**4 + (m5sq - m7sq)*(m6sq - m7sq) + m2sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m5sq*(m2sq - m5sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m7sq*(-3*m2**4 + (m5sq - m7sq)*(m6sq - m7sq) + m2sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m5sq*(m2sq - m5sq + m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*(m2sq - m5sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m2sq - m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m7sq*(-3*m2**4 + (m5sq - m7sq)*(m6sq - m7sq) + m2sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m7sq*(-3*m2**4 + (m5sq - m7sq)*(m6sq - m7sq) + m2sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + T134fin(m7,m5,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)*(m5sq - m6sq)) + (m1sq*T134fin(m7,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m5sq - m6sq)) - (2*m2sq*T134fin(m7,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m5sq - m6sq)) + (m4sq*T134fin(m7,m5,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m5sq - m6sq)) + ((m2sq - m5sq - m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(4*m5sq*m7sq - (-m2sq + m5sq + m7sq)**2)) - T134fin(m7,m5,m4)/((m1sq - m4sq)*(m2sq - m4sq)**2*(m5sq - m6sq)) - T134fin(m7,m6,m1)/((m1sq - m2sq)**2*(m1sq - m4sq)*(m5sq - m6sq)) - (m1sq*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m5sq - m6sq)) + (2*m2sq*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m5sq - m6sq)) - (m4sq*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m4sq)**2*(m5sq - m6sq)) + ((m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m1sq - m2sq)*(m2sq - m4sq)*(m5sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + T134fin(m7,m6,m4)/((m1sq - m4sq)*(m2sq - m4sq)**2*(m5sq - m6sq))
		def eval_135():
			return ((m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1sq - m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(m1sq - m5sq + m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m1sq) + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m5sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(m1sq - m5sq + m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m5sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*m7sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0del(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1sq - m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0del(0,0,m6sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*m7sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0del(0,0,m7sq) + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0del(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1sq - m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(m1sq - m5sq + m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m1sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m1sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m5sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(m1sq - m5sq + m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m5sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*(m1sq - m5sq + m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*m7sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1sq - m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0fin(0,0,m6sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*(m1sq - m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1sq - m5sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1sq - m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*m7sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0fin(0,0,m7sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m5sq - m6sq)*m7sq*(3*m1**4 + (m5sq - m7sq)*(-m6sq + m7sq) - m1sq*(m5sq + m6sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m5sq*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*(m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*m6sq*m7sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1sq - m5sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m5,m1) - 2*m1sq*(m3sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m5,m1) + m3sq*(m3sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m5,m1) + (m3sq - m4sq)*m4sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m5,m1) + (m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m5,m3) - (m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m5,m4) - (m1sq - m3sq)*(m1sq - m4sq)*(m3sq - m4sq)*(m1sq - m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*T134fin(m7,m6,m1) + 2*m1sq*(m3sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - m3sq*(m3sq - m4sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - (m3sq - m4sq)*m4sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m1) - (m1sq - m4sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m3) + (m1sq - m3sq)**2*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m4))/((m1sq - m3sq)**2*(m1sq - m4sq)**2*(m3sq - m4sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))
		def eval_136():
			return (T134fin(m7,m5,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)) - T134fin(m7,m5,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)) - T134fin(m7,m5,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)) - T134fin(m7,m5,m4)/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)) - T134fin(m7,m6,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m4sq)) + T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m4sq)) + T134fin(m7,m6,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m4sq)) + T134fin(m7,m6,m4)/((m1sq - m4sq)*(-m2sq + m4sq)*(-m3sq + m4sq)))/(m5sq - m6sq)

		cond_m1_0 = cond(m1, 0)
		cond_m2_0 = cond(m2, 0)
		cond_m3_0 = cond(m3, 0)
		cond_m4_0 = cond(m4, 0)
		cond_m5_0 = cond(m5, 0)
		cond_m6_0 = cond(m6, 0)
		cond_m7_0 = cond(m7, 0)
		cond_m7_m6 = cond(m7, m6)
		cond_m7_m5 = cond(m7, m5)
		cond_m6_m5 = cond(m6, m5)
		cond_m7_m4 = cond(m7, m4)
		cond_m6_m4 = cond(m6, m4)
		cond_m5_m4 = cond(m5, m4)
		cond_m7_m3 = cond(m7, m3)
		cond_m6_m3 = cond(m6, m3)
		cond_m5_m3 = cond(m5, m3)
		cond_m4_m3 = cond(m4, m3)
		cond_m7_m2 = cond(m7, m2)
		cond_m6_m2 = cond(m6, m2)
		cond_m5_m2 = cond(m5, m2)
		cond_m4_m2 = cond(m4, m2)
		cond_m3_m2 = cond(m3, m2)
		cond_m7_m1 = cond(m7, m1)
		cond_m6_m1 = cond(m6, m1)
		cond_m5_m1 = cond(m5, m1)
		cond_m4_m1 = cond(m4, m1)
		cond_m3_m1 = cond(m3, m1)
		cond_m2_m1 = cond(m2, m1)

		conditions = [
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_4()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_4()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_15()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_25()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_25()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_58()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_15()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_25()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_25()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_58()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_25()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_57()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_58()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_58()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_38()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_38()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_38()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_40()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_38()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_38()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_72()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_38()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_72()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_40()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_114()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_114()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_114()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_114()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_114()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_114()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_55()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_55()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_55()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_22()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_56()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_55()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_55()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_22()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_55()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_56()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_95()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_90()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_90()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_90()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_32()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_33()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_33()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_34()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_107()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_107()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_94()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_35()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_109()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_94()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_35()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_109()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_14()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_90()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_90()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_32()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_90()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_32()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_99()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_33()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_33()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_34()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_33()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_105()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_33()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_34()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_33()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_34()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_105()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_106()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_106()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_106()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_106()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_35()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_94()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_35()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_35()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_35()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_110()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_94()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_35()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_35()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_109()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_110()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_83()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_83()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_46()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_80()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_83()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_83()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_46()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_18()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_80()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_83()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_46()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_46()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_96()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_80()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_80()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_97()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_97()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_82()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_100()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_100()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_50()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0, lambda: eval_19()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0, lambda: eval_19()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m7_0, lambda: eval_135()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0, lambda: eval_132()),
			(cond_m1_0 and cond_m5_0 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_19()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_135()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_132()),
			(cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_135()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_132()),
			(cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_132()),
			(cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_132()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_24()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_24()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_24()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_54()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_24()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_24()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_54()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_20()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_21()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_21()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_31()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_31()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_31()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_104()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_24()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_104()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_24()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_104()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_98()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_105()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_108()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_105()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_108()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_105()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_108()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_105()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_31()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_105()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_37()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_37()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_31()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_105()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_37()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_37()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_68()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_31()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_68()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_31()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_31()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_31()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_22()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_23()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_23()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_24()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_104()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_24()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_104()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_98()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_98()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_88()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_88()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_25()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_70()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_104()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_88()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_98()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_98()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_88()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_25()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_25()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_26()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_36()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_108()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_36()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_108()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_89()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_27()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_27()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_73()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_73()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_108()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_45()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_27()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_73()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_73()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_28()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_73()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_73()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_105()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_31()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_105()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_31()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_29()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_30()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_29()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_30()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_31()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_29()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_30()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_31()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_31()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_31()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_116()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_101()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_101()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_101()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_117()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_102()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_102()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_102()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_104()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_104()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_104()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_105()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_105()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_37()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_105()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_37()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_108()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_108()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_108()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_31()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_31()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_116()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_101()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_101()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_117()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_102()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_102()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_120()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_31()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_116()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_116()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_32()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_79()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_79()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_101()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_117()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_33()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_33()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_34()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_102()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_99()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_35()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_81()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_120()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_35()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_81()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_81()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_104()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_104()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_105()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_37()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_105()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_37()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_105()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_37()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_43()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_104()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_38()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_38()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_38()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_39()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_40()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_41()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_41()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_108()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_108()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_108()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_124()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_84()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_84()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_84()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_84()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_0, lambda: eval_132()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5, lambda: eval_44()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m5, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5, lambda: eval_44()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m5, lambda: eval_45()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5, lambda: eval_44()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m5, lambda: eval_45()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3, lambda: eval_127()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_132()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_44()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_45()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_44()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_45()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_133()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_132()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_44()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_45()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_132()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_46()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_47()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_133()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_49()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_134()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_50()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_135()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_51()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_135()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_52()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m2_0, lambda: eval_135()),
			(cond_m1_0 and cond_m3_0, lambda: eval_135()),
			(cond_m1_0 and cond_m4_0, lambda: eval_135()),
			(cond_m1_0 and cond_m5_0, lambda: eval_136()),
			(cond_m1_0 and cond_m6_0, lambda: eval_136()),
			(cond_m1_0 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0, lambda: eval_135()),
			(cond_m2_0 and cond_m4_0, lambda: eval_135()),
			(cond_m2_0 and cond_m5_0, lambda: eval_136()),
			(cond_m2_0 and cond_m6_0, lambda: eval_136()),
			(cond_m2_0 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_0, lambda: eval_135()),
			(cond_m3_0 and cond_m5_0, lambda: eval_136()),
			(cond_m3_0 and cond_m6_0, lambda: eval_136()),
			(cond_m3_0 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_0, lambda: eval_136()),
			(cond_m4_0 and cond_m6_0, lambda: eval_136()),
			(cond_m4_0 and cond_m7_0, lambda: eval_136()),
			(cond_m5_0 and cond_m6_0, lambda: eval_132()),
			(cond_m5_0 and cond_m7_0, lambda: eval_136()),
			(cond_m6_0 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_87()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_87()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_87()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_87()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_53()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_96()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_97()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_97()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_87()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_117()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_121()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_96()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_97()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_96()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_96()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_96()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_54()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_97()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_97()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_107()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_107()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_55()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_97()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_117()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_97()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_55()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_55()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_56()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_56()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_87()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_117()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_87()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_87()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_91()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_91()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_107()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_107()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_92()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_92()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_121()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_91()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_93()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_121()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_61()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_61()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_115()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_96()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_132()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_117()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_117()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_132()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_121()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_132()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_121()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_121()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_115()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_96()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_132()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_117()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_117()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_115()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_115()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_115()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_96()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_96()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_64()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_132()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_64()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_98()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_98()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_123()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_132()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_123()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_65()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_117()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_66()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_67()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_68()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_68()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_121()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_132()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_97()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_69()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_132()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_69()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_103()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_121()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_117()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_105()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_107()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_127()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_121()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_132()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_107()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_107()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_106()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_109()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_132()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_71()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_109()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_110()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_132()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_117()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_111()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_111()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_111()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_111()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_111()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_111()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_132()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_76()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_115()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_132()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_117()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_132()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5, lambda: eval_121()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_121()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2, lambda: eval_122()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_132()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_132()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_117()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_115()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_115()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_116()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_132()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_117()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_132()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_120()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_117()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_133()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_132()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_121()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_132()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_124()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_123()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5, lambda: eval_121()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_121()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_132()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_121()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_121()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_134()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_135()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_132()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_126()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_126()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_135()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_133()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_133()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m3, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0, lambda: eval_127()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m1, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_134()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1, lambda: eval_122()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_132()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_132()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_132()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_131()),
			(cond_m1_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m5, lambda: eval_132()),
			(cond_m1_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m1_0 and cond_m5_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m1_0 and cond_m4_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m5_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m1_0 and cond_m3_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m4_m2, lambda: eval_134()),
			(cond_m1_0 and cond_m5_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m2_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m5, lambda: eval_132()),
			(cond_m2_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m2_0 and cond_m5_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m2_0 and cond_m4_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m5_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m2_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m3_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m5, lambda: eval_132()),
			(cond_m3_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m3_0 and cond_m5_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m3_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m4_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m5, lambda: eval_132()),
			(cond_m4_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m5_0 and cond_m7_m6, lambda: eval_136()),
			(cond_m6_0 and cond_m7_m5, lambda: eval_136()),
			(cond_m6_m5 and cond_m7_0, lambda: eval_132()),
			(cond_m5_0 and cond_m6_m4, lambda: eval_136()),
			(cond_m5_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_0, lambda: eval_136()),
			(cond_m5_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m6_0 and cond_m7_m4, lambda: eval_136()),
			(cond_m6_m4 and cond_m7_0, lambda: eval_136()),
			(cond_m4_0 and cond_m5_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m4_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_m3 and cond_m5_0, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_0, lambda: eval_133()),
			(cond_m5_0 and cond_m6_m3, lambda: eval_136()),
			(cond_m5_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_0, lambda: eval_136()),
			(cond_m4_m3 and cond_m7_0, lambda: eval_133()),
			(cond_m5_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m6_0 and cond_m7_m3, lambda: eval_136()),
			(cond_m6_m3 and cond_m7_0, lambda: eval_136()),
			(cond_m3_0 and cond_m4_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m5_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m3_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m5_0, lambda: eval_134()),
			(cond_m4_0 and cond_m5_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m4_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m4_m2 and cond_m5_0, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_0, lambda: eval_134()),
			(cond_m5_0 and cond_m6_m2, lambda: eval_136()),
			(cond_m5_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_0, lambda: eval_136()),
			(cond_m3_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m4_m2 and cond_m7_0, lambda: eval_134()),
			(cond_m5_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m4_m1, lambda: eval_134()),
			(cond_m2_0 and cond_m5_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0, lambda: eval_134()),
			(cond_m3_0 and cond_m4_m1, lambda: eval_134()),
			(cond_m3_0 and cond_m5_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m5_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_0, lambda: eval_135()),
			(cond_m4_0 and cond_m5_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m4_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m4_m1 and cond_m5_0, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_0, lambda: eval_135()),
			(cond_m5_0 and cond_m6_m1, lambda: eval_136()),
			(cond_m5_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m3_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m4_m1 and cond_m7_0, lambda: eval_135()),
			(cond_m5_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m1_0, lambda: eval_136()),
			(cond_m2_0, lambda: eval_136()),
			(cond_m3_0, lambda: eval_136()),
			(cond_m4_0, lambda: eval_136()),
			(cond_m5_0, lambda: eval_136()),
			(cond_m6_0, lambda: eval_136()),
			(cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_95()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_99()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_99()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_121()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_99()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_121()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_117()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_99()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_121()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_99()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_121()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_105()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_105()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_105()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_121()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_121()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_105()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_105()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_99()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_121()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_117()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_99()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_121()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_110()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_121()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_132()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_117()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_132()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_117()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_132()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_117()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_132()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_121()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_121()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_121()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_117()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_121()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_121()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_132()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_99()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_117()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_133()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_132()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_121()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_132()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_126()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_117()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_121()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5, lambda: eval_105()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_133()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m1, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_132()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_110()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_110()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_117()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_133()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_132()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_134()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_132()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_132()),
			(cond_m6_m5 and cond_m7_m5, lambda: eval_132()),
			(cond_m5_m4 and cond_m7_m6, lambda: eval_136()),
			(cond_m6_m4 and cond_m7_m5, lambda: eval_136()),
			(cond_m6_m5 and cond_m7_m4, lambda: eval_132()),
			(cond_m5_m4 and cond_m6_m4, lambda: eval_132()),
			(cond_m5_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m6_m4 and cond_m7_m4, lambda: eval_136()),
			(cond_m4_m3 and cond_m7_m6, lambda: eval_133()),
			(cond_m5_m3 and cond_m7_m6, lambda: eval_136()),
			(cond_m6_m3 and cond_m7_m5, lambda: eval_136()),
			(cond_m6_m5 and cond_m7_m3, lambda: eval_132()),
			(cond_m4_m3 and cond_m6_m5, lambda: eval_117()),
			(cond_m4_m3 and cond_m7_m5, lambda: eval_133()),
			(cond_m5_m3 and cond_m6_m4, lambda: eval_136()),
			(cond_m5_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m3, lambda: eval_136()),
			(cond_m5_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m6_m3 and cond_m7_m4, lambda: eval_136()),
			(cond_m6_m4 and cond_m7_m3, lambda: eval_136()),
			(cond_m4_m3 and cond_m5_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m3, lambda: eval_133()),
			(cond_m4_m3 and cond_m7_m3, lambda: eval_133()),
			(cond_m5_m3 and cond_m6_m3, lambda: eval_132()),
			(cond_m5_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m6_m3 and cond_m7_m3, lambda: eval_136()),
			(cond_m3_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m4_m2 and cond_m7_m6, lambda: eval_134()),
			(cond_m5_m2 and cond_m7_m6, lambda: eval_136()),
			(cond_m6_m2 and cond_m7_m5, lambda: eval_136()),
			(cond_m6_m5 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_m2 and cond_m6_m5, lambda: eval_121()),
			(cond_m3_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m5, lambda: eval_121()),
			(cond_m4_m2 and cond_m7_m5, lambda: eval_134()),
			(cond_m5_m2 and cond_m6_m4, lambda: eval_136()),
			(cond_m5_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m2, lambda: eval_136()),
			(cond_m5_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m6_m2 and cond_m7_m4, lambda: eval_136()),
			(cond_m6_m4 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m5_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m4, lambda: eval_134()),
			(cond_m3_m2 and cond_m7_m4, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m3, lambda: eval_134()),
			(cond_m4_m2 and cond_m7_m3, lambda: eval_134()),
			(cond_m4_m3 and cond_m5_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m2, lambda: eval_133()),
			(cond_m4_m3 and cond_m7_m2, lambda: eval_133()),
			(cond_m5_m2 and cond_m6_m3, lambda: eval_136()),
			(cond_m5_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m2, lambda: eval_136()),
			(cond_m5_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m6_m2 and cond_m7_m3, lambda: eval_136()),
			(cond_m6_m3 and cond_m7_m2, lambda: eval_136()),
			(cond_m3_m2 and cond_m4_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m2, lambda: eval_134()),
			(cond_m3_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m5_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m2, lambda: eval_134()),
			(cond_m4_m2 and cond_m7_m2, lambda: eval_134()),
			(cond_m5_m2 and cond_m6_m2, lambda: eval_132()),
			(cond_m5_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m6_m2 and cond_m7_m2, lambda: eval_136()),
			(cond_m2_m1 and cond_m7_m6, lambda: eval_135()),
			(cond_m3_m1 and cond_m7_m6, lambda: eval_135()),
			(cond_m4_m1 and cond_m7_m6, lambda: eval_135()),
			(cond_m5_m1 and cond_m7_m6, lambda: eval_136()),
			(cond_m6_m1 and cond_m7_m5, lambda: eval_136()),
			(cond_m6_m5 and cond_m7_m1, lambda: eval_132()),
			(cond_m2_m1 and cond_m6_m5, lambda: eval_126()),
			(cond_m2_m1 and cond_m7_m5, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m5, lambda: eval_126()),
			(cond_m3_m1 and cond_m7_m5, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m5, lambda: eval_126()),
			(cond_m4_m1 and cond_m7_m5, lambda: eval_135()),
			(cond_m5_m1 and cond_m6_m4, lambda: eval_136()),
			(cond_m5_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m5_m4 and cond_m6_m1, lambda: eval_136()),
			(cond_m5_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m6_m1 and cond_m7_m4, lambda: eval_136()),
			(cond_m6_m4 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m5_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m4, lambda: eval_135()),
			(cond_m2_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m5_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m4, lambda: eval_135()),
			(cond_m3_m1 and cond_m7_m4, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m3, lambda: eval_135()),
			(cond_m4_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m4_m3 and cond_m5_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m6_m1, lambda: eval_133()),
			(cond_m4_m3 and cond_m7_m1, lambda: eval_133()),
			(cond_m5_m1 and cond_m6_m3, lambda: eval_136()),
			(cond_m5_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m5_m3 and cond_m6_m1, lambda: eval_136()),
			(cond_m5_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m6_m1 and cond_m7_m3, lambda: eval_136()),
			(cond_m6_m3 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m4_m3, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m3, lambda: eval_135()),
			(cond_m2_m1 and cond_m7_m3, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m2, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m2, lambda: eval_135()),
			(cond_m3_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m3_m2 and cond_m4_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m6_m1, lambda: eval_134()),
			(cond_m3_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m4_m1 and cond_m5_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m2, lambda: eval_135()),
			(cond_m4_m1 and cond_m7_m2, lambda: eval_135()),
			(cond_m4_m2 and cond_m5_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m6_m1, lambda: eval_134()),
			(cond_m4_m2 and cond_m7_m1, lambda: eval_134()),
			(cond_m5_m1 and cond_m6_m2, lambda: eval_136()),
			(cond_m5_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m5_m2 and cond_m6_m1, lambda: eval_136()),
			(cond_m5_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m6_m1 and cond_m7_m2, lambda: eval_136()),
			(cond_m6_m2 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m6_m1, lambda: eval_135()),
			(cond_m2_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m4_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m6_m1, lambda: eval_135()),
			(cond_m3_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m5_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m6_m1, lambda: eval_135()),
			(cond_m4_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m5_m1 and cond_m6_m1, lambda: eval_132()),
			(cond_m5_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m6_m1 and cond_m7_m1, lambda: eval_136()),
			(cond_m7_m6, lambda: eval_136()),
			(cond_m6_m5, lambda: eval_132()),
			(cond_m7_m5, lambda: eval_136()),
			(cond_m5_m4, lambda: eval_136()),
			(cond_m6_m4, lambda: eval_136()),
			(cond_m7_m4, lambda: eval_136()),
			(cond_m4_m3, lambda: eval_133()),
			(cond_m5_m3, lambda: eval_136()),
			(cond_m6_m3, lambda: eval_136()),
			(cond_m7_m3, lambda: eval_136()),
			(cond_m3_m2, lambda: eval_134()),
			(cond_m4_m2, lambda: eval_134()),
			(cond_m5_m2, lambda: eval_136()),
			(cond_m6_m2, lambda: eval_136()),
			(cond_m7_m2, lambda: eval_136()),
			(cond_m2_m1, lambda: eval_135()),
			(cond_m3_m1, lambda: eval_135()),
			(cond_m4_m1, lambda: eval_135()),
			(cond_m5_m1, lambda: eval_136()),
			(cond_m6_m1, lambda: eval_136()),
			(cond_m7_m1, lambda: eval_136()),
			(True, lambda: eval_136())
		]

		for condition,action in conditions:
			if condition:
				return action()

	except Exception as e:
		raise Exception(f"There was an error when evaluating the T1111334 integral with masses {m1}, {m2}, {m3}, {m4}, {m5}, {m6}, {m7} from {e}")