# This file is automatically generated. Do not modify it manually!
from functools import lru_cache
import numpy as np

from .config import cond
from .OneLoop import B0fin, B0del
from .T134 import T134fin


@lru_cache(maxsize=150)
def T1113334(m1: float, m2: float, m3: float, m4: float, m5: float, m6: float, m7) -> float:
	""" Computes the UV-finite part of the T1113334 integral.

	Args:
		m1: internal mass
		m2: internal mass
		m3: internal mass
		m4: internal mass
		m5: internal mass
		m6: internal mass
		m7: internal mass

	Returns:
		finite part of the T1113334 integral.
	"""

	try:

		m1, m2, m3 = np.sort([m1, m2, m3])
		m4, m5, m6 = np.sort([m4, m5, m6])
		

		m1sq = m1**2
		m2sq = m2**2
		m3sq = m3**2
		m4sq = m4**2
		m5sq = m5**2
		m6sq = m6**2
		m7sq = m7**2

		def eval_1():
			return 0
		def eval_2():
			return (9*m7 - 5*m7*B0fin(0,0,m7) - 6*T134fin(m7,0,0))/m7**8
		def eval_3():
			return (1 - 2*B0fin(0,0,m6))/(2.*m6**7)
		def eval_4():
			return (1 - 2*B0fin(0,0,m3))/(2.*m3**7)
		def eval_5():
			return (2*B0fin(0,0,m5))/m5**7
		def eval_6():
			return (2*B0fin(0,0,m2))/m2**7
		def eval_7():
			return -((m5**5 - m6**5 + 2*m6**5*B0fin(0,0,m5) - 2*m5**5*B0fin(0,0,m6))/(2*m5**7*m6**5 - 2*m5**5*m6**7))
		def eval_8():
			return -((m3**4*m6 + m3*m6**4 + 2*m3*m6**4*B0fin(0,0,m3) + 2*m3**4*m6*B0fin(0,0,m6) - m6**4*T134fin(m3,0,0) + m3sq*m6sq*T134fin(m3,0,0) - m3**4*T134fin(m6,0,0) + m3sq*m6sq*T134fin(m6,0,0) - m3sq*m6sq*T134fin(m6,m3,0))/(m3**6*m6**6))
		def eval_9():
			return -((m2**5 - m3**5 + 2*m3**5*B0fin(0,0,m2) - 2*m2**5*B0fin(0,0,m3))/(2*m2**7*m3**5 - 2*m2**5*m3**7))
		def eval_10():
			return (5*m3 + 6*m3*B0fin(0,0,m3) - m3sq*(-2 + 2*B0del(0,0,m3sq) + 10*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - 3*T134fin(m3,0,0) + T134fin(m3,m3,m3))/m3**8
		def eval_11():
			return (11 - 30*B0fin(0,0,m4sq))/(300.*m4**6)
		def eval_12():
			return (11 - 30*B0fin(0,0,m1sq))/(300.*m1**6)
		def eval_13():
			return (m1 + 2*B0fin(0,0,m1) - m1*B0fin(0,0,m1sq))/m1**7
		def eval_14():
			return (((m4sq - m5sq)**4*(5*m4sq - 27*m5sq - 6*(m4sq - 3*m5sq)*B0fin(0,0,m5sq)))/m5**4 + 36*m4sq*m5sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) - 18*(-2*(m4 + m5)*(m4sq + m5sq)**2 + (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m4sq*m5sq*T134fin(m5,m4,0)))/(36.*(m4sq - m5sq)**6)
		def eval_15():
			return (((m4sq - m6sq)**4*(11 - 6*B0fin(0,0,m6sq)))/m6**2 + 9*m6sq*(4*m4**4 + 20*m4sq*m6sq - 2*(3*m4**4 + m6**4 + 4*m4sq*m6sq)*B0del(0,0,m4sq) - 2*(3*m4**4 + m6**4 + 4*m4sq*m6sq)*B0del(0,0,m6sq) - 2*(3*m4**4 - m6**4 + 10*m4sq*m6sq)*B0fin(0,0,m4sq) - (6*m4**4 - 2*m6**4 + 20*m4sq*m6sq + 2*(3*m4**4 + m6**4 + 4*m4sq*m6sq)*B0fin(0,0,m4sq))*B0fin(0,0,m6sq)) + 9*(-2*(m4 + m6)*(m4**4 + 5*m6**4 + 10*m4sq*m6sq) + 2*(m4**4 + m6**4)*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 4*(m6**4 + 3*m4sq*m6sq)*T134fin(m6,m4,0)))/(18.*(m4sq - m6sq)**6)
		def eval_16():
			return (((m4sq - m5sq)**4*(11 - 6*B0fin(0,0,m4sq)))/m4**2 - 18*m4sq*(4*m5sq*(m4sq + m5sq) - 2*(3*m5**4 + 7*m4sq*m5sq) + (m4**4 + 3*m5**4 + 4*m4sq*m5sq)*B0del(0,0,m4sq) + (m4**4 + 3*m5**4 + 4*m4sq*m5sq)*B0del(0,0,m5sq) - (m4**4 - 3*m5**4 - 10*m4sq*m5sq)*B0fin(0,0,m4sq) + (-m4**4 + 3*m5**4 + 10*m4sq*m5sq + (m4**4 + 3*m5**4 + 4*m4sq*m5sq)*B0fin(0,0,m4sq))*B0fin(0,0,m5sq)) + 9*(-2*(m4 + m5)*(5*m4**4 + m5**4 + 10*m4sq*m5sq) + 2*(m4**4 + m5**4)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*(m4**4 + 3*m4sq*m5sq)*T134fin(m5,m4,0)))/(18.*(m4sq - m5sq)**6)
		def eval_17():
			return (-2*m4**7 - 2*m4**6*m7 + 14*m4**4*m7**3 + 18*m4**3*m7**4 - 7*m4**4*m7**4 + 18*m4sq*m7**5 - 9*m4sq*m7**6 + m7**8 + 14*m4**5*m7sq + 3*m4**6*m7sq + 6*m4sq*m7sq*(m4sq + m7sq)**2*B0del(0,0,m4sq) + 6*m4sq*m7sq*(m4sq + m7sq)**2*B0del(0,0,m7sq) - 2*m4**7*B0fin(0,0,m4) - 10*m4**3*m7**4*B0fin(0,0,m4) - 16*m4**5*m7sq*B0fin(0,0,m4) + 43*m4**4*m7**4*B0fin(0,0,m4sq) + 3*m4sq*m7**6*B0fin(0,0,m4sq) - m7**8*B0fin(0,0,m4sq) + 7*m4**6*m7sq*B0fin(0,0,m4sq) - 2*m4**6*m7*B0fin(0,0,m7) - 16*m4**4*m7**3*B0fin(0,0,m7) - 10*m4sq*m7**5*B0fin(0,0,m7) + 43*m4**4*m7**4*B0fin(0,0,m7sq) + 3*m4sq*m7**6*B0fin(0,0,m7sq) - m7**8*B0fin(0,0,m7sq) + 7*m4**6*m7sq*B0fin(0,0,m7sq) + 12*m4**4*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m4sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m4**6*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 12*m4sq*m7**4*T134fin(m7,m4,0) - 12*m4**4*m7sq*T134fin(m7,m4,0))/(2.*m4**2*(m4sq - m7sq)**6)
		def eval_18():
			return (36*(m4 + m6)*(m4sq + m6sq)**2 + ((m4sq - m6sq)**4*(-27*m4sq + 5*m6sq + 6*(3*m4sq - m6sq)*B0fin(0,0,m4sq)))/m4**4 - 18*(m4sq - m6sq)**2*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 36*m4sq*m6sq*(m4sq + m6sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m6sq) + B0fin(0,0,m4sq) + B0fin(0,0,m6sq) + B0fin(0,0,m4sq)*B0fin(0,0,m6sq)) - 72*m4sq*m6sq*T134fin(m6,m4,0))/(36.*(m4sq - m6sq)**6)
		def eval_19():
			return (((m1sq - m2sq)**4*(5*m1sq - 27*m2sq - 6*(m1sq - 3*m2sq)*B0fin(0,0,m2sq)))/m2**4 + 36*m1sq*m2sq*(m1sq + m2sq)*(-2 + B0del(0,0,m1sq) + B0del(0,0,m2sq) + B0fin(0,0,m1sq) + B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) - 18*(-2*(m1 + m2)*(m1sq + m2sq)**2 + (m1sq - m2sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 4*m1sq*m2sq*T134fin(m2,m1,0)))/(36.*(m1sq - m2sq)**6)
		def eval_20():
			return (((m1sq - m3sq)**4*(11 - 6*B0fin(0,0,m3sq)))/m3**2 + 9*m3sq*(4*m1**4 + 20*m1sq*m3sq - 2*(3*m1**4 + m3**4 + 4*m1sq*m3sq)*B0del(0,0,m1sq) - 2*(3*m1**4 + m3**4 + 4*m1sq*m3sq)*B0del(0,0,m3sq) - 2*(3*m1**4 - m3**4 + 10*m1sq*m3sq)*B0fin(0,0,m1sq) - (6*m1**4 - 2*m3**4 + 20*m1sq*m3sq + 2*(3*m1**4 + m3**4 + 4*m1sq*m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + 9*(-2*(m1 + m3)*(m1**4 + 5*m3**4 + 10*m1sq*m3sq) + 2*(m1**4 + m3**4)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 4*(m3**4 + 3*m1sq*m3sq)*T134fin(m3,m1,0)))/(18.*(m1sq - m3sq)**6)
		def eval_21():
			return (((m1sq - m2sq)**4*(11 - 6*B0fin(0,0,m1sq)))/m1**2 - 18*m1sq*(4*m2sq*(m1sq + m2sq) - 2*(3*m2**4 + 7*m1sq*m2sq) + (m1**4 + 3*m2**4 + 4*m1sq*m2sq)*B0del(0,0,m1sq) + (m1**4 + 3*m2**4 + 4*m1sq*m2sq)*B0del(0,0,m2sq) - (m1**4 - 3*m2**4 - 10*m1sq*m2sq)*B0fin(0,0,m1sq) + (-m1**4 + 3*m2**4 + 10*m1sq*m2sq + (m1**4 + 3*m2**4 + 4*m1sq*m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)) + 9*(-2*(m1 + m2)*(5*m1**4 + m2**4 + 10*m1sq*m2sq) + 2*(m1**4 + m2**4)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 4*(m1**4 + 3*m1sq*m2sq)*T134fin(m2,m1,0)))/(18.*(m1sq - m2sq)**6)
		def eval_22():
			return (-2*m1**7 - 2*m1**6*m7 + 14*m1**4*m7**3 + 18*m1**3*m7**4 - 7*m1**4*m7**4 + 18*m1sq*m7**5 - 9*m1sq*m7**6 + m7**8 + 14*m1**5*m7sq + 3*m1**6*m7sq + 6*m1sq*m7sq*(m1sq + m7sq)**2*B0del(0,0,m1sq) + 6*m1sq*m7sq*(m1sq + m7sq)**2*B0del(0,0,m7sq) - 2*m1**7*B0fin(0,0,m1) - 10*m1**3*m7**4*B0fin(0,0,m1) - 16*m1**5*m7sq*B0fin(0,0,m1) + 43*m1**4*m7**4*B0fin(0,0,m1sq) + 3*m1sq*m7**6*B0fin(0,0,m1sq) - m7**8*B0fin(0,0,m1sq) + 7*m1**6*m7sq*B0fin(0,0,m1sq) - 2*m1**6*m7*B0fin(0,0,m7) - 16*m1**4*m7**3*B0fin(0,0,m7) - 10*m1sq*m7**5*B0fin(0,0,m7) + 43*m1**4*m7**4*B0fin(0,0,m7sq) + 3*m1sq*m7**6*B0fin(0,0,m7sq) - m7**8*B0fin(0,0,m7sq) + 7*m1**6*m7sq*B0fin(0,0,m7sq) + 12*m1**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1sq*m7**4*T134fin(m7,m1,0) - 12*m1**4*m7sq*T134fin(m7,m1,0))/(2.*m1**2*(m1sq - m7sq)**6)
		def eval_23():
			return (36*(m1 + m3)*(m1sq + m3sq)**2 + ((m1sq - m3sq)**4*(-27*m1sq + 5*m3sq + 6*(3*m1sq - m3sq)*B0fin(0,0,m1sq)))/m1**4 - 18*(m1sq - m3sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 36*m1sq*m3sq*(m1sq + m3sq)*(-2 + B0del(0,0,m1sq) + B0del(0,0,m3sq) + B0fin(0,0,m1sq) + B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) - 72*m1sq*m3sq*T134fin(m3,m1,0))/(36.*(m1sq - m3sq)**6)
		def eval_24():
			return (11 - 6*B0fin(0,0,m6sq))/(18.*m6**2*(-m4sq + m6sq)*(-m5sq + m6sq)) + (m4sq*m6sq*(m4sq + m6sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m6sq) + B0fin(0,0,m4sq) + B0fin(0,0,m6sq) + B0fin(0,0,m4sq)*B0fin(0,0,m6sq)))/((m4sq - m5sq)*(m4sq - m6sq)**5) + (m5sq*m6sq*(m5sq + m6sq)*(-2 + B0del(0,0,m5sq) + B0del(0,0,m6sq) + B0fin(0,0,m5sq) + B0fin(0,0,m6sq) + B0fin(0,0,m5sq)*B0fin(0,0,m6sq)))/((-m4sq + m5sq)*(m5sq - m6sq)**5) - (-2*(m4 + m6)*(m4sq + m6sq)**2 + (m4sq - m6sq)**2*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 4*m4sq*m6sq*T134fin(m6,m4,0))/(2.*(m4sq - m5sq)*(m4sq - m6sq)**5) + (-2*(m5 + m6)*(m5sq + m6sq)**2 + (m5sq - m6sq)**2*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 4*m5sq*m6sq*T134fin(m6,m5,0))/(2.*(m4sq - m5sq)*(m5sq - m6sq)**5)
		def eval_25():
			return (m4**4/((m4 - m7)**4*(m4 + m7)**3) + m7**4/((m4 - m7)**4*(m4 + m7)**3) - m5**6/((m5 - m7)**5*(m5 + m7)**4) + (4*m4sq*m7**4)/((m5 - m7)**5*(m5 + m7)**4) - (3*m5sq*m7**4)/((m5 - m7)**5*(m5 + m7)**4) + m7**6/((m5 - m7)**5*(m5 + m7)**4) + (8*m5sq*(-m4sq + m5sq)*m7**4)/(m5sq - m7sq)**5 + (2*m4sq*m7sq)/((m4 - m7)**4*(m4 + m7)**3) - (9*m5**4*m7sq)/((m5 - m7)**5*(m5 + m7)**4) + (8*m4sq*m5sq*m7sq)/((m5 - m7)**5*(m5 + m7)**4) - (2*m4sq*m7sq*(m4sq + m7sq))/(m4sq - m7sq)**4 + (2*m5sq*m7sq*(m5sq + m7sq))/(m5sq - m7sq)**4 + (m4sq*m7sq*(m4sq + m7sq)*B0del(0,0,m4sq))/(m4sq - m7sq)**4 + (3*(m4sq - m5sq)*m5sq*m7**4*B0del(0,0,m5sq))/(m5sq - m7sq)**5 + ((m4sq - m5sq)*m7**6*B0del(0,0,m5sq))/(m5sq - m7sq)**5 + (2*m5**4*(m4sq - m5sq)*m7sq*B0del(0,0,m5sq))/(m5sq - m7sq)**5 - (m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq))/(m5sq - m7sq)**4 + (3*(m4sq - m5sq)*m5sq*m7**4*B0del(0,0,m7sq))/(m5sq - m7sq)**5 + ((m4sq - m5sq)*m7**6*B0del(0,0,m7sq))/(m5sq - m7sq)**5 + (2*m5**4*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/(m5sq - m7sq)**5 + (m4sq*m7sq*(m4sq + m7sq)*B0del(0,0,m7sq))/(m4sq - m7sq)**4 - (m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/(m5sq - m7sq)**4 + (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq))/(m4sq - m7sq)**4 + (9*(m4sq - m5sq)*m5sq*m7**4*B0fin(0,0,m5sq))/(m5sq - m7sq)**5 - ((m4sq - m5sq)*m7**6*B0fin(0,0,m5sq))/(m5sq - m7sq)**5 + (2*m5**4*(m4sq - m5sq)*m7sq*B0fin(0,0,m5sq))/(m5sq - m7sq)**5 - (m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq))/(m5sq - m7sq)**4 - (m4**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(m4sq - m7sq)**4) - (m7**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(m4sq - m7sq)**4) + (m4sq*m7sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m4sq - m7sq)**4 - (m4sq*m5**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(m5sq - m7sq)**5) + (m5**6*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m5sq - m7sq)**5 + (2*m5sq*m7**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m5sq - m7sq)**5 - (m5**4*m7sq*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(m5sq - m7sq)**5) - (m4sq*m5sq*m7sq*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m5sq - m7sq)**5 + (m4sq*m7**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(-m5sq + m7sq)**5) + (m7**6*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(-m5sq + m7sq)**5) + (9*(m4sq - m5sq)*m5sq*m7**4*B0fin(0,0,m7sq))/(m5sq - m7sq)**5 - ((m4sq - m5sq)*m7**6*B0fin(0,0,m7sq))/(m5sq - m7sq)**5 + (2*m5**4*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/(m5sq - m7sq)**5 + (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**4 - (m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**4 + (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**4 + (3*(m4sq - m5sq)*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**5 + ((m4sq - m5sq)*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**5 + (2*m5**4*(m4sq - m5sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**5 - (m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m5sq - m7sq)**4 - (2*m4sq*m7sq*T134fin(m7,m4,0))/(m4sq - m7sq)**4 + (6*m5**4*m7sq*T134fin(m7,m5,0))/(m5sq - m7sq)**5 - (4*m4sq*m5sq*m7sq*T134fin(m7,m5,0))/(m5sq - m7sq)**5 + (2*m4sq*m7**4*T134fin(m7,m5,0))/(-m5sq + m7sq)**5)/(m4sq - m5sq)**2
		def eval_26():
			return (11 - 6*B0fin(0,0,m5sq))/(18.*m5**2*(-m4sq + m5sq)*(m5sq - m6sq)) + (m4sq*m5sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/((m4sq - m5sq)**5*(m4sq - m6sq)) - (m5sq*m6sq*(m5sq + m6sq)*(-2 + B0del(0,0,m5sq) + B0del(0,0,m6sq) + B0fin(0,0,m5sq) + B0fin(0,0,m6sq) + B0fin(0,0,m5sq)*B0fin(0,0,m6sq)))/((m5sq - m6sq)**5*(-m4sq + m6sq)) - (-2*(m4 + m5)*(m4sq + m5sq)**2 + (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m4sq*m5sq*T134fin(m5,m4,0))/(2.*(m4sq - m5sq)**5*(m4sq - m6sq)) + (-2*(m5 + m6)*(m5sq + m6sq)**2 + (m5sq - m6sq)**2*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 4*m5sq*m6sq*T134fin(m6,m5,0))/(2.*(m5sq - m6sq)**5*(-m4sq + m6sq))
		def eval_27():
			return (-(m4**6/((m4 - m7)**5*(m4 + m7)**4)) - (3*m4sq*m7**4)/((m4 - m7)**5*(m4 + m7)**4) + (4*m6sq*m7**4)/((m4 - m7)**5*(m4 + m7)**4) + m7**6/((m4 - m7)**5*(m4 + m7)**4) + m6**4/((m6 - m7)**4*(m6 + m7)**3) + m7**4/((m6 - m7)**4*(m6 + m7)**3) + (8*m4sq*(m4sq - m6sq)*m7**4)/(m4sq - m7sq)**5 - (9*m4**4*m7sq)/((m4 - m7)**5*(m4 + m7)**4) + (8*m4sq*m6sq*m7sq)/((m4 - m7)**5*(m4 + m7)**4) + (2*m6sq*m7sq)/((m6 - m7)**4*(m6 + m7)**3) + (2*m4sq*m7sq*(m4sq + m7sq))/(m4sq - m7sq)**4 - (2*m6sq*m7sq*(m6sq + m7sq))/(m6sq - m7sq)**4 + (3*m4sq*(-m4sq + m6sq)*m7**4*B0del(0,0,m4sq))/(m4sq - m7sq)**5 + ((-m4sq + m6sq)*m7**6*B0del(0,0,m4sq))/(m4sq - m7sq)**5 + (2*m4**4*(-m4sq + m6sq)*m7sq*B0del(0,0,m4sq))/(m4sq - m7sq)**5 - (m4sq*m7sq*(m4sq + m7sq)*B0del(0,0,m4sq))/(m4sq - m7sq)**4 + (m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq))/(m6sq - m7sq)**4 + (3*m4sq*(-m4sq + m6sq)*m7**4*B0del(0,0,m7sq))/(m4sq - m7sq)**5 + ((-m4sq + m6sq)*m7**6*B0del(0,0,m7sq))/(m4sq - m7sq)**5 + (2*m4**4*(-m4sq + m6sq)*m7sq*B0del(0,0,m7sq))/(m4sq - m7sq)**5 - (m4sq*m7sq*(m4sq + m7sq)*B0del(0,0,m7sq))/(m4sq - m7sq)**4 + (m6sq*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq))/(m6sq - m7sq)**4 + (9*m4sq*(-m4sq + m6sq)*m7**4*B0fin(0,0,m4sq))/(m4sq - m7sq)**5 + ((m4sq - m6sq)*m7**6*B0fin(0,0,m4sq))/(m4sq - m7sq)**5 + (2*m4**4*(-m4sq + m6sq)*m7sq*B0fin(0,0,m4sq))/(m4sq - m7sq)**5 - (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq))/(m4sq - m7sq)**4 + (m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq))/(m6sq - m7sq)**4 + (m4**6*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m4sq - m7sq)**5 - (m4**4*m6sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(m4sq - m7sq)**5) + (2*m4sq*m7**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m4sq - m7sq)**5 - (m4**4*m7sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(m4sq - m7sq)**5) - (m4sq*m6sq*m7sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m4sq - m7sq)**5 + (m6sq*m7**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(-m4sq + m7sq)**5) + (m7**6*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(-m4sq + m7sq)**5) - (m6**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*(m6sq - m7sq)**4) - (m7**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(2.*(m6sq - m7sq)**4) + (m6sq*m7sq*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m6sq - m7sq)**4 + (9*m4sq*(-m4sq + m6sq)*m7**4*B0fin(0,0,m7sq))/(m4sq - m7sq)**5 + ((m4sq - m6sq)*m7**6*B0fin(0,0,m7sq))/(m4sq - m7sq)**5 + (2*m4**4*(-m4sq + m6sq)*m7sq*B0fin(0,0,m7sq))/(m4sq - m7sq)**5 - (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**4 + (m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**4 + (3*m4sq*(-m4sq + m6sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**5 + ((-m4sq + m6sq)*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**5 + (2*m4**4*(-m4sq + m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**5 - (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m4sq - m7sq)**4 + (m6sq*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m6sq - m7sq)**4 + (6*m4**4*m7sq*T134fin(m7,m4,0))/(m4sq - m7sq)**5 - (4*m4sq*m6sq*m7sq*T134fin(m7,m4,0))/(m4sq - m7sq)**5 + (2*m6sq*m7**4*T134fin(m7,m4,0))/(-m4sq + m7sq)**5 - (2*m6sq*m7sq*T134fin(m7,m6,0))/(m6sq - m7sq)**4)/(m4sq - m6sq)**2
		def eval_28():
			return (-18*m4**4*(m5sq*(m4sq + m5sq)*(m4sq - m6sq)**5 - (m4sq - m5sq)**5*m6sq*(m4sq + m6sq))*B0del(0,0,m4sq) + (m4sq - m5sq)**4*(m4sq - m6sq)**4*(m5sq - m6sq)*(11 - 6*B0fin(0,0,m4sq)) - 18*m4**4*m5sq*(m4sq + m5sq)*(m4sq - m6sq)**5*(-2 + B0del(0,0,m5sq) + B0fin(0,0,m5sq)) + 18*m4**4*(m4sq - m5sq)**5*m6sq*(m4sq + m6sq)*(-2 + B0del(0,0,m6sq) + B0fin(0,0,m6sq)) - 18*m4**4*B0fin(0,0,m4sq)*(m5sq*(m4sq + m5sq)*(m4sq - m6sq)**5*(1 + B0fin(0,0,m5sq)) - (m4sq - m5sq)**5*m6sq*(m4sq + m6sq)*(1 + B0fin(0,0,m6sq))) - 9*m4sq*(m4sq - m6sq)**5*(2*(m4 + m5)*(m4sq + m5sq)**2 - (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - 4*m4sq*m5sq*T134fin(m5,m4,0)) + 9*m4sq*(m4sq - m5sq)**5*(2*(m4 + m6)*(m4sq + m6sq)**2 - (m4sq - m6sq)**2*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 4*m4sq*m6sq*T134fin(m6,m4,0)))/(18.*m4**2*(m4sq - m5sq)**5*(m4sq - m6sq)**5*(m5sq - m6sq))
		def eval_29():
			return (11 - 6*B0fin(0,0,m3sq))/(18.*m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)) + (m1sq*m3sq*(m1sq + m3sq)*(-2 + B0del(0,0,m1sq) + B0del(0,0,m3sq) + B0fin(0,0,m1sq) + B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**5) + (m2sq*m3sq*(m2sq + m3sq)*(-2 + B0del(0,0,m2sq) + B0del(0,0,m3sq) + B0fin(0,0,m2sq) + B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**5) - (-2*(m1 + m3)*(m1sq + m3sq)**2 + (m1sq - m3sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 4*m1sq*m3sq*T134fin(m3,m1,0))/(2.*(m1sq - m2sq)*(m1sq - m3sq)**5) + (-2*(m2 + m3)*(m2sq + m3sq)**2 + (m2sq - m3sq)**2*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 4*m2sq*m3sq*T134fin(m3,m2,0))/(2.*(m1sq - m2sq)*(m2sq - m3sq)**5)
		def eval_30():
			return (m1**4/((m1 - m7)**4*(m1 + m7)**3) + m7**4/((m1 - m7)**4*(m1 + m7)**3) - m2**6/((m2 - m7)**5*(m2 + m7)**4) + (4*m1sq*m7**4)/((m2 - m7)**5*(m2 + m7)**4) - (3*m2sq*m7**4)/((m2 - m7)**5*(m2 + m7)**4) + m7**6/((m2 - m7)**5*(m2 + m7)**4) + (8*m2sq*(-m1sq + m2sq)*m7**4)/(m2sq - m7sq)**5 + (2*m1sq*m7sq)/((m1 - m7)**4*(m1 + m7)**3) - (9*m2**4*m7sq)/((m2 - m7)**5*(m2 + m7)**4) + (8*m1sq*m2sq*m7sq)/((m2 - m7)**5*(m2 + m7)**4) - (2*m1sq*m7sq*(m1sq + m7sq))/(m1sq - m7sq)**4 + (2*m2sq*m7sq*(m2sq + m7sq))/(m2sq - m7sq)**4 + (m1sq*m7sq*(m1sq + m7sq)*B0del(0,0,m1sq))/(m1sq - m7sq)**4 + (3*(m1sq - m2sq)*m2sq*m7**4*B0del(0,0,m2sq))/(m2sq - m7sq)**5 + ((m1sq - m2sq)*m7**6*B0del(0,0,m2sq))/(m2sq - m7sq)**5 + (2*m2**4*(m1sq - m2sq)*m7sq*B0del(0,0,m2sq))/(m2sq - m7sq)**5 - (m2sq*m7sq*(m2sq + m7sq)*B0del(0,0,m2sq))/(m2sq - m7sq)**4 + (3*(m1sq - m2sq)*m2sq*m7**4*B0del(0,0,m7sq))/(m2sq - m7sq)**5 + ((m1sq - m2sq)*m7**6*B0del(0,0,m7sq))/(m2sq - m7sq)**5 + (2*m2**4*(m1sq - m2sq)*m7sq*B0del(0,0,m7sq))/(m2sq - m7sq)**5 + (m1sq*m7sq*(m1sq + m7sq)*B0del(0,0,m7sq))/(m1sq - m7sq)**4 - (m2sq*m7sq*(m2sq + m7sq)*B0del(0,0,m7sq))/(m2sq - m7sq)**4 + (m1sq*m7sq*(m1sq + m7sq)*B0fin(0,0,m1sq))/(m1sq - m7sq)**4 + (9*(m1sq - m2sq)*m2sq*m7**4*B0fin(0,0,m2sq))/(m2sq - m7sq)**5 - ((m1sq - m2sq)*m7**6*B0fin(0,0,m2sq))/(m2sq - m7sq)**5 + (2*m2**4*(m1sq - m2sq)*m7sq*B0fin(0,0,m2sq))/(m2sq - m7sq)**5 - (m2sq*m7sq*(m2sq + m7sq)*B0fin(0,0,m2sq))/(m2sq - m7sq)**4 - (m1**4*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(2.*(m1sq - m7sq)**4) - (m7**4*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(2.*(m1sq - m7sq)**4) + (m1sq*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1sq - m7sq)**4 - (m1sq*m2**4*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(2.*(m2sq - m7sq)**5) + (m2**6*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2sq - m7sq)**5 + (2*m2sq*m7**4*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2sq - m7sq)**5 - (m2**4*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(2.*(m2sq - m7sq)**5) - (m1sq*m2sq*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2sq - m7sq)**5 + (m1sq*m7**4*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(2.*(-m2sq + m7sq)**5) + (m7**6*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(2.*(-m2sq + m7sq)**5) + (9*(m1sq - m2sq)*m2sq*m7**4*B0fin(0,0,m7sq))/(m2sq - m7sq)**5 - ((m1sq - m2sq)*m7**6*B0fin(0,0,m7sq))/(m2sq - m7sq)**5 + (2*m2**4*(m1sq - m2sq)*m7sq*B0fin(0,0,m7sq))/(m2sq - m7sq)**5 + (m1sq*m7sq*(m1sq + m7sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**4 - (m2sq*m7sq*(m2sq + m7sq)*B0fin(0,0,m7sq))/(m2sq - m7sq)**4 + (m1sq*m7sq*(m1sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**4 + (3*(m1sq - m2sq)*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2sq - m7sq)**5 + ((m1sq - m2sq)*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2sq - m7sq)**5 + (2*m2**4*(m1sq - m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2sq - m7sq)**5 - (m2sq*m7sq*(m2sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2sq - m7sq)**4 - (2*m1sq*m7sq*T134fin(m7,m1,0))/(m1sq - m7sq)**4 + (6*m2**4*m7sq*T134fin(m7,m2,0))/(m2sq - m7sq)**5 - (4*m1sq*m2sq*m7sq*T134fin(m7,m2,0))/(m2sq - m7sq)**5 + (2*m1sq*m7**4*T134fin(m7,m2,0))/(-m2sq + m7sq)**5)/(m1sq - m2sq)**2
		def eval_31():
			return (11 - 6*B0fin(0,0,m2sq))/(18.*m2**2*(-m1sq + m2sq)*(m2sq - m3sq)) + (m1sq*m2sq*(m1sq + m2sq)*(-2 + B0del(0,0,m1sq) + B0del(0,0,m2sq) + B0fin(0,0,m1sq) + B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)))/((m1sq - m2sq)**5*(m1sq - m3sq)) - (m2sq*m3sq*(m2sq + m3sq)*(-2 + B0del(0,0,m2sq) + B0del(0,0,m3sq) + B0fin(0,0,m2sq) + B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)))/((m2sq - m3sq)**5*(-m1sq + m3sq)) - (-2*(m1 + m2)*(m1sq + m2sq)**2 + (m1sq - m2sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 4*m1sq*m2sq*T134fin(m2,m1,0))/(2.*(m1sq - m2sq)**5*(m1sq - m3sq)) + (-2*(m2 + m3)*(m2sq + m3sq)**2 + (m2sq - m3sq)**2*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 4*m2sq*m3sq*T134fin(m3,m2,0))/(2.*(m2sq - m3sq)**5*(-m1sq + m3sq))
		def eval_32():
			return (-(m1**6/((m1 - m7)**5*(m1 + m7)**4)) - (3*m1sq*m7**4)/((m1 - m7)**5*(m1 + m7)**4) + (4*m3sq*m7**4)/((m1 - m7)**5*(m1 + m7)**4) + m7**6/((m1 - m7)**5*(m1 + m7)**4) + m3**4/((m3 - m7)**4*(m3 + m7)**3) + m7**4/((m3 - m7)**4*(m3 + m7)**3) + (8*m1sq*(m1sq - m3sq)*m7**4)/(m1sq - m7sq)**5 - (9*m1**4*m7sq)/((m1 - m7)**5*(m1 + m7)**4) + (8*m1sq*m3sq*m7sq)/((m1 - m7)**5*(m1 + m7)**4) + (2*m3sq*m7sq)/((m3 - m7)**4*(m3 + m7)**3) + (2*m1sq*m7sq*(m1sq + m7sq))/(m1sq - m7sq)**4 - (2*m3sq*m7sq*(m3sq + m7sq))/(m3sq - m7sq)**4 + (3*m1sq*(-m1sq + m3sq)*m7**4*B0del(0,0,m1sq))/(m1sq - m7sq)**5 + ((-m1sq + m3sq)*m7**6*B0del(0,0,m1sq))/(m1sq - m7sq)**5 + (2*m1**4*(-m1sq + m3sq)*m7sq*B0del(0,0,m1sq))/(m1sq - m7sq)**5 - (m1sq*m7sq*(m1sq + m7sq)*B0del(0,0,m1sq))/(m1sq - m7sq)**4 + (m3sq*m7sq*(m3sq + m7sq)*B0del(0,0,m3sq))/(m3sq - m7sq)**4 + (3*m1sq*(-m1sq + m3sq)*m7**4*B0del(0,0,m7sq))/(m1sq - m7sq)**5 + ((-m1sq + m3sq)*m7**6*B0del(0,0,m7sq))/(m1sq - m7sq)**5 + (2*m1**4*(-m1sq + m3sq)*m7sq*B0del(0,0,m7sq))/(m1sq - m7sq)**5 - (m1sq*m7sq*(m1sq + m7sq)*B0del(0,0,m7sq))/(m1sq - m7sq)**4 + (m3sq*m7sq*(m3sq + m7sq)*B0del(0,0,m7sq))/(m3sq - m7sq)**4 + (9*m1sq*(-m1sq + m3sq)*m7**4*B0fin(0,0,m1sq))/(m1sq - m7sq)**5 + ((m1sq - m3sq)*m7**6*B0fin(0,0,m1sq))/(m1sq - m7sq)**5 + (2*m1**4*(-m1sq + m3sq)*m7sq*B0fin(0,0,m1sq))/(m1sq - m7sq)**5 - (m1sq*m7sq*(m1sq + m7sq)*B0fin(0,0,m1sq))/(m1sq - m7sq)**4 + (m3sq*m7sq*(m3sq + m7sq)*B0fin(0,0,m3sq))/(m3sq - m7sq)**4 + (m1**6*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1sq - m7sq)**5 - (m1**4*m3sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(2.*(m1sq - m7sq)**5) + (2*m1sq*m7**4*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1sq - m7sq)**5 - (m1**4*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(2.*(m1sq - m7sq)**5) - (m1sq*m3sq*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1sq - m7sq)**5 + (m3sq*m7**4*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(2.*(-m1sq + m7sq)**5) + (m7**6*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(2.*(-m1sq + m7sq)**5) - (m3**4*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(2.*(m3sq - m7sq)**4) - (m7**4*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(2.*(m3sq - m7sq)**4) + (m3sq*m7sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/(m3sq - m7sq)**4 + (9*m1sq*(-m1sq + m3sq)*m7**4*B0fin(0,0,m7sq))/(m1sq - m7sq)**5 + ((m1sq - m3sq)*m7**6*B0fin(0,0,m7sq))/(m1sq - m7sq)**5 + (2*m1**4*(-m1sq + m3sq)*m7sq*B0fin(0,0,m7sq))/(m1sq - m7sq)**5 - (m1sq*m7sq*(m1sq + m7sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**4 + (m3sq*m7sq*(m3sq + m7sq)*B0fin(0,0,m7sq))/(m3sq - m7sq)**4 + (3*m1sq*(-m1sq + m3sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**5 + ((-m1sq + m3sq)*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**5 + (2*m1**4*(-m1sq + m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**5 - (m1sq*m7sq*(m1sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1sq - m7sq)**4 + (m3sq*m7sq*(m3sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/(m3sq - m7sq)**4 + (6*m1**4*m7sq*T134fin(m7,m1,0))/(m1sq - m7sq)**5 - (4*m1sq*m3sq*m7sq*T134fin(m7,m1,0))/(m1sq - m7sq)**5 + (2*m3sq*m7**4*T134fin(m7,m1,0))/(-m1sq + m7sq)**5 - (2*m3sq*m7sq*T134fin(m7,m3,0))/(m3sq - m7sq)**4)/(m1sq - m3sq)**2
		def eval_33():
			return (-18*m1**4*(m2sq*(m1sq + m2sq)*(m1sq - m3sq)**5 - (m1sq - m2sq)**5*m3sq*(m1sq + m3sq))*B0del(0,0,m1sq) + (m1sq - m2sq)**4*(m1sq - m3sq)**4*(m2sq - m3sq)*(11 - 6*B0fin(0,0,m1sq)) - 18*m1**4*m2sq*(m1sq + m2sq)*(m1sq - m3sq)**5*(-2 + B0del(0,0,m2sq) + B0fin(0,0,m2sq)) + 18*m1**4*(m1sq - m2sq)**5*m3sq*(m1sq + m3sq)*(-2 + B0del(0,0,m3sq) + B0fin(0,0,m3sq)) - 18*m1**4*B0fin(0,0,m1sq)*(m2sq*(m1sq + m2sq)*(m1sq - m3sq)**5*(1 + B0fin(0,0,m2sq)) - (m1sq - m2sq)**5*m3sq*(m1sq + m3sq)*(1 + B0fin(0,0,m3sq))) - 9*m1sq*(m1sq - m3sq)**5*(2*(m1 + m2)*(m1sq + m2sq)**2 - (m1sq - m2sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 4*m1sq*m2sq*T134fin(m2,m1,0)) + 9*m1sq*(m1sq - m2sq)**5*(2*(m1 + m3)*(m1sq + m3sq)**2 - (m1sq - m3sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 4*m1sq*m3sq*T134fin(m3,m1,0)))/(18.*m1**2*(m1sq - m2sq)**5*(m1sq - m3sq)**5*(m2sq - m3sq))
		def eval_34():
			return ((m4sq - m5sq)*m6**4*(m6 + m7)*(m4sq - m7sq)**4*(m5sq - m7sq)**4 + (m4sq - m5sq)*m7**4*(m6 + m7)*(m4sq - m7sq)**4*(m5sq - m7sq)**4 - m5**4*(m4sq - m6sq)*(m5 + m7)*(m4sq - m7sq)**4*(m6sq - m7sq)**4 - (m4sq - m6sq)*m7**4*(m5 + m7)*(m4sq - m7sq)**4*(m6sq - m7sq)**4 + m4**4*(m5sq - m6sq)*(m4 + m7)*(m5sq - m7sq)**4*(m6sq - m7sq)**4 + (m5sq - m6sq)*m7**4*(m4 + m7)*(m5sq - m7sq)**4*(m6sq - m7sq)**4 + 2*(m4sq - m5sq)*m6sq*(m6 + m7)*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq - 2*m5sq*(m4sq - m6sq)*(m5 + m7)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq + 2*m4sq*(m5sq - m6sq)*(m4 + m7)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq - 2*m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4sq + m7sq) + 2*m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5sq + m7sq) - 2*(m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6sq + m7sq) + m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4sq + m7sq)*B0del(0,0,m4sq) - m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq) + (m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6sq + m7sq)*B0del(0,0,m6sq) + m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4sq + m7sq)*B0del(0,0,m7sq) - m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq) + (m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6sq + m7sq)*B0del(0,0,m7sq) + m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq) - m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq) + (m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq) - (m4**4*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/2. - ((m5sq - m6sq)*m7**4*(m5sq - m7sq)**4*(m6sq - m7sq)**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/2. + m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + (m5**4*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/2. + ((m4sq - m6sq)*m7**4*(m4sq - m7sq)**4*(m6sq - m7sq)**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/2. - m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - ((m4sq - m5sq)*m6**4*(m4sq - m7sq)**4*(m5sq - m7sq)**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. - ((m4sq - m5sq)*m7**4*(m4sq - m7sq)**4*(m5sq - m7sq)**4*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/2. + (m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6 + m7 + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq) - m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq) + (m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6sq + m7sq)*B0fin(0,0,m7sq) + m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + (m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*(m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 2*m4sq*(m5sq - m6sq)*(m5sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*T134fin(m7,m4,0) + 2*m5sq*(m4sq - m6sq)*(m4sq - m7sq)**4*(m6sq - m7sq)**4*m7sq*T134fin(m7,m5,0) - 2*(m4sq - m5sq)*m6sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*m7sq*T134fin(m7,m6,0))/((m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*(m4sq - m7sq)**4*(m5sq - m7sq)**4*(m6sq - m7sq)**4)
		def eval_35():
			return ((m1sq - m2sq)*m3**4*(m3 + m7)*(m1sq - m7sq)**4*(m2sq - m7sq)**4 + (m1sq - m2sq)*m7**4*(m3 + m7)*(m1sq - m7sq)**4*(m2sq - m7sq)**4 - m2**4*(m1sq - m3sq)*(m2 + m7)*(m1sq - m7sq)**4*(m3sq - m7sq)**4 - (m1sq - m3sq)*m7**4*(m2 + m7)*(m1sq - m7sq)**4*(m3sq - m7sq)**4 + m1**4*(m2sq - m3sq)*(m1 + m7)*(m2sq - m7sq)**4*(m3sq - m7sq)**4 + (m2sq - m3sq)*m7**4*(m1 + m7)*(m2sq - m7sq)**4*(m3sq - m7sq)**4 + 2*(m1sq - m2sq)*m3sq*(m3 + m7)*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq - 2*m2sq*(m1sq - m3sq)*(m2 + m7)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq + 2*m1sq*(m2sq - m3sq)*(m1 + m7)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq - 2*m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1sq + m7sq) + 2*m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2sq + m7sq) - 2*(m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3sq + m7sq) + m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1sq + m7sq)*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2sq + m7sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3sq + m7sq)*B0del(0,0,m3sq) + m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1sq + m7sq)*B0del(0,0,m7sq) - m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2sq + m7sq)*B0del(0,0,m7sq) + (m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3sq + m7sq)*B0del(0,0,m7sq) + m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1sq + m7sq)*B0fin(0,0,m1sq) - m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2sq + m7sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3sq + m7sq)*B0fin(0,0,m3sq) - (m1**4*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/2. - ((m2sq - m3sq)*m7**4*(m2sq - m7sq)**4*(m3sq - m7sq)**4*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/2. + m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + (m2**4*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/2. + ((m1sq - m3sq)*m7**4*(m1sq - m7sq)**4*(m3sq - m7sq)**4*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/2. - m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - ((m1sq - m2sq)*m3**4*(m1sq - m7sq)**4*(m2sq - m7sq)**4*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/2. - ((m1sq - m2sq)*m7**4*(m1sq - m7sq)**4*(m2sq - m7sq)**4*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/2. + (m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1sq + m7sq)*B0fin(0,0,m7sq) - m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2sq + m7sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3sq + m7sq)*B0fin(0,0,m7sq) + m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m1sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*(m2sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*(m3sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1sq*(m2sq - m3sq)*(m2sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*T134fin(m7,m1,0) + 2*m2sq*(m1sq - m3sq)*(m1sq - m7sq)**4*(m3sq - m7sq)**4*m7sq*T134fin(m7,m2,0) - 2*(m1sq - m2sq)*m3sq*(m1sq - m7sq)**4*(m2sq - m7sq)**4*m7sq*T134fin(m7,m3,0))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - m7sq)**4*(m2sq - m7sq)**4*(m3sq - m7sq)**4)
		def eval_36():
			return (2 - 3*m1 - 4*B0fin(0,0,m1) + 4*m1*B0fin(0,0,m1sq))/(4.*m1**7)
		def eval_37():
			return (-7*m3**8 + 18*m3**3*m4**4 + 14*m3**4*m4**4 + 36*m3sq*m4**5 + 72*m3*m4**6 - 324*m3sq*m4**6 + 144*m4**7 + 38*m3**6*m4sq + 72*m3sq*m4**6*B0del(0,0,m3sq) + 144*m4**8*B0del(0,0,m4sq) - 36*m3**3*m4**4*B0fin(0,0,m3) + 144*m3*m4**6*B0fin(0,0,m3) + 144*m3**4*m4**4*B0fin(0,0,m3sq) - 216*m3sq*m4**6*B0fin(0,0,m3sq) - 18*m3**6*m4sq*B0fin(0,0,m3sq) - 72*m3sq*m4**5*B0fin(0,0,m4) + 288*m4**7*B0fin(0,0,m4) + 12*m3**8*B0fin(0,0,m4sq) + 84*m3**4*m4**4*B0fin(0,0,m4sq) + 216*m3sq*m4**6*B0fin(0,0,m4sq) - 144*m4**8*B0fin(0,0,m4sq) - 78*m3**6*m4sq*B0fin(0,0,m4sq) + 72*m3sq*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 36*m3sq*m4**6*B0fin(0,0,m4sq)**2 + 72*m4**8*B0fin(0,0,m4sq)**2 - 72*m4**6*T134fin(m4,m4,m3))/(36.*m3**6*m4**4*(m3sq - 4*m4sq)**2)
		def eval_38():
			return (2*m2**4*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 2*m1sq*m2**4*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + (m1sq - m2sq)*m2sq*(2*(m1sq + m2sq) + 2*m1sq*B0del(0,0,m2sq) - 2*(m1sq - 4*m2sq)*B0fin(0,0,m2sq) + m1sq*B0fin(0,0,m2sq)**2) + 2*(m1sq - m2sq)*m2sq*T134fin(m1,0,0) + 2*(m1sq - m2sq)*((m1sq - m2sq)*(m2 + 2*m2*B0fin(0,0,m2)) - m1sq*T134fin(m2,0,0)) - 2*m1sq*m2sq*T134fin(m2,m1,0))/(2.*m2**6*(m1sq - m2sq)**3)
		def eval_39():
			return (144*m1**7 + 72*m1**6*m6 + 18*m1**4*m6**3 + 14*m1**4*m6**4 + 38*m1sq*m6**6 - 7*m6**8 + 36*m1**5*m6sq - 324*m1**6*m6sq + 144*m1**8*B0del(0,0,m1sq) + 72*m1**6*m6sq*B0del(0,0,m6sq) + 288*m1**7*B0fin(0,0,m1) - 72*m1**5*m6sq*B0fin(0,0,m1) - 144*m1**8*B0fin(0,0,m1sq) + 84*m1**4*m6**4*B0fin(0,0,m1sq) - 78*m1sq*m6**6*B0fin(0,0,m1sq) + 12*m6**8*B0fin(0,0,m1sq) + 216*m1**6*m6sq*B0fin(0,0,m1sq) + 72*m1**8*B0fin(0,0,m1sq)**2 - 36*m1**6*m6sq*B0fin(0,0,m1sq)**2 + 144*m1**6*m6*B0fin(0,0,m6) - 36*m1**4*m6**3*B0fin(0,0,m6) + 144*m1**4*m6**4*B0fin(0,0,m6sq) - 18*m1sq*m6**6*B0fin(0,0,m6sq) - 216*m1**6*m6sq*B0fin(0,0,m6sq) + 72*m1**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 72*m1**6*T134fin(m6,m1,m1))/(36.*m1**4*m6**6*(-4*m1sq + m6sq)**2)
		def eval_40():
			return ((1 - 2*B0fin(0,0,m1))/(m1**5*m6**2) + (2 - 2*B0fin(0,0,m1sq))/(m1**6 - m1**4*m6sq) + (m1 + m6 - 2*m1*B0fin(0,0,m1) - 2*m6*B0fin(0,0,m6))/(m6**2*(-m1 + m6)**3*(m1 + m6)**3) - ((3*m1sq - m6sq)*(-1 + B0fin(0,0,m1sq) + B0fin(0,0,m6sq)))/(m1**2*(m1 - m6)**3*(m1 + m6)**3))/2.
		def eval_41():
			return (m1sq*(m1sq - m3sq)*(2*(m1sq + m3sq) + 2*m3sq*B0del(0,0,m1sq) + (8*m1sq - 2*m3sq)*B0fin(0,0,m1sq) + m3sq*B0fin(0,0,m1sq)**2) - 2*m1**4*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*m1**4*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) + 2*(m1sq - m3sq)*(-((m1sq - m3sq)*(m1 + 2*m1*B0fin(0,0,m1))) - m3sq*T134fin(m1,0,0)) + 2*m1sq*(m1sq - m3sq)*T134fin(m3,0,0) + 2*m1sq*m3sq*T134fin(m3,m1,0))/(2.*m1**6*(m1sq - m3sq)**3)
		def eval_42():
			return ((8*m3sq*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) - B0fin(0,0,m5sq) + B0fin(0,0,m3sq)*B0fin(0,0,m5sq)))/((m3sq - 4*m5sq)*(-m4sq + m5sq)) - (16*m3sq*m4sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(m4sq - m5sq)**4 - (4*((m3sq - 4*m5sq)*(-4*m5**4 + 3*m3sq*(m4sq + m5sq)) + 2*(m3sq - m4sq - 3*m5sq)*(m3sq - 2*m5sq)*m5sq*B0del(0,0,m5sq) - 2*(2*m5**4*(m4sq - 5*m5sq) - 5*m3sq*m5sq*(m4sq + m5sq) + m3**4*(m4sq + 2*m5sq))*B0fin(0,0,m5sq) + (m3sq - m4sq - 3*m5sq)*(m3sq - 2*m5sq)*m5sq*B0fin(0,0,m5sq)**2))/((-(m4sq*m5) + m5**3)**2*(m3sq - 4*m5sq)) + (8*(-(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5))) + (-(m4sq - m5sq)**2 + m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)))/(m4sq - m5sq)**4 + (8*T134fin(m5,m4,m3))/(m4sq - m5sq)**2 + (8*(-((m4sq - m5sq)*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5))) - (m3sq - m4sq - 3*m5sq)*T134fin(m5,m5,m3)))/((m3sq - 4*m5sq)*(m4sq - m5sq)**2))/(8.*m3**4)
		def eval_43():
			return (4*m3sq*(m4 + m6)*(m4sq + m6sq) + 2*(m4**4 + m6**4 + 2*m3sq*m6sq - 2*m4sq*m6sq)*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (2*m3sq*(m4sq - m6sq)**3*((m3sq - m4sq + m6sq)*B0del(0,0,m3sq) + (m3sq - m4sq - m6sq)*B0del(0,0,m4sq) + 2*m6sq*B0del(0,0,m6sq) - m3sq*B0fin(0,0,m3sq) + m4sq*B0fin(0,0,m3sq) - m6sq*B0fin(0,0,m3sq) - m3sq*B0fin(0,0,m4sq) + m4sq*B0fin(0,0,m4sq) + m6sq*B0fin(0,0,m4sq) + m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 2*m6sq*B0fin(0,0,m6sq) + 2*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq)))/(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) + (2*m3sq*m6sq*(-4*m4sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) + (m3**4*(3*m4sq + m6sq) - m3sq*(5*m4**4 + m6**4 + 10*m4sq*m6sq))*B0del(0,0,m4sq) + (m3**4*(3*m4sq + m6sq) - m3sq*(5*m4**4 + m6**4 + 10*m4sq*m6sq))*B0del(0,0,m6sq) + (m4sq - m6sq)*(m3**4 + 4*m4sq*(m4sq - m6sq) - m3sq*(3*m4sq + m6sq))*B0fin(0,0,m4sq) + ((m4sq - m6sq)*(m3**4 + 4*m4sq*(m4sq - m6sq) - m3sq*(3*m4sq + m6sq)) + m3sq*(-5*m4**4 - m6**4 - 10*m4sq*m6sq + m3sq*(3*m4sq + m6sq))*B0fin(0,0,m4sq))*B0fin(0,0,m6sq)))/(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) + (m4sq - m6sq)**2*(6*m3sq - 4*m6sq + 2*(m3sq - 2*m6sq)*B0del(0,0,m6sq) - 2*(3*m3sq + 2*m6sq)*B0fin(0,0,m6sq) + (m3sq - 2*m6sq)*B0fin(0,0,m6sq)**2) - 2*m3sq*(m4sq + 3*m6sq)*T134fin(m6,m4,0) + (2*(m4sq - m6sq)**2*(2*(m4sq - m6sq)*(m3sq - m4sq + m6sq)*((m3 + m4 + m6)/2. + m3*B0fin(0,0,m3) + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) - m3sq*(m3sq - m4sq - 3*m6sq)*T134fin(m6,m4,m3)))/(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) + 2*(m4sq - m6sq)**2*T134fin(m6,m6,m3))/(2.*m3**4*(m4sq - m6sq)**4)
		def eval_44():
			return (4*m3sq*(m4 + m5)*(m4sq + m5sq) + (m4sq - m5sq)**2*(6*m3sq - 4*m4sq + 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) - 2*(3*m3sq + 2*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2) + 2*(2*m3sq*m4sq + (m4sq - m5sq)**2)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - (2*m3sq*(m4sq - m5sq)**3*((m3sq + m4sq - m5sq)*B0del(0,0,m3sq) + 2*m4sq*B0del(0,0,m4sq) + m3sq*B0del(0,0,m5sq) - m4sq*B0del(0,0,m5sq) - m5sq*B0del(0,0,m5sq) - m3sq*B0fin(0,0,m3sq) - m4sq*B0fin(0,0,m3sq) + m5sq*B0fin(0,0,m3sq) - 2*m4sq*B0fin(0,0,m4sq) + 2*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m3sq*B0fin(0,0,m5sq) + m4sq*B0fin(0,0,m5sq) + m5sq*B0fin(0,0,m5sq) + m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq)))/(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)) + (2*m3sq*m4sq*(-4*m5sq*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)) + (m3**4*(m4sq + 3*m5sq) - m3sq*(m4**4 + 5*m5**4 + 10*m4sq*m5sq))*B0del(0,0,m4sq) + (m3**4*(m4sq + 3*m5sq) - m3sq*(m4**4 + 5*m5**4 + 10*m4sq*m5sq))*B0del(0,0,m5sq) + (m4sq - m5sq)*(-m3**4 + 4*(m4sq - m5sq)*m5sq + m3sq*(m4sq + 3*m5sq))*B0fin(0,0,m4sq) + ((m4sq - m5sq)*(-m3**4 + 4*(m4sq - m5sq)*m5sq + m3sq*(m4sq + 3*m5sq)) + m3sq*(-m4**4 - 5*m5**4 - 10*m4sq*m5sq + m3sq*(m4sq + 3*m5sq))*B0fin(0,0,m4sq))*B0fin(0,0,m5sq)))/(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)) + 2*(m4sq - m5sq)**2*T134fin(m4,m4,m3) - 2*m3sq*(3*m4sq + m5sq)*T134fin(m5,m4,0) - (2*(m4sq - m5sq)**2*((m4sq - m5sq)*(m3sq + m4sq - m5sq)*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + m3sq*(m3sq - 3*m4sq - m5sq)*T134fin(m5,m4,m3)))/(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)))/(2.*m3**4*(m4sq - m5sq)**4)
		def eval_45():
			return ((8*m3sq*(B0del(0,0,m3sq) + B0del(0,0,m4sq) - B0fin(0,0,m3sq) - B0fin(0,0,m4sq) + B0fin(0,0,m3sq)*B0fin(0,0,m4sq)))/((m3sq - 4*m4sq)*(m4sq - m6sq)) - (4*((m3sq - 4*m4sq)*(-4*m4**4 + 3*m3sq*(m4sq + m6sq)) + 2*(m3sq - 2*m4sq)*m4sq*(m3sq - 3*m4sq - m6sq)*B0del(0,0,m4sq) - 2*(2*m4**4*(-5*m4sq + m6sq) - 5*m3sq*m4sq*(m4sq + m6sq) + m3**4*(2*m4sq + m6sq))*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*m4sq*(m3sq - 3*m4sq - m6sq)*B0fin(0,0,m4sq)**2))/((m3sq - 4*m4sq)*(m4**3 - m4*m6sq)**2) - (16*m3sq*m4sq*m6sq*(B0del(0,0,m4sq) + B0del(0,0,m6sq) - B0fin(0,0,m4sq) - B0fin(0,0,m6sq) + B0fin(0,0,m4sq)*B0fin(0,0,m6sq)))/(m4sq - m6sq)**4 + (8*((m4sq - m6sq)*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4)) - (m3sq - 3*m4sq - m6sq)*T134fin(m4,m4,m3)))/((m3sq - 4*m4sq)*(m4sq - m6sq)**2) + (8*(-(m3sq*(m4sq + m6sq)*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6))) + (-(m4sq - m6sq)**2 + m3sq*(m4sq + m6sq))*T134fin(m6,m4,0)))/(m4sq - m6sq)**4 + (8*T134fin(m6,m4,m3))/(m4sq - m6sq)**2)/(8.*m3**4)
		def eval_46():
			return (-4*m1sq*m2**6*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2 + 4*m2**8*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2 + 2*m2**6*(-(m1sq*m2) + m2**3)**2*(m2 + m7)*(m1sq - m7sq)**2*(4*m2sq - m7sq) - 2*m1sq*m2**6*(m1sq - m2sq)**2*(m2 + m7)*(m1sq - m7sq)**2*(4*m2sq - m7sq) + 16*m1sq*m2**8*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq - 16*m2**10*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq + 2*m2**4*(-(m1sq*m2) + m2**3)**2*(m2 + m7)*(m1sq - m7sq)**2*(4*m2sq - m7sq)*m7sq - 2*m1sq*m2**4*(m1sq - m2sq)**2*(m2 + m7)*(m1sq - m7sq)**2*(4*m2sq - m7sq)*m7sq - 2*m1sq*m2**4*(m1sq - m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*B0del(0,0,m1sq) + 3*m1sq*m2**6*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0del(0,0,m2sq) - 13*m2**8*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0del(0,0,m2sq) - 2*m1sq*m2**4*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0del(0,0,m2sq) + 4*m2**6*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0del(0,0,m2sq) + 2*(-(m1sq*m2) + m2**3)**2*m2sq*(-m1sq + m2sq)*(m1sq - m7sq)**2*(m2sq - m7sq)**3*B0del(0,0,m2sq) - 7*m1sq*m2**8*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0del(0,0,m2sq) + 15*m2**10*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0del(0,0,m2sq) + 3*m1sq*m2**6*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0del(0,0,m7sq) - 13*m2**8*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0del(0,0,m7sq) - 2*m1sq*m2**4*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0del(0,0,m7sq) + 4*m2**6*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0del(0,0,m7sq) - 7*m1sq*m2**8*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 15*m2**10*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 2*m1sq*m2**4*(m1sq - m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*B0del(0,0,m7sq) + 2*m1sq*m2**4*(m1sq - m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*B0fin(0,0,m1sq) + m1sq*m2**6*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0fin(0,0,m2sq) + 9*m2**8*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0fin(0,0,m2sq) + 2*m1sq*m2**4*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0fin(0,0,m2sq) - 4*m2**6*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0fin(0,0,m2sq) - 2*(-(m1sq*m2) + m2**3)**2*m2sq*(-m1sq + m2sq)*(m1sq - m7sq)**2*(m2sq - m7sq)**3*B0fin(0,0,m2sq) - 9*m1sq*m2**8*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0fin(0,0,m2sq) + m2**10*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0fin(0,0,m2sq) + (-(m1sq*m2) + m2**3)**2*m2sq*(-m1sq + m2sq)*(m1sq - m7sq)**2*(m2sq - m7sq)**3*B0fin(0,0,m2sq)**2 - m2**4*(m1**3 - m1*m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - (-(m1sq*m2) + m2**3)**2*m2sq*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m2**6*(-(m1sq*m2) + m2**3)**2*(m1sq - m7sq)**2*(4*m2sq - m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1sq*m2 - m2**3)**2*m7**4*(m1sq - m7sq)**2*(4*m2sq - m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - m2**4*(-(m1sq*m2) + m2**3)**2*(m1sq - m7sq)**2*(4*m2sq - m7sq)*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + m1sq*m2**4*(m1sq - m2sq)**2*(m1sq - m7sq)**2*(4*m2sq - m7sq)*m7sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + m1sq*(m1sq*m2 - m2**3)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - (-(m1sq*m2) + m2**3)**2*m2sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + m1sq*m2**6*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0fin(0,0,m7sq) + 9*m2**8*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0fin(0,0,m7sq) + 2*m1sq*m2**4*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0fin(0,0,m7sq) - 4*m2**6*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0fin(0,0,m7sq) - 9*m1sq*m2**8*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + m2**10*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) + 2*m1sq*m2**4*(m1sq - m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*B0fin(0,0,m7sq) - 2*m1sq*m2**4*(m1sq - m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m1sq*m2**6*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 13*m2**8*(m1sq - m2sq)**2*m7**4*(m1sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1sq*m2**4*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m2**6*(m1sq - m2sq)**2*m7**6*(m1sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 7*m1sq*m2**8*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 15*m2**10*(m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1**4*(m1sq*m2 - m2**3)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*T134fin(m7,m1,0) + m2**4*(m1**3 - m1*m2sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*T134fin(m7,m1,0) - (m1sq*m2 - m2**3)**2*m7**4*(m2sq - m7sq)**3*(4*m2sq - m7sq)*T134fin(m7,m1,0) + 2*m1sq*(m1sq*m2 - m2**3)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*T134fin(m7,m1,0) + (-(m1sq*m2) + m2**3)**2*m2sq*(m2sq - m7sq)**3*(4*m2sq - m7sq)*m7sq*T134fin(m7,m1,0) - m2**6*(-(m1sq*m2) + m2**3)**2*(m1sq - m7sq)**2*(4*m2sq - m7sq)*T134fin(m7,m2,0) + m1sq*m2**6*(m1sq - m2sq)**2*(m1sq - m7sq)**2*(4*m2sq - m7sq)*T134fin(m7,m2,0) + m1sq*(m1sq*m2 - m2**3)**2*m7**4*(m1sq - m7sq)**2*(4*m2sq - m7sq)*T134fin(m7,m2,0) + 3*(-(m1sq*m2) + m2**3)**2*m2sq*m7**4*(m1sq - m7sq)**2*(4*m2sq - m7sq)*T134fin(m7,m2,0) - (m1sq*m2 - m2**3)**2*m7**6*(m1sq - m7sq)**2*(4*m2sq - m7sq)*T134fin(m7,m2,0) - 3*m2**4*(-(m1sq*m2) + m2**3)**2*(m1sq - m7sq)**2*(4*m2sq - m7sq)*m7sq*T134fin(m7,m2,0) + (m1sq*m2 - m2**3)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq)*T134fin(m7,m2,m1) - m1sq*(m1sq*m2 - m2**3)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*T134fin(m7,m2,m2) - 3*(-(m1sq*m2) + m2**3)**2*m2sq*(m1sq - m7sq)**2*(m2sq - m7sq)**3*T134fin(m7,m2,m2) + (m1sq*m2 - m2**3)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*m7sq*T134fin(m7,m2,m2))/(m2**6*(m1sq - m2sq)**4*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(4*m2sq - m7sq))
		def eval_47():
			return ((-16*m1sq*m2sq*m6sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)))/(m1sq - m2sq)**4 + (4*((4*m2sq - m6sq)*(4*m2**4 - 3*m1sq*m6sq - 3*m2sq*m6sq) + 2*m2sq*(2*m2sq - m6sq)*(m1sq + 3*m2sq - m6sq)*B0del(0,0,m2sq) - 2*(-10*m2**6 + 2*m2sq*m6**4 - 5*m2**4*m6sq + m1sq*(2*m2**4 + m6**4 - 5*m2sq*m6sq))*B0fin(0,0,m2sq) + m2sq*(2*m2sq - m6sq)*(m1sq + 3*m2sq - m6sq)*B0fin(0,0,m2sq)**2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m6sq)) + (8*m6sq*(B0del(0,0,m2sq) + B0del(0,0,m6sq) - B0fin(0,0,m2sq) - B0fin(0,0,m6sq) + B0fin(0,0,m2sq)*B0fin(0,0,m6sq)))/((m1sq - m2sq)*(4*m2sq - m6sq)) + (8*(-((m1sq + m2sq)*m6sq*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2))) + (-m1**4 - m2**4 + m2sq*m6sq + m1sq*(2*m2sq + m6sq))*T134fin(m2,m1,0)))/(m1sq - m2sq)**4 + (8*T134fin(m6,m2,m1))/(m1sq - m2sq)**2 + (8*((m1sq - m2sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + (-m1sq - 3*m2sq + m6sq)*T134fin(m6,m2,m2)))/((m1sq - m2sq)**2*(4*m2sq - m6sq)))/(8.*m6**4)
		def eval_48():
			return -0.5*(2*m6sq*(m1**8 - m3**4*(m3sq - m6sq)**2 + 8*m1**4*m3sq*m6sq - m1**6*(2*m3sq + m6sq) + m1sq*(2*m3**6 - 3*m3sq*m6**4 + 7*m3**4*m6sq))*B0del(0,0,m1sq) + 2*m3sq*m6sq*(4*m1sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq)) + m6sq*(5*m1**4 + m3**4 + m1sq*(10*m3sq - 3*m6sq) - m3sq*m6sq)*B0del(0,0,m3sq) - (m1sq - m3sq)*(4*m1**4 + m6**4 - m3sq*m6sq - m1sq*(4*m3sq + 3*m6sq))*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(4*m3sq - 6*m6sq + (4*m3sq - 2*m6sq)*B0del(0,0,m3sq) + (4*m3sq + 6*m6sq)*B0fin(0,0,m3sq) + (2*m3sq - m6sq)*B0fin(0,0,m3sq)**2) + 2*(m1sq - m3sq)**3*(m1sq + m3sq - m6sq)*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) - 4*(m1sq - m3sq)**3*m3sq*m6sq*(B0del(0,0,m3sq) + B0del(0,0,m6sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m6sq)) + 2*m6sq*B0fin(0,0,m1sq)*(m3sq*m6sq*(5*m1**4 + m3**4 + m1sq*(10*m3sq - 3*m6sq) - m3sq*m6sq)*B0fin(0,0,m3sq) + (m1sq - m3sq)*(-m1**6 + m1**4*(-3*m3sq + m6sq) + m1sq*m3sq*(5*m3sq + m6sq) - (m3**3 - m3*m6sq)**2 + (m1sq - m3sq)**2*(m1sq + m3sq - m6sq)*B0fin(0,0,m6sq))) - 2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(2*(m1 + m3)*(m1sq + m3sq)*m6sq + (m1**4 + m3**4 - 2*m1sq*m3sq + 2*m3sq*m6sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - (m1sq + 3*m3sq)*m6sq*T134fin(m3,m1,0)) + 2*(m1sq - m3sq)**2*((m1sq - m3sq)*(m1sq - m3sq - m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)) + m6sq*(-m1sq - 3*m3sq + m6sq)*T134fin(m6,m3,m1)) - 2*(m1sq - m3sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m3))/((m1sq - m3sq)**4*m6**4*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq)))
		def eval_49():
			return -0.5*(-4*(m1 + m2)*(m1sq + m2sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq)) + 2*m1sq*m6sq*(2*m1**6 - 2*m2**6 - 3*m2sq*m6**4 + 5*m2**4*m6sq + m1**4*(-6*m2sq + m6sq) + m1sq*(6*m2**4 - m6**4 + 10*m2sq*m6sq))*B0del(0,0,m1sq) + (m1sq - m2sq)**2*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(4*m1sq - 6*m6sq + (4*m1sq - 2*m6sq)*B0del(0,0,m1sq) + (4*m1sq + 6*m6sq)*B0fin(0,0,m1sq) + (2*m1sq - m6sq)*B0fin(0,0,m1sq)**2) - 2*(m1**4 + m2**4 - 2*m1sq*(m2sq - m6sq))*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 2*m1sq*m6sq*(4*m2sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq)) + m6sq*(m1**4 + 5*m2**4 + m1sq*(10*m2sq - m6sq) - 3*m2sq*m6sq)*B0del(0,0,m2sq) - (m1sq - m2sq)*(-4*m2**4 - m6**4 + 3*m2sq*m6sq + m1sq*(4*m2sq + m6sq))*B0fin(0,0,m2sq)) + 4*m1sq*(m1sq - m2sq)**3*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) - 2*(m1sq - m2sq)**3*(m1sq + m2sq - m6sq)*m6sq*(B0del(0,0,m2sq) + B0del(0,0,m6sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m6sq)) + 2*m1sq*m6sq*B0fin(0,0,m1sq)*(m6sq*(m1**4 + 5*m2**4 + m1sq*(10*m2sq - m6sq) - 3*m2sq*m6sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*(-2*m1**4 + 2*m2**4 + m6**4 - m1sq*m6sq - 3*m2sq*m6sq + 2*(m1sq - m2sq)**2*B0fin(0,0,m6sq))) + 2*(3*m1sq + m2sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m2,m1,0) - 2*(m1sq - m2sq)**2*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m6,m1,m1) + 2*(m1sq - m2sq)**2*((m1sq - m2sq)*(m1sq - m2sq + m6sq)*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + m6sq*(-3*m1sq - m2sq + m6sq)*T134fin(m6,m2,m1)))/((m1sq - m2sq)**4*m6**4*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq)))
		def eval_50():
			return (4*m1**8*(m1sq - m3sq)**2*m7**4*(m3sq - m7sq)**2 - 4*m1**6*(m1sq - m3sq)**2*m3sq*m7**4*(m3sq - m7sq)**2 + 2*m1**6*(m1**3 - m1*m3sq)**2*(m1 + m7)*(4*m1sq - m7sq)*(m3sq - m7sq)**2 - 2*m1**4*m3sq*(m1**3 - m1*m3sq)**2*(m1 + m7)*(4*m1sq - m7sq)*(m3sq - m7sq)**2 - 16*m1**10*(m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq + 16*m1**8*(m1sq - m3sq)**2*m3sq*(m3sq - m7sq)**2*m7sq + 2*m1**4*(m1**3 - m1*m3sq)**2*(m1 + m7)*(4*m1sq - m7sq)*(m3sq - m7sq)**2*m7sq - 2*m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1 + m7)*(4*m1sq - m7sq)*(m3sq - m7sq)**2*m7sq - 13*m1**8*(m1sq - m3sq)**2*m7**4*(m3sq - m7sq)**2*B0del(0,0,m1sq) + 3*m1**6*(m1sq - m3sq)**2*m3sq*m7**4*(m3sq - m7sq)**2*B0del(0,0,m1sq) + 4*m1**6*(m1sq - m3sq)**2*m7**6*(m3sq - m7sq)**2*B0del(0,0,m1sq) - 2*m1**4*(m1sq - m3sq)**2*m3sq*m7**6*(m3sq - m7sq)**2*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*B0del(0,0,m1sq) + 15*m1**10*(m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq*B0del(0,0,m1sq) - 7*m1**8*(m1sq - m3sq)**2*m3sq*(m3sq - m7sq)**2*m7sq*B0del(0,0,m1sq) - 2*m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*m7sq*B0del(0,0,m3sq) - 13*m1**8*(m1sq - m3sq)**2*m7**4*(m3sq - m7sq)**2*B0del(0,0,m7sq) + 3*m1**6*(m1sq - m3sq)**2*m3sq*m7**4*(m3sq - m7sq)**2*B0del(0,0,m7sq) + 4*m1**6*(m1sq - m3sq)**2*m7**6*(m3sq - m7sq)**2*B0del(0,0,m7sq) - 2*m1**4*(m1sq - m3sq)**2*m3sq*m7**6*(m3sq - m7sq)**2*B0del(0,0,m7sq) - 2*m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*m7sq*B0del(0,0,m7sq) + 15*m1**10*(m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - 7*m1**8*(m1sq - m3sq)**2*m3sq*(m3sq - m7sq)**2*m7sq*B0del(0,0,m7sq) + 9*m1**8*(m1sq - m3sq)**2*m7**4*(m3sq - m7sq)**2*B0fin(0,0,m1sq) + m1**6*(m1sq - m3sq)**2*m3sq*m7**4*(m3sq - m7sq)**2*B0fin(0,0,m1sq) - 4*m1**6*(m1sq - m3sq)**2*m7**6*(m3sq - m7sq)**2*B0fin(0,0,m1sq) + 2*m1**4*(m1sq - m3sq)**2*m3sq*m7**6*(m3sq - m7sq)**2*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*B0fin(0,0,m1sq) + m1**10*(m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) - 9*m1**8*(m1sq - m3sq)**2*m3sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*B0fin(0,0,m1sq)**2 + 2*m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m3sq) + m1**6*(m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(m3sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m3sq*(m1**3 - m1*m3sq)**2*m7**4*(4*m1sq - m7sq)*(m3sq - m7sq)**2*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m1**4*(m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(m3sq - m7sq)**2*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m1sq*m3sq*(m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(m3sq - m7sq)**2*m7sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*(m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + 9*m1**8*(m1sq - m3sq)**2*m7**4*(m3sq - m7sq)**2*B0fin(0,0,m7sq) + m1**6*(m1sq - m3sq)**2*m3sq*m7**4*(m3sq - m7sq)**2*B0fin(0,0,m7sq) - 4*m1**6*(m1sq - m3sq)**2*m7**6*(m3sq - m7sq)**2*B0fin(0,0,m7sq) + 2*m1**4*(m1sq - m3sq)**2*m3sq*m7**6*(m3sq - m7sq)**2*B0fin(0,0,m7sq) + 2*m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m7sq) + m1**10*(m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 9*m1**8*(m1sq - m3sq)**2*m3sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m7sq) - 13*m1**8*(m1sq - m3sq)**2*m7**4*(m3sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m1**6*(m1sq - m3sq)**2*m3sq*m7**4*(m3sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**6*(m1sq - m3sq)**2*m7**6*(m3sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**4*(m1sq - m3sq)**2*m3sq*m7**6*(m3sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 15*m1**10*(m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 7*m1**8*(m1sq - m3sq)**2*m3sq*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m1**6*(m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m1,0) + m1**4*m3sq*(m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m1,0) + 3*m1sq*(m1**3 - m1*m3sq)**2*m7**4*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m1,0) + m3sq*(m1**3 - m1*m3sq)**2*m7**4*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m1,0) - (m1**3 - m1*m3sq)**2*m7**6*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m1,0) - 3*m1**4*(m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(m3sq - m7sq)**2*m7sq*T134fin(m7,m1,0) - 3*m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*T134fin(m7,m1,m1) - m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*T134fin(m7,m1,m1) + (m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*m7sq*T134fin(m7,m1,m1) - (m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m3,0) + m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*(m3sq + m7sq)*T134fin(m7,m3,0) + (m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*(m3sq - m7sq)**2*T134fin(m7,m3,m1))/(m1**4*(m1sq - m3sq)**2*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)**3*(4*m1sq - m7sq)*(m3sq - m7sq)**2)
		def eval_51():
			return ((-2*(2*m1sq*m3sq + (m1sq - m3sq)**3/(4*m1sq - m6sq))*m6sq*B0del(0,0,m1sq))/(m1sq - m3sq)**4 + ((4*m1sq - m6sq)*(4*m1**4 - 3*m1sq*m6sq - 3*m3sq*m6sq) + 2*m1sq*(2*m1sq - m6sq)*(3*m1sq + m3sq - m6sq)*B0del(0,0,m1sq) + 2*(10*m1**6 - m3sq*m6**4 + m1**4*(-2*m3sq + 5*m6sq) + m1sq*(-2*m6**4 + 5*m3sq*m6sq))*B0fin(0,0,m1sq) + m1sq*(2*m1sq - m6sq)*(3*m1sq + m3sq - m6sq)*B0fin(0,0,m1sq)**2)/((m1**3 - m1*m3sq)**2*(4*m1sq - m6sq)) - (4*m1sq*m3sq*m6sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/(m1sq - m3sq)**4 - (2*m6sq*B0fin(0,0,m1sq)*(2*m1sq*m3sq*(-1 + B0fin(0,0,m3sq)) + ((m1sq - m3sq)**3*(-1 + B0fin(0,0,m6sq)))/(4*m1sq - m6sq)))/(m1sq - m3sq)**4 + (2*m6sq*(-B0del(0,0,m6sq) + B0fin(0,0,m6sq)))/((m1sq - m3sq)*(4*m1sq - m6sq)) + (2*(-((m1sq + m3sq)*m6sq*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))) + (-m1**4 - m3**4 + m3sq*m6sq + m1sq*(2*m3sq + m6sq))*T134fin(m3,m1,0)))/(m1sq - m3sq)**4 + (2*(-((m1sq - m3sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))) + (-3*m1sq - m3sq + m6sq)*T134fin(m6,m1,m1)))/((m1sq - m3sq)**2*(4*m1sq - m6sq)) + (2*T134fin(m6,m3,m1))/(m1sq - m3sq)**2)/(2.*m6**4)
		def eval_52():
			return (4*m3sq*m4sq*m6sq*(-m5sq + m6sq)**3*(B0del(0,0,m4sq) + B0del(0,0,m6sq) - B0fin(0,0,m4sq) - B0fin(0,0,m6sq) + B0fin(0,0,m4sq)*B0fin(0,0,m6sq)) + 4*m3sq*m5sq*(m4sq - m6sq)**3*m6sq*(B0del(0,0,m5sq) + B0del(0,0,m6sq) - B0fin(0,0,m5sq) + (-1 + B0fin(0,0,m5sq))*B0fin(0,0,m6sq)) + (m4sq - m5sq)*(m4sq - m6sq)**2*(m5sq - m6sq)**2*(6*m3sq - 4*m6sq + 2*(m3sq - 2*m6sq)*B0del(0,0,m6sq) - 2*(3*m3sq + 2*m6sq)*B0fin(0,0,m6sq) + (m3sq - 2*m6sq)*B0fin(0,0,m6sq)**2) - 2*(m5sq - m6sq)**3*(m3sq*(m4sq + m6sq)*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - (-(m4sq - m6sq)**2 + m3sq*(m4sq + m6sq))*T134fin(m6,m4,0)) + 2*(m4sq - m6sq)**2*(m5sq - m6sq)**3*T134fin(m6,m4,m3) + 2*(m4sq - m6sq)**3*(m3sq*(m5sq + m6sq)*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + ((m5sq - m6sq)**2 - m3sq*(m5sq + m6sq))*T134fin(m6,m5,0)) - 2*(m4sq - m6sq)**3*(m5sq - m6sq)**2*T134fin(m6,m5,m3) + 2*(m4sq - m5sq)*(m4sq - m6sq)**2*(m5sq - m6sq)**2*T134fin(m6,m6,m3))/(2.*m3**4*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3)
		def eval_53():
			return -0.5*(4*m3sq*m4sq*m5sq*(m5sq - m6sq)**3*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + (m4sq - m5sq)**2*(m4sq - m6sq)*(m5sq - m6sq)**2*(6*m3sq - 4*m5sq + 2*(m3sq - 2*m5sq)*B0del(0,0,m5sq) - 2*(3*m3sq + 2*m5sq)*B0fin(0,0,m5sq) + (m3sq - 2*m5sq)*B0fin(0,0,m5sq)**2) - 4*m3sq*m5sq*(-m4sq + m5sq)**3*m6sq*(B0del(0,0,m5sq) + B0del(0,0,m6sq) - B0fin(0,0,m5sq) - B0fin(0,0,m6sq) + B0fin(0,0,m5sq)*B0fin(0,0,m6sq)) + 2*(m5sq - m6sq)**3*(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - (-(m4sq - m5sq)**2 + m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)) - 2*(m4sq - m5sq)**2*(m5sq - m6sq)**3*T134fin(m5,m4,m3) + 2*(m4sq - m5sq)**2*(m4sq - m6sq)*(m5sq - m6sq)**2*T134fin(m5,m5,m3) + 2*(m4sq - m5sq)**3*(m3sq*(m5sq + m6sq)*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + ((m5sq - m6sq)**2 - m3sq*(m5sq + m6sq))*T134fin(m6,m5,0)) - 2*(m4sq - m5sq)**3*(m5sq - m6sq)**2*T134fin(m6,m5,m3))/(m3**4*(m4sq - m5sq)**3*(m4sq - m6sq)*(m5sq - m6sq)**3)
		def eval_54():
			return (4*m3sq*m4sq*(m5sq - m6sq)*(m4**6 - 3*m4sq*m5sq*m6sq + m5sq*m6sq*(m5sq + m6sq))*B0del(0,0,m4sq) + (m4sq - m5sq)**2*(m4sq - m6sq)**2*(m5sq - m6sq)*(6*m3sq - 4*m4sq + 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) - 2*(3*m3sq + 2*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2) + 4*m3sq*m4sq*m5sq*(m4sq - m6sq)**3*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) - 4*m3sq*m4sq*B0fin(0,0,m4sq)*(-(m5sq*(m4sq - m6sq)**3*(-1 + B0fin(0,0,m5sq))) + (m4sq - m5sq)**3*m6sq*(-1 + B0fin(0,0,m6sq))) - 4*m3sq*m4sq*(m4sq - m5sq)**3*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) + 2*(m4sq - m5sq)**2*(m4sq - m6sq)**2*(m5sq - m6sq)*T134fin(m4,m4,m3) + 2*(m4sq - m6sq)**3*(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + ((m4sq - m5sq)**2 - m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)) - 2*(m4sq - m5sq)**2*(m4sq - m6sq)**3*T134fin(m5,m4,m3) - 2*(m4sq - m5sq)**3*(m3sq*(m4sq + m6sq)*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + ((m4sq - m6sq)**2 - m3sq*(m4sq + m6sq))*T134fin(m6,m4,0)) + 2*(m4sq - m5sq)**3*(m4sq - m6sq)**2*T134fin(m6,m4,m3))/(2.*m3**4*(m4sq - m5sq)**3*(m4sq - m6sq)**3*(m5sq - m6sq))
		def eval_55():
			return (4*m1sq*m3sq*(-m2sq + m3sq)**3*m6sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) + 4*m2sq*(m1sq - m3sq)**3*m3sq*m6sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)) - (m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(4*m3sq - 6*m6sq + (4*m3sq - 2*m6sq)*B0del(0,0,m3sq) + (4*m3sq + 6*m6sq)*B0fin(0,0,m3sq) + (2*m3sq - m6sq)*B0fin(0,0,m3sq)**2) + 2*(m2sq - m3sq)**3*(-((m1sq + m3sq)*m6sq*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))) + (-m1**4 - m3**4 + m3sq*m6sq + m1sq*(2*m3sq + m6sq))*T134fin(m3,m1,0)) + 2*(m1sq - m3sq)**3*((m2sq + m3sq)*m6sq*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + (m2**4 + m3**4 - m3sq*m6sq - m2sq*(2*m3sq + m6sq))*T134fin(m3,m2,0)) + 2*(m1sq - m3sq)**2*(m2sq - m3sq)**3*T134fin(m6,m3,m1) - 2*(m1sq - m3sq)**3*(m2sq - m3sq)**2*T134fin(m6,m3,m2) + 2*(m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*T134fin(m6,m3,m3))/(2.*(m1sq - m2sq)*(m1sq - m3sq)**3*(m2sq - m3sq)**3*m6**4)
		def eval_56():
			return (-4*m1sq*m2sq*(m2sq - m3sq)**3*m6sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m3sq)*(m2sq - m3sq)**2*(4*m2sq - 6*m6sq + (4*m2sq - 2*m6sq)*B0del(0,0,m2sq) + (4*m2sq + 6*m6sq)*B0fin(0,0,m2sq) + (2*m2sq - m6sq)*B0fin(0,0,m2sq)**2) + 4*m2sq*(-m1sq + m2sq)**3*m3sq*m6sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + 2*(m2sq - m3sq)**3*(-((m1sq + m2sq)*m6sq*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2))) + (-m1**4 - m2**4 + m2sq*m6sq + m1sq*(2*m2sq + m6sq))*T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**3*((m2sq + m3sq)*m6sq*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + (m2**4 + m3**4 - m3sq*m6sq - m2sq*(2*m3sq + m6sq))*T134fin(m3,m2,0)) + 2*(m1sq - m2sq)**2*(m2sq - m3sq)**3*T134fin(m6,m2,m1) - 2*(m1sq - m2sq)**2*(m1sq - m3sq)*(m2sq - m3sq)**2*T134fin(m6,m2,m2) + 2*(m1sq - m2sq)**3*(m2sq - m3sq)**2*T134fin(m6,m3,m2))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m3sq)**3*m6**4)
		def eval_57():
			return (4*m1sq*(m2sq - m3sq)*(m1**6 - 3*m1sq*m2sq*m3sq + m2sq*m3sq*(m2sq + m3sq))*m6sq*B0del(0,0,m1sq) - (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)*(4*m1sq - 6*m6sq + (4*m1sq - 2*m6sq)*B0del(0,0,m1sq) + (4*m1sq + 6*m6sq)*B0fin(0,0,m1sq) + (2*m1sq - m6sq)*B0fin(0,0,m1sq)**2) + 4*m1sq*m2sq*(m1sq - m3sq)**3*m6sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) - 4*m1sq*m6sq*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**3*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**3*m3sq*(-1 + B0fin(0,0,m3sq))) - 4*m1sq*(m1sq - m2sq)**3*m3sq*m6sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) + 2*(m1sq - m3sq)**3*((m1sq + m2sq)*m6sq*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + (m1**4 + m2**4 - m2sq*m6sq - m1sq*(2*m2sq + m6sq))*T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**3*((m1sq + m3sq)*m6sq*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + (m1**4 + m3**4 - m3sq*m6sq - m1sq*(2*m3sq + m6sq))*T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)*T134fin(m6,m1,m1) - 2*(m1sq - m2sq)**2*(m1sq - m3sq)**3*T134fin(m6,m2,m1) + 2*(m1sq - m2sq)**3*(m1sq - m3sq)**2*T134fin(m6,m3,m1))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)**3*(m2sq - m3sq)*m6**4)
		def eval_58():
			return -0.08333333333333333*1/m1**6
		def eval_59():
			return ((2*(m1 + m2 - 2*m1*B0fin(0,0,m1) - 2*m2*B0fin(0,0,m2)))/((m1 - m2)**4*(m1 + m2)**4) - (2*m1sq*(m1sq - 3*m2sq)*(-1 + B0fin(0,0,m1sq) + B0fin(0,0,m2sq)))/((m1 - m2)**4*m2**2*(m1 + m2)**4) - (m1sq + 3*m2sq - 4*m2sq*B0fin(0,0,m2sq))/(m2**4*(m1sq - m2sq)**2))/4.
		def eval_60():
			return (2*m2**8 - 18*m2**3*m4**4 + 86*m2**4*m4**4 - 36*m2sq*m4**5 + 32*m2*m4**6 - 92*m2sq*m4**6 + 64*m4**7 - 16*m4**8 - 22*m2**6*m4sq - 12*m2sq*m4**4*(m2sq - 2*m4sq)*B0del(0,0,m2sq) - 24*m4**6*(m2sq - 2*m4sq)*B0del(0,0,m4sq) - 20*m2**3*m4**4*B0fin(0,0,m2) + 32*m2*m4**6*B0fin(0,0,m2) + 4*m2**5*m4sq*B0fin(0,0,m2) + m2**8*B0fin(0,0,m2sq) + 36*m2**4*m4**4*B0fin(0,0,m2sq) - 56*m2sq*m4**6*B0fin(0,0,m2sq) - 12*m2**6*m4sq*B0fin(0,0,m2sq) + 8*m2**4*m4**3*B0fin(0,0,m4) - 40*m2sq*m4**5*B0fin(0,0,m4) + 64*m4**7*B0fin(0,0,m4) - m2**8*B0fin(0,0,m4sq) - 36*m2**4*m4**4*B0fin(0,0,m4sq) + 64*m2sq*m4**6*B0fin(0,0,m4sq) - 16*m4**8*B0fin(0,0,m4sq) + 8*m2**6*m4sq*B0fin(0,0,m4sq) - 12*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 24*m2sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 6*m2**4*m4**4*B0fin(0,0,m4sq)**2 - 24*m2sq*m4**6*B0fin(0,0,m4sq)**2 + 24*m4**8*B0fin(0,0,m4sq)**2 + 12*m2sq*m4**4*T134fin(m4,m4,m2) - 24*m4**6*T134fin(m4,m4,m2))/(2.*m2**6*m4**2*(m2sq - 4*m4sq)**3)
		def eval_61():
			return (2*m1**4 + 2*m3**4 - 4*m1sq*m3sq + 4*m1*m3sq*B0fin(0,0,m1) + (m1**4 - m3**4 - 4*m1sq*m3sq)*B0fin(0,0,m1sq) + 4*m3**3*B0fin(0,0,m3) - m1**4*B0fin(0,0,m3sq) - 3*m3**4*B0fin(0,0,m3sq))/(2.*(m1 - m3)**4*m3**2*(m1 + m3)**4)
		def eval_62():
			return (-m1**4 - 2*m2**3 + m2**4 - 2*m1*m2sq + 4*m1sq*m2sq - 4*m1*m2sq*B0fin(0,0,m1) + m1sq*m2sq*B0fin(0,0,m1sq)**2 - 4*m2**3*B0fin(0,0,m2) - 2*m1sq*m2sq*B0fin(0,0,m1sq)*(-2 + B0fin(0,0,m2sq)) + 4*m2**4*B0fin(0,0,m2sq) + m1sq*m2sq*B0fin(0,0,m2sq)**2)/(m2**2*(m1sq - m2sq)**4)
		def eval_63():
			return -0.5*(-6*m1 + 6*m1sq - 6*m3 + 6*m3sq - 4*m1*B0fin(0,0,m1) + (m1sq + m3sq)*B0fin(0,0,m1sq)**2 - 4*m3*B0fin(0,0,m3) - 2*m1sq*B0fin(0,0,m3sq) + 6*m3sq*B0fin(0,0,m3sq) + m1sq*B0fin(0,0,m3sq)**2 + m3sq*B0fin(0,0,m3sq)**2 - 2*B0fin(0,0,m1sq)*(-3*m1sq + m3sq + (m1sq + m3sq)*B0fin(0,0,m3sq)))/((m1 - m3)**4*(m1 + m3)**4)
		def eval_64():
			return -0.5*(-6*m1 + 6*m1sq - 6*m2 + 6*m2sq - 4*m1*B0fin(0,0,m1) + (m1sq + m2sq)*B0fin(0,0,m1sq)**2 - 4*m2*B0fin(0,0,m2) - 2*m1sq*B0fin(0,0,m2sq) + 6*m2sq*B0fin(0,0,m2sq) + m1sq*B0fin(0,0,m2sq)**2 + m2sq*B0fin(0,0,m2sq)**2 - 2*B0fin(0,0,m1sq)*(-3*m1sq + m2sq + (m1sq + m2sq)*B0fin(0,0,m2sq)))/((m1 - m2)**4*(m1 + m2)**4)
		def eval_65():
			return (-64*m1**7 + 16*m1**8 - 32*m1**6*m5 + 18*m1**4*m5**3 - 86*m1**4*m5**4 + 22*m1sq*m5**6 - 2*m5**8 + 36*m1**5*m5sq + 92*m1**6*m5sq + 24*m1**6*(-2*m1sq + m5sq)*B0del(0,0,m1sq) + 12*m1**4*m5sq*(-2*m1sq + m5sq)*B0del(0,0,m5sq) - 64*m1**7*B0fin(0,0,m1) - 8*m1**3*m5**4*B0fin(0,0,m1) + 40*m1**5*m5sq*B0fin(0,0,m1) + 16*m1**8*B0fin(0,0,m1sq) + 36*m1**4*m5**4*B0fin(0,0,m1sq) - 8*m1sq*m5**6*B0fin(0,0,m1sq) + m5**8*B0fin(0,0,m1sq) - 64*m1**6*m5sq*B0fin(0,0,m1sq) - 24*m1**8*B0fin(0,0,m1sq)**2 - 6*m1**4*m5**4*B0fin(0,0,m1sq)**2 + 24*m1**6*m5sq*B0fin(0,0,m1sq)**2 - 32*m1**6*m5*B0fin(0,0,m5) + 20*m1**4*m5**3*B0fin(0,0,m5) - 4*m1sq*m5**5*B0fin(0,0,m5) - 36*m1**4*m5**4*B0fin(0,0,m5sq) + 12*m1sq*m5**6*B0fin(0,0,m5sq) - m5**8*B0fin(0,0,m5sq) + 56*m1**6*m5sq*B0fin(0,0,m5sq) + 12*m1**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 24*m1**6*T134fin(m5,m1,m1) - 12*m1**4*m5sq*T134fin(m5,m1,m1))/(2.*m1**2*m5**6*(4*m1sq - m5sq)**3)
		def eval_66():
			return (1 - B0fin(0,0,m1sq))/(m1**3 - m1*m5sq)**2 + (2*(m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5)))/((m1 - m5)**4*(m1 + m5)**4) - ((m1**4 - m5**4 + 4*m1sq*m5sq)*(B0fin(0,0,m1sq) + B0fin(0,0,m5sq)))/(2.*m1**2*(m1 - m5)**4*(m1 + m5)**4)
		def eval_67():
			return (1 - B0fin(0,0,m1sq))/(m1**3 - m1*m2sq)**2 + (2*(m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2)))/((m1 - m2)**4*(m1 + m2)**4) - ((m1**4 - m2**4 + 4*m1sq*m2sq)*(B0fin(0,0,m1sq) + B0fin(0,0,m2sq)))/(2.*m1**2*(m1 - m2)**4*(m1 + m2)**4)
		def eval_68():
			return (-((3*m1sq + m6sq - 4*m1sq*B0fin(0,0,m1sq))/(m1**4*(m1sq - m6sq)**2)) + (2*(m1 + m6 - 2*m1*B0fin(0,0,m1) - 2*m6*B0fin(0,0,m6)))/((m1 - m6)**4*(m1 + m6)**4) - (2*m6sq*(-3*m1sq + m6sq)*(-1 + B0fin(0,0,m1sq) + B0fin(0,0,m6sq)))/(m1**2*(m1 - m6)**4*(m1 + m6)**4))/4.
		def eval_69():
			return (-((3*m1sq + m3sq - 4*m1sq*B0fin(0,0,m1sq))/(m1**4*(m1sq - m3sq)**2)) + (2*(m1 + m3 - 2*m1*B0fin(0,0,m1) - 2*m3*B0fin(0,0,m3)))/((m1 - m3)**4*(m1 + m3)**4) - (2*m3sq*(-3*m1sq + m3sq)*(-1 + B0fin(0,0,m1sq) + B0fin(0,0,m3sq)))/(m1**2*(m1 - m3)**4*(m1 + m3)**4))/4.
		def eval_70():
			return -0.125*(-8*m2sq*(m2sq - m3sq)*m3sq*(m2sq - 4*m4sq)**2*(m3sq - 4*m4sq)**2 - 4*m2**4*m3sq*(m3sq - 6*m4sq)*(m2sq - 4*m4sq)**2*m4sq + 4*m2sq*m3**4*(m2sq - 6*m4sq)*(m3sq - 4*m4sq)**2*m4sq + 8*(-(m2**6*(m3**8 - 40*m3**4*m4**4 + 96*m3sq*m4**6 - 32*m4**8)) - 12*m2sq*m3**4*m4**4*(m3sq - 4*m4sq)**2 + 4*m3**4*m4**6*(m3sq - 4*m4sq)**2 + m2**8*(m3**6 + 12*m3sq*m4**4 - 4*m4**6 - 7*m3**4*m4sq) + m2**4*m4sq*(7*m3**8 + 192*m3sq*m4**6 - 64*m4**8 - 40*m3**6*m4sq))*B0fin(0,0,m4sq) + 4*m2sq*m3**4*(m3sq - 4*m4sq)**2*(-m2**4 - 8*m4**4 + 8*m2sq*m4sq - 4*m4**4*B0del(0,0,m2sq) - 4*m4**4*B0del(0,0,m4sq) + m2**4*B0fin(0,0,m2sq) + 12*m4**4*B0fin(0,0,m2sq) - 8*m2sq*m4sq*B0fin(0,0,m2sq) + m2**4*B0fin(0,0,m4sq) + 12*m4**4*B0fin(0,0,m4sq) - 8*m2sq*m4sq*B0fin(0,0,m4sq) - 4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq)) - 4*m2**4*m3sq*(m2sq - 4*m4sq)**2*(-m3**4 - 8*m4**4 + 8*m3sq*m4sq - 4*m4**4*B0del(0,0,m3sq) - 4*m4**4*B0del(0,0,m4sq) + m3**4*B0fin(0,0,m3sq) + 12*m4**4*B0fin(0,0,m3sq) - 8*m3sq*m4sq*B0fin(0,0,m3sq) + m3**4*B0fin(0,0,m4sq) + 12*m4**4*B0fin(0,0,m4sq) - 8*m3sq*m4sq*B0fin(0,0,m4sq) - 4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq)) + m4sq*(8*m3**4*(m3sq - 4*m4sq)**2*(m2sq - 2*m4sq)*m4sq + 8*m2**4*(m2sq - 4*m4sq)**2*(2*m4**4 - m3sq*m4sq))*(2*B0del(0,0,m4sq) + B0fin(0,0,m4sq)**2) - 4*m3**4*(m3sq - 4*m4sq)**2*m4sq*(2*m2sq*(m2 + 2*m4) - (m2sq - 4*m4sq)*(m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4)) - 4*m4sq*T134fin(m4,m4,m2)) + 4*m2**4*(m2sq - 4*m4sq)**2*m4sq*(2*m3sq*(m3 + 2*m4) - (m3sq - 4*m4sq)*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4)) - 4*m4sq*T134fin(m4,m4,m3)))/(m2**4*m3**4*(m2sq - m3sq)*m4**2*(m2sq - 4*m4sq)**2*(m3sq - 4*m4sq)**2)
		def eval_71():
			return ((m1 + m3 - 2*m1*B0fin(0,0,m1) - 2*m3*B0fin(0,0,m3))/((m1sq - m2sq)*(m1 - m3)**3*(m1 + m3)**3) - (m2 + m3 - 2*m2*B0fin(0,0,m2) - 2*m3*B0fin(0,0,m3))/((m1sq - m2sq)*(m2 - m3)**3*(m2 + m3)**3) - (2*(-1 + B0fin(0,0,m3sq)))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)) - (m1sq*(m1sq - 3*m3sq)*(-1 + B0fin(0,0,m1sq) + B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1 - m3)**3*m3**2*(m1 + m3)**3) + (m2sq*(m2sq - 3*m3sq)*(-1 + B0fin(0,0,m2sq) + B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m2 - m3)**3*m3**2*(m2 + m3)**3))/2.
		def eval_72():
			return (8*m1sq*(m2sq - m6sq)**2*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + (4*(m1sq - m2sq)*(m2sq - m6sq)*(2*m1sq*(m2sq - m6sq) + 2*m2sq*(m2sq + m6sq) + 2*m2sq*(m1sq + m6sq)*B0del(0,0,m2sq) - 2*m2sq*(m1sq - 4*m2sq + m6sq)*B0fin(0,0,m2sq) + m2sq*(m1sq + m6sq)*B0fin(0,0,m2sq)**2))/m2**2 + 8*(m1sq - m2sq)**2*m6sq*(B0del(0,0,m2sq) + B0del(0,0,m6sq) - B0fin(0,0,m2sq) - B0fin(0,0,m6sq) + B0fin(0,0,m2sq)*B0fin(0,0,m6sq)) + 8*(m2sq - m6sq)*((m2sq - m6sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - (m1sq - m6sq)*T134fin(m2,m1,0)) + 8*(m1sq - m2sq)*(m2sq - m6sq)*T134fin(m6,m1,0) + 8*(m1sq - m2sq)*((m1sq - m2sq)*(m2 + m6 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + (-m1sq + m6sq)*T134fin(m6,m2,0)))/(8.*(m1sq - m2sq)**3*(m2sq - m6sq)**3)
		def eval_73():
			return ((m1 + m2 - 2*m1*B0fin(0,0,m1) - 2*m2*B0fin(0,0,m2))/((m1 - m2)**3*(m1 + m2)**3*(m1sq - m3sq)) - (2*(-1 + B0fin(0,0,m2sq)))/(m2**2*(-m1sq + m2sq)*(m2sq - m3sq)) + (m1sq*(m1sq - 3*m2sq)*(-1 + B0fin(0,0,m1sq) + B0fin(0,0,m2sq)))/(m2**2*(-m1 + m2)**3*(m1 + m2)**3*(m1sq - m3sq)) - (m2 + m3 - 2*m2*B0fin(0,0,m2) - 2*m3*B0fin(0,0,m3))/((m2 - m3)**3*(m2 + m3)**3*(-m1sq + m3sq)) + (m3sq*(-3*m2sq + m3sq)*(-1 + B0fin(0,0,m2sq) + B0fin(0,0,m3sq)))/(m2**2*(m2 - m3)**3*(m2 + m3)**3*(-m1sq + m3sq)))/2.
		def eval_74():
			return -((2*m1**10*m3**3 - 4*m1**9*m3**4 + 4*m1**10*m3**4 - 16*m1**8*m3**5 + 8*m1**7*m3**6 - 8*m1**8*m3**6 + 36*m1**6*m3**7 - 32*m1**4*m3**9 - 8*m1**3*m3**10 + 8*m1**4*m3**10 + 10*m1sq*m3**11 + 4*m1*m3**12 - 4*m1sq*m3**12 + 2*m1**6*m3**6*m7 + 4*m1**4*m3**8*m7 - 9*m1sq*m3**10*m7 + 4*m3**12*m7 - m1**10*m3sq*m7 - 2*m1**6*m3**4*m7**3 - 42*m1**4*m3**6*m7**3 + 66*m1sq*m3**8*m7**3 - 28*m3**10*m7**3 + 6*m1**8*m3sq*m7**3 + 4*m1**8*m3*m7**4 - 6*m1**6*m3**3*m7**4 + 11*m1**5*m3**4*m7**4 - 7*m1**6*m3**4*m7**4 + 3*m1**4*m3**5*m7**4 - 32*m1**3*m3**6*m7**4 + 9*m1**4*m3**6*m7**4 - 20*m1sq*m3**7*m7**4 + 39*m1*m3**8*m7**4 - 5*m1sq*m3**8*m7**4 + 3*m3**9*m7**4 + 3*m3**10*m7**4 - 2*m1**7*m3sq*m7**4 + 11*m1**4*m3**4*m7**5 - 34*m1sq*m3**6*m7**5 + 35*m3**8*m7**5 - 12*m1**6*m3sq*m7**5 - 6*m1**6*m3*m7**6 + 6*m1**4*m3**3*m7**6 - 4*m1**3*m3**4*m7**6 - 3*m1**4*m3**4*m7**6 + 10*m1sq*m3**5*m7**6 - 20*m1*m3**6*m7**6 + 6*m1sq*m3**6*m7**6 + 14*m3**7*m7**6 - 5*m3**8*m7**6 + 2*m1**6*m3sq*m7**6 + 4*m1sq*m3**4*m7**7 - 14*m3**6*m7**7 + 10*m1**4*m3sq*m7**7 + 4*m1**4*m3*m7**8 - 4*m1sq*m3**3*m7**8 + 7*m1*m3**4*m7**8 + 3*m1sq*m3**4*m7**8 - 9*m3**5*m7**8 - 3*m3**6*m7**8 + 2*m1**3*m3sq*m7**8 + 3*m3**4*m7**9 - 3*m1sq*m3sq*m7**9 - m1sq*m3*m7**10 + 2*m3**3*m7**10 + m3**4*m7**10 - m1*m3sq*m7**10 - m1sq*m3sq*m7**10 - m1**10*m3*m7sq + 6*m1**7*m3**4*m7sq + 2*m1**8*m3**4*m7sq + 12*m1**6*m3**5*m7sq - 44*m1**5*m3**6*m7sq - 4*m1**6*m3**6*m7sq - 30*m1**4*m3**7*m7sq + 66*m1**3*m3**8*m7sq + 10*m1**4*m3**8*m7sq + 29*m1sq*m3**9*m7sq - 29*m1*m3**10*m7sq - 11*m1sq*m3**10*m7sq - 10*m3**11*m7sq + 4*m3**12*m7sq + m1**9*m3sq*m7sq - m1**10*m3sq*m7sq - m1sq*m3sq*(4*m3sq - m7sq)*(-m3**8 - 8*m3**4*m7**4 + 4*m3sq*m7**6 - m7**8 + m1**6*(m3sq - m7sq) + 6*m3**6*m7sq + m1sq*(3*m3**6 + 3*m3sq*m7**4 + m7**6 - 13*m3**4*m7sq) + m1**4*(-3*m3**4 + m7**4 + 8*m3sq*m7sq))*B0del(0,0,m1sq) + m3sq*(m1sq - m7sq)*(m1**8*(2*m3sq - m7sq) + m1**4*(24*m3**6 - 4*m3sq*m7**4 - 3*m7**6 - m3**4*m7sq) + 2*m3sq*(3*m3**8 - 5*m3**4*m7**4 + 4*m3sq*m7**6 - m7**8 - m3**6*m7sq) + m1sq*(-20*m3**8 - 5*m3**4*m7**4 + 3*m3sq*m7**6 + m7**8 + 3*m3**6*m7sq) + m1**6*(-12*m3**4 + 3*m7**4 + m3sq*m7sq))*B0del(0,0,m3sq) - 3*m1**6*m3**4*m7**4*B0del(0,0,m7sq) - 33*m1**4*m3**6*m7**4*B0del(0,0,m7sq) + 55*m1sq*m3**8*m7**4*B0del(0,0,m7sq) - 24*m3**10*m7**4*B0del(0,0,m7sq) + 5*m1**8*m3sq*m7**4*B0del(0,0,m7sq) + 4*m1**4*m3**4*m7**6*B0del(0,0,m7sq) - 27*m1sq*m3**6*m7**6*B0del(0,0,m7sq) + 34*m3**8*m7**6*B0del(0,0,m7sq) - 11*m1**6*m3sq*m7**6*B0del(0,0,m7sq) + 7*m1sq*m3**4*m7**8*B0del(0,0,m7sq) - 18*m3**6*m7**8*B0del(0,0,m7sq) + 11*m1**4*m3sq*m7**8*B0del(0,0,m7sq) + 4*m3**4*m7**10*B0del(0,0,m7sq) - 4*m1sq*m3sq*m7**10*B0del(0,0,m7sq) + 4*m1**8*m3**4*m7sq*B0del(0,0,m7sq) - 10*m1**6*m3**6*m7sq*B0del(0,0,m7sq) + 16*m1**4*m3**8*m7sq*B0del(0,0,m7sq) - 13*m1sq*m3**10*m7sq*B0del(0,0,m7sq) + 4*m3**12*m7sq*B0del(0,0,m7sq) - m1**10*m3sq*m7sq*B0del(0,0,m7sq) + 8*m1**9*m3**4*B0fin(0,0,m1) - 32*m1**7*m3**6*B0fin(0,0,m1) + 48*m1**5*m3**8*B0fin(0,0,m1) - 32*m1**3*m3**10*B0fin(0,0,m1) + 8*m1*m3**12*B0fin(0,0,m1) - 6*m1**5*m3**4*m7**4*B0fin(0,0,m1) - 36*m1**3*m3**6*m7**4*B0fin(0,0,m1) + 74*m1*m3**8*m7**4*B0fin(0,0,m1) + 4*m1**3*m3**4*m7**6*B0fin(0,0,m1) - 56*m1*m3**6*m7**6*B0fin(0,0,m1) + 4*m1**5*m3sq*m7**6*B0fin(0,0,m1) + 18*m1*m3**4*m7**8*B0fin(0,0,m1) - 2*m1*m3sq*m7**10*B0fin(0,0,m1) + 8*m1**7*m3**4*m7sq*B0fin(0,0,m1) - 52*m1**5*m3**6*m7sq*B0fin(0,0,m1) + 88*m1**3*m3**8*m7sq*B0fin(0,0,m1) - 42*m1*m3**10*m7sq*B0fin(0,0,m1) - 2*m1**9*m3sq*m7sq*B0fin(0,0,m1) - 4*m1**10*m3**4*B0fin(0,0,m1sq) + 12*m1**8*m3**6*B0fin(0,0,m1sq) - 12*m1**6*m3**8*B0fin(0,0,m1sq) + 4*m1**4*m3**10*B0fin(0,0,m1sq) + 7*m1**6*m3**4*m7**4*B0fin(0,0,m1sq) + 8*m1**4*m3**6*m7**4*B0fin(0,0,m1sq) - 45*m1sq*m3**8*m7**4*B0fin(0,0,m1sq) + 13*m3**10*m7**4*B0fin(0,0,m1sq) + m1**8*m3sq*m7**4*B0fin(0,0,m1sq) + 4*m1**4*m3**4*m7**6*B0fin(0,0,m1sq) + 38*m1sq*m3**6*m7**6*B0fin(0,0,m1sq) - 15*m3**8*m7**6*B0fin(0,0,m1sq) - 3*m1**6*m3sq*m7**6*B0fin(0,0,m1sq) - 15*m1sq*m3**4*m7**8*B0fin(0,0,m1sq) + 7*m3**6*m7**8*B0fin(0,0,m1sq) - m1**4*m3sq*m7**8*B0fin(0,0,m1sq) - m3**4*m7**10*B0fin(0,0,m1sq) + 2*m1sq*m3sq*m7**10*B0fin(0,0,m1sq) - 7*m1**8*m3**4*m7sq*B0fin(0,0,m1sq) + 23*m1**6*m3**6*m7sq*B0fin(0,0,m1sq) - 33*m1**4*m3**8*m7sq*B0fin(0,0,m1sq) + 20*m1sq*m3**10*m7sq*B0fin(0,0,m1sq) - 4*m3**12*m7sq*B0fin(0,0,m1sq) + m1**10*m3sq*m7sq*B0fin(0,0,m1sq) + 4*m1**10*m3**3*B0fin(0,0,m3) - 16*m1**8*m3**5*B0fin(0,0,m3) + 24*m1**6*m3**7*B0fin(0,0,m3) - 16*m1**4*m3**9*B0fin(0,0,m3) + 4*m1sq*m3**11*B0fin(0,0,m3) + 8*m1**8*m3*m7**4*B0fin(0,0,m3) - 8*m1**6*m3**3*m7**4*B0fin(0,0,m3) - 22*m1**4*m3**5*m7**4*B0fin(0,0,m3) - 12*m1sq*m3**7*m7**4*B0fin(0,0,m3) + 2*m3**9*m7**4*B0fin(0,0,m3) - 12*m1**6*m3*m7**6*B0fin(0,0,m3) + 16*m1**4*m3**3*m7**6*B0fin(0,0,m3) + 32*m1sq*m3**5*m7**6*B0fin(0,0,m3) + 12*m3**7*m7**6*B0fin(0,0,m3) + 8*m1**4*m3*m7**8*B0fin(0,0,m3) - 12*m1sq*m3**3*m7**8*B0fin(0,0,m3) - 14*m3**5*m7**8*B0fin(0,0,m3) - 2*m1sq*m3*m7**10*B0fin(0,0,m3) + 4*m3**3*m7**10*B0fin(0,0,m3) - 2*m1**10*m3*m7sq*B0fin(0,0,m3) - 4*m1**8*m3**3*m7sq*B0fin(0,0,m3) + 20*m1**6*m3**5*m7sq*B0fin(0,0,m3) - 24*m1**4*m3**7*m7sq*B0fin(0,0,m3) + 14*m1sq*m3**9*m7sq*B0fin(0,0,m3) - 4*m3**11*m7sq*B0fin(0,0,m3) - 6*m1**10*m3**4*B0fin(0,0,m3sq) + 20*m1**8*m3**6*B0fin(0,0,m3sq) - 24*m1**6*m3**8*B0fin(0,0,m3sq) + 12*m1**4*m3**10*B0fin(0,0,m3sq) - 2*m1sq*m3**12*B0fin(0,0,m3sq) - 12*m1**6*m3**4*m7**4*B0fin(0,0,m3sq) + 39*m1**4*m3**6*m7**4*B0fin(0,0,m3sq) + 2*m1sq*m3**8*m7**4*B0fin(0,0,m3sq) - 5*m3**10*m7**4*B0fin(0,0,m3sq) - 8*m1**8*m3sq*m7**4*B0fin(0,0,m3sq) - 31*m1sq*m3**6*m7**6*B0fin(0,0,m3sq) - 5*m3**8*m7**6*B0fin(0,0,m3sq) + 12*m1**6*m3sq*m7**6*B0fin(0,0,m3sq) + 6*m1sq*m3**4*m7**8*B0fin(0,0,m3sq) + 11*m3**6*m7**8*B0fin(0,0,m3sq) - 8*m1**4*m3sq*m7**8*B0fin(0,0,m3sq) - 3*m3**4*m7**10*B0fin(0,0,m3sq) + 2*m1sq*m3sq*m7**10*B0fin(0,0,m3sq) + 15*m1**8*m3**4*m7sq*B0fin(0,0,m3sq) - 39*m1**6*m3**6*m7sq*B0fin(0,0,m3sq) + 27*m1**4*m3**8*m7sq*B0fin(0,0,m3sq) - 7*m1sq*m3**10*m7sq*B0fin(0,0,m3sq) + 2*m3**12*m7sq*B0fin(0,0,m3sq) + 2*m1**10*m3sq*m7sq*B0fin(0,0,m3sq) - 4*m1**8*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 12*m1**6*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 12*m1**4*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 17*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 9*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**8*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 11*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 16*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 3*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 7*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 3*m1**4*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1sq*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 5*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 15*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 11*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 3*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1**10*m3**4*B0fin(0,0,m3sq)**2 - 4*m1**8*m3**6*B0fin(0,0,m3sq)**2 + 6*m1**6*m3**8*B0fin(0,0,m3sq)**2 - 4*m1**4*m3**10*B0fin(0,0,m3sq)**2 + m1sq*m3**12*B0fin(0,0,m3sq)**2 + 10*m1**6*m3**4*m7**4*B0fin(0,0,m3sq)**2 + 2*m1sq*m3**8*m7**4*B0fin(0,0,m3sq)**2 + 4*m3**10*m7**4*B0fin(0,0,m3sq)**2 - 10*m1**4*m3**4*m7**6*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**6*m7**6*B0fin(0,0,m3sq)**2 - 6*m3**8*m7**6*B0fin(0,0,m3sq)**2 + 5*m1sq*m3**4*m7**8*B0fin(0,0,m3sq)**2 + 4*m3**6*m7**8*B0fin(0,0,m3sq)**2 - m3**4*m7**10*B0fin(0,0,m3sq)**2 - 5*m1**8*m3**4*m7sq*B0fin(0,0,m3sq)**2 + 8*m1**6*m3**6*m7sq*B0fin(0,0,m3sq)**2 - 2*m1**4*m3**8*m7sq*B0fin(0,0,m3sq)**2 - m3**12*m7sq*B0fin(0,0,m3sq)**2 + 16*m1**8*m3**4*m7*B0fin(0,0,m7) - 44*m1**6*m3**6*m7*B0fin(0,0,m7) + 56*m1**4*m3**8*m7*B0fin(0,0,m7) - 34*m1sq*m3**10*m7*B0fin(0,0,m7) + 8*m3**12*m7*B0fin(0,0,m7) - 2*m1**10*m3sq*m7*B0fin(0,0,m7) - 8*m1**6*m3**4*m7**3*B0fin(0,0,m7) - 48*m1**4*m3**6*m7**3*B0fin(0,0,m7) + 88*m1sq*m3**8*m7**3*B0fin(0,0,m7) - 40*m3**10*m7**3*B0fin(0,0,m7) + 8*m1**8*m3sq*m7**3*B0fin(0,0,m7) - 6*m1**4*m3**4*m7**5*B0fin(0,0,m7) - 40*m1sq*m3**6*m7**5*B0fin(0,0,m7) + 66*m3**8*m7**5*B0fin(0,0,m7) - 20*m1**6*m3sq*m7**5*B0fin(0,0,m7) + 20*m1sq*m3**4*m7**7*B0fin(0,0,m7) - 44*m3**6*m7**7*B0fin(0,0,m7) + 24*m1**4*m3sq*m7**7*B0fin(0,0,m7) + 10*m3**4*m7**9*B0fin(0,0,m7) - 10*m1sq*m3sq*m7**9*B0fin(0,0,m7) + 23*m1**6*m3**4*m7**4*B0fin(0,0,m7sq) - 3*m1**4*m3**6*m7**4*B0fin(0,0,m7sq) - 27*m1sq*m3**8*m7**4*B0fin(0,0,m7sq) + 8*m3**10*m7**4*B0fin(0,0,m7sq) - m1**8*m3sq*m7**4*B0fin(0,0,m7sq) - 8*m1**4*m3**4*m7**6*B0fin(0,0,m7sq) + 19*m1sq*m3**6*m7**6*B0fin(0,0,m7sq) - 14*m3**8*m7**6*B0fin(0,0,m7sq) + 3*m1**6*m3sq*m7**6*B0fin(0,0,m7sq) - 7*m1sq*m3**4*m7**8*B0fin(0,0,m7sq) + 14*m3**6*m7**8*B0fin(0,0,m7sq) - 7*m1**4*m3sq*m7**8*B0fin(0,0,m7sq) - 4*m3**4*m7**10*B0fin(0,0,m7sq) + 4*m1sq*m3sq*m7**10*B0fin(0,0,m7sq) - 20*m1**8*m3**4*m7sq*B0fin(0,0,m7sq) + 58*m1**6*m3**6*m7sq*B0fin(0,0,m7sq) - 64*m1**4*m3**8*m7sq*B0fin(0,0,m7sq) + 29*m1sq*m3**10*m7sq*B0fin(0,0,m7sq) - 4*m3**12*m7sq*B0fin(0,0,m7sq) + m1**10*m3sq*m7sq*B0fin(0,0,m7sq) + 13*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 27*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 55*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 40*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 15*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 44*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 16*m1**6*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 6*m1**4*m3**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 15*m3**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 5*m1**8*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1**4*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 13*m1sq*m3**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 28*m3**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 9*m1**6*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m1sq*m3**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 17*m3**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 7*m1**4*m3sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m3**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1sq*m3sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1**8*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 10*m1**6*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 28*m1**4*m3**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 15*m1sq*m3**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m1**10*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m1**8*m3**4*T134fin(m7,m1,0) + 16*m1**6*m3**6*T134fin(m7,m1,0) - 24*m1**4*m3**8*T134fin(m7,m1,0) + 16*m1sq*m3**10*T134fin(m7,m1,0) - 4*m3**12*T134fin(m7,m1,0) - m1**8*m7**4*T134fin(m7,m1,0) - 10*m1**4*m3**4*m7**4*T134fin(m7,m1,0) + 8*m1sq*m3**6*m7**4*T134fin(m7,m1,0) - 45*m3**8*m7**4*T134fin(m7,m1,0) - 16*m1**6*m3sq*m7**4*T134fin(m7,m1,0) + 4*m1**6*m7**6*T134fin(m7,m1,0) + 32*m1sq*m3**4*m7**6*T134fin(m7,m1,0) + 50*m3**6*m7**6*T134fin(m7,m1,0) + 26*m1**4*m3sq*m7**6*T134fin(m7,m1,0) - 6*m1**4*m7**8*T134fin(m7,m1,0) - 30*m3**4*m7**8*T134fin(m7,m1,0) - 24*m1sq*m3sq*m7**8*T134fin(m7,m1,0) + 4*m1sq*m7**10*T134fin(m7,m1,0) + 9*m3sq*m7**10*T134fin(m7,m1,0) - m7**12*T134fin(m7,m1,0) - 4*m1**6*m3**4*m7sq*T134fin(m7,m1,0) + 14*m1**4*m3**6*m7sq*T134fin(m7,m1,0) - 36*m1sq*m3**8*m7sq*T134fin(m7,m1,0) + 21*m3**10*m7sq*T134fin(m7,m1,0) + 5*m1**8*m3sq*m7sq*T134fin(m7,m1,0) - 16*m1**8*m3**4*T134fin(m7,m3,0) + 24*m1**6*m3**6*T134fin(m7,m3,0) - 16*m1**4*m3**8*T134fin(m7,m3,0) + 4*m1sq*m3**10*T134fin(m7,m3,0) + 4*m1**10*m3sq*T134fin(m7,m3,0) + 5*m1**8*m7**4*T134fin(m7,m3,0) + 2*m1**4*m3**4*m7**4*T134fin(m7,m3,0) + 8*m1sq*m3**6*m7**4*T134fin(m7,m3,0) + 17*m3**8*m7**4*T134fin(m7,m3,0) + 32*m1**6*m3sq*m7**4*T134fin(m7,m3,0) - 10*m1**6*m7**6*T134fin(m7,m3,0) - 34*m1sq*m3**4*m7**6*T134fin(m7,m3,0) - 28*m3**6*m7**6*T134fin(m7,m3,0) - 40*m1**4*m3sq*m7**6*T134fin(m7,m3,0) + 10*m1**4*m7**8*T134fin(m7,m3,0) + 22*m3**4*m7**8*T134fin(m7,m3,0) + 28*m1sq*m3sq*m7**8*T134fin(m7,m3,0) - 5*m1sq*m7**10*T134fin(m7,m3,0) - 8*m3sq*m7**10*T134fin(m7,m3,0) + m7**12*T134fin(m7,m3,0) - m1**10*m7sq*T134fin(m7,m3,0) + 26*m1**6*m3**4*m7sq*T134fin(m7,m3,0) - 4*m1**4*m3**6*m7sq*T134fin(m7,m3,0) - m1sq*m3**8*m7sq*T134fin(m7,m3,0) - 4*m3**10*m7sq*T134fin(m7,m3,0) - 16*m1**8*m3sq*m7sq*T134fin(m7,m3,0) + 4*m1**8*m3**4*T134fin(m7,m3,m1) - 12*m1**6*m3**6*T134fin(m7,m3,m1) + 12*m1**4*m3**8*T134fin(m7,m3,m1) - 4*m1sq*m3**10*T134fin(m7,m3,m1) + m1**8*m7**4*T134fin(m7,m3,m1) + 6*m1**4*m3**4*m7**4*T134fin(m7,m3,m1) + 17*m1sq*m3**6*m7**4*T134fin(m7,m3,m1) + 7*m3**8*m7**4*T134fin(m7,m3,m1) + 17*m1**6*m3sq*m7**4*T134fin(m7,m3,m1) - 4*m1**6*m7**6*T134fin(m7,m3,m1) - 31*m1sq*m3**4*m7**6*T134fin(m7,m3,m1) - 26*m3**6*m7**6*T134fin(m7,m3,m1) - 27*m1**4*m3sq*m7**6*T134fin(m7,m3,m1) + 6*m1**4*m7**8*T134fin(m7,m3,m1) + 22*m3**4*m7**8*T134fin(m7,m3,m1) + 23*m1sq*m3sq*m7**8*T134fin(m7,m3,m1) - 4*m1sq*m7**10*T134fin(m7,m3,m1) - 8*m3sq*m7**10*T134fin(m7,m3,m1) + m7**12*T134fin(m7,m3,m1) - m1**6*m3**4*m7sq*T134fin(m7,m3,m1) + 21*m1**4*m3**6*m7sq*T134fin(m7,m3,m1) - 19*m1sq*m3**8*m7sq*T134fin(m7,m3,m1) + 4*m3**10*m7sq*T134fin(m7,m3,m1) - 5*m1**8*m3sq*m7sq*T134fin(m7,m3,m1) + 12*m1**8*m3**4*T134fin(m7,m3,m3) - 18*m1**6*m3**6*T134fin(m7,m3,m3) + 12*m1**4*m3**8*T134fin(m7,m3,m3) - 3*m1sq*m3**10*T134fin(m7,m3,m3) - 3*m1**10*m3sq*T134fin(m7,m3,m3) - 5*m1**8*m7**4*T134fin(m7,m3,m3) - 2*m1**4*m3**4*m7**4*T134fin(m7,m3,m3) - 6*m1sq*m3**6*m7**4*T134fin(m7,m3,m3) - 13*m3**8*m7**4*T134fin(m7,m3,m3) - 22*m1**6*m3sq*m7**4*T134fin(m7,m3,m3) + 10*m1**6*m7**6*T134fin(m7,m3,m3) + 26*m1sq*m3**4*m7**6*T134fin(m7,m3,m3) + 22*m3**6*m7**6*T134fin(m7,m3,m3) + 30*m1**4*m3sq*m7**6*T134fin(m7,m3,m3) - 10*m1**4*m7**8*T134fin(m7,m3,m3) - 18*m3**4*m7**8*T134fin(m7,m3,m3) - 23*m1sq*m3sq*m7**8*T134fin(m7,m3,m3) + 5*m1sq*m7**10*T134fin(m7,m3,m3) + 7*m3sq*m7**10*T134fin(m7,m3,m3) - m7**12*T134fin(m7,m3,m3) + m1**10*m7sq*T134fin(m7,m3,m3) - 18*m1**6*m3**4*m7sq*T134fin(m7,m3,m3) + 2*m1**4*m3**6*m7sq*T134fin(m7,m3,m3) + m1sq*m3**8*m7sq*T134fin(m7,m3,m3) + 3*m3**10*m7sq*T134fin(m7,m3,m3) + 11*m1**8*m3sq*m7sq*T134fin(m7,m3,m3))/(m3**4*(m1sq - m3sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m1sq - m7sq)*(-4*m3sq + m7sq)))
		def eval_75():
			return -(((m1sq - m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)))) - (2*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(4*m2sq - m7sq)) - ((m1sq - m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m7sq*(3*m1**4 + 15*m2**4 + 2*m7**4 - 5*m2sq*m7sq - 5*m1sq*(2*m2sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m7sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m7sq*(3*m1**4 + 15*m2**4 + 2*m7**4 - 5*m2sq*m7sq - 5*m1sq*(2*m2sq + m7sq))*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m7sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(4*m2sq - m7sq)) + ((m1sq - m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m7sq*(3*m1**4 + 15*m2**4 + 2*m7**4 - 5*m2sq*m7sq - 5*m1sq*(2*m2sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m7sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + B0fin(0,0,m2sq)**2/((m1sq - m2sq)**2*(4*m2sq - m7sq)) - (2*((m2 + m7)/2. + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)))/((m1**3 - m1*m2sq)**2*(m2sq - m7sq)) + (m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((-(m1sq*m2) + m2**3)**2*(m2sq - m7sq)) - ((m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1**3 - m1*m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)**3*(4*m2sq - m7sq)) + (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2**2*(-m1sq + m2sq)**3*(4*m2sq - m7sq)) + (2*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m7sq*(3*m1**4 + 15*m2**4 + 2*m7**4 - 5*m2sq*m7sq - 5*m1sq*(2*m2sq + m7sq))*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m7sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m7sq*(3*m1**4 + 15*m2**4 + 2*m7**4 - 5*m2sq*m7sq - 5*m1sq*(2*m2sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2sq - m7sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + T134fin(m7,m1,0)/(m1**2*m2**2*(m1sq - m2sq)**2) + T134fin(m7,m1,m1)/(m1**2*(m1sq - m2sq)**3) - T134fin(m7,m2,0)/((-(m1sq*m2) + m2**3)**2*(m2sq - m7sq)) + (m7sq*T134fin(m7,m2,0))/(m1**2*m2**2*(m1sq - m2sq)**2*(m2sq - m7sq)) - T134fin(m7,m2,m1)/(m1**2*(m1sq - m2sq)**3) + T134fin(m7,m2,m1)/(m2**2*(-m1sq + m2sq)**3) + ((m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m1**3 - m1*m2sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (3*T134fin(m7,m2,m2))/((m1sq - m2sq)**3*(4*m2sq - m7sq)) - (m1sq*T134fin(m7,m2,m2))/(m2**2*(-m1sq + m2sq)**3*(4*m2sq - m7sq)) + (m7sq*T134fin(m7,m2,m2))/(m2**2*(-m1sq + m2sq)**3*(4*m2sq - m7sq))
		def eval_76():
			return ((m1 - m5)**3*(m1 + m5)**3*(-m3sq + m5sq)*(4*m1sq + 2*(m1sq + m3sq)*B0del(0,0,m1sq) + (6*m1sq - 2*m3sq)*B0fin(0,0,m1sq) + (m1sq + m3sq)*B0fin(0,0,m1sq)**2) - 2*(m1sq - m5sq)**2*(m3sq - m5sq)*(m1**4 - m1sq*m3sq + m1sq*m5sq - m3sq*m5sq + (-m1**4 + m3sq*m5sq)*B0del(0,0,m1sq) + (-m1**4 + m3sq*m5sq)*B0del(0,0,m5sq) + m1sq*m3sq*B0fin(0,0,m1sq) - m1sq*m5sq*B0fin(0,0,m1sq) + m1sq*m3sq*B0fin(0,0,m5sq) - m1sq*m5sq*B0fin(0,0,m5sq) - m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq)) - 2*m3sq*(m1 - m5)**3*(m1 + m5)**3*(m1sq - m5sq)*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) - B0fin(0,0,m5sq) + B0fin(0,0,m3sq)*B0fin(0,0,m5sq)) + 2*(m1 - m5)**3*(m1 + m5)**3*(m3sq - m5sq)*T134fin(m3,m1,0) + 2*(m1sq - m5sq)**2*(m3sq - m5sq)*(2*(m1sq - m3sq)*(m1 + m5) + (m1sq - m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + (-m1sq + m3sq)*T134fin(m5,m1,0)) - 2*(m1 - m5)**3*(m1 + m5)**3*((m1sq - m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) + (-m1sq + m3sq)*T134fin(m5,m3,0)))/(2.*(m1sq - m3sq)**2*(m1 - m5)**3*(m1 + m5)**3*(m1sq - m5sq)**2*(m3sq - m5sq))
		def eval_77():
			return (4*m1**12*m2 - 8*m1**10*m2**3 - 32*m1**9*m2**4 + 8*m1**10*m2**4 + 36*m1**7*m2**6 + 8*m1**6*m2**7 - 16*m1**5*m2**8 - 8*m1**6*m2**8 - 4*m1**4*m2**9 + 2*m1**3*m2**10 + 4*m1**4*m2**10 + 10*m1**11*m2sq - 4*m1**12*m2sq + 4*m1**12*m7 + 4*m1**8*m2**4*m7 + 2*m1**6*m2**6*m7 - m1sq*m2**10*m7 - 9*m1**10*m2sq*m7 - 28*m1**10*m7**3 - 42*m1**6*m2**4*m7**3 - 2*m1**4*m2**6*m7**3 + 6*m1sq*m2**8*m7**3 + 66*m1**8*m2sq*m7**3 + 3*m1**9*m7**4 + 3*m1**10*m7**4 + 39*m1**8*m2*m7**4 - 32*m1**6*m2**3*m7**4 + 3*m1**5*m2**4*m7**4 + 9*m1**6*m2**4*m7**4 + 11*m1**4*m2**5*m7**4 - 6*m1**3*m2**6*m7**4 - 7*m1**4*m2**6*m7**4 - 2*m1sq*m2**7*m7**4 + 4*m1*m2**8*m7**4 - 20*m1**7*m2sq*m7**4 - 5*m1**8*m2sq*m7**4 + 35*m1**8*m7**5 + 11*m1**4*m2**4*m7**5 - 12*m1sq*m2**6*m7**5 - 34*m1**6*m2sq*m7**5 + 14*m1**7*m7**6 - 5*m1**8*m7**6 - 20*m1**6*m2*m7**6 - 4*m1**4*m2**3*m7**6 + 6*m1**3*m2**4*m7**6 - 3*m1**4*m2**4*m7**6 - 6*m1*m2**6*m7**6 + 2*m1sq*m2**6*m7**6 + 10*m1**5*m2sq*m7**6 + 6*m1**6*m2sq*m7**6 - 14*m1**6*m7**7 + 10*m1sq*m2**4*m7**7 + 4*m1**4*m2sq*m7**7 - 9*m1**5*m7**8 - 3*m1**6*m7**8 + 7*m1**4*m2*m7**8 + 2*m1sq*m2**3*m7**8 + 4*m1*m2**4*m7**8 - 4*m1**3*m2sq*m7**8 + 3*m1**4*m2sq*m7**8 + 3*m1**4*m7**9 - 3*m1sq*m2sq*m7**9 + 2*m1**3*m7**10 + m1**4*m7**10 - m1sq*m2*m7**10 - m1*m2sq*m7**10 - m1sq*m2sq*m7**10 - 10*m1**11*m7sq + 4*m1**12*m7sq - 29*m1**10*m2*m7sq + 66*m1**8*m2**3*m7sq - 30*m1**7*m2**4*m7sq + 10*m1**8*m2**4*m7sq - 44*m1**6*m2**5*m7sq + 12*m1**5*m2**6*m7sq - 4*m1**6*m2**6*m7sq + 6*m1**4*m2**7*m7sq + 2*m1**4*m2**8*m7sq + m1sq*m2**9*m7sq - m1*m2**10*m7sq - m1sq*m2**10*m7sq + 29*m1**9*m2sq*m7sq - 11*m1**10*m2sq*m7sq + m1sq*(m2sq - m7sq)*(6*m1**10 - m2sq*(m2sq - m7sq)**3*m7sq - 2*m1**8*(10*m2sq + m7sq) - m1**4*(12*m2**6 + 5*m2sq*m7**4 - 8*m7**6 + m2**4*m7sq) + m1sq*(2*m2**8 - 4*m2**4*m7**4 + 3*m2sq*m7**6 - 2*m7**8 + m2**6*m7sq) + m1**6*(24*m2**4 - 10*m7**4 + 3*m2sq*m7sq))*B0del(0,0,m1sq) + m1sq*m2sq*(4*m1sq - m7sq)*(m1**8 + (-(m2sq*m7) + m7**3)**2*(m2sq + m7sq) - 3*m1**6*(m2sq + 2*m7sq) - m1sq*(m2**6 + 3*m2sq*m7**4 + 4*m7**6 + 8*m2**4*m7sq) + m1**4*(3*m2**4 + 8*m7**4 + 13*m2sq*m7sq))*B0del(0,0,m2sq) - 24*m1**10*m7**4*B0del(0,0,m7sq) - 33*m1**6*m2**4*m7**4*B0del(0,0,m7sq) - 3*m1**4*m2**6*m7**4*B0del(0,0,m7sq) + 5*m1sq*m2**8*m7**4*B0del(0,0,m7sq) + 55*m1**8*m2sq*m7**4*B0del(0,0,m7sq) + 34*m1**8*m7**6*B0del(0,0,m7sq) + 4*m1**4*m2**4*m7**6*B0del(0,0,m7sq) - 11*m1sq*m2**6*m7**6*B0del(0,0,m7sq) - 27*m1**6*m2sq*m7**6*B0del(0,0,m7sq) - 18*m1**6*m7**8*B0del(0,0,m7sq) + 11*m1sq*m2**4*m7**8*B0del(0,0,m7sq) + 7*m1**4*m2sq*m7**8*B0del(0,0,m7sq) + 4*m1**4*m7**10*B0del(0,0,m7sq) - 4*m1sq*m2sq*m7**10*B0del(0,0,m7sq) + 4*m1**12*m7sq*B0del(0,0,m7sq) + 16*m1**8*m2**4*m7sq*B0del(0,0,m7sq) - 10*m1**6*m2**6*m7sq*B0del(0,0,m7sq) + 4*m1**4*m2**8*m7sq*B0del(0,0,m7sq) - m1sq*m2**10*m7sq*B0del(0,0,m7sq) - 13*m1**10*m2sq*m7sq*B0del(0,0,m7sq) - 16*m1**9*m2**4*B0fin(0,0,m1) + 24*m1**7*m2**6*B0fin(0,0,m1) - 16*m1**5*m2**8*B0fin(0,0,m1) + 4*m1**3*m2**10*B0fin(0,0,m1) + 4*m1**11*m2sq*B0fin(0,0,m1) + 2*m1**9*m7**4*B0fin(0,0,m1) - 22*m1**5*m2**4*m7**4*B0fin(0,0,m1) - 8*m1**3*m2**6*m7**4*B0fin(0,0,m1) + 8*m1*m2**8*m7**4*B0fin(0,0,m1) - 12*m1**7*m2sq*m7**4*B0fin(0,0,m1) + 12*m1**7*m7**6*B0fin(0,0,m1) + 16*m1**3*m2**4*m7**6*B0fin(0,0,m1) - 12*m1*m2**6*m7**6*B0fin(0,0,m1) + 32*m1**5*m2sq*m7**6*B0fin(0,0,m1) - 14*m1**5*m7**8*B0fin(0,0,m1) + 8*m1*m2**4*m7**8*B0fin(0,0,m1) - 12*m1**3*m2sq*m7**8*B0fin(0,0,m1) + 4*m1**3*m7**10*B0fin(0,0,m1) - 2*m1*m2sq*m7**10*B0fin(0,0,m1) - 4*m1**11*m7sq*B0fin(0,0,m1) - 24*m1**7*m2**4*m7sq*B0fin(0,0,m1) + 20*m1**5*m2**6*m7sq*B0fin(0,0,m1) - 4*m1**3*m2**8*m7sq*B0fin(0,0,m1) - 2*m1*m2**10*m7sq*B0fin(0,0,m1) + 14*m1**9*m2sq*m7sq*B0fin(0,0,m1) + 12*m1**10*m2**4*B0fin(0,0,m1sq) - 24*m1**8*m2**6*B0fin(0,0,m1sq) + 20*m1**6*m2**8*B0fin(0,0,m1sq) - 6*m1**4*m2**10*B0fin(0,0,m1sq) - 2*m1**12*m2sq*B0fin(0,0,m1sq) - 5*m1**10*m7**4*B0fin(0,0,m1sq) + 39*m1**6*m2**4*m7**4*B0fin(0,0,m1sq) - 12*m1**4*m2**6*m7**4*B0fin(0,0,m1sq) - 8*m1sq*m2**8*m7**4*B0fin(0,0,m1sq) + 2*m1**8*m2sq*m7**4*B0fin(0,0,m1sq) - 5*m1**8*m7**6*B0fin(0,0,m1sq) + 12*m1sq*m2**6*m7**6*B0fin(0,0,m1sq) - 31*m1**6*m2sq*m7**6*B0fin(0,0,m1sq) + 11*m1**6*m7**8*B0fin(0,0,m1sq) - 8*m1sq*m2**4*m7**8*B0fin(0,0,m1sq) + 6*m1**4*m2sq*m7**8*B0fin(0,0,m1sq) - 3*m1**4*m7**10*B0fin(0,0,m1sq) + 2*m1sq*m2sq*m7**10*B0fin(0,0,m1sq) + 2*m1**12*m7sq*B0fin(0,0,m1sq) + 27*m1**8*m2**4*m7sq*B0fin(0,0,m1sq) - 39*m1**6*m2**6*m7sq*B0fin(0,0,m1sq) + 15*m1**4*m2**8*m7sq*B0fin(0,0,m1sq) + 2*m1sq*m2**10*m7sq*B0fin(0,0,m1sq) - 7*m1**10*m2sq*m7sq*B0fin(0,0,m1sq) - 4*m1**10*m2**4*B0fin(0,0,m1sq)**2 + 6*m1**8*m2**6*B0fin(0,0,m1sq)**2 - 4*m1**6*m2**8*B0fin(0,0,m1sq)**2 + m1**4*m2**10*B0fin(0,0,m1sq)**2 + m1**12*m2sq*B0fin(0,0,m1sq)**2 + 4*m1**10*m7**4*B0fin(0,0,m1sq)**2 + 10*m1**4*m2**6*m7**4*B0fin(0,0,m1sq)**2 + 2*m1**8*m2sq*m7**4*B0fin(0,0,m1sq)**2 - 6*m1**8*m7**6*B0fin(0,0,m1sq)**2 - 10*m1**4*m2**4*m7**6*B0fin(0,0,m1sq)**2 - 8*m1**6*m2sq*m7**6*B0fin(0,0,m1sq)**2 + 4*m1**6*m7**8*B0fin(0,0,m1sq)**2 + 5*m1**4*m2sq*m7**8*B0fin(0,0,m1sq)**2 - m1**4*m7**10*B0fin(0,0,m1sq)**2 - m1**12*m7sq*B0fin(0,0,m1sq)**2 - 2*m1**8*m2**4*m7sq*B0fin(0,0,m1sq)**2 + 8*m1**6*m2**6*m7sq*B0fin(0,0,m1sq)**2 - 5*m1**4*m2**8*m7sq*B0fin(0,0,m1sq)**2 + 8*m1**12*m2*B0fin(0,0,m2) - 32*m1**10*m2**3*B0fin(0,0,m2) + 48*m1**8*m2**5*B0fin(0,0,m2) - 32*m1**6*m2**7*B0fin(0,0,m2) + 8*m1**4*m2**9*B0fin(0,0,m2) + 74*m1**8*m2*m7**4*B0fin(0,0,m2) - 36*m1**6*m2**3*m7**4*B0fin(0,0,m2) - 6*m1**4*m2**5*m7**4*B0fin(0,0,m2) - 56*m1**6*m2*m7**6*B0fin(0,0,m2) + 4*m1**4*m2**3*m7**6*B0fin(0,0,m2) + 4*m1sq*m2**5*m7**6*B0fin(0,0,m2) + 18*m1**4*m2*m7**8*B0fin(0,0,m2) - 2*m1sq*m2*m7**10*B0fin(0,0,m2) - 42*m1**10*m2*m7sq*B0fin(0,0,m2) + 88*m1**8*m2**3*m7sq*B0fin(0,0,m2) - 52*m1**6*m2**5*m7sq*B0fin(0,0,m2) + 8*m1**4*m2**7*m7sq*B0fin(0,0,m2) - 2*m1sq*m2**9*m7sq*B0fin(0,0,m2) + 4*m1**10*m2**4*B0fin(0,0,m2sq) - 12*m1**8*m2**6*B0fin(0,0,m2sq) + 12*m1**6*m2**8*B0fin(0,0,m2sq) - 4*m1**4*m2**10*B0fin(0,0,m2sq) + 13*m1**10*m7**4*B0fin(0,0,m2sq) + 8*m1**6*m2**4*m7**4*B0fin(0,0,m2sq) + 7*m1**4*m2**6*m7**4*B0fin(0,0,m2sq) + m1sq*m2**8*m7**4*B0fin(0,0,m2sq) - 45*m1**8*m2sq*m7**4*B0fin(0,0,m2sq) - 15*m1**8*m7**6*B0fin(0,0,m2sq) + 4*m1**4*m2**4*m7**6*B0fin(0,0,m2sq) - 3*m1sq*m2**6*m7**6*B0fin(0,0,m2sq) + 38*m1**6*m2sq*m7**6*B0fin(0,0,m2sq) + 7*m1**6*m7**8*B0fin(0,0,m2sq) - m1sq*m2**4*m7**8*B0fin(0,0,m2sq) - 15*m1**4*m2sq*m7**8*B0fin(0,0,m2sq) - m1**4*m7**10*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m7**10*B0fin(0,0,m2sq) - 4*m1**12*m7sq*B0fin(0,0,m2sq) - 33*m1**8*m2**4*m7sq*B0fin(0,0,m2sq) + 23*m1**6*m2**6*m7sq*B0fin(0,0,m2sq) - 7*m1**4*m2**8*m7sq*B0fin(0,0,m2sq) + m1sq*m2**10*m7sq*B0fin(0,0,m2sq) + 20*m1**10*m2sq*m7sq*B0fin(0,0,m2sq) - 12*m1**10*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 12*m1**8*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**6*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**12*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 9*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1**6*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 9*m1**4*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m1sq*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 17*m1**8*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 6*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 11*m1**4*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 3*m1sq*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1**6*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 3*m1sq*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 7*m1**4*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m1sq*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 11*m1**8*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 15*m1**6*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 5*m1**4*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 3*m1**10*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1**12*m7*B0fin(0,0,m7) + 56*m1**8*m2**4*m7*B0fin(0,0,m7) - 44*m1**6*m2**6*m7*B0fin(0,0,m7) + 16*m1**4*m2**8*m7*B0fin(0,0,m7) - 2*m1sq*m2**10*m7*B0fin(0,0,m7) - 34*m1**10*m2sq*m7*B0fin(0,0,m7) - 40*m1**10*m7**3*B0fin(0,0,m7) - 48*m1**6*m2**4*m7**3*B0fin(0,0,m7) - 8*m1**4*m2**6*m7**3*B0fin(0,0,m7) + 8*m1sq*m2**8*m7**3*B0fin(0,0,m7) + 88*m1**8*m2sq*m7**3*B0fin(0,0,m7) + 66*m1**8*m7**5*B0fin(0,0,m7) - 6*m1**4*m2**4*m7**5*B0fin(0,0,m7) - 20*m1sq*m2**6*m7**5*B0fin(0,0,m7) - 40*m1**6*m2sq*m7**5*B0fin(0,0,m7) - 44*m1**6*m7**7*B0fin(0,0,m7) + 24*m1sq*m2**4*m7**7*B0fin(0,0,m7) + 20*m1**4*m2sq*m7**7*B0fin(0,0,m7) + 10*m1**4*m7**9*B0fin(0,0,m7) - 10*m1sq*m2sq*m7**9*B0fin(0,0,m7) + 8*m1**10*m7**4*B0fin(0,0,m7sq) - 3*m1**6*m2**4*m7**4*B0fin(0,0,m7sq) + 23*m1**4*m2**6*m7**4*B0fin(0,0,m7sq) - m1sq*m2**8*m7**4*B0fin(0,0,m7sq) - 27*m1**8*m2sq*m7**4*B0fin(0,0,m7sq) - 14*m1**8*m7**6*B0fin(0,0,m7sq) - 8*m1**4*m2**4*m7**6*B0fin(0,0,m7sq) + 3*m1sq*m2**6*m7**6*B0fin(0,0,m7sq) + 19*m1**6*m2sq*m7**6*B0fin(0,0,m7sq) + 14*m1**6*m7**8*B0fin(0,0,m7sq) - 7*m1sq*m2**4*m7**8*B0fin(0,0,m7sq) - 7*m1**4*m2sq*m7**8*B0fin(0,0,m7sq) - 4*m1**4*m7**10*B0fin(0,0,m7sq) + 4*m1sq*m2sq*m7**10*B0fin(0,0,m7sq) - 4*m1**12*m7sq*B0fin(0,0,m7sq) - 64*m1**8*m2**4*m7sq*B0fin(0,0,m7sq) + 58*m1**6*m2**6*m7sq*B0fin(0,0,m7sq) - 20*m1**4*m2**8*m7sq*B0fin(0,0,m7sq) + m1sq*m2**10*m7sq*B0fin(0,0,m7sq) + 29*m1**10*m2sq*m7sq*B0fin(0,0,m7sq) - 15*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**6*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 16*m1**4*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 5*m1sq*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 28*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1**4*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1sq*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 13*m1**6*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 17*m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 7*m1sq*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1**4*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1**8*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 10*m1**6*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m1sq*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 15*m1**10*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 27*m1**6*m2**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 13*m1**4*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 55*m1**8*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 6*m1**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 12*m1**4*m2**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1sq*m2**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 40*m1**6*m2sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1sq*m2**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 15*m1**4*m2sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1sq*m2sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 44*m1**8*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 20*m1**6*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 28*m1**10*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 16*m1**8*m2**4*T134fin(m7,m1,0) + 24*m1**6*m2**6*T134fin(m7,m1,0) - 16*m1**4*m2**8*T134fin(m7,m1,0) + 4*m1sq*m2**10*T134fin(m7,m1,0) + 4*m1**10*m2sq*T134fin(m7,m1,0) + 17*m1**8*m7**4*T134fin(m7,m1,0) + 2*m1**4*m2**4*m7**4*T134fin(m7,m1,0) + 32*m1sq*m2**6*m7**4*T134fin(m7,m1,0) + 5*m2**8*m7**4*T134fin(m7,m1,0) + 8*m1**6*m2sq*m7**4*T134fin(m7,m1,0) - 28*m1**6*m7**6*T134fin(m7,m1,0) - 40*m1sq*m2**4*m7**6*T134fin(m7,m1,0) - 10*m2**6*m7**6*T134fin(m7,m1,0) - 34*m1**4*m2sq*m7**6*T134fin(m7,m1,0) + 22*m1**4*m7**8*T134fin(m7,m1,0) + 10*m2**4*m7**8*T134fin(m7,m1,0) + 28*m1sq*m2sq*m7**8*T134fin(m7,m1,0) - 8*m1sq*m7**10*T134fin(m7,m1,0) - 5*m2sq*m7**10*T134fin(m7,m1,0) + m7**12*T134fin(m7,m1,0) - 4*m1**10*m7sq*T134fin(m7,m1,0) - 4*m1**6*m2**4*m7sq*T134fin(m7,m1,0) + 26*m1**4*m2**6*m7sq*T134fin(m7,m1,0) - 16*m1sq*m2**8*m7sq*T134fin(m7,m1,0) - m2**10*m7sq*T134fin(m7,m1,0) - m1**8*m2sq*m7sq*T134fin(m7,m1,0) + 12*m1**8*m2**4*T134fin(m7,m1,m1) - 18*m1**6*m2**6*T134fin(m7,m1,m1) + 12*m1**4*m2**8*T134fin(m7,m1,m1) - 3*m1sq*m2**10*T134fin(m7,m1,m1) - 3*m1**10*m2sq*T134fin(m7,m1,m1) - 13*m1**8*m7**4*T134fin(m7,m1,m1) - 2*m1**4*m2**4*m7**4*T134fin(m7,m1,m1) - 22*m1sq*m2**6*m7**4*T134fin(m7,m1,m1) - 5*m2**8*m7**4*T134fin(m7,m1,m1) - 6*m1**6*m2sq*m7**4*T134fin(m7,m1,m1) + 22*m1**6*m7**6*T134fin(m7,m1,m1) + 30*m1sq*m2**4*m7**6*T134fin(m7,m1,m1) + 10*m2**6*m7**6*T134fin(m7,m1,m1) + 26*m1**4*m2sq*m7**6*T134fin(m7,m1,m1) - 18*m1**4*m7**8*T134fin(m7,m1,m1) - 10*m2**4*m7**8*T134fin(m7,m1,m1) - 23*m1sq*m2sq*m7**8*T134fin(m7,m1,m1) + 7*m1sq*m7**10*T134fin(m7,m1,m1) + 5*m2sq*m7**10*T134fin(m7,m1,m1) - m7**12*T134fin(m7,m1,m1) + 3*m1**10*m7sq*T134fin(m7,m1,m1) + 2*m1**6*m2**4*m7sq*T134fin(m7,m1,m1) - 18*m1**4*m2**6*m7sq*T134fin(m7,m1,m1) + 11*m1sq*m2**8*m7sq*T134fin(m7,m1,m1) + m2**10*m7sq*T134fin(m7,m1,m1) + m1**8*m2sq*m7sq*T134fin(m7,m1,m1) - 4*m1**12*T134fin(m7,m2,0) - 24*m1**8*m2**4*T134fin(m7,m2,0) + 16*m1**6*m2**6*T134fin(m7,m2,0) - 4*m1**4*m2**8*T134fin(m7,m2,0) + 16*m1**10*m2sq*T134fin(m7,m2,0) - 45*m1**8*m7**4*T134fin(m7,m2,0) - 10*m1**4*m2**4*m7**4*T134fin(m7,m2,0) - 16*m1sq*m2**6*m7**4*T134fin(m7,m2,0) - m2**8*m7**4*T134fin(m7,m2,0) + 8*m1**6*m2sq*m7**4*T134fin(m7,m2,0) + 50*m1**6*m7**6*T134fin(m7,m2,0) + 26*m1sq*m2**4*m7**6*T134fin(m7,m2,0) + 4*m2**6*m7**6*T134fin(m7,m2,0) + 32*m1**4*m2sq*m7**6*T134fin(m7,m2,0) - 30*m1**4*m7**8*T134fin(m7,m2,0) - 6*m2**4*m7**8*T134fin(m7,m2,0) - 24*m1sq*m2sq*m7**8*T134fin(m7,m2,0) + 9*m1sq*m7**10*T134fin(m7,m2,0) + 4*m2sq*m7**10*T134fin(m7,m2,0) - m7**12*T134fin(m7,m2,0) + 21*m1**10*m7sq*T134fin(m7,m2,0) + 14*m1**6*m2**4*m7sq*T134fin(m7,m2,0) - 4*m1**4*m2**6*m7sq*T134fin(m7,m2,0) + 5*m1sq*m2**8*m7sq*T134fin(m7,m2,0) - 36*m1**8*m2sq*m7sq*T134fin(m7,m2,0) + 12*m1**8*m2**4*T134fin(m7,m2,m1) - 12*m1**6*m2**6*T134fin(m7,m2,m1) + 4*m1**4*m2**8*T134fin(m7,m2,m1) - 4*m1**10*m2sq*T134fin(m7,m2,m1) + 7*m1**8*m7**4*T134fin(m7,m2,m1) + 6*m1**4*m2**4*m7**4*T134fin(m7,m2,m1) + 17*m1sq*m2**6*m7**4*T134fin(m7,m2,m1) + m2**8*m7**4*T134fin(m7,m2,m1) + 17*m1**6*m2sq*m7**4*T134fin(m7,m2,m1) - 26*m1**6*m7**6*T134fin(m7,m2,m1) - 27*m1sq*m2**4*m7**6*T134fin(m7,m2,m1) - 4*m2**6*m7**6*T134fin(m7,m2,m1) - 31*m1**4*m2sq*m7**6*T134fin(m7,m2,m1) + 22*m1**4*m7**8*T134fin(m7,m2,m1) + 6*m2**4*m7**8*T134fin(m7,m2,m1) + 23*m1sq*m2sq*m7**8*T134fin(m7,m2,m1) - 8*m1sq*m7**10*T134fin(m7,m2,m1) - 4*m2sq*m7**10*T134fin(m7,m2,m1) + m7**12*T134fin(m7,m2,m1) + 4*m1**10*m7sq*T134fin(m7,m2,m1) + 21*m1**6*m2**4*m7sq*T134fin(m7,m2,m1) - m1**4*m2**6*m7sq*T134fin(m7,m2,m1) - 5*m1sq*m2**8*m7sq*T134fin(m7,m2,m1) - 19*m1**8*m2sq*m7sq*T134fin(m7,m2,m1))/(m1**4*(m1sq - m2sq)**2*(m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(m2sq - m7sq))
		def eval_78():
			return ((-4*m1sq - 2*(m1sq + m6sq)*B0del(0,0,m1sq) + (-6*m1sq + 2*m6sq)*B0fin(0,0,m1sq) - (m1sq + m6sq)*B0fin(0,0,m1sq)**2)/(m1sq - m2sq)**2 + (2*(-m1**4 - m1sq*m2sq + m1sq*m6sq + m2sq*m6sq + (m1**4 - m2sq*m6sq)*B0del(0,0,m1sq) + (m1**4 - m2sq*m6sq)*B0del(0,0,m2sq) + m1sq*m2sq*B0fin(0,0,m1sq) - m1sq*m6sq*B0fin(0,0,m1sq) + m1sq*m2sq*B0fin(0,0,m2sq) - m1sq*m6sq*B0fin(0,0,m2sq) + m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m2sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq)))/((m1 - m2)**3*(m1 + m2)**3) + (2*m6sq*(B0del(0,0,m2sq) + B0del(0,0,m6sq) - B0fin(0,0,m2sq) - B0fin(0,0,m6sq) + B0fin(0,0,m2sq)*B0fin(0,0,m6sq)))/((m1sq - m2sq)*(m2sq - m6sq)) + (2*(2*(m1 + m2)*(m1sq - m6sq) + (m1sq - m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + (-m1sq + m6sq)*T134fin(m2,m1,0)))/((m1 - m2)**3*(m1 + m2)**3) + (2*T134fin(m6,m1,0))/(m1sq - m2sq)**2 + (2*((m1sq - m2sq)*(m2 + m6 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + (-m1sq + m6sq)*T134fin(m6,m2,0)))/((m1sq - m2sq)**2*(m2sq - m6sq)))/(2.*(m1sq - m6sq)**2)
		def eval_79():
			return (8/(m1**2*m5**2*m6**2) - (4*(-6*m1sq + m5sq))/((-4*m1sq*m5 + m5**3)**2*(m5sq - m6sq)) + (4*(-6*m1sq + m6sq))/((-4*m1sq*m6 + m6**3)**2*(m5sq - m6sq)) + 16*m1**4*(1/((-4*m1**3*m5 + m1*m5**3)**2*(m5sq - m6sq)) + 1/((-4*m1**3*m6 + m1*m6**3)**2*(-m5sq + m6sq)))*B0del(0,0,m1sq) + (8*(-(m5**6*m6**6) + 64*m1**10*(m5sq + m6sq) + 7*m1sq*m5**4*m6**4*(m5sq + m6sq) + 4*m1**6*(m5**6 + 25*m5sq*m6**4 + m6**6 + 25*m5**4*m6sq) - 4*m1**4*(13*m5**4*m6**4 + 3*m5sq*m6**6 + 3*m5**6*m6sq) - 32*m1**8*(m5**4 + m6**4 + 7*m5sq*m6sq))*B0fin(0,0,m1sq))/(m1**2*m5**4*(-4*m1sq + m5sq)**2*m6**4*(-4*m1sq + m6sq)**2) + ((-8*(-2*m1**4 + m1sq*m5sq))/(m5**4*(-4*m1sq + m5sq)**2*(m5sq - m6sq)) - (8*(-2*m1**4 + m1sq*m6sq))/(m6**4*(-4*m1sq + m6sq)**2*(-m5sq + m6sq)))*(2*B0del(0,0,m1sq) + B0fin(0,0,m1sq)**2) + (4*(8*m1**4 + m5**4 - 8*m1sq*m5sq + 4*m1**4*B0del(0,0,m5sq) - (12*m1**4 + m5**4 - 8*m1sq*m5sq)*B0fin(0,0,m5sq)))/((-4*m1**3*m5 + m1*m5**3)**2*(m5sq - m6sq)) + (4*(8*m1**4 + m6**4 - 8*m1sq*m6sq + 4*m1**4*B0del(0,0,m6sq) - (12*m1**4 + m6**4 - 8*m1sq*m6sq)*B0fin(0,0,m6sq)))/((-4*m1**3*m6 + m1*m6**3)**2*(-m5sq + m6sq)) + (4*B0fin(0,0,m1sq)*((-12*m1**4 - m5**4 + 8*m1sq*m5sq + 4*m1**4*B0fin(0,0,m5sq))/(-4*m1sq*m5 + m5**3)**2 + (12*m1**4 + m6**4 - 8*m1sq*m6sq - 4*m1**4*B0fin(0,0,m6sq))/(-4*m1sq*m6 + m6**3)**2))/(m1**2*(m5sq - m6sq)) + (4*(2*(2*m1 + m5)*m5sq + (4*m1sq - m5sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - 4*m1sq*T134fin(m5,m1,m1)))/(m5**4*(-4*m1sq + m5sq)**2*(m5sq - m6sq)) + (4*(2*(2*m1 + m6)*m6sq + (4*m1sq - m6sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) - 4*m1sq*T134fin(m6,m1,m1)))/(m6**4*(-4*m1sq + m6sq)**2*(-m5sq + m6sq)))/8.
		def eval_80():
			return ((-4*(-1 + B0fin(0,0,m1sq)))/(m1**2*(m1sq - m5sq)*(m1sq - m6sq)) + (2*m5sq*(-3*m1sq + m5sq)*B0fin(0,0,m1sq))/(m1**2*(m1 - m5)**3*(m1 + m5)**3*(m5sq - m6sq)) + (2*m6sq*(-3*m1sq + m6sq)*B0fin(0,0,m1sq))/(m1**2*(m1 - m6)**3*(m1 + m6)**3*(-m5sq + m6sq)) + (4*m1*B0fin(0,0,m1) - 2*(m1 + m5 - 2*m5*B0fin(0,0,m5)))/((m1 - m5)**3*(m1 + m5)**3*(m5sq - m6sq)) + (2*m5sq*(-3*m1sq + m5sq)*(-1 + B0fin(0,0,m5sq)))/(m1**2*(m1 - m5)**3*(m1 + m5)**3*(m5sq - m6sq)) + (4*m1*B0fin(0,0,m1) - 2*(m1 + m6 - 2*m6*B0fin(0,0,m6)))/((m1 - m6)**3*(m1 + m6)**3*(-m5sq + m6sq)) + (2*m6sq*(-3*m1sq + m6sq)*(-1 + B0fin(0,0,m6sq)))/(m1**2*(m1 - m6)**3*(m1 + m6)**3*(-m5sq + m6sq)))/4.
		def eval_81():
			return (-8*m1sq*(m3sq*(m1sq - m6sq)**2 + (m1sq - m3sq)**2*m6sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*(m1sq - m6sq)*(-8*m1**4 + 8*m3sq*m6sq - 8*m1sq*(m3sq + m6sq) - 2*(16*m1**4 - 4*m1sq*(m3sq + m6sq))*B0fin(0,0,m1sq) - 4*m1sq*(m3sq + m6sq)*(2*B0del(0,0,m1sq) + B0fin(0,0,m1sq)**2)) - 8*m1sq*m3sq*(m1sq - m6sq)**2*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) + 8*m1sq*B0fin(0,0,m1sq)*(-(m3sq*(m1sq - m6sq)**2*(-1 + B0fin(0,0,m3sq))) - (m1sq - m3sq)**2*m6sq*(-1 + B0fin(0,0,m6sq))) - 8*m1sq*(m1sq - m3sq)**2*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) + 8*m1sq*(m1sq - m6sq)*(-((m1sq - m6sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))) + (m3sq - m6sq)*T134fin(m3,m1,0)) + 8*m1sq*(m1sq - m3sq)*(-((m1sq - m3sq)*(m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))) + (-m3sq + m6sq)*T134fin(m6,m1,0)) + 8*m1sq*(m1sq - m3sq)*(m1sq - m6sq)*T134fin(m6,m3,0))/(8.*m1**2*(m1sq - m3sq)**3*(m1sq - m6sq)**3)
		def eval_82():
			return ((-4*(-1 + B0fin(0,0,m1sq)))/(m1**2*(m1sq - m2sq)*(m1sq - m3sq)) + (2*m2sq*(-3*m1sq + m2sq)*B0fin(0,0,m1sq))/(m1**2*(m1 - m2)**3*(m1 + m2)**3*(m2sq - m3sq)) + (2*m3sq*(-3*m1sq + m3sq)*B0fin(0,0,m1sq))/(m1**2*(m1 - m3)**3*(m1 + m3)**3*(-m2sq + m3sq)) + (4*m1*B0fin(0,0,m1) - 2*(m1 + m2 - 2*m2*B0fin(0,0,m2)))/((m1 - m2)**3*(m1 + m2)**3*(m2sq - m3sq)) + (2*m2sq*(-3*m1sq + m2sq)*(-1 + B0fin(0,0,m2sq)))/(m1**2*(m1 - m2)**3*(m1 + m2)**3*(m2sq - m3sq)) + (4*m1*B0fin(0,0,m1) - 2*(m1 + m3 - 2*m3*B0fin(0,0,m3)))/((m1 - m3)**3*(m1 + m3)**3*(-m2sq + m3sq)) + (2*m3sq*(-3*m1sq + m3sq)*(-1 + B0fin(0,0,m3sq)))/(m1**2*(m1 - m3)**3*(m1 + m3)**3*(-m2sq + m3sq)))/4.
		def eval_83():
			return (m1sq*(m2sq - m3sq)*m3sq*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) + 2*m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)*m3sq*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m2sq) - 2*m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m2sq) - m2sq*(m1sq - m3sq)*m3sq*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m3sq) + m1sq*(m2sq - m3sq)*m3sq*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*m3**4*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m3sq) + (m1sq - m2sq)*m3sq*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m3sq) - 2*m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m7sq) + (m1sq - m2sq)*m3sq*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m7sq) - m1sq*(m2sq - m3sq)*m3sq*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - 2*m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*m3sq*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + 2*m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - m3sq)*m3sq*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - m1sq*(m2sq - m3sq)*m3sq*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)*m3**4*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*m3sq*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq) + m1sq*(m2sq - m3sq)*m3sq*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m2sq*(m1sq - m3sq)*m3sq*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3**4*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq)**2 + 2*m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*((m1 + m3 + m7)/2. + m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m2sq - m3sq)*m3sq*(m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*((m1 + m3 + m7)/2. + m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m3sq)*m3sq*(m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m3 + m7/2. + 2*m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m7sq) - 2*m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m7sq) - (m1sq - m2sq)*m3sq*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*m3sq*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m1,0) - (m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,0) + (m1sq - m2sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,0) - m1**4*(m2sq - m3sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + m1sq*(m2sq - m3sq)*m3sq*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + 2*m1sq*(m2sq - m3sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + (m2sq - m3sq)*(m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + m2**4*(m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - m2sq*(m1sq - m3sq)*m3sq*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - 2*m2sq*(m1sq - m3sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - (m1sq - m3sq)*(m3sq - m7sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - 3*(m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + (m1sq - m2sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3))/((m1sq - m2sq)*m3**4*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq)))
		def eval_84():
			return (-2*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m7sq)) - ((m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m7sq*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m7sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m7sq*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m7sq)) + ((m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m7sq*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - B0fin(0,0,m2sq)**2/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m7sq)) - (2*m7sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*((m2 + m7)/2. + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*m6**2*(m2sq - m7sq)) + (m1sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m2**2*(m1sq - m2sq)**2*m6**2*(m2sq - m7sq)) + (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)*(4*m2sq - m7sq)) - (2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)**2*(m2sq - m6sq)*(4*m2sq - m7sq)) + (m2**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m1sq*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m2sq*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m7sq*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m7sq*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + T134fin(m7,m1,0)/(m2**2*(m1sq - m2sq)**2*m6**2) - (m1sq*T134fin(m7,m2,0))/(m2**2*(m1sq - m2sq)**2*m6**2*(m2sq - m7sq)) + (m7sq*T134fin(m7,m2,0))/(m2**2*(m1sq - m2sq)**2*m6**2*(m2sq - m7sq)) + T134fin(m7,m2,m1)/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)) - (m1sq*T134fin(m7,m2,m2))/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)*(4*m2sq - m7sq)) - (3*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(m2sq - m6sq)*(4*m2sq - m7sq)) + (m7sq*T134fin(m7,m2,m2))/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)*(4*m2sq - m7sq)) - T134fin(m7,m6,m1)/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)) + (m1sq*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m6sq - m7sq)**2*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m2sq*(m6sq + m7sq)*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*m6**2*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)))
		def eval_85():
			return (m1sq*m2sq*(m2sq - m3sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) + 2*m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) - (m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m2sq) + m1sq*m2sq*(m2sq - m3sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m2sq) - 2*m2**4*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m2sq) - m2sq*(m1sq - m3sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m3sq) - (m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m7sq) + 2*m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m7sq) - m2sq*(m1sq - m3sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq) - m1sq*m2sq*(m2sq - m3sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - 2*m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) + (m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m2sq) - m1sq*m2sq*(m2sq - m3sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + 2*m2**4*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - m3sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq) + m1sq*m2sq*(m2sq - m3sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m2**4*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m2sq)**2 - 2*(m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 2*m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*((m1 + m2 + m7)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m2sq*(m2sq - m3sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*((m1 + m2 + m7)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + 2*m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m2**4*(m1sq - m2sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m2sq*(4*m2sq - m7sq)*(m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m7sq) - 2*m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m7sq) + m2sq*(m1sq - m3sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq) + 2*m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m2sq*(m1sq - m3sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m1,0) - (m1sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,0) - m1**4*(m2sq - m3sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) + m1sq*m2sq*(m2sq - m3sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) + 2*m1sq*(m2sq - m3sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) + (m2sq - m3sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) + 3*m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m2) - (m1sq - m3sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m2) + (m1sq - m2sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,0) - (m1sq - m2sq)*(4*m2sq - m7sq)*(m3sq - m7sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + (m1sq - m2sq)*m2sq*(4*m2sq - m7sq)*(m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2))/(m2**4*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq)))
		def eval_86():
			return (m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0del(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*m7sq*(15*m1**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m1sq*(2*m6sq + m7sq))*B0del(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*m7sq*B0del(0,0,m6sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq) - 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*m7sq*B0del(0,0,m7sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*m7sq*(15*m1**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m1sq*(2*m6sq + m7sq))*B0del(0,0,m7sq) - m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m1sq) - m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*m7sq*(15*m1**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m1sq*(2*m6sq + m7sq))*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*B0fin(0,0,m1sq)**2 + 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m6sq) - m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*((m1 + m7)/2. + m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + 2*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*((m1 + m7)/2. + m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) - 2*m1**4*(m1sq - m3sq)**2*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m3sq)**2*m3sq*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + m1**6*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - m1**4*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) - m1**4*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m7sq) - m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*m7sq*(15*m1**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m1sq*(2*m6sq + m7sq))*B0fin(0,0,m7sq) + m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*m7sq*(15*m1**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m1sq*(2*m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*(m1sq - m3sq)*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,0) + (m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(4*m1sq - m7sq)*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,0) - 3*m1**4*(m1sq - m3sq)**2*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) - m1sq*(m1sq - m3sq)**2*m3sq*m6sq*(m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + m1sq*(m1sq - m3sq)**2*m6sq*(m1sq - m7sq)*m7sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m1,m1) + (m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m3,0) + m1sq*(m1sq - m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m3,m1) + m1**4*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*T134fin(m7,m6,m1) - m1**4*(m1**3 - m1*m3sq)**2*m6sq*(m1sq - m7sq)*(4*m1sq - m7sq)*T134fin(m7,m6,m1) + m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m6sq - m7sq)**2*T134fin(m7,m6,m1) - m1**4*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*m7sq*T134fin(m7,m6,m1) - m1sq*m3sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m6sq + m7sq)*T134fin(m7,m6,m1) - m1sq*(m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*T134fin(m7,m6,m3))/(m1**2*(m1sq - m3sq)**2*(m1**3 - m1*m3sq)**2*m6**2*(m1sq - m6sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))
		def eval_87():
			return (-(m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m1sq)) + m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1sq - m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m1sq) + 2*m1**4*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m1sq) + m1sq*(m2sq - m3sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m1sq) - 2*m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m2sq) + m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1sq - m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m2sq) + 2*m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m3sq) - m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m3sq) + 2*m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m7sq) - 2*m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m7sq) + m1sq*(m2sq - m3sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq) + m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m1sq) - m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1sq - m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - 2*m1**4*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - m1sq*(m2sq - m3sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq) + m1**4*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq)**2 + 2*m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq) - m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1sq - m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1sq - m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq) + m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq) - m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*(m1sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1sq*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)) + 2*m1**4*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*((m1 + m2 + m7)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m1sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*((m1 + m2 + m7)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m1**4*(m1sq - m2sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m1 + m3 + m7)/2. + m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*m1sq*(m1sq - m2sq)*(4*m1sq - m7sq)*(m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m1 + m3 + m7)/2. + m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m7sq) + 2*m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m7sq) - m1sq*(m2sq - m3sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq) + m1sq*(m2sq - m3sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m2sq*(m1sq - m3sq)*(4*m1sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*m1sq*(m1sq - m2sq)*m3sq*(4*m1sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + (m2sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,0) - 3*m1sq*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) + (m2sq - m3sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m1,m1) - (m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m2,0) + (m1sq - m3sq)*(4*m1sq - m7sq)*(m2sq - m7sq)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m2,m1) - m1sq*(m1sq - m3sq)*(4*m1sq - m7sq)*(m2sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m2,m1) + (m1sq - m2sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,0) - (m1sq - m2sq)*(4*m1sq - m7sq)*(m3sq - m7sq)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m1) + m1sq*(m1sq - m2sq)*(4*m1sq - m7sq)*(m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m1))/(m1**4*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))
		def eval_88():
			return (2*(m1sq - m3sq)*(m5sq - m6sq)*(m1**4 - m5sq*m6sq)*B0del(0,0,m1sq) - (m1sq - m5sq)*(m1sq - m6sq)*(m5sq - m6sq)*(4*m1sq + 2*(m1sq + m3sq)*B0del(0,0,m1sq) + (6*m1sq - 2*m3sq)*B0fin(0,0,m1sq) + (m1sq + m3sq)*B0fin(0,0,m1sq)**2) + 2*(m1sq - m3sq)*m5sq*(m1sq - m6sq)**2*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) - 2*(m1sq - m3sq)*B0fin(0,0,m1sq)*(-(m5sq*(m1sq - m6sq)**2*(-1 + B0fin(0,0,m5sq))) + (m1sq - m5sq)**2*m6sq*(-1 + B0fin(0,0,m6sq))) - 2*(m1sq - m3sq)*(m1sq - m5sq)**2*m6sq*(B0del(0,0,m6sq) - B0fin(0,0,m6sq)) + 2*(m1sq - m5sq)*(m1sq - m6sq)*(m5sq - m6sq)*T134fin(m3,m1,0) - 2*(m1sq - m6sq)**2*(-((m1sq - m3sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5))) + (-m3sq + m5sq)*T134fin(m5,m1,0)) - 2*(m1sq - m5sq)*(m1sq - m6sq)**2*T134fin(m5,m3,0) + 2*(m1sq - m5sq)**2*(-((m1sq - m3sq)*(m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))) + (-m3sq + m6sq)*T134fin(m6,m1,0)) + 2*(m1sq - m5sq)**2*(m1sq - m6sq)*T134fin(m6,m3,0))/(2.*(m1sq - m3sq)**2*(m1sq - m5sq)**2*(m1sq - m6sq)**2*(m5sq - m6sq))
		def eval_89():
			return (2*(m2sq - m3sq)*(m1**4 - m2sq*m3sq)*(m1sq - m6sq)*B0del(0,0,m1sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m1sq + 2*(m1sq + m6sq)*B0del(0,0,m1sq) + (6*m1sq - 2*m6sq)*B0fin(0,0,m1sq) + (m1sq + m6sq)*B0fin(0,0,m1sq)**2) + 2*m2sq*(m1sq - m3sq)**2*(m1sq - m6sq)*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) - 2*(m1sq - m6sq)*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m3sq*(-1 + B0fin(0,0,m3sq))) - 2*(m1sq - m2sq)**2*m3sq*(m1sq - m6sq)*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 2*(m1sq - m3sq)**2*(-((m1sq - m6sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2))) + (m2sq - m6sq)*T134fin(m2,m1,0)) + 2*(m1sq - m2sq)**2*(-((m1sq - m6sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))) + (m3sq - m6sq)*T134fin(m3,m1,0)) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*T134fin(m6,m1,0) - 2*(m1sq - m2sq)*(m1sq - m3sq)**2*T134fin(m6,m2,0) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)*T134fin(m6,m3,0))/(2.*(m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)*(m1sq - m6sq)**2)
		def eval_90():
			return -0.1111111111111111*(3*m1**6*m2 + 18*m1**3*m2**4 - 18*m1**4*m2**4 - 27*m1sq*m2**5 - 18*m1*m2**6 + 27*m1sq*m2**6 + 24*m2**7 - 12*m2**8 + 3*m1**6*m2sq + 18*m1sq*m2**4*(m1sq - m2sq)*B0del(0,0,m1sq) + 6*m2sq*(m1**6 + 2*m2**6 - 3*m1**4*m2sq)*B0del(0,0,m2sq) + 36*m1**3*m2**4*B0fin(0,0,m1) - 36*m1*m2**6*B0fin(0,0,m1) - 18*m1**4*m2**4*B0fin(0,0,m1sq) + 18*m1sq*m2**6*B0fin(0,0,m1sq) + 18*m1**6*m2*B0fin(0,0,m2) - 72*m1**4*m2**3*B0fin(0,0,m2) + 54*m1sq*m2**5*B0fin(0,0,m2) + 54*m1**4*m2**4*B0fin(0,0,m2sq) - 54*m1sq*m2**6*B0fin(0,0,m2sq) + 12*m2**8*B0fin(0,0,m2sq) - 12*m1**6*m2sq*B0fin(0,0,m2sq) + 18*m1**4*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 18*m1sq*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 18*m1**4*m2**4*B0fin(0,0,m2sq)**2 + 9*m1sq*m2**6*B0fin(0,0,m2sq)**2 + 6*m2**8*B0fin(0,0,m2sq)**2 + 3*m1**6*m2sq*B0fin(0,0,m2sq)**2 - 9*m1sq*m2**4*T134fin(m2,m1,m1) + 36*m2**6*T134fin(m2,m1,m1) - 54*m2**6*T134fin(m2,m2,m1) - 2*m1**6*T134fin(m2,m2,m2) + 3*m1sq*m2**4*T134fin(m2,m2,m2) + 20*m2**6*T134fin(m2,m2,m2) + 6*m1**4*m2sq*T134fin(m2,m2,m2))/((m1sq*m2 - m2**3)**4*(m1sq - 4*m2sq))
		def eval_91():
			return (-m1**14 - 4*m1**10*m4**3 + 16*m1**9*m4**4 - 21*m1**10*m4**4 + 16*m1**8*m4**5 - 24*m1**7*m4**6 + 13*m1**8*m4**6 - 24*m1**6*m4**7 + 16*m1**5*m4**8 + 13*m1**6*m4**8 + 16*m1**4*m4**9 - 4*m1**3*m4**10 - 21*m1**4*m4**10 - 4*m1sq*m4**11 + 9*m1sq*m4**12 - m4**14 - 4*m1**11*m4sq + 9*m1**12*m4sq + 16*m1**8*m4**4*m7 - 24*m1**6*m4**6*m7 + 16*m1**4*m4**8*m7 - 4*m1sq*m4**10*m7 - 4*m1**10*m4sq*m7 - 36*m1**6*m4**4*m7**3 - 36*m1**4*m4**6*m7**3 + 36*m1sq*m4**8*m7**3 + 36*m1**8*m4sq*m7**3 - 9*m1**10*m7**4 - 24*m1**6*m4**3*m7**4 + 144*m1**5*m4**4*m7**4 - 86*m1**6*m4**4*m7**4 + 144*m1**4*m4**5*m7**4 - 24*m1**3*m4**6*m7**4 - 86*m1**4*m4**6*m7**4 - 24*m1sq*m4**7*m7**4 + 47*m1sq*m4**8*m7**4 - 9*m4**10*m7**4 - 24*m1**7*m4sq*m7**4 + 47*m1**8*m4sq*m7**4 + 144*m1**4*m4**4*m7**5 - 24*m1sq*m4**6*m7**5 - 24*m1**6*m4sq*m7**5 + 5*m1**8*m7**6 - 44*m1**4*m4**3*m7**6 - 44*m1**3*m4**4*m7**6 - 58*m1**4*m4**4*m7**6 - 44*m1sq*m4**5*m7**6 - 56*m1sq*m4**6*m7**6 + 5*m4**8*m7**6 - 44*m1**5*m4sq*m7**6 - 56*m1**6*m4sq*m7**6 - 44*m1sq*m4**4*m7**7 - 44*m1**4*m4sq*m7**7 + 5*m1**6*m7**8 + 36*m1sq*m4**3*m7**8 + 67*m1sq*m4**4*m7**8 + 5*m4**6*m7**8 + 36*m1**3*m4sq*m7**8 + 67*m1**4*m4sq*m7**8 + 36*m1sq*m4sq*m7**9 - 9*m1**4*m7**10 - 9*m4**4*m7**10 - 38*m1sq*m4sq*m7**10 + 5*m1sq*m7**12 + 5*m4sq*m7**12 - m7**14 + 5*m1**12*m7sq + 36*m1**8*m4**3*m7sq - 36*m1**7*m4**4*m7sq + 43*m1**8*m4**4*m7sq - 36*m1**6*m4**5*m7sq - 36*m1**5*m4**6*m7sq - 28*m1**6*m4**6*m7sq - 36*m1**4*m4**7*m7sq + 36*m1**3*m4**8*m7sq + 43*m1**4*m4**8*m7sq + 36*m1sq*m4**9*m7sq - 34*m1sq*m4**10*m7sq + 5*m4**12*m7sq + 36*m1**9*m4sq*m7sq - 34*m1**10*m4sq*m7sq + 24*m1**4*m4sq*m7sq*(m1**6 - m1**4*(m4sq + m7sq) + (m4sq - m7sq)**2*(m4sq + m7sq) - m1sq*(m4**4 + m7**4 - 4*m4sq*m7sq))*B0del(0,0,m1sq) + 24*m1sq*m4**4*m7sq*(m1**6 - m1**4*(m4sq + m7sq) + (m4sq - m7sq)**2*(m4sq + m7sq) - m1sq*(m4**4 + m7**4 - 4*m4sq*m7sq))*B0del(0,0,m4sq) - 24*m1**6*m4**4*m7**4*B0del(0,0,m7sq) - 24*m1**4*m4**6*m7**4*B0del(0,0,m7sq) + 24*m1sq*m4**8*m7**4*B0del(0,0,m7sq) + 24*m1**8*m4sq*m7**4*B0del(0,0,m7sq) + 96*m1**4*m4**4*m7**6*B0del(0,0,m7sq) - 24*m1sq*m4**6*m7**6*B0del(0,0,m7sq) - 24*m1**6*m4sq*m7**6*B0del(0,0,m7sq) - 24*m1sq*m4**4*m7**8*B0del(0,0,m7sq) - 24*m1**4*m4sq*m7**8*B0del(0,0,m7sq) + 24*m1sq*m4sq*m7**10*B0del(0,0,m7sq) + 16*m1**9*m4**4*B0fin(0,0,m1) - 24*m1**7*m4**6*B0fin(0,0,m1) + 16*m1**5*m4**8*B0fin(0,0,m1) - 4*m1**3*m4**10*B0fin(0,0,m1) - 4*m1**11*m4sq*B0fin(0,0,m1) - 80*m1**5*m4**4*m7**4*B0fin(0,0,m1) + 40*m1**3*m4**6*m7**4*B0fin(0,0,m1) + 40*m1**7*m4sq*m7**4*B0fin(0,0,m1) + 8*m1**3*m4**4*m7**6*B0fin(0,0,m1) + 8*m1**5*m4sq*m7**6*B0fin(0,0,m1) - 20*m1**3*m4sq*m7**8*B0fin(0,0,m1) + 24*m1**7*m4**4*m7sq*B0fin(0,0,m1) + 24*m1**5*m4**6*m7sq*B0fin(0,0,m1) - 24*m1**3*m4**8*m7sq*B0fin(0,0,m1) - 24*m1**9*m4sq*m7sq*B0fin(0,0,m1) - 6*m1**10*m4**4*B0fin(0,0,m1sq) + 4*m1**8*m4**6*B0fin(0,0,m1sq) + 4*m1**6*m4**8*B0fin(0,0,m1sq) - 6*m1**4*m4**10*B0fin(0,0,m1sq) + 2*m1sq*m4**12*B0fin(0,0,m1sq) + 2*m1**12*m4sq*B0fin(0,0,m1sq) + 10*m1**10*m7**4*B0fin(0,0,m1sq) + 144*m1**6*m4**4*m7**4*B0fin(0,0,m1sq) - 48*m1**4*m4**6*m7**4*B0fin(0,0,m1sq) - 66*m1sq*m4**8*m7**4*B0fin(0,0,m1sq) + 8*m1**8*m4sq*m7**4*B0fin(0,0,m1sq) - 20*m1**8*m7**6*B0fin(0,0,m1sq) - 16*m1**4*m4**4*m7**6*B0fin(0,0,m1sq) + 104*m1sq*m4**6*m7**6*B0fin(0,0,m1sq) - 84*m1**6*m4sq*m7**6*B0fin(0,0,m1sq) + 20*m1**6*m7**8*B0fin(0,0,m1sq) - 66*m1sq*m4**4*m7**8*B0fin(0,0,m1sq) + 38*m1**4*m4sq*m7**8*B0fin(0,0,m1sq) - 10*m1**4*m7**10*B0fin(0,0,m1sq) + 12*m1sq*m4sq*m7**10*B0fin(0,0,m1sq) + 2*m1sq*m7**12*B0fin(0,0,m1sq) - 2*m1**12*m7sq*B0fin(0,0,m1sq) + 24*m1**8*m4**4*m7sq*B0fin(0,0,m1sq) - 100*m1**6*m4**6*m7sq*B0fin(0,0,m1sq) + 42*m1**4*m4**8*m7sq*B0fin(0,0,m1sq) + 12*m1sq*m4**10*m7sq*B0fin(0,0,m1sq) + 24*m1**10*m4sq*m7sq*B0fin(0,0,m1sq) - 4*m1**10*m4**3*B0fin(0,0,m4) + 16*m1**8*m4**5*B0fin(0,0,m4) - 24*m1**6*m4**7*B0fin(0,0,m4) + 16*m1**4*m4**9*B0fin(0,0,m4) - 4*m1sq*m4**11*B0fin(0,0,m4) + 40*m1**6*m4**3*m7**4*B0fin(0,0,m4) - 80*m1**4*m4**5*m7**4*B0fin(0,0,m4) + 40*m1sq*m4**7*m7**4*B0fin(0,0,m4) + 8*m1**4*m4**3*m7**6*B0fin(0,0,m4) + 8*m1sq*m4**5*m7**6*B0fin(0,0,m4) - 20*m1sq*m4**3*m7**8*B0fin(0,0,m4) - 24*m1**8*m4**3*m7sq*B0fin(0,0,m4) + 24*m1**6*m4**5*m7sq*B0fin(0,0,m4) + 24*m1**4*m4**7*m7sq*B0fin(0,0,m4) - 24*m1sq*m4**9*m7sq*B0fin(0,0,m4) - 6*m1**10*m4**4*B0fin(0,0,m4sq) + 4*m1**8*m4**6*B0fin(0,0,m4sq) + 4*m1**6*m4**8*B0fin(0,0,m4sq) - 6*m1**4*m4**10*B0fin(0,0,m4sq) + 2*m1sq*m4**12*B0fin(0,0,m4sq) + 2*m1**12*m4sq*B0fin(0,0,m4sq) - 48*m1**6*m4**4*m7**4*B0fin(0,0,m4sq) + 144*m1**4*m4**6*m7**4*B0fin(0,0,m4sq) + 8*m1sq*m4**8*m7**4*B0fin(0,0,m4sq) + 10*m4**10*m7**4*B0fin(0,0,m4sq) - 66*m1**8*m4sq*m7**4*B0fin(0,0,m4sq) - 16*m1**4*m4**4*m7**6*B0fin(0,0,m4sq) - 84*m1sq*m4**6*m7**6*B0fin(0,0,m4sq) - 20*m4**8*m7**6*B0fin(0,0,m4sq) + 104*m1**6*m4sq*m7**6*B0fin(0,0,m4sq) + 38*m1sq*m4**4*m7**8*B0fin(0,0,m4sq) + 20*m4**6*m7**8*B0fin(0,0,m4sq) - 66*m1**4*m4sq*m7**8*B0fin(0,0,m4sq) - 10*m4**4*m7**10*B0fin(0,0,m4sq) + 12*m1sq*m4sq*m7**10*B0fin(0,0,m4sq) + 2*m4sq*m7**12*B0fin(0,0,m4sq) + 42*m1**8*m4**4*m7sq*B0fin(0,0,m4sq) - 100*m1**6*m4**6*m7sq*B0fin(0,0,m4sq) + 24*m1**4*m4**8*m7sq*B0fin(0,0,m4sq) + 24*m1sq*m4**10*m7sq*B0fin(0,0,m4sq) - 2*m4**12*m7sq*B0fin(0,0,m4sq) + 12*m1**10*m4sq*m7sq*B0fin(0,0,m4sq) + 48*m1**6*m4**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 48*m1**4*m4**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1sq*m4**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1**8*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 72*m1**4*m4**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 24*m1sq*m4**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 24*m1**4*m4sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 12*m1sq*m4sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1**6*m4**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1sq*m4**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1**10*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**8*m4**4*m7*B0fin(0,0,m7) - 24*m1**6*m4**6*m7*B0fin(0,0,m7) + 16*m1**4*m4**8*m7*B0fin(0,0,m7) - 4*m1sq*m4**10*m7*B0fin(0,0,m7) - 4*m1**10*m4sq*m7*B0fin(0,0,m7) + 24*m1**6*m4**4*m7**3*B0fin(0,0,m7) + 24*m1**4*m4**6*m7**3*B0fin(0,0,m7) - 24*m1sq*m4**8*m7**3*B0fin(0,0,m7) - 24*m1**8*m4sq*m7**3*B0fin(0,0,m7) - 80*m1**4*m4**4*m7**5*B0fin(0,0,m7) + 40*m1sq*m4**6*m7**5*B0fin(0,0,m7) + 40*m1**6*m4sq*m7**5*B0fin(0,0,m7) + 8*m1sq*m4**4*m7**7*B0fin(0,0,m7) + 8*m1**4*m4sq*m7**7*B0fin(0,0,m7) - 20*m1sq*m4sq*m7**9*B0fin(0,0,m7) - 10*m1**10*m7**4*B0fin(0,0,m7sq) - 32*m1**6*m4**4*m7**4*B0fin(0,0,m7sq) - 32*m1**4*m4**6*m7**4*B0fin(0,0,m7sq) + 42*m1sq*m4**8*m7**4*B0fin(0,0,m7sq) - 10*m4**10*m7**4*B0fin(0,0,m7sq) + 42*m1**8*m4sq*m7**4*B0fin(0,0,m7sq) + 20*m1**8*m7**6*B0fin(0,0,m7sq) + 144*m1**4*m4**4*m7**6*B0fin(0,0,m7sq) - 116*m1sq*m4**6*m7**6*B0fin(0,0,m7sq) + 20*m4**8*m7**6*B0fin(0,0,m7sq) - 116*m1**6*m4sq*m7**6*B0fin(0,0,m7sq) - 20*m1**6*m7**8*B0fin(0,0,m7sq) + 40*m1sq*m4**4*m7**8*B0fin(0,0,m7sq) - 20*m4**6*m7**8*B0fin(0,0,m7sq) + 40*m1**4*m4sq*m7**8*B0fin(0,0,m7sq) + 10*m1**4*m7**10*B0fin(0,0,m7sq) + 10*m4**4*m7**10*B0fin(0,0,m7sq) + 20*m1sq*m4sq*m7**10*B0fin(0,0,m7sq) - 2*m1sq*m7**12*B0fin(0,0,m7sq) - 2*m4sq*m7**12*B0fin(0,0,m7sq) + 2*m1**12*m7sq*B0fin(0,0,m7sq) - 82*m1**8*m4**4*m7sq*B0fin(0,0,m7sq) + 128*m1**6*m4**6*m7sq*B0fin(0,0,m7sq) - 82*m1**4*m4**8*m7sq*B0fin(0,0,m7sq) + 16*m1sq*m4**10*m7sq*B0fin(0,0,m7sq) + 2*m4**12*m7sq*B0fin(0,0,m7sq) + 16*m1**10*m4sq*m7sq*B0fin(0,0,m7sq) + 48*m1**6*m4**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 72*m1**4*m4**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1sq*m4**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 48*m1**4*m4**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m1**6*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m1sq*m4**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1sq*m4sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m1**8*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m4**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1sq*m4**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1**10*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 72*m1**6*m4**4*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 48*m1**4*m4**6*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 24*m1**8*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 48*m1**4*m4**4*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 24*m1sq*m4**6*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 24*m1**4*m4sq*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 12*m1sq*m4sq*m7**10*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 24*m1**8*m4**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 24*m1**4*m4**8*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 12*m1sq*m4**10*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 12*m1**10*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 96*m1**4*m4**4*m7**4*T134fin(m7,m4,m1) + 24*m1sq*m4**6*m7**4*T134fin(m7,m4,m1) + 24*m1**6*m4sq*m7**4*T134fin(m7,m4,m1) + 24*m1sq*m4**4*m7**6*T134fin(m7,m4,m1) + 24*m1**4*m4sq*m7**6*T134fin(m7,m4,m1) - 24*m1sq*m4sq*m7**8*T134fin(m7,m4,m1) + 24*m1**6*m4**4*m7sq*T134fin(m7,m4,m1) + 24*m1**4*m4**6*m7sq*T134fin(m7,m4,m1) - 24*m1sq*m4**8*m7sq*T134fin(m7,m4,m1) - 24*m1**8*m4sq*m7sq*T134fin(m7,m4,m1))/(4.*m1**2*m4**2*(m1 + m4 - m7)**4*(m1 - m4 + m7)**4*(-m1 + m4 + m7)**4*(m1 + m4 + m7)**4)
		def eval_92():
			return -((8*m1**12*m3 + 8*m1**10*m3**3 - 152*m1**9*m3**4 + 48*m1**10*m3**4 - 112*m1**8*m3**5 + 208*m1**7*m3**6 - 32*m1**8*m3**6 + 208*m1**6*m3**7 - 112*m1**5*m3**8 - 32*m1**6*m3**8 - 152*m1**4*m3**9 + 8*m1**3*m3**10 + 48*m1**4*m3**10 + 40*m1sq*m3**11 + 8*m1*m3**12 - 16*m1sq*m3**12 + 40*m1**11*m3sq - 16*m1**12*m3sq + 4*m1**12*m7 - 132*m1**8*m3**4*m7 + 208*m1**6*m3**6*m7 - 132*m1**4*m3**8*m7 + 24*m1sq*m3**10*m7 + 4*m3**12*m7 + 24*m1**10*m3sq*m7 - 28*m1**10*m7**3 - 24*m1**6*m3**4*m7**3 - 24*m1**4*m3**6*m7**3 + 52*m1sq*m3**8*m7**3 - 28*m3**10*m7**3 + 52*m1**8*m3sq*m7**3 + 3*m1**9*m7**4 + 3*m1**10*m7**4 + 67*m1**8*m3*m7**4 - 60*m1**6*m3**3*m7**4 + 50*m1**5*m3**4*m7**4 - 10*m1**6*m3**4*m7**4 + 50*m1**4*m3**5*m7**4 - 60*m1**3*m3**6*m7**4 - 10*m1**4*m3**6*m7**4 - 60*m1sq*m3**7*m7**4 + 67*m1*m3**8*m7**4 + 7*m1sq*m3**8*m7**4 + 3*m3**9*m7**4 + 3*m3**10*m7**4 - 60*m1**7*m3sq*m7**4 + 7*m1**8*m3sq*m7**4 + 35*m1**8*m7**5 + 50*m1**4*m3**4*m7**5 - 60*m1sq*m3**6*m7**5 + 35*m3**8*m7**5 - 60*m1**6*m3sq*m7**5 + 14*m1**7*m7**6 - 5*m1**8*m7**6 - 42*m1**6*m3*m7**6 + 2*m1**4*m3**3*m7**6 + 2*m1**3*m3**4*m7**6 - 30*m1**4*m3**4*m7**6 + 26*m1sq*m3**5*m7**6 - 42*m1*m3**6*m7**6 + 20*m1sq*m3**6*m7**6 + 14*m3**7*m7**6 - 5*m3**8*m7**6 + 26*m1**5*m3sq*m7**6 + 20*m1**6*m3sq*m7**6 - 14*m1**6*m7**7 + 14*m1sq*m3**4*m7**7 - 14*m3**6*m7**7 + 14*m1**4*m3sq*m7**7 - 9*m1**5*m7**8 - 3*m1**6*m7**8 + 15*m1**4*m3*m7**8 - 6*m1sq*m3**3*m7**8 + 15*m1*m3**4*m7**8 + 3*m1sq*m3**4*m7**8 - 9*m3**5*m7**8 - 3*m3**6*m7**8 - 6*m1**3*m3sq*m7**8 + 3*m1**4*m3sq*m7**8 + 3*m1**4*m7**9 + 3*m3**4*m7**9 - 6*m1sq*m3sq*m7**9 + 2*m1**3*m7**10 + m1**4*m7**10 - 2*m1sq*m3*m7**10 + 2*m3**3*m7**10 + m3**4*m7**10 - 2*m1*m3sq*m7**10 - 2*m1sq*m3sq*m7**10 - 10*m1**11*m7sq + 4*m1**12*m7sq - 46*m1**10*m3*m7sq + 78*m1**8*m3**3*m7sq - 36*m1**7*m3**4*m7sq + 60*m1**8*m3**4*m7sq - 12*m1**6*m3**5*m7sq - 12*m1**5*m3**6*m7sq - 80*m1**6*m3**6*m7sq - 36*m1**4*m3**7*m7sq + 78*m1**3*m3**8*m7sq + 60*m1**4*m3**8*m7sq + 26*m1sq*m3**9*m7sq - 46*m1*m3**10*m7sq - 24*m1sq*m3**10*m7sq - 10*m3**11*m7sq + 4*m3**12*m7sq + 26*m1**9*m3sq*m7sq - 24*m1**10*m3sq*m7sq + 2*m1sq*(m1sq - m3sq)*(4*m3sq - m7sq)*(3*m1**8 - m3**8 - 7*m3**4*m7**4 + 4*m3sq*m7**6 - m7**8 + 5*m3**6*m7sq - m1**6*(8*m3sq + m7sq) + m1sq*(-4*m3sq*m7**4 + 4*m7**6 - 3*m3**4*m7sq) + m1**4*(6*m3**4 - 5*m7**4 - m3sq*m7sq))*B0del(0,0,m1sq) + 2*(m1sq - m3sq)*m3sq*(4*m1sq - m7sq)*(m1**8 - 3*m3**8 + 5*m3**4*m7**4 - 4*m3sq*m7**6 + m7**8 - 5*m1**6*m7sq + m3**6*m7sq + m1sq*(8*m3**6 + 4*m3sq*m7**4 - 4*m7**6 + m3**4*m7sq) + m1**4*(-6*m3**4 + 7*m7**4 + 3*m3sq*m7sq))*B0del(0,0,m3sq) - 24*m1**10*m7**4*B0del(0,0,m7sq) - 16*m1**6*m3**4*m7**4*B0del(0,0,m7sq) - 16*m1**4*m3**6*m7**4*B0del(0,0,m7sq) + 40*m1sq*m3**8*m7**4*B0del(0,0,m7sq) - 24*m3**10*m7**4*B0del(0,0,m7sq) + 40*m1**8*m3sq*m7**4*B0del(0,0,m7sq) + 34*m1**8*m7**6*B0del(0,0,m7sq) + 12*m1**4*m3**4*m7**6*B0del(0,0,m7sq) - 40*m1sq*m3**6*m7**6*B0del(0,0,m7sq) + 34*m3**8*m7**6*B0del(0,0,m7sq) - 40*m1**6*m3sq*m7**6*B0del(0,0,m7sq) - 18*m1**6*m7**8*B0del(0,0,m7sq) + 18*m1sq*m3**4*m7**8*B0del(0,0,m7sq) - 18*m3**6*m7**8*B0del(0,0,m7sq) + 18*m1**4*m3sq*m7**8*B0del(0,0,m7sq) + 4*m1**4*m7**10*B0del(0,0,m7sq) + 4*m3**4*m7**10*B0del(0,0,m7sq) - 8*m1sq*m3sq*m7**10*B0del(0,0,m7sq) + 4*m1**12*m7sq*B0del(0,0,m7sq) - 68*m1**8*m3**4*m7sq*B0del(0,0,m7sq) + 112*m1**6*m3**6*m7sq*B0del(0,0,m7sq) - 68*m1**4*m3**8*m7sq*B0del(0,0,m7sq) + 8*m1sq*m3**10*m7sq*B0del(0,0,m7sq) + 4*m3**12*m7sq*B0del(0,0,m7sq) + 8*m1**10*m3sq*m7sq*B0del(0,0,m7sq) - 48*m1**9*m3**4*B0fin(0,0,m1) + 32*m1**7*m3**6*B0fin(0,0,m1) + 32*m1**5*m3**8*B0fin(0,0,m1) - 48*m1**3*m3**10*B0fin(0,0,m1) + 16*m1*m3**12*B0fin(0,0,m1) + 16*m1**11*m3sq*B0fin(0,0,m1) + 2*m1**9*m7**4*B0fin(0,0,m1) - 52*m1**5*m3**4*m7**4*B0fin(0,0,m1) - 40*m1**3*m3**6*m7**4*B0fin(0,0,m1) + 130*m1*m3**8*m7**4*B0fin(0,0,m1) - 40*m1**7*m3sq*m7**4*B0fin(0,0,m1) + 12*m1**7*m7**6*B0fin(0,0,m1) + 20*m1**3*m3**4*m7**6*B0fin(0,0,m1) - 100*m1*m3**6*m7**6*B0fin(0,0,m1) + 68*m1**5*m3sq*m7**6*B0fin(0,0,m1) - 14*m1**5*m7**8*B0fin(0,0,m1) + 34*m1*m3**4*m7**8*B0fin(0,0,m1) - 20*m1**3*m3sq*m7**8*B0fin(0,0,m1) + 4*m1**3*m7**10*B0fin(0,0,m1) - 4*m1*m3sq*m7**10*B0fin(0,0,m1) - 4*m1**11*m7sq*B0fin(0,0,m1) - 40*m1**7*m3**4*m7sq*B0fin(0,0,m1) + 8*m1**5*m3**6*m7sq*B0fin(0,0,m1) + 108*m1**3*m3**8*m7sq*B0fin(0,0,m1) - 76*m1*m3**10*m7sq*B0fin(0,0,m1) + 4*m1**9*m3sq*m7sq*B0fin(0,0,m1) + 40*m1**10*m3**4*B0fin(0,0,m1sq) - 80*m1**8*m3**6*B0fin(0,0,m1sq) + 80*m1**6*m3**8*B0fin(0,0,m1sq) - 40*m1**4*m3**10*B0fin(0,0,m1sq) + 8*m1sq*m3**12*B0fin(0,0,m1sq) - 8*m1**12*m3sq*B0fin(0,0,m1sq) - 5*m1**10*m7**4*B0fin(0,0,m1sq) + 94*m1**6*m3**4*m7**4*B0fin(0,0,m1sq) - 78*m1**4*m3**6*m7**4*B0fin(0,0,m1sq) - 41*m1sq*m3**8*m7**4*B0fin(0,0,m1sq) + 13*m3**10*m7**4*B0fin(0,0,m1sq) + 17*m1**8*m3sq*m7**4*B0fin(0,0,m1sq) - 5*m1**8*m7**6*B0fin(0,0,m1sq) + 28*m1**4*m3**4*m7**6*B0fin(0,0,m1sq) + 54*m1sq*m3**6*m7**6*B0fin(0,0,m1sq) - 15*m3**8*m7**6*B0fin(0,0,m1sq) - 62*m1**6*m3sq*m7**6*B0fin(0,0,m1sq) + 11*m1**6*m7**8*B0fin(0,0,m1sq) - 27*m1sq*m3**4*m7**8*B0fin(0,0,m1sq) + 7*m3**6*m7**8*B0fin(0,0,m1sq) + 9*m1**4*m3sq*m7**8*B0fin(0,0,m1sq) - 3*m1**4*m7**10*B0fin(0,0,m1sq) - m3**4*m7**10*B0fin(0,0,m1sq) + 4*m1sq*m3sq*m7**10*B0fin(0,0,m1sq) + 2*m1**12*m7sq*B0fin(0,0,m1sq) + 32*m1**8*m3**4*m7sq*B0fin(0,0,m1sq) - 108*m1**6*m3**6*m7sq*B0fin(0,0,m1sq) + 66*m1**4*m3**8*m7sq*B0fin(0,0,m1sq) + 2*m1sq*m3**10*m7sq*B0fin(0,0,m1sq) - 4*m3**12*m7sq*B0fin(0,0,m1sq) + 10*m1**10*m3sq*m7sq*B0fin(0,0,m1sq) - 20*m1**10*m3**4*B0fin(0,0,m1sq)**2 + 40*m1**8*m3**6*B0fin(0,0,m1sq)**2 - 40*m1**6*m3**8*B0fin(0,0,m1sq)**2 + 20*m1**4*m3**10*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**12*B0fin(0,0,m1sq)**2 + 4*m1**12*m3sq*B0fin(0,0,m1sq)**2 + 4*m1**10*m7**4*B0fin(0,0,m1sq)**2 - 8*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)**2 + 16*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)**2 - 28*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)**2 + 16*m1**8*m3sq*m7**4*B0fin(0,0,m1sq)**2 - 6*m1**8*m7**6*B0fin(0,0,m1sq)**2 - 2*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)**2 + 22*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)**2 - 14*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)**2 + 4*m1**6*m7**8*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)**2 + 4*m1**4*m3sq*m7**8*B0fin(0,0,m1sq)**2 - m1**4*m7**10*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m7**10*B0fin(0,0,m1sq)**2 - m1**12*m7sq*B0fin(0,0,m1sq)**2 + 22*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)**2 + 10*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)**2 - 37*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)**2 + 17*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)**2 - 11*m1**10*m3sq*m7sq*B0fin(0,0,m1sq)**2 + 16*m1**12*m3*B0fin(0,0,m3) - 48*m1**10*m3**3*B0fin(0,0,m3) + 32*m1**8*m3**5*B0fin(0,0,m3) + 32*m1**6*m3**7*B0fin(0,0,m3) - 48*m1**4*m3**9*B0fin(0,0,m3) + 16*m1sq*m3**11*B0fin(0,0,m3) + 130*m1**8*m3*m7**4*B0fin(0,0,m3) - 40*m1**6*m3**3*m7**4*B0fin(0,0,m3) - 52*m1**4*m3**5*m7**4*B0fin(0,0,m3) - 40*m1sq*m3**7*m7**4*B0fin(0,0,m3) + 2*m3**9*m7**4*B0fin(0,0,m3) - 100*m1**6*m3*m7**6*B0fin(0,0,m3) + 20*m1**4*m3**3*m7**6*B0fin(0,0,m3) + 68*m1sq*m3**5*m7**6*B0fin(0,0,m3) + 12*m3**7*m7**6*B0fin(0,0,m3) + 34*m1**4*m3*m7**8*B0fin(0,0,m3) - 20*m1sq*m3**3*m7**8*B0fin(0,0,m3) - 14*m3**5*m7**8*B0fin(0,0,m3) - 4*m1sq*m3*m7**10*B0fin(0,0,m3) + 4*m3**3*m7**10*B0fin(0,0,m3) - 76*m1**10*m3*m7sq*B0fin(0,0,m3) + 108*m1**8*m3**3*m7sq*B0fin(0,0,m3) + 8*m1**6*m3**5*m7sq*B0fin(0,0,m3) - 40*m1**4*m3**7*m7sq*B0fin(0,0,m3) + 4*m1sq*m3**9*m7sq*B0fin(0,0,m3) - 4*m3**11*m7sq*B0fin(0,0,m3) - 40*m1**10*m3**4*B0fin(0,0,m3sq) + 80*m1**8*m3**6*B0fin(0,0,m3sq) - 80*m1**6*m3**8*B0fin(0,0,m3sq) + 40*m1**4*m3**10*B0fin(0,0,m3sq) - 8*m1sq*m3**12*B0fin(0,0,m3sq) + 8*m1**12*m3sq*B0fin(0,0,m3sq) + 13*m1**10*m7**4*B0fin(0,0,m3sq) - 78*m1**6*m3**4*m7**4*B0fin(0,0,m3sq) + 94*m1**4*m3**6*m7**4*B0fin(0,0,m3sq) + 17*m1sq*m3**8*m7**4*B0fin(0,0,m3sq) - 5*m3**10*m7**4*B0fin(0,0,m3sq) - 41*m1**8*m3sq*m7**4*B0fin(0,0,m3sq) - 15*m1**8*m7**6*B0fin(0,0,m3sq) + 28*m1**4*m3**4*m7**6*B0fin(0,0,m3sq) - 62*m1sq*m3**6*m7**6*B0fin(0,0,m3sq) - 5*m3**8*m7**6*B0fin(0,0,m3sq) + 54*m1**6*m3sq*m7**6*B0fin(0,0,m3sq) + 7*m1**6*m7**8*B0fin(0,0,m3sq) + 9*m1sq*m3**4*m7**8*B0fin(0,0,m3sq) + 11*m3**6*m7**8*B0fin(0,0,m3sq) - 27*m1**4*m3sq*m7**8*B0fin(0,0,m3sq) - m1**4*m7**10*B0fin(0,0,m3sq) - 3*m3**4*m7**10*B0fin(0,0,m3sq) + 4*m1sq*m3sq*m7**10*B0fin(0,0,m3sq) - 4*m1**12*m7sq*B0fin(0,0,m3sq) + 66*m1**8*m3**4*m7sq*B0fin(0,0,m3sq) - 108*m1**6*m3**6*m7sq*B0fin(0,0,m3sq) + 32*m1**4*m3**8*m7sq*B0fin(0,0,m3sq) + 10*m1sq*m3**10*m7sq*B0fin(0,0,m3sq) + 2*m3**12*m7sq*B0fin(0,0,m3sq) + 2*m1**10*m3sq*m7sq*B0fin(0,0,m3sq) - 48*m1**10*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**8*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**6*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 48*m1**4*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 16*m1sq*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 16*m1**12*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 9*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 14*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 14*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 5*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 9*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 5*m1**8*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1sq*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**4*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 68*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 80*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 68*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 24*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 24*m1**10*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 20*m1**10*m3**4*B0fin(0,0,m3sq)**2 - 40*m1**8*m3**6*B0fin(0,0,m3sq)**2 + 40*m1**6*m3**8*B0fin(0,0,m3sq)**2 - 20*m1**4*m3**10*B0fin(0,0,m3sq)**2 + 4*m1sq*m3**12*B0fin(0,0,m3sq)**2 - 4*m1**12*m3sq*B0fin(0,0,m3sq)**2 + 16*m1**6*m3**4*m7**4*B0fin(0,0,m3sq)**2 - 8*m1**4*m3**6*m7**4*B0fin(0,0,m3sq)**2 + 16*m1sq*m3**8*m7**4*B0fin(0,0,m3sq)**2 + 4*m3**10*m7**4*B0fin(0,0,m3sq)**2 - 28*m1**8*m3sq*m7**4*B0fin(0,0,m3sq)**2 - 2*m1**4*m3**4*m7**6*B0fin(0,0,m3sq)**2 - 14*m1sq*m3**6*m7**6*B0fin(0,0,m3sq)**2 - 6*m3**8*m7**6*B0fin(0,0,m3sq)**2 + 22*m1**6*m3sq*m7**6*B0fin(0,0,m3sq)**2 + 4*m1sq*m3**4*m7**8*B0fin(0,0,m3sq)**2 + 4*m3**6*m7**8*B0fin(0,0,m3sq)**2 - 8*m1**4*m3sq*m7**8*B0fin(0,0,m3sq)**2 - m3**4*m7**10*B0fin(0,0,m3sq)**2 + m1sq*m3sq*m7**10*B0fin(0,0,m3sq)**2 - 37*m1**8*m3**4*m7sq*B0fin(0,0,m3sq)**2 + 10*m1**6*m3**6*m7sq*B0fin(0,0,m3sq)**2 + 22*m1**4*m3**8*m7sq*B0fin(0,0,m3sq)**2 - 11*m1sq*m3**10*m7sq*B0fin(0,0,m3sq)**2 - m3**12*m7sq*B0fin(0,0,m3sq)**2 + 17*m1**10*m3sq*m7sq*B0fin(0,0,m3sq)**2 + 8*m1**12*m7*B0fin(0,0,m7) - 8*m1**8*m3**4*m7*B0fin(0,0,m7) + 32*m1**6*m3**6*m7*B0fin(0,0,m7) - 8*m1**4*m3**8*m7*B0fin(0,0,m7) - 16*m1sq*m3**10*m7*B0fin(0,0,m7) + 8*m3**12*m7*B0fin(0,0,m7) - 16*m1**10*m3sq*m7*B0fin(0,0,m7) - 40*m1**10*m7**3*B0fin(0,0,m7) - 16*m1**6*m3**4*m7**3*B0fin(0,0,m7) - 16*m1**4*m3**6*m7**3*B0fin(0,0,m7) + 56*m1sq*m3**8*m7**3*B0fin(0,0,m7) - 40*m3**10*m7**3*B0fin(0,0,m7) + 56*m1**8*m3sq*m7**3*B0fin(0,0,m7) + 66*m1**8*m7**5*B0fin(0,0,m7) - 52*m1**4*m3**4*m7**5*B0fin(0,0,m7) - 40*m1sq*m3**6*m7**5*B0fin(0,0,m7) + 66*m3**8*m7**5*B0fin(0,0,m7) - 40*m1**6*m3sq*m7**5*B0fin(0,0,m7) - 44*m1**6*m7**7*B0fin(0,0,m7) + 44*m1sq*m3**4*m7**7*B0fin(0,0,m7) - 44*m3**6*m7**7*B0fin(0,0,m7) + 44*m1**4*m3sq*m7**7*B0fin(0,0,m7) + 10*m1**4*m7**9*B0fin(0,0,m7) + 10*m3**4*m7**9*B0fin(0,0,m7) - 20*m1sq*m3sq*m7**9*B0fin(0,0,m7) + 8*m1**10*m7**4*B0fin(0,0,m7sq) + 48*m1**6*m3**4*m7**4*B0fin(0,0,m7sq) + 48*m1**4*m3**6*m7**4*B0fin(0,0,m7sq) - 56*m1sq*m3**8*m7**4*B0fin(0,0,m7sq) + 8*m3**10*m7**4*B0fin(0,0,m7sq) - 56*m1**8*m3sq*m7**4*B0fin(0,0,m7sq) - 14*m1**8*m7**6*B0fin(0,0,m7sq) - 20*m1**4*m3**4*m7**6*B0fin(0,0,m7sq) + 24*m1sq*m3**6*m7**6*B0fin(0,0,m7sq) - 14*m3**8*m7**6*B0fin(0,0,m7sq) + 24*m1**6*m3sq*m7**6*B0fin(0,0,m7sq) + 14*m1**6*m7**8*B0fin(0,0,m7sq) - 14*m1sq*m3**4*m7**8*B0fin(0,0,m7sq) + 14*m3**6*m7**8*B0fin(0,0,m7sq) - 14*m1**4*m3sq*m7**8*B0fin(0,0,m7sq) - 4*m1**4*m7**10*B0fin(0,0,m7sq) - 4*m3**4*m7**10*B0fin(0,0,m7sq) + 8*m1sq*m3sq*m7**10*B0fin(0,0,m7sq) - 4*m1**12*m7sq*B0fin(0,0,m7sq) - 188*m1**8*m3**4*m7sq*B0fin(0,0,m7sq) + 272*m1**6*m3**6*m7sq*B0fin(0,0,m7sq) - 188*m1**4*m3**8*m7sq*B0fin(0,0,m7sq) + 56*m1sq*m3**10*m7sq*B0fin(0,0,m7sq) - 4*m3**12*m7sq*B0fin(0,0,m7sq) + 56*m1**10*m3sq*m7sq*B0fin(0,0,m7sq) - 15*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 42*m1**6*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 58*m1**4*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 117*m1sq*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 77*m1**8*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 28*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 94*m1sq*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 54*m1**6*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 17*m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 33*m1sq*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 15*m1**4*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1sq*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 140*m1**8*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 56*m1**6*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 72*m1**4*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 52*m1sq*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 60*m1**10*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 58*m1**6*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 42*m1**4*m3**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 77*m1sq*m3**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 15*m3**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 117*m1**8*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 6*m1**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 6*m1**4*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 54*m1sq*m3**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 28*m3**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 94*m1**6*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m1**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 15*m1sq*m3**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 17*m3**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 33*m1**4*m3sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m3**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m1sq*m3sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1**12*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 72*m1**8*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 56*m1**6*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 140*m1**4*m3**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 60*m1sq*m3**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 52*m1**10*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 44*m1**8*m3**4*T134fin(m7,m1,m1) - 56*m1**6*m3**6*T134fin(m7,m1,m1) + 24*m1**4*m3**8*T134fin(m7,m1,m1) + 4*m1sq*m3**10*T134fin(m7,m1,m1) - 4*m3**12*T134fin(m7,m1,m1) - 12*m1**10*m3sq*T134fin(m7,m1,m1) - 13*m1**8*m7**4*T134fin(m7,m1,m1) - 46*m1**4*m3**4*m7**4*T134fin(m7,m1,m1) - 76*m1sq*m3**6*m7**4*T134fin(m7,m1,m1) - 45*m3**8*m7**4*T134fin(m7,m1,m1) - 76*m1**6*m3sq*m7**4*T134fin(m7,m1,m1) + 22*m1**6*m7**6*T134fin(m7,m1,m1) + 98*m1sq*m3**4*m7**6*T134fin(m7,m1,m1) + 50*m3**6*m7**6*T134fin(m7,m1,m1) + 86*m1**4*m3sq*m7**6*T134fin(m7,m1,m1) - 18*m1**4*m7**8*T134fin(m7,m1,m1) - 30*m3**4*m7**8*T134fin(m7,m1,m1) - 48*m1sq*m3sq*m7**8*T134fin(m7,m1,m1) + 7*m1sq*m7**10*T134fin(m7,m1,m1) + 9*m3sq*m7**10*T134fin(m7,m1,m1) - m7**12*T134fin(m7,m1,m1) + 3*m1**10*m7sq*T134fin(m7,m1,m1) - 34*m1**6*m3**4*m7sq*T134fin(m7,m1,m1) - 46*m1**4*m3**6*m7sq*T134fin(m7,m1,m1) + 15*m1sq*m3**8*m7sq*T134fin(m7,m1,m1) + 21*m3**10*m7sq*T134fin(m7,m1,m1) + 41*m1**8*m3sq*m7sq*T134fin(m7,m1,m1) + 24*m1**8*m7**4*T134fin(m7,m3,m1) + 80*m1**4*m3**4*m7**4*T134fin(m7,m3,m1) + 192*m1sq*m3**6*m7**4*T134fin(m7,m3,m1) + 24*m3**8*m7**4*T134fin(m7,m3,m1) + 192*m1**6*m3sq*m7**4*T134fin(m7,m3,m1) - 54*m1**6*m7**6*T134fin(m7,m3,m1) - 202*m1sq*m3**4*m7**6*T134fin(m7,m3,m1) - 54*m3**6*m7**6*T134fin(m7,m3,m1) - 202*m1**4*m3sq*m7**6*T134fin(m7,m3,m1) + 44*m1**4*m7**8*T134fin(m7,m3,m1) + 44*m3**4*m7**8*T134fin(m7,m3,m1) + 104*m1sq*m3sq*m7**8*T134fin(m7,m3,m1) - 16*m1sq*m7**10*T134fin(m7,m3,m1) - 16*m3sq*m7**10*T134fin(m7,m3,m1) + 2*m7**12*T134fin(m7,m3,m1) + 96*m1**6*m3**4*m7sq*T134fin(m7,m3,m1) + 96*m1**4*m3**6*m7sq*T134fin(m7,m3,m1) - 96*m1sq*m3**8*m7sq*T134fin(m7,m3,m1) - 96*m1**8*m3sq*m7sq*T134fin(m7,m3,m1) - 4*m1**12*T134fin(m7,m3,m3) + 24*m1**8*m3**4*T134fin(m7,m3,m3) - 56*m1**6*m3**6*T134fin(m7,m3,m3) + 44*m1**4*m3**8*T134fin(m7,m3,m3) - 12*m1sq*m3**10*T134fin(m7,m3,m3) + 4*m1**10*m3sq*T134fin(m7,m3,m3) - 45*m1**8*m7**4*T134fin(m7,m3,m3) - 46*m1**4*m3**4*m7**4*T134fin(m7,m3,m3) - 76*m1sq*m3**6*m7**4*T134fin(m7,m3,m3) - 13*m3**8*m7**4*T134fin(m7,m3,m3) - 76*m1**6*m3sq*m7**4*T134fin(m7,m3,m3) + 50*m1**6*m7**6*T134fin(m7,m3,m3) + 86*m1sq*m3**4*m7**6*T134fin(m7,m3,m3) + 22*m3**6*m7**6*T134fin(m7,m3,m3) + 98*m1**4*m3sq*m7**6*T134fin(m7,m3,m3) - 30*m1**4*m7**8*T134fin(m7,m3,m3) - 18*m3**4*m7**8*T134fin(m7,m3,m3) - 48*m1sq*m3sq*m7**8*T134fin(m7,m3,m3) + 9*m1sq*m7**10*T134fin(m7,m3,m3) + 7*m3sq*m7**10*T134fin(m7,m3,m3) - m7**12*T134fin(m7,m3,m3) + 21*m1**10*m7sq*T134fin(m7,m3,m3) - 46*m1**6*m3**4*m7sq*T134fin(m7,m3,m3) - 34*m1**4*m3**6*m7sq*T134fin(m7,m3,m3) + 41*m1sq*m3**8*m7sq*T134fin(m7,m3,m3) + 3*m3**10*m7sq*T134fin(m7,m3,m3) + 15*m1**8*m3sq*m7sq*T134fin(m7,m3,m3))/((m1sq - m3sq)**4*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m1sq - m7sq)*(-4*m3sq + m7sq)))
		def eval_93():
			return -((8*m1**12*m2 + 8*m1**10*m2**3 - 152*m1**9*m2**4 + 48*m1**10*m2**4 - 112*m1**8*m2**5 + 208*m1**7*m2**6 - 32*m1**8*m2**6 + 208*m1**6*m2**7 - 112*m1**5*m2**8 - 32*m1**6*m2**8 - 152*m1**4*m2**9 + 8*m1**3*m2**10 + 48*m1**4*m2**10 + 40*m1sq*m2**11 + 8*m1*m2**12 - 16*m1sq*m2**12 + 40*m1**11*m2sq - 16*m1**12*m2sq + 4*m1**12*m7 - 132*m1**8*m2**4*m7 + 208*m1**6*m2**6*m7 - 132*m1**4*m2**8*m7 + 24*m1sq*m2**10*m7 + 4*m2**12*m7 + 24*m1**10*m2sq*m7 - 28*m1**10*m7**3 - 24*m1**6*m2**4*m7**3 - 24*m1**4*m2**6*m7**3 + 52*m1sq*m2**8*m7**3 - 28*m2**10*m7**3 + 52*m1**8*m2sq*m7**3 + 3*m1**9*m7**4 + 3*m1**10*m7**4 + 67*m1**8*m2*m7**4 - 60*m1**6*m2**3*m7**4 + 50*m1**5*m2**4*m7**4 - 10*m1**6*m2**4*m7**4 + 50*m1**4*m2**5*m7**4 - 60*m1**3*m2**6*m7**4 - 10*m1**4*m2**6*m7**4 - 60*m1sq*m2**7*m7**4 + 67*m1*m2**8*m7**4 + 7*m1sq*m2**8*m7**4 + 3*m2**9*m7**4 + 3*m2**10*m7**4 - 60*m1**7*m2sq*m7**4 + 7*m1**8*m2sq*m7**4 + 35*m1**8*m7**5 + 50*m1**4*m2**4*m7**5 - 60*m1sq*m2**6*m7**5 + 35*m2**8*m7**5 - 60*m1**6*m2sq*m7**5 + 14*m1**7*m7**6 - 5*m1**8*m7**6 - 42*m1**6*m2*m7**6 + 2*m1**4*m2**3*m7**6 + 2*m1**3*m2**4*m7**6 - 30*m1**4*m2**4*m7**6 + 26*m1sq*m2**5*m7**6 - 42*m1*m2**6*m7**6 + 20*m1sq*m2**6*m7**6 + 14*m2**7*m7**6 - 5*m2**8*m7**6 + 26*m1**5*m2sq*m7**6 + 20*m1**6*m2sq*m7**6 - 14*m1**6*m7**7 + 14*m1sq*m2**4*m7**7 - 14*m2**6*m7**7 + 14*m1**4*m2sq*m7**7 - 9*m1**5*m7**8 - 3*m1**6*m7**8 + 15*m1**4*m2*m7**8 - 6*m1sq*m2**3*m7**8 + 15*m1*m2**4*m7**8 + 3*m1sq*m2**4*m7**8 - 9*m2**5*m7**8 - 3*m2**6*m7**8 - 6*m1**3*m2sq*m7**8 + 3*m1**4*m2sq*m7**8 + 3*m1**4*m7**9 + 3*m2**4*m7**9 - 6*m1sq*m2sq*m7**9 + 2*m1**3*m7**10 + m1**4*m7**10 - 2*m1sq*m2*m7**10 + 2*m2**3*m7**10 + m2**4*m7**10 - 2*m1*m2sq*m7**10 - 2*m1sq*m2sq*m7**10 - 10*m1**11*m7sq + 4*m1**12*m7sq - 46*m1**10*m2*m7sq + 78*m1**8*m2**3*m7sq - 36*m1**7*m2**4*m7sq + 60*m1**8*m2**4*m7sq - 12*m1**6*m2**5*m7sq - 12*m1**5*m2**6*m7sq - 80*m1**6*m2**6*m7sq - 36*m1**4*m2**7*m7sq + 78*m1**3*m2**8*m7sq + 60*m1**4*m2**8*m7sq + 26*m1sq*m2**9*m7sq - 46*m1*m2**10*m7sq - 24*m1sq*m2**10*m7sq - 10*m2**11*m7sq + 4*m2**12*m7sq + 26*m1**9*m2sq*m7sq - 24*m1**10*m2sq*m7sq + 2*m1sq*(m1sq - m2sq)*(4*m2sq - m7sq)*(3*m1**8 - m2**8 - 7*m2**4*m7**4 + 4*m2sq*m7**6 - m7**8 + 5*m2**6*m7sq - m1**6*(8*m2sq + m7sq) + m1sq*(-4*m2sq*m7**4 + 4*m7**6 - 3*m2**4*m7sq) + m1**4*(6*m2**4 - 5*m7**4 - m2sq*m7sq))*B0del(0,0,m1sq) + 2*(m1sq - m2sq)*m2sq*(4*m1sq - m7sq)*(m1**8 - 3*m2**8 + 5*m2**4*m7**4 - 4*m2sq*m7**6 + m7**8 - 5*m1**6*m7sq + m2**6*m7sq + m1sq*(8*m2**6 + 4*m2sq*m7**4 - 4*m7**6 + m2**4*m7sq) + m1**4*(-6*m2**4 + 7*m7**4 + 3*m2sq*m7sq))*B0del(0,0,m2sq) - 24*m1**10*m7**4*B0del(0,0,m7sq) - 16*m1**6*m2**4*m7**4*B0del(0,0,m7sq) - 16*m1**4*m2**6*m7**4*B0del(0,0,m7sq) + 40*m1sq*m2**8*m7**4*B0del(0,0,m7sq) - 24*m2**10*m7**4*B0del(0,0,m7sq) + 40*m1**8*m2sq*m7**4*B0del(0,0,m7sq) + 34*m1**8*m7**6*B0del(0,0,m7sq) + 12*m1**4*m2**4*m7**6*B0del(0,0,m7sq) - 40*m1sq*m2**6*m7**6*B0del(0,0,m7sq) + 34*m2**8*m7**6*B0del(0,0,m7sq) - 40*m1**6*m2sq*m7**6*B0del(0,0,m7sq) - 18*m1**6*m7**8*B0del(0,0,m7sq) + 18*m1sq*m2**4*m7**8*B0del(0,0,m7sq) - 18*m2**6*m7**8*B0del(0,0,m7sq) + 18*m1**4*m2sq*m7**8*B0del(0,0,m7sq) + 4*m1**4*m7**10*B0del(0,0,m7sq) + 4*m2**4*m7**10*B0del(0,0,m7sq) - 8*m1sq*m2sq*m7**10*B0del(0,0,m7sq) + 4*m1**12*m7sq*B0del(0,0,m7sq) - 68*m1**8*m2**4*m7sq*B0del(0,0,m7sq) + 112*m1**6*m2**6*m7sq*B0del(0,0,m7sq) - 68*m1**4*m2**8*m7sq*B0del(0,0,m7sq) + 8*m1sq*m2**10*m7sq*B0del(0,0,m7sq) + 4*m2**12*m7sq*B0del(0,0,m7sq) + 8*m1**10*m2sq*m7sq*B0del(0,0,m7sq) - 48*m1**9*m2**4*B0fin(0,0,m1) + 32*m1**7*m2**6*B0fin(0,0,m1) + 32*m1**5*m2**8*B0fin(0,0,m1) - 48*m1**3*m2**10*B0fin(0,0,m1) + 16*m1*m2**12*B0fin(0,0,m1) + 16*m1**11*m2sq*B0fin(0,0,m1) + 2*m1**9*m7**4*B0fin(0,0,m1) - 52*m1**5*m2**4*m7**4*B0fin(0,0,m1) - 40*m1**3*m2**6*m7**4*B0fin(0,0,m1) + 130*m1*m2**8*m7**4*B0fin(0,0,m1) - 40*m1**7*m2sq*m7**4*B0fin(0,0,m1) + 12*m1**7*m7**6*B0fin(0,0,m1) + 20*m1**3*m2**4*m7**6*B0fin(0,0,m1) - 100*m1*m2**6*m7**6*B0fin(0,0,m1) + 68*m1**5*m2sq*m7**6*B0fin(0,0,m1) - 14*m1**5*m7**8*B0fin(0,0,m1) + 34*m1*m2**4*m7**8*B0fin(0,0,m1) - 20*m1**3*m2sq*m7**8*B0fin(0,0,m1) + 4*m1**3*m7**10*B0fin(0,0,m1) - 4*m1*m2sq*m7**10*B0fin(0,0,m1) - 4*m1**11*m7sq*B0fin(0,0,m1) - 40*m1**7*m2**4*m7sq*B0fin(0,0,m1) + 8*m1**5*m2**6*m7sq*B0fin(0,0,m1) + 108*m1**3*m2**8*m7sq*B0fin(0,0,m1) - 76*m1*m2**10*m7sq*B0fin(0,0,m1) + 4*m1**9*m2sq*m7sq*B0fin(0,0,m1) + 40*m1**10*m2**4*B0fin(0,0,m1sq) - 80*m1**8*m2**6*B0fin(0,0,m1sq) + 80*m1**6*m2**8*B0fin(0,0,m1sq) - 40*m1**4*m2**10*B0fin(0,0,m1sq) + 8*m1sq*m2**12*B0fin(0,0,m1sq) - 8*m1**12*m2sq*B0fin(0,0,m1sq) - 5*m1**10*m7**4*B0fin(0,0,m1sq) + 94*m1**6*m2**4*m7**4*B0fin(0,0,m1sq) - 78*m1**4*m2**6*m7**4*B0fin(0,0,m1sq) - 41*m1sq*m2**8*m7**4*B0fin(0,0,m1sq) + 13*m2**10*m7**4*B0fin(0,0,m1sq) + 17*m1**8*m2sq*m7**4*B0fin(0,0,m1sq) - 5*m1**8*m7**6*B0fin(0,0,m1sq) + 28*m1**4*m2**4*m7**6*B0fin(0,0,m1sq) + 54*m1sq*m2**6*m7**6*B0fin(0,0,m1sq) - 15*m2**8*m7**6*B0fin(0,0,m1sq) - 62*m1**6*m2sq*m7**6*B0fin(0,0,m1sq) + 11*m1**6*m7**8*B0fin(0,0,m1sq) - 27*m1sq*m2**4*m7**8*B0fin(0,0,m1sq) + 7*m2**6*m7**8*B0fin(0,0,m1sq) + 9*m1**4*m2sq*m7**8*B0fin(0,0,m1sq) - 3*m1**4*m7**10*B0fin(0,0,m1sq) - m2**4*m7**10*B0fin(0,0,m1sq) + 4*m1sq*m2sq*m7**10*B0fin(0,0,m1sq) + 2*m1**12*m7sq*B0fin(0,0,m1sq) + 32*m1**8*m2**4*m7sq*B0fin(0,0,m1sq) - 108*m1**6*m2**6*m7sq*B0fin(0,0,m1sq) + 66*m1**4*m2**8*m7sq*B0fin(0,0,m1sq) + 2*m1sq*m2**10*m7sq*B0fin(0,0,m1sq) - 4*m2**12*m7sq*B0fin(0,0,m1sq) + 10*m1**10*m2sq*m7sq*B0fin(0,0,m1sq) - 20*m1**10*m2**4*B0fin(0,0,m1sq)**2 + 40*m1**8*m2**6*B0fin(0,0,m1sq)**2 - 40*m1**6*m2**8*B0fin(0,0,m1sq)**2 + 20*m1**4*m2**10*B0fin(0,0,m1sq)**2 - 4*m1sq*m2**12*B0fin(0,0,m1sq)**2 + 4*m1**12*m2sq*B0fin(0,0,m1sq)**2 + 4*m1**10*m7**4*B0fin(0,0,m1sq)**2 - 8*m1**6*m2**4*m7**4*B0fin(0,0,m1sq)**2 + 16*m1**4*m2**6*m7**4*B0fin(0,0,m1sq)**2 - 28*m1sq*m2**8*m7**4*B0fin(0,0,m1sq)**2 + 16*m1**8*m2sq*m7**4*B0fin(0,0,m1sq)**2 - 6*m1**8*m7**6*B0fin(0,0,m1sq)**2 - 2*m1**4*m2**4*m7**6*B0fin(0,0,m1sq)**2 + 22*m1sq*m2**6*m7**6*B0fin(0,0,m1sq)**2 - 14*m1**6*m2sq*m7**6*B0fin(0,0,m1sq)**2 + 4*m1**6*m7**8*B0fin(0,0,m1sq)**2 - 8*m1sq*m2**4*m7**8*B0fin(0,0,m1sq)**2 + 4*m1**4*m2sq*m7**8*B0fin(0,0,m1sq)**2 - m1**4*m7**10*B0fin(0,0,m1sq)**2 + m1sq*m2sq*m7**10*B0fin(0,0,m1sq)**2 - m1**12*m7sq*B0fin(0,0,m1sq)**2 + 22*m1**8*m2**4*m7sq*B0fin(0,0,m1sq)**2 + 10*m1**6*m2**6*m7sq*B0fin(0,0,m1sq)**2 - 37*m1**4*m2**8*m7sq*B0fin(0,0,m1sq)**2 + 17*m1sq*m2**10*m7sq*B0fin(0,0,m1sq)**2 - 11*m1**10*m2sq*m7sq*B0fin(0,0,m1sq)**2 + 16*m1**12*m2*B0fin(0,0,m2) - 48*m1**10*m2**3*B0fin(0,0,m2) + 32*m1**8*m2**5*B0fin(0,0,m2) + 32*m1**6*m2**7*B0fin(0,0,m2) - 48*m1**4*m2**9*B0fin(0,0,m2) + 16*m1sq*m2**11*B0fin(0,0,m2) + 130*m1**8*m2*m7**4*B0fin(0,0,m2) - 40*m1**6*m2**3*m7**4*B0fin(0,0,m2) - 52*m1**4*m2**5*m7**4*B0fin(0,0,m2) - 40*m1sq*m2**7*m7**4*B0fin(0,0,m2) + 2*m2**9*m7**4*B0fin(0,0,m2) - 100*m1**6*m2*m7**6*B0fin(0,0,m2) + 20*m1**4*m2**3*m7**6*B0fin(0,0,m2) + 68*m1sq*m2**5*m7**6*B0fin(0,0,m2) + 12*m2**7*m7**6*B0fin(0,0,m2) + 34*m1**4*m2*m7**8*B0fin(0,0,m2) - 20*m1sq*m2**3*m7**8*B0fin(0,0,m2) - 14*m2**5*m7**8*B0fin(0,0,m2) - 4*m1sq*m2*m7**10*B0fin(0,0,m2) + 4*m2**3*m7**10*B0fin(0,0,m2) - 76*m1**10*m2*m7sq*B0fin(0,0,m2) + 108*m1**8*m2**3*m7sq*B0fin(0,0,m2) + 8*m1**6*m2**5*m7sq*B0fin(0,0,m2) - 40*m1**4*m2**7*m7sq*B0fin(0,0,m2) + 4*m1sq*m2**9*m7sq*B0fin(0,0,m2) - 4*m2**11*m7sq*B0fin(0,0,m2) - 40*m1**10*m2**4*B0fin(0,0,m2sq) + 80*m1**8*m2**6*B0fin(0,0,m2sq) - 80*m1**6*m2**8*B0fin(0,0,m2sq) + 40*m1**4*m2**10*B0fin(0,0,m2sq) - 8*m1sq*m2**12*B0fin(0,0,m2sq) + 8*m1**12*m2sq*B0fin(0,0,m2sq) + 13*m1**10*m7**4*B0fin(0,0,m2sq) - 78*m1**6*m2**4*m7**4*B0fin(0,0,m2sq) + 94*m1**4*m2**6*m7**4*B0fin(0,0,m2sq) + 17*m1sq*m2**8*m7**4*B0fin(0,0,m2sq) - 5*m2**10*m7**4*B0fin(0,0,m2sq) - 41*m1**8*m2sq*m7**4*B0fin(0,0,m2sq) - 15*m1**8*m7**6*B0fin(0,0,m2sq) + 28*m1**4*m2**4*m7**6*B0fin(0,0,m2sq) - 62*m1sq*m2**6*m7**6*B0fin(0,0,m2sq) - 5*m2**8*m7**6*B0fin(0,0,m2sq) + 54*m1**6*m2sq*m7**6*B0fin(0,0,m2sq) + 7*m1**6*m7**8*B0fin(0,0,m2sq) + 9*m1sq*m2**4*m7**8*B0fin(0,0,m2sq) + 11*m2**6*m7**8*B0fin(0,0,m2sq) - 27*m1**4*m2sq*m7**8*B0fin(0,0,m2sq) - m1**4*m7**10*B0fin(0,0,m2sq) - 3*m2**4*m7**10*B0fin(0,0,m2sq) + 4*m1sq*m2sq*m7**10*B0fin(0,0,m2sq) - 4*m1**12*m7sq*B0fin(0,0,m2sq) + 66*m1**8*m2**4*m7sq*B0fin(0,0,m2sq) - 108*m1**6*m2**6*m7sq*B0fin(0,0,m2sq) + 32*m1**4*m2**8*m7sq*B0fin(0,0,m2sq) + 10*m1sq*m2**10*m7sq*B0fin(0,0,m2sq) + 2*m2**12*m7sq*B0fin(0,0,m2sq) + 2*m1**10*m2sq*m7sq*B0fin(0,0,m2sq) - 48*m1**10*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 32*m1**8*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 32*m1**6*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 48*m1**4*m2**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1sq*m2**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1**12*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 9*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 14*m1**6*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 14*m1**4*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 5*m1sq*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 9*m2**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 5*m1**8*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 6*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**4*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1sq*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 6*m2**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**6*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m1sq*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m2**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m1**4*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 68*m1**8*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 80*m1**6*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 68*m1**4*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 24*m1sq*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m2**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 24*m1**10*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 20*m1**10*m2**4*B0fin(0,0,m2sq)**2 - 40*m1**8*m2**6*B0fin(0,0,m2sq)**2 + 40*m1**6*m2**8*B0fin(0,0,m2sq)**2 - 20*m1**4*m2**10*B0fin(0,0,m2sq)**2 + 4*m1sq*m2**12*B0fin(0,0,m2sq)**2 - 4*m1**12*m2sq*B0fin(0,0,m2sq)**2 + 16*m1**6*m2**4*m7**4*B0fin(0,0,m2sq)**2 - 8*m1**4*m2**6*m7**4*B0fin(0,0,m2sq)**2 + 16*m1sq*m2**8*m7**4*B0fin(0,0,m2sq)**2 + 4*m2**10*m7**4*B0fin(0,0,m2sq)**2 - 28*m1**8*m2sq*m7**4*B0fin(0,0,m2sq)**2 - 2*m1**4*m2**4*m7**6*B0fin(0,0,m2sq)**2 - 14*m1sq*m2**6*m7**6*B0fin(0,0,m2sq)**2 - 6*m2**8*m7**6*B0fin(0,0,m2sq)**2 + 22*m1**6*m2sq*m7**6*B0fin(0,0,m2sq)**2 + 4*m1sq*m2**4*m7**8*B0fin(0,0,m2sq)**2 + 4*m2**6*m7**8*B0fin(0,0,m2sq)**2 - 8*m1**4*m2sq*m7**8*B0fin(0,0,m2sq)**2 - m2**4*m7**10*B0fin(0,0,m2sq)**2 + m1sq*m2sq*m7**10*B0fin(0,0,m2sq)**2 - 37*m1**8*m2**4*m7sq*B0fin(0,0,m2sq)**2 + 10*m1**6*m2**6*m7sq*B0fin(0,0,m2sq)**2 + 22*m1**4*m2**8*m7sq*B0fin(0,0,m2sq)**2 - 11*m1sq*m2**10*m7sq*B0fin(0,0,m2sq)**2 - m2**12*m7sq*B0fin(0,0,m2sq)**2 + 17*m1**10*m2sq*m7sq*B0fin(0,0,m2sq)**2 + 8*m1**12*m7*B0fin(0,0,m7) - 8*m1**8*m2**4*m7*B0fin(0,0,m7) + 32*m1**6*m2**6*m7*B0fin(0,0,m7) - 8*m1**4*m2**8*m7*B0fin(0,0,m7) - 16*m1sq*m2**10*m7*B0fin(0,0,m7) + 8*m2**12*m7*B0fin(0,0,m7) - 16*m1**10*m2sq*m7*B0fin(0,0,m7) - 40*m1**10*m7**3*B0fin(0,0,m7) - 16*m1**6*m2**4*m7**3*B0fin(0,0,m7) - 16*m1**4*m2**6*m7**3*B0fin(0,0,m7) + 56*m1sq*m2**8*m7**3*B0fin(0,0,m7) - 40*m2**10*m7**3*B0fin(0,0,m7) + 56*m1**8*m2sq*m7**3*B0fin(0,0,m7) + 66*m1**8*m7**5*B0fin(0,0,m7) - 52*m1**4*m2**4*m7**5*B0fin(0,0,m7) - 40*m1sq*m2**6*m7**5*B0fin(0,0,m7) + 66*m2**8*m7**5*B0fin(0,0,m7) - 40*m1**6*m2sq*m7**5*B0fin(0,0,m7) - 44*m1**6*m7**7*B0fin(0,0,m7) + 44*m1sq*m2**4*m7**7*B0fin(0,0,m7) - 44*m2**6*m7**7*B0fin(0,0,m7) + 44*m1**4*m2sq*m7**7*B0fin(0,0,m7) + 10*m1**4*m7**9*B0fin(0,0,m7) + 10*m2**4*m7**9*B0fin(0,0,m7) - 20*m1sq*m2sq*m7**9*B0fin(0,0,m7) + 8*m1**10*m7**4*B0fin(0,0,m7sq) + 48*m1**6*m2**4*m7**4*B0fin(0,0,m7sq) + 48*m1**4*m2**6*m7**4*B0fin(0,0,m7sq) - 56*m1sq*m2**8*m7**4*B0fin(0,0,m7sq) + 8*m2**10*m7**4*B0fin(0,0,m7sq) - 56*m1**8*m2sq*m7**4*B0fin(0,0,m7sq) - 14*m1**8*m7**6*B0fin(0,0,m7sq) - 20*m1**4*m2**4*m7**6*B0fin(0,0,m7sq) + 24*m1sq*m2**6*m7**6*B0fin(0,0,m7sq) - 14*m2**8*m7**6*B0fin(0,0,m7sq) + 24*m1**6*m2sq*m7**6*B0fin(0,0,m7sq) + 14*m1**6*m7**8*B0fin(0,0,m7sq) - 14*m1sq*m2**4*m7**8*B0fin(0,0,m7sq) + 14*m2**6*m7**8*B0fin(0,0,m7sq) - 14*m1**4*m2sq*m7**8*B0fin(0,0,m7sq) - 4*m1**4*m7**10*B0fin(0,0,m7sq) - 4*m2**4*m7**10*B0fin(0,0,m7sq) + 8*m1sq*m2sq*m7**10*B0fin(0,0,m7sq) - 4*m1**12*m7sq*B0fin(0,0,m7sq) - 188*m1**8*m2**4*m7sq*B0fin(0,0,m7sq) + 272*m1**6*m2**6*m7sq*B0fin(0,0,m7sq) - 188*m1**4*m2**8*m7sq*B0fin(0,0,m7sq) + 56*m1sq*m2**10*m7sq*B0fin(0,0,m7sq) - 4*m2**12*m7sq*B0fin(0,0,m7sq) + 56*m1**10*m2sq*m7sq*B0fin(0,0,m7sq) - 15*m1**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 42*m1**6*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 58*m1**4*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 117*m1sq*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m2**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 77*m1**8*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 28*m1**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 94*m1sq*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m2**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 54*m1**6*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 17*m1**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 33*m1sq*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m2**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 15*m1**4*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1sq*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 140*m1**8*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 56*m1**6*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 72*m1**4*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 52*m1sq*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m2**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 60*m1**10*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 58*m1**6*m2**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 42*m1**4*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 77*m1sq*m2**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 15*m2**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 117*m1**8*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 6*m1**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 6*m1**4*m2**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 54*m1sq*m2**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 28*m2**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 94*m1**6*m2sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 15*m1sq*m2**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 17*m2**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 33*m1**4*m2sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m2**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 4*m1sq*m2sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 72*m1**8*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 56*m1**6*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 140*m1**4*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 60*m1sq*m2**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 52*m1**10*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 44*m1**8*m2**4*T134fin(m7,m1,m1) - 56*m1**6*m2**6*T134fin(m7,m1,m1) + 24*m1**4*m2**8*T134fin(m7,m1,m1) + 4*m1sq*m2**10*T134fin(m7,m1,m1) - 4*m2**12*T134fin(m7,m1,m1) - 12*m1**10*m2sq*T134fin(m7,m1,m1) - 13*m1**8*m7**4*T134fin(m7,m1,m1) - 46*m1**4*m2**4*m7**4*T134fin(m7,m1,m1) - 76*m1sq*m2**6*m7**4*T134fin(m7,m1,m1) - 45*m2**8*m7**4*T134fin(m7,m1,m1) - 76*m1**6*m2sq*m7**4*T134fin(m7,m1,m1) + 22*m1**6*m7**6*T134fin(m7,m1,m1) + 98*m1sq*m2**4*m7**6*T134fin(m7,m1,m1) + 50*m2**6*m7**6*T134fin(m7,m1,m1) + 86*m1**4*m2sq*m7**6*T134fin(m7,m1,m1) - 18*m1**4*m7**8*T134fin(m7,m1,m1) - 30*m2**4*m7**8*T134fin(m7,m1,m1) - 48*m1sq*m2sq*m7**8*T134fin(m7,m1,m1) + 7*m1sq*m7**10*T134fin(m7,m1,m1) + 9*m2sq*m7**10*T134fin(m7,m1,m1) - m7**12*T134fin(m7,m1,m1) + 3*m1**10*m7sq*T134fin(m7,m1,m1) - 34*m1**6*m2**4*m7sq*T134fin(m7,m1,m1) - 46*m1**4*m2**6*m7sq*T134fin(m7,m1,m1) + 15*m1sq*m2**8*m7sq*T134fin(m7,m1,m1) + 21*m2**10*m7sq*T134fin(m7,m1,m1) + 41*m1**8*m2sq*m7sq*T134fin(m7,m1,m1) + 24*m1**8*m7**4*T134fin(m7,m2,m1) + 80*m1**4*m2**4*m7**4*T134fin(m7,m2,m1) + 192*m1sq*m2**6*m7**4*T134fin(m7,m2,m1) + 24*m2**8*m7**4*T134fin(m7,m2,m1) + 192*m1**6*m2sq*m7**4*T134fin(m7,m2,m1) - 54*m1**6*m7**6*T134fin(m7,m2,m1) - 202*m1sq*m2**4*m7**6*T134fin(m7,m2,m1) - 54*m2**6*m7**6*T134fin(m7,m2,m1) - 202*m1**4*m2sq*m7**6*T134fin(m7,m2,m1) + 44*m1**4*m7**8*T134fin(m7,m2,m1) + 44*m2**4*m7**8*T134fin(m7,m2,m1) + 104*m1sq*m2sq*m7**8*T134fin(m7,m2,m1) - 16*m1sq*m7**10*T134fin(m7,m2,m1) - 16*m2sq*m7**10*T134fin(m7,m2,m1) + 2*m7**12*T134fin(m7,m2,m1) + 96*m1**6*m2**4*m7sq*T134fin(m7,m2,m1) + 96*m1**4*m2**6*m7sq*T134fin(m7,m2,m1) - 96*m1sq*m2**8*m7sq*T134fin(m7,m2,m1) - 96*m1**8*m2sq*m7sq*T134fin(m7,m2,m1) - 4*m1**12*T134fin(m7,m2,m2) + 24*m1**8*m2**4*T134fin(m7,m2,m2) - 56*m1**6*m2**6*T134fin(m7,m2,m2) + 44*m1**4*m2**8*T134fin(m7,m2,m2) - 12*m1sq*m2**10*T134fin(m7,m2,m2) + 4*m1**10*m2sq*T134fin(m7,m2,m2) - 45*m1**8*m7**4*T134fin(m7,m2,m2) - 46*m1**4*m2**4*m7**4*T134fin(m7,m2,m2) - 76*m1sq*m2**6*m7**4*T134fin(m7,m2,m2) - 13*m2**8*m7**4*T134fin(m7,m2,m2) - 76*m1**6*m2sq*m7**4*T134fin(m7,m2,m2) + 50*m1**6*m7**6*T134fin(m7,m2,m2) + 86*m1sq*m2**4*m7**6*T134fin(m7,m2,m2) + 22*m2**6*m7**6*T134fin(m7,m2,m2) + 98*m1**4*m2sq*m7**6*T134fin(m7,m2,m2) - 30*m1**4*m7**8*T134fin(m7,m2,m2) - 18*m2**4*m7**8*T134fin(m7,m2,m2) - 48*m1sq*m2sq*m7**8*T134fin(m7,m2,m2) + 9*m1sq*m7**10*T134fin(m7,m2,m2) + 7*m2sq*m7**10*T134fin(m7,m2,m2) - m7**12*T134fin(m7,m2,m2) + 21*m1**10*m7sq*T134fin(m7,m2,m2) - 46*m1**6*m2**4*m7sq*T134fin(m7,m2,m2) - 34*m1**4*m2**6*m7sq*T134fin(m7,m2,m2) + 41*m1sq*m2**8*m7sq*T134fin(m7,m2,m2) + 3*m2**10*m7sq*T134fin(m7,m2,m2) + 15*m1**8*m2sq*m7sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**4*(m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-4*m2sq + m7sq)))
		def eval_94():
			return -((-(m1**4*m2**8*m4) + m1sq*m2**10*m4 + m1**4*m2**6*m4**3 - m1sq*m2**8*m4**3 - m1**4*m2**5*m4**4 + 2*m1**4*m2**6*m4**4 + 3*m1sq*m2**7*m4**4 - 2*m1*m2**8*m4**4 - 2*m1sq*m2**8*m4**4 + m1**4*m2**3*m4**6 - m1**4*m2**4*m4**6 - 2*m1sq*m2**5*m4**6 + m1*m2**6*m4**6 + m1sq*m2**6*m4**6 - m1**4*m2**8*m4sq - m1sq*m2**9*m4sq + m1*m2**10*m4sq + m1sq*m2**10*m4sq + m1**4*m2**8*m5 - m1sq*m2**10*m5 - 2*m1**4*m2**4*m4**4*m5 + 6*m1sq*m2**6*m4**4*m5 - 4*m2**8*m4**4*m5 - 4*m1sq*m2**4*m4**6*m5 + 2*m2**6*m4**6*m5 + 2*m1**4*m2sq*m4**6*m5 - m1**4*m2**6*m4sq*m5 - m1sq*m2**8*m4sq*m5 + 2*m2**10*m4sq*m5 - 9*m1**4*m2**6*m5**3 + 7*m1sq*m2**8*m5**3 + 2*m2**10*m5**3 + 16*m1sq*m2**4*m4**4*m5**3 + 2*m2**6*m4**4*m5**3 - 18*m1**4*m2sq*m4**4*m5**3 + 12*m1**4*m2**4*m4sq*m5**3 - 12*m2**8*m4sq*m5**3 - m1**4*m2**5*m5**4 - 2*m1**4*m2**6*m5**4 - 5*m1sq*m2**7*m5**4 + 10*m1*m2**8*m5**4 - 2*m1sq*m2**8*m5**4 - 4*m2**9*m5**4 + 4*m2**10*m5**4 - 24*m1**4*m2**4*m4*m5**4 - 12*m1sq*m2**6*m4*m5**4 + 36*m2**8*m4*m5**4 + 16*m1sq*m2**4*m4**3*m5**4 - 32*m2**6*m4**3*m5**4 + 16*m1**4*m2sq*m4**3*m5**4 + 8*m1**4*m2*m4**4*m5**4 + 16*m1sq*m2**3*m4**4*m5**4 - 8*m1*m2**4*m4**4*m5**4 - 4*m1sq*m2**4*m4**4*m5**4 - 16*m2**5*m4**4*m5**4 + 12*m2**6*m4**4*m5**4 - 8*m1**4*m2sq*m4**4*m5**4 + 4*m1**4*m4**6*m5**4 - 16*m2**3*m4**6*m5**4 + 16*m1*m2sq*m4**6*m5**4 - 4*m1sq*m2sq*m4**6*m5**4 + 15*m1**4*m2**3*m4sq*m5**4 + m1**4*m2**4*m4sq*m5**4 - 26*m1sq*m2**5*m4sq*m5**4 + 19*m1*m2**6*m4sq*m5**4 - m1sq*m2**6*m4sq*m5**4 - 8*m2**7*m4sq*m5**4 + 22*m1**4*m2**4*m5**5 + 2*m1sq*m2**6*m5**5 - 24*m2**8*m5**5 + 16*m1**4*m4**4*m5**5 - 48*m2**4*m4**4*m5**5 + 32*m1sq*m2sq*m4**4*m5**5 - 68*m1sq*m2**4*m4sq*m5**5 + 54*m2**6*m4sq*m5**5 + 14*m1**4*m2sq*m4sq*m5**5 - 7*m1**4*m2**3*m5**6 - 3*m1**4*m2**4*m5**6 + 20*m1sq*m2**5*m5**6 - 33*m1*m2**6*m5**6 + 11*m1sq*m2**6*m5**6 + 20*m2**7*m5**6 - 8*m2**8*m5**6 + 80*m1sq*m2**4*m4*m5**6 - 96*m2**6*m4*m5**6 + 16*m1**4*m2sq*m4*m5**6 + 64*m2**4*m4**3*m5**6 - 64*m1sq*m2sq*m4**3*m5**6 - 12*m1**4*m4**4*m5**6 - 32*m1sq*m2*m4**4*m5**6 + 80*m2**3*m4**4*m5**6 - 32*m2**4*m4**4*m5**6 - 48*m1*m2sq*m4**4*m5**6 + 44*m1sq*m2sq*m4**4*m5**6 - 16*m1sq*m4**6*m5**6 + 16*m2sq*m4**6*m5**6 - 16*m1**4*m2*m4sq*m5**6 - 32*m1sq*m2**3*m4sq*m5**6 - 24*m1*m2**4*m4sq*m5**6 - 4*m1sq*m2**4*m4sq*m5**6 + 72*m2**5*m4sq*m5**6 + 4*m2**6*m4sq*m5**6 - 40*m1sq*m2**4*m5**7 + 70*m2**6*m5**7 - 30*m1**4*m2sq*m5**7 - 64*m1sq*m4**4*m5**7 + 64*m2sq*m4**4*m5**7 - 32*m1**4*m4sq*m5**7 + 32*m2**4*m4sq*m5**7 + 8*m1**4*m2*m5**8 + 16*m1sq*m2**3*m5**8 + 40*m1*m2**4*m5**8 + 4*m1sq*m2**4*m5**8 - 64*m2**5*m5**8 - 12*m2**6*m5**8 + 8*m1**4*m2sq*m5**8 + 64*m2**4*m4*m5**8 - 64*m1sq*m2sq*m4*m5**8 + 48*m1sq*m4**4*m5**8 - 48*m2sq*m4**4*m5**8 + 12*m1**4*m4sq*m5**8 + 64*m1sq*m2*m4sq*m5**8 - 112*m2**3*m4sq*m5**8 + 48*m1*m2sq*m4sq*m5**8 - 12*m1sq*m2sq*m4sq*m5**8 + 16*m1**4*m5**9 - 112*m2**4*m5**9 + 96*m1sq*m2sq*m5**9 + 128*m1sq*m4sq*m5**9 - 128*m2sq*m4sq*m5**9 - 4*m1**4*m5**10 - 32*m1sq*m2*m5**10 + 48*m2**3*m5**10 + 32*m2**4*m5**10 - 16*m1*m2sq*m5**10 - 28*m1sq*m2sq*m5**10 - 48*m1sq*m4sq*m5**10 + 48*m2sq*m4sq*m5**10 - 64*m1sq*m5**11 + 64*m2sq*m5**11 + 16*m1sq*m5**12 - 16*m2sq*m5**12 + m1**4*m2**8*m5sq + m1sq*m2**9*m5sq - m1*m2**10*m5sq - m1sq*m2**10*m5sq + 9*m1**4*m2**6*m4*m5sq - 5*m1sq*m2**8*m4*m5sq - 4*m2**10*m4*m5sq - 8*m1**4*m2**4*m4**3*m5sq + 4*m1sq*m2**6*m4**3*m5sq + 4*m2**8*m4**3*m5sq - 9*m1**4*m2**3*m4**4*m5sq + 3*m1**4*m2**4*m4**4*m5sq + 8*m1sq*m2**5*m4**4*m5sq + 13*m1*m2**6*m4**4*m5sq - 11*m1sq*m2**6*m4**4*m5sq - 12*m2**7*m4**4*m5sq + 8*m2**8*m4**4*m5sq - 8*m1*m2**4*m4**6*m5sq + 4*m1sq*m2**4*m4**6*m5sq + 8*m2**5*m4**6*m5sq - 4*m2**6*m4**6*m5sq + 2*m1**4*m2**5*m4sq*m5sq + 2*m1sq*m2**7*m4sq*m5sq - 8*m1*m2**8*m4sq*m5sq + 4*m1sq*m2**8*m4sq*m5sq + 4*m2**9*m4sq*m5sq - 4*m2**10*m4sq*m5sq + m1sq*m2sq*(m2sq - 4*m5sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*B0del(0,0,m1sq) + m2sq*(m1sq - 4*m5sq)*(-m4sq + m5sq)*(-(m2**6*(m4sq + m5sq)) - 2*m2sq*m5sq*(m4**4 + 5*m5**4 - 6*m4sq*m5sq) + m2**4*(m4**4 + 11*m5**4 - 4*m4sq*m5sq) + m1sq*(m2**6 - m2**4*(m4sq + 5*m5sq) - 2*m5sq*(m4**4 - 3*m5**4 + 2*m4sq*m5sq) + 2*m2sq*(-m5**4 + 5*m4sq*m5sq)))*B0del(0,0,m2sq) + m1**4*m2**6*m4**4*B0del(0,0,m4sq) - m1sq*m2**8*m4**4*B0del(0,0,m4sq) - m1**4*m2**8*m4sq*B0del(0,0,m4sq) + m1sq*m2**10*m4sq*B0del(0,0,m4sq) + 16*m1sq*m2**4*m4**4*m5**4*B0del(0,0,m4sq) - 32*m2**6*m4**4*m5**4*B0del(0,0,m4sq) + 16*m1**4*m2sq*m4**4*m5**4*B0del(0,0,m4sq) - 24*m1**4*m2**4*m4sq*m5**4*B0del(0,0,m4sq) - 12*m1sq*m2**6*m4sq*m5**4*B0del(0,0,m4sq) + 36*m2**8*m4sq*m5**4*B0del(0,0,m4sq) + 64*m2**4*m4**4*m5**6*B0del(0,0,m4sq) - 64*m1sq*m2sq*m4**4*m5**6*B0del(0,0,m4sq) + 80*m1sq*m2**4*m4sq*m5**6*B0del(0,0,m4sq) - 96*m2**6*m4sq*m5**6*B0del(0,0,m4sq) + 16*m1**4*m2sq*m4sq*m5**6*B0del(0,0,m4sq) + 64*m2**4*m4sq*m5**8*B0del(0,0,m4sq) - 64*m1sq*m2sq*m4sq*m5**8*B0del(0,0,m4sq) - 8*m1**4*m2**4*m4**4*m5sq*B0del(0,0,m4sq) + 4*m1sq*m2**6*m4**4*m5sq*B0del(0,0,m4sq) + 4*m2**8*m4**4*m5sq*B0del(0,0,m4sq) + 9*m1**4*m2**6*m4sq*m5sq*B0del(0,0,m4sq) - 5*m1sq*m2**8*m4sq*m5sq*B0del(0,0,m4sq) - 4*m2**10*m4sq*m5sq*B0del(0,0,m4sq) - 7*m1**4*m2**6*m5**4*B0del(0,0,m5sq) + 5*m1sq*m2**8*m5**4*B0del(0,0,m5sq) + 2*m2**10*m5**4*B0del(0,0,m5sq) + 2*m1sq*m2**4*m4**4*m5**4*B0del(0,0,m5sq) + 18*m2**6*m4**4*m5**4*B0del(0,0,m5sq) - 20*m1**4*m2sq*m4**4*m5**4*B0del(0,0,m5sq) + 4*m1**4*m4**6*m5**4*B0del(0,0,m5sq) - 8*m2**4*m4**6*m5**4*B0del(0,0,m5sq) + 4*m1sq*m2sq*m4**6*m5**4*B0del(0,0,m5sq) + 16*m1**4*m2**4*m4sq*m5**4*B0del(0,0,m5sq) + 4*m1sq*m2**6*m4sq*m5**4*B0del(0,0,m5sq) - 20*m2**8*m4sq*m5**4*B0del(0,0,m5sq) + 14*m1**4*m2**4*m5**6*B0del(0,0,m5sq) + 2*m1sq*m2**6*m5**6*B0del(0,0,m5sq) - 16*m2**8*m5**6*B0del(0,0,m5sq) + 4*m1**4*m4**4*m5**6*B0del(0,0,m5sq) - 56*m2**4*m4**4*m5**6*B0del(0,0,m5sq) + 52*m1sq*m2sq*m4**4*m5**6*B0del(0,0,m5sq) - 16*m1sq*m4**6*m5**6*B0del(0,0,m5sq) + 16*m2sq*m4**6*m5**6*B0del(0,0,m5sq) - 78*m1sq*m2**4*m4sq*m5**6*B0del(0,0,m5sq) + 70*m2**6*m4sq*m5**6*B0del(0,0,m5sq) + 8*m1**4*m2sq*m4sq*m5**6*B0del(0,0,m5sq) - 18*m1sq*m2**4*m5**8*B0del(0,0,m5sq) + 38*m2**6*m5**8*B0del(0,0,m5sq) - 20*m1**4*m2sq*m5**8*B0del(0,0,m5sq) - 16*m1sq*m4**4*m5**8*B0del(0,0,m5sq) + 16*m2sq*m4**4*m5**8*B0del(0,0,m5sq) - 20*m1**4*m4sq*m5**8*B0del(0,0,m5sq) + 8*m2**4*m4sq*m5**8*B0del(0,0,m5sq) + 12*m1sq*m2sq*m4sq*m5**8*B0del(0,0,m5sq) + 12*m1**4*m5**10*B0del(0,0,m5sq) - 72*m2**4*m5**10*B0del(0,0,m5sq) + 60*m1sq*m2sq*m5**10*B0del(0,0,m5sq) + 80*m1sq*m4sq*m5**10*B0del(0,0,m5sq) - 80*m2sq*m4sq*m5**10*B0del(0,0,m5sq) - 48*m1sq*m5**12*B0del(0,0,m5sq) + 48*m2sq*m5**12*B0del(0,0,m5sq) + m1**4*m2**8*m5sq*B0del(0,0,m5sq) - m1sq*m2**10*m5sq*B0del(0,0,m5sq) + 2*m1**4*m2**4*m4**4*m5sq*B0del(0,0,m5sq) + 2*m1sq*m2**6*m4**4*m5sq*B0del(0,0,m5sq) - 4*m2**8*m4**4*m5sq*B0del(0,0,m5sq) - 2*m1sq*m2**4*m4**6*m5sq*B0del(0,0,m5sq) + 2*m2**6*m4**6*m5sq*B0del(0,0,m5sq) - 3*m1**4*m2**6*m4sq*m5sq*B0del(0,0,m5sq) + m1sq*m2**8*m4sq*m5sq*B0del(0,0,m5sq) + 2*m2**10*m4sq*m5sq*B0del(0,0,m5sq) - 4*m1*m2**8*m4**4*B0fin(0,0,m1) + 2*m1*m2**6*m4**6*B0fin(0,0,m1) + 2*m1*m2**10*m4sq*B0fin(0,0,m1) + 20*m1*m2**8*m5**4*B0fin(0,0,m1) - 16*m1*m2**4*m4**4*m5**4*B0fin(0,0,m1) + 32*m1*m2sq*m4**6*m5**4*B0fin(0,0,m1) + 38*m1*m2**6*m4sq*m5**4*B0fin(0,0,m1) - 66*m1*m2**6*m5**6*B0fin(0,0,m1) - 96*m1*m2sq*m4**4*m5**6*B0fin(0,0,m1) - 48*m1*m2**4*m4sq*m5**6*B0fin(0,0,m1) + 80*m1*m2**4*m5**8*B0fin(0,0,m1) + 96*m1*m2sq*m4sq*m5**8*B0fin(0,0,m1) - 32*m1*m2sq*m5**10*B0fin(0,0,m1) - 2*m1*m2**10*m5sq*B0fin(0,0,m1) + 26*m1*m2**6*m4**4*m5sq*B0fin(0,0,m1) - 16*m1*m2**4*m4**6*m5sq*B0fin(0,0,m1) - 16*m1*m2**8*m4sq*m5sq*B0fin(0,0,m1) + 2*m1sq*m2**8*m4**4*B0fin(0,0,m1sq) - m1sq*m2**6*m4**6*B0fin(0,0,m1sq) - m1sq*m2**10*m4sq*B0fin(0,0,m1sq) - 10*m1sq*m2**8*m5**4*B0fin(0,0,m1sq) + 8*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m1sq) - 16*m1sq*m2sq*m4**6*m5**4*B0fin(0,0,m1sq) - 19*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m1sq) + 33*m1sq*m2**6*m5**6*B0fin(0,0,m1sq) + 48*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m1sq) + 24*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m1sq) - 40*m1sq*m2**4*m5**8*B0fin(0,0,m1sq) - 48*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m1sq) + 16*m1sq*m2sq*m5**10*B0fin(0,0,m1sq) + m1sq*m2**10*m5sq*B0fin(0,0,m1sq) - 13*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m1sq) + 8*m1sq*m2**4*m4**6*m5sq*B0fin(0,0,m1sq) + 8*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m1sq) + 6*m1**4*m2**5*m4**4*B0fin(0,0,m2) - 2*m1sq*m2**7*m4**4*B0fin(0,0,m2) - 2*m1**4*m2**3*m4**6*B0fin(0,0,m2) - 4*m1**4*m2**7*m4sq*B0fin(0,0,m2) + 2*m1sq*m2**9*m4sq*B0fin(0,0,m2) - 18*m1**4*m2**5*m5**4*B0fin(0,0,m2) - 10*m1sq*m2**7*m5**4*B0fin(0,0,m2) + 8*m2**9*m5**4*B0fin(0,0,m2) - 8*m1**4*m2*m4**4*m5**4*B0fin(0,0,m2) + 72*m1sq*m2**3*m4**4*m5**4*B0fin(0,0,m2) - 48*m2**5*m4**4*m5**4*B0fin(0,0,m2) - 32*m1sq*m2*m4**6*m5**4*B0fin(0,0,m2) + 18*m1**4*m2**3*m4sq*m5**4*B0fin(0,0,m2) - 72*m1sq*m2**5*m4sq*m5**4*B0fin(0,0,m2) + 16*m2**7*m4sq*m5**4*B0fin(0,0,m2) + 6*m1**4*m2**3*m5**6*B0fin(0,0,m2) + 84*m1sq*m2**5*m5**6*B0fin(0,0,m2) - 24*m2**7*m5**6*B0fin(0,0,m2) + 32*m1sq*m2*m4**4*m5**6*B0fin(0,0,m2) + 64*m2**3*m4**4*m5**6*B0fin(0,0,m2) - 8*m1**4*m2*m4sq*m5**6*B0fin(0,0,m2) - 40*m1sq*m2**3*m4sq*m5**6*B0fin(0,0,m2) + 96*m2**5*m4sq*m5**6*B0fin(0,0,m2) + 8*m1**4*m2*m5**8*B0fin(0,0,m2) - 40*m1sq*m2**3*m5**8*B0fin(0,0,m2) - 48*m2**5*m5**8*B0fin(0,0,m2) + 32*m1sq*m2*m4sq*m5**8*B0fin(0,0,m2) - 128*m2**3*m4sq*m5**8*B0fin(0,0,m2) - 32*m1sq*m2*m5**10*B0fin(0,0,m2) + 64*m2**3*m5**10*B0fin(0,0,m2) + 4*m1**4*m2**7*m5sq*B0fin(0,0,m2) - 2*m1sq*m2**9*m5sq*B0fin(0,0,m2) - 22*m1**4*m2**3*m4**4*m5sq*B0fin(0,0,m2) - 12*m1sq*m2**5*m4**4*m5sq*B0fin(0,0,m2) + 8*m2**7*m4**4*m5sq*B0fin(0,0,m2) + 8*m1**4*m2*m4**6*m5sq*B0fin(0,0,m2) + 8*m1sq*m2**3*m4**6*m5sq*B0fin(0,0,m2) + 12*m1**4*m2**5*m4sq*m5sq*B0fin(0,0,m2) + 12*m1sq*m2**7*m4sq*m5sq*B0fin(0,0,m2) - 8*m2**9*m4sq*m5sq*B0fin(0,0,m2) - 3*m1**4*m2**6*m4**4*B0fin(0,0,m2sq) + m1sq*m2**8*m4**4*B0fin(0,0,m2sq) + m1**4*m2**4*m4**6*B0fin(0,0,m2sq) + 2*m1**4*m2**8*m4sq*B0fin(0,0,m2sq) - m1sq*m2**10*m4sq*B0fin(0,0,m2sq) + 7*m1**4*m2**6*m5**4*B0fin(0,0,m2sq) + 7*m1sq*m2**8*m5**4*B0fin(0,0,m2sq) - 4*m2**10*m5**4*B0fin(0,0,m2sq) - 14*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m2sq) + 8*m2**6*m4**4*m5**4*B0fin(0,0,m2sq) - 2*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m2sq) + 8*m2**4*m4**6*m5**4*B0fin(0,0,m2sq) + 8*m1sq*m2sq*m4**6*m5**4*B0fin(0,0,m2sq) - 9*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq) + 28*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq) + m1**4*m2**4*m5**6*B0fin(0,0,m2sq) - 38*m1sq*m2**6*m5**6*B0fin(0,0,m2sq) + 4*m2**8*m5**6*B0fin(0,0,m2sq) - 56*m2**4*m4**4*m5**6*B0fin(0,0,m2sq) + 8*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m2sq) + 14*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq) - 48*m2**6*m4sq*m5**6*B0fin(0,0,m2sq) + 10*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq) + 6*m1sq*m2**4*m5**8*B0fin(0,0,m2sq) + 40*m2**6*m5**8*B0fin(0,0,m2sq) - 6*m1**4*m2sq*m5**8*B0fin(0,0,m2sq) + 88*m2**4*m4sq*m5**8*B0fin(0,0,m2sq) - 40*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq) - 40*m2**4*m5**10*B0fin(0,0,m2sq) + 24*m1sq*m2sq*m5**10*B0fin(0,0,m2sq) - 2*m1**4*m2**8*m5sq*B0fin(0,0,m2sq) + m1sq*m2**10*m5sq*B0fin(0,0,m2sq) + 7*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m2sq) + 10*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m2sq) - 4*m2**8*m4**4*m5sq*B0fin(0,0,m2sq) - 6*m1sq*m2**4*m4**6*m5sq*B0fin(0,0,m2sq) - 2*m1**4*m2sq*m4**6*m5sq*B0fin(0,0,m2sq) - 4*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq) - 8*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq) + 4*m2**10*m4sq*m5sq*B0fin(0,0,m2sq) - 2*m1**4*m2**8*m4*B0fin(0,0,m4) + 2*m1sq*m2**10*m4*B0fin(0,0,m4) + 2*m1**4*m2**6*m4**3*B0fin(0,0,m4) - 2*m1sq*m2**8*m4**3*B0fin(0,0,m4) - 48*m1**4*m2**4*m4*m5**4*B0fin(0,0,m4) - 24*m1sq*m2**6*m4*m5**4*B0fin(0,0,m4) + 72*m2**8*m4*m5**4*B0fin(0,0,m4) + 32*m1sq*m2**4*m4**3*m5**4*B0fin(0,0,m4) - 64*m2**6*m4**3*m5**4*B0fin(0,0,m4) + 32*m1**4*m2sq*m4**3*m5**4*B0fin(0,0,m4) + 160*m1sq*m2**4*m4*m5**6*B0fin(0,0,m4) - 192*m2**6*m4*m5**6*B0fin(0,0,m4) + 32*m1**4*m2sq*m4*m5**6*B0fin(0,0,m4) + 128*m2**4*m4**3*m5**6*B0fin(0,0,m4) - 128*m1sq*m2sq*m4**3*m5**6*B0fin(0,0,m4) + 128*m2**4*m4*m5**8*B0fin(0,0,m4) - 128*m1sq*m2sq*m4*m5**8*B0fin(0,0,m4) + 18*m1**4*m2**6*m4*m5sq*B0fin(0,0,m4) - 10*m1sq*m2**8*m4*m5sq*B0fin(0,0,m4) - 8*m2**10*m4*m5sq*B0fin(0,0,m4) - 16*m1**4*m2**4*m4**3*m5sq*B0fin(0,0,m4) + 8*m1sq*m2**6*m4**3*m5sq*B0fin(0,0,m4) + 8*m2**8*m4**3*m5sq*B0fin(0,0,m4) - m1**4*m2**6*m4**4*B0fin(0,0,m4sq) + m1sq*m2**8*m4**4*B0fin(0,0,m4sq) + m1**4*m2**8*m4sq*B0fin(0,0,m4sq) - m1sq*m2**10*m4sq*B0fin(0,0,m4sq) - 16*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m4sq) + 32*m2**6*m4**4*m5**4*B0fin(0,0,m4sq) - 16*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m4sq) + 24*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m4sq) + 12*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m4sq) - 36*m2**8*m4sq*m5**4*B0fin(0,0,m4sq) - 64*m2**4*m4**4*m5**6*B0fin(0,0,m4sq) + 64*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m4sq) - 80*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m4sq) + 96*m2**6*m4sq*m5**6*B0fin(0,0,m4sq) - 16*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m4sq) - 64*m2**4*m4sq*m5**8*B0fin(0,0,m4sq) + 64*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m4sq) + 8*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m4sq) - 4*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m4sq) - 4*m2**8*m4**4*m5sq*B0fin(0,0,m4sq) - 9*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m4sq) + 5*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m4sq) + 4*m2**10*m4sq*m5sq*B0fin(0,0,m4sq) + m1**4*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1**4*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1sq*m2**10*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 16*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 32*m2**6*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 16*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 20*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 28*m2**8*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 64*m2**4*m4**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 64*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 48*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 32*m2**6*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 16*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 64*m2**4*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 64*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**8*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 7*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2**10*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m2**8*m5*B0fin(0,0,m5) - 2*m1sq*m2**10*m5*B0fin(0,0,m5) + 12*m1**4*m2**4*m4**4*m5*B0fin(0,0,m5) - 4*m1sq*m2**6*m4**4*m5*B0fin(0,0,m5) - 8*m2**8*m4**4*m5*B0fin(0,0,m5) + 4*m2**6*m4**6*m5*B0fin(0,0,m5) - 4*m1**4*m2sq*m4**6*m5*B0fin(0,0,m5) - 10*m1**4*m2**6*m4sq*m5*B0fin(0,0,m5) + 6*m1sq*m2**8*m4sq*m5*B0fin(0,0,m5) + 4*m2**10*m4sq*m5*B0fin(0,0,m5) - 10*m1**4*m2**6*m5**3*B0fin(0,0,m5) + 6*m1sq*m2**8*m5**3*B0fin(0,0,m5) + 4*m2**10*m5**3*B0fin(0,0,m5) - 24*m1sq*m2**4*m4**4*m5**3*B0fin(0,0,m5) + 68*m2**6*m4**4*m5**3*B0fin(0,0,m5) - 44*m1**4*m2sq*m4**4*m5**3*B0fin(0,0,m5) + 16*m1**4*m4**6*m5**3*B0fin(0,0,m5) - 32*m2**4*m4**6*m5**3*B0fin(0,0,m5) + 16*m1sq*m2sq*m4**6*m5**3*B0fin(0,0,m5) + 40*m1**4*m2**4*m4sq*m5**3*B0fin(0,0,m5) + 16*m1sq*m2**6*m4sq*m5**3*B0fin(0,0,m5) - 56*m2**8*m4sq*m5**3*B0fin(0,0,m5) + 12*m1**4*m2**4*m5**5*B0fin(0,0,m5) + 4*m1sq*m2**6*m5**5*B0fin(0,0,m5) - 16*m2**8*m5**5*B0fin(0,0,m5) - 16*m1**4*m4**4*m5**5*B0fin(0,0,m5) - 128*m2**4*m4**4*m5**5*B0fin(0,0,m5) + 144*m1sq*m2sq*m4**4*m5**5*B0fin(0,0,m5) - 64*m1sq*m4**6*m5**5*B0fin(0,0,m5) + 64*m2sq*m4**6*m5**5*B0fin(0,0,m5) - 176*m1sq*m2**4*m4sq*m5**5*B0fin(0,0,m5) + 172*m2**6*m4sq*m5**5*B0fin(0,0,m5) + 4*m1**4*m2sq*m4sq*m5**5*B0fin(0,0,m5) + 8*m1sq*m2**4*m5**7*B0fin(0,0,m5) + 12*m2**6*m5**7*B0fin(0,0,m5) - 20*m1**4*m2sq*m5**7*B0fin(0,0,m5) + 64*m1sq*m4**4*m5**7*B0fin(0,0,m5) - 64*m2sq*m4**4*m5**7*B0fin(0,0,m5) - 16*m1**4*m4sq*m5**7*B0fin(0,0,m5) - 32*m2**4*m4sq*m5**7*B0fin(0,0,m5) + 48*m1sq*m2sq*m4sq*m5**7*B0fin(0,0,m5) + 16*m1**4*m5**9*B0fin(0,0,m5) - 64*m2**4*m5**9*B0fin(0,0,m5) + 48*m1sq*m2sq*m5**9*B0fin(0,0,m5) + 64*m1sq*m4sq*m5**9*B0fin(0,0,m5) - 64*m2sq*m4sq*m5**9*B0fin(0,0,m5) - 64*m1sq*m5**11*B0fin(0,0,m5) + 64*m2sq*m5**11*B0fin(0,0,m5) - 2*m1**4*m2**6*m4**4*B0fin(0,0,m5sq) + 2*m1sq*m2**8*m4**4*B0fin(0,0,m5sq) + m1**4*m2**4*m4**6*B0fin(0,0,m5sq) - m1sq*m2**6*m4**6*B0fin(0,0,m5sq) + m1**4*m2**8*m4sq*B0fin(0,0,m5sq) - m1sq*m2**10*m4sq*B0fin(0,0,m5sq) + 9*m1**4*m2**6*m5**4*B0fin(0,0,m5sq) - 3*m1sq*m2**8*m5**4*B0fin(0,0,m5sq) - 6*m2**10*m5**4*B0fin(0,0,m5sq) - 6*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m5sq) - 30*m2**6*m4**4*m5**4*B0fin(0,0,m5sq) + 36*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m5sq) - 12*m1**4*m4**6*m5**4*B0fin(0,0,m5sq) + 8*m2**4*m4**6*m5**4*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m4**6*m5**4*B0fin(0,0,m5sq) - 21*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m5sq) + m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m5sq) + 20*m2**8*m4sq*m5**4*B0fin(0,0,m5sq) - 7*m1**4*m2**4*m5**6*B0fin(0,0,m5sq) - 17*m1sq*m2**6*m5**6*B0fin(0,0,m5sq) + 24*m2**8*m5**6*B0fin(0,0,m5sq) + 20*m1**4*m4**4*m5**6*B0fin(0,0,m5sq) + 120*m2**4*m4**4*m5**6*B0fin(0,0,m5sq) - 140*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m5sq) + 48*m1sq*m4**6*m5**6*B0fin(0,0,m5sq) - 48*m2sq*m4**6*m5**6*B0fin(0,0,m5sq) + 98*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m5sq) - 90*m2**6*m4sq*m5**6*B0fin(0,0,m5sq) - 8*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m5sq) + 6*m1sq*m2**4*m5**8*B0fin(0,0,m5sq) - 10*m2**6*m5**8*B0fin(0,0,m5sq) + 4*m1**4*m2sq*m5**8*B0fin(0,0,m5sq) - 80*m1sq*m4**4*m5**8*B0fin(0,0,m5sq) + 80*m2sq*m4**4*m5**8*B0fin(0,0,m5sq) - 4*m1**4*m4sq*m5**8*B0fin(0,0,m5sq) - 8*m2**4*m4sq*m5**8*B0fin(0,0,m5sq) + 12*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m5sq) - 4*m1**4*m5**10*B0fin(0,0,m5sq) + 8*m2**4*m5**10*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m5**10*B0fin(0,0,m5sq) + 16*m1sq*m4sq*m5**10*B0fin(0,0,m5sq) - 16*m2sq*m4sq*m5**10*B0fin(0,0,m5sq) + 16*m1sq*m5**12*B0fin(0,0,m5sq) - 16*m2sq*m5**12*B0fin(0,0,m5sq) - 2*m1**4*m2**8*m5sq*B0fin(0,0,m5sq) + 2*m1sq*m2**10*m5sq*B0fin(0,0,m5sq) - 5*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m5sq) + 9*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m5sq) - 4*m2**8*m4**4*m5sq*B0fin(0,0,m5sq) - 2*m1sq*m2**4*m4**6*m5sq*B0fin(0,0,m5sq) + 2*m2**6*m4**6*m5sq*B0fin(0,0,m5sq) + 3*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m5sq) - 5*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m5sq) + 2*m2**10*m4sq*m5sq*B0fin(0,0,m5sq) - 2*m1sq*m2**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m2**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m2**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 10*m1sq*m2**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 16*m1sq*m2sq*m4**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 19*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 33*m1sq*m2**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 48*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 40*m1sq*m2**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 48*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 16*m1sq*m2sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m2**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 13*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1sq*m2**4*m4**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1sq*m2**6*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1sq*m2**10*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 5*m1**4*m2**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 5*m1sq*m2**8*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 10*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 12*m2**6*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 14*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m2**4*m4**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m1sq*m2sq*m4**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 20*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 11*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 28*m2**8*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m2**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 31*m1sq*m2**6*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**8*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m2**4*m4**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 56*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 74*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 92*m2**6*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*m2**4*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 44*m2**6*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m1**4*m2sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m2**4*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 40*m2**4*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1sq*m2sq*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1**4*m2**8*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 3*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m2**8*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1sq*m2**4*m4**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**6*m4**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m2sq*m4**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 3*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 7*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**10*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 16*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 8*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 8*m2**8*m4sq*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 32*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 64*m2**6*m4sq*m5**6*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 32*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 128*m2**4*m4sq*m5**8*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 128*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 2*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1**4*m2**6*m5**4*B0fin(0,0,m5sq)**2 + m2**10*m5**4*B0fin(0,0,m5sq)**2 + 3*m2**6*m4**4*m5**4*B0fin(0,0,m5sq)**2 - 3*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m5sq)**2 + 2*m1**4*m4**6*m5**4*B0fin(0,0,m5sq)**2 - 2*m1sq*m2sq*m4**6*m5**4*B0fin(0,0,m5sq)**2 + 6*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m5sq)**2 - 6*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m5sq)**2 + 8*m1**4*m2**4*m5**6*B0fin(0,0,m5sq)**2 + 2*m1sq*m2**6*m5**6*B0fin(0,0,m5sq)**2 - 10*m2**8*m5**6*B0fin(0,0,m5sq)**2 + 2*m1**4*m4**4*m5**6*B0fin(0,0,m5sq)**2 - 24*m2**4*m4**4*m5**6*B0fin(0,0,m5sq)**2 + 22*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m5sq)**2 - 8*m1sq*m4**6*m5**6*B0fin(0,0,m5sq)**2 + 8*m2sq*m4**6*m5**6*B0fin(0,0,m5sq)**2 - 6*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m5sq)**2 + 21*m2**6*m4sq*m5**6*B0fin(0,0,m5sq)**2 - 15*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m5sq)**2 - 28*m1sq*m2**4*m5**8*B0fin(0,0,m5sq)**2 + 41*m2**6*m5**8*B0fin(0,0,m5sq)**2 - 13*m1**4*m2sq*m5**8*B0fin(0,0,m5sq)**2 - 8*m1sq*m4**4*m5**8*B0fin(0,0,m5sq)**2 + 8*m2sq*m4**4*m5**8*B0fin(0,0,m5sq)**2 - 10*m1**4*m4sq*m5**8*B0fin(0,0,m5sq)**2 - 48*m2**4*m4sq*m5**8*B0fin(0,0,m5sq)**2 + 58*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m5sq)**2 + 6*m1**4*m5**10*B0fin(0,0,m5sq)**2 - 56*m2**4*m5**10*B0fin(0,0,m5sq)**2 + 50*m1sq*m2sq*m5**10*B0fin(0,0,m5sq)**2 + 40*m1sq*m4sq*m5**10*B0fin(0,0,m5sq)**2 - 40*m2sq*m4sq*m5**10*B0fin(0,0,m5sq)**2 - 24*m1sq*m5**12*B0fin(0,0,m5sq)**2 + 24*m2sq*m5**12*B0fin(0,0,m5sq)**2 + 2*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m5sq)**2 - 4*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m5sq)**2 + 2*m2**8*m4**4*m5sq*B0fin(0,0,m5sq)**2 + 2*m1sq*m2**4*m4**6*m5sq*B0fin(0,0,m5sq)**2 - m2**6*m4**6*m5sq*B0fin(0,0,m5sq)**2 - m1**4*m2sq*m4**6*m5sq*B0fin(0,0,m5sq)**2 - m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m5sq)**2 + 2*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m5sq)**2 - m2**10*m4sq*m5sq*B0fin(0,0,m5sq)**2 - m1sq*m2**10*T134fin(m5,m4,m1) - m1sq*m2**6*m4**4*T134fin(m5,m4,m1) + 2*m1sq*m2**8*m4sq*T134fin(m5,m4,m1) - 33*m1sq*m2**6*m5**4*T134fin(m5,m4,m1) - 40*m2**8*m5**4*T134fin(m5,m4,m1) - 32*m2**4*m4**4*m5**4*T134fin(m5,m4,m1) - 16*m1sq*m2sq*m4**4*m5**4*T134fin(m5,m4,m1) + 16*m1sq*m2**4*m4sq*m5**4*T134fin(m5,m4,m1) + 56*m2**6*m4sq*m5**4*T134fin(m5,m4,m1) + 40*m1sq*m2**4*m5**6*T134fin(m5,m4,m1) + 132*m2**6*m5**6*T134fin(m5,m4,m1) + 64*m2sq*m4**4*m5**6*T134fin(m5,m4,m1) - 64*m2**4*m4sq*m5**6*T134fin(m5,m4,m1) + 32*m1sq*m2sq*m4sq*m5**6*T134fin(m5,m4,m1) - 160*m2**4*m5**8*T134fin(m5,m4,m1) - 16*m1sq*m2sq*m5**8*T134fin(m5,m4,m1) - 128*m2sq*m4sq*m5**8*T134fin(m5,m4,m1) + 64*m2sq*m5**10*T134fin(m5,m4,m1) + 10*m1sq*m2**8*m5sq*T134fin(m5,m4,m1) + 4*m2**10*m5sq*T134fin(m5,m4,m1) + 8*m1sq*m2**4*m4**4*m5sq*T134fin(m5,m4,m1) + 4*m2**6*m4**4*m5sq*T134fin(m5,m4,m1) - 14*m1sq*m2**6*m4sq*m5sq*T134fin(m5,m4,m1) - 8*m2**8*m4sq*m5sq*T134fin(m5,m4,m1) + m1**4*m2**8*T134fin(m5,m4,m2) + m1sq*m2**6*m4**4*T134fin(m5,m4,m2) - m1**4*m2**6*m4sq*T134fin(m5,m4,m2) - m1sq*m2**8*m4sq*T134fin(m5,m4,m2) + 24*m1**4*m2**4*m5**4*T134fin(m5,m4,m2) + 45*m1sq*m2**6*m5**4*T134fin(m5,m4,m2) + 4*m2**8*m5**4*T134fin(m5,m4,m2) + 32*m2**4*m4**4*m5**4*T134fin(m5,m4,m2) + 16*m1sq*m2sq*m4**4*m5**4*T134fin(m5,m4,m2) - 32*m1sq*m2**4*m4sq*m5**4*T134fin(m5,m4,m2) - 24*m2**6*m4sq*m5**4*T134fin(m5,m4,m2) - 16*m1**4*m2sq*m4sq*m5**4*T134fin(m5,m4,m2) - 120*m1sq*m2**4*m5**6*T134fin(m5,m4,m2) - 36*m2**6*m5**6*T134fin(m5,m4,m2) - 16*m1**4*m2sq*m5**6*T134fin(m5,m4,m2) - 64*m2sq*m4**4*m5**6*T134fin(m5,m4,m2) + 32*m1sq*m2sq*m4sq*m5**6*T134fin(m5,m4,m2) + 96*m2**4*m5**8*T134fin(m5,m4,m2) + 80*m1sq*m2sq*m5**8*T134fin(m5,m4,m2) + 128*m2sq*m4sq*m5**8*T134fin(m5,m4,m2) - 64*m2sq*m5**10*T134fin(m5,m4,m2) - 9*m1**4*m2**6*m5sq*T134fin(m5,m4,m2) - 5*m1sq*m2**8*m5sq*T134fin(m5,m4,m2) - 8*m1sq*m2**4*m4**4*m5sq*T134fin(m5,m4,m2) - 4*m2**6*m4**4*m5sq*T134fin(m5,m4,m2) + 8*m1**4*m2**4*m4sq*m5sq*T134fin(m5,m4,m2) + 10*m1sq*m2**6*m4sq*m5sq*T134fin(m5,m4,m2) + 4*m2**8*m4sq*m5sq*T134fin(m5,m4,m2) + m1sq*m2**10*T134fin(m5,m5,m1) + m1sq*m2**6*m4**4*T134fin(m5,m5,m1) + 2*m2**8*m4**4*T134fin(m5,m5,m1) - m2**6*m4**6*T134fin(m5,m5,m1) - 2*m1sq*m2**8*m4sq*T134fin(m5,m5,m1) - m2**10*m4sq*T134fin(m5,m5,m1) + 33*m1sq*m2**6*m5**4*T134fin(m5,m5,m1) + 30*m2**8*m5**4*T134fin(m5,m5,m1) + 40*m2**4*m4**4*m5**4*T134fin(m5,m5,m1) + 16*m1sq*m2sq*m4**4*m5**4*T134fin(m5,m5,m1) - 16*m2sq*m4**6*m5**4*T134fin(m5,m5,m1) - 16*m1sq*m2**4*m4sq*m5**4*T134fin(m5,m5,m1) - 75*m2**6*m4sq*m5**4*T134fin(m5,m5,m1) - 40*m1sq*m2**4*m5**6*T134fin(m5,m5,m1) - 99*m2**6*m5**6*T134fin(m5,m5,m1) - 16*m2sq*m4**4*m5**6*T134fin(m5,m5,m1) + 88*m2**4*m4sq*m5**6*T134fin(m5,m5,m1) - 32*m1sq*m2sq*m4sq*m5**6*T134fin(m5,m5,m1) + 120*m2**4*m5**8*T134fin(m5,m5,m1) + 16*m1sq*m2sq*m5**8*T134fin(m5,m5,m1) + 80*m2sq*m4sq*m5**8*T134fin(m5,m5,m1) - 48*m2sq*m5**10*T134fin(m5,m5,m1) - 10*m1sq*m2**8*m5sq*T134fin(m5,m5,m1) - 3*m2**10*m5sq*T134fin(m5,m5,m1) - 8*m1sq*m2**4*m4**4*m5sq*T134fin(m5,m5,m1) - 17*m2**6*m4**4*m5sq*T134fin(m5,m5,m1) + 8*m2**4*m4**6*m5sq*T134fin(m5,m5,m1) + 14*m1sq*m2**6*m4sq*m5sq*T134fin(m5,m5,m1) + 16*m2**8*m4sq*m5sq*T134fin(m5,m5,m1) - m1**4*m2**8*T134fin(m5,m5,m2) - m1**4*m2**4*m4**4*T134fin(m5,m5,m2) - 2*m1sq*m2**6*m4**4*T134fin(m5,m5,m2) + m1sq*m2**4*m4**6*T134fin(m5,m5,m2) + 2*m1**4*m2**6*m4sq*T134fin(m5,m5,m2) + m1sq*m2**8*m4sq*T134fin(m5,m5,m2) - 19*m1**4*m2**4*m5**4*T134fin(m5,m5,m2) - 40*m1sq*m2**6*m5**4*T134fin(m5,m5,m2) - 4*m2**8*m5**4*T134fin(m5,m5,m2) - 2*m1**4*m4**4*m5**4*T134fin(m5,m5,m2) - 12*m2**4*m4**4*m5**4*T134fin(m5,m5,m2) - 42*m1sq*m2sq*m4**4*m5**4*T134fin(m5,m5,m2) + 8*m1sq*m4**6*m5**4*T134fin(m5,m5,m2) + 8*m2sq*m4**6*m5**4*T134fin(m5,m5,m2) + 63*m1sq*m2**4*m4sq*m5**4*T134fin(m5,m5,m2) + 24*m2**6*m4sq*m5**4*T134fin(m5,m5,m2) + 4*m1**4*m2sq*m4sq*m5**4*T134fin(m5,m5,m2) + 89*m1sq*m2**4*m5**6*T134fin(m5,m5,m2) + 32*m2**6*m5**6*T134fin(m5,m5,m2) + 18*m1**4*m2sq*m5**6*T134fin(m5,m5,m2) + 8*m1sq*m4**4*m5**6*T134fin(m5,m5,m2) + 8*m2sq*m4**4*m5**6*T134fin(m5,m5,m2) + 10*m1**4*m4sq*m5**6*T134fin(m5,m5,m2) - 60*m2**4*m4sq*m5**6*T134fin(m5,m5,m2) - 6*m1sq*m2sq*m4sq*m5**6*T134fin(m5,m5,m2) - 6*m1**4*m5**8*T134fin(m5,m5,m2) - 52*m2**4*m5**8*T134fin(m5,m5,m2) - 78*m1sq*m2sq*m5**8*T134fin(m5,m5,m2) - 40*m1sq*m4sq*m5**8*T134fin(m5,m5,m2) - 40*m2sq*m4sq*m5**8*T134fin(m5,m5,m2) + 24*m1sq*m5**10*T134fin(m5,m5,m2) + 24*m2sq*m5**10*T134fin(m5,m5,m2) + 8*m1**4*m2**6*m5sq*T134fin(m5,m5,m2) + 5*m1sq*m2**8*m5sq*T134fin(m5,m5,m2) + 7*m1sq*m2**4*m4**4*m5sq*T134fin(m5,m5,m2) + 8*m2**6*m4**4*m5sq*T134fin(m5,m5,m2) + 10*m1**4*m2sq*m4**4*m5sq*T134fin(m5,m5,m2) - 2*m1**4*m4**6*m5sq*T134fin(m5,m5,m2) - 4*m2**4*m4**6*m5sq*T134fin(m5,m5,m2) - 2*m1sq*m2sq*m4**6*m5sq*T134fin(m5,m5,m2) - 12*m1**4*m2**4*m4sq*m5sq*T134fin(m5,m5,m2) - 14*m1sq*m2**6*m4sq*m5sq*T134fin(m5,m5,m2) - 4*m2**8*m4sq*m5sq*T134fin(m5,m5,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))))
		def eval_95():
			return (m1**8/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1**4*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1**4*m7**4)/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m7**6)/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (4*m1sq*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (6*m1sq*m2**8)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + m2**10/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1sq*m2**10)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (10*m1sq*m2**4*m4**4)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m4**4)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m1sq*m2**6*m4sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**8*m4sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m2**4*m7**4)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (14*m1sq*m2**6*m7**4)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2**8*m7**4)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2**6*(-m1sq + m2sq)*m7**4)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (20*m2sq*(-m1sq + m2sq)*m4sq*m7**4)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2sq*(-m1sq + m2sq)*m7**6)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (16*m1sq*m2**4*m7**6)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**6*m7**6)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*(-m1sq + m2sq)*m7**6)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2sq*(-m1sq + m2sq)*m7**8)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2sq*(-m1sq + m2sq)*m7**4)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**2) - (2*m2sq*m7**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**4*m7**4)/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2sq*m7**6)/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) + (4*m2sq*m4sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) - (8*(m1sq - m2sq)*(-(m4sq*m7) + m7**3)**2)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**2) - (10*m2**4*m4**4*(m4sq - m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (3*m1sq*m2sq*m4**4*(m4sq - m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (14*m2**4*m7**4*(m4sq - m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (9*m1sq*m2sq*m7**6*(m4sq - m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*(m4sq - m7sq)**2)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (6*(m1sq - m2sq)*m7**4*(m4sq - m7sq)**2)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + ((-m1sq + m2sq)*m7**6*(m4sq - m7sq)**2)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*(m4sq - m7sq)**2)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) + (3*m2sq*m4sq*(m4sq - m7sq)**3)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2sq*m7**4*(m4sq - m7sq)**3)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (5*m1**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m7sq)/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (22*m1sq*m2**6*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (10*m2**8*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2**6*(-m1sq + m2sq)*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m1sq*m2**8*m7sq)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m2**10*m7sq)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**8*(-m1sq + m2sq)*m7sq)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2sq*(-m1sq + m2sq)*m4**4*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2**4*m4sq*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**6*m4sq*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*(-m1sq + m2sq)*m4sq*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (16*m2**4*(m1sq - m2sq)*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**2) + (8*m2sq*(-m1sq + m2sq)*m4sq*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**2) - (3*m2**4*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m7sq)/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) + (7*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + ((-m1sq + m2sq)*m4sq*(m4sq - m7sq)**2*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*(m4sq - m7sq)**3*m7sq)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (13*m1sq*m2sq*m7**4*(-m4sq + m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2**4*m7**6*(-m4sq + m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7**4*(-m4sq + m7sq)**3)/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*m7sq*(-m4sq + m7sq)**3)/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m7sq*(m1sq - m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*(5*m4sq + 3*m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m7**4*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m2**4*m7**4*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m7**4*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2sq*m7**4*(m4sq - m7sq)*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m1sq*m2**6*m7sq*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2**8*m7sq*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m2**4*m4sq*m7sq*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m4sq*m7sq*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m1sq*m2**4*m7**4*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m7**4*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m7**4*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2sq*(-m1sq + m2sq)*m4sq*m7**4*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*m7**4*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m2**4*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*(-m1sq + m2sq)*m7**4*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m2**6*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**8*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2**6*(-m1sq + m2sq)*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m2**4*m4sq*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m2**4*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*(-m1sq + m2sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7sq*(-m4sq + m7sq)**3*B0del(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7**4*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m2**4*m7**4*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m7**4*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2sq*(-m1sq + m2sq)*m4sq*m7**4*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*m7**4*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*(-m1sq + m2sq)*m7**4*(m4sq - m7sq)**2*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m1**4*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m2**6*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**8*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2**6*(-m1sq + m2sq)*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m1sq*m2**4*m4sq*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m4sq*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m2**4*m7sq*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (6*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*(-m1sq + m2sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*(m4sq - m7sq)**3*m7sq*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*m7**4*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*B0fin(0,0,m1sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**4*B0fin(0,0,m1sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m7**6*B0fin(0,0,m1sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m1sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m2**8*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (8*m2**10*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**12*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (22*m2**6*m4**4*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m1sq*m2**6*m4sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (20*m2**8*m4sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m1sq*m2**4*m7**4*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (18*m2**6*m7**4*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2**6*m7**4*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**8*m7**4*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m1sq*m2**4*m7**6*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2**6*m7**6*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (11*m2**4*m4**4*(m4sq - m7sq)*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m2sq*m4**4*(m4sq - m7sq)*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (14*m1sq*m2sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m1sq*m7**4*(m4sq - m7sq)**3*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m1sq*m2**6*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (10*m2**8*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1sq*m2**8*m7sq*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2**10*m7sq*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2**6*m4sq*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (9*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m2sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (19*m2**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m2sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**4*m7**6*(-m4sq + m7sq)*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m2sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1**8*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1sq*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m7**4*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m7**6*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m2**8*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (8*m2**10*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**12*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (22*m2**6*m4**4*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m1sq*m2**6*m4sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (20*m2**8*m4sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m1sq*m2**4*m7**4*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**6*m7**4*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*(-m1sq + m2sq)*m7**4*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2**6*m7**4*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**8*m7**4*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2**6*(-m1sq + m2sq)*m7**4*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (28*m2sq*(-m1sq + m2sq)*m4sq*m7**4*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2sq*(-m1sq + m2sq)*m7**6*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m1sq*m2**4*m7**6*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2**6*m7**6*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m7**6*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*(-m1sq + m2sq)*m7**8*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*m7**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m7**4*B0fin(0,0,m4sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2sq*m7**6*B0fin(0,0,m4sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (11*m2**4*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m2sq*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (3*m2**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*(-m1sq + m2sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + ((m1sq - m2sq)*m7**6*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m1sq*m7**4*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (5*m1**4*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m7sq*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m2**6*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (16*m2**8*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1sq*m2**8*m7sq*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m2**10*m7sq*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m2**8*(-m1sq + m2sq)*m7sq*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2sq*(-m1sq + m2sq)*m4**4*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (16*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (28*m2**6*m4sq*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2**4*(-m1sq + m2sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**4*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m7sq*B0fin(0,0,m4sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (23*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (20*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (5*(-m1sq + m2sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m1sq*m2sq*m7**4*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**4*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m2sq*m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m1**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m2**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m4sq - m7sq)**2*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m2**6*(-m1sq + m2sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (3*m2sq*(-m1sq + m2sq)*m4**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (3*m2**4*(-m1sq + m2sq)*m4sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m2sq*(-m1sq + m2sq)*m7**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(-(m4sq*m7) + m7**3)**2*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + ((m4sq - m7sq)**2*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*(-m1sq + m2sq)*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*(-m1sq + m2sq)*m4sq*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(m4**3 - m4*m7sq)**2*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**4*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m7**6*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (14*m1sq*m2**4*m7**4*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2**6*m7**4*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*(-m1sq + m2sq)*m7**4*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2**6*(-m1sq + m2sq)*m7**4*B0fin(0,0,m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (28*m2sq*(-m1sq + m2sq)*m4sq*m7**4*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2sq*(-m1sq + m2sq)*m7**6*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m7**6*B0fin(0,0,m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*(-m1sq + m2sq)*m7**8*B0fin(0,0,m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*m7**4*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m7**4*B0fin(0,0,m7sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2sq*m7**6*B0fin(0,0,m7sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (20*m1sq*m2sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*(-m1sq + m2sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + ((m1sq - m2sq)*m7**6*(m4sq - m7sq)**2*B0fin(0,0,m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m1**4*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m7sq*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m2**6*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**8*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (m2**8*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m4**2*(m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (12*m2sq*(-m1sq + m2sq)*m4**4*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (10*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (16*m2**6*m4sq*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2**4*(-m1sq + m2sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (m2**4*m7sq*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m7sq*B0fin(0,0,m7sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (14*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m1sq*m2sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (5*(-m1sq + m2sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/(m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (22*m2**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m2**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m1sq*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (12*m2**6*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (6*m2**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m1sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m2**4*(-m1sq + m2sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2sq*(-m1sq + m2sq)*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m2sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*(-m1sq + m2sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (2*m1**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m2**6*(-m1sq + m2sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (6*m2**4*(-m1sq + m2sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (2*m2**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*(-m1sq + m2sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) - (4*m1sq*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*(m1sq - m2sq)*m2sq*m7**4*T134fin(m7,m4,m2))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*(m1sq - m2sq)*(-(m4sq*m7) + m7**3)**2*T134fin(m7,m4,m2))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (8*m2**4*(-m1sq + m2sq)*m7sq*T134fin(m7,m4,m2))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*(m1sq - m2sq)*m2sq*m4sq*m7sq*T134fin(m7,m4,m2))/((m2 - m4 - m7)**3*(m2 + m4 - m7)**3*(m2 - m4 + m7)**3*(m2 + m4 + m7)**3) + (4*m2sq*m7sq*T134fin(m7,m4,m2))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2))/(2.*(m1sq - m2sq)**2)
		def eval_96():
			return -((m1**4*m2**8*m4 - m1sq*m2**10*m4 - 9*m1**4*m2**6*m4**3 + 7*m1sq*m2**8*m4**3 + 2*m2**10*m4**3 - m1**4*m2**5*m4**4 - 2*m1**4*m2**6*m4**4 - 5*m1sq*m2**7*m4**4 + 10*m1*m2**8*m4**4 - 2*m1sq*m2**8*m4**4 - 4*m2**9*m4**4 + 4*m2**10*m4**4 + 22*m1**4*m2**4*m4**5 + 2*m1sq*m2**6*m4**5 - 24*m2**8*m4**5 - 7*m1**4*m2**3*m4**6 - 3*m1**4*m2**4*m4**6 + 20*m1sq*m2**5*m4**6 - 33*m1*m2**6*m4**6 + 11*m1sq*m2**6*m4**6 + 20*m2**7*m4**6 - 8*m2**8*m4**6 - 40*m1sq*m2**4*m4**7 + 70*m2**6*m4**7 - 30*m1**4*m2sq*m4**7 + 8*m1**4*m2*m4**8 + 16*m1sq*m2**3*m4**8 + 40*m1*m2**4*m4**8 + 4*m1sq*m2**4*m4**8 - 64*m2**5*m4**8 - 12*m2**6*m4**8 + 8*m1**4*m2sq*m4**8 + 16*m1**4*m4**9 - 112*m2**4*m4**9 + 96*m1sq*m2sq*m4**9 - 4*m1**4*m4**10 - 32*m1sq*m2*m4**10 + 48*m2**3*m4**10 + 32*m2**4*m4**10 - 16*m1*m2sq*m4**10 - 28*m1sq*m2sq*m4**10 - 64*m1sq*m4**11 + 64*m2sq*m4**11 + 16*m1sq*m4**12 - 16*m2sq*m4**12 + m1**4*m2**8*m4sq + m1sq*m2**9*m4sq - m1*m2**10*m4sq - m1sq*m2**10*m4sq - m1**4*m2**8*m6 + m1sq*m2**10*m6 - 24*m1**4*m2**4*m4**4*m6 - 12*m1sq*m2**6*m4**4*m6 + 36*m2**8*m4**4*m6 + 80*m1sq*m2**4*m4**6*m6 - 96*m2**6*m4**6*m6 + 16*m1**4*m2sq*m4**6*m6 + 64*m2**4*m4**8*m6 - 64*m1sq*m2sq*m4**8*m6 + 9*m1**4*m2**6*m4sq*m6 - 5*m1sq*m2**8*m4sq*m6 - 4*m2**10*m4sq*m6 + m1**4*m2**6*m6**3 - m1sq*m2**8*m6**3 + 16*m1sq*m2**4*m4**4*m6**3 - 32*m2**6*m4**4*m6**3 + 16*m1**4*m2sq*m4**4*m6**3 + 64*m2**4*m4**6*m6**3 - 64*m1sq*m2sq*m4**6*m6**3 - 8*m1**4*m2**4*m4sq*m6**3 + 4*m1sq*m2**6*m4sq*m6**3 + 4*m2**8*m4sq*m6**3 - m1**4*m2**5*m6**4 + 2*m1**4*m2**6*m6**4 + 3*m1sq*m2**7*m6**4 - 2*m1*m2**8*m6**4 - 2*m1sq*m2**8*m6**4 - 2*m1**4*m2**4*m4*m6**4 + 6*m1sq*m2**6*m4*m6**4 - 4*m2**8*m4*m6**4 + 16*m1sq*m2**4*m4**3*m6**4 + 2*m2**6*m4**3*m6**4 - 18*m1**4*m2sq*m4**3*m6**4 + 8*m1**4*m2*m4**4*m6**4 + 16*m1sq*m2**3*m4**4*m6**4 - 8*m1*m2**4*m4**4*m6**4 - 4*m1sq*m2**4*m4**4*m6**4 - 16*m2**5*m4**4*m6**4 + 12*m2**6*m4**4*m6**4 - 8*m1**4*m2sq*m4**4*m6**4 + 16*m1**4*m4**5*m6**4 - 48*m2**4*m4**5*m6**4 + 32*m1sq*m2sq*m4**5*m6**4 - 12*m1**4*m4**6*m6**4 - 32*m1sq*m2*m4**6*m6**4 + 80*m2**3*m4**6*m6**4 - 32*m2**4*m4**6*m6**4 - 48*m1*m2sq*m4**6*m6**4 + 44*m1sq*m2sq*m4**6*m6**4 - 64*m1sq*m4**7*m6**4 + 64*m2sq*m4**7*m6**4 + 48*m1sq*m4**8*m6**4 - 48*m2sq*m4**8*m6**4 - 9*m1**4*m2**3*m4sq*m6**4 + 3*m1**4*m2**4*m4sq*m6**4 + 8*m1sq*m2**5*m4sq*m6**4 + 13*m1*m2**6*m4sq*m6**4 - 11*m1sq*m2**6*m4sq*m6**4 - 12*m2**7*m4sq*m6**4 + 8*m2**8*m4sq*m6**4 + m1**4*m2**3*m6**6 - m1**4*m2**4*m6**6 - 2*m1sq*m2**5*m6**6 + m1*m2**6*m6**6 + m1sq*m2**6*m6**6 - 4*m1sq*m2**4*m4*m6**6 + 2*m2**6*m4*m6**6 + 2*m1**4*m2sq*m4*m6**6 + 4*m1**4*m4**4*m6**6 - 16*m2**3*m4**4*m6**6 + 16*m1*m2sq*m4**4*m6**6 - 4*m1sq*m2sq*m4**4*m6**6 - 16*m1sq*m4**6*m6**6 + 16*m2sq*m4**6*m6**6 - 8*m1*m2**4*m4sq*m6**6 + 4*m1sq*m2**4*m4sq*m6**6 + 8*m2**5*m4sq*m6**6 - 4*m2**6*m4sq*m6**6 - m1**4*m2**8*m6sq - m1sq*m2**9*m6sq + m1*m2**10*m6sq + m1sq*m2**10*m6sq - m1**4*m2**6*m4*m6sq - m1sq*m2**8*m4*m6sq + 2*m2**10*m4*m6sq + 12*m1**4*m2**4*m4**3*m6sq - 12*m2**8*m4**3*m6sq + 15*m1**4*m2**3*m4**4*m6sq + m1**4*m2**4*m4**4*m6sq - 26*m1sq*m2**5*m4**4*m6sq + 19*m1*m2**6*m4**4*m6sq - m1sq*m2**6*m4**4*m6sq - 8*m2**7*m4**4*m6sq - 68*m1sq*m2**4*m4**5*m6sq + 54*m2**6*m4**5*m6sq + 14*m1**4*m2sq*m4**5*m6sq - 16*m1**4*m2*m4**6*m6sq - 32*m1sq*m2**3*m4**6*m6sq - 24*m1*m2**4*m4**6*m6sq - 4*m1sq*m2**4*m4**6*m6sq + 72*m2**5*m4**6*m6sq + 4*m2**6*m4**6*m6sq - 32*m1**4*m4**7*m6sq + 32*m2**4*m4**7*m6sq + 12*m1**4*m4**8*m6sq + 64*m1sq*m2*m4**8*m6sq - 112*m2**3*m4**8*m6sq + 48*m1*m2sq*m4**8*m6sq - 12*m1sq*m2sq*m4**8*m6sq + 128*m1sq*m4**9*m6sq - 128*m2sq*m4**9*m6sq - 48*m1sq*m4**10*m6sq + 48*m2sq*m4**10*m6sq + 2*m1**4*m2**5*m4sq*m6sq + 2*m1sq*m2**7*m4sq*m6sq - 8*m1*m2**8*m4sq*m6sq + 4*m1sq*m2**8*m4sq*m6sq + 4*m2**9*m4sq*m6sq - 4*m2**10*m4sq*m6sq - m1sq*m2sq*(m2sq - 4*m4sq)**2*(m4sq - m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*B0del(0,0,m1sq) + m2sq*(m1sq - 4*m4sq)*(m4sq - m6sq)*(-(m2**6*(m4sq + m6sq)) - 2*m2sq*m4sq*(5*m4**4 + m6**4 - 6*m4sq*m6sq) + m2**4*(11*m4**4 + m6**4 - 4*m4sq*m6sq) + m1sq*(m2**6 + 6*m4**6 - 2*m4sq*m6**4 - 4*m4**4*m6sq - m2**4*(5*m4sq + m6sq) - 2*m2sq*(m4**4 - 5*m4sq*m6sq)))*B0del(0,0,m2sq) - 7*m1**4*m2**6*m4**4*B0del(0,0,m4sq) + 5*m1sq*m2**8*m4**4*B0del(0,0,m4sq) + 2*m2**10*m4**4*B0del(0,0,m4sq) + 14*m1**4*m2**4*m4**6*B0del(0,0,m4sq) + 2*m1sq*m2**6*m4**6*B0del(0,0,m4sq) - 16*m2**8*m4**6*B0del(0,0,m4sq) - 18*m1sq*m2**4*m4**8*B0del(0,0,m4sq) + 38*m2**6*m4**8*B0del(0,0,m4sq) - 20*m1**4*m2sq*m4**8*B0del(0,0,m4sq) + 12*m1**4*m4**10*B0del(0,0,m4sq) - 72*m2**4*m4**10*B0del(0,0,m4sq) + 60*m1sq*m2sq*m4**10*B0del(0,0,m4sq) - 48*m1sq*m4**12*B0del(0,0,m4sq) + 48*m2sq*m4**12*B0del(0,0,m4sq) + m1**4*m2**8*m4sq*B0del(0,0,m4sq) - m1sq*m2**10*m4sq*B0del(0,0,m4sq) + 2*m1sq*m2**4*m4**4*m6**4*B0del(0,0,m4sq) + 18*m2**6*m4**4*m6**4*B0del(0,0,m4sq) - 20*m1**4*m2sq*m4**4*m6**4*B0del(0,0,m4sq) + 4*m1**4*m4**6*m6**4*B0del(0,0,m4sq) - 56*m2**4*m4**6*m6**4*B0del(0,0,m4sq) + 52*m1sq*m2sq*m4**6*m6**4*B0del(0,0,m4sq) - 16*m1sq*m4**8*m6**4*B0del(0,0,m4sq) + 16*m2sq*m4**8*m6**4*B0del(0,0,m4sq) + 2*m1**4*m2**4*m4sq*m6**4*B0del(0,0,m4sq) + 2*m1sq*m2**6*m4sq*m6**4*B0del(0,0,m4sq) - 4*m2**8*m4sq*m6**4*B0del(0,0,m4sq) + 4*m1**4*m4**4*m6**6*B0del(0,0,m4sq) - 8*m2**4*m4**4*m6**6*B0del(0,0,m4sq) + 4*m1sq*m2sq*m4**4*m6**6*B0del(0,0,m4sq) - 16*m1sq*m4**6*m6**6*B0del(0,0,m4sq) + 16*m2sq*m4**6*m6**6*B0del(0,0,m4sq) - 2*m1sq*m2**4*m4sq*m6**6*B0del(0,0,m4sq) + 2*m2**6*m4sq*m6**6*B0del(0,0,m4sq) + 16*m1**4*m2**4*m4**4*m6sq*B0del(0,0,m4sq) + 4*m1sq*m2**6*m4**4*m6sq*B0del(0,0,m4sq) - 20*m2**8*m4**4*m6sq*B0del(0,0,m4sq) - 78*m1sq*m2**4*m4**6*m6sq*B0del(0,0,m4sq) + 70*m2**6*m4**6*m6sq*B0del(0,0,m4sq) + 8*m1**4*m2sq*m4**6*m6sq*B0del(0,0,m4sq) - 20*m1**4*m4**8*m6sq*B0del(0,0,m4sq) + 8*m2**4*m4**8*m6sq*B0del(0,0,m4sq) + 12*m1sq*m2sq*m4**8*m6sq*B0del(0,0,m4sq) + 80*m1sq*m4**10*m6sq*B0del(0,0,m4sq) - 80*m2sq*m4**10*m6sq*B0del(0,0,m4sq) - 3*m1**4*m2**6*m4sq*m6sq*B0del(0,0,m4sq) + m1sq*m2**8*m4sq*m6sq*B0del(0,0,m4sq) + 2*m2**10*m4sq*m6sq*B0del(0,0,m4sq) + m1**4*m2**6*m6**4*B0del(0,0,m6sq) - m1sq*m2**8*m6**4*B0del(0,0,m6sq) + 16*m1sq*m2**4*m4**4*m6**4*B0del(0,0,m6sq) - 32*m2**6*m4**4*m6**4*B0del(0,0,m6sq) + 16*m1**4*m2sq*m4**4*m6**4*B0del(0,0,m6sq) + 64*m2**4*m4**6*m6**4*B0del(0,0,m6sq) - 64*m1sq*m2sq*m4**6*m6**4*B0del(0,0,m6sq) - 8*m1**4*m2**4*m4sq*m6**4*B0del(0,0,m6sq) + 4*m1sq*m2**6*m4sq*m6**4*B0del(0,0,m6sq) + 4*m2**8*m4sq*m6**4*B0del(0,0,m6sq) - m1**4*m2**8*m6sq*B0del(0,0,m6sq) + m1sq*m2**10*m6sq*B0del(0,0,m6sq) - 24*m1**4*m2**4*m4**4*m6sq*B0del(0,0,m6sq) - 12*m1sq*m2**6*m4**4*m6sq*B0del(0,0,m6sq) + 36*m2**8*m4**4*m6sq*B0del(0,0,m6sq) + 80*m1sq*m2**4*m4**6*m6sq*B0del(0,0,m6sq) - 96*m2**6*m4**6*m6sq*B0del(0,0,m6sq) + 16*m1**4*m2sq*m4**6*m6sq*B0del(0,0,m6sq) + 64*m2**4*m4**8*m6sq*B0del(0,0,m6sq) - 64*m1sq*m2sq*m4**8*m6sq*B0del(0,0,m6sq) + 9*m1**4*m2**6*m4sq*m6sq*B0del(0,0,m6sq) - 5*m1sq*m2**8*m4sq*m6sq*B0del(0,0,m6sq) - 4*m2**10*m4sq*m6sq*B0del(0,0,m6sq) + 20*m1*m2**8*m4**4*B0fin(0,0,m1) - 66*m1*m2**6*m4**6*B0fin(0,0,m1) + 80*m1*m2**4*m4**8*B0fin(0,0,m1) - 32*m1*m2sq*m4**10*B0fin(0,0,m1) - 2*m1*m2**10*m4sq*B0fin(0,0,m1) - 4*m1*m2**8*m6**4*B0fin(0,0,m1) - 16*m1*m2**4*m4**4*m6**4*B0fin(0,0,m1) - 96*m1*m2sq*m4**6*m6**4*B0fin(0,0,m1) + 26*m1*m2**6*m4sq*m6**4*B0fin(0,0,m1) + 2*m1*m2**6*m6**6*B0fin(0,0,m1) + 32*m1*m2sq*m4**4*m6**6*B0fin(0,0,m1) - 16*m1*m2**4*m4sq*m6**6*B0fin(0,0,m1) + 2*m1*m2**10*m6sq*B0fin(0,0,m1) + 38*m1*m2**6*m4**4*m6sq*B0fin(0,0,m1) - 48*m1*m2**4*m4**6*m6sq*B0fin(0,0,m1) + 96*m1*m2sq*m4**8*m6sq*B0fin(0,0,m1) - 16*m1*m2**8*m4sq*m6sq*B0fin(0,0,m1) - 10*m1sq*m2**8*m4**4*B0fin(0,0,m1sq) + 33*m1sq*m2**6*m4**6*B0fin(0,0,m1sq) - 40*m1sq*m2**4*m4**8*B0fin(0,0,m1sq) + 16*m1sq*m2sq*m4**10*B0fin(0,0,m1sq) + m1sq*m2**10*m4sq*B0fin(0,0,m1sq) + 2*m1sq*m2**8*m6**4*B0fin(0,0,m1sq) + 8*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m1sq) + 48*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m1sq) - 13*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m1sq) - m1sq*m2**6*m6**6*B0fin(0,0,m1sq) - 16*m1sq*m2sq*m4**4*m6**6*B0fin(0,0,m1sq) + 8*m1sq*m2**4*m4sq*m6**6*B0fin(0,0,m1sq) - m1sq*m2**10*m6sq*B0fin(0,0,m1sq) - 19*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m1sq) + 24*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m1sq) - 48*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m1sq) + 8*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m1sq) - 18*m1**4*m2**5*m4**4*B0fin(0,0,m2) - 10*m1sq*m2**7*m4**4*B0fin(0,0,m2) + 8*m2**9*m4**4*B0fin(0,0,m2) + 6*m1**4*m2**3*m4**6*B0fin(0,0,m2) + 84*m1sq*m2**5*m4**6*B0fin(0,0,m2) - 24*m2**7*m4**6*B0fin(0,0,m2) + 8*m1**4*m2*m4**8*B0fin(0,0,m2) - 40*m1sq*m2**3*m4**8*B0fin(0,0,m2) - 48*m2**5*m4**8*B0fin(0,0,m2) - 32*m1sq*m2*m4**10*B0fin(0,0,m2) + 64*m2**3*m4**10*B0fin(0,0,m2) + 4*m1**4*m2**7*m4sq*B0fin(0,0,m2) - 2*m1sq*m2**9*m4sq*B0fin(0,0,m2) + 6*m1**4*m2**5*m6**4*B0fin(0,0,m2) - 2*m1sq*m2**7*m6**4*B0fin(0,0,m2) - 8*m1**4*m2*m4**4*m6**4*B0fin(0,0,m2) + 72*m1sq*m2**3*m4**4*m6**4*B0fin(0,0,m2) - 48*m2**5*m4**4*m6**4*B0fin(0,0,m2) + 32*m1sq*m2*m4**6*m6**4*B0fin(0,0,m2) + 64*m2**3*m4**6*m6**4*B0fin(0,0,m2) - 22*m1**4*m2**3*m4sq*m6**4*B0fin(0,0,m2) - 12*m1sq*m2**5*m4sq*m6**4*B0fin(0,0,m2) + 8*m2**7*m4sq*m6**4*B0fin(0,0,m2) - 2*m1**4*m2**3*m6**6*B0fin(0,0,m2) - 32*m1sq*m2*m4**4*m6**6*B0fin(0,0,m2) + 8*m1**4*m2*m4sq*m6**6*B0fin(0,0,m2) + 8*m1sq*m2**3*m4sq*m6**6*B0fin(0,0,m2) - 4*m1**4*m2**7*m6sq*B0fin(0,0,m2) + 2*m1sq*m2**9*m6sq*B0fin(0,0,m2) + 18*m1**4*m2**3*m4**4*m6sq*B0fin(0,0,m2) - 72*m1sq*m2**5*m4**4*m6sq*B0fin(0,0,m2) + 16*m2**7*m4**4*m6sq*B0fin(0,0,m2) - 8*m1**4*m2*m4**6*m6sq*B0fin(0,0,m2) - 40*m1sq*m2**3*m4**6*m6sq*B0fin(0,0,m2) + 96*m2**5*m4**6*m6sq*B0fin(0,0,m2) + 32*m1sq*m2*m4**8*m6sq*B0fin(0,0,m2) - 128*m2**3*m4**8*m6sq*B0fin(0,0,m2) + 12*m1**4*m2**5*m4sq*m6sq*B0fin(0,0,m2) + 12*m1sq*m2**7*m4sq*m6sq*B0fin(0,0,m2) - 8*m2**9*m4sq*m6sq*B0fin(0,0,m2) + 7*m1**4*m2**6*m4**4*B0fin(0,0,m2sq) + 7*m1sq*m2**8*m4**4*B0fin(0,0,m2sq) - 4*m2**10*m4**4*B0fin(0,0,m2sq) + m1**4*m2**4*m4**6*B0fin(0,0,m2sq) - 38*m1sq*m2**6*m4**6*B0fin(0,0,m2sq) + 4*m2**8*m4**6*B0fin(0,0,m2sq) + 6*m1sq*m2**4*m4**8*B0fin(0,0,m2sq) + 40*m2**6*m4**8*B0fin(0,0,m2sq) - 6*m1**4*m2sq*m4**8*B0fin(0,0,m2sq) - 40*m2**4*m4**10*B0fin(0,0,m2sq) + 24*m1sq*m2sq*m4**10*B0fin(0,0,m2sq) - 2*m1**4*m2**8*m4sq*B0fin(0,0,m2sq) + m1sq*m2**10*m4sq*B0fin(0,0,m2sq) - 3*m1**4*m2**6*m6**4*B0fin(0,0,m2sq) + m1sq*m2**8*m6**4*B0fin(0,0,m2sq) - 14*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m2sq) + 8*m2**6*m4**4*m6**4*B0fin(0,0,m2sq) - 2*m1**4*m2sq*m4**4*m6**4*B0fin(0,0,m2sq) - 56*m2**4*m4**6*m6**4*B0fin(0,0,m2sq) + 8*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m2sq) + 7*m1**4*m2**4*m4sq*m6**4*B0fin(0,0,m2sq) + 10*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m2sq) - 4*m2**8*m4sq*m6**4*B0fin(0,0,m2sq) + m1**4*m2**4*m6**6*B0fin(0,0,m2sq) + 8*m2**4*m4**4*m6**6*B0fin(0,0,m2sq) + 8*m1sq*m2sq*m4**4*m6**6*B0fin(0,0,m2sq) - 6*m1sq*m2**4*m4sq*m6**6*B0fin(0,0,m2sq) - 2*m1**4*m2sq*m4sq*m6**6*B0fin(0,0,m2sq) + 2*m1**4*m2**8*m6sq*B0fin(0,0,m2sq) - m1sq*m2**10*m6sq*B0fin(0,0,m2sq) - 9*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m2sq) + 28*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m2sq) + 14*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m2sq) - 48*m2**6*m4**6*m6sq*B0fin(0,0,m2sq) + 10*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m2sq) + 88*m2**4*m4**8*m6sq*B0fin(0,0,m2sq) - 40*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m2sq) - 4*m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m2sq) - 8*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m2sq) + 4*m2**10*m4sq*m6sq*B0fin(0,0,m2sq) + 2*m1**4*m2**8*m4*B0fin(0,0,m4) - 2*m1sq*m2**10*m4*B0fin(0,0,m4) - 10*m1**4*m2**6*m4**3*B0fin(0,0,m4) + 6*m1sq*m2**8*m4**3*B0fin(0,0,m4) + 4*m2**10*m4**3*B0fin(0,0,m4) + 12*m1**4*m2**4*m4**5*B0fin(0,0,m4) + 4*m1sq*m2**6*m4**5*B0fin(0,0,m4) - 16*m2**8*m4**5*B0fin(0,0,m4) + 8*m1sq*m2**4*m4**7*B0fin(0,0,m4) + 12*m2**6*m4**7*B0fin(0,0,m4) - 20*m1**4*m2sq*m4**7*B0fin(0,0,m4) + 16*m1**4*m4**9*B0fin(0,0,m4) - 64*m2**4*m4**9*B0fin(0,0,m4) + 48*m1sq*m2sq*m4**9*B0fin(0,0,m4) - 64*m1sq*m4**11*B0fin(0,0,m4) + 64*m2sq*m4**11*B0fin(0,0,m4) + 12*m1**4*m2**4*m4*m6**4*B0fin(0,0,m4) - 4*m1sq*m2**6*m4*m6**4*B0fin(0,0,m4) - 8*m2**8*m4*m6**4*B0fin(0,0,m4) - 24*m1sq*m2**4*m4**3*m6**4*B0fin(0,0,m4) + 68*m2**6*m4**3*m6**4*B0fin(0,0,m4) - 44*m1**4*m2sq*m4**3*m6**4*B0fin(0,0,m4) - 16*m1**4*m4**5*m6**4*B0fin(0,0,m4) - 128*m2**4*m4**5*m6**4*B0fin(0,0,m4) + 144*m1sq*m2sq*m4**5*m6**4*B0fin(0,0,m4) + 64*m1sq*m4**7*m6**4*B0fin(0,0,m4) - 64*m2sq*m4**7*m6**4*B0fin(0,0,m4) + 4*m2**6*m4*m6**6*B0fin(0,0,m4) - 4*m1**4*m2sq*m4*m6**6*B0fin(0,0,m4) + 16*m1**4*m4**3*m6**6*B0fin(0,0,m4) - 32*m2**4*m4**3*m6**6*B0fin(0,0,m4) + 16*m1sq*m2sq*m4**3*m6**6*B0fin(0,0,m4) - 64*m1sq*m4**5*m6**6*B0fin(0,0,m4) + 64*m2sq*m4**5*m6**6*B0fin(0,0,m4) - 10*m1**4*m2**6*m4*m6sq*B0fin(0,0,m4) + 6*m1sq*m2**8*m4*m6sq*B0fin(0,0,m4) + 4*m2**10*m4*m6sq*B0fin(0,0,m4) + 40*m1**4*m2**4*m4**3*m6sq*B0fin(0,0,m4) + 16*m1sq*m2**6*m4**3*m6sq*B0fin(0,0,m4) - 56*m2**8*m4**3*m6sq*B0fin(0,0,m4) - 176*m1sq*m2**4*m4**5*m6sq*B0fin(0,0,m4) + 172*m2**6*m4**5*m6sq*B0fin(0,0,m4) + 4*m1**4*m2sq*m4**5*m6sq*B0fin(0,0,m4) - 16*m1**4*m4**7*m6sq*B0fin(0,0,m4) - 32*m2**4*m4**7*m6sq*B0fin(0,0,m4) + 48*m1sq*m2sq*m4**7*m6sq*B0fin(0,0,m4) + 64*m1sq*m4**9*m6sq*B0fin(0,0,m4) - 64*m2sq*m4**9*m6sq*B0fin(0,0,m4) + 9*m1**4*m2**6*m4**4*B0fin(0,0,m4sq) - 3*m1sq*m2**8*m4**4*B0fin(0,0,m4sq) - 6*m2**10*m4**4*B0fin(0,0,m4sq) - 7*m1**4*m2**4*m4**6*B0fin(0,0,m4sq) - 17*m1sq*m2**6*m4**6*B0fin(0,0,m4sq) + 24*m2**8*m4**6*B0fin(0,0,m4sq) + 6*m1sq*m2**4*m4**8*B0fin(0,0,m4sq) - 10*m2**6*m4**8*B0fin(0,0,m4sq) + 4*m1**4*m2sq*m4**8*B0fin(0,0,m4sq) - 4*m1**4*m4**10*B0fin(0,0,m4sq) + 8*m2**4*m4**10*B0fin(0,0,m4sq) - 4*m1sq*m2sq*m4**10*B0fin(0,0,m4sq) + 16*m1sq*m4**12*B0fin(0,0,m4sq) - 16*m2sq*m4**12*B0fin(0,0,m4sq) - 2*m1**4*m2**8*m4sq*B0fin(0,0,m4sq) + 2*m1sq*m2**10*m4sq*B0fin(0,0,m4sq) - 2*m1**4*m2**6*m6**4*B0fin(0,0,m4sq) + 2*m1sq*m2**8*m6**4*B0fin(0,0,m4sq) - 6*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m4sq) - 30*m2**6*m4**4*m6**4*B0fin(0,0,m4sq) + 36*m1**4*m2sq*m4**4*m6**4*B0fin(0,0,m4sq) + 20*m1**4*m4**6*m6**4*B0fin(0,0,m4sq) + 120*m2**4*m4**6*m6**4*B0fin(0,0,m4sq) - 140*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m4sq) - 80*m1sq*m4**8*m6**4*B0fin(0,0,m4sq) + 80*m2sq*m4**8*m6**4*B0fin(0,0,m4sq) - 5*m1**4*m2**4*m4sq*m6**4*B0fin(0,0,m4sq) + 9*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m4sq) - 4*m2**8*m4sq*m6**4*B0fin(0,0,m4sq) + m1**4*m2**4*m6**6*B0fin(0,0,m4sq) - m1sq*m2**6*m6**6*B0fin(0,0,m4sq) - 12*m1**4*m4**4*m6**6*B0fin(0,0,m4sq) + 8*m2**4*m4**4*m6**6*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4**4*m6**6*B0fin(0,0,m4sq) + 48*m1sq*m4**6*m6**6*B0fin(0,0,m4sq) - 48*m2sq*m4**6*m6**6*B0fin(0,0,m4sq) - 2*m1sq*m2**4*m4sq*m6**6*B0fin(0,0,m4sq) + 2*m2**6*m4sq*m6**6*B0fin(0,0,m4sq) + m1**4*m2**8*m6sq*B0fin(0,0,m4sq) - m1sq*m2**10*m6sq*B0fin(0,0,m4sq) - 21*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m4sq) + m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m4sq) + 20*m2**8*m4**4*m6sq*B0fin(0,0,m4sq) + 98*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m4sq) - 90*m2**6*m4**6*m6sq*B0fin(0,0,m4sq) - 8*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m4sq) - 4*m1**4*m4**8*m6sq*B0fin(0,0,m4sq) - 8*m2**4*m4**8*m6sq*B0fin(0,0,m4sq) + 12*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m4sq) + 16*m1sq*m4**10*m6sq*B0fin(0,0,m4sq) - 16*m2sq*m4**10*m6sq*B0fin(0,0,m4sq) + 3*m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m4sq) - 5*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m4sq) + 2*m2**10*m4sq*m6sq*B0fin(0,0,m4sq) + 10*m1sq*m2**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 33*m1sq*m2**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 40*m1sq*m2**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1sq*m2sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m2**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m2**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 48*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 13*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m2**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1sq*m2sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m2**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 19*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 48*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 5*m1**4*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 5*m1sq*m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**4*m2**4*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 31*m1sq*m2**6*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**8*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1sq*m2**4*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 44*m2**6*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 6*m1**4*m2sq*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 40*m2**4*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m1sq*m2sq*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**4*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**8*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 10*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 12*m2**6*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 14*m1**4*m2sq*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m2**4*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 56*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**4*m2**4*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m2**8*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**6*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m2**4*m4**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1sq*m2sq*m4**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**4*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**6*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m2sq*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**10*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 20*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 11*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 28*m2**8*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 74*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 92*m2**6*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 6*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m2**4*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 7*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**10*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1**4*m2**6*m4**4*B0fin(0,0,m4sq)**2 + m2**10*m4**4*B0fin(0,0,m4sq)**2 + 8*m1**4*m2**4*m4**6*B0fin(0,0,m4sq)**2 + 2*m1sq*m2**6*m4**6*B0fin(0,0,m4sq)**2 - 10*m2**8*m4**6*B0fin(0,0,m4sq)**2 - 28*m1sq*m2**4*m4**8*B0fin(0,0,m4sq)**2 + 41*m2**6*m4**8*B0fin(0,0,m4sq)**2 - 13*m1**4*m2sq*m4**8*B0fin(0,0,m4sq)**2 + 6*m1**4*m4**10*B0fin(0,0,m4sq)**2 - 56*m2**4*m4**10*B0fin(0,0,m4sq)**2 + 50*m1sq*m2sq*m4**10*B0fin(0,0,m4sq)**2 - 24*m1sq*m4**12*B0fin(0,0,m4sq)**2 + 24*m2sq*m4**12*B0fin(0,0,m4sq)**2 + 3*m2**6*m4**4*m6**4*B0fin(0,0,m4sq)**2 - 3*m1**4*m2sq*m4**4*m6**4*B0fin(0,0,m4sq)**2 + 2*m1**4*m4**6*m6**4*B0fin(0,0,m4sq)**2 - 24*m2**4*m4**6*m6**4*B0fin(0,0,m4sq)**2 + 22*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m4sq)**2 - 8*m1sq*m4**8*m6**4*B0fin(0,0,m4sq)**2 + 8*m2sq*m4**8*m6**4*B0fin(0,0,m4sq)**2 + 2*m1**4*m2**4*m4sq*m6**4*B0fin(0,0,m4sq)**2 - 4*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m4sq)**2 + 2*m2**8*m4sq*m6**4*B0fin(0,0,m4sq)**2 + 2*m1**4*m4**4*m6**6*B0fin(0,0,m4sq)**2 - 2*m1sq*m2sq*m4**4*m6**6*B0fin(0,0,m4sq)**2 - 8*m1sq*m4**6*m6**6*B0fin(0,0,m4sq)**2 + 8*m2sq*m4**6*m6**6*B0fin(0,0,m4sq)**2 + 2*m1sq*m2**4*m4sq*m6**6*B0fin(0,0,m4sq)**2 - m2**6*m4sq*m6**6*B0fin(0,0,m4sq)**2 - m1**4*m2sq*m4sq*m6**6*B0fin(0,0,m4sq)**2 + 6*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m4sq)**2 - 6*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m4sq)**2 - 6*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m4sq)**2 + 21*m2**6*m4**6*m6sq*B0fin(0,0,m4sq)**2 - 15*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m4sq)**2 - 10*m1**4*m4**8*m6sq*B0fin(0,0,m4sq)**2 - 48*m2**4*m4**8*m6sq*B0fin(0,0,m4sq)**2 + 58*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m4sq)**2 + 40*m1sq*m4**10*m6sq*B0fin(0,0,m4sq)**2 - 40*m2sq*m4**10*m6sq*B0fin(0,0,m4sq)**2 - m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m4sq)**2 + 2*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m4sq)**2 - m2**10*m4sq*m6sq*B0fin(0,0,m4sq)**2 - 2*m1**4*m2**8*m6*B0fin(0,0,m6) + 2*m1sq*m2**10*m6*B0fin(0,0,m6) - 48*m1**4*m2**4*m4**4*m6*B0fin(0,0,m6) - 24*m1sq*m2**6*m4**4*m6*B0fin(0,0,m6) + 72*m2**8*m4**4*m6*B0fin(0,0,m6) + 160*m1sq*m2**4*m4**6*m6*B0fin(0,0,m6) - 192*m2**6*m4**6*m6*B0fin(0,0,m6) + 32*m1**4*m2sq*m4**6*m6*B0fin(0,0,m6) + 128*m2**4*m4**8*m6*B0fin(0,0,m6) - 128*m1sq*m2sq*m4**8*m6*B0fin(0,0,m6) + 18*m1**4*m2**6*m4sq*m6*B0fin(0,0,m6) - 10*m1sq*m2**8*m4sq*m6*B0fin(0,0,m6) - 8*m2**10*m4sq*m6*B0fin(0,0,m6) + 2*m1**4*m2**6*m6**3*B0fin(0,0,m6) - 2*m1sq*m2**8*m6**3*B0fin(0,0,m6) + 32*m1sq*m2**4*m4**4*m6**3*B0fin(0,0,m6) - 64*m2**6*m4**4*m6**3*B0fin(0,0,m6) + 32*m1**4*m2sq*m4**4*m6**3*B0fin(0,0,m6) + 128*m2**4*m4**6*m6**3*B0fin(0,0,m6) - 128*m1sq*m2sq*m4**6*m6**3*B0fin(0,0,m6) - 16*m1**4*m2**4*m4sq*m6**3*B0fin(0,0,m6) + 8*m1sq*m2**6*m4sq*m6**3*B0fin(0,0,m6) + 8*m2**8*m4sq*m6**3*B0fin(0,0,m6) - m1**4*m2**6*m6**4*B0fin(0,0,m6sq) + m1sq*m2**8*m6**4*B0fin(0,0,m6sq) - 16*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m6sq) + 32*m2**6*m4**4*m6**4*B0fin(0,0,m6sq) - 16*m1**4*m2sq*m4**4*m6**4*B0fin(0,0,m6sq) - 64*m2**4*m4**6*m6**4*B0fin(0,0,m6sq) + 64*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m6sq) + 8*m1**4*m2**4*m4sq*m6**4*B0fin(0,0,m6sq) - 4*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m6sq) - 4*m2**8*m4sq*m6**4*B0fin(0,0,m6sq) + m1**4*m2**8*m6sq*B0fin(0,0,m6sq) - m1sq*m2**10*m6sq*B0fin(0,0,m6sq) + 24*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m6sq) + 12*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m6sq) - 36*m2**8*m4**4*m6sq*B0fin(0,0,m6sq) - 80*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m6sq) + 96*m2**6*m4**6*m6sq*B0fin(0,0,m6sq) - 16*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m6sq) - 64*m2**4*m4**8*m6sq*B0fin(0,0,m6sq) + 64*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m6sq) - 9*m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m6sq) + 5*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m6sq) + 4*m2**10*m4sq*m6sq*B0fin(0,0,m6sq) + m1**4*m2**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1sq*m2**8*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 16*m1sq*m2**4*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 32*m2**6*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 16*m1**4*m2sq*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 64*m2**4*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 64*m1sq*m2sq*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 8*m1**4*m2**4*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m1sq*m2**6*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m2**8*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1**4*m2**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + m1sq*m2**10*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 8*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 20*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 28*m2**8*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 48*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 32*m2**6*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 16*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 64*m2**4*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 64*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 7*m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 3*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m2**10*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 16*m1**4*m2**4*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m1sq*m2**6*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m2**8*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 32*m1sq*m2**4*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 64*m2**6*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 32*m1**4*m2sq*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 128*m2**4*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 128*m1sq*m2sq*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1**4*m2**6*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m2**8*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1sq*m2**10*T134fin(m4,m4,m1) + 33*m1sq*m2**6*m4**4*T134fin(m4,m4,m1) + 30*m2**8*m4**4*T134fin(m4,m4,m1) - 40*m1sq*m2**4*m4**6*T134fin(m4,m4,m1) - 99*m2**6*m4**6*T134fin(m4,m4,m1) + 120*m2**4*m4**8*T134fin(m4,m4,m1) + 16*m1sq*m2sq*m4**8*T134fin(m4,m4,m1) - 48*m2sq*m4**10*T134fin(m4,m4,m1) - 10*m1sq*m2**8*m4sq*T134fin(m4,m4,m1) - 3*m2**10*m4sq*T134fin(m4,m4,m1) + m1sq*m2**6*m6**4*T134fin(m4,m4,m1) + 2*m2**8*m6**4*T134fin(m4,m4,m1) + 40*m2**4*m4**4*m6**4*T134fin(m4,m4,m1) + 16*m1sq*m2sq*m4**4*m6**4*T134fin(m4,m4,m1) - 16*m2sq*m4**6*m6**4*T134fin(m4,m4,m1) - 8*m1sq*m2**4*m4sq*m6**4*T134fin(m4,m4,m1) - 17*m2**6*m4sq*m6**4*T134fin(m4,m4,m1) - m2**6*m6**6*T134fin(m4,m4,m1) - 16*m2sq*m4**4*m6**6*T134fin(m4,m4,m1) + 8*m2**4*m4sq*m6**6*T134fin(m4,m4,m1) - 2*m1sq*m2**8*m6sq*T134fin(m4,m4,m1) - m2**10*m6sq*T134fin(m4,m4,m1) - 16*m1sq*m2**4*m4**4*m6sq*T134fin(m4,m4,m1) - 75*m2**6*m4**4*m6sq*T134fin(m4,m4,m1) + 88*m2**4*m4**6*m6sq*T134fin(m4,m4,m1) - 32*m1sq*m2sq*m4**6*m6sq*T134fin(m4,m4,m1) + 80*m2sq*m4**8*m6sq*T134fin(m4,m4,m1) + 14*m1sq*m2**6*m4sq*m6sq*T134fin(m4,m4,m1) + 16*m2**8*m4sq*m6sq*T134fin(m4,m4,m1) - m1**4*m2**8*T134fin(m4,m4,m2) - 19*m1**4*m2**4*m4**4*T134fin(m4,m4,m2) - 40*m1sq*m2**6*m4**4*T134fin(m4,m4,m2) - 4*m2**8*m4**4*T134fin(m4,m4,m2) + 89*m1sq*m2**4*m4**6*T134fin(m4,m4,m2) + 32*m2**6*m4**6*T134fin(m4,m4,m2) + 18*m1**4*m2sq*m4**6*T134fin(m4,m4,m2) - 6*m1**4*m4**8*T134fin(m4,m4,m2) - 52*m2**4*m4**8*T134fin(m4,m4,m2) - 78*m1sq*m2sq*m4**8*T134fin(m4,m4,m2) + 24*m1sq*m4**10*T134fin(m4,m4,m2) + 24*m2sq*m4**10*T134fin(m4,m4,m2) + 8*m1**4*m2**6*m4sq*T134fin(m4,m4,m2) + 5*m1sq*m2**8*m4sq*T134fin(m4,m4,m2) - m1**4*m2**4*m6**4*T134fin(m4,m4,m2) - 2*m1sq*m2**6*m6**4*T134fin(m4,m4,m2) - 2*m1**4*m4**4*m6**4*T134fin(m4,m4,m2) - 12*m2**4*m4**4*m6**4*T134fin(m4,m4,m2) - 42*m1sq*m2sq*m4**4*m6**4*T134fin(m4,m4,m2) + 8*m1sq*m4**6*m6**4*T134fin(m4,m4,m2) + 8*m2sq*m4**6*m6**4*T134fin(m4,m4,m2) + 7*m1sq*m2**4*m4sq*m6**4*T134fin(m4,m4,m2) + 8*m2**6*m4sq*m6**4*T134fin(m4,m4,m2) + 10*m1**4*m2sq*m4sq*m6**4*T134fin(m4,m4,m2) + m1sq*m2**4*m6**6*T134fin(m4,m4,m2) + 8*m1sq*m4**4*m6**6*T134fin(m4,m4,m2) + 8*m2sq*m4**4*m6**6*T134fin(m4,m4,m2) - 2*m1**4*m4sq*m6**6*T134fin(m4,m4,m2) - 4*m2**4*m4sq*m6**6*T134fin(m4,m4,m2) - 2*m1sq*m2sq*m4sq*m6**6*T134fin(m4,m4,m2) + 2*m1**4*m2**6*m6sq*T134fin(m4,m4,m2) + m1sq*m2**8*m6sq*T134fin(m4,m4,m2) + 63*m1sq*m2**4*m4**4*m6sq*T134fin(m4,m4,m2) + 24*m2**6*m4**4*m6sq*T134fin(m4,m4,m2) + 4*m1**4*m2sq*m4**4*m6sq*T134fin(m4,m4,m2) + 10*m1**4*m4**6*m6sq*T134fin(m4,m4,m2) - 60*m2**4*m4**6*m6sq*T134fin(m4,m4,m2) - 6*m1sq*m2sq*m4**6*m6sq*T134fin(m4,m4,m2) - 40*m1sq*m4**8*m6sq*T134fin(m4,m4,m2) - 40*m2sq*m4**8*m6sq*T134fin(m4,m4,m2) - 12*m1**4*m2**4*m4sq*m6sq*T134fin(m4,m4,m2) - 14*m1sq*m2**6*m4sq*m6sq*T134fin(m4,m4,m2) - 4*m2**8*m4sq*m6sq*T134fin(m4,m4,m2) - m1sq*m2**10*T134fin(m6,m4,m1) - 33*m1sq*m2**6*m4**4*T134fin(m6,m4,m1) - 40*m2**8*m4**4*T134fin(m6,m4,m1) + 40*m1sq*m2**4*m4**6*T134fin(m6,m4,m1) + 132*m2**6*m4**6*T134fin(m6,m4,m1) - 160*m2**4*m4**8*T134fin(m6,m4,m1) - 16*m1sq*m2sq*m4**8*T134fin(m6,m4,m1) + 64*m2sq*m4**10*T134fin(m6,m4,m1) + 10*m1sq*m2**8*m4sq*T134fin(m6,m4,m1) + 4*m2**10*m4sq*T134fin(m6,m4,m1) - m1sq*m2**6*m6**4*T134fin(m6,m4,m1) - 32*m2**4*m4**4*m6**4*T134fin(m6,m4,m1) - 16*m1sq*m2sq*m4**4*m6**4*T134fin(m6,m4,m1) + 64*m2sq*m4**6*m6**4*T134fin(m6,m4,m1) + 8*m1sq*m2**4*m4sq*m6**4*T134fin(m6,m4,m1) + 4*m2**6*m4sq*m6**4*T134fin(m6,m4,m1) + 2*m1sq*m2**8*m6sq*T134fin(m6,m4,m1) + 16*m1sq*m2**4*m4**4*m6sq*T134fin(m6,m4,m1) + 56*m2**6*m4**4*m6sq*T134fin(m6,m4,m1) - 64*m2**4*m4**6*m6sq*T134fin(m6,m4,m1) + 32*m1sq*m2sq*m4**6*m6sq*T134fin(m6,m4,m1) - 128*m2sq*m4**8*m6sq*T134fin(m6,m4,m1) - 14*m1sq*m2**6*m4sq*m6sq*T134fin(m6,m4,m1) - 8*m2**8*m4sq*m6sq*T134fin(m6,m4,m1) + m1**4*m2**8*T134fin(m6,m4,m2) + 24*m1**4*m2**4*m4**4*T134fin(m6,m4,m2) + 45*m1sq*m2**6*m4**4*T134fin(m6,m4,m2) + 4*m2**8*m4**4*T134fin(m6,m4,m2) - 120*m1sq*m2**4*m4**6*T134fin(m6,m4,m2) - 36*m2**6*m4**6*T134fin(m6,m4,m2) - 16*m1**4*m2sq*m4**6*T134fin(m6,m4,m2) + 96*m2**4*m4**8*T134fin(m6,m4,m2) + 80*m1sq*m2sq*m4**8*T134fin(m6,m4,m2) - 64*m2sq*m4**10*T134fin(m6,m4,m2) - 9*m1**4*m2**6*m4sq*T134fin(m6,m4,m2) - 5*m1sq*m2**8*m4sq*T134fin(m6,m4,m2) + m1sq*m2**6*m6**4*T134fin(m6,m4,m2) + 32*m2**4*m4**4*m6**4*T134fin(m6,m4,m2) + 16*m1sq*m2sq*m4**4*m6**4*T134fin(m6,m4,m2) - 64*m2sq*m4**6*m6**4*T134fin(m6,m4,m2) - 8*m1sq*m2**4*m4sq*m6**4*T134fin(m6,m4,m2) - 4*m2**6*m4sq*m6**4*T134fin(m6,m4,m2) - m1**4*m2**6*m6sq*T134fin(m6,m4,m2) - m1sq*m2**8*m6sq*T134fin(m6,m4,m2) - 32*m1sq*m2**4*m4**4*m6sq*T134fin(m6,m4,m2) - 24*m2**6*m4**4*m6sq*T134fin(m6,m4,m2) - 16*m1**4*m2sq*m4**4*m6sq*T134fin(m6,m4,m2) + 32*m1sq*m2sq*m4**6*m6sq*T134fin(m6,m4,m2) + 128*m2sq*m4**8*m6sq*T134fin(m6,m4,m2) + 8*m1**4*m2**4*m4sq*m6sq*T134fin(m6,m4,m2) + 10*m1sq*m2**6*m4sq*m6sq*T134fin(m6,m4,m2) + 4*m2**8*m4sq*m6sq*T134fin(m6,m4,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m4sq - m6sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))))
		def eval_97():
			return -((m1sq*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))) - (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m2sq - m3sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*B0del(0,0,m3sq))/((m2sq - m3sq)**2*(-m1sq + m3sq)*(4*m3sq - m7sq)) - (m1sq*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m2sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq)) + m1sq*(10*m3**6 - 5*m3sq*m7**4 - 5*m3**4*m7sq - m2**4*(6*m3sq + m7sq) + m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(m2sq - m3sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq)) + m1sq*(10*m3**6 - 5*m3sq*m7**4 - 5*m3**4*m7sq - m2**4*(6*m3sq + m7sq) + m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m3sq)*(m2sq - m3sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2sq - m3sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m2sq - m3sq)**2*(4*m3sq - m7sq)) + (m1sq*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m2sq - m3sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m1sq*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m2sq - m3sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m3sq*B0fin(0,0,m3sq)**2)/((m2sq - m3sq)**2*(-m1sq + m3sq)*(4*m3sq - m7sq)) - ((m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m2sq - m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m2sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)**3*(4*m3sq - m7sq)) + (m3sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)**3*(4*m3sq - m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m2sq - m3sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq)) + m1sq*(10*m3**6 - 5*m3sq*m7**4 - 5*m3**4*m7sq - m2**4*(6*m3sq + m7sq) + m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m2sq - m3sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + T134fin(m7,m2,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)**2) - T134fin(m7,m2,m2)/((m1sq - m2sq)*(m2sq - m3sq)**3) - T134fin(m7,m3,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)**2) + ((m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)**3) - T134fin(m7,m3,m2)/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)**2) - ((m2sq - m3sq + m7sq)*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)**2*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m2sq*T134fin(m7,m3,m3))/((m1sq - m3sq)*(-m2sq + m3sq)**3*(4*m3sq - m7sq)) + (3*m3sq*T134fin(m7,m3,m3))/((m1sq - m3sq)*(-m2sq + m3sq)**3*(4*m3sq - m7sq)) - (m7sq*T134fin(m7,m3,m3))/((m1sq - m3sq)*(-m2sq + m3sq)**3*(4*m3sq - m7sq))
		def eval_98():
			return (4*m1**6*m2**4*m4**4 + 16*m1**4*m2**5*m4**4 - 12*m1**4*m2**6*m4**4 - 32*m1sq*m2**7*m4**4 + 12*m1sq*m2**8*m4**4 + 16*m2**9*m4**4 - 4*m2**10*m4**4 - 16*m1**6*m2**6*m4sq - 64*m1**4*m2**7*m4sq + 48*m1**4*m2**8*m4sq + 128*m1sq*m2**9*m4sq - 48*m1sq*m2**10*m4sq - 64*m2**11*m4sq + 16*m2**12*m4sq + 8*m1**4*m2**4*m4**4*m5 - 16*m1sq*m2**6*m4**4*m5 + 8*m2**8*m4**4*m5 - 32*m1**4*m2**6*m4sq*m5 + 64*m1sq*m2**8*m4sq*m5 - 32*m2**10*m4sq*m5 - 16*m1**6*m2**4*m5**3 + 80*m1**4*m2**6*m5**3 - 112*m1sq*m2**8*m5**3 + 48*m2**10*m5**3 + m1**6*m4**4*m5**3 + 15*m1sq*m2**4*m4**4*m5**3 - 7*m2**6*m4**4*m5**3 - 9*m1**4*m2sq*m4**4*m5**3 + 16*m1**4*m2**4*m4sq*m5**3 - 32*m1sq*m2**6*m4sq*m5**3 + 16*m2**8*m4sq*m5**3 - 48*m1**4*m2**5*m5**4 + 64*m1**3*m2**6*m5**4 - 32*m1**4*m2**6*m5**4 + 32*m1sq*m2**7*m5**4 + 64*m1*m2**8*m5**4 - 112*m2**9*m5**4 + 32*m2**10*m5**4 - 8*m1**4*m2**4*m4*m5**4 - 24*m1sq*m2**6*m4*m5**4 + 40*m2**8*m4*m5**4 - 8*m1**6*m2sq*m4*m5**4 - m1**6*m4**4*m5**4 - 2*m1**4*m2*m4**4*m5**4 + 12*m1sq*m2**3*m4**4*m5**4 - 24*m1*m2**4*m4**4*m5**4 + m1sq*m2**4*m4**4*m5**4 + 22*m2**5*m4**4*m5**4 - 3*m2**6*m4**4*m5**4 - 8*m1**3*m2sq*m4**4*m5**4 + 3*m1**4*m2sq*m4**4*m5**4 - 4*m1**6*m2*m4sq*m5**4 + 16*m1**4*m2**3*m4sq*m5**4 + 16*m1**3*m2**4*m4sq*m5**4 - 4*m1**4*m2**4*m4sq*m5**4 - 68*m1sq*m2**5*m4sq*m5**4 + 80*m1*m2**6*m4sq*m5**4 - 4*m1sq*m2**6*m4sq*m5**4 - 40*m2**7*m4sq*m5**4 + 4*m2**8*m4sq*m5**4 + 4*m1**6*m2sq*m4sq*m5**4 - 16*m1**4*m2**4*m5**5 + 72*m1sq*m2**6*m5**5 - 64*m2**8*m5**5 + 8*m1**6*m2sq*m5**5 - m1**4*m4**4*m5**5 - m2**4*m4**4*m5**5 + 2*m1sq*m2sq*m4**4*m5**5 - 2*m1**6*m4sq*m5**5 - 26*m1sq*m2**4*m4sq*m5**5 + 20*m2**6*m4sq*m5**5 + 8*m1**4*m2sq*m4sq*m5**5 + 2*m1**6*m2*m5**6 + 2*m1**4*m2**3*m5**6 - 32*m1**3*m2**4*m5**6 + 12*m1**4*m2**4*m5**6 + 54*m1sq*m2**5*m5**6 - 96*m1*m2**6*m5**6 + 4*m1sq*m2**6*m5**6 + 70*m2**7*m5**6 - 12*m2**8*m5**6 - 4*m1**6*m2sq*m5**6 + m1**6*m4*m5**6 + 19*m1sq*m2**4*m4*m5**6 - 33*m2**6*m4*m5**6 + 13*m1**4*m2sq*m4*m5**6 + m1**3*m4**4*m5**6 + 2*m1**4*m4**4*m5**6 - m1sq*m2*m4**4*m5**6 - 9*m2**3*m4**4*m5**6 - 2*m2**4*m4**4*m5**6 + 9*m1*m2sq*m4**4*m5**6 + m1**6*m4sq*m5**6 + 6*m1**4*m2*m4sq*m5**6 - 12*m1*m2**4*m4sq*m5**6 - m1sq*m2**4*m4sq*m5**6 + 2*m2**5*m4sq*m5**6 + 11*m2**6*m4sq*m5**6 + 4*m1**3*m2sq*m4sq*m5**6 - 11*m1**4*m2sq*m4sq*m5**6 - 8*m1sq*m2**4*m5**7 + 20*m2**6*m5**7 - 12*m1**4*m2sq*m5**7 + 3*m1**4*m4sq*m5**7 - 5*m2**4*m4sq*m5**7 + 2*m1sq*m2sq*m4sq*m5**7 - 4*m1**4*m2*m5**8 - 12*m1sq*m2**3*m5**8 + 36*m1*m2**4*m5**8 - 24*m2**5*m5**8 - 8*m2**6*m5**8 + 4*m1**3*m2sq*m5**8 + 8*m1**4*m2sq*m5**8 - 2*m1**4*m4*m5**8 + 10*m2**4*m4*m5**8 - 8*m1sq*m2sq*m4*m5**8 - m1*m4**4*m5**8 - m1sq*m4**4*m5**8 + m2*m4**4*m5**8 + m2sq*m4**4*m5**8 - m1**3*m4sq*m5**8 - 2*m1**4*m4sq*m5**8 - m1sq*m2*m4sq*m5**8 + 7*m2**3*m4sq*m5**8 - 2*m2**4*m4sq*m5**8 - 5*m1*m2sq*m4sq*m5**8 + 4*m1sq*m2sq*m4sq*m5**8 - 4*m2**4*m5**9 + 4*m1sq*m2sq*m5**9 - m1sq*m4sq*m5**9 + m2sq*m4sq*m5**9 + 2*m1sq*m2*m5**10 + 2*m2**3*m5**10 + 4*m2**4*m5**10 - 4*m1*m2sq*m5**10 - 4*m1sq*m2sq*m5**10 + m1sq*m4*m5**10 - m2sq*m4*m5**10 + m1*m4sq*m5**10 + m1sq*m4sq*m5**10 - m2*m4sq*m5**10 - m2sq*m4sq*m5**10 + 16*m1**6*m2**6*m5sq + 64*m1**4*m2**7*m5sq - 48*m1**4*m2**8*m5sq - 128*m1sq*m2**9*m5sq + 48*m1sq*m2**10*m5sq + 64*m2**11*m5sq - 16*m2**12*m5sq + 16*m1**6*m2**4*m4*m5sq - 48*m1**4*m2**6*m4*m5sq + 48*m1sq*m2**8*m4*m5sq - 16*m2**10*m4*m5sq + 2*m1**6*m2*m4**4*m5sq - 18*m1**4*m2**3*m4**4*m5sq + 16*m1**3*m2**4*m4**4*m5sq - 8*m1**4*m2**4*m4**4*m5sq + 14*m1sq*m2**5*m4**4*m5sq + 16*m1*m2**6*m4**4*m5sq - 30*m2**7*m4**4*m5sq + 8*m2**8*m4**4*m5sq - 4*m1**6*m2**4*m4sq*m5sq + 32*m1**4*m2**5*m4sq*m5sq - 64*m1**3*m2**6*m4sq*m5sq + 44*m1**4*m2**6*m4sq*m5sq - 64*m1*m2**8*m4sq*m5sq - 12*m1sq*m2**8*m4sq*m5sq + 96*m2**9*m4sq*m5sq - 28*m2**10*m4sq*m5sq - m1sq*(4*m2sq - m4sq)*(m1sq + m2sq - m5sq)*(m4sq - m5sq)*m5sq*(-4*m2sq + m5sq)**2*B0del(0,0,m1sq) + m2sq*(m4sq - m5sq)*(-2*m1**6*(8*m2**4 + m5**4 - 2*m2sq*(m4sq + 2*m5sq)) - (m2sq - m5sq)*(48*m2**8 + m4sq*m5**6 - 2*m2sq*(3*m4sq*m5**4 + m5**6) - 12*m2**6*(m4sq + 2*m5sq) + 2*m2**4*(7*m5**4 + 4*m4sq*m5sq)) + m1sq*(80*m2**8 - 3*m4sq*m5**6 - 2*m5**8 + 4*m2sq*(4*m4sq*m5**4 + 5*m5**6) - 4*m2**6*(5*m4sq + 2*m5sq) + m2**4*(-70*m5**4 + 8*m4sq*m5sq)) + 2*m1**4*(-8*m2**6 + m5**4*(m4sq + 2*m5sq) + 2*m2**4*(m4sq + 14*m5sq) - m2sq*(9*m5**4 + 10*m4sq*m5sq)))*B0del(0,0,m2sq) - 8*m1**4*m2**4*m4sq*m5**4*B0del(0,0,m4sq) - 24*m1sq*m2**6*m4sq*m5**4*B0del(0,0,m4sq) + 40*m2**8*m4sq*m5**4*B0del(0,0,m4sq) - 8*m1**6*m2sq*m4sq*m5**4*B0del(0,0,m4sq) + m1**6*m4sq*m5**6*B0del(0,0,m4sq) + 19*m1sq*m2**4*m4sq*m5**6*B0del(0,0,m4sq) - 33*m2**6*m4sq*m5**6*B0del(0,0,m4sq) + 13*m1**4*m2sq*m4sq*m5**6*B0del(0,0,m4sq) - 2*m1**4*m4sq*m5**8*B0del(0,0,m4sq) + 10*m2**4*m4sq*m5**8*B0del(0,0,m4sq) - 8*m1sq*m2sq*m4sq*m5**8*B0del(0,0,m4sq) + m1sq*m4sq*m5**10*B0del(0,0,m4sq) - m2sq*m4sq*m5**10*B0del(0,0,m4sq) + 16*m1**6*m2**4*m4sq*m5sq*B0del(0,0,m4sq) - 48*m1**4*m2**6*m4sq*m5sq*B0del(0,0,m4sq) + 48*m1sq*m2**8*m4sq*m5sq*B0del(0,0,m4sq) - 16*m2**10*m4sq*m5sq*B0del(0,0,m4sq) - 8*m1**6*m2**4*m5**4*B0del(0,0,m5sq) + 56*m1**4*m2**6*m5**4*B0del(0,0,m5sq) - 88*m1sq*m2**8*m5**4*B0del(0,0,m5sq) + 40*m2**10*m5**4*B0del(0,0,m5sq) + 12*m1sq*m2**4*m4**4*m5**4*B0del(0,0,m5sq) - 2*m2**6*m4**4*m5**4*B0del(0,0,m5sq) - 10*m1**4*m2sq*m4**4*m5**4*B0del(0,0,m5sq) + 26*m1**4*m2**4*m4sq*m5**4*B0del(0,0,m5sq) - 26*m1sq*m2**6*m4sq*m5**4*B0del(0,0,m5sq) - 2*m2**8*m4sq*m5**4*B0del(0,0,m5sq) + 2*m1**6*m2sq*m4sq*m5**4*B0del(0,0,m5sq) - 20*m1**4*m2**4*m5**6*B0del(0,0,m5sq) + 60*m1sq*m2**6*m5**6*B0del(0,0,m5sq) - 44*m2**8*m5**6*B0del(0,0,m5sq) + 4*m1**6*m2sq*m5**6*B0del(0,0,m5sq) + m1**4*m4**4*m5**6*B0del(0,0,m5sq) - 5*m2**4*m4**4*m5**6*B0del(0,0,m5sq) + 4*m1sq*m2sq*m4**4*m5**6*B0del(0,0,m5sq) - m1**6*m4sq*m5**6*B0del(0,0,m5sq) - 31*m1sq*m2**4*m4sq*m5**6*B0del(0,0,m5sq) + 31*m2**6*m4sq*m5**6*B0del(0,0,m5sq) + m1**4*m2sq*m4sq*m5**6*B0del(0,0,m5sq) + 4*m2**6*m5**8*B0del(0,0,m5sq) - 4*m1**4*m2sq*m5**8*B0del(0,0,m5sq) - m1sq*m4**4*m5**8*B0del(0,0,m5sq) + m2sq*m4**4*m5**8*B0del(0,0,m5sq) + m1**4*m4sq*m5**8*B0del(0,0,m5sq) - 5*m2**4*m4sq*m5**8*B0del(0,0,m5sq) + 4*m1sq*m2sq*m4sq*m5**8*B0del(0,0,m5sq) + 2*m1**4*m2**4*m4**4*m5sq*B0del(0,0,m5sq) - 10*m1sq*m2**6*m4**4*m5sq*B0del(0,0,m5sq) + 6*m2**8*m4**4*m5sq*B0del(0,0,m5sq) + 2*m1**6*m2sq*m4**4*m5sq*B0del(0,0,m5sq) - 8*m1**6*m2**4*m4sq*m5sq*B0del(0,0,m5sq) - 8*m1**4*m2**6*m4sq*m5sq*B0del(0,0,m5sq) + 40*m1sq*m2**8*m4sq*m5sq*B0del(0,0,m5sq) - 24*m2**10*m4sq*m5sq*B0del(0,0,m5sq) + 128*m1**3*m2**6*m5**4*B0fin(0,0,m1) + 128*m1*m2**8*m5**4*B0fin(0,0,m1) - 48*m1*m2**4*m4**4*m5**4*B0fin(0,0,m1) - 16*m1**3*m2sq*m4**4*m5**4*B0fin(0,0,m1) + 32*m1**3*m2**4*m4sq*m5**4*B0fin(0,0,m1) + 160*m1*m2**6*m4sq*m5**4*B0fin(0,0,m1) - 64*m1**3*m2**4*m5**6*B0fin(0,0,m1) - 192*m1*m2**6*m5**6*B0fin(0,0,m1) + 2*m1**3*m4**4*m5**6*B0fin(0,0,m1) + 18*m1*m2sq*m4**4*m5**6*B0fin(0,0,m1) - 24*m1*m2**4*m4sq*m5**6*B0fin(0,0,m1) + 8*m1**3*m2sq*m4sq*m5**6*B0fin(0,0,m1) + 72*m1*m2**4*m5**8*B0fin(0,0,m1) + 8*m1**3*m2sq*m5**8*B0fin(0,0,m1) - 2*m1*m4**4*m5**8*B0fin(0,0,m1) - 2*m1**3*m4sq*m5**8*B0fin(0,0,m1) - 10*m1*m2sq*m4sq*m5**8*B0fin(0,0,m1) - 8*m1*m2sq*m5**10*B0fin(0,0,m1) + 2*m1*m4sq*m5**10*B0fin(0,0,m1) + 32*m1**3*m2**4*m4**4*m5sq*B0fin(0,0,m1) + 32*m1*m2**6*m4**4*m5sq*B0fin(0,0,m1) - 128*m1**3*m2**6*m4sq*m5sq*B0fin(0,0,m1) - 128*m1*m2**8*m4sq*m5sq*B0fin(0,0,m1) - 64*m1**4*m2**6*m5**4*B0fin(0,0,m1sq) - 64*m1sq*m2**8*m5**4*B0fin(0,0,m1sq) + 24*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m1sq) + 8*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m1sq) - 16*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m1sq) - 80*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m1sq) + 32*m1**4*m2**4*m5**6*B0fin(0,0,m1sq) + 96*m1sq*m2**6*m5**6*B0fin(0,0,m1sq) - m1**4*m4**4*m5**6*B0fin(0,0,m1sq) - 9*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m1sq) + 12*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m1sq) - 4*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m1sq) - 36*m1sq*m2**4*m5**8*B0fin(0,0,m1sq) - 4*m1**4*m2sq*m5**8*B0fin(0,0,m1sq) + m1sq*m4**4*m5**8*B0fin(0,0,m1sq) + m1**4*m4sq*m5**8*B0fin(0,0,m1sq) + 5*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m1sq) + 4*m1sq*m2sq*m5**10*B0fin(0,0,m1sq) - m1sq*m4sq*m5**10*B0fin(0,0,m1sq) - 16*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m1sq) - 16*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m1sq) + 64*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m1sq) + 64*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m1sq) + 16*m1**6*m2**3*m4**4*B0fin(0,0,m2) - 16*m1**4*m2**5*m4**4*B0fin(0,0,m2) - 16*m1sq*m2**7*m4**4*B0fin(0,0,m2) + 16*m2**9*m4**4*B0fin(0,0,m2) - 64*m1**6*m2**5*m4sq*B0fin(0,0,m2) + 64*m1**4*m2**7*m4sq*B0fin(0,0,m2) + 64*m1sq*m2**9*m4sq*B0fin(0,0,m2) - 64*m2**11*m4sq*B0fin(0,0,m2) - 32*m1**6*m2**3*m5**4*B0fin(0,0,m2) - 128*m1**4*m2**5*m5**4*B0fin(0,0,m2) - 32*m1sq*m2**7*m5**4*B0fin(0,0,m2) - 64*m2**9*m5**4*B0fin(0,0,m2) + 12*m1**4*m2*m4**4*m5**4*B0fin(0,0,m2) + 40*m1sq*m2**3*m4**4*m5**4*B0fin(0,0,m2) + 12*m2**5*m4**4*m5**4*B0fin(0,0,m2) - 24*m1**4*m2**3*m4sq*m5**4*B0fin(0,0,m2) - 176*m1sq*m2**5*m4sq*m5**4*B0fin(0,0,m2) + 8*m2**7*m4sq*m5**4*B0fin(0,0,m2) + 4*m1**6*m2*m5**6*B0fin(0,0,m2) + 68*m1**4*m2**3*m5**6*B0fin(0,0,m2) + 172*m1sq*m2**5*m5**6*B0fin(0,0,m2) + 12*m2**7*m5**6*B0fin(0,0,m2) - 10*m1sq*m2*m4**4*m5**6*B0fin(0,0,m2) - 10*m2**3*m4**4*m5**6*B0fin(0,0,m2) - 4*m1**4*m2*m4sq*m5**6*B0fin(0,0,m2) + 16*m1sq*m2**3*m4sq*m5**6*B0fin(0,0,m2) + 4*m2**5*m4sq*m5**6*B0fin(0,0,m2) - 8*m1**4*m2*m5**8*B0fin(0,0,m2) - 56*m1sq*m2**3*m5**8*B0fin(0,0,m2) - 16*m2**5*m5**8*B0fin(0,0,m2) + 2*m2*m4**4*m5**8*B0fin(0,0,m2) + 6*m1sq*m2*m4sq*m5**8*B0fin(0,0,m2) + 6*m2**3*m4sq*m5**8*B0fin(0,0,m2) + 4*m1sq*m2*m5**10*B0fin(0,0,m2) + 4*m2**3*m5**10*B0fin(0,0,m2) - 2*m2*m4sq*m5**10*B0fin(0,0,m2) + 64*m1**6*m2**5*m5sq*B0fin(0,0,m2) - 64*m1**4*m2**7*m5sq*B0fin(0,0,m2) - 64*m1sq*m2**9*m5sq*B0fin(0,0,m2) + 64*m2**11*m5sq*B0fin(0,0,m2) - 4*m1**6*m2*m4**4*m5sq*B0fin(0,0,m2) - 44*m1**4*m2**3*m4**4*m5sq*B0fin(0,0,m2) + 4*m1sq*m2**5*m4**4*m5sq*B0fin(0,0,m2) - 20*m2**7*m4**4*m5sq*B0fin(0,0,m2) + 16*m1**6*m2**3*m4sq*m5sq*B0fin(0,0,m2) + 144*m1**4*m2**5*m4sq*m5sq*B0fin(0,0,m2) + 48*m1sq*m2**7*m4sq*m5sq*B0fin(0,0,m2) + 48*m2**9*m4sq*m5sq*B0fin(0,0,m2) - 12*m1**6*m2**4*m4**4*B0fin(0,0,m2sq) + 20*m1**4*m2**6*m4**4*B0fin(0,0,m2sq) - 4*m1sq*m2**8*m4**4*B0fin(0,0,m2sq) - 4*m2**10*m4**4*B0fin(0,0,m2sq) + 48*m1**6*m2**6*m4sq*B0fin(0,0,m2sq) - 80*m1**4*m2**8*m4sq*B0fin(0,0,m2sq) + 16*m1sq*m2**10*m4sq*B0fin(0,0,m2sq) + 16*m2**12*m4sq*B0fin(0,0,m2sq) + 8*m1**6*m2**4*m5**4*B0fin(0,0,m2sq) + 120*m1**4*m2**6*m5**4*B0fin(0,0,m2sq) - 8*m1sq*m2**8*m5**4*B0fin(0,0,m2sq) + 8*m2**10*m5**4*B0fin(0,0,m2sq) + m1**6*m4**4*m5**4*B0fin(0,0,m2sq) - 21*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m2sq) - 7*m2**6*m4**4*m5**4*B0fin(0,0,m2sq) - 5*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m2sq) - 6*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq) + 98*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq) + 6*m2**8*m4sq*m5**4*B0fin(0,0,m2sq) - 2*m1**6*m2sq*m4sq*m5**4*B0fin(0,0,m2sq) - 30*m1**4*m2**4*m5**6*B0fin(0,0,m2sq) - 90*m1sq*m2**6*m5**6*B0fin(0,0,m2sq) - 10*m2**8*m5**6*B0fin(0,0,m2sq) + 2*m1**6*m2sq*m5**6*B0fin(0,0,m2sq) - 2*m1**4*m4**4*m5**6*B0fin(0,0,m2sq) + 9*m2**4*m4**4*m5**6*B0fin(0,0,m2sq) + 3*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m2sq) - m1**6*m4sq*m5**6*B0fin(0,0,m2sq) + m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq) - 17*m2**6*m4sq*m5**6*B0fin(0,0,m2sq) + 9*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq) + 20*m1sq*m2**4*m5**8*B0fin(0,0,m2sq) + 24*m2**6*m5**8*B0fin(0,0,m2sq) - 4*m1**4*m2sq*m5**8*B0fin(0,0,m2sq) + m1sq*m4**4*m5**8*B0fin(0,0,m2sq) - 2*m2sq*m4**4*m5**8*B0fin(0,0,m2sq) + 2*m1**4*m4sq*m5**8*B0fin(0,0,m2sq) - 3*m2**4*m4sq*m5**8*B0fin(0,0,m2sq) - 5*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq) - 6*m2**4*m5**10*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m5**10*B0fin(0,0,m2sq) - m1sq*m4sq*m5**10*B0fin(0,0,m2sq) + 2*m2sq*m4sq*m5**10*B0fin(0,0,m2sq) - 48*m1**6*m2**6*m5sq*B0fin(0,0,m2sq) + 80*m1**4*m2**8*m5sq*B0fin(0,0,m2sq) - 16*m1sq*m2**10*m5sq*B0fin(0,0,m2sq) - 16*m2**12*m5sq*B0fin(0,0,m2sq) + 36*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m2sq) - 8*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m2sq) + 4*m2**8*m4**4*m5sq*B0fin(0,0,m2sq) + 4*m1**6*m2**4*m4sq*m5sq*B0fin(0,0,m2sq) - 140*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq) + 12*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq) - 4*m2**10*m4sq*m5sq*B0fin(0,0,m2sq) + 128*m1sq*m2**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 16*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 32*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 64*m1sq*m2**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1sq*m2**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 32*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 128*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1**6*m2**4*m4**4*B0fin(0,0,m2sq)**2 + 2*m1**4*m2**6*m4**4*B0fin(0,0,m2sq)**2 - 10*m1sq*m2**8*m4**4*B0fin(0,0,m2sq)**2 + 6*m2**10*m4**4*B0fin(0,0,m2sq)**2 - 8*m1**6*m2**6*m4sq*B0fin(0,0,m2sq)**2 - 8*m1**4*m2**8*m4sq*B0fin(0,0,m2sq)**2 + 40*m1sq*m2**10*m4sq*B0fin(0,0,m2sq)**2 - 24*m2**12*m4sq*B0fin(0,0,m2sq)**2 - 24*m1**4*m2**6*m5**4*B0fin(0,0,m2sq)**2 - 48*m1sq*m2**8*m5**4*B0fin(0,0,m2sq)**2 - 56*m2**10*m5**4*B0fin(0,0,m2sq)**2 + 6*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m2sq)**2 + 8*m2**6*m4**4*m5**4*B0fin(0,0,m2sq)**2 + 2*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m2sq)**2 - 6*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq)**2 - 28*m2**8*m4sq*m5**4*B0fin(0,0,m2sq)**2 + 2*m1**6*m2sq*m4sq*m5**4*B0fin(0,0,m2sq)**2 + 3*m1**4*m2**4*m5**6*B0fin(0,0,m2sq)**2 + 21*m1sq*m2**6*m5**6*B0fin(0,0,m2sq)**2 + 41*m2**8*m5**6*B0fin(0,0,m2sq)**2 - m1**6*m2sq*m5**6*B0fin(0,0,m2sq)**2 - m2**4*m4**4*m5**6*B0fin(0,0,m2sq)**2 - m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m2sq)**2 - 6*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq)**2 + 2*m2**6*m4sq*m5**6*B0fin(0,0,m2sq)**2 - 4*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq)**2 - 10*m2**6*m5**8*B0fin(0,0,m2sq)**2 + 2*m1**4*m2sq*m5**8*B0fin(0,0,m2sq)**2 + 2*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq)**2 + m2**4*m5**10*B0fin(0,0,m2sq)**2 - m1sq*m2sq*m5**10*B0fin(0,0,m2sq)**2 + 8*m1**6*m2**6*m5sq*B0fin(0,0,m2sq)**2 + 8*m1**4*m2**8*m5sq*B0fin(0,0,m2sq)**2 - 40*m1sq*m2**10*m5sq*B0fin(0,0,m2sq)**2 + 24*m2**12*m5sq*B0fin(0,0,m2sq)**2 - 3*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m2sq)**2 - 15*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m2sq)**2 - 13*m2**8*m4**4*m5sq*B0fin(0,0,m2sq)**2 - m1**6*m2sq*m4**4*m5sq*B0fin(0,0,m2sq)**2 - 2*m1**6*m2**4*m4sq*m5sq*B0fin(0,0,m2sq)**2 + 22*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq)**2 + 58*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq)**2 + 50*m2**10*m4sq*m5sq*B0fin(0,0,m2sq)**2 - 16*m1**4*m2**4*m4*m5**4*B0fin(0,0,m4) - 48*m1sq*m2**6*m4*m5**4*B0fin(0,0,m4) + 80*m2**8*m4*m5**4*B0fin(0,0,m4) - 16*m1**6*m2sq*m4*m5**4*B0fin(0,0,m4) + 2*m1**6*m4*m5**6*B0fin(0,0,m4) + 38*m1sq*m2**4*m4*m5**6*B0fin(0,0,m4) - 66*m2**6*m4*m5**6*B0fin(0,0,m4) + 26*m1**4*m2sq*m4*m5**6*B0fin(0,0,m4) - 4*m1**4*m4*m5**8*B0fin(0,0,m4) + 20*m2**4*m4*m5**8*B0fin(0,0,m4) - 16*m1sq*m2sq*m4*m5**8*B0fin(0,0,m4) + 2*m1sq*m4*m5**10*B0fin(0,0,m4) - 2*m2sq*m4*m5**10*B0fin(0,0,m4) + 32*m1**6*m2**4*m4*m5sq*B0fin(0,0,m4) - 96*m1**4*m2**6*m4*m5sq*B0fin(0,0,m4) + 96*m1sq*m2**8*m4*m5sq*B0fin(0,0,m4) - 32*m2**10*m4*m5sq*B0fin(0,0,m4) + 8*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m4sq) + 24*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m4sq) - 40*m2**8*m4sq*m5**4*B0fin(0,0,m4sq) + 8*m1**6*m2sq*m4sq*m5**4*B0fin(0,0,m4sq) - m1**6*m4sq*m5**6*B0fin(0,0,m4sq) - 19*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m4sq) + 33*m2**6*m4sq*m5**6*B0fin(0,0,m4sq) - 13*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m4sq) + 2*m1**4*m4sq*m5**8*B0fin(0,0,m4sq) - 10*m2**4*m4sq*m5**8*B0fin(0,0,m4sq) + 8*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m4sq) - m1sq*m4sq*m5**10*B0fin(0,0,m4sq) + m2sq*m4sq*m5**10*B0fin(0,0,m4sq) - 16*m1**6*m2**4*m4sq*m5sq*B0fin(0,0,m4sq) + 48*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m4sq) - 48*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m4sq) + 16*m2**10*m4sq*m5sq*B0fin(0,0,m4sq) - 8*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 40*m2**8*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**6*m2sq*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**6*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 19*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 33*m2**6*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 13*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**4*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 10*m2**4*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1sq*m4sq*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2sq*m4sq*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 16*m1**6*m2**4*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 48*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 48*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 16*m2**10*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**4*m2**4*m4**4*m5*B0fin(0,0,m5) - 8*m1sq*m2**6*m4**4*m5*B0fin(0,0,m5) + 8*m2**8*m4**4*m5*B0fin(0,0,m5) + 8*m1**6*m2sq*m4**4*m5*B0fin(0,0,m5) - 32*m1**6*m2**4*m4sq*m5*B0fin(0,0,m5) + 32*m1**4*m2**6*m4sq*m5*B0fin(0,0,m5) + 32*m1sq*m2**8*m4sq*m5*B0fin(0,0,m5) - 32*m2**10*m4sq*m5*B0fin(0,0,m5) + 64*m1**4*m2**6*m5**3*B0fin(0,0,m5) - 128*m1sq*m2**8*m5**3*B0fin(0,0,m5) + 64*m2**10*m5**3*B0fin(0,0,m5) - 2*m1**6*m4**4*m5**3*B0fin(0,0,m5) + 18*m1sq*m2**4*m4**4*m5**3*B0fin(0,0,m5) + 6*m2**6*m4**4*m5**3*B0fin(0,0,m5) - 22*m1**4*m2sq*m4**4*m5**3*B0fin(0,0,m5) + 72*m1**4*m2**4*m4sq*m5**3*B0fin(0,0,m5) - 40*m1sq*m2**6*m4sq*m5**3*B0fin(0,0,m5) - 40*m2**8*m4sq*m5**3*B0fin(0,0,m5) + 8*m1**6*m2sq*m4sq*m5**3*B0fin(0,0,m5) - 48*m1**4*m2**4*m5**5*B0fin(0,0,m5) + 96*m1sq*m2**6*m5**5*B0fin(0,0,m5) - 48*m2**8*m5**5*B0fin(0,0,m5) + 6*m1**4*m4**4*m5**5*B0fin(0,0,m5) - 18*m2**4*m4**4*m5**5*B0fin(0,0,m5) + 12*m1sq*m2sq*m4**4*m5**5*B0fin(0,0,m5) - 72*m1sq*m2**4*m4sq*m5**5*B0fin(0,0,m5) + 84*m2**6*m4sq*m5**5*B0fin(0,0,m5) - 12*m1**4*m2sq*m4sq*m5**5*B0fin(0,0,m5) + 16*m1sq*m2**4*m5**7*B0fin(0,0,m5) - 24*m2**6*m5**7*B0fin(0,0,m5) + 8*m1**4*m2sq*m5**7*B0fin(0,0,m5) - 4*m1sq*m4**4*m5**7*B0fin(0,0,m5) + 4*m2sq*m4**4*m5**7*B0fin(0,0,m5) - 2*m1**4*m4sq*m5**7*B0fin(0,0,m5) - 10*m2**4*m4sq*m5**7*B0fin(0,0,m5) + 12*m1sq*m2sq*m4sq*m5**7*B0fin(0,0,m5) + 8*m2**4*m5**9*B0fin(0,0,m5) - 8*m1sq*m2sq*m5**9*B0fin(0,0,m5) + 2*m1sq*m4sq*m5**9*B0fin(0,0,m5) - 2*m2sq*m4sq*m5**9*B0fin(0,0,m5) + 8*m1**6*m2**4*m5**4*B0fin(0,0,m5sq) - 56*m1**4*m2**6*m5**4*B0fin(0,0,m5sq) + 88*m1sq*m2**8*m5**4*B0fin(0,0,m5sq) - 40*m2**10*m5**4*B0fin(0,0,m5sq) + m1**6*m4**4*m5**4*B0fin(0,0,m5sq) - 9*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m5sq) + m2**6*m4**4*m5**4*B0fin(0,0,m5sq) + 7*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m5sq) - 14*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m5sq) + 14*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m5sq) + 6*m2**8*m4sq*m5**4*B0fin(0,0,m5sq) - 6*m1**6*m2sq*m4sq*m5**4*B0fin(0,0,m5sq) + 8*m1**4*m2**4*m5**6*B0fin(0,0,m5sq) - 48*m1sq*m2**6*m5**6*B0fin(0,0,m5sq) + 40*m2**8*m5**6*B0fin(0,0,m5sq) - 3*m1**4*m4**4*m5**6*B0fin(0,0,m5sq) + 7*m2**4*m4**4*m5**6*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m5sq) + 28*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m5sq) - 38*m2**6*m4sq*m5**6*B0fin(0,0,m5sq) + 10*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m5sq) + 4*m2**6*m5**8*B0fin(0,0,m5sq) - 4*m1**4*m2sq*m5**8*B0fin(0,0,m5sq) + 2*m1sq*m4**4*m5**8*B0fin(0,0,m5sq) - 2*m2sq*m4**4*m5**8*B0fin(0,0,m5sq) + m1**4*m4sq*m5**8*B0fin(0,0,m5sq) + 7*m2**4*m4sq*m5**8*B0fin(0,0,m5sq) - 8*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m5sq) - 4*m2**4*m5**10*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m5**10*B0fin(0,0,m5sq) - m1sq*m4sq*m5**10*B0fin(0,0,m5sq) + m2sq*m4sq*m5**10*B0fin(0,0,m5sq) - 2*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m5sq) + 10*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m5sq) - 6*m2**8*m4**4*m5sq*B0fin(0,0,m5sq) - 2*m1**6*m2sq*m4**4*m5sq*B0fin(0,0,m5sq) + 8*m1**6*m2**4*m4sq*m5sq*B0fin(0,0,m5sq) + 8*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m5sq) - 40*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m5sq) + 24*m2**10*m4sq*m5sq*B0fin(0,0,m5sq) + 64*m1**4*m2**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 64*m1sq*m2**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 16*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 48*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 32*m1**4*m2**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 32*m1sq*m2**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 7*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 28*m1sq*m2**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**4*m2sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m4**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1**4*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 3*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m4sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 16*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 16*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 64*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 64*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**6*m2**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m1**4*m2**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1sq*m2**8*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 40*m2**10*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 20*m1sq*m2**4*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**6*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m2sq*m4**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 10*m1**4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 74*m1sq*m2**6*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**8*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**6*m2sq*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 12*m1**4*m2**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 92*m1sq*m2**6*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 44*m2**8*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1**6*m2sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 5*m2**4*m4**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 3*m1sq*m2sq*m4**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1**6*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 11*m1sq*m2**4*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 31*m2**6*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 3*m1**4*m2sq*m4sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 28*m1sq*m2**4*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**6*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m1**4*m2sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2sq*m4**4*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 5*m2**4*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 7*m1sq*m2sq*m4sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1sq*m4sq*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 14*m1**4*m2**4*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m1sq*m2**6*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m2**8*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**6*m2sq*m4**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m1**6*m2**4*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 56*m1**4*m2**6*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1sq*m2**8*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m2**10*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 32*m1**4*m2**4*m5**4*T134fin(m4,m2,m1) - 64*m1sq*m2**6*m5**4*T134fin(m4,m2,m1) - 160*m2**8*m5**4*T134fin(m4,m2,m1) + 16*m1sq*m2**4*m4sq*m5**4*T134fin(m4,m2,m1) + 40*m2**6*m4sq*m5**4*T134fin(m4,m2,m1) + 8*m1**4*m2sq*m4sq*m5**4*T134fin(m4,m2,m1) + 56*m1sq*m2**4*m5**6*T134fin(m4,m2,m1) + 132*m2**6*m5**6*T134fin(m4,m2,m1) + 4*m1**4*m2sq*m5**6*T134fin(m4,m2,m1) - m1**4*m4sq*m5**6*T134fin(m4,m2,m1) - 33*m2**4*m4sq*m5**6*T134fin(m4,m2,m1) - 14*m1sq*m2sq*m4sq*m5**6*T134fin(m4,m2,m1) - 40*m2**4*m5**8*T134fin(m4,m2,m1) - 8*m1sq*m2sq*m5**8*T134fin(m4,m2,m1) + 2*m1sq*m4sq*m5**8*T134fin(m4,m2,m1) + 10*m2sq*m4sq*m5**8*T134fin(m4,m2,m1) + 4*m2sq*m5**10*T134fin(m4,m2,m1) - m4sq*m5**10*T134fin(m4,m2,m1) + 64*m1**4*m2**6*m5sq*T134fin(m4,m2,m1) - 128*m1sq*m2**8*m5sq*T134fin(m4,m2,m1) + 64*m2**10*m5sq*T134fin(m4,m2,m1) - 16*m1**4*m2**4*m4sq*m5sq*T134fin(m4,m2,m1) + 32*m1sq*m2**6*m4sq*m5sq*T134fin(m4,m2,m1) - 16*m2**8*m4sq*m5sq*T134fin(m4,m2,m1) + 40*m1**4*m2**4*m5**4*T134fin(m4,m2,m2) + 88*m1sq*m2**6*m5**4*T134fin(m4,m2,m2) + 120*m2**8*m5**4*T134fin(m4,m2,m2) + 8*m1**6*m2sq*m5**4*T134fin(m4,m2,m2) - 16*m1sq*m2**4*m4sq*m5**4*T134fin(m4,m2,m2) - 40*m2**6*m4sq*m5**4*T134fin(m4,m2,m2) - 8*m1**4*m2sq*m4sq*m5**4*T134fin(m4,m2,m2) - m1**6*m5**6*T134fin(m4,m2,m2) - 75*m1sq*m2**4*m5**6*T134fin(m4,m2,m2) - 99*m2**6*m5**6*T134fin(m4,m2,m2) - 17*m1**4*m2sq*m5**6*T134fin(m4,m2,m2) + m1**4*m4sq*m5**6*T134fin(m4,m2,m2) + 33*m2**4*m4sq*m5**6*T134fin(m4,m2,m2) + 14*m1sq*m2sq*m4sq*m5**6*T134fin(m4,m2,m2) + 2*m1**4*m5**8*T134fin(m4,m2,m2) + 30*m2**4*m5**8*T134fin(m4,m2,m2) + 16*m1sq*m2sq*m5**8*T134fin(m4,m2,m2) - 2*m1sq*m4sq*m5**8*T134fin(m4,m2,m2) - 10*m2sq*m4sq*m5**8*T134fin(m4,m2,m2) - m1sq*m5**10*T134fin(m4,m2,m2) - 3*m2sq*m5**10*T134fin(m4,m2,m2) + m4sq*m5**10*T134fin(m4,m2,m2) - 16*m1**6*m2**4*m5sq*T134fin(m4,m2,m2) - 16*m1**4*m2**6*m5sq*T134fin(m4,m2,m2) + 80*m1sq*m2**8*m5sq*T134fin(m4,m2,m2) - 48*m2**10*m5sq*T134fin(m4,m2,m2) + 16*m1**4*m2**4*m4sq*m5sq*T134fin(m4,m2,m2) - 32*m1sq*m2**6*m4sq*m5sq*T134fin(m4,m2,m2) + 16*m2**8*m4sq*m5sq*T134fin(m4,m2,m2) + 32*m1**4*m2**4*m5**4*T134fin(m5,m2,m1) + 96*m2**8*m5**4*T134fin(m5,m2,m1) + 24*m2**4*m4**4*m5**4*T134fin(m5,m2,m1) + 8*m1sq*m2sq*m4**4*m5**4*T134fin(m5,m2,m1) - 32*m1sq*m2**4*m4sq*m5**4*T134fin(m5,m2,m1) - 120*m2**6*m4sq*m5**4*T134fin(m5,m2,m1) - 8*m1**4*m2sq*m4sq*m5**4*T134fin(m5,m2,m1) - 24*m1sq*m2**4*m5**6*T134fin(m5,m2,m1) - 36*m2**6*m5**6*T134fin(m5,m2,m1) - 4*m1**4*m2sq*m5**6*T134fin(m5,m2,m1) - m1sq*m4**4*m5**6*T134fin(m5,m2,m1) - 9*m2sq*m4**4*m5**6*T134fin(m5,m2,m1) + m1**4*m4sq*m5**6*T134fin(m5,m2,m1) + 45*m2**4*m4sq*m5**6*T134fin(m5,m2,m1) + 10*m1sq*m2sq*m4sq*m5**6*T134fin(m5,m2,m1) + 4*m2**4*m5**8*T134fin(m5,m2,m1) + 4*m1sq*m2sq*m5**8*T134fin(m5,m2,m1) + m4**4*m5**8*T134fin(m5,m2,m1) - m1sq*m4sq*m5**8*T134fin(m5,m2,m1) - 5*m2sq*m4sq*m5**8*T134fin(m5,m2,m1) - 64*m1**4*m2**6*m5sq*T134fin(m5,m2,m1) + 128*m1sq*m2**8*m5sq*T134fin(m5,m2,m1) - 64*m2**10*m5sq*T134fin(m5,m2,m1) - 16*m1sq*m2**4*m4**4*m5sq*T134fin(m5,m2,m1) - 16*m2**6*m4**4*m5sq*T134fin(m5,m2,m1) + 16*m1**4*m2**4*m4sq*m5sq*T134fin(m5,m2,m1) + 32*m1sq*m2**6*m4sq*m5sq*T134fin(m5,m2,m1) + 80*m2**8*m4sq*m5sq*T134fin(m5,m2,m1) - 2*m1**4*m2**4*m4**4*T134fin(m5,m2,m2) + 10*m1sq*m2**6*m4**4*T134fin(m5,m2,m2) - 6*m2**8*m4**4*T134fin(m5,m2,m2) - 2*m1**6*m2sq*m4**4*T134fin(m5,m2,m2) + 8*m1**6*m2**4*m4sq*T134fin(m5,m2,m2) + 8*m1**4*m2**6*m4sq*T134fin(m5,m2,m2) - 40*m1sq*m2**8*m4sq*T134fin(m5,m2,m2) + 24*m2**10*m4sq*T134fin(m5,m2,m2) - 12*m1**4*m2**4*m5**4*T134fin(m5,m2,m2) - 60*m1sq*m2**6*m5**4*T134fin(m5,m2,m2) - 52*m2**8*m5**4*T134fin(m5,m2,m2) - 4*m1**6*m2sq*m5**4*T134fin(m5,m2,m2) - m1**4*m4**4*m5**4*T134fin(m5,m2,m2) - 19*m2**4*m4**4*m5**4*T134fin(m5,m2,m2) - 12*m1sq*m2sq*m4**4*m5**4*T134fin(m5,m2,m2) + m1**6*m4sq*m5**4*T134fin(m5,m2,m2) + 63*m1sq*m2**4*m4sq*m5**4*T134fin(m5,m2,m2) + 89*m2**6*m4sq*m5**4*T134fin(m5,m2,m2) + 7*m1**4*m2sq*m4sq*m5**4*T134fin(m5,m2,m2) + 24*m1sq*m2**4*m5**6*T134fin(m5,m2,m2) + 32*m2**6*m5**6*T134fin(m5,m2,m2) + 8*m1**4*m2sq*m5**6*T134fin(m5,m2,m2) + 2*m1sq*m4**4*m5**6*T134fin(m5,m2,m2) + 8*m2sq*m4**4*m5**6*T134fin(m5,m2,m2) - 2*m1**4*m4sq*m5**6*T134fin(m5,m2,m2) - 40*m2**4*m4sq*m5**6*T134fin(m5,m2,m2) - 14*m1sq*m2sq*m4sq*m5**6*T134fin(m5,m2,m2) - 4*m2**4*m5**8*T134fin(m5,m2,m2) - 4*m1sq*m2sq*m5**8*T134fin(m5,m2,m2) - m4**4*m5**8*T134fin(m5,m2,m2) + m1sq*m4sq*m5**8*T134fin(m5,m2,m2) + 5*m2sq*m4sq*m5**8*T134fin(m5,m2,m2) + 8*m1**6*m2**4*m5sq*T134fin(m5,m2,m2) + 8*m1**4*m2**6*m5sq*T134fin(m5,m2,m2) - 40*m1sq*m2**8*m5sq*T134fin(m5,m2,m2) + 24*m2**10*m5sq*T134fin(m5,m2,m2) + 4*m1sq*m2**4*m4**4*m5sq*T134fin(m5,m2,m2) + 18*m2**6*m4**4*m5sq*T134fin(m5,m2,m2) + 10*m1**4*m2sq*m4**4*m5sq*T134fin(m5,m2,m2) - 42*m1**4*m2**4*m4sq*m5sq*T134fin(m5,m2,m2) - 6*m1sq*m2**6*m4sq*m5sq*T134fin(m5,m2,m2) - 78*m2**8*m4sq*m5sq*T134fin(m5,m2,m2) - 2*m1**6*m2sq*m4sq*m5sq*T134fin(m5,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*m5**2*(-2*m2 + m5)**2*(2*m2 + m5)**2*(m4sq - m5sq)**2*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq)))
		def eval_99():
			return -((6*m1**6*m2**9 - 4*m1**6*m2**10 - 10*m1**4*m2**11 + 4*m1**3*m2**12 + 4*m1**4*m2**12 + 8*m1**6*m2**8*m5 - 12*m1**4*m2**10*m5 + 4*m1sq*m2**12*m5 - 24*m1**6*m2**6*m5**3 + 24*m1**4*m2**8*m5**3 + 4*m1sq*m2**10*m5**3 - 4*m2**12*m5**3 + 12*m1**6*m2**5*m5**4 - 4*m1**4*m2**7*m5**4 + 40*m1**3*m2**8*m5**4 - 16*m1**4*m2**8*m5**4 - 58*m1sq*m2**9*m5**4 + 20*m1*m2**10*m5**4 + 12*m1sq*m2**10*m5**4 - 10*m2**11*m5**4 + 4*m2**12*m5**4 + 24*m1**6*m2**4*m5**5 - 32*m1sq*m2**8*m5**5 + 8*m2**10*m5**5 - 8*m1**6*m2**4*m5**6 - 8*m1**4*m2**5*m5**6 - 40*m1**3*m2**6*m5**6 + 8*m1**4*m2**6*m5**6 + 56*m1sq*m2**7*m5**6 - 40*m1*m2**8*m5**6 + 8*m1sq*m2**8*m5**6 + 32*m2**9*m5**6 - 8*m2**10*m5**6 - 24*m1**4*m2**4*m5**7 + 32*m1sq*m2**6*m5**7 - 8*m1**6*m2sq*m5**7 - 2*m1**6*m2*m5**8 - 2*m1**4*m2**3*m5**8 + 20*m1**3*m2**4*m5**8 + 12*m1**4*m2**4*m5**8 - 20*m1sq*m2**5*m5**8 + 40*m1*m2**6*m5**8 - 16*m1sq*m2**6*m5**8 - 36*m2**7*m5**8 + 4*m1**6*m2sq*m5**8 - 4*m1sq*m2**4*m5**9 - 8*m2**6*m5**9 + 12*m1**4*m2sq*m5**9 + 4*m1**4*m2*m5**10 + 4*m1sq*m2**3*m5**10 - 20*m1*m2**4*m5**10 + 16*m2**5*m5**10 + 8*m2**6*m5**10 - 4*m1**3*m2sq*m5**10 - 8*m1**4*m2sq*m5**10 + 4*m2**4*m5**11 - 4*m1sq*m2sq*m5**11 - 2*m1sq*m2*m5**12 - 2*m2**3*m5**12 - 4*m2**4*m5**12 + 4*m1*m2sq*m5**12 + 4*m1sq*m2sq*m5**12 - 16*m1**6*m2**7*m5sq + 8*m1**6*m2**8*m5sq + 20*m1**4*m2**9*m5sq - 20*m1**3*m2**10*m5sq + 20*m1sq*m2**11*m5sq - 4*m1*m2**12*m5sq - 8*m1sq*m2**12*m5sq + 7*m1**6*m2**8*m7 - 11*m1**4*m2**10*m7 + 4*m1sq*m2**12*m7 + 18*m1**6*m2**4*m5**4*m7 - 2*m1**4*m2**6*m5**4*m7 - 25*m1sq*m2**8*m5**4*m7 + 9*m2**10*m5**4*m7 - 16*m1**4*m2**4*m5**6*m7 + 24*m1sq*m2**6*m5**6*m7 - 4*m2**8*m5**6*m7 - 4*m1**6*m2sq*m5**6*m7 - m1**6*m5**8*m7 - 2*m1sq*m2**4*m5**8*m7 - 2*m2**6*m5**8*m7 + 5*m1**4*m2sq*m5**8*m7 + 2*m1**4*m5**10*m7 - 2*m1sq*m2sq*m5**10*m7 - m1sq*m5**12*m7 + m2sq*m5**12*m7 - 20*m1**6*m2**6*m5sq*m7 + 22*m1**4*m2**8*m5sq*m7 + 2*m1sq*m2**10*m5sq*m7 - 4*m2**12*m5sq*m7 - 2*m1**6*m2**6*m7**3 - 7*m1**4*m2**8*m7**3 + 5*m1sq*m2**10*m7**3 + 4*m2**12*m7**3 - 56*m1**4*m2**4*m5**4*m7**3 + 132*m1sq*m2**6*m5**4*m7**3 - 62*m2**8*m5**4*m7**3 - 14*m1**6*m2sq*m5**4*m7**3 + 6*m1**6*m5**6*m7**3 - 88*m1sq*m2**4*m5**6*m7**3 + 44*m2**6*m5**6*m7**3 + 38*m1**4*m2sq*m5**6*m7**3 - 9*m1**4*m5**8*m7**3 + 2*m2**4*m5**8*m7**3 + 7*m1sq*m2sq*m5**8*m7**3 + 7*m1sq*m5**10*m7**3 - 7*m2sq*m5**10*m7**3 + 10*m1**6*m2**4*m5sq*m7**3 + 34*m1**4*m2**6*m5sq*m7**3 - 63*m1sq*m2**8*m5sq*m7**3 + 19*m2**10*m5sq*m7**3 - 11*m1**6*m2**5*m7**4 + 5*m1**6*m2**6*m7**4 + 10*m1**4*m2**7*m7**4 + 28*m1**3*m2**8*m7**4 + m1**4*m2**8*m7**4 - 17*m1*m2**10*m7**4 - 10*m1sq*m2**10*m7**4 - 10*m2**11*m7**4 + 4*m2**12*m7**4 + m1**6*m2**4*m5*m7**4 + 14*m1**4*m2**6*m5*m7**4 + 14*m1sq*m2**8*m5*m7**4 - 29*m2**10*m5*m7**4 - 37*m1**4*m2**4*m5**3*m7**4 - 4*m1sq*m2**6*m5**3*m7**4 + 27*m2**8*m5**3*m7**4 + 14*m1**6*m2sq*m5**3*m7**4 - 11*m1**6*m2*m5**4*m7**4 + 28*m1**4*m2**3*m5**4*m7**4 + 8*m1**3*m2**4*m5**4*m7**4 + 31*m1**4*m2**4*m5**4*m7**4 - 21*m1sq*m2**5*m5**4*m7**4 + 6*m1*m2**6*m5**4*m7**4 - 45*m1sq*m2**6*m5**4*m7**4 - 10*m2**7*m5**4*m7**4 + 15*m2**8*m5**4*m7**4 - m1**6*m2sq*m5**4*m7**4 + m1**6*m5**5*m7**4 + 27*m1sq*m2**4*m5**5*m7**4 - 12*m2**6*m5**5*m7**4 - 16*m1**4*m2sq*m5**5*m7**4 - m1**6*m5**6*m7**4 - m1**4*m2*m5**6*m7**4 + 38*m1sq*m2**3*m5**6*m7**4 - 30*m1*m2**4*m5**6*m7**4 + 23*m1sq*m2**4*m5**6*m7**4 + 9*m2**5*m5**6*m7**4 - 13*m2**6*m5**6*m7**4 - 16*m1**3*m2sq*m5**6*m7**4 - 9*m1**4*m2sq*m5**6*m7**4 - 9*m1**4*m5**7*m7**4 - 5*m2**4*m5**7*m7**4 + 14*m1sq*m2sq*m5**7*m7**4 - 4*m1**3*m5**8*m7**4 + 4*m1**4*m5**8*m7**4 - 29*m1sq*m2*m5**8*m7**4 + 6*m2**3*m5**8*m7**4 + 9*m2**4*m5**8*m7**4 + 27*m1*m2sq*m5**8*m7**4 - 13*m1sq*m2sq*m5**8*m7**4 - 3*m1sq*m5**9*m7**4 + 3*m2sq*m5**9*m7**4 + 5*m1*m5**10*m7**4 + m1sq*m5**10*m7**4 - 5*m2*m5**10*m7**4 - m2sq*m5**10*m7**4 + 6*m1**6*m2**3*m5sq*m7**4 - 3*m1**6*m2**4*m5sq*m7**4 + 11*m1**4*m2**5*m5sq*m7**4 - 16*m1**3*m2**6*m5sq*m7**4 - 27*m1**4*m2**6*m5sq*m7**4 - 36*m1sq*m2**7*m5sq*m7**4 + 9*m1*m2**8*m5sq*m7**4 + 44*m1sq*m2**8*m5sq*m7**4 + 26*m2**9*m5sq*m7**4 - 14*m2**10*m5sq*m7**4 - 5*m1**6*m2**4*m7**5 + 12*m1**4*m2**6*m7**5 + 21*m1sq*m2**8*m7**5 - 28*m2**10*m7**5 - 5*m1**6*m5**4*m7**5 + 7*m1sq*m2**4*m5**4*m7**5 - 8*m2**6*m5**4*m7**5 + 6*m1**4*m2sq*m5**4*m7**5 - 5*m1**4*m5**6*m7**5 - 13*m2**4*m5**6*m7**5 + 18*m1sq*m2sq*m5**6*m7**5 - 18*m1sq*m5**8*m7**5 + 18*m2sq*m5**8*m7**5 - 13*m1**4*m2**4*m5sq*m7**5 - 28*m1sq*m2**6*m5sq*m7**5 + 31*m2**8*m5sq*m7**5 + 10*m1**6*m2sq*m5sq*m7**5 + 4*m1**6*m2**3*m7**6 + 3*m1**6*m2**4*m7**6 + 13*m1**4*m2**5*m7**6 - 22*m1**3*m2**6*m7**6 - 13*m1**4*m2**6*m7**6 - 26*m1sq*m2**7*m7**6 + 28*m1*m2**8*m7**6 + 7*m1sq*m2**8*m7**6 + 3*m2**9*m7**6 + 3*m2**10*m7**6 - 3*m1**4*m2**4*m5*m7**6 - 32*m1sq*m2**6*m5*m7**6 + 39*m2**8*m5*m7**6 - 4*m1**6*m2sq*m5*m7**6 - 4*m1**6*m5**3*m7**6 + 30*m1sq*m2**4*m5**3*m7**6 - 12*m2**6*m5**3*m7**6 - 14*m1**4*m2sq*m5**3*m7**6 + m1**6*m5**4*m7**6 + 17*m1**4*m2*m5**4*m7**6 - 30*m1sq*m2**3*m5**4*m7**6 + 6*m1*m2**4*m5**4*m7**6 - 13*m1sq*m2**4*m5**4*m7**6 - 7*m2**5*m5**4*m7**6 + 3*m2**6*m5**4*m7**6 + 14*m1**3*m2sq*m5**4*m7**6 + 9*m1**4*m2sq*m5**4*m7**6 + 9*m1**4*m5**5*m7**6 + 15*m2**4*m5**5*m7**6 - 24*m1sq*m2sq*m5**5*m7**6 + 6*m1**3*m5**6*m7**6 + 36*m1sq*m2*m5**6*m7**6 - 12*m2**3*m5**6*m7**6 - 4*m2**4*m5**6*m7**6 - 30*m1*m2sq*m5**6*m7**6 + 4*m1sq*m2sq*m5**6*m7**6 + 2*m1sq*m5**7*m7**6 - 2*m2sq*m5**7*m7**6 - 10*m1*m5**8*m7**6 + 2*m1sq*m5**8*m7**6 + 10*m2*m5**8*m7**6 - 2*m2sq*m5**8*m7**6 + 4*m1**6*m2*m5sq*m7**6 - 22*m1**4*m2**3*m5sq*m7**6 + 2*m1**3*m2**4*m5sq*m7**6 + 4*m1**4*m2**4*m5sq*m7**6 + 44*m1sq*m2**5*m5sq*m7**6 + 6*m1*m2**6*m5sq*m7**6 - 34*m2**7*m5sq*m7**6 - 4*m1**6*m2sq*m5sq*m7**6 + 5*m1**4*m2**4*m7**7 - 40*m1sq*m2**6*m7**7 + 35*m2**8*m7**7 + 13*m1**4*m5**4*m7**7 + 7*m2**4*m5**4*m7**7 - 20*m1sq*m2sq*m5**4*m7**7 + 22*m1sq*m5**6*m7**7 - 22*m2sq*m5**6*m7**7 + 38*m1sq*m2**4*m5sq*m7**7 - 20*m2**6*m5sq*m7**7 - 18*m1**4*m2sq*m5sq*m7**7 - m1**6*m2*m7**8 - 6*m1**4*m2**3*m7**8 + 8*m1**3*m2**4*m7**8 - 5*m1**4*m2**4*m7**8 + 7*m1sq*m2**5*m7**8 - 22*m1*m2**6*m7**8 + 11*m1sq*m2**6*m7**8 + 14*m2**7*m7**8 - 5*m2**8*m7**8 - m1**6*m2sq*m7**8 + m1**6*m5*m7**8 + 11*m1sq*m2**4*m5*m7**8 - 20*m2**6*m5*m7**8 + 8*m1**4*m2sq*m5*m7**8 + 5*m1**4*m5**3*m7**8 - 11*m2**4*m5**3*m7**8 + 6*m1sq*m2sq*m5**3*m7**8 - 4*m1**3*m5**4*m7**8 - 4*m1**4*m5**4*m7**8 - 24*m1sq*m2*m5**4*m7**8 + 10*m2**3*m5**4*m7**8 - 6*m2**4*m5**4*m7**8 + 18*m1*m2sq*m5**4*m7**8 + 10*m1sq*m2sq*m5**4*m7**8 + 2*m1sq*m5**5*m7**8 - 2*m2sq*m5**5*m7**8 + 10*m1*m5**6*m7**8 - 2*m1sq*m5**6*m7**8 - 10*m2*m5**6*m7**8 + 2*m2sq*m5**6*m7**8 + m1**6*m5sq*m7**8 - 7*m1**4*m2*m5sq*m7**8 - 2*m1sq*m2**3*m5sq*m7**8 - 6*m1*m2**4*m5sq*m7**8 - 19*m1sq*m2**4*m5sq*m7**8 + 19*m2**5*m5sq*m7**8 + 9*m2**6*m5sq*m7**8 - 4*m1**3*m2sq*m5sq*m7**8 + 9*m1**4*m2sq*m5sq*m7**8 + 13*m1sq*m2**4*m7**9 - 14*m2**6*m7**9 + m1**4*m2sq*m7**9 - 13*m1sq*m5**4*m7**9 + 13*m2sq*m5**4*m7**9 - m1**4*m5sq*m7**9 + m2**4*m5sq*m7**9 + 2*m1**4*m2*m7**10 + 8*m1*m2**4*m7**10 + m1sq*m2**4*m7**10 - 9*m2**5*m7**10 - 3*m2**6*m7**10 - m1**3*m2sq*m7**10 + 2*m1**4*m2sq*m7**10 - 2*m1**4*m5*m7**10 + 7*m2**4*m5*m7**10 - 5*m1sq*m2sq*m5*m7**10 - 3*m1sq*m5**3*m7**10 + 3*m2sq*m5**3*m7**10 - 5*m1*m5**4*m7**10 - m1sq*m5**4*m7**10 + 5*m2*m5**4*m7**10 + m2sq*m5**4*m7**10 + m1**3*m5sq*m7**10 - 2*m1**4*m5sq*m7**10 + 8*m1sq*m2*m5sq*m7**10 - 6*m2**3*m5sq*m7**10 + 2*m2**4*m5sq*m7**10 - 3*m1*m2sq*m5sq*m7**10 + 3*m2**4*m7**11 - 3*m1sq*m2sq*m7**11 + 3*m1sq*m5sq*m7**11 - 3*m2sq*m5sq*m7**11 - m1sq*m2*m7**12 + 2*m2**3*m7**12 + m2**4*m7**12 - m1*m2sq*m7**12 - m1sq*m2sq*m7**12 + m1sq*m5*m7**12 - m2sq*m5*m7**12 + m1*m5sq*m7**12 + m1sq*m5sq*m7**12 - m2*m5sq*m7**12 - m2sq*m5sq*m7**12 + 2*m1**6*m2**7*m7sq - 3*m1**6*m2**8*m7sq - 9*m1**4*m2**9*m7sq - 17*m1**3*m2**10*m7sq + 11*m1**4*m2**10*m7sq + 20*m1sq*m2**11*m7sq + 4*m1*m2**12*m7sq - 8*m1sq*m2**12*m7sq - 6*m1**6*m2**6*m5*m7sq - 5*m1**4*m2**8*m5*m7sq + 7*m1sq*m2**10*m5*m7sq + 4*m2**12*m5*m7sq + 14*m1**6*m2**4*m5**3*m7sq + 46*m1**4*m2**6*m5**3*m7sq - 81*m1sq*m2**8*m5**3*m7sq + 21*m2**10*m5**3*m7sq - 18*m1**6*m2**3*m5**4*m7sq - 12*m1**6*m2**4*m5**4*m7sq - 32*m1**4*m2**5*m5**4*m7sq - 10*m1**3*m2**6*m5**4*m7sq - 8*m1**4*m2**6*m5**4*m7sq + 118*m1sq*m2**7*m5**4*m7sq + 3*m1*m2**8*m5**4*m7sq + m1sq*m2**8*m5**4*m7sq - 61*m2**9*m5**4*m7sq + 19*m2**10*m5**4*m7sq - 80*m1**4*m2**4*m5**5*m7sq + 156*m1sq*m2**6*m5**5*m7sq - 66*m2**8*m5**5*m7sq - 10*m1**6*m2sq*m5**5*m7sq + 10*m1**6*m2*m5**6*m7sq + 34*m1**4*m2**3*m5**6*m7sq - 22*m1**3*m2**4*m5**6*m7sq + 34*m1**4*m2**4*m5**6*m7sq - 58*m1sq*m2**5*m5**6*m7sq - 30*m1*m2**6*m5**6*m7sq - 30*m1sq*m2**6*m5**6*m7sq + 66*m2**7*m5**6*m7sq - 10*m2**8*m5**6*m7sq + 6*m1**6*m2sq*m5**6*m7sq + 2*m1**6*m5**7*m7sq - 96*m1sq*m2**4*m5**7*m7sq + 52*m2**6*m5**7*m7sq + 42*m1**4*m2sq*m5**7*m7sq - m1**6*m5**8*m7sq - 15*m1**4*m2*m5**8*m7sq - 10*m1sq*m2**3*m5**8*m7sq + 42*m1*m2**4*m5**8*m7sq + 24*m1sq*m2**4*m5**8*m7sq - 28*m2**5*m5**8*m7sq - 4*m2**6*m5**8*m7sq + 11*m1**3*m2sq*m5**8*m7sq - 19*m1**4*m2sq*m5**8*m7sq - 3*m1**4*m5**9*m7sq - 10*m2**4*m5**9*m7sq + 13*m1sq*m2sq*m5**9*m7sq + m1**3*m5**10*m7sq + 2*m1**4*m5**10*m7sq + 12*m1sq*m2*m5**10*m7sq + 2*m2**3*m5**10*m7sq + 2*m2**4*m5**10*m7sq - 15*m1*m2sq*m5**10*m7sq - 4*m1sq*m2sq*m5**10*m7sq + m1sq*m5**11*m7sq - m2sq*m5**11*m7sq - m1*m5**12*m7sq - m1sq*m5**12*m7sq + m2*m5**12*m7sq + m2sq*m5**12*m7sq + 6*m1**6*m2**5*m5sq*m7sq + 10*m1**6*m2**6*m5sq*m7sq + 22*m1**4*m2**7*m5sq*m7sq + 37*m1**3*m2**8*m5sq*m7sq - 20*m1**4*m2**8*m5sq*m7sq - 82*m1sq*m2**9*m5sq*m7sq - 3*m1*m2**10*m5sq*m7sq + 18*m1sq*m2**10*m5sq*m7sq + 20*m2**11*m5sq*m7sq - 8*m2**12*m5sq*m7sq + m1sq*(m2sq - m5sq)*(4*m2sq - m7sq)*(m1sq - m5sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))**2*B0del(0,0,m1sq) - m2sq*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(6*m2**10 - m5sq*(m5sq - m7sq)**3*m7sq - 2*m2**8*(10*m5sq + m7sq) - m2**4*(12*m5**6 + 5*m5sq*m7**4 - 8*m7**6 + m5**4*m7sq) + m2sq*(2*m5**8 - 4*m5**4*m7**4 + 3*m5sq*m7**6 - 2*m7**8 + m5**6*m7sq) + m2**6*(24*m5**4 - 10*m7**4 + 3*m5sq*m7sq) + m1sq*(-2*m2**8 + 2*m5**8 + 11*m5**4*m7**4 - 5*m5sq*m7**6 + m7**8 + m2**6*(4*m5sq - 3*m7sq) - 9*m5**6*m7sq - m2sq*(4*m5**6 + 2*m5sq*m7**4 + 3*m7**6 - 15*m5**4*m7sq) + m2**4*(7*m7**4 - 3*m5sq*m7sq)))*B0del(0,0,m2sq) - 12*m1**6*m2**6*m5**4*B0del(0,0,m5sq) + 20*m1**4*m2**8*m5**4*B0del(0,0,m5sq) - 4*m1sq*m2**10*m5**4*B0del(0,0,m5sq) - 4*m2**12*m5**4*B0del(0,0,m5sq) + 12*m1**6*m2**4*m5**6*B0del(0,0,m5sq) - 12*m1**4*m2**6*m5**6*B0del(0,0,m5sq) - 12*m1sq*m2**8*m5**6*B0del(0,0,m5sq) + 12*m2**10*m5**6*B0del(0,0,m5sq) - 4*m1**4*m2**4*m5**8*B0del(0,0,m5sq) + 20*m1sq*m2**6*m5**8*B0del(0,0,m5sq) - 12*m2**8*m5**8*B0del(0,0,m5sq) - 4*m1**6*m2sq*m5**8*B0del(0,0,m5sq) - 8*m1sq*m2**4*m5**10*B0del(0,0,m5sq) + 4*m2**6*m5**10*B0del(0,0,m5sq) + 4*m1**4*m2sq*m5**10*B0del(0,0,m5sq) + 4*m1**6*m2**8*m5sq*B0del(0,0,m5sq) - 8*m1**4*m2**10*m5sq*B0del(0,0,m5sq) + 4*m1sq*m2**12*m5sq*B0del(0,0,m5sq) - 35*m1**4*m2**4*m5**4*m7**4*B0del(0,0,m5sq) + 8*m1sq*m2**6*m5**4*m7**4*B0del(0,0,m5sq) + 17*m2**8*m5**4*m7**4*B0del(0,0,m5sq) + 10*m1**6*m2sq*m5**4*m7**4*B0del(0,0,m5sq) + m1**6*m5**6*m7**4*B0del(0,0,m5sq) + 23*m1sq*m2**4*m5**6*m7**4*B0del(0,0,m5sq) - 10*m2**6*m5**6*m7**4*B0del(0,0,m5sq) - 14*m1**4*m2sq*m5**6*m7**4*B0del(0,0,m5sq) - 7*m1**4*m5**8*m7**4*B0del(0,0,m5sq) + m2**4*m5**8*m7**4*B0del(0,0,m5sq) + 6*m1sq*m2sq*m5**8*m7**4*B0del(0,0,m5sq) - m1sq*m5**10*m7**4*B0del(0,0,m5sq) + m2sq*m5**10*m7**4*B0del(0,0,m5sq) + 5*m1**6*m2**4*m5sq*m7**4*B0del(0,0,m5sq) + 8*m1**4*m2**6*m5sq*m7**4*B0del(0,0,m5sq) + 12*m1sq*m2**8*m5sq*m7**4*B0del(0,0,m5sq) - 25*m2**10*m5sq*m7**4*B0del(0,0,m5sq) - 3*m1**6*m5**4*m7**6*B0del(0,0,m5sq) + 9*m1sq*m2**4*m5**4*m7**6*B0del(0,0,m5sq) - m2**6*m5**4*m7**6*B0del(0,0,m5sq) - 5*m1**4*m2sq*m5**4*m7**6*B0del(0,0,m5sq) + 7*m1**4*m5**6*m7**6*B0del(0,0,m5sq) + 5*m2**4*m5**6*m7**6*B0del(0,0,m5sq) - 12*m1sq*m2sq*m5**6*m7**6*B0del(0,0,m5sq) + 2*m1sq*m5**8*m7**6*B0del(0,0,m5sq) - 2*m2sq*m5**8*m7**6*B0del(0,0,m5sq) - 10*m1**4*m2**4*m5sq*m7**6*B0del(0,0,m5sq) - 23*m1sq*m2**6*m5sq*m7**6*B0del(0,0,m5sq) + 38*m2**8*m5sq*m7**6*B0del(0,0,m5sq) - 5*m1**6*m2sq*m5sq*m7**6*B0del(0,0,m5sq) + 3*m1**4*m5**4*m7**8*B0del(0,0,m5sq) - 9*m2**4*m5**4*m7**8*B0del(0,0,m5sq) + 6*m1sq*m2sq*m5**4*m7**8*B0del(0,0,m5sq) + m1**6*m5sq*m7**8*B0del(0,0,m5sq) + 13*m1sq*m2**4*m5sq*m7**8*B0del(0,0,m5sq) - 24*m2**6*m5sq*m7**8*B0del(0,0,m5sq) + 10*m1**4*m2sq*m5sq*m7**8*B0del(0,0,m5sq) - 2*m1sq*m5**4*m7**10*B0del(0,0,m5sq) + 2*m2sq*m5**4*m7**10*B0del(0,0,m5sq) - 2*m1**4*m5sq*m7**10*B0del(0,0,m5sq) + 8*m2**4*m5sq*m7**10*B0del(0,0,m5sq) - 6*m1sq*m2sq*m5sq*m7**10*B0del(0,0,m5sq) + m1sq*m5sq*m7**12*B0del(0,0,m5sq) - m2sq*m5sq*m7**12*B0del(0,0,m5sq) + 11*m1**6*m2**4*m5**4*m7sq*B0del(0,0,m5sq) + 23*m1**4*m2**6*m5**4*m7sq*B0del(0,0,m5sq) - 47*m1sq*m2**8*m5**4*m7sq*B0del(0,0,m5sq) + 13*m2**10*m5**4*m7sq*B0del(0,0,m5sq) - 53*m1**4*m2**4*m5**6*m7sq*B0del(0,0,m5sq) + 103*m1sq*m2**6*m5**6*m7sq*B0del(0,0,m5sq) - 43*m2**8*m5**6*m7sq*B0del(0,0,m5sq) - 7*m1**6*m2sq*m5**6*m7sq*B0del(0,0,m5sq) + m1**6*m5**8*m7sq*B0del(0,0,m5sq) - 61*m1sq*m2**4*m5**8*m7sq*B0del(0,0,m5sq) + 31*m2**6*m5**8*m7sq*B0del(0,0,m5sq) + 29*m1**4*m2sq*m5**8*m7sq*B0del(0,0,m5sq) - m1**4*m5**10*m7sq*B0del(0,0,m5sq) - 5*m2**4*m5**10*m7sq*B0del(0,0,m5sq) + 6*m1sq*m2sq*m5**10*m7sq*B0del(0,0,m5sq) - 5*m1**6*m2**6*m5sq*m7sq*B0del(0,0,m5sq) + 2*m1**4*m2**8*m5sq*m7sq*B0del(0,0,m5sq) - m1sq*m2**10*m5sq*m7sq*B0del(0,0,m5sq) + 4*m2**12*m5sq*m7sq*B0del(0,0,m5sq) - m1**6*m2**6*m7**4*B0del(0,0,m7sq) - 3*m1sq*m2**10*m7**4*B0del(0,0,m7sq) + 4*m2**12*m7**4*B0del(0,0,m7sq) - 29*m1**4*m2**4*m5**4*m7**4*B0del(0,0,m7sq) + 79*m1sq*m2**6*m5**4*m7**4*B0del(0,0,m7sq) - 39*m2**8*m5**4*m7**4*B0del(0,0,m7sq) - 11*m1**6*m2sq*m5**4*m7**4*B0del(0,0,m7sq) + 5*m1**6*m5**6*m7**4*B0del(0,0,m7sq) - 53*m1sq*m2**4*m5**6*m7**4*B0del(0,0,m7sq) + 23*m2**6*m5**6*m7**4*B0del(0,0,m7sq) + 25*m1**4*m2sq*m5**6*m7**4*B0del(0,0,m7sq) - 7*m1**4*m5**8*m7**4*B0del(0,0,m7sq) + 7*m2**4*m5**8*m7**4*B0del(0,0,m7sq) + 6*m1sq*m5**10*m7**4*B0del(0,0,m7sq) - 6*m2sq*m5**10*m7**4*B0del(0,0,m7sq) + 7*m1**6*m2**4*m5sq*m7**4*B0del(0,0,m7sq) + 11*m1**4*m2**6*m5sq*m7**4*B0del(0,0,m7sq) - 29*m1sq*m2**8*m5sq*m7**4*B0del(0,0,m7sq) + 11*m2**10*m5sq*m7**4*B0del(0,0,m7sq) - m1**6*m2**4*m7**6*B0del(0,0,m7sq) + 6*m1**4*m2**6*m7**6*B0del(0,0,m7sq) + 19*m1sq*m2**8*m7**6*B0del(0,0,m7sq) - 24*m2**10*m7**6*B0del(0,0,m7sq) - 5*m1**6*m5**4*m7**6*B0del(0,0,m7sq) + 3*m1sq*m2**4*m5**4*m7**6*B0del(0,0,m7sq) - 6*m2**6*m5**4*m7**6*B0del(0,0,m7sq) + 8*m1**4*m2sq*m5**4*m7**6*B0del(0,0,m7sq) - 3*m1**4*m5**6*m7**6*B0del(0,0,m7sq) - 7*m2**4*m5**6*m7**6*B0del(0,0,m7sq) + 10*m1sq*m2sq*m5**6*m7**6*B0del(0,0,m7sq) - 16*m1sq*m5**8*m7**6*B0del(0,0,m7sq) + 16*m2sq*m5**8*m7**6*B0del(0,0,m7sq) - 11*m1**4*m2**4*m5sq*m7**6*B0del(0,0,m7sq) - 16*m1sq*m2**6*m5sq*m7**6*B0del(0,0,m7sq) + 21*m2**8*m5sq*m7**6*B0del(0,0,m7sq) + 6*m1**6*m2sq*m5sq*m7**6*B0del(0,0,m7sq) - 2*m1**4*m2**4*m7**8*B0del(0,0,m7sq) - 31*m1sq*m2**6*m7**8*B0del(0,0,m7sq) + 34*m2**8*m7**8*B0del(0,0,m7sq) - m1**6*m2sq*m7**8*B0del(0,0,m7sq) + 11*m1**4*m5**4*m7**8*B0del(0,0,m7sq) - 3*m2**4*m5**4*m7**8*B0del(0,0,m7sq) - 8*m1sq*m2sq*m5**4*m7**8*B0del(0,0,m7sq) + 22*m1sq*m5**6*m7**8*B0del(0,0,m7sq) - 22*m2sq*m5**6*m7**8*B0del(0,0,m7sq) + m1**6*m5sq*m7**8*B0del(0,0,m7sq) + 17*m1sq*m2**4*m5sq*m7**8*B0del(0,0,m7sq) - 9*m2**6*m5sq*m7**8*B0del(0,0,m7sq) - 9*m1**4*m2sq*m5sq*m7**8*B0del(0,0,m7sq) + 15*m1sq*m2**4*m7**10*B0del(0,0,m7sq) - 18*m2**6*m7**10*B0del(0,0,m7sq) + 3*m1**4*m2sq*m7**10*B0del(0,0,m7sq) - 15*m1sq*m5**4*m7**10*B0del(0,0,m7sq) + 15*m2sq*m5**4*m7**10*B0del(0,0,m7sq) - 3*m1**4*m5sq*m7**10*B0del(0,0,m7sq) + 3*m2**4*m5sq*m7**10*B0del(0,0,m7sq) + 4*m2**4*m7**12*B0del(0,0,m7sq) - 4*m1sq*m2sq*m7**12*B0del(0,0,m7sq) + 4*m1sq*m5sq*m7**12*B0del(0,0,m7sq) - 4*m2sq*m5sq*m7**12*B0del(0,0,m7sq) + 3*m1**6*m2**8*m7sq*B0del(0,0,m7sq) - 7*m1**4*m2**10*m7sq*B0del(0,0,m7sq) + 4*m1sq*m2**12*m7sq*B0del(0,0,m7sq) + 6*m1**6*m2**4*m5**4*m7sq*B0del(0,0,m7sq) - 14*m1**4*m2**6*m5**4*m7sq*B0del(0,0,m7sq) - 5*m1sq*m2**8*m5**4*m7sq*B0del(0,0,m7sq) + 13*m2**10*m5**4*m7sq*B0del(0,0,m7sq) + 4*m1**4*m2**4*m5**6*m7sq*B0del(0,0,m7sq) + 12*m1sq*m2**6*m5**6*m7sq*B0del(0,0,m7sq) - 16*m2**8*m5**6*m7sq*B0del(0,0,m7sq) - m1**6*m5**8*m7sq*B0del(0,0,m7sq) - 6*m1sq*m2**4*m5**8*m7sq*B0del(0,0,m7sq) + 10*m2**6*m5**8*m7sq*B0del(0,0,m7sq) - 3*m1**4*m2sq*m5**8*m7sq*B0del(0,0,m7sq) + 2*m1**4*m5**10*m7sq*B0del(0,0,m7sq) - 4*m2**4*m5**10*m7sq*B0del(0,0,m7sq) + 2*m1sq*m2sq*m5**10*m7sq*B0del(0,0,m7sq) - m1sq*m5**12*m7sq*B0del(0,0,m7sq) + m2sq*m5**12*m7sq*B0del(0,0,m7sq) - 8*m1**6*m2**6*m5sq*m7sq*B0del(0,0,m7sq) + 18*m1**4*m2**8*m5sq*m7sq*B0del(0,0,m7sq) - 6*m1sq*m2**10*m5sq*m7sq*B0del(0,0,m7sq) - 4*m2**12*m5sq*m7sq*B0del(0,0,m7sq) + 8*m1**3*m2**12*B0fin(0,0,m1) + 80*m1**3*m2**8*m5**4*B0fin(0,0,m1) + 40*m1*m2**10*m5**4*B0fin(0,0,m1) - 80*m1**3*m2**6*m5**6*B0fin(0,0,m1) - 80*m1*m2**8*m5**6*B0fin(0,0,m1) + 40*m1**3*m2**4*m5**8*B0fin(0,0,m1) + 80*m1*m2**6*m5**8*B0fin(0,0,m1) - 40*m1*m2**4*m5**10*B0fin(0,0,m1) - 8*m1**3*m2sq*m5**10*B0fin(0,0,m1) + 8*m1*m2sq*m5**12*B0fin(0,0,m1) - 40*m1**3*m2**10*m5sq*B0fin(0,0,m1) - 8*m1*m2**12*m5sq*B0fin(0,0,m1) + 56*m1**3*m2**8*m7**4*B0fin(0,0,m1) - 34*m1*m2**10*m7**4*B0fin(0,0,m1) + 16*m1**3*m2**4*m5**4*m7**4*B0fin(0,0,m1) + 12*m1*m2**6*m5**4*m7**4*B0fin(0,0,m1) - 60*m1*m2**4*m5**6*m7**4*B0fin(0,0,m1) - 32*m1**3*m2sq*m5**6*m7**4*B0fin(0,0,m1) - 8*m1**3*m5**8*m7**4*B0fin(0,0,m1) + 54*m1*m2sq*m5**8*m7**4*B0fin(0,0,m1) + 10*m1*m5**10*m7**4*B0fin(0,0,m1) - 32*m1**3*m2**6*m5sq*m7**4*B0fin(0,0,m1) + 18*m1*m2**8*m5sq*m7**4*B0fin(0,0,m1) - 44*m1**3*m2**6*m7**6*B0fin(0,0,m1) + 56*m1*m2**8*m7**6*B0fin(0,0,m1) + 12*m1*m2**4*m5**4*m7**6*B0fin(0,0,m1) + 28*m1**3*m2sq*m5**4*m7**6*B0fin(0,0,m1) + 12*m1**3*m5**6*m7**6*B0fin(0,0,m1) - 60*m1*m2sq*m5**6*m7**6*B0fin(0,0,m1) - 20*m1*m5**8*m7**6*B0fin(0,0,m1) + 4*m1**3*m2**4*m5sq*m7**6*B0fin(0,0,m1) + 12*m1*m2**6*m5sq*m7**6*B0fin(0,0,m1) + 16*m1**3*m2**4*m7**8*B0fin(0,0,m1) - 44*m1*m2**6*m7**8*B0fin(0,0,m1) - 8*m1**3*m5**4*m7**8*B0fin(0,0,m1) + 36*m1*m2sq*m5**4*m7**8*B0fin(0,0,m1) + 20*m1*m5**6*m7**8*B0fin(0,0,m1) - 12*m1*m2**4*m5sq*m7**8*B0fin(0,0,m1) - 8*m1**3*m2sq*m5sq*m7**8*B0fin(0,0,m1) + 16*m1*m2**4*m7**10*B0fin(0,0,m1) - 2*m1**3*m2sq*m7**10*B0fin(0,0,m1) - 10*m1*m5**4*m7**10*B0fin(0,0,m1) + 2*m1**3*m5sq*m7**10*B0fin(0,0,m1) - 6*m1*m2sq*m5sq*m7**10*B0fin(0,0,m1) - 2*m1*m2sq*m7**12*B0fin(0,0,m1) + 2*m1*m5sq*m7**12*B0fin(0,0,m1) - 34*m1**3*m2**10*m7sq*B0fin(0,0,m1) + 8*m1*m2**12*m7sq*B0fin(0,0,m1) - 20*m1**3*m2**6*m5**4*m7sq*B0fin(0,0,m1) + 6*m1*m2**8*m5**4*m7sq*B0fin(0,0,m1) - 44*m1**3*m2**4*m5**6*m7sq*B0fin(0,0,m1) - 60*m1*m2**6*m5**6*m7sq*B0fin(0,0,m1) + 84*m1*m2**4*m5**8*m7sq*B0fin(0,0,m1) + 22*m1**3*m2sq*m5**8*m7sq*B0fin(0,0,m1) + 2*m1**3*m5**10*m7sq*B0fin(0,0,m1) - 30*m1*m2sq*m5**10*m7sq*B0fin(0,0,m1) - 2*m1*m5**12*m7sq*B0fin(0,0,m1) + 74*m1**3*m2**8*m5sq*m7sq*B0fin(0,0,m1) - 6*m1*m2**10*m5sq*m7sq*B0fin(0,0,m1) - 4*m1**4*m2**12*B0fin(0,0,m1sq) - 40*m1**4*m2**8*m5**4*B0fin(0,0,m1sq) - 20*m1sq*m2**10*m5**4*B0fin(0,0,m1sq) + 40*m1**4*m2**6*m5**6*B0fin(0,0,m1sq) + 40*m1sq*m2**8*m5**6*B0fin(0,0,m1sq) - 20*m1**4*m2**4*m5**8*B0fin(0,0,m1sq) - 40*m1sq*m2**6*m5**8*B0fin(0,0,m1sq) + 20*m1sq*m2**4*m5**10*B0fin(0,0,m1sq) + 4*m1**4*m2sq*m5**10*B0fin(0,0,m1sq) - 4*m1sq*m2sq*m5**12*B0fin(0,0,m1sq) + 20*m1**4*m2**10*m5sq*B0fin(0,0,m1sq) + 4*m1sq*m2**12*m5sq*B0fin(0,0,m1sq) - 28*m1**4*m2**8*m7**4*B0fin(0,0,m1sq) + 17*m1sq*m2**10*m7**4*B0fin(0,0,m1sq) - 8*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m1sq) - 6*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m1sq) + 30*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m1sq) + 16*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m1sq) + 4*m1**4*m5**8*m7**4*B0fin(0,0,m1sq) - 27*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m1sq) - 5*m1sq*m5**10*m7**4*B0fin(0,0,m1sq) + 16*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m1sq) - 9*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m1sq) + 22*m1**4*m2**6*m7**6*B0fin(0,0,m1sq) - 28*m1sq*m2**8*m7**6*B0fin(0,0,m1sq) - 6*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m1sq) - 14*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m1sq) - 6*m1**4*m5**6*m7**6*B0fin(0,0,m1sq) + 30*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m1sq) + 10*m1sq*m5**8*m7**6*B0fin(0,0,m1sq) - 2*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m1sq) - 6*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m1sq) - 8*m1**4*m2**4*m7**8*B0fin(0,0,m1sq) + 22*m1sq*m2**6*m7**8*B0fin(0,0,m1sq) + 4*m1**4*m5**4*m7**8*B0fin(0,0,m1sq) - 18*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m1sq) - 10*m1sq*m5**6*m7**8*B0fin(0,0,m1sq) + 6*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m1sq) + 4*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m1sq) - 8*m1sq*m2**4*m7**10*B0fin(0,0,m1sq) + m1**4*m2sq*m7**10*B0fin(0,0,m1sq) + 5*m1sq*m5**4*m7**10*B0fin(0,0,m1sq) - m1**4*m5sq*m7**10*B0fin(0,0,m1sq) + 3*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m1sq) + m1sq*m2sq*m7**12*B0fin(0,0,m1sq) - m1sq*m5sq*m7**12*B0fin(0,0,m1sq) + 17*m1**4*m2**10*m7sq*B0fin(0,0,m1sq) - 4*m1sq*m2**12*m7sq*B0fin(0,0,m1sq) + 10*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m1sq) - 3*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m1sq) + 22*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m1sq) + 30*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m1sq) - 42*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m1sq) - 11*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m1sq) - m1**4*m5**10*m7sq*B0fin(0,0,m1sq) + 15*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m1sq) + m1sq*m5**12*m7sq*B0fin(0,0,m1sq) - 37*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m1sq) + 3*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m1sq) - 4*m1**6*m2**9*B0fin(0,0,m2) - 4*m1**4*m2**11*B0fin(0,0,m2) - 24*m1**6*m2**5*m5**4*B0fin(0,0,m2) - 56*m1**4*m2**7*m5**4*B0fin(0,0,m2) - 36*m1sq*m2**9*m5**4*B0fin(0,0,m2) - 4*m2**11*m5**4*B0fin(0,0,m2) + 16*m1**6*m2**3*m5**6*B0fin(0,0,m2) + 64*m1**4*m2**5*m5**6*B0fin(0,0,m2) + 64*m1sq*m2**7*m5**6*B0fin(0,0,m2) + 16*m2**9*m5**6*B0fin(0,0,m2) - 4*m1**6*m2*m5**8*B0fin(0,0,m2) - 36*m1**4*m2**3*m5**8*B0fin(0,0,m2) - 56*m1sq*m2**5*m5**8*B0fin(0,0,m2) - 24*m2**7*m5**8*B0fin(0,0,m2) + 8*m1**4*m2*m5**10*B0fin(0,0,m2) + 24*m1sq*m2**3*m5**10*B0fin(0,0,m2) + 16*m2**5*m5**10*B0fin(0,0,m2) - 4*m1sq*m2*m5**12*B0fin(0,0,m2) - 4*m2**3*m5**12*B0fin(0,0,m2) + 16*m1**6*m2**7*m5sq*B0fin(0,0,m2) + 24*m1**4*m2**9*m5sq*B0fin(0,0,m2) + 8*m1sq*m2**11*m5sq*B0fin(0,0,m2) - 6*m1**6*m2**5*m7**4*B0fin(0,0,m2) - 4*m1**4*m2**7*m7**4*B0fin(0,0,m2) - 8*m1sq*m2**9*m7**4*B0fin(0,0,m2) - 4*m2**11*m7**4*B0fin(0,0,m2) - 22*m1**6*m2*m5**4*m7**4*B0fin(0,0,m2) + 64*m1**4*m2**3*m5**4*m7**4*B0fin(0,0,m2) - 58*m1sq*m2**5*m5**4*m7**4*B0fin(0,0,m2) - 12*m2**7*m5**4*m7**4*B0fin(0,0,m2) + 6*m1**4*m2*m5**6*m7**4*B0fin(0,0,m2) + 44*m1sq*m2**3*m5**6*m7**4*B0fin(0,0,m2) + 42*m2**5*m5**6*m7**4*B0fin(0,0,m2) - 50*m1sq*m2*m5**8*m7**4*B0fin(0,0,m2) + 4*m2**3*m5**8*m7**4*B0fin(0,0,m2) - 10*m2*m5**10*m7**4*B0fin(0,0,m2) - 4*m1**6*m2**3*m5sq*m7**4*B0fin(0,0,m2) + 30*m1**4*m2**5*m5sq*m7**4*B0fin(0,0,m2) - 24*m1sq*m2**7*m5sq*m7**4*B0fin(0,0,m2) + 12*m2**9*m5sq*m7**4*B0fin(0,0,m2) + 4*m1**6*m2**3*m7**6*B0fin(0,0,m2) - 2*m1**4*m2**5*m7**6*B0fin(0,0,m2) - 16*m1sq*m2**7*m7**6*B0fin(0,0,m2) + 2*m2**9*m7**6*B0fin(0,0,m2) + 26*m1**4*m2*m5**4*m7**6*B0fin(0,0,m2) - 12*m1sq*m2**3*m5**4*m7**6*B0fin(0,0,m2) - 54*m2**5*m5**4*m7**6*B0fin(0,0,m2) + 72*m1sq*m2*m5**6*m7**6*B0fin(0,0,m2) - 24*m2**3*m5**6*m7**6*B0fin(0,0,m2) + 20*m2*m5**8*m7**6*B0fin(0,0,m2) + 12*m1**6*m2*m5sq*m7**6*B0fin(0,0,m2) - 8*m1**4*m2**3*m5sq*m7**6*B0fin(0,0,m2) + 4*m1sq*m2**5*m5sq*m7**6*B0fin(0,0,m2) - 24*m2**7*m5sq*m7**6*B0fin(0,0,m2) - 2*m1**6*m2*m7**8*B0fin(0,0,m2) - 4*m1**4*m2**3*m7**8*B0fin(0,0,m2) + 22*m1sq*m2**5*m7**8*B0fin(0,0,m2) + 12*m2**7*m7**8*B0fin(0,0,m2) - 56*m1sq*m2*m5**4*m7**8*B0fin(0,0,m2) + 28*m2**3*m5**4*m7**8*B0fin(0,0,m2) - 20*m2*m5**6*m7**8*B0fin(0,0,m2) - 22*m1**4*m2*m5sq*m7**8*B0fin(0,0,m2) - 4*m1sq*m2**3*m5sq*m7**8*B0fin(0,0,m2) + 46*m2**5*m5sq*m7**8*B0fin(0,0,m2) + 4*m1**4*m2*m7**10*B0fin(0,0,m2) - 4*m1sq*m2**3*m7**10*B0fin(0,0,m2) - 14*m2**5*m7**10*B0fin(0,0,m2) + 10*m2*m5**4*m7**10*B0fin(0,0,m2) + 20*m1sq*m2*m5sq*m7**10*B0fin(0,0,m2) - 16*m2**3*m5sq*m7**10*B0fin(0,0,m2) - 2*m1sq*m2*m7**12*B0fin(0,0,m2) + 4*m2**3*m7**12*B0fin(0,0,m2) - 2*m2*m5sq*m7**12*B0fin(0,0,m2) + 8*m1**6*m2**7*m7sq*B0fin(0,0,m2) + 10*m1**4*m2**9*m7sq*B0fin(0,0,m2) + 8*m1sq*m2**11*m7sq*B0fin(0,0,m2) - 24*m1**6*m2**3*m5**4*m7sq*B0fin(0,0,m2) + 44*m1**4*m2**5*m5**4*m7sq*B0fin(0,0,m2) + 24*m1sq*m2**7*m5**4*m7sq*B0fin(0,0,m2) - 30*m2**9*m5**4*m7sq*B0fin(0,0,m2) + 16*m1**6*m2*m5**6*m7sq*B0fin(0,0,m2) + 16*m1**4*m2**3*m5**6*m7sq*B0fin(0,0,m2) + 24*m1sq*m2**5*m5**6*m7sq*B0fin(0,0,m2) + 48*m2**7*m5**6*m7sq*B0fin(0,0,m2) - 22*m1**4*m2*m5**8*m7sq*B0fin(0,0,m2) - 48*m1sq*m2**3*m5**8*m7sq*B0fin(0,0,m2) - 36*m2**5*m5**8*m7sq*B0fin(0,0,m2) + 20*m1sq*m2*m5**10*m7sq*B0fin(0,0,m2) + 8*m2**3*m5**10*m7sq*B0fin(0,0,m2) + 2*m2*m5**12*m7sq*B0fin(0,0,m2) - 48*m1**4*m2**7*m5sq*m7sq*B0fin(0,0,m2) - 28*m1sq*m2**9*m5sq*m7sq*B0fin(0,0,m2) + 8*m2**11*m5sq*m7sq*B0fin(0,0,m2) + 2*m1**6*m2**10*B0fin(0,0,m2sq) + 2*m1**4*m2**12*B0fin(0,0,m2sq) + 32*m1**4*m2**8*m5**4*B0fin(0,0,m2sq) + 26*m1sq*m2**10*m5**4*B0fin(0,0,m2sq) + 2*m2**12*m5**4*B0fin(0,0,m2sq) + 4*m1**6*m2**4*m5**6*B0fin(0,0,m2sq) - 20*m1**4*m2**6*m5**6*B0fin(0,0,m2sq) - 52*m1sq*m2**8*m5**6*B0fin(0,0,m2sq) - 12*m2**10*m5**6*B0fin(0,0,m2sq) - 2*m1**4*m2**4*m5**8*B0fin(0,0,m2sq) + 40*m1sq*m2**6*m5**8*B0fin(0,0,m2sq) + 24*m2**8*m5**8*B0fin(0,0,m2sq) - 2*m1**6*m2sq*m5**8*B0fin(0,0,m2sq) - 8*m1sq*m2**4*m5**10*B0fin(0,0,m2sq) - 20*m2**6*m5**10*B0fin(0,0,m2sq) + 4*m1**4*m2sq*m5**10*B0fin(0,0,m2sq) + 6*m2**4*m5**12*B0fin(0,0,m2sq) - 2*m1sq*m2sq*m5**12*B0fin(0,0,m2sq) - 4*m1**6*m2**8*m5sq*B0fin(0,0,m2sq) - 16*m1**4*m2**10*m5sq*B0fin(0,0,m2sq) - 4*m1sq*m2**12*m5sq*B0fin(0,0,m2sq) + 2*m1**6*m2**6*m7**4*B0fin(0,0,m2sq) - 5*m1**4*m2**8*m7**4*B0fin(0,0,m2sq) + 12*m1sq*m2**10*m7**4*B0fin(0,0,m2sq) + 2*m2**12*m7**4*B0fin(0,0,m2sq) - 13*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m2sq) - 2*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m2sq) + 25*m2**8*m5**4*m7**4*B0fin(0,0,m2sq) + 4*m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m2sq) - 3*m1**6*m5**6*m7**4*B0fin(0,0,m2sq) + 39*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m2sq) - 78*m2**6*m5**6*m7**4*B0fin(0,0,m2sq) - 4*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m2sq) + 4*m1**4*m5**8*m7**4*B0fin(0,0,m2sq) + 27*m2**4*m5**8*m7**4*B0fin(0,0,m2sq) - 8*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m2sq) - 5*m1sq*m5**10*m7**4*B0fin(0,0,m2sq) + 10*m2sq*m5**10*m7**4*B0fin(0,0,m2sq) + 13*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m2sq) - 30*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m2sq) + 12*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m2sq) - 2*m2**10*m5sq*m7**4*B0fin(0,0,m2sq) - 6*m1**6*m2**4*m7**6*B0fin(0,0,m2sq) + 7*m1**4*m2**6*m7**6*B0fin(0,0,m2sq) + 10*m1sq*m2**8*m7**6*B0fin(0,0,m2sq) - 5*m2**10*m7**6*B0fin(0,0,m2sq) + 3*m1**6*m5**4*m7**6*B0fin(0,0,m2sq) - 49*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m2sq) + 70*m2**6*m5**4*m7**6*B0fin(0,0,m2sq) - 4*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m2sq) - 12*m2**4*m5**6*m7**6*B0fin(0,0,m2sq) - 12*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m2sq) + 10*m1sq*m5**8*m7**6*B0fin(0,0,m2sq) - 20*m2sq*m5**8*m7**6*B0fin(0,0,m2sq) - 11*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m2sq) + 17*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m2sq) + 7*m2**8*m5sq*m7**6*B0fin(0,0,m2sq) - 5*m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m2sq) + 9*m1**4*m2**4*m7**8*B0fin(0,0,m2sq) - 20*m1sq*m2**6*m7**8*B0fin(0,0,m2sq) - 5*m2**8*m7**8*B0fin(0,0,m2sq) + 2*m1**6*m2sq*m7**8*B0fin(0,0,m2sq) - 4*m1**4*m5**4*m7**8*B0fin(0,0,m2sq) - 6*m2**4*m5**4*m7**8*B0fin(0,0,m2sq) + 24*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m2sq) - 10*m1sq*m5**6*m7**8*B0fin(0,0,m2sq) + 20*m2sq*m5**6*m7**8*B0fin(0,0,m2sq) - m1**6*m5sq*m7**8*B0fin(0,0,m2sq) + 25*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m2sq) - 42*m2**6*m5sq*m7**8*B0fin(0,0,m2sq) + 8*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m2sq) + 11*m2**6*m7**10*B0fin(0,0,m2sq) - 4*m1**4*m2sq*m7**10*B0fin(0,0,m2sq) + 5*m1sq*m5**4*m7**10*B0fin(0,0,m2sq) - 10*m2sq*m5**4*m7**10*B0fin(0,0,m2sq) + 2*m1**4*m5sq*m7**10*B0fin(0,0,m2sq) + 9*m2**4*m5sq*m7**10*B0fin(0,0,m2sq) - 13*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m2sq) - 3*m2**4*m7**12*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m7**12*B0fin(0,0,m2sq) - m1sq*m5sq*m7**12*B0fin(0,0,m2sq) + 2*m2sq*m5sq*m7**12*B0fin(0,0,m2sq) - 9*m1**4*m2**10*m7sq*B0fin(0,0,m2sq) - 4*m1sq*m2**12*m7sq*B0fin(0,0,m2sq) - 5*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m2sq) + 13*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m2sq) - 34*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m2sq) + 19*m2**10*m5**4*m7sq*B0fin(0,0,m2sq) - 7*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m2sq) + 5*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m2sq) - 51*m2**8*m5**6*m7sq*B0fin(0,0,m2sq) + m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m2sq) + m1**6*m5**8*m7sq*B0fin(0,0,m2sq) - 7*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m2sq) + 59*m2**6*m5**8*m7sq*B0fin(0,0,m2sq) - 2*m1**4*m5**10*m7sq*B0fin(0,0,m2sq) - 21*m2**4*m5**10*m7sq*B0fin(0,0,m2sq) + 9*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m2sq) + m1sq*m5**12*m7sq*B0fin(0,0,m2sq) - 2*m2sq*m5**12*m7sq*B0fin(0,0,m2sq) + 3*m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m2sq) + 5*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m2sq) + 30*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m2sq) - 4*m2**12*m5sq*m7sq*B0fin(0,0,m2sq) + m1**6*m2**10*B0fin(0,0,m2sq)**2 - m1**4*m2**12*B0fin(0,0,m2sq)**2 + 6*m1**6*m2**6*m5**4*B0fin(0,0,m2sq)**2 + 2*m1**4*m2**8*m5**4*B0fin(0,0,m2sq)**2 - 7*m1sq*m2**10*m5**4*B0fin(0,0,m2sq)**2 - m2**12*m5**4*B0fin(0,0,m2sq)**2 - 4*m1**6*m2**4*m5**6*B0fin(0,0,m2sq)**2 - 8*m1**4*m2**6*m5**6*B0fin(0,0,m2sq)**2 + 8*m1sq*m2**8*m5**6*B0fin(0,0,m2sq)**2 + 4*m2**10*m5**6*B0fin(0,0,m2sq)**2 + 7*m1**4*m2**4*m5**8*B0fin(0,0,m2sq)**2 - 2*m1sq*m2**6*m5**8*B0fin(0,0,m2sq)**2 - 6*m2**8*m5**8*B0fin(0,0,m2sq)**2 + m1**6*m2sq*m5**8*B0fin(0,0,m2sq)**2 - 2*m1sq*m2**4*m5**10*B0fin(0,0,m2sq)**2 + 4*m2**6*m5**10*B0fin(0,0,m2sq)**2 - 2*m1**4*m2sq*m5**10*B0fin(0,0,m2sq)**2 - m2**4*m5**12*B0fin(0,0,m2sq)**2 + m1sq*m2sq*m5**12*B0fin(0,0,m2sq)**2 - 4*m1**6*m2**8*m5sq*B0fin(0,0,m2sq)**2 + 2*m1**4*m2**10*m5sq*B0fin(0,0,m2sq)**2 + 2*m1sq*m2**12*m5sq*B0fin(0,0,m2sq)**2 + 6*m1**6*m2**6*m7**4*B0fin(0,0,m2sq)**2 + 2*m1**4*m2**8*m7**4*B0fin(0,0,m2sq)**2 - 7*m1sq*m2**10*m7**4*B0fin(0,0,m2sq)**2 - m2**12*m7**4*B0fin(0,0,m2sq)**2 - 22*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m2sq)**2 + 20*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m2sq)**2 - 4*m2**8*m5**4*m7**4*B0fin(0,0,m2sq)**2 + 6*m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m2sq)**2 - 4*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m2sq)**2 + 8*m2**6*m5**6*m7**4*B0fin(0,0,m2sq)**2 - 4*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m2sq)**2 - 15*m2**4*m5**8*m7**4*B0fin(0,0,m2sq)**2 + 15*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m2sq)**2 + 4*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m2sq)**2 - 24*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m2sq)**2 + 24*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m2sq)**2 - 4*m2**10*m5sq*m7**4*B0fin(0,0,m2sq)**2 - 4*m1**6*m2**4*m7**6*B0fin(0,0,m2sq)**2 - 8*m1**4*m2**6*m7**6*B0fin(0,0,m2sq)**2 + 8*m1sq*m2**8*m7**6*B0fin(0,0,m2sq)**2 + 4*m2**10*m7**6*B0fin(0,0,m2sq)**2 - 4*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m2sq)**2 + 8*m2**6*m5**4*m7**6*B0fin(0,0,m2sq)**2 - 4*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m2sq)**2 + 20*m2**4*m5**6*m7**6*B0fin(0,0,m2sq)**2 - 20*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m2sq)**2 + 4*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m2sq)**2 - 8*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m2sq)**2 + 8*m2**8*m5sq*m7**6*B0fin(0,0,m2sq)**2 - 4*m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m2sq)**2 + 7*m1**4*m2**4*m7**8*B0fin(0,0,m2sq)**2 - 2*m1sq*m2**6*m7**8*B0fin(0,0,m2sq)**2 - 6*m2**8*m7**8*B0fin(0,0,m2sq)**2 + m1**6*m2sq*m7**8*B0fin(0,0,m2sq)**2 - 15*m2**4*m5**4*m7**8*B0fin(0,0,m2sq)**2 + 15*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m2sq)**2 + 6*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m2sq)**2 - 12*m2**6*m5sq*m7**8*B0fin(0,0,m2sq)**2 + 6*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m2sq)**2 - 2*m1sq*m2**4*m7**10*B0fin(0,0,m2sq)**2 + 4*m2**6*m7**10*B0fin(0,0,m2sq)**2 - 2*m1**4*m2sq*m7**10*B0fin(0,0,m2sq)**2 + 6*m2**4*m5sq*m7**10*B0fin(0,0,m2sq)**2 - 6*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m2sq)**2 - m2**4*m7**12*B0fin(0,0,m2sq)**2 + m1sq*m2sq*m7**12*B0fin(0,0,m2sq)**2 - 4*m1**6*m2**8*m7sq*B0fin(0,0,m2sq)**2 + 2*m1**4*m2**10*m7sq*B0fin(0,0,m2sq)**2 + 2*m1sq*m2**12*m7sq*B0fin(0,0,m2sq)**2 + 4*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m2sq)**2 - 24*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m2sq)**2 + 24*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m2sq)**2 - 4*m2**10*m5**4*m7sq*B0fin(0,0,m2sq)**2 + 4*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m2sq)**2 - 8*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m2sq)**2 + 8*m2**8*m5**6*m7sq*B0fin(0,0,m2sq)**2 - 4*m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m2sq)**2 + 6*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m2sq)**2 - 12*m2**6*m5**8*m7sq*B0fin(0,0,m2sq)**2 + 6*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m2sq)**2 + 6*m2**4*m5**10*m7sq*B0fin(0,0,m2sq)**2 - 6*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m2sq)**2 + 4*m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m2sq)**2 + 12*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m2sq)**2 - 18*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m2sq)**2 + 2*m2**12*m5sq*m7sq*B0fin(0,0,m2sq)**2 - 8*m1**4*m2**10*m5*B0fin(0,0,m5) + 8*m1sq*m2**12*m5*B0fin(0,0,m5) + 32*m1**4*m2**8*m5**3*B0fin(0,0,m5) - 24*m1sq*m2**10*m5**3*B0fin(0,0,m5) - 8*m2**12*m5**3*B0fin(0,0,m5) - 48*m1**4*m2**6*m5**5*B0fin(0,0,m5) + 16*m1sq*m2**8*m5**5*B0fin(0,0,m5) + 32*m2**10*m5**5*B0fin(0,0,m5) + 32*m1**4*m2**4*m5**7*B0fin(0,0,m5) + 16*m1sq*m2**6*m5**7*B0fin(0,0,m5) - 48*m2**8*m5**7*B0fin(0,0,m5) - 24*m1sq*m2**4*m5**9*B0fin(0,0,m5) + 32*m2**6*m5**9*B0fin(0,0,m5) - 8*m1**4*m2sq*m5**9*B0fin(0,0,m5) - 8*m2**4*m5**11*B0fin(0,0,m5) + 8*m1sq*m2sq*m5**11*B0fin(0,0,m5) + 18*m1**6*m2**4*m5*m7**4*B0fin(0,0,m5) + 4*m1**4*m2**6*m5*m7**4*B0fin(0,0,m5) + 20*m1sq*m2**8*m5*m7**4*B0fin(0,0,m5) - 42*m2**10*m5*m7**4*B0fin(0,0,m5) - 66*m1**4*m2**4*m5**3*m7**4*B0fin(0,0,m5) + 40*m1sq*m2**6*m5**3*m7**4*B0fin(0,0,m5) + 14*m2**8*m5**3*m7**4*B0fin(0,0,m5) + 12*m1**6*m2sq*m5**3*m7**4*B0fin(0,0,m5) + 2*m1**6*m5**5*m7**4*B0fin(0,0,m5) + 38*m1sq*m2**4*m5**5*m7**4*B0fin(0,0,m5) - 16*m2**6*m5**5*m7**4*B0fin(0,0,m5) - 24*m1**4*m2sq*m5**5*m7**4*B0fin(0,0,m5) - 10*m1**4*m5**7*m7**4*B0fin(0,0,m5) + 14*m2**4*m5**7*m7**4*B0fin(0,0,m5) - 4*m1sq*m2sq*m5**7*m7**4*B0fin(0,0,m5) + 2*m1sq*m5**9*m7**4*B0fin(0,0,m5) - 2*m2sq*m5**9*m7**4*B0fin(0,0,m5) - 34*m1**4*m2**4*m5*m7**6*B0fin(0,0,m5) - 28*m1sq*m2**6*m5*m7**6*B0fin(0,0,m5) + 74*m2**8*m5*m7**6*B0fin(0,0,m5) - 12*m1**6*m2sq*m5*m7**6*B0fin(0,0,m5) - 4*m1**6*m5**3*m7**6*B0fin(0,0,m5) - 24*m1sq*m2**4*m5**3*m7**6*B0fin(0,0,m5) + 20*m2**6*m5**3*m7**6*B0fin(0,0,m5) + 8*m1**4*m2sq*m5**3*m7**6*B0fin(0,0,m5) + 10*m1**4*m5**5*m7**6*B0fin(0,0,m5) - 10*m2**4*m5**5*m7**6*B0fin(0,0,m5) + 4*m1sq*m5**7*m7**6*B0fin(0,0,m5) - 4*m2sq*m5**7*m7**6*B0fin(0,0,m5) + 2*m1**6*m5*m7**8*B0fin(0,0,m5) + 30*m1sq*m2**4*m5*m7**8*B0fin(0,0,m5) - 56*m2**6*m5*m7**8*B0fin(0,0,m5) + 24*m1**4*m2sq*m5*m7**8*B0fin(0,0,m5) + 2*m1**4*m5**3*m7**8*B0fin(0,0,m5) - 14*m2**4*m5**3*m7**8*B0fin(0,0,m5) + 12*m1sq*m2sq*m5**3*m7**8*B0fin(0,0,m5) - 4*m1sq*m5**5*m7**8*B0fin(0,0,m5) + 4*m2sq*m5**5*m7**8*B0fin(0,0,m5) - 4*m1**4*m5*m7**10*B0fin(0,0,m5) + 18*m2**4*m5*m7**10*B0fin(0,0,m5) - 14*m1sq*m2sq*m5*m7**10*B0fin(0,0,m5) - 2*m1sq*m5**3*m7**10*B0fin(0,0,m5) + 2*m2sq*m5**3*m7**10*B0fin(0,0,m5) + 2*m1sq*m5*m7**12*B0fin(0,0,m5) - 2*m2sq*m5*m7**12*B0fin(0,0,m5) - 8*m1**6*m2**6*m5*m7sq*B0fin(0,0,m5) + 18*m1**4*m2**8*m5*m7sq*B0fin(0,0,m5) - 18*m1sq*m2**10*m5*m7sq*B0fin(0,0,m5) + 8*m2**12*m5*m7sq*B0fin(0,0,m5) + 16*m1**6*m2**4*m5**3*m7sq*B0fin(0,0,m5) - 26*m1sq*m2**8*m5**3*m7sq*B0fin(0,0,m5) + 10*m2**10*m5**3*m7sq*B0fin(0,0,m5) - 52*m1**4*m2**4*m5**5*m7sq*B0fin(0,0,m5) + 100*m1sq*m2**6*m5**5*m7sq*B0fin(0,0,m5) - 40*m2**8*m5**5*m7sq*B0fin(0,0,m5) - 8*m1**6*m2sq*m5**5*m7sq*B0fin(0,0,m5) - 52*m1sq*m2**4*m5**7*m7sq*B0fin(0,0,m5) + 20*m2**6*m5**7*m7sq*B0fin(0,0,m5) + 32*m1**4*m2sq*m5**7*m7sq*B0fin(0,0,m5) + 2*m1**4*m5**9*m7sq*B0fin(0,0,m5) - 2*m1sq*m2sq*m5**9*m7sq*B0fin(0,0,m5) - 2*m1sq*m5**11*m7sq*B0fin(0,0,m5) + 2*m2sq*m5**11*m7sq*B0fin(0,0,m5) + 4*m1**6*m2**10*B0fin(0,0,m5sq) - 4*m1**4*m2**12*B0fin(0,0,m5sq) + 12*m1**6*m2**6*m5**4*B0fin(0,0,m5sq) - 4*m1**4*m2**8*m5**4*B0fin(0,0,m5sq) - 8*m1sq*m2**10*m5**4*B0fin(0,0,m5sq) - 4*m1**6*m2**4*m5**6*B0fin(0,0,m5sq) + 4*m1**4*m2**6*m5**6*B0fin(0,0,m5sq) + 4*m1sq*m2**8*m5**6*B0fin(0,0,m5sq) - 4*m2**10*m5**6*B0fin(0,0,m5sq) - 8*m1**4*m2**4*m5**8*B0fin(0,0,m5sq) - 4*m1sq*m2**6*m5**8*B0fin(0,0,m5sq) + 12*m2**8*m5**8*B0fin(0,0,m5sq) + 8*m1sq*m2**4*m5**10*B0fin(0,0,m5sq) - 12*m2**6*m5**10*B0fin(0,0,m5sq) + 4*m1**4*m2sq*m5**10*B0fin(0,0,m5sq) + 4*m2**4*m5**12*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m5**12*B0fin(0,0,m5sq) - 12*m1**6*m2**8*m5sq*B0fin(0,0,m5sq) + 8*m1**4*m2**10*m5sq*B0fin(0,0,m5sq) + 4*m1sq*m2**12*m5sq*B0fin(0,0,m5sq) + 15*m1**6*m2**6*m7**4*B0fin(0,0,m5sq) + 11*m1**4*m2**8*m7**4*B0fin(0,0,m5sq) - 22*m1sq*m2**10*m7**4*B0fin(0,0,m5sq) - 4*m2**12*m7**4*B0fin(0,0,m5sq) + 80*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m5sq) - 87*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m5sq) + 12*m2**8*m5**4*m7**4*B0fin(0,0,m5sq) - 5*m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m5sq) - 30*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m5sq) + 15*m2**6*m5**6*m7**4*B0fin(0,0,m5sq) + 15*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m5sq) + 3*m1**4*m5**8*m7**4*B0fin(0,0,m5sq) - 14*m2**4*m5**8*m7**4*B0fin(0,0,m5sq) + 11*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m5sq) - 26*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m5sq) - 61*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m5sq) + 80*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m5sq) + 7*m2**10*m5sq*m7**4*B0fin(0,0,m5sq) - 7*m1**6*m2**4*m7**6*B0fin(0,0,m5sq) - 23*m1**4*m2**6*m7**6*B0fin(0,0,m5sq) + 17*m1sq*m2**8*m7**6*B0fin(0,0,m5sq) + 13*m2**10*m7**6*B0fin(0,0,m5sq) + 2*m1**6*m5**4*m7**6*B0fin(0,0,m5sq) + 48*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m5sq) - 30*m2**6*m5**4*m7**6*B0fin(0,0,m5sq) - 20*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m5sq) - 7*m1**4*m5**6*m7**6*B0fin(0,0,m5sq) + 3*m2**4*m5**6*m7**6*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m5sq) - 4*m1sq*m5**8*m7**6*B0fin(0,0,m5sq) + 4*m2sq*m5**8*m7**6*B0fin(0,0,m5sq) + 58*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m5sq) - 41*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m5sq) - 30*m2**8*m5sq*m7**6*B0fin(0,0,m5sq) + 13*m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m5sq) + 13*m1**4*m2**4*m7**8*B0fin(0,0,m5sq) + m1sq*m2**6*m7**8*B0fin(0,0,m5sq) - 15*m2**8*m7**8*B0fin(0,0,m5sq) + m1**6*m2sq*m7**8*B0fin(0,0,m5sq) + m1**4*m5**4*m7**8*B0fin(0,0,m5sq) + 19*m2**4*m5**4*m7**8*B0fin(0,0,m5sq) - 20*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m5sq) + 2*m1sq*m5**6*m7**8*B0fin(0,0,m5sq) - 2*m2sq*m5**6*m7**8*B0fin(0,0,m5sq) - 2*m1**6*m5sq*m7**8*B0fin(0,0,m5sq) - 2*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m5sq) + 31*m2**6*m5sq*m7**8*B0fin(0,0,m5sq) - 27*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m5sq) - 5*m1sq*m2**4*m7**10*B0fin(0,0,m5sq) + 7*m2**6*m7**10*B0fin(0,0,m5sq) - 2*m1**4*m2sq*m7**10*B0fin(0,0,m5sq) + 3*m1sq*m5**4*m7**10*B0fin(0,0,m5sq) - 3*m2sq*m5**4*m7**10*B0fin(0,0,m5sq) + 4*m1**4*m5sq*m7**10*B0fin(0,0,m5sq) - 14*m2**4*m5sq*m7**10*B0fin(0,0,m5sq) + 10*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m5sq) - m2**4*m7**12*B0fin(0,0,m5sq) + m1sq*m2sq*m7**12*B0fin(0,0,m5sq) - 2*m1sq*m5sq*m7**12*B0fin(0,0,m5sq) + 2*m2sq*m5sq*m7**12*B0fin(0,0,m5sq) - 13*m1**6*m2**8*m7sq*B0fin(0,0,m5sq) + 5*m1**4*m2**10*m7sq*B0fin(0,0,m5sq) + 8*m1sq*m2**12*m7sq*B0fin(0,0,m5sq) - 15*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m5sq) - 63*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m5sq) + 94*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m5sq) - 16*m2**10*m5**4*m7sq*B0fin(0,0,m5sq) + 51*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m5sq) - 73*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m5sq) + 21*m2**8*m5**6*m7sq*B0fin(0,0,m5sq) + m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m5sq) + 21*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m5sq) - 11*m2**6*m5**8*m7sq*B0fin(0,0,m5sq) - 10*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m5sq) - m1**4*m5**10*m7sq*B0fin(0,0,m5sq) + 3*m2**4*m5**10*m7sq*B0fin(0,0,m5sq) - 2*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m5sq) + m1sq*m5**12*m7sq*B0fin(0,0,m5sq) - m2sq*m5**12*m7sq*B0fin(0,0,m5sq) + 27*m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m5sq) + 18*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m5sq) - 49*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m5sq) + 4*m2**12*m5sq*m7sq*B0fin(0,0,m5sq) + 4*m1**4*m2**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 40*m1**4*m2**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 20*m1sq*m2**10*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 40*m1**4*m2**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 40*m1sq*m2**8*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 20*m1**4*m2**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 40*m1sq*m2**6*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1sq*m2**4*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m2sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m5**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1**4*m2**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m2**12*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 28*m1**4*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 17*m1sq*m2**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 26*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 14*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 16*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 5*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 3*m1sq*m5**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 16*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 65*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 22*m1**4*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 28*m1sq*m2**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 10*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 14*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**4*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m5**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 38*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1**4*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 22*m1sq*m2**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 10*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m5**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 10*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1sq*m2**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1**4*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 3*m1sq*m5**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 5*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m2sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m5sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 17*m1**4*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m2**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 10*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 77*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 22*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 50*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 11*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 7*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m5**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 37*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 37*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m2**12*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 12*m1**6*m2**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 20*m1**4*m2**8*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1sq*m2**10*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2**12*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 12*m1**6*m2**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 28*m1**4*m2**6*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 28*m1sq*m2**8*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 12*m2**10*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1**4*m2**4*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 20*m1sq*m2**6*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 12*m2**8*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1**6*m2sq*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 12*m1sq*m2**4*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**6*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1**4*m2sq*m5**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m5**12*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1**6*m2**8*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 12*m1**4*m2**10*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1sq*m2**12*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 9*m1**6*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 14*m1**4*m2**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 18*m1sq*m2**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2**12*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 30*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 91*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 28*m2**8*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**6*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 28*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 17*m2**6*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 7*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m5**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 14*m2**4*m5**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 17*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1sq*m5**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2sq*m5**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 37*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 54*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 6*m2**10*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m1**6*m2**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 19*m1**4*m2**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 16*m1sq*m2**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 9*m2**10*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1**6*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 11*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 14*m2**6*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m5**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 20*m2**4*m5**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 10*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m1sq*m5**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2sq*m5**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 11*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 19*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 11*m2**8*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 12*m1**4*m2**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 11*m1sq*m2**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 6*m2**8*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1**6*m2sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m5**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 18*m2**4*m5**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1sq*m5**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m2sq*m5**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 15*m2**6*m5sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 6*m1sq*m2**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**6*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m2sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m5**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2sq*m5**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 7*m2**4*m5sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1sq*m2sq*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2sq*m5sq*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1**6*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 9*m1**4*m2**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1sq*m2**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 9*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 45*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 66*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 15*m2**10*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 11*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 23*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**8*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 5*m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1**6*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 23*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 11*m2**6*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m5**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 5*m2**4*m5**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 13*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m5**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 39*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 42*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m2**12*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**6*m2**8*m7*B0fin(0,0,m7) - 6*m1**4*m2**10*m7*B0fin(0,0,m7) + 8*m1sq*m2**12*m7*B0fin(0,0,m7) - 12*m1**6*m2**4*m5**4*m7*B0fin(0,0,m7) - 52*m1**4*m2**6*m5**4*m7*B0fin(0,0,m7) + 30*m1sq*m2**8*m5**4*m7*B0fin(0,0,m7) + 34*m2**10*m5**4*m7*B0fin(0,0,m7) + 48*m1**4*m2**4*m5**6*m7*B0fin(0,0,m7) - 56*m2**8*m5**6*m7*B0fin(0,0,m7) + 8*m1**6*m2sq*m5**6*m7*B0fin(0,0,m7) - 2*m1**6*m5**8*m7*B0fin(0,0,m7) - 20*m1sq*m2**4*m5**8*m7*B0fin(0,0,m7) + 44*m2**6*m5**8*m7*B0fin(0,0,m7) - 22*m1**4*m2sq*m5**8*m7*B0fin(0,0,m7) + 4*m1**4*m5**10*m7*B0fin(0,0,m7) - 16*m2**4*m5**10*m7*B0fin(0,0,m7) + 12*m1sq*m2sq*m5**10*m7*B0fin(0,0,m7) - 2*m1sq*m5**12*m7*B0fin(0,0,m7) + 2*m2sq*m5**12*m7*B0fin(0,0,m7) + 8*m1**6*m2**6*m5sq*m7*B0fin(0,0,m7) + 28*m1**4*m2**8*m5sq*m7*B0fin(0,0,m7) - 28*m1sq*m2**10*m5sq*m7*B0fin(0,0,m7) - 8*m2**12*m5sq*m7*B0fin(0,0,m7) + 14*m1**4*m2**8*m7**3*B0fin(0,0,m7) - 22*m1sq*m2**10*m7**3*B0fin(0,0,m7) + 8*m2**12*m7**3*B0fin(0,0,m7) - 4*m1**4*m2**4*m5**4*m7**3*B0fin(0,0,m7) + 52*m1sq*m2**6*m5**4*m7**3*B0fin(0,0,m7) - 32*m2**8*m5**4*m7**3*B0fin(0,0,m7) - 16*m1**6*m2sq*m5**4*m7**3*B0fin(0,0,m7) + 8*m1**6*m5**6*m7**3*B0fin(0,0,m7) - 36*m1sq*m2**4*m5**6*m7**3*B0fin(0,0,m7) + 4*m2**6*m5**6*m7**3*B0fin(0,0,m7) + 24*m1**4*m2sq*m5**6*m7**3*B0fin(0,0,m7) - 10*m1**4*m5**8*m7**3*B0fin(0,0,m7) + 24*m2**4*m5**8*m7**3*B0fin(0,0,m7) - 14*m1sq*m2sq*m5**8*m7**3*B0fin(0,0,m7) + 10*m1sq*m5**10*m7**3*B0fin(0,0,m7) - 10*m2sq*m5**10*m7**3*B0fin(0,0,m7) + 8*m1**6*m2**4*m5sq*m7**3*B0fin(0,0,m7) - 24*m1**4*m2**6*m5sq*m7**3*B0fin(0,0,m7) + 10*m1sq*m2**8*m5sq*m7**3*B0fin(0,0,m7) + 6*m2**10*m5sq*m7**3*B0fin(0,0,m7) + 6*m1**6*m2**4*m7**5*B0fin(0,0,m7) + 34*m1sq*m2**8*m7**5*B0fin(0,0,m7) - 40*m2**10*m7**5*B0fin(0,0,m7) - 10*m1**6*m5**4*m7**5*B0fin(0,0,m7) - 2*m1sq*m2**4*m5**4*m7**5*B0fin(0,0,m7) - 8*m2**6*m5**4*m7**5*B0fin(0,0,m7) + 20*m1**4*m2sq*m5**4*m7**5*B0fin(0,0,m7) - 2*m1**4*m5**6*m7**5*B0fin(0,0,m7) - 2*m2**4*m5**6*m7**5*B0fin(0,0,m7) + 4*m1sq*m2sq*m5**6*m7**5*B0fin(0,0,m7) - 28*m1sq*m5**8*m7**5*B0fin(0,0,m7) + 28*m2sq*m5**8*m7**5*B0fin(0,0,m7) - 18*m1**4*m2**4*m5sq*m7**5*B0fin(0,0,m7) - 8*m1sq*m2**6*m5sq*m7**5*B0fin(0,0,m7) + 22*m2**8*m5sq*m7**5*B0fin(0,0,m7) + 4*m1**6*m2sq*m5sq*m7**5*B0fin(0,0,m7) - 18*m1**4*m2**4*m7**7*B0fin(0,0,m7) - 44*m1sq*m2**6*m7**7*B0fin(0,0,m7) + 66*m2**8*m7**7*B0fin(0,0,m7) - 4*m1**6*m2sq*m7**7*B0fin(0,0,m7) + 18*m1**4*m5**4*m7**7*B0fin(0,0,m7) - 26*m2**4*m5**4*m7**7*B0fin(0,0,m7) + 8*m1sq*m2sq*m5**4*m7**7*B0fin(0,0,m7) + 44*m1sq*m5**6*m7**7*B0fin(0,0,m7) - 44*m2sq*m5**6*m7**7*B0fin(0,0,m7) + 4*m1**6*m5sq*m7**7*B0fin(0,0,m7) - 8*m1sq*m2**4*m5sq*m7**7*B0fin(0,0,m7) + 4*m2**6*m5sq*m7**7*B0fin(0,0,m7) + 34*m1sq*m2**4*m7**9*B0fin(0,0,m7) - 44*m2**6*m7**9*B0fin(0,0,m7) + 10*m1**4*m2sq*m7**9*B0fin(0,0,m7) - 34*m1sq*m5**4*m7**9*B0fin(0,0,m7) + 34*m2sq*m5**4*m7**9*B0fin(0,0,m7) - 10*m1**4*m5sq*m7**9*B0fin(0,0,m7) + 10*m2**4*m5sq*m7**9*B0fin(0,0,m7) + 10*m2**4*m7**11*B0fin(0,0,m7) - 10*m1sq*m2sq*m7**11*B0fin(0,0,m7) + 10*m1sq*m5sq*m7**11*B0fin(0,0,m7) - 10*m2sq*m5sq*m7**11*B0fin(0,0,m7) - 19*m1**6*m2**6*m7**4*B0fin(0,0,m7sq) - 12*m1**4*m2**8*m7**4*B0fin(0,0,m7sq) + 35*m1sq*m2**10*m7**4*B0fin(0,0,m7sq) - 4*m2**12*m7**4*B0fin(0,0,m7sq) - 95*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m7sq) + 117*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m7sq) - 37*m2**8*m5**4*m7**4*B0fin(0,0,m7sq) + 15*m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m7sq) - m1**6*m5**6*m7**4*B0fin(0,0,m7sq) - 55*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m7sq) + 61*m2**6*m5**6*m7**4*B0fin(0,0,m7sq) - 5*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m7sq) - m1**4*m5**8*m7**4*B0fin(0,0,m7sq) - 43*m2**4*m5**8*m7**4*B0fin(0,0,m7sq) + 44*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m7sq) - 2*m1sq*m5**10*m7**4*B0fin(0,0,m7sq) + 2*m2sq*m5**10*m7**4*B0fin(0,0,m7sq) + 5*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m7sq) + 113*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m7sq) - 139*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m7sq) + 21*m2**10*m5sq*m7**4*B0fin(0,0,m7sq) + 5*m1**6*m2**4*m7**6*B0fin(0,0,m7sq) + 30*m1**4*m2**6*m7**6*B0fin(0,0,m7sq) - 43*m1sq*m2**8*m7**6*B0fin(0,0,m7sq) + 8*m2**10*m7**6*B0fin(0,0,m7sq) + m1**6*m5**4*m7**6*B0fin(0,0,m7sq) + 33*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m7sq) - 22*m2**6*m5**4*m7**6*B0fin(0,0,m7sq) - 12*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m7sq) + 3*m1**4*m5**6*m7**6*B0fin(0,0,m7sq) + 31*m2**4*m5**6*m7**6*B0fin(0,0,m7sq) - 34*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m7sq) + 4*m1sq*m5**8*m7**6*B0fin(0,0,m7sq) - 4*m2sq*m5**8*m7**6*B0fin(0,0,m7sq) - 21*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m7sq) + 40*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m7sq) - 13*m2**8*m5sq*m7**6*B0fin(0,0,m7sq) - 6*m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m7sq) - 6*m1**4*m2**4*m7**8*B0fin(0,0,m7sq) + 19*m1sq*m2**6*m7**8*B0fin(0,0,m7sq) - 14*m2**8*m7**8*B0fin(0,0,m7sq) + m1**6*m2sq*m7**8*B0fin(0,0,m7sq) - 3*m1**4*m5**4*m7**8*B0fin(0,0,m7sq) - m2**4*m5**4*m7**8*B0fin(0,0,m7sq) + 4*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m7sq) - 10*m1sq*m5**6*m7**8*B0fin(0,0,m7sq) + 10*m2sq*m5**6*m7**8*B0fin(0,0,m7sq) - m1**6*m5sq*m7**8*B0fin(0,0,m7sq) - 13*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m7sq) + 5*m2**6*m5sq*m7**8*B0fin(0,0,m7sq) + 9*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m7sq) - 11*m1sq*m2**4*m7**10*B0fin(0,0,m7sq) + 14*m2**6*m7**10*B0fin(0,0,m7sq) - 3*m1**4*m2sq*m7**10*B0fin(0,0,m7sq) + 11*m1sq*m5**4*m7**10*B0fin(0,0,m7sq) - 11*m2sq*m5**4*m7**10*B0fin(0,0,m7sq) + 3*m1**4*m5sq*m7**10*B0fin(0,0,m7sq) - 3*m2**4*m5sq*m7**10*B0fin(0,0,m7sq) - 4*m2**4*m7**12*B0fin(0,0,m7sq) + 4*m1sq*m2sq*m7**12*B0fin(0,0,m7sq) - 4*m1sq*m5sq*m7**12*B0fin(0,0,m7sq) + 4*m2sq*m5sq*m7**12*B0fin(0,0,m7sq) + 13*m1**6*m2**8*m7sq*B0fin(0,0,m7sq) - 9*m1**4*m2**10*m7sq*B0fin(0,0,m7sq) - 4*m1sq*m2**12*m7sq*B0fin(0,0,m7sq) + 42*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m7sq) + 62*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m7sq) - 75*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m7sq) - 29*m2**10*m5**4*m7sq*B0fin(0,0,m7sq) - 84*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m7sq) + 36*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m7sq) + 64*m2**8*m5**6*m7sq*B0fin(0,0,m7sq) - 16*m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m7sq) + m1**6*m5**8*m7sq*B0fin(0,0,m7sq) + 22*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m7sq) - 58*m2**6*m5**8*m7sq*B0fin(0,0,m7sq) + 35*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m7sq) - 2*m1**4*m5**10*m7sq*B0fin(0,0,m7sq) + 20*m2**4*m5**10*m7sq*B0fin(0,0,m7sq) - 18*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m7sq) + m1sq*m5**12*m7sq*B0fin(0,0,m7sq) - m2sq*m5**12*m7sq*B0fin(0,0,m7sq) - 40*m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m7sq) - 2*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m7sq) + 38*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m7sq) + 4*m2**12*m5sq*m7sq*B0fin(0,0,m7sq) - 34*m1sq*m2**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 44*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 22*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1sq*m5**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 74*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 56*m1sq*m2**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 32*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1sq*m5**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 32*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 44*m1sq*m2**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 28*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1sq*m5**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1sq*m2**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1sq*m5**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m2sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1sq*m5sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 8*m1sq*m2**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 80*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 80*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 40*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 40*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 10*m1**6*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 14*m1**4*m2**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 30*m1sq*m2**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 44*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 26*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 28*m2**8*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 22*m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*m1**6*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 10*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 16*m2**6*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 16*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1**4*m5**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 20*m2**4*m5**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 40*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1sq*m5**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 6*m2sq*m5**10*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 126*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 30*m2**10*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 5*m1**6*m2**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 3*m1**4*m2**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 49*m1sq*m2**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 15*m2**10*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1**6*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 21*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 19*m2**6*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 25*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1**4*m5**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 32*m2**4*m5**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 66*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 6*m1sq*m5**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 14*m2sq*m5**8*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 10*m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 58*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 28*m2**8*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 12*m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 6*m1**4*m2**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m1sq*m2**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 28*m2**8*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1**6*m2sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*m1**4*m5**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m2**4*m5**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 54*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1sq*m5**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 16*m2sq*m5**6*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 12*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 30*m2**6*m5sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 22*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 3*m1sq*m2**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 17*m2**6*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1**4*m2sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1sq*m5**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 9*m2sq*m5**4*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 12*m2**4*m5sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 20*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m2**4*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1sq*m2sq*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m2sq*m5sq*m7**12*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 7*m1**6*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 15*m1**4*m2**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 14*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 49*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 15*m2**10*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 16*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 28*m2**8*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 12*m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1**6*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 6*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 10*m2**6*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 23*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*m1**4*m5**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 4*m2**4*m5**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 10*m1sq*m2sq*m5**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - m1sq*m5**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + m2sq*m5**12*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 4*m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 14*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 30*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 9*m1**6*m2**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 14*m1**4*m2**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m1sq*m2**10*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m2**12*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 73*m1**4*m2**4*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 73*m1sq*m2**6*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 11*m2**8*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 11*m1**6*m2sq*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m1**6*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 19*m1sq*m2**4*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 7*m2**6*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m1**4*m2sq*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 5*m1**4*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 13*m2**4*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 18*m1sq*m2sq*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m1**6*m2**4*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 13*m1**4*m2**6*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 23*m1sq*m2**8*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 19*m2**10*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m1**6*m2**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m1**4*m2**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 12*m1sq*m2**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 9*m2**10*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**6*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 8*m1sq*m2**4*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 13*m2**6*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 17*m1**4*m2sq*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m1**4*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 25*m2**4*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 24*m1sq*m2sq*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m1sq*m5**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m2sq*m5**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m1**4*m2**4*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 42*m1sq*m2**6*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 49*m2**8*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m1**6*m2sq*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m1**4*m2**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 11*m1sq*m2**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m2**8*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m1**6*m2sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m1**4*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 27*m2**4*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 18*m1sq*m2sq*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1sq*m5**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m2sq*m5**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m1**6*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 25*m1sq*m2**4*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 39*m2**6*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 13*m1**4*m2sq*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m1sq*m2**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m2**6*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m1**4*m2sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m1sq*m5**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m2sq*m5**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 3*m1**4*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 15*m2**4*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1sq*m2sq*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m1sq*m5sq*m7**12*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m2sq*m5sq*m7**12*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**6*m2**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 8*m1**4*m2**10*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1sq*m2**12*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 20*m1**6*m2**4*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1**4*m2**6*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 36*m1sq*m2**8*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 28*m2**10*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 20*m1**4*m2**4*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 76*m1sq*m2**6*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 44*m2**8*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1**6*m2sq*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 40*m1sq*m2**4*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 20*m2**6*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 20*m1**4*m2sq*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**6*m2**6*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m1**4*m2**8*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m1sq*m2**10*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m2**12*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**4*m2**10*T134fin(m7,m2,m1) - 24*m1**4*m2**6*m5**4*T134fin(m7,m2,m1) - 32*m1sq*m2**8*m5**4*T134fin(m7,m2,m1) - 4*m2**10*m5**4*T134fin(m7,m2,m1) + 16*m1**4*m2**4*m5**6*T134fin(m7,m2,m1) + 48*m1sq*m2**6*m5**6*T134fin(m7,m2,m1) + 16*m2**8*m5**6*T134fin(m7,m2,m1) - 32*m1sq*m2**4*m5**8*T134fin(m7,m2,m1) - 24*m2**6*m5**8*T134fin(m7,m2,m1) - 4*m1**4*m2sq*m5**8*T134fin(m7,m2,m1) + 16*m2**4*m5**10*T134fin(m7,m2,m1) + 8*m1sq*m2sq*m5**10*T134fin(m7,m2,m1) - 4*m2sq*m5**12*T134fin(m7,m2,m1) + 16*m1**4*m2**8*m5sq*T134fin(m7,m2,m1) + 8*m1sq*m2**10*m5sq*T134fin(m7,m2,m1) - 28*m1**4*m2**6*m7**4*T134fin(m7,m2,m1) - 34*m1sq*m2**8*m7**4*T134fin(m7,m2,m1) - 4*m2**10*m7**4*T134fin(m7,m2,m1) + 44*m1sq*m2**4*m5**4*m7**4*T134fin(m7,m2,m1) - 12*m2**6*m5**4*m7**4*T134fin(m7,m2,m1) - 20*m1**4*m2sq*m5**4*m7**4*T134fin(m7,m2,m1) - 4*m1**4*m5**6*m7**4*T134fin(m7,m2,m1) + 24*m2**4*m5**6*m7**4*T134fin(m7,m2,m1) + 16*m1sq*m2sq*m5**6*m7**4*T134fin(m7,m2,m1) + 6*m1sq*m5**8*m7**4*T134fin(m7,m2,m1) - 48*m2sq*m5**8*m7**4*T134fin(m7,m2,m1) - 6*m5**10*m7**4*T134fin(m7,m2,m1) - 12*m1**4*m2**4*m5sq*m7**4*T134fin(m7,m2,m1) + 96*m1sq*m2**6*m5sq*m7**4*T134fin(m7,m2,m1) - 18*m2**8*m5sq*m7**4*T134fin(m7,m2,m1) + 22*m1**4*m2**4*m7**6*T134fin(m7,m2,m1) + 56*m1sq*m2**6*m7**6*T134fin(m7,m2,m1) + 17*m2**8*m7**6*T134fin(m7,m2,m1) + 6*m1**4*m5**4*m7**6*T134fin(m7,m2,m1) + 36*m2**4*m5**4*m7**6*T134fin(m7,m2,m1) - 4*m1sq*m5**6*m7**6*T134fin(m7,m2,m1) + 72*m2sq*m5**6*m7**6*T134fin(m7,m2,m1) + 15*m5**8*m7**6*T134fin(m7,m2,m1) - 20*m1sq*m2**4*m5sq*m7**6*T134fin(m7,m2,m1) + 36*m2**6*m5sq*m7**6*T134fin(m7,m2,m1) + 20*m1**4*m2sq*m5sq*m7**6*T134fin(m7,m2,m1) - 44*m1sq*m2**4*m7**8*T134fin(m7,m2,m1) - 28*m2**6*m7**8*T134fin(m7,m2,m1) - 8*m1**4*m2sq*m7**8*T134fin(m7,m2,m1) - 4*m1sq*m5**4*m7**8*T134fin(m7,m2,m1) - 68*m2sq*m5**4*m7**8*T134fin(m7,m2,m1) - 20*m5**6*m7**8*T134fin(m7,m2,m1) - 4*m1**4*m5sq*m7**8*T134fin(m7,m2,m1) - 56*m2**4*m5sq*m7**8*T134fin(m7,m2,m1) - 24*m1sq*m2sq*m5sq*m7**8*T134fin(m7,m2,m1) + m1**4*m7**10*T134fin(m7,m2,m1) + 22*m2**4*m7**10*T134fin(m7,m2,m1) + 16*m1sq*m2sq*m7**10*T134fin(m7,m2,m1) + 15*m5**4*m7**10*T134fin(m7,m2,m1) + 6*m1sq*m5sq*m7**10*T134fin(m7,m2,m1) + 36*m2sq*m5sq*m7**10*T134fin(m7,m2,m1) - 2*m1sq*m7**12*T134fin(m7,m2,m1) - 8*m2sq*m7**12*T134fin(m7,m2,m1) - 6*m5sq*m7**12*T134fin(m7,m2,m1) + m7**14*T134fin(m7,m2,m1) + 17*m1**4*m2**8*m7sq*T134fin(m7,m2,m1) + 8*m1sq*m2**10*m7sq*T134fin(m7,m2,m1) - 10*m1**4*m2**4*m5**4*m7sq*T134fin(m7,m2,m1) + 88*m1sq*m2**6*m5**4*m7sq*T134fin(m7,m2,m1) - 15*m2**8*m5**4*m7sq*T134fin(m7,m2,m1) - 12*m1sq*m2**4*m5**6*m7sq*T134fin(m7,m2,m1) + 28*m2**6*m5**6*m7sq*T134fin(m7,m2,m1) + 12*m1**4*m2sq*m5**6*m7sq*T134fin(m7,m2,m1) + m1**4*m5**8*m7sq*T134fin(m7,m2,m1) - 42*m2**4*m5**8*m7sq*T134fin(m7,m2,m1) - 16*m1sq*m2sq*m5**8*m7sq*T134fin(m7,m2,m1) - 2*m1sq*m5**10*m7sq*T134fin(m7,m2,m1) + 20*m2sq*m5**10*m7sq*T134fin(m7,m2,m1) + m5**12*m7sq*T134fin(m7,m2,m1) - 20*m1**4*m2**6*m5sq*m7sq*T134fin(m7,m2,m1) - 66*m1sq*m2**8*m5sq*m7sq*T134fin(m7,m2,m1) + 8*m2**10*m5sq*m7sq*T134fin(m7,m2,m1) + m1**6*m2**8*T134fin(m7,m2,m2) + 3*m1**4*m2**10*T134fin(m7,m2,m2) + 6*m1**6*m2**4*m5**4*T134fin(m7,m2,m2) + 26*m1**4*m2**6*m5**4*T134fin(m7,m2,m2) + 25*m1sq*m2**8*m5**4*T134fin(m7,m2,m2) + 3*m2**10*m5**4*T134fin(m7,m2,m2) - 24*m1**4*m2**4*m5**6*T134fin(m7,m2,m2) - 40*m1sq*m2**6*m5**6*T134fin(m7,m2,m2) - 12*m2**8*m5**6*T134fin(m7,m2,m2) - 4*m1**6*m2sq*m5**6*T134fin(m7,m2,m2) + m1**6*m5**8*T134fin(m7,m2,m2) + 30*m1sq*m2**4*m5**8*T134fin(m7,m2,m2) + 18*m2**6*m5**8*T134fin(m7,m2,m2) + 11*m1**4*m2sq*m5**8*T134fin(m7,m2,m2) - 2*m1**4*m5**10*T134fin(m7,m2,m2) - 12*m2**4*m5**10*T134fin(m7,m2,m2) - 10*m1sq*m2sq*m5**10*T134fin(m7,m2,m2) + m1sq*m5**12*T134fin(m7,m2,m2) + 3*m2sq*m5**12*T134fin(m7,m2,m2) - 4*m1**6*m2**6*m5sq*T134fin(m7,m2,m2) - 14*m1**4*m2**8*m5sq*T134fin(m7,m2,m2) - 6*m1sq*m2**10*m5sq*T134fin(m7,m2,m2) + 6*m1**6*m2**4*m7**4*T134fin(m7,m2,m2) + 30*m1**4*m2**6*m7**4*T134fin(m7,m2,m2) + 27*m1sq*m2**8*m7**4*T134fin(m7,m2,m2) + 3*m2**10*m7**4*T134fin(m7,m2,m2) + 6*m1**6*m5**4*m7**4*T134fin(m7,m2,m2) - 24*m1sq*m2**4*m5**4*m7**4*T134fin(m7,m2,m2) + 8*m2**6*m5**4*m7**4*T134fin(m7,m2,m2) - 2*m1**4*m2sq*m5**4*m7**4*T134fin(m7,m2,m2) - 16*m2**4*m5**6*m7**4*T134fin(m7,m2,m2) - 20*m1sq*m2sq*m5**6*m7**4*T134fin(m7,m2,m2) + 9*m1sq*m5**8*m7**4*T134fin(m7,m2,m2) + 33*m2sq*m5**8*m7**4*T134fin(m7,m2,m2) + 6*m5**10*m7**4*T134fin(m7,m2,m2) - 12*m1**4*m2**4*m5sq*m7**4*T134fin(m7,m2,m2) - 72*m1sq*m2**6*m5sq*m7**4*T134fin(m7,m2,m2) + 14*m2**8*m5sq*m7**4*T134fin(m7,m2,m2) + 4*m1**6*m2sq*m5sq*m7**4*T134fin(m7,m2,m2) - 30*m1**4*m2**4*m7**6*T134fin(m7,m2,m2) - 48*m1sq*m2**6*m7**6*T134fin(m7,m2,m2) - 13*m2**8*m7**6*T134fin(m7,m2,m2) - 4*m1**6*m2sq*m7**6*T134fin(m7,m2,m2) - 10*m1**4*m5**4*m7**6*T134fin(m7,m2,m2) - 28*m2**4*m5**4*m7**6*T134fin(m7,m2,m2) - 4*m1sq*m2sq*m5**4*m7**6*T134fin(m7,m2,m2) - 16*m1sq*m5**6*m7**6*T134fin(m7,m2,m2) - 52*m2sq*m5**6*m7**6*T134fin(m7,m2,m2) - 15*m5**8*m7**6*T134fin(m7,m2,m2) - 4*m1**6*m5sq*m7**6*T134fin(m7,m2,m2) + 12*m1sq*m2**4*m5sq*m7**6*T134fin(m7,m2,m2) - 28*m2**6*m5sq*m7**6*T134fin(m7,m2,m2) - 16*m1**4*m2sq*m5sq*m7**6*T134fin(m7,m2,m2) + m1**6*m7**8*T134fin(m7,m2,m2) + 42*m1sq*m2**4*m7**8*T134fin(m7,m2,m2) + 22*m2**6*m7**8*T134fin(m7,m2,m2) + 15*m1**4*m2sq*m7**8*T134fin(m7,m2,m2) + 19*m1sq*m5**4*m7**8*T134fin(m7,m2,m2) + 53*m2sq*m5**4*m7**8*T134fin(m7,m2,m2) + 20*m5**6*m7**8*T134fin(m7,m2,m2) + 10*m1**4*m5sq*m7**8*T134fin(m7,m2,m2) + 44*m2**4*m5sq*m7**8*T134fin(m7,m2,m2) + 30*m1sq*m2sq*m5sq*m7**8*T134fin(m7,m2,m2) - 3*m1**4*m7**10*T134fin(m7,m2,m2) - 18*m2**4*m7**10*T134fin(m7,m2,m2) - 18*m1sq*m2sq*m7**10*T134fin(m7,m2,m2) - 15*m5**4*m7**10*T134fin(m7,m2,m2) - 12*m1sq*m5sq*m7**10*T134fin(m7,m2,m2) - 30*m2sq*m5sq*m7**10*T134fin(m7,m2,m2) + 3*m1sq*m7**12*T134fin(m7,m2,m2) + 7*m2sq*m7**12*T134fin(m7,m2,m2) + 6*m5sq*m7**12*T134fin(m7,m2,m2) - m7**14*T134fin(m7,m2,m2) - 4*m1**6*m2**6*m7sq*T134fin(m7,m2,m2) - 15*m1**4*m2**8*m7sq*T134fin(m7,m2,m2) - 6*m1sq*m2**10*m7sq*T134fin(m7,m2,m2) - 14*m1**4*m2**4*m5**4*m7sq*T134fin(m7,m2,m2) - 64*m1sq*m2**6*m5**4*m7sq*T134fin(m7,m2,m2) + 11*m2**8*m5**4*m7sq*T134fin(m7,m2,m2) + 4*m1**6*m2sq*m5**4*m7sq*T134fin(m7,m2,m2) - 4*m1**6*m5**6*m7sq*T134fin(m7,m2,m2) + 4*m1sq*m2**4*m5**6*m7sq*T134fin(m7,m2,m2) - 20*m2**6*m5**6*m7sq*T134fin(m7,m2,m2) - 8*m1**4*m2sq*m5**6*m7sq*T134fin(m7,m2,m2) + 5*m1**4*m5**8*m7sq*T134fin(m7,m2,m2) + 30*m2**4*m5**8*m7sq*T134fin(m7,m2,m2) + 22*m1sq*m2sq*m5**8*m7sq*T134fin(m7,m2,m2) - 4*m1sq*m5**10*m7sq*T134fin(m7,m2,m2) - 14*m2sq*m5**10*m7sq*T134fin(m7,m2,m2) - m5**12*m7sq*T134fin(m7,m2,m2) + 4*m1**6*m2**4*m5sq*m7sq*T134fin(m7,m2,m2) + 32*m1**4*m2**6*m5sq*m7sq*T134fin(m7,m2,m2) + 48*m1sq*m2**8*m5sq*m7sq*T134fin(m7,m2,m2) - 6*m2**10*m5sq*m7sq*T134fin(m7,m2,m2) + 4*m1**4*m2**10*T134fin(m7,m5,m1) - 4*m1sq*m2**12*T134fin(m7,m5,m1) + 24*m1**4*m2**6*m5**4*T134fin(m7,m5,m1) - 8*m1sq*m2**8*m5**4*T134fin(m7,m5,m1) - 16*m2**10*m5**4*T134fin(m7,m5,m1) - 16*m1**4*m2**4*m5**6*T134fin(m7,m5,m1) - 8*m1sq*m2**6*m5**6*T134fin(m7,m5,m1) + 24*m2**8*m5**6*T134fin(m7,m5,m1) + 12*m1sq*m2**4*m5**8*T134fin(m7,m5,m1) - 16*m2**6*m5**8*T134fin(m7,m5,m1) + 4*m1**4*m2sq*m5**8*T134fin(m7,m5,m1) + 4*m2**4*m5**10*T134fin(m7,m5,m1) - 4*m1sq*m2sq*m5**10*T134fin(m7,m5,m1) - 16*m1**4*m2**8*m5sq*T134fin(m7,m5,m1) + 12*m1sq*m2**10*m5sq*T134fin(m7,m5,m1) + 4*m2**12*m5sq*T134fin(m7,m5,m1) + 28*m1**4*m2**6*m7**4*T134fin(m7,m5,m1) + 6*m1sq*m2**8*m7**4*T134fin(m7,m5,m1) + 21*m2**10*m7**4*T134fin(m7,m5,m1) - 52*m1sq*m2**4*m5**4*m7**4*T134fin(m7,m5,m1) + 6*m2**6*m5**4*m7**4*T134fin(m7,m5,m1) + 20*m1**4*m2sq*m5**4*m7**4*T134fin(m7,m5,m1) + 4*m1**4*m5**6*m7**4*T134fin(m7,m5,m1) + 6*m2**4*m5**6*m7**4*T134fin(m7,m5,m1) - 2*m1sq*m5**8*m7**4*T134fin(m7,m5,m1) + 21*m2sq*m5**8*m7**4*T134fin(m7,m5,m1) + m5**10*m7**4*T134fin(m7,m5,m1) + 12*m1**4*m2**4*m5sq*m7**4*T134fin(m7,m5,m1) - 80*m1sq*m2**6*m5sq*m7**4*T134fin(m7,m5,m1) + 9*m2**8*m5sq*m7**4*T134fin(m7,m5,m1) - 22*m1**4*m2**4*m7**6*T134fin(m7,m5,m1) - 34*m1sq*m2**6*m7**6*T134fin(m7,m5,m1) - 45*m2**8*m7**6*T134fin(m7,m5,m1) - 6*m1**4*m5**4*m7**6*T134fin(m7,m5,m1) - 42*m2**4*m5**4*m7**6*T134fin(m7,m5,m1) - 14*m1sq*m2sq*m5**4*m7**6*T134fin(m7,m5,m1) - 2*m1sq*m5**6*m7**6*T134fin(m7,m5,m1) - 42*m2sq*m5**6*m7**6*T134fin(m7,m5,m1) - 5*m5**8*m7**6*T134fin(m7,m5,m1) + 18*m1sq*m2**4*m5sq*m7**6*T134fin(m7,m5,m1) - 42*m2**6*m5sq*m7**6*T134fin(m7,m5,m1) - 20*m1**4*m2sq*m5sq*m7**6*T134fin(m7,m5,m1) + 36*m1sq*m2**4*m7**8*T134fin(m7,m5,m1) + 50*m2**6*m7**8*T134fin(m7,m5,m1) + 8*m1**4*m2sq*m7**8*T134fin(m7,m5,m1) + 8*m1sq*m5**4*m7**8*T134fin(m7,m5,m1) + 50*m2sq*m5**4*m7**8*T134fin(m7,m5,m1) + 10*m5**6*m7**8*T134fin(m7,m5,m1) + 4*m1**4*m5sq*m7**8*T134fin(m7,m5,m1) + 62*m2**4*m5sq*m7**8*T134fin(m7,m5,m1) + 28*m1sq*m2sq*m5sq*m7**8*T134fin(m7,m5,m1) - m1**4*m7**10*T134fin(m7,m5,m1) - 30*m2**4*m7**10*T134fin(m7,m5,m1) - 15*m1sq*m2sq*m7**10*T134fin(m7,m5,m1) - 10*m5**4*m7**10*T134fin(m7,m5,m1) - 7*m1sq*m5sq*m7**10*T134fin(m7,m5,m1) - 33*m2sq*m5sq*m7**10*T134fin(m7,m5,m1) + 2*m1sq*m7**12*T134fin(m7,m5,m1) + 9*m2sq*m7**12*T134fin(m7,m5,m1) + 5*m5sq*m7**12*T134fin(m7,m5,m1) - m7**14*T134fin(m7,m5,m1) - 17*m1**4*m2**8*m7sq*T134fin(m7,m5,m1) + 9*m1sq*m2**10*m7sq*T134fin(m7,m5,m1) - 4*m2**12*m7sq*T134fin(m7,m5,m1) + 10*m1**4*m2**4*m5**4*m7sq*T134fin(m7,m5,m1) - 78*m1sq*m2**6*m5**4*m7sq*T134fin(m7,m5,m1) + 12*m2**8*m5**4*m7sq*T134fin(m7,m5,m1) + 34*m1sq*m2**4*m5**6*m7sq*T134fin(m7,m5,m1) + 2*m2**6*m5**6*m7sq*T134fin(m7,m5,m1) - 12*m1**4*m2sq*m5**6*m7sq*T134fin(m7,m5,m1) - m1**4*m5**8*m7sq*T134fin(m7,m5,m1) + 5*m1sq*m2sq*m5**8*m7sq*T134fin(m7,m5,m1) + m1sq*m5**10*m7sq*T134fin(m7,m5,m1) - 5*m2sq*m5**10*m7sq*T134fin(m7,m5,m1) + 20*m1**4*m2**6*m5sq*m7sq*T134fin(m7,m5,m1) + 29*m1sq*m2**8*m5sq*m7sq*T134fin(m7,m5,m1) - 5*m2**10*m5sq*m7sq*T134fin(m7,m5,m1) - 4*m1**6*m2**8*T134fin(m7,m5,m2) + 4*m1**4*m2**10*T134fin(m7,m5,m2) - 12*m1**6*m2**4*m5**4*T134fin(m7,m5,m2) - 12*m1**4*m2**6*m5**4*T134fin(m7,m5,m2) + 20*m1sq*m2**8*m5**4*T134fin(m7,m5,m2) + 4*m2**10*m5**4*T134fin(m7,m5,m2) + 20*m1**4*m2**4*m5**6*T134fin(m7,m5,m2) - 12*m1sq*m2**6*m5**6*T134fin(m7,m5,m2) - 12*m2**8*m5**6*T134fin(m7,m5,m2) + 4*m1**6*m2sq*m5**6*T134fin(m7,m5,m2) - 4*m1sq*m2**4*m5**8*T134fin(m7,m5,m2) + 12*m2**6*m5**8*T134fin(m7,m5,m2) - 8*m1**4*m2sq*m5**8*T134fin(m7,m5,m2) - 4*m2**4*m5**10*T134fin(m7,m5,m2) + 4*m1sq*m2sq*m5**10*T134fin(m7,m5,m2) + 12*m1**6*m2**6*m5sq*T134fin(m7,m5,m2) - 4*m1**4*m2**8*m5sq*T134fin(m7,m5,m2) - 8*m1sq*m2**10*m5sq*T134fin(m7,m5,m2) - 5*m1**6*m2**4*m7**4*T134fin(m7,m5,m2) - 36*m1**4*m2**6*m7**4*T134fin(m7,m5,m2) - 18*m1sq*m2**8*m7**4*T134fin(m7,m5,m2) + 4*m2**10*m7**4*T134fin(m7,m5,m2) - m1**6*m5**4*m7**4*T134fin(m7,m5,m2) + 29*m1sq*m2**4*m5**4*m7**4*T134fin(m7,m5,m2) + 4*m2**6*m5**4*m7**4*T134fin(m7,m5,m2) - 6*m1**4*m2sq*m5**4*m7**4*T134fin(m7,m5,m2) + 3*m1**4*m5**6*m7**4*T134fin(m7,m5,m2) - 7*m2**4*m5**6*m7**4*T134fin(m7,m5,m2) - 6*m1sq*m2sq*m5**6*m7**4*T134fin(m7,m5,m2) + 3*m1sq*m5**8*m7**4*T134fin(m7,m5,m2) - 22*m2sq*m5**8*m7**4*T134fin(m7,m5,m2) - m5**10*m7**4*T134fin(m7,m5,m2) + 23*m1**4*m2**4*m5sq*m7**4*T134fin(m7,m5,m2) + 72*m1sq*m2**6*m5sq*m7**4*T134fin(m7,m5,m2) - 26*m2**8*m5sq*m7**4*T134fin(m7,m5,m2) - 10*m1**6*m2sq*m5sq*m7**4*T134fin(m7,m5,m2) + 32*m1**4*m2**4*m7**6*T134fin(m7,m5,m2) + 57*m1sq*m2**6*m7**6*T134fin(m7,m5,m2) + 7*m2**8*m7**6*T134fin(m7,m5,m2) + 5*m1**6*m2sq*m7**6*T134fin(m7,m5,m2) - m1**4*m5**4*m7**6*T134fin(m7,m5,m2) + 37*m2**4*m5**4*m7**6*T134fin(m7,m5,m2) + 26*m1sq*m2sq*m5**4*m7**6*T134fin(m7,m5,m2) + 44*m2sq*m5**6*m7**6*T134fin(m7,m5,m2) + 5*m5**8*m7**6*T134fin(m7,m5,m2) + 3*m1**6*m5sq*m7**6*T134fin(m7,m5,m2) - 27*m1sq*m2**4*m5sq*m7**6*T134fin(m7,m5,m2) + 43*m2**6*m5sq*m7**6*T134fin(m7,m5,m2) + 25*m1**4*m2sq*m5sq*m7**6*T134fin(m7,m5,m2) - m1**6*m7**8*T134fin(m7,m5,m2) - 49*m1sq*m2**4*m7**8*T134fin(m7,m5,m2) - 26*m2**6*m7**8*T134fin(m7,m5,m2) - 18*m1**4*m2sq*m7**8*T134fin(m7,m5,m2) - 8*m1sq*m5**4*m7**8*T134fin(m7,m5,m2) - 50*m2sq*m5**4*m7**8*T134fin(m7,m5,m2) - 10*m5**6*m7**8*T134fin(m7,m5,m2) - 7*m1**4*m5sq*m7**8*T134fin(m7,m5,m2) - 53*m2**4*m5sq*m7**8*T134fin(m7,m5,m2) - 34*m1sq*m2sq*m5sq*m7**8*T134fin(m7,m5,m2) + 3*m1**4*m7**10*T134fin(m7,m5,m2) + 22*m2**4*m7**10*T134fin(m7,m5,m2) + 21*m1sq*m2sq*m7**10*T134fin(m7,m5,m2) + 10*m5**4*m7**10*T134fin(m7,m5,m2) + 9*m1sq*m5sq*m7**10*T134fin(m7,m5,m2) + 31*m2sq*m5sq*m7**10*T134fin(m7,m5,m2) - 3*m1sq*m7**12*T134fin(m7,m5,m2) - 8*m2sq*m7**12*T134fin(m7,m5,m2) - 5*m5sq*m7**12*T134fin(m7,m5,m2) + m7**14*T134fin(m7,m5,m2) + 5*m1**6*m2**6*m7sq*T134fin(m7,m5,m2) + 15*m1**4*m2**8*m7sq*T134fin(m7,m5,m2) - 8*m1sq*m2**10*m7sq*T134fin(m7,m5,m2) + 43*m1**4*m2**4*m5**4*m7sq*T134fin(m7,m5,m2) - 25*m1sq*m2**6*m5**4*m7sq*T134fin(m7,m5,m2) + 31*m2**8*m5**4*m7sq*T134fin(m7,m5,m2) + 7*m1**6*m2sq*m5**4*m7sq*T134fin(m7,m5,m2) - m1**6*m5**6*m7sq*T134fin(m7,m5,m2) + 27*m1sq*m2**4*m5**6*m7sq*T134fin(m7,m5,m2) - 33*m2**6*m5**6*m7sq*T134fin(m7,m5,m2) - 17*m1**4*m2sq*m5**6*m7sq*T134fin(m7,m5,m2) + 2*m1**4*m5**8*m7sq*T134fin(m7,m5,m2) + 5*m2**4*m5**8*m7sq*T134fin(m7,m5,m2) - 11*m1sq*m2sq*m5**8*m7sq*T134fin(m7,m5,m2) - m1sq*m5**10*m7sq*T134fin(m7,m5,m2) + 5*m2sq*m5**10*m7sq*T134fin(m7,m5,m2) - 11*m1**6*m2**4*m5sq*m7sq*T134fin(m7,m5,m2) - 43*m1**4*m2**6*m5sq*m7sq*T134fin(m7,m5,m2) + 18*m1sq*m2**8*m5sq*m7sq*T134fin(m7,m5,m2) - 8*m2**10*m5sq*m7sq*T134fin(m7,m5,m2))/((m1sq - m2sq)**2*(m2sq - m5sq)**2*(m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2*(4*m2sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))))
		def eval_100():
			return (m1**10/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**8*m3sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**10*m3sq)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1**6*m4**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (10*m1**4*m3sq*m4**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**8*m4sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**6*m3sq*m4sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m3sq*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**8*m7**4)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**6*(m1sq - m3sq)*m7**4)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (14*m1**6*m3sq*m7**4)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (20*m1sq*(m1sq - m3sq)*m4sq*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*(m1sq - m3sq)*m7**6)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**6*m7**6)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*(m1sq - m3sq)*m7**6)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (16*m1**4*m3sq*m7**6)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*(m1sq - m3sq)*m7**8)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*(m1sq - m3sq)*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) - (2*m1sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**4)/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m7**6)/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (4*m1sq*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + m3**8/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3sq*m4**4)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (7*m3**4*m4sq)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (5*m3sq*m7**4)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (6*m3**4*m7**4)/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m3sq*m7**6)/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3**4)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) - (4*m3sq*m4sq)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + (8*(m1sq - m3sq)*(-(m4sq*m7) + m7**3)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) - (10*m1**4*m4**4*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (3*m1sq*m3sq*m4**4*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (14*m1**4*m7**4*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (9*m1sq*m3sq*m7**6*(m4sq - m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*(m1sq - m3sq)*m7**4*(m4sq - m7sq)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m1sq - m3sq)*m7**6*(m4sq - m7sq)**2)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*(m4sq - m7sq)**2)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*(m4sq - m7sq)**2)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + (3*m1sq*m4sq*(m4sq - m7sq)**3)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1sq*m7**4*(m4sq - m7sq)**3)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (10*m1**8*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**6*(m1sq - m3sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (22*m1**6*m3sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**10*m7sq)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**8*(m1sq - m3sq)*m7sq)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**8*m3sq*m7sq)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*(m1sq - m3sq)*m4**4*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**6*m4sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*(m1sq - m3sq)*m4sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**4*m3sq*m4sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (16*m1**4*(m1sq - m3sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) + (8*m1sq*(m1sq - m3sq)*m4sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) - (3*m1**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m7sq)/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (5*m3**4*m7sq)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3**6*m7sq)/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m4sq*m7sq)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (4*m3sq*m7sq)/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + (7*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m1sq - m3sq)*m4sq*(m4sq - m7sq)**2*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*(m4sq - m7sq)**3*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (13*m1sq*m3sq*m7**4*(-m4sq + m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**4*m7**6*(-m4sq + m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7**4*(-m4sq + m7sq)**3)/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m7sq*(-m4sq + m7sq)**3)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m3sq*m7sq*(m3sq - m4sq + m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3**6*(5*m4sq + 3*m7sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (12*m1**6*m7**4*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*m3sq*m7**4*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m3sq*m7**4*(m4sq - m7sq)*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**8*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**6*m3sq*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1**6*m4sq*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m3sq*m7**4*B0del(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3**4*m7sq*B0del(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m4sq*m7sq*B0del(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0del(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (12*m1**6*m7**4*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m7**4*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m7**4*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*(m1sq - m3sq)*m4sq*m7**4*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1**4*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m1sq - m3sq)*m7**4*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**8*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*(m1sq - m3sq)*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m3sq*m4sq*m7sq*B0del(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (6*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7sq*(-m4sq + m7sq)**3*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m3sq*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*(m1sq - m3sq)*m4sq*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m7**4*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m3sq*m7**4*B0del(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (4*m1sq*m3sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m1sq - m3sq)*m7**4*(m4sq - m7sq)**2*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**8*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1**6*m4sq*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m3**4*m7sq*B0del(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m4sq*m7sq*B0del(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (6*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*(m4sq - m7sq)**3*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m7**4*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0del(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (8*m1**10*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**8*m3sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**12*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (22*m1**6*m4**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (20*m1**8*m4sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (18*m1**6*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**4*m3sq*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**8*m7**4*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7**4*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**6*m7**6*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m7**6*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (11*m1**4*m4**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*m3sq*m4**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (14*m1sq*m3sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m3sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m3sq*m7**4*(m4sq - m7sq)**3*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (10*m1**8*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**6*m3sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**10*m7sq*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**8*m3sq*m7sq*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**6*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (9*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (19*m1**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*m7**6*(-m4sq + m7sq)*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m3sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m1sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m3**8*B0fin(0,0,m3sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3sq*m4**4*B0fin(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (7*m3**4*m4sq*B0fin(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3sq*m7**4*B0fin(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3**4*m7**4*B0fin(0,0,m3sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m3sq*m7**6*B0fin(0,0,m3sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m3**4*m7sq*B0fin(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3sq*m4sq*m7sq*B0fin(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0fin(0,0,m3sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m3**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m3sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (8*m1**10*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**8*m3sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**12*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (22*m1**6*m4**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (20*m1**8*m4sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**6*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*(m1sq - m3sq)*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**8*m7**4*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*(m1sq - m3sq)*m7**4*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7**4*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (28*m1sq*(m1sq - m3sq)*m4sq*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*(m1sq - m3sq)*m7**6*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**6*m7**6*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m7**6*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m7**6*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*(m1sq - m3sq)*m7**8*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m7**4*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m7**6*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3**8*B0fin(0,0,m4sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3sq*m4**4*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (7*m3**4*m4sq*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (5*m3sq*m7**4*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (6*m3**4*m7**4*B0fin(0,0,m4sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (4*m3sq*m7**6*B0fin(0,0,m4sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (11*m1**4*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*m3sq*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (3*m1**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*(m1sq - m3sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - ((m1sq - m3sq)*m7**6*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m3sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m3sq*m7**4*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (16*m1**8*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*m3sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**10*m7sq*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**8*(m1sq - m3sq)*m7sq*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**8*m3sq*m7sq*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*(m1sq - m3sq)*m4**4*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (28*m1**6*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**4*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (16*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m7sq*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m3**4*m7sq*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m3**6*m7sq*B0fin(0,0,m4sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (6*m3sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (23*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (20*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (6*m1sq*m3sq*m7**4*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m3sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m3**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m4sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (12*m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m4sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m1**6*(m1sq - m3sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (3*m1sq*(m1sq - m3sq)*m4**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (3*m1**4*(m1sq - m3sq)*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1sq*(m1sq - m3sq)*m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(-(m4sq*m7) + m7**3)**2*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m4sq - m7sq)**2*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*(m1sq - m3sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*(m1sq - m3sq)*m4sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(m4**3 - m4*m7sq)**2*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m3**4*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m4sq*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - ((m4sq - m7sq)**2*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m7sq*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (12*m1**6*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*(m1sq - m3sq)*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (14*m1**4*m3sq*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*(m1sq - m3sq)*m7**4*B0fin(0,0,m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (28*m1sq*(m1sq - m3sq)*m4sq*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*(m1sq - m3sq)*m7**6*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m7**6*B0fin(0,0,m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*(m1sq - m3sq)*m7**8*B0fin(0,0,m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m7**4*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m7**6*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m3sq*m7**4*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3**4*m7**4*B0fin(0,0,m7sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3sq*m7**6*B0fin(0,0,m7sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (20*m1sq*m3sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*(m1sq - m3sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - ((m1sq - m3sq)*m7**6*(m4sq - m7sq)**2*B0fin(0,0,m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**8*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**8*(m1sq - m3sq)*m7sq*B0fin(0,0,m7sq))/(m4**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*(m1sq - m3sq)*m4**4*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (16*m1**6*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**4*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (10*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m7sq*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3**4*m7sq*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m3**6*m7sq*B0fin(0,0,m7sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (14*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m3sq*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/(m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/(m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (22*m1**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m1**4*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m3sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (6*m1**4*(m1sq - m3sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*(m1sq - m3sq)*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m3sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*(m1sq - m3sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*(m1sq - m3sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m3**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m3sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*(m1sq - m3sq)*m7**4*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*(m1sq - m3sq)*(-(m4sq*m7) + m7**3)**2*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**4*(m1sq - m3sq)*m7sq*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*(m1sq - m3sq)*m4sq*m7sq*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m3sq*m7sq*T134fin(m7,m4,m3))/((m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2))/(2.*(m1sq - m3sq)**2)
		def eval_101():
			return (-((m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))) - (2*m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m1sq - m3sq)**2*(m2sq - m3sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m2sq*(m1sq - m3sq)**2*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*(-m1sq + m3sq)*B0del(0,0,m3sq))/((m2sq - m3sq)*(4*m3sq - m7sq)) - (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m1sq - m3sq)**2*(m2sq - m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m3sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*(m1sq - m3sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m1sq - m3sq)**2*(m2sq - m3sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m2sq*(m1sq - m3sq)**2*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*(-m1sq + m3sq)*B0fin(0,0,m3sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)) + (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m1sq - m3sq)**2*(m2sq - m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq))/((m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m1sq*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m1sq - m3sq)**2*(m2sq - m3sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m3sq*(-m1sq + m3sq)*B0fin(0,0,m3sq)**2)/((m2sq - m3sq)*(4*m3sq - m7sq)) - ((m1sq - m3sq)*(m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)**2*(m2sq - m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)*(4*m3sq - m7sq)) + (m3sq*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((-m2sq + m3sq)*(4*m3sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*(m1sq - m3sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*(m1sq - m3sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m3sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((-m2sq + m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + T134fin(m7,m1,m1)/(m1sq - m2sq) - ((m1sq - m3sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)) - (2*T134fin(m7,m3,m1))/(m1sq - m2sq) + ((m1sq - m3sq)*T134fin(m7,m3,m1))/((m1sq - m2sq)*(m2sq - m3sq)) + ((m1sq - m3sq)*(m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((m1sq - m2sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)) - ((m1sq - m3sq)**2*(m2sq - m3sq + m7sq)*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*T134fin(m7,m3,m3))/((-m2sq + m3sq)*(4*m3sq - m7sq)) + (3*m3sq*T134fin(m7,m3,m3))/((-m2sq + m3sq)*(4*m3sq - m7sq)) + (m7sq*T134fin(m7,m3,m3))/((m2sq - m3sq)*(4*m3sq - m7sq)))/(m1sq - m3sq)**3
		def eval_102():
			return (2*m1**12*m3**3 - 4*m1**11*m3**4 + 4*m1**12*m3**4 - 16*m1**10*m3**5 + 8*m1**9*m3**6 - 8*m1**10*m3**6 + 36*m1**8*m3**7 - 32*m1**6*m3**9 - 8*m1**5*m3**10 + 8*m1**6*m3**10 + 10*m1**4*m3**11 + 4*m1**3*m3**12 - 4*m1**4*m3**12 + 20*m1**10*m3**4*m6 - 40*m1**8*m3**6*m6 + 40*m1**6*m3**8*m6 - 20*m1**4*m3**10*m6 + 4*m1sq*m3**12*m6 - 4*m1**12*m3sq*m6 - 20*m1**8*m3**4*m6**3 + 40*m1**6*m3**6*m6**3 - 40*m1**4*m3**8*m6**3 + 20*m1sq*m3**10*m6**3 - 4*m3**12*m6**3 + 4*m1**10*m3sq*m6**3 - 4*m1**10*m3*m6**4 + 2*m1**8*m3**3*m6**4 + 24*m1**7*m3**4*m6**4 - 12*m1**8*m3**4*m6**4 + 8*m1**6*m3**5*m6**4 - 8*m1**6*m3**6*m6**4 + 4*m1**4*m3**7*m6**4 - 24*m1**3*m3**8*m6**4 + 16*m1**4*m3**8*m6**4 - 20*m1sq*m3**9*m6**4 + 12*m1*m3**10*m6**4 + 10*m3**11*m6**4 - 4*m3**12*m6**4 - 12*m1**9*m3sq*m6**4 + 8*m1**10*m3sq*m6**4 + 2*m1**8*m3*m6**6 - 24*m1**5*m3**4*m6**6 + 8*m1**6*m3**4*m6**6 - 12*m1**4*m3**5*m6**6 + 24*m1**3*m3**6*m6**6 + 16*m1sq*m3**7*m6**6 - 8*m1*m3**8*m6**6 - 8*m1sq*m3**8*m6**6 - 6*m3**9*m6**6 + 4*m3**10*m6**6 + 8*m1**7*m3sq*m6**6 - 4*m1**8*m3sq*m6**6 + 2*m1**12*m3*m6sq - 4*m1**10*m3**3*m6sq + 4*m1**9*m3**4*m6sq + 20*m1**8*m3**5*m6sq - 32*m1**7*m3**6*m6sq + 16*m1**8*m3**6*m6sq - 56*m1**6*m3**7*m6sq + 32*m1**5*m3**8*m6sq - 8*m1**6*m3**8*m6sq + 58*m1**4*m3**9*m6sq - 4*m1**3*m3**10*m6sq - 12*m1**4*m3**10*m6sq - 20*m1sq*m3**11*m6sq - 4*m1*m3**12*m6sq + 8*m1sq*m3**12*m6sq + 4*m1**11*m3sq*m6sq - 4*m1**12*m3sq*m6sq + 2*m1**8*m3**6*m7 + 4*m1**6*m3**8*m7 - 9*m1**4*m3**10*m7 + 4*m1sq*m3**12*m7 - m1**12*m3sq*m7 - 2*m1**10*m6**4*m7 + 16*m1**6*m3**4*m6**4*m7 + 2*m1**4*m3**6*m6**4*m7 - 22*m1sq*m3**8*m6**4*m7 + 11*m3**10*m6**4*m7 - 5*m1**8*m3sq*m6**4*m7 + m1**8*m6**6*m7 - 18*m1**4*m3**4*m6**6*m7 + 20*m1sq*m3**6*m6**6*m7 - 7*m3**8*m6**6*m7 + 4*m1**6*m3sq*m6**6*m7 + m1**12*m6sq*m7 + 2*m1**8*m3**4*m6sq*m7 - 24*m1**6*m3**6*m6sq*m7 + 25*m1**4*m3**8*m6sq*m7 - 2*m1sq*m3**10*m6sq*m7 - 4*m3**12*m6sq*m7 + 2*m1**10*m3sq*m6sq*m7 - 2*m1**8*m3**4*m7**3 - 44*m1**6*m3**6*m7**3 + 62*m1**4*m3**8*m7**3 - 19*m1sq*m3**10*m7**3 - 4*m3**12*m7**3 + 7*m1**10*m3sq*m7**3 + 9*m1**8*m6**4*m7**3 + 56*m1**4*m3**4*m6**4*m7**3 - 34*m1sq*m3**6*m6**4*m7**3 + 7*m3**8*m6**4*m7**3 - 38*m1**6*m3sq*m6**4*m7**3 - 6*m1**6*m6**6*m7**3 - 10*m1sq*m3**4*m6**6*m7**3 + 2*m3**6*m6**6*m7**3 + 14*m1**4*m3sq*m6**6*m7**3 - 7*m1**10*m6sq*m7**3 + 88*m1**6*m3**4*m6sq*m7**3 - 132*m1**4*m3**6*m6sq*m7**3 + 63*m1sq*m3**8*m6sq*m7**3 - 5*m3**10*m6sq*m7**3 - 7*m1**8*m3sq*m6sq*m7**3 + 5*m1**10*m3*m7**4 - 6*m1**8*m3**3*m7**4 + 5*m1**7*m3**4*m7**4 - 9*m1**8*m3**4*m7**4 - 9*m1**6*m3**5*m7**4 + 12*m1**5*m3**6*m7**4 + 13*m1**6*m3**6*m7**4 + 10*m1**4*m3**7*m7**4 - 27*m1**3*m3**8*m7**4 - 15*m1**4*m3**8*m7**4 - 26*m1sq*m3**9*m7**4 + 29*m1*m3**10*m7**4 + 14*m1sq*m3**10*m7**4 + 10*m3**11*m7**4 - 4*m3**12*m7**4 - 3*m1**9*m3sq*m7**4 + m1**10*m3sq*m7**4 - 5*m1**10*m6*m7**4 + 30*m1**6*m3**4*m6*m7**4 - 6*m1**4*m3**6*m6*m7**4 - 9*m1sq*m3**8*m6*m7**4 + 17*m3**10*m6*m7**4 - 27*m1**8*m3sq*m6*m7**4 + 4*m1**8*m6**3*m7**4 - 8*m1**4*m3**4*m6**3*m7**4 + 16*m1sq*m3**6*m6**3*m7**4 - 28*m3**8*m6**3*m7**4 + 16*m1**6*m3sq*m6**3*m7**4 + 9*m1**7*m6**4*m7**4 - 4*m1**8*m6**4*m7**4 + m1**6*m3*m6**4*m7**4 - 28*m1**4*m3**3*m6**4*m7**4 + 37*m1**3*m3**4*m6**4*m7**4 - 31*m1**4*m3**4*m6**4*m7**4 - 11*m1sq*m3**5*m6**4*m7**4 - 14*m1*m3**6*m6**4*m7**4 + 27*m1sq*m3**6*m6**4*m7**4 - 10*m3**7*m6**4*m7**4 - m3**8*m6**4*m7**4 + 16*m1**5*m3sq*m6**4*m7**4 + 9*m1**6*m3sq*m6**4*m7**4 - m1**5*m6**6*m7**4 + m1**6*m6**6*m7**4 + 11*m1**4*m3*m6**6*m7**4 - 6*m1sq*m3**3*m6**6*m7**4 - m1*m3**4*m6**6*m7**4 + 3*m1sq*m3**4*m6**6*m7**4 + 11*m3**5*m6**6*m7**4 - 5*m3**6*m6**6*m7**4 - 14*m1**3*m3sq*m6**6*m7**4 + m1**4*m3sq*m6**6*m7**4 + 3*m1**9*m6sq*m7**4 - m1**10*m6sq*m7**4 + 29*m1**8*m3*m6sq*m7**4 - 38*m1**6*m3**3*m6sq*m7**4 - 27*m1**5*m3**4*m6sq*m7**4 - 23*m1**6*m3**4*m6sq*m7**4 + 21*m1**4*m3**5*m6sq*m7**4 + 4*m1**3*m3**6*m6sq*m7**4 + 45*m1**4*m3**6*m6sq*m7**4 + 36*m1sq*m3**7*m6sq*m7**4 - 14*m1*m3**8*m6sq*m7**4 - 44*m1sq*m3**8*m6sq*m7**4 + 10*m3**10*m6sq*m7**4 - 14*m1**7*m3sq*m6sq*m7**4 + 13*m1**8*m3sq*m6sq*m7**4 + 13*m1**6*m3**4*m7**5 + 8*m1**4*m3**6*m7**5 - 31*m1sq*m3**8*m7**5 + 28*m3**10*m7**5 - 18*m1**8*m3sq*m7**5 + 5*m1**6*m6**4*m7**5 + 13*m1sq*m3**4*m6**4*m7**5 - 12*m3**6*m6**4*m7**5 - 6*m1**4*m3sq*m6**4*m7**5 + 5*m1**4*m6**6*m7**5 + 5*m3**4*m6**6*m7**5 - 10*m1sq*m3sq*m6**6*m7**5 + 18*m1**8*m6sq*m7**5 - 7*m1**4*m3**4*m6sq*m7**5 + 28*m1sq*m3**6*m6sq*m7**5 - 21*m3**8*m6sq*m7**5 - 18*m1**6*m3sq*m6sq*m7**5 - 10*m1**8*m3*m7**6 + 12*m1**6*m3**3*m7**6 - 15*m1**5*m3**4*m7**6 + 4*m1**6*m3**4*m7**6 + 7*m1**4*m3**5*m7**6 + 12*m1**3*m3**6*m7**6 - 3*m1**4*m3**6*m7**6 + 34*m1sq*m3**7*m7**6 - 39*m1*m3**8*m7**6 - 3*m3**9*m7**6 - 3*m3**10*m7**6 + 2*m1**7*m3sq*m7**6 + 2*m1**8*m3sq*m7**6 + 10*m1**8*m6*m7**6 - 6*m1**4*m3**4*m6*m7**6 - 6*m1sq*m3**6*m6*m7**6 - 28*m3**8*m6*m7**6 + 30*m1**6*m3sq*m6*m7**6 - 6*m1**6*m6**3*m7**6 - 2*m1sq*m3**4*m6**3*m7**6 + 22*m3**6*m6**3*m7**6 - 14*m1**4*m3sq*m6**3*m7**6 - 9*m1**5*m6**4*m7**6 - 17*m1**4*m3*m6**4*m7**6 + 22*m1sq*m3**3*m6**4*m7**6 + 3*m1*m3**4*m6**4*m7**6 - 4*m1sq*m3**4*m6**4*m7**6 - 13*m3**5*m6**4*m7**6 + 13*m3**6*m6**4*m7**6 + 14*m1**3*m3sq*m6**4*m7**6 - 9*m1**4*m3sq*m6**4*m7**6 + 4*m1**3*m6**6*m7**6 - m1**4*m6**6*m7**6 - 4*m1sq*m3*m6**6*m7**6 - 4*m3**3*m6**6*m7**6 - 3*m3**4*m6**6*m7**6 + 4*m1*m3sq*m6**6*m7**6 + 4*m1sq*m3sq*m6**6*m7**6 - 2*m1**7*m6sq*m7**6 - 2*m1**8*m6sq*m7**6 - 36*m1**6*m3*m6sq*m7**6 + 30*m1**4*m3**3*m6sq*m7**6 - 30*m1**3*m3**4*m6sq*m7**6 + 13*m1**4*m3**4*m6sq*m7**6 - 44*m1sq*m3**5*m6sq*m7**6 + 32*m1*m3**6*m6sq*m7**6 + 26*m3**7*m6sq*m7**6 - 7*m3**8*m6sq*m7**6 + 24*m1**5*m3sq*m6sq*m7**6 - 4*m1**6*m3sq*m6sq*m7**6 - 7*m1**4*m3**4*m7**7 + 20*m1sq*m3**6*m7**7 - 35*m3**8*m7**7 + 22*m1**6*m3sq*m7**7 - 13*m1**4*m6**4*m7**7 - 5*m3**4*m6**4*m7**7 + 18*m1sq*m3sq*m6**4*m7**7 - 22*m1**6*m6sq*m7**7 - 38*m1sq*m3**4*m6sq*m7**7 + 40*m3**6*m6sq*m7**7 + 20*m1**4*m3sq*m6sq*m7**7 + 10*m1**6*m3*m7**8 - 10*m1**4*m3**3*m7**8 + 11*m1**3*m3**4*m7**8 + 6*m1**4*m3**4*m7**8 - 19*m1sq*m3**5*m7**8 + 20*m1*m3**6*m7**8 - 9*m1sq*m3**6*m7**8 - 14*m3**7*m7**8 + 5*m3**8*m7**8 + 2*m1**5*m3sq*m7**8 - 2*m1**6*m3sq*m7**8 - 10*m1**6*m6*m7**8 + 6*m1sq*m3**4*m6*m7**8 + 22*m3**6*m6*m7**8 - 18*m1**4*m3sq*m6*m7**8 + 4*m1**4*m6**3*m7**8 - 8*m3**4*m6**3*m7**8 + 4*m1sq*m3sq*m6**3*m7**8 - 5*m1**3*m6**4*m7**8 + 4*m1**4*m6**4*m7**8 + 7*m1sq*m3*m6**4*m7**8 + 6*m3**3*m6**4*m7**8 + 5*m3**4*m6**4*m7**8 - 8*m1*m3sq*m6**4*m7**8 - 9*m1sq*m3sq*m6**4*m7**8 - m1*m6**6*m7**8 - m1sq*m6**6*m7**8 + m3*m6**6*m7**8 + m3sq*m6**6*m7**8 - 2*m1**5*m6sq*m7**8 + 2*m1**6*m6sq*m7**8 + 24*m1**4*m3*m6sq*m7**8 + 2*m1sq*m3**3*m6sq*m7**8 - 11*m1*m3**4*m6sq*m7**8 + 19*m1sq*m3**4*m6sq*m7**8 - 7*m3**5*m6sq*m7**8 - 11*m3**6*m6sq*m7**8 - 6*m1**3*m3sq*m6sq*m7**8 - 10*m1**4*m3sq*m6sq*m7**8 - m1sq*m3**4*m7**9 + 14*m3**6*m7**9 - 13*m1**4*m3sq*m7**9 + m1sq*m6**4*m7**9 - m3sq*m6**4*m7**9 + 13*m1**4*m6sq*m7**9 - 13*m3**4*m6sq*m7**9 - 5*m1**4*m3*m7**10 + 6*m1sq*m3**3*m7**10 - 7*m1*m3**4*m7**10 - 2*m1sq*m3**4*m7**10 + 9*m3**5*m7**10 + 3*m3**6*m7**10 - 3*m1**3*m3sq*m7**10 - m1**4*m3sq*m7**10 + 5*m1**4*m6*m7**10 - 8*m3**4*m6*m7**10 + 3*m1sq*m3sq*m6*m7**10 - m1sq*m6**3*m7**10 + m3sq*m6**3*m7**10 + 2*m1*m6**4*m7**10 + 2*m1sq*m6**4*m7**10 - 2*m3*m6**4*m7**10 - 2*m3sq*m6**4*m7**10 + 3*m1**3*m6sq*m7**10 + m1**4*m6sq*m7**10 - 8*m1sq*m3*m6sq*m7**10 - m3**4*m6sq*m7**10 + 5*m1*m3sq*m6sq*m7**10 - 3*m3**4*m7**11 + 3*m1sq*m3sq*m7**11 - 3*m1sq*m6sq*m7**11 + 3*m3sq*m6sq*m7**11 + m1sq*m3*m7**12 - 2*m3**3*m7**12 - m3**4*m7**12 + m1*m3sq*m7**12 + m1sq*m3sq*m7**12 - m1sq*m6*m7**12 + m3sq*m6*m7**12 - m1*m6sq*m7**12 - m1sq*m6sq*m7**12 + m3*m6sq*m7**12 + m3sq*m6sq*m7**12 - m1**12*m3*m7sq - 2*m1**10*m3**3*m7sq + 10*m1**9*m3**4*m7sq - 2*m1**10*m3**4*m7sq + 28*m1**8*m3**5*m7sq - 52*m1**7*m3**6*m7sq + 4*m1**8*m3**6*m7sq - 66*m1**6*m3**7*m7sq + 66*m1**5*m3**8*m7sq + 10*m1**6*m3**8*m7sq + 61*m1**4*m3**9*m7sq - 21*m1**3*m3**10*m7sq - 19*m1**4*m3**10*m7sq - 20*m1sq*m3**11*m7sq - 4*m1*m3**12*m7sq + 8*m1sq*m3**12*m7sq + m1**11*m3sq*m7sq - m1**12*m3sq*m7sq + m1**12*m6*m7sq - 42*m1**8*m3**4*m6*m7sq + 30*m1**6*m3**6*m6*m7sq - 3*m1**4*m3**8*m6*m7sq + 3*m1sq*m3**10*m6*m7sq - 4*m3**12*m6*m7sq + 15*m1**10*m3sq*m6*m7sq - m1**10*m6**3*m7sq + 22*m1**6*m3**4*m6**3*m7sq + 10*m1**4*m3**6*m6**3*m7sq - 37*m1sq*m3**8*m6**3*m7sq + 17*m3**10*m6**3*m7sq - 11*m1**8*m3sq*m6**3*m7sq + 3*m1**9*m6**4*m7sq - 2*m1**10*m6**4*m7sq + 15*m1**8*m3*m6**4*m7sq - 34*m1**6*m3**3*m6**4*m7sq + 80*m1**5*m3**4*m6**4*m7sq - 34*m1**6*m3**4*m6**4*m7sq + 32*m1**4*m3**5*m6**4*m7sq - 46*m1**3*m3**6*m6**4*m7sq + 8*m1**4*m3**6*m6**4*m7sq - 22*m1sq*m3**7*m6**4*m7sq + 5*m1*m3**8*m6**4*m7sq + 20*m1sq*m3**8*m6**4*m7sq + 9*m3**9*m6**4*m7sq - 11*m3**10*m6**4*m7sq - 42*m1**7*m3sq*m6**4*m7sq + 19*m1**8*m3sq*m6**4*m7sq - 2*m1**7*m6**6*m7sq + m1**8*m6**6*m7sq - 10*m1**6*m3*m6**6*m7sq + 18*m1**4*m3**3*m6**6*m7sq - 14*m1**3*m3**4*m6**6*m7sq + 12*m1**4*m3**4*m6**6*m7sq - 6*m1sq*m3**5*m6**6*m7sq + 6*m1*m3**6*m6**6*m7sq - 10*m1sq*m3**6*m6**6*m7sq - 2*m3**7*m6**6*m7sq + 3*m3**8*m6**6*m7sq + 10*m1**5*m3sq*m6**6*m7sq - 6*m1**6*m3sq*m6**6*m7sq - m1**11*m6sq*m7sq + m1**12*m6sq*m7sq - 12*m1**10*m3*m6sq*m7sq + 10*m1**8*m3**3*m6sq*m7sq + 96*m1**7*m3**4*m6sq*m7sq - 24*m1**8*m3**4*m6sq*m7sq + 58*m1**6*m3**5*m6sq*m7sq - 156*m1**5*m3**6*m6sq*m7sq + 30*m1**6*m3**6*m6sq*m7sq - 118*m1**4*m3**7*m6sq*m7sq + 81*m1**3*m3**8*m6sq*m7sq - m1**4*m3**8*m6sq*m7sq + 82*m1sq*m3**9*m6sq*m7sq - 7*m1*m3**10*m6sq*m7sq - 18*m1sq*m3**10*m6sq*m7sq - 20*m3**11*m6sq*m7sq + 8*m3**12*m6sq*m7sq - 13*m1**9*m3sq*m6sq*m7sq + 4*m1**10*m3sq*m6sq*m7sq - m1sq*(m3sq - m6sq)*(4*m3sq - m7sq)*(m1**8*(m3sq - m6sq - m7sq) + m1**6*(-3*m3**4 + m6**4 + 2*m7**4 - 7*m6sq*m7sq + m3sq*(2*m6sq + 7*m7sq)) + m1sq*(-m3**8 - 3*m6**4*m7**4 + 3*m6sq*m7**6 - 2*m7**8 + m3**6*(-2*m6sq + 3*m7sq) + m3sq*(4*m6sq*m7**4 + m7**6 - 2*m6**4*m7sq) + m3**4*(3*m6**4 + 5*m7**4 - 9*m6sq*m7sq)) + (m3sq - m7sq)*(m3sq*(-(m6sq*m7**4) + 3*m7**6) - m7**4*(m6sq - m7sq)**2 + m3**6*(m6sq + m7sq) - m3**4*(m6**4 + 5*m7**4 - 2*m6sq*m7sq)) + m1**4*(3*m3**6 - 10*m3**4*m7sq + m6sq*m7sq*(m6sq + 7*m7sq) + m3sq*(-3*m6**4 - 5*m7**4 + 15*m6sq*m7sq)))*B0del(0,0,m1sq) + m3sq*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))*(m1**8*(2*m3sq + 2*m6sq - m7sq) + m1**6*(-12*m3**4 + 3*m7**4 - 9*m6sq*m7sq + m3sq*(-4*m6sq + m7sq)) + m1sq*(-20*m3**8 - 5*m6sq*m7**6 + m7**8 + m3sq*(-2*m6sq*m7**4 + 3*m7**6) + m3**6*(4*m6sq + 3*m7sq) - m3**4*(5*m7**4 + 3*m6sq*m7sq)) + (m3sq - m7sq)*(6*m3**8 - m6sq*m7**6 - 2*m3**6*(m6sq - 2*m7sq) + 2*m3sq*m7**4*(m6sq + m7sq) - m3**4*(6*m7**4 + 5*m6sq*m7sq)) + m1**4*(24*m3**6 + 11*m6sq*m7**4 - 3*m7**6 - m3**4*m7sq + m3sq*(-4*m7**4 + 15*m6sq*m7sq)))*B0del(0,0,m3sq) - 20*m1**8*m3**4*m6**4*B0del(0,0,m6sq) + 40*m1**6*m3**6*m6**4*B0del(0,0,m6sq) - 40*m1**4*m3**8*m6**4*B0del(0,0,m6sq) + 20*m1sq*m3**10*m6**4*B0del(0,0,m6sq) - 4*m3**12*m6**4*B0del(0,0,m6sq) + 4*m1**10*m3sq*m6**4*B0del(0,0,m6sq) + 20*m1**10*m3**4*m6sq*B0del(0,0,m6sq) - 40*m1**8*m3**6*m6sq*B0del(0,0,m6sq) + 40*m1**6*m3**8*m6sq*B0del(0,0,m6sq) - 20*m1**4*m3**10*m6sq*B0del(0,0,m6sq) + 4*m1sq*m3**12*m6sq*B0del(0,0,m6sq) - 4*m1**12*m3sq*m6sq*B0del(0,0,m6sq) + 4*m1**8*m6**4*m7**4*B0del(0,0,m6sq) - 8*m1**4*m3**4*m6**4*m7**4*B0del(0,0,m6sq) + 16*m1sq*m3**6*m6**4*m7**4*B0del(0,0,m6sq) - 28*m3**8*m6**4*m7**4*B0del(0,0,m6sq) + 16*m1**6*m3sq*m6**4*m7**4*B0del(0,0,m6sq) - 5*m1**10*m6sq*m7**4*B0del(0,0,m6sq) + 30*m1**6*m3**4*m6sq*m7**4*B0del(0,0,m6sq) - 6*m1**4*m3**6*m6sq*m7**4*B0del(0,0,m6sq) - 9*m1sq*m3**8*m6sq*m7**4*B0del(0,0,m6sq) + 17*m3**10*m6sq*m7**4*B0del(0,0,m6sq) - 27*m1**8*m3sq*m6sq*m7**4*B0del(0,0,m6sq) - 6*m1**6*m6**4*m7**6*B0del(0,0,m6sq) - 2*m1sq*m3**4*m6**4*m7**6*B0del(0,0,m6sq) + 22*m3**6*m6**4*m7**6*B0del(0,0,m6sq) - 14*m1**4*m3sq*m6**4*m7**6*B0del(0,0,m6sq) + 10*m1**8*m6sq*m7**6*B0del(0,0,m6sq) - 6*m1**4*m3**4*m6sq*m7**6*B0del(0,0,m6sq) - 6*m1sq*m3**6*m6sq*m7**6*B0del(0,0,m6sq) - 28*m3**8*m6sq*m7**6*B0del(0,0,m6sq) + 30*m1**6*m3sq*m6sq*m7**6*B0del(0,0,m6sq) + 4*m1**4*m6**4*m7**8*B0del(0,0,m6sq) - 8*m3**4*m6**4*m7**8*B0del(0,0,m6sq) + 4*m1sq*m3sq*m6**4*m7**8*B0del(0,0,m6sq) - 10*m1**6*m6sq*m7**8*B0del(0,0,m6sq) + 6*m1sq*m3**4*m6sq*m7**8*B0del(0,0,m6sq) + 22*m3**6*m6sq*m7**8*B0del(0,0,m6sq) - 18*m1**4*m3sq*m6sq*m7**8*B0del(0,0,m6sq) - m1sq*m6**4*m7**10*B0del(0,0,m6sq) + m3sq*m6**4*m7**10*B0del(0,0,m6sq) + 5*m1**4*m6sq*m7**10*B0del(0,0,m6sq) - 8*m3**4*m6sq*m7**10*B0del(0,0,m6sq) + 3*m1sq*m3sq*m6sq*m7**10*B0del(0,0,m6sq) - m1sq*m6sq*m7**12*B0del(0,0,m6sq) + m3sq*m6sq*m7**12*B0del(0,0,m6sq) - m1**10*m6**4*m7sq*B0del(0,0,m6sq) + 22*m1**6*m3**4*m6**4*m7sq*B0del(0,0,m6sq) + 10*m1**4*m3**6*m6**4*m7sq*B0del(0,0,m6sq) - 37*m1sq*m3**8*m6**4*m7sq*B0del(0,0,m6sq) + 17*m3**10*m6**4*m7sq*B0del(0,0,m6sq) - 11*m1**8*m3sq*m6**4*m7sq*B0del(0,0,m6sq) + m1**12*m6sq*m7sq*B0del(0,0,m6sq) - 42*m1**8*m3**4*m6sq*m7sq*B0del(0,0,m6sq) + 30*m1**6*m3**6*m6sq*m7sq*B0del(0,0,m6sq) - 3*m1**4*m3**8*m6sq*m7sq*B0del(0,0,m6sq) + 3*m1sq*m3**10*m6sq*m7sq*B0del(0,0,m6sq) - 4*m3**12*m6sq*m7sq*B0del(0,0,m6sq) + 15*m1**10*m3sq*m6sq*m7sq*B0del(0,0,m6sq) - 7*m1**8*m3**4*m7**4*B0del(0,0,m7sq) - 23*m1**6*m3**6*m7**4*B0del(0,0,m7sq) + 39*m1**4*m3**8*m7**4*B0del(0,0,m7sq) - 11*m1sq*m3**10*m7**4*B0del(0,0,m7sq) - 4*m3**12*m7**4*B0del(0,0,m7sq) + 6*m1**10*m3sq*m7**4*B0del(0,0,m7sq) + 7*m1**8*m6**4*m7**4*B0del(0,0,m7sq) + 29*m1**4*m3**4*m6**4*m7**4*B0del(0,0,m7sq) - 11*m1sq*m3**6*m6**4*m7**4*B0del(0,0,m7sq) - 25*m1**6*m3sq*m6**4*m7**4*B0del(0,0,m7sq) - 5*m1**6*m6**6*m7**4*B0del(0,0,m7sq) - 7*m1sq*m3**4*m6**6*m7**4*B0del(0,0,m7sq) + m3**6*m6**6*m7**4*B0del(0,0,m7sq) + 11*m1**4*m3sq*m6**6*m7**4*B0del(0,0,m7sq) - 6*m1**10*m6sq*m7**4*B0del(0,0,m7sq) + 53*m1**6*m3**4*m6sq*m7**4*B0del(0,0,m7sq) - 79*m1**4*m3**6*m6sq*m7**4*B0del(0,0,m7sq) + 29*m1sq*m3**8*m6sq*m7**4*B0del(0,0,m7sq) + 3*m3**10*m6sq*m7**4*B0del(0,0,m7sq) + 7*m1**6*m3**4*m7**6*B0del(0,0,m7sq) + 6*m1**4*m3**6*m7**6*B0del(0,0,m7sq) - 21*m1sq*m3**8*m7**6*B0del(0,0,m7sq) + 24*m3**10*m7**6*B0del(0,0,m7sq) - 16*m1**8*m3sq*m7**6*B0del(0,0,m7sq) + 3*m1**6*m6**4*m7**6*B0del(0,0,m7sq) + 11*m1sq*m3**4*m6**4*m7**6*B0del(0,0,m7sq) - 6*m3**6*m6**4*m7**6*B0del(0,0,m7sq) - 8*m1**4*m3sq*m6**4*m7**6*B0del(0,0,m7sq) + 5*m1**4*m6**6*m7**6*B0del(0,0,m7sq) + m3**4*m6**6*m7**6*B0del(0,0,m7sq) - 6*m1sq*m3sq*m6**6*m7**6*B0del(0,0,m7sq) + 16*m1**8*m6sq*m7**6*B0del(0,0,m7sq) - 3*m1**4*m3**4*m6sq*m7**6*B0del(0,0,m7sq) + 16*m1sq*m3**6*m6sq*m7**6*B0del(0,0,m7sq) - 19*m3**8*m6sq*m7**6*B0del(0,0,m7sq) - 10*m1**6*m3sq*m6sq*m7**6*B0del(0,0,m7sq) + 3*m1**4*m3**4*m7**8*B0del(0,0,m7sq) + 9*m1sq*m3**6*m7**8*B0del(0,0,m7sq) - 34*m3**8*m7**8*B0del(0,0,m7sq) + 22*m1**6*m3sq*m7**8*B0del(0,0,m7sq) - 11*m1**4*m6**4*m7**8*B0del(0,0,m7sq) + 2*m3**4*m6**4*m7**8*B0del(0,0,m7sq) + 9*m1sq*m3sq*m6**4*m7**8*B0del(0,0,m7sq) - m1sq*m6**6*m7**8*B0del(0,0,m7sq) + m3sq*m6**6*m7**8*B0del(0,0,m7sq) - 22*m1**6*m6sq*m7**8*B0del(0,0,m7sq) - 17*m1sq*m3**4*m6sq*m7**8*B0del(0,0,m7sq) + 31*m3**6*m6sq*m7**8*B0del(0,0,m7sq) + 8*m1**4*m3sq*m6sq*m7**8*B0del(0,0,m7sq) - 3*m1sq*m3**4*m7**10*B0del(0,0,m7sq) + 18*m3**6*m7**10*B0del(0,0,m7sq) - 15*m1**4*m3sq*m7**10*B0del(0,0,m7sq) + 3*m1sq*m6**4*m7**10*B0del(0,0,m7sq) - 3*m3sq*m6**4*m7**10*B0del(0,0,m7sq) + 15*m1**4*m6sq*m7**10*B0del(0,0,m7sq) - 15*m3**4*m6sq*m7**10*B0del(0,0,m7sq) - 4*m3**4*m7**12*B0del(0,0,m7sq) + 4*m1sq*m3sq*m7**12*B0del(0,0,m7sq) - 4*m1sq*m6sq*m7**12*B0del(0,0,m7sq) + 4*m3sq*m6sq*m7**12*B0del(0,0,m7sq) + 4*m1**10*m3**4*m7sq*B0del(0,0,m7sq) - 10*m1**8*m3**6*m7sq*B0del(0,0,m7sq) + 16*m1**6*m3**8*m7sq*B0del(0,0,m7sq) - 13*m1**4*m3**10*m7sq*B0del(0,0,m7sq) + 4*m1sq*m3**12*m7sq*B0del(0,0,m7sq) - m1**12*m3sq*m7sq*B0del(0,0,m7sq) - 2*m1**10*m6**4*m7sq*B0del(0,0,m7sq) - 4*m1**6*m3**4*m6**4*m7sq*B0del(0,0,m7sq) + 14*m1**4*m3**6*m6**4*m7sq*B0del(0,0,m7sq) - 18*m1sq*m3**8*m6**4*m7sq*B0del(0,0,m7sq) + 7*m3**10*m6**4*m7sq*B0del(0,0,m7sq) + 3*m1**8*m3sq*m6**4*m7sq*B0del(0,0,m7sq) + m1**8*m6**6*m7sq*B0del(0,0,m7sq) - 6*m1**4*m3**4*m6**6*m7sq*B0del(0,0,m7sq) + 8*m1sq*m3**6*m6**6*m7sq*B0del(0,0,m7sq) - 3*m3**8*m6**6*m7sq*B0del(0,0,m7sq) + m1**12*m6sq*m7sq*B0del(0,0,m7sq) + 6*m1**8*m3**4*m6sq*m7sq*B0del(0,0,m7sq) - 12*m1**6*m3**6*m6sq*m7sq*B0del(0,0,m7sq) + 5*m1**4*m3**8*m6sq*m7sq*B0del(0,0,m7sq) + 6*m1sq*m3**10*m6sq*m7sq*B0del(0,0,m7sq) - 4*m3**12*m6sq*m7sq*B0del(0,0,m7sq) - 2*m1**10*m3sq*m6sq*m7sq*B0del(0,0,m7sq) + 8*m1**11*m3**4*B0fin(0,0,m1) - 32*m1**9*m3**6*B0fin(0,0,m1) + 48*m1**7*m3**8*B0fin(0,0,m1) - 32*m1**5*m3**10*B0fin(0,0,m1) + 8*m1**3*m3**12*B0fin(0,0,m1) - 32*m1**7*m3**4*m6**4*B0fin(0,0,m1) + 48*m1**5*m3**6*m6**4*B0fin(0,0,m1) - 32*m1**3*m3**8*m6**4*B0fin(0,0,m1) + 8*m1*m3**10*m6**4*B0fin(0,0,m1) + 8*m1**9*m3sq*m6**4*B0fin(0,0,m1) + 24*m1**9*m3**4*m6sq*B0fin(0,0,m1) - 16*m1**7*m3**6*m6sq*B0fin(0,0,m1) - 16*m1**5*m3**8*m6sq*B0fin(0,0,m1) + 24*m1**3*m3**10*m6sq*B0fin(0,0,m1) - 8*m1*m3**12*m6sq*B0fin(0,0,m1) - 8*m1**11*m3sq*m6sq*B0fin(0,0,m1) - 14*m1**7*m3**4*m7**4*B0fin(0,0,m1) + 16*m1**5*m3**6*m7**4*B0fin(0,0,m1) - 14*m1**3*m3**8*m7**4*B0fin(0,0,m1) + 42*m1*m3**10*m7**4*B0fin(0,0,m1) + 2*m1**9*m3sq*m7**4*B0fin(0,0,m1) + 10*m1**7*m6**4*m7**4*B0fin(0,0,m1) + 66*m1**3*m3**4*m6**4*m7**4*B0fin(0,0,m1) - 4*m1*m3**6*m6**4*m7**4*B0fin(0,0,m1) + 24*m1**5*m3sq*m6**4*m7**4*B0fin(0,0,m1) - 2*m1**5*m6**6*m7**4*B0fin(0,0,m1) - 18*m1*m3**4*m6**6*m7**4*B0fin(0,0,m1) - 12*m1**3*m3sq*m6**6*m7**4*B0fin(0,0,m1) - 2*m1**9*m6sq*m7**4*B0fin(0,0,m1) - 38*m1**5*m3**4*m6sq*m7**4*B0fin(0,0,m1) - 40*m1**3*m3**6*m6sq*m7**4*B0fin(0,0,m1) - 20*m1*m3**8*m6sq*m7**4*B0fin(0,0,m1) + 4*m1**7*m3sq*m6sq*m7**4*B0fin(0,0,m1) + 10*m1**5*m3**4*m7**6*B0fin(0,0,m1) - 20*m1**3*m3**6*m7**6*B0fin(0,0,m1) - 74*m1*m3**8*m7**6*B0fin(0,0,m1) + 4*m1**7*m3sq*m7**6*B0fin(0,0,m1) - 10*m1**5*m6**4*m7**6*B0fin(0,0,m1) + 34*m1*m3**4*m6**4*m7**6*B0fin(0,0,m1) - 8*m1**3*m3sq*m6**4*m7**6*B0fin(0,0,m1) + 4*m1**3*m6**6*m7**6*B0fin(0,0,m1) + 12*m1*m3sq*m6**6*m7**6*B0fin(0,0,m1) - 4*m1**7*m6sq*m7**6*B0fin(0,0,m1) + 24*m1**3*m3**4*m6sq*m7**6*B0fin(0,0,m1) + 28*m1*m3**6*m6sq*m7**6*B0fin(0,0,m1) + 14*m1**3*m3**4*m7**8*B0fin(0,0,m1) + 56*m1*m3**6*m7**8*B0fin(0,0,m1) - 4*m1**5*m3sq*m7**8*B0fin(0,0,m1) - 2*m1**3*m6**4*m7**8*B0fin(0,0,m1) - 24*m1*m3sq*m6**4*m7**8*B0fin(0,0,m1) - 2*m1*m6**6*m7**8*B0fin(0,0,m1) + 4*m1**5*m6sq*m7**8*B0fin(0,0,m1) - 30*m1*m3**4*m6sq*m7**8*B0fin(0,0,m1) - 12*m1**3*m3sq*m6sq*m7**8*B0fin(0,0,m1) - 18*m1*m3**4*m7**10*B0fin(0,0,m1) - 2*m1**3*m3sq*m7**10*B0fin(0,0,m1) + 4*m1*m6**4*m7**10*B0fin(0,0,m1) + 2*m1**3*m6sq*m7**10*B0fin(0,0,m1) + 14*m1*m3sq*m6sq*m7**10*B0fin(0,0,m1) + 2*m1*m3sq*m7**12*B0fin(0,0,m1) - 2*m1*m6sq*m7**12*B0fin(0,0,m1) - 20*m1**7*m3**6*m7sq*B0fin(0,0,m1) + 40*m1**5*m3**8*m7sq*B0fin(0,0,m1) - 10*m1**3*m3**10*m7sq*B0fin(0,0,m1) - 8*m1*m3**12*m7sq*B0fin(0,0,m1) - 2*m1**11*m3sq*m7sq*B0fin(0,0,m1) - 2*m1**9*m6**4*m7sq*B0fin(0,0,m1) + 52*m1**5*m3**4*m6**4*m7sq*B0fin(0,0,m1) - 18*m1*m3**8*m6**4*m7sq*B0fin(0,0,m1) - 32*m1**7*m3sq*m6**4*m7sq*B0fin(0,0,m1) - 16*m1**3*m3**4*m6**6*m7sq*B0fin(0,0,m1) + 8*m1*m3**6*m6**6*m7sq*B0fin(0,0,m1) + 8*m1**5*m3sq*m6**6*m7sq*B0fin(0,0,m1) + 2*m1**11*m6sq*m7sq*B0fin(0,0,m1) + 52*m1**7*m3**4*m6sq*m7sq*B0fin(0,0,m1) - 100*m1**5*m3**6*m6sq*m7sq*B0fin(0,0,m1) + 26*m1**3*m3**8*m6sq*m7sq*B0fin(0,0,m1) + 18*m1*m3**10*m6sq*m7sq*B0fin(0,0,m1) + 2*m1**9*m3sq*m6sq*m7sq*B0fin(0,0,m1) - 4*m1**12*m3**4*B0fin(0,0,m1sq) + 12*m1**10*m3**6*B0fin(0,0,m1sq) - 12*m1**8*m3**8*B0fin(0,0,m1sq) + 4*m1**6*m3**10*B0fin(0,0,m1sq) + 8*m1**8*m3**4*m6**4*B0fin(0,0,m1sq) - 4*m1**6*m3**6*m6**4*B0fin(0,0,m1sq) + 4*m1**4*m3**8*m6**4*B0fin(0,0,m1sq) - 8*m1sq*m3**10*m6**4*B0fin(0,0,m1sq) + 4*m3**12*m6**4*B0fin(0,0,m1sq) - 4*m1**10*m3sq*m6**4*B0fin(0,0,m1sq) + 4*m1**6*m3**4*m6**6*B0fin(0,0,m1sq) - 12*m1**4*m3**6*m6**6*B0fin(0,0,m1sq) + 12*m1sq*m3**8*m6**6*B0fin(0,0,m1sq) - 4*m3**10*m6**6*B0fin(0,0,m1sq) - 8*m1**10*m3**4*m6sq*B0fin(0,0,m1sq) + 4*m1**8*m3**6*m6sq*B0fin(0,0,m1sq) - 4*m1**6*m3**8*m6sq*B0fin(0,0,m1sq) + 8*m1**4*m3**10*m6sq*B0fin(0,0,m1sq) - 4*m1sq*m3**12*m6sq*B0fin(0,0,m1sq) + 4*m1**12*m3sq*m6sq*B0fin(0,0,m1sq) + 14*m1**8*m3**4*m7**4*B0fin(0,0,m1sq) - 15*m1**6*m3**6*m7**4*B0fin(0,0,m1sq) - 12*m1**4*m3**8*m7**4*B0fin(0,0,m1sq) - 7*m1sq*m3**10*m7**4*B0fin(0,0,m1sq) + 4*m3**12*m7**4*B0fin(0,0,m1sq) - 3*m1**8*m6**4*m7**4*B0fin(0,0,m1sq) - 80*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m1sq) + 61*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m1sq) - 11*m3**8*m6**4*m7**4*B0fin(0,0,m1sq) - 15*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m1sq) + 26*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m1sq) - 15*m3**6*m6**6*m7**4*B0fin(0,0,m1sq) + 5*m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m1sq) + 30*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m1sq) + 87*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m1sq) - 80*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m1sq) + 22*m3**10*m6sq*m7**4*B0fin(0,0,m1sq) - 11*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m1sq) - 3*m1**6*m3**4*m7**6*B0fin(0,0,m1sq) + 30*m1**4*m3**6*m7**6*B0fin(0,0,m1sq) + 30*m1sq*m3**8*m7**6*B0fin(0,0,m1sq) - 13*m3**10*m7**6*B0fin(0,0,m1sq) - 4*m1**8*m3sq*m7**6*B0fin(0,0,m1sq) + 7*m1**6*m6**4*m7**6*B0fin(0,0,m1sq) - 58*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m1sq) + 23*m3**6*m6**4*m7**6*B0fin(0,0,m1sq) + 20*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m1sq) - 2*m1**4*m6**6*m7**6*B0fin(0,0,m1sq) + 7*m3**4*m6**6*m7**6*B0fin(0,0,m1sq) - 13*m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m1sq) + 4*m1**8*m6sq*m7**6*B0fin(0,0,m1sq) - 48*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m1sq) + 41*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m1sq) - 17*m3**8*m6sq*m7**6*B0fin(0,0,m1sq) - 4*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m1sq) - 19*m1**4*m3**4*m7**8*B0fin(0,0,m1sq) - 31*m1sq*m3**6*m7**8*B0fin(0,0,m1sq) + 15*m3**8*m7**8*B0fin(0,0,m1sq) + 2*m1**6*m3sq*m7**8*B0fin(0,0,m1sq) - m1**4*m6**4*m7**8*B0fin(0,0,m1sq) - 13*m3**4*m6**4*m7**8*B0fin(0,0,m1sq) + 27*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m1sq) + 2*m1sq*m6**6*m7**8*B0fin(0,0,m1sq) - m3sq*m6**6*m7**8*B0fin(0,0,m1sq) - 2*m1**6*m6sq*m7**8*B0fin(0,0,m1sq) + 2*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m1sq) - m3**6*m6sq*m7**8*B0fin(0,0,m1sq) + 20*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m1sq) + 14*m1sq*m3**4*m7**10*B0fin(0,0,m1sq) - 7*m3**6*m7**10*B0fin(0,0,m1sq) + 3*m1**4*m3sq*m7**10*B0fin(0,0,m1sq) - 4*m1sq*m6**4*m7**10*B0fin(0,0,m1sq) + 2*m3sq*m6**4*m7**10*B0fin(0,0,m1sq) - 3*m1**4*m6sq*m7**10*B0fin(0,0,m1sq) + 5*m3**4*m6sq*m7**10*B0fin(0,0,m1sq) - 10*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m1sq) + m3**4*m7**12*B0fin(0,0,m1sq) - 2*m1sq*m3sq*m7**12*B0fin(0,0,m1sq) + 2*m1sq*m6sq*m7**12*B0fin(0,0,m1sq) - m3sq*m6sq*m7**12*B0fin(0,0,m1sq) - 3*m1**10*m3**4*m7sq*B0fin(0,0,m1sq) + 11*m1**8*m3**6*m7sq*B0fin(0,0,m1sq) - 21*m1**6*m3**8*m7sq*B0fin(0,0,m1sq) + 16*m1**4*m3**10*m7sq*B0fin(0,0,m1sq) - 4*m1sq*m3**12*m7sq*B0fin(0,0,m1sq) + m1**12*m3sq*m7sq*B0fin(0,0,m1sq) + m1**10*m6**4*m7sq*B0fin(0,0,m1sq) - 51*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m1sq) + 63*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m1sq) - 18*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m1sq) - 5*m3**10*m6**4*m7sq*B0fin(0,0,m1sq) + 10*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m1sq) + 15*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m1sq) - 27*m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m1sq) + 13*m3**8*m6**6*m7sq*B0fin(0,0,m1sq) - m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m1sq) - m1**12*m6sq*m7sq*B0fin(0,0,m1sq) - 21*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m1sq) + 73*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m1sq) - 94*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m1sq) + 49*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m1sq) - 8*m3**12*m6sq*m7sq*B0fin(0,0,m1sq) + 2*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m1sq) + 4*m1**12*m3**3*B0fin(0,0,m3) - 16*m1**10*m3**5*B0fin(0,0,m3) + 24*m1**8*m3**7*B0fin(0,0,m3) - 16*m1**6*m3**9*B0fin(0,0,m3) + 4*m1**4*m3**11*B0fin(0,0,m3) - 8*m1**10*m3*m6**4*B0fin(0,0,m3) + 36*m1**8*m3**3*m6**4*B0fin(0,0,m3) - 64*m1**6*m3**5*m6**4*B0fin(0,0,m3) + 56*m1**4*m3**7*m6**4*B0fin(0,0,m3) - 24*m1sq*m3**9*m6**4*B0fin(0,0,m3) + 4*m3**11*m6**4*B0fin(0,0,m3) + 4*m1**8*m3*m6**6*B0fin(0,0,m3) - 16*m1**6*m3**3*m6**6*B0fin(0,0,m3) + 24*m1**4*m3**5*m6**6*B0fin(0,0,m3) - 16*m1sq*m3**7*m6**6*B0fin(0,0,m3) + 4*m3**9*m6**6*B0fin(0,0,m3) + 4*m1**12*m3*m6sq*B0fin(0,0,m3) - 24*m1**10*m3**3*m6sq*B0fin(0,0,m3) + 56*m1**8*m3**5*m6sq*B0fin(0,0,m3) - 64*m1**6*m3**7*m6sq*B0fin(0,0,m3) + 36*m1**4*m3**9*m6sq*B0fin(0,0,m3) - 8*m1sq*m3**11*m6sq*B0fin(0,0,m3) + 10*m1**10*m3*m7**4*B0fin(0,0,m3) - 4*m1**8*m3**3*m7**4*B0fin(0,0,m3) - 42*m1**6*m3**5*m7**4*B0fin(0,0,m3) + 12*m1**4*m3**7*m7**4*B0fin(0,0,m3) - 12*m1sq*m3**9*m7**4*B0fin(0,0,m3) + 4*m3**11*m7**4*B0fin(0,0,m3) - 6*m1**6*m3*m6**4*m7**4*B0fin(0,0,m3) - 64*m1**4*m3**3*m6**4*m7**4*B0fin(0,0,m3) - 30*m1sq*m3**5*m6**4*m7**4*B0fin(0,0,m3) + 4*m3**7*m6**4*m7**4*B0fin(0,0,m3) + 22*m1**4*m3*m6**6*m7**4*B0fin(0,0,m3) + 4*m1sq*m3**3*m6**6*m7**4*B0fin(0,0,m3) + 6*m3**5*m6**6*m7**4*B0fin(0,0,m3) + 50*m1**8*m3*m6sq*m7**4*B0fin(0,0,m3) - 44*m1**6*m3**3*m6sq*m7**4*B0fin(0,0,m3) + 58*m1**4*m3**5*m6sq*m7**4*B0fin(0,0,m3) + 24*m1sq*m3**7*m6sq*m7**4*B0fin(0,0,m3) + 8*m3**9*m6sq*m7**4*B0fin(0,0,m3) - 20*m1**8*m3*m7**6*B0fin(0,0,m3) + 24*m1**6*m3**3*m7**6*B0fin(0,0,m3) + 54*m1**4*m3**5*m7**6*B0fin(0,0,m3) + 24*m1sq*m3**7*m7**6*B0fin(0,0,m3) - 2*m3**9*m7**6*B0fin(0,0,m3) - 26*m1**4*m3*m6**4*m7**6*B0fin(0,0,m3) + 8*m1sq*m3**3*m6**4*m7**6*B0fin(0,0,m3) + 2*m3**5*m6**4*m7**6*B0fin(0,0,m3) - 12*m1sq*m3*m6**6*m7**6*B0fin(0,0,m3) - 4*m3**3*m6**6*m7**6*B0fin(0,0,m3) - 72*m1**6*m3*m6sq*m7**6*B0fin(0,0,m3) + 12*m1**4*m3**3*m6sq*m7**6*B0fin(0,0,m3) - 4*m1sq*m3**5*m6sq*m7**6*B0fin(0,0,m3) + 16*m3**7*m6sq*m7**6*B0fin(0,0,m3) + 20*m1**6*m3*m7**8*B0fin(0,0,m3) - 28*m1**4*m3**3*m7**8*B0fin(0,0,m3) - 46*m1sq*m3**5*m7**8*B0fin(0,0,m3) - 12*m3**7*m7**8*B0fin(0,0,m3) + 22*m1sq*m3*m6**4*m7**8*B0fin(0,0,m3) + 4*m3**3*m6**4*m7**8*B0fin(0,0,m3) + 2*m3*m6**6*m7**8*B0fin(0,0,m3) + 56*m1**4*m3*m6sq*m7**8*B0fin(0,0,m3) + 4*m1sq*m3**3*m6sq*m7**8*B0fin(0,0,m3) - 22*m3**5*m6sq*m7**8*B0fin(0,0,m3) - 10*m1**4*m3*m7**10*B0fin(0,0,m3) + 16*m1sq*m3**3*m7**10*B0fin(0,0,m3) + 14*m3**5*m7**10*B0fin(0,0,m3) - 4*m3*m6**4*m7**10*B0fin(0,0,m3) - 20*m1sq*m3*m6sq*m7**10*B0fin(0,0,m3) + 4*m3**3*m6sq*m7**10*B0fin(0,0,m3) + 2*m1sq*m3*m7**12*B0fin(0,0,m3) - 4*m3**3*m7**12*B0fin(0,0,m3) + 2*m3*m6sq*m7**12*B0fin(0,0,m3) - 2*m1**12*m3*m7sq*B0fin(0,0,m3) - 8*m1**10*m3**3*m7sq*B0fin(0,0,m3) + 36*m1**8*m3**5*m7sq*B0fin(0,0,m3) - 48*m1**6*m3**7*m7sq*B0fin(0,0,m3) + 30*m1**4*m3**9*m7sq*B0fin(0,0,m3) - 8*m1sq*m3**11*m7sq*B0fin(0,0,m3) + 22*m1**8*m3*m6**4*m7sq*B0fin(0,0,m3) - 16*m1**6*m3**3*m6**4*m7sq*B0fin(0,0,m3) - 44*m1**4*m3**5*m6**4*m7sq*B0fin(0,0,m3) + 48*m1sq*m3**7*m6**4*m7sq*B0fin(0,0,m3) - 10*m3**9*m6**4*m7sq*B0fin(0,0,m3) - 16*m1**6*m3*m6**6*m7sq*B0fin(0,0,m3) + 24*m1**4*m3**3*m6**6*m7sq*B0fin(0,0,m3) - 8*m3**7*m6**6*m7sq*B0fin(0,0,m3) - 20*m1**10*m3*m6sq*m7sq*B0fin(0,0,m3) + 48*m1**8*m3**3*m6sq*m7sq*B0fin(0,0,m3) - 24*m1**6*m3**5*m6sq*m7sq*B0fin(0,0,m3) - 24*m1**4*m3**7*m6sq*m7sq*B0fin(0,0,m3) + 28*m1sq*m3**9*m6sq*m7sq*B0fin(0,0,m3) - 8*m3**11*m6sq*m7sq*B0fin(0,0,m3) - 6*m1**12*m3**4*B0fin(0,0,m3sq) + 20*m1**10*m3**6*B0fin(0,0,m3sq) - 24*m1**8*m3**8*B0fin(0,0,m3sq) + 12*m1**6*m3**10*B0fin(0,0,m3sq) - 2*m1**4*m3**12*B0fin(0,0,m3sq) + 2*m1**8*m3**4*m6**4*B0fin(0,0,m3sq) + 20*m1**6*m3**6*m6**4*B0fin(0,0,m3sq) - 32*m1**4*m3**8*m6**4*B0fin(0,0,m3sq) + 16*m1sq*m3**10*m6**4*B0fin(0,0,m3sq) - 2*m3**12*m6**4*B0fin(0,0,m3sq) - 4*m1**10*m3sq*m6**4*B0fin(0,0,m3sq) - 4*m1**6*m3**4*m6**6*B0fin(0,0,m3sq) + 4*m1sq*m3**8*m6**6*B0fin(0,0,m3sq) - 2*m3**10*m6**6*B0fin(0,0,m3sq) + 2*m1**8*m3sq*m6**6*B0fin(0,0,m3sq) + 8*m1**10*m3**4*m6sq*B0fin(0,0,m3sq) - 40*m1**8*m3**6*m6sq*B0fin(0,0,m3sq) + 52*m1**6*m3**8*m6sq*B0fin(0,0,m3sq) - 26*m1**4*m3**10*m6sq*B0fin(0,0,m3sq) + 4*m1sq*m3**12*m6sq*B0fin(0,0,m3sq) + 2*m1**12*m3sq*m6sq*B0fin(0,0,m3sq) - 27*m1**8*m3**4*m7**4*B0fin(0,0,m3sq) + 78*m1**6*m3**6*m7**4*B0fin(0,0,m3sq) - 25*m1**4*m3**8*m7**4*B0fin(0,0,m3sq) + 2*m1sq*m3**10*m7**4*B0fin(0,0,m3sq) - 2*m3**12*m7**4*B0fin(0,0,m3sq) - 10*m1**10*m3sq*m7**4*B0fin(0,0,m3sq) - 4*m1**8*m6**4*m7**4*B0fin(0,0,m3sq) + 13*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m3sq) + 30*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m3sq) + 5*m3**8*m6**4*m7**4*B0fin(0,0,m3sq) + 4*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m3sq) + 3*m1**6*m6**6*m7**4*B0fin(0,0,m3sq) - 13*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m3sq) - 2*m3**6*m6**6*m7**4*B0fin(0,0,m3sq) - 4*m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m3sq) + 5*m1**10*m6sq*m7**4*B0fin(0,0,m3sq) - 39*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m3sq) + 2*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m3sq) - 12*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m3sq) - 12*m3**10*m6sq*m7**4*B0fin(0,0,m3sq) + 8*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m3sq) + 12*m1**6*m3**4*m7**6*B0fin(0,0,m3sq) - 70*m1**4*m3**6*m7**6*B0fin(0,0,m3sq) - 7*m1sq*m3**8*m7**6*B0fin(0,0,m3sq) + 5*m3**10*m7**6*B0fin(0,0,m3sq) + 20*m1**8*m3sq*m7**6*B0fin(0,0,m3sq) + 11*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m3sq) - 7*m3**6*m6**4*m7**6*B0fin(0,0,m3sq) + 4*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m3sq) - 3*m1**4*m6**6*m7**6*B0fin(0,0,m3sq) + 6*m3**4*m6**6*m7**6*B0fin(0,0,m3sq) + 5*m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m3sq) - 10*m1**8*m6sq*m7**6*B0fin(0,0,m3sq) + 49*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m3sq) - 17*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m3sq) - 10*m3**8*m6sq*m7**6*B0fin(0,0,m3sq) + 12*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m3sq) + 6*m1**4*m3**4*m7**8*B0fin(0,0,m3sq) + 42*m1sq*m3**6*m7**8*B0fin(0,0,m3sq) + 5*m3**8*m7**8*B0fin(0,0,m3sq) - 20*m1**6*m3sq*m7**8*B0fin(0,0,m3sq) + 4*m1**4*m6**4*m7**8*B0fin(0,0,m3sq) - 9*m3**4*m6**4*m7**8*B0fin(0,0,m3sq) - 8*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m3sq) + m1sq*m6**6*m7**8*B0fin(0,0,m3sq) - 2*m3sq*m6**6*m7**8*B0fin(0,0,m3sq) + 10*m1**6*m6sq*m7**8*B0fin(0,0,m3sq) - 25*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m3sq) + 20*m3**6*m6sq*m7**8*B0fin(0,0,m3sq) - 24*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m3sq) - 9*m1sq*m3**4*m7**10*B0fin(0,0,m3sq) - 11*m3**6*m7**10*B0fin(0,0,m3sq) + 10*m1**4*m3sq*m7**10*B0fin(0,0,m3sq) - 2*m1sq*m6**4*m7**10*B0fin(0,0,m3sq) + 4*m3sq*m6**4*m7**10*B0fin(0,0,m3sq) - 5*m1**4*m6sq*m7**10*B0fin(0,0,m3sq) + 13*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m3sq) + 3*m3**4*m7**12*B0fin(0,0,m3sq) - 2*m1sq*m3sq*m7**12*B0fin(0,0,m3sq) + m1sq*m6sq*m7**12*B0fin(0,0,m3sq) - 2*m3sq*m6sq*m7**12*B0fin(0,0,m3sq) + 21*m1**10*m3**4*m7sq*B0fin(0,0,m3sq) - 59*m1**8*m3**6*m7sq*B0fin(0,0,m3sq) + 51*m1**6*m3**8*m7sq*B0fin(0,0,m3sq) - 19*m1**4*m3**10*m7sq*B0fin(0,0,m3sq) + 4*m1sq*m3**12*m7sq*B0fin(0,0,m3sq) + 2*m1**12*m3sq*m7sq*B0fin(0,0,m3sq) + 2*m1**10*m6**4*m7sq*B0fin(0,0,m3sq) + 7*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m3sq) - 13*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m3sq) - 5*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m3sq) + 9*m3**10*m6**4*m7sq*B0fin(0,0,m3sq) - m1**8*m6**6*m7sq*B0fin(0,0,m3sq) + 5*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m3sq) - 3*m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m3sq) - m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m3sq) - m1**12*m6sq*m7sq*B0fin(0,0,m3sq) + 7*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m3sq) - 5*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m3sq) + 34*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m3sq) - 30*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m3sq) + 4*m3**12*m6sq*m7sq*B0fin(0,0,m3sq) - 9*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m3sq) - 4*m1**10*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 12*m1**8*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 12*m1**6*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**4*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 24*m1**8*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 28*m1**6*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 20*m1**4*m3**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 12*m1sq*m3**10*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m3**12*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m1**10*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 12*m1**6*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 12*m1**4*m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1sq*m3**8*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**8*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 12*m1**10*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 20*m1**8*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 28*m1**6*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 24*m1**4*m3**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m1sq*m3**12*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**12*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 14*m1**8*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 17*m1**6*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 28*m1**4*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 6*m1sq*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m3**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**10*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 30*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 37*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 14*m3**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 7*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**6*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 9*m3**6*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 28*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 91*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 54*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 18*m3**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 17*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 20*m1**6*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 14*m1**4*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 11*m1sq*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m3**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**8*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 11*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 19*m3**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**4*m6**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m3**4*m6**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 11*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 19*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m3**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 10*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 18*m1**4*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 15*m1sq*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 6*m3**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1**6*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**4*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 12*m3**4*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3sq*m6**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 11*m3**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 7*m1sq*m3**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m3**6*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**4*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m3sq*m6**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**4*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m3**4*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1sq*m3sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3sq*m6sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 5*m1**10*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 11*m1**8*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**6*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 15*m1**4*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m1sq*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 11*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 45*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 39*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m3**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**8*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 9*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**8*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 5*m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 23*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 23*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 66*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 42*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 8*m3**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 13*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1**12*m3**4*B0fin(0,0,m3sq)**2 - 4*m1**10*m3**6*B0fin(0,0,m3sq)**2 + 6*m1**8*m3**8*B0fin(0,0,m3sq)**2 - 4*m1**6*m3**10*B0fin(0,0,m3sq)**2 + m1**4*m3**12*B0fin(0,0,m3sq)**2 - 7*m1**8*m3**4*m6**4*B0fin(0,0,m3sq)**2 + 8*m1**6*m3**6*m6**4*B0fin(0,0,m3sq)**2 - 2*m1**4*m3**8*m6**4*B0fin(0,0,m3sq)**2 - 2*m1sq*m3**10*m6**4*B0fin(0,0,m3sq)**2 + m3**12*m6**4*B0fin(0,0,m3sq)**2 + 2*m1**10*m3sq*m6**4*B0fin(0,0,m3sq)**2 + 4*m1**6*m3**4*m6**6*B0fin(0,0,m3sq)**2 - 6*m1**4*m3**6*m6**6*B0fin(0,0,m3sq)**2 + 4*m1sq*m3**8*m6**6*B0fin(0,0,m3sq)**2 - m3**10*m6**6*B0fin(0,0,m3sq)**2 - m1**8*m3sq*m6**6*B0fin(0,0,m3sq)**2 + 2*m1**10*m3**4*m6sq*B0fin(0,0,m3sq)**2 + 2*m1**8*m3**6*m6sq*B0fin(0,0,m3sq)**2 - 8*m1**6*m3**8*m6sq*B0fin(0,0,m3sq)**2 + 7*m1**4*m3**10*m6sq*B0fin(0,0,m3sq)**2 - 2*m1sq*m3**12*m6sq*B0fin(0,0,m3sq)**2 - m1**12*m3sq*m6sq*B0fin(0,0,m3sq)**2 + 15*m1**8*m3**4*m7**4*B0fin(0,0,m3sq)**2 - 8*m1**6*m3**6*m7**4*B0fin(0,0,m3sq)**2 + 4*m1**4*m3**8*m7**4*B0fin(0,0,m3sq)**2 + 4*m1sq*m3**10*m7**4*B0fin(0,0,m3sq)**2 + m3**12*m7**4*B0fin(0,0,m3sq)**2 + 22*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m3sq)**2 + 24*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m3sq)**2 - 2*m3**8*m6**4*m7**4*B0fin(0,0,m3sq)**2 + 4*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m3sq)**2 - 4*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m3sq)**2 - 6*m3**6*m6**6*m7**4*B0fin(0,0,m3sq)**2 - 6*m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m3sq)**2 + 4*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m3sq)**2 - 20*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m3sq)**2 - 24*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m3sq)**2 + 7*m3**10*m6sq*m7**4*B0fin(0,0,m3sq)**2 - 15*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m3sq)**2 - 20*m1**6*m3**4*m7**6*B0fin(0,0,m3sq)**2 - 8*m1**4*m3**6*m7**6*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**8*m7**6*B0fin(0,0,m3sq)**2 - 4*m3**10*m7**6*B0fin(0,0,m3sq)**2 - 4*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m3sq)**2 + 8*m3**6*m6**4*m7**6*B0fin(0,0,m3sq)**2 + 4*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m3sq)**2 + 4*m3**4*m6**6*m7**6*B0fin(0,0,m3sq)**2 + 4*m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m3sq)**2 + 4*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m3sq)**2 + 8*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m3sq)**2 - 8*m3**8*m6sq*m7**6*B0fin(0,0,m3sq)**2 + 20*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m3sq)**2 + 15*m1**4*m3**4*m7**8*B0fin(0,0,m3sq)**2 + 12*m1sq*m3**6*m7**8*B0fin(0,0,m3sq)**2 + 6*m3**8*m7**8*B0fin(0,0,m3sq)**2 - 7*m3**4*m6**4*m7**8*B0fin(0,0,m3sq)**2 - 6*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m3sq)**2 - m3sq*m6**6*m7**8*B0fin(0,0,m3sq)**2 - 6*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m3sq)**2 + 2*m3**6*m6sq*m7**8*B0fin(0,0,m3sq)**2 - 15*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m3sq)**2 - 6*m1sq*m3**4*m7**10*B0fin(0,0,m3sq)**2 - 4*m3**6*m7**10*B0fin(0,0,m3sq)**2 + 2*m3sq*m6**4*m7**10*B0fin(0,0,m3sq)**2 + 2*m3**4*m6sq*m7**10*B0fin(0,0,m3sq)**2 + 6*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m3sq)**2 + m3**4*m7**12*B0fin(0,0,m3sq)**2 - m3sq*m6sq*m7**12*B0fin(0,0,m3sq)**2 - 6*m1**10*m3**4*m7sq*B0fin(0,0,m3sq)**2 + 12*m1**8*m3**6*m7sq*B0fin(0,0,m3sq)**2 - 8*m1**6*m3**8*m7sq*B0fin(0,0,m3sq)**2 + 4*m1**4*m3**10*m7sq*B0fin(0,0,m3sq)**2 - 2*m1sq*m3**12*m7sq*B0fin(0,0,m3sq)**2 - 4*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m3sq)**2 + 24*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m3sq)**2 - 12*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m3sq)**2 - 2*m3**10*m6**4*m7sq*B0fin(0,0,m3sq)**2 - 6*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m3sq)**2 - 4*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m3sq)**2 - 4*m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m3sq)**2 + 4*m3**8*m6**6*m7sq*B0fin(0,0,m3sq)**2 + 4*m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m3sq)**2 - 6*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m3sq)**2 + 8*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m3sq)**2 - 24*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m3sq)**2 + 18*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m3sq)**2 - 2*m3**12*m6sq*m7sq*B0fin(0,0,m3sq)**2 + 6*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m3sq)**2 + 40*m1**10*m3**4*m6*B0fin(0,0,m6) - 80*m1**8*m3**6*m6*B0fin(0,0,m6) + 80*m1**6*m3**8*m6*B0fin(0,0,m6) - 40*m1**4*m3**10*m6*B0fin(0,0,m6) + 8*m1sq*m3**12*m6*B0fin(0,0,m6) - 8*m1**12*m3sq*m6*B0fin(0,0,m6) - 40*m1**8*m3**4*m6**3*B0fin(0,0,m6) + 80*m1**6*m3**6*m6**3*B0fin(0,0,m6) - 80*m1**4*m3**8*m6**3*B0fin(0,0,m6) + 40*m1sq*m3**10*m6**3*B0fin(0,0,m6) - 8*m3**12*m6**3*B0fin(0,0,m6) + 8*m1**10*m3sq*m6**3*B0fin(0,0,m6) - 10*m1**10*m6*m7**4*B0fin(0,0,m6) + 60*m1**6*m3**4*m6*m7**4*B0fin(0,0,m6) - 12*m1**4*m3**6*m6*m7**4*B0fin(0,0,m6) - 18*m1sq*m3**8*m6*m7**4*B0fin(0,0,m6) + 34*m3**10*m6*m7**4*B0fin(0,0,m6) - 54*m1**8*m3sq*m6*m7**4*B0fin(0,0,m6) + 8*m1**8*m6**3*m7**4*B0fin(0,0,m6) - 16*m1**4*m3**4*m6**3*m7**4*B0fin(0,0,m6) + 32*m1sq*m3**6*m6**3*m7**4*B0fin(0,0,m6) - 56*m3**8*m6**3*m7**4*B0fin(0,0,m6) + 32*m1**6*m3sq*m6**3*m7**4*B0fin(0,0,m6) + 20*m1**8*m6*m7**6*B0fin(0,0,m6) - 12*m1**4*m3**4*m6*m7**6*B0fin(0,0,m6) - 12*m1sq*m3**6*m6*m7**6*B0fin(0,0,m6) - 56*m3**8*m6*m7**6*B0fin(0,0,m6) + 60*m1**6*m3sq*m6*m7**6*B0fin(0,0,m6) - 12*m1**6*m6**3*m7**6*B0fin(0,0,m6) - 4*m1sq*m3**4*m6**3*m7**6*B0fin(0,0,m6) + 44*m3**6*m6**3*m7**6*B0fin(0,0,m6) - 28*m1**4*m3sq*m6**3*m7**6*B0fin(0,0,m6) - 20*m1**6*m6*m7**8*B0fin(0,0,m6) + 12*m1sq*m3**4*m6*m7**8*B0fin(0,0,m6) + 44*m3**6*m6*m7**8*B0fin(0,0,m6) - 36*m1**4*m3sq*m6*m7**8*B0fin(0,0,m6) + 8*m1**4*m6**3*m7**8*B0fin(0,0,m6) - 16*m3**4*m6**3*m7**8*B0fin(0,0,m6) + 8*m1sq*m3sq*m6**3*m7**8*B0fin(0,0,m6) + 10*m1**4*m6*m7**10*B0fin(0,0,m6) - 16*m3**4*m6*m7**10*B0fin(0,0,m6) + 6*m1sq*m3sq*m6*m7**10*B0fin(0,0,m6) - 2*m1sq*m6**3*m7**10*B0fin(0,0,m6) + 2*m3sq*m6**3*m7**10*B0fin(0,0,m6) - 2*m1sq*m6*m7**12*B0fin(0,0,m6) + 2*m3sq*m6*m7**12*B0fin(0,0,m6) + 2*m1**12*m6*m7sq*B0fin(0,0,m6) - 84*m1**8*m3**4*m6*m7sq*B0fin(0,0,m6) + 60*m1**6*m3**6*m6*m7sq*B0fin(0,0,m6) - 6*m1**4*m3**8*m6*m7sq*B0fin(0,0,m6) + 6*m1sq*m3**10*m6*m7sq*B0fin(0,0,m6) - 8*m3**12*m6*m7sq*B0fin(0,0,m6) + 30*m1**10*m3sq*m6*m7sq*B0fin(0,0,m6) - 2*m1**10*m6**3*m7sq*B0fin(0,0,m6) + 44*m1**6*m3**4*m6**3*m7sq*B0fin(0,0,m6) + 20*m1**4*m3**6*m6**3*m7sq*B0fin(0,0,m6) - 74*m1sq*m3**8*m6**3*m7sq*B0fin(0,0,m6) + 34*m3**10*m6**3*m7sq*B0fin(0,0,m6) - 22*m1**8*m3sq*m6**3*m7sq*B0fin(0,0,m6) + 20*m1**8*m3**4*m6**4*B0fin(0,0,m6sq) - 40*m1**6*m3**6*m6**4*B0fin(0,0,m6sq) + 40*m1**4*m3**8*m6**4*B0fin(0,0,m6sq) - 20*m1sq*m3**10*m6**4*B0fin(0,0,m6sq) + 4*m3**12*m6**4*B0fin(0,0,m6sq) - 4*m1**10*m3sq*m6**4*B0fin(0,0,m6sq) - 20*m1**10*m3**4*m6sq*B0fin(0,0,m6sq) + 40*m1**8*m3**6*m6sq*B0fin(0,0,m6sq) - 40*m1**6*m3**8*m6sq*B0fin(0,0,m6sq) + 20*m1**4*m3**10*m6sq*B0fin(0,0,m6sq) - 4*m1sq*m3**12*m6sq*B0fin(0,0,m6sq) + 4*m1**12*m3sq*m6sq*B0fin(0,0,m6sq) - 4*m1**8*m6**4*m7**4*B0fin(0,0,m6sq) + 8*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m6sq) - 16*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m6sq) + 28*m3**8*m6**4*m7**4*B0fin(0,0,m6sq) - 16*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m6sq) + 5*m1**10*m6sq*m7**4*B0fin(0,0,m6sq) - 30*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m6sq) + 6*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m6sq) + 9*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m6sq) - 17*m3**10*m6sq*m7**4*B0fin(0,0,m6sq) + 27*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m6sq) + 6*m1**6*m6**4*m7**6*B0fin(0,0,m6sq) + 2*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m6sq) - 22*m3**6*m6**4*m7**6*B0fin(0,0,m6sq) + 14*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m6sq) - 10*m1**8*m6sq*m7**6*B0fin(0,0,m6sq) + 6*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m6sq) + 6*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m6sq) + 28*m3**8*m6sq*m7**6*B0fin(0,0,m6sq) - 30*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m6sq) - 4*m1**4*m6**4*m7**8*B0fin(0,0,m6sq) + 8*m3**4*m6**4*m7**8*B0fin(0,0,m6sq) - 4*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m6sq) + 10*m1**6*m6sq*m7**8*B0fin(0,0,m6sq) - 6*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m6sq) - 22*m3**6*m6sq*m7**8*B0fin(0,0,m6sq) + 18*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m6sq) + m1sq*m6**4*m7**10*B0fin(0,0,m6sq) - m3sq*m6**4*m7**10*B0fin(0,0,m6sq) - 5*m1**4*m6sq*m7**10*B0fin(0,0,m6sq) + 8*m3**4*m6sq*m7**10*B0fin(0,0,m6sq) - 3*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m6sq) + m1sq*m6sq*m7**12*B0fin(0,0,m6sq) - m3sq*m6sq*m7**12*B0fin(0,0,m6sq) + m1**10*m6**4*m7sq*B0fin(0,0,m6sq) - 22*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m6sq) - 10*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m6sq) + 37*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m6sq) - 17*m3**10*m6**4*m7sq*B0fin(0,0,m6sq) + 11*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m6sq) - m1**12*m6sq*m7sq*B0fin(0,0,m6sq) + 42*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m6sq) - 30*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m6sq) + 3*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m6sq) - 3*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m6sq) + 4*m3**12*m6sq*m7sq*B0fin(0,0,m6sq) - 15*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m6sq) - 20*m1**8*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 40*m1**6*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 40*m1**4*m3**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 20*m1sq*m3**10*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m3**12*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**10*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 20*m1**10*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 40*m1**8*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 40*m1**6*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 20*m1**4*m3**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m3**12*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**12*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 16*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 28*m3**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 16*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 14*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 26*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 65*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 17*m3**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 5*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 22*m3**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 14*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 10*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 38*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 28*m3**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**4*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m3**4*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 10*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 22*m3**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 10*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1sq*m6**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m3sq*m6**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1**4*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m3**4*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 5*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1sq*m6sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m3sq*m6sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 22*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 10*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 37*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 17*m3**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 11*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 50*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 77*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 37*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m3**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 7*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 16*m1**10*m3**4*m7*B0fin(0,0,m7) - 44*m1**8*m3**6*m7*B0fin(0,0,m7) + 56*m1**6*m3**8*m7*B0fin(0,0,m7) - 34*m1**4*m3**10*m7*B0fin(0,0,m7) + 8*m1sq*m3**12*m7*B0fin(0,0,m7) - 2*m1**12*m3sq*m7*B0fin(0,0,m7) - 4*m1**10*m6**4*m7*B0fin(0,0,m7) - 48*m1**6*m3**4*m6**4*m7*B0fin(0,0,m7) + 52*m1**4*m3**6*m6**4*m7*B0fin(0,0,m7) - 28*m1sq*m3**8*m6**4*m7*B0fin(0,0,m7) + 6*m3**10*m6**4*m7*B0fin(0,0,m7) + 22*m1**8*m3sq*m6**4*m7*B0fin(0,0,m7) + 2*m1**8*m6**6*m7*B0fin(0,0,m7) + 12*m1**4*m3**4*m6**6*m7*B0fin(0,0,m7) - 8*m1sq*m3**6*m6**6*m7*B0fin(0,0,m7) + 2*m3**8*m6**6*m7*B0fin(0,0,m7) - 8*m1**6*m3sq*m6**6*m7*B0fin(0,0,m7) + 2*m1**12*m6sq*m7*B0fin(0,0,m7) + 20*m1**8*m3**4*m6sq*m7*B0fin(0,0,m7) - 30*m1**4*m3**8*m6sq*m7*B0fin(0,0,m7) + 28*m1sq*m3**10*m6sq*m7*B0fin(0,0,m7) - 8*m3**12*m6sq*m7*B0fin(0,0,m7) - 12*m1**10*m3sq*m6sq*m7*B0fin(0,0,m7) - 24*m1**8*m3**4*m7**3*B0fin(0,0,m7) - 4*m1**6*m3**6*m7**3*B0fin(0,0,m7) + 32*m1**4*m3**8*m7**3*B0fin(0,0,m7) - 6*m1sq*m3**10*m7**3*B0fin(0,0,m7) - 8*m3**12*m7**3*B0fin(0,0,m7) + 10*m1**10*m3sq*m7**3*B0fin(0,0,m7) + 10*m1**8*m6**4*m7**3*B0fin(0,0,m7) + 4*m1**4*m3**4*m6**4*m7**3*B0fin(0,0,m7) + 24*m1sq*m3**6*m6**4*m7**3*B0fin(0,0,m7) - 14*m3**8*m6**4*m7**3*B0fin(0,0,m7) - 24*m1**6*m3sq*m6**4*m7**3*B0fin(0,0,m7) - 8*m1**6*m6**6*m7**3*B0fin(0,0,m7) - 8*m1sq*m3**4*m6**6*m7**3*B0fin(0,0,m7) + 16*m1**4*m3sq*m6**6*m7**3*B0fin(0,0,m7) - 10*m1**10*m6sq*m7**3*B0fin(0,0,m7) + 36*m1**6*m3**4*m6sq*m7**3*B0fin(0,0,m7) - 52*m1**4*m3**6*m6sq*m7**3*B0fin(0,0,m7) - 10*m1sq*m3**8*m6sq*m7**3*B0fin(0,0,m7) + 22*m3**10*m6sq*m7**3*B0fin(0,0,m7) + 14*m1**8*m3sq*m6sq*m7**3*B0fin(0,0,m7) + 2*m1**6*m3**4*m7**5*B0fin(0,0,m7) + 8*m1**4*m3**6*m7**5*B0fin(0,0,m7) - 22*m1sq*m3**8*m7**5*B0fin(0,0,m7) + 40*m3**10*m7**5*B0fin(0,0,m7) - 28*m1**8*m3sq*m7**5*B0fin(0,0,m7) + 2*m1**6*m6**4*m7**5*B0fin(0,0,m7) + 18*m1sq*m3**4*m6**4*m7**5*B0fin(0,0,m7) - 20*m1**4*m3sq*m6**4*m7**5*B0fin(0,0,m7) + 10*m1**4*m6**6*m7**5*B0fin(0,0,m7) - 6*m3**4*m6**6*m7**5*B0fin(0,0,m7) - 4*m1sq*m3sq*m6**6*m7**5*B0fin(0,0,m7) + 28*m1**8*m6sq*m7**5*B0fin(0,0,m7) + 2*m1**4*m3**4*m6sq*m7**5*B0fin(0,0,m7) + 8*m1sq*m3**6*m6sq*m7**5*B0fin(0,0,m7) - 34*m3**8*m6sq*m7**5*B0fin(0,0,m7) - 4*m1**6*m3sq*m6sq*m7**5*B0fin(0,0,m7) + 26*m1**4*m3**4*m7**7*B0fin(0,0,m7) - 4*m1sq*m3**6*m7**7*B0fin(0,0,m7) - 66*m3**8*m7**7*B0fin(0,0,m7) + 44*m1**6*m3sq*m7**7*B0fin(0,0,m7) - 18*m1**4*m6**4*m7**7*B0fin(0,0,m7) + 18*m3**4*m6**4*m7**7*B0fin(0,0,m7) - 4*m1sq*m6**6*m7**7*B0fin(0,0,m7) + 4*m3sq*m6**6*m7**7*B0fin(0,0,m7) - 44*m1**6*m6sq*m7**7*B0fin(0,0,m7) + 8*m1sq*m3**4*m6sq*m7**7*B0fin(0,0,m7) + 44*m3**6*m6sq*m7**7*B0fin(0,0,m7) - 8*m1**4*m3sq*m6sq*m7**7*B0fin(0,0,m7) - 10*m1sq*m3**4*m7**9*B0fin(0,0,m7) + 44*m3**6*m7**9*B0fin(0,0,m7) - 34*m1**4*m3sq*m7**9*B0fin(0,0,m7) + 10*m1sq*m6**4*m7**9*B0fin(0,0,m7) - 10*m3sq*m6**4*m7**9*B0fin(0,0,m7) + 34*m1**4*m6sq*m7**9*B0fin(0,0,m7) - 34*m3**4*m6sq*m7**9*B0fin(0,0,m7) - 10*m3**4*m7**11*B0fin(0,0,m7) + 10*m1sq*m3sq*m7**11*B0fin(0,0,m7) - 10*m1sq*m6sq*m7**11*B0fin(0,0,m7) + 10*m3sq*m6sq*m7**11*B0fin(0,0,m7) + 43*m1**8*m3**4*m7**4*B0fin(0,0,m7sq) - 61*m1**6*m3**6*m7**4*B0fin(0,0,m7sq) + 37*m1**4*m3**8*m7**4*B0fin(0,0,m7sq) - 21*m1sq*m3**10*m7**4*B0fin(0,0,m7sq) + 4*m3**12*m7**4*B0fin(0,0,m7sq) - 2*m1**10*m3sq*m7**4*B0fin(0,0,m7sq) + m1**8*m6**4*m7**4*B0fin(0,0,m7sq) + 95*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m7sq) - 113*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m7sq) + 12*m3**8*m6**4*m7**4*B0fin(0,0,m7sq) + 5*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m7sq) + m1**6*m6**6*m7**4*B0fin(0,0,m7sq) - 5*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m7sq) + 19*m3**6*m6**6*m7**4*B0fin(0,0,m7sq) - 15*m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m7sq) + 2*m1**10*m6sq*m7**4*B0fin(0,0,m7sq) + 55*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m7sq) - 117*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m7sq) + 139*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m7sq) - 35*m3**10*m6sq*m7**4*B0fin(0,0,m7sq) - 44*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m7sq) - 31*m1**6*m3**4*m7**6*B0fin(0,0,m7sq) + 22*m1**4*m3**6*m7**6*B0fin(0,0,m7sq) + 13*m1sq*m3**8*m7**6*B0fin(0,0,m7sq) - 8*m3**10*m7**6*B0fin(0,0,m7sq) + 4*m1**8*m3sq*m7**6*B0fin(0,0,m7sq) - 3*m1**6*m6**4*m7**6*B0fin(0,0,m7sq) + 21*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m7sq) - 30*m3**6*m6**4*m7**6*B0fin(0,0,m7sq) + 12*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m7sq) - m1**4*m6**6*m7**6*B0fin(0,0,m7sq) - 5*m3**4*m6**6*m7**6*B0fin(0,0,m7sq) + 6*m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m7sq) - 4*m1**8*m6sq*m7**6*B0fin(0,0,m7sq) - 33*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m7sq) - 40*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m7sq) + 43*m3**8*m6sq*m7**6*B0fin(0,0,m7sq) + 34*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m7sq) + m1**4*m3**4*m7**8*B0fin(0,0,m7sq) - 5*m1sq*m3**6*m7**8*B0fin(0,0,m7sq) + 14*m3**8*m7**8*B0fin(0,0,m7sq) - 10*m1**6*m3sq*m7**8*B0fin(0,0,m7sq) + 3*m1**4*m6**4*m7**8*B0fin(0,0,m7sq) + 6*m3**4*m6**4*m7**8*B0fin(0,0,m7sq) - 9*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m7sq) + m1sq*m6**6*m7**8*B0fin(0,0,m7sq) - m3sq*m6**6*m7**8*B0fin(0,0,m7sq) + 10*m1**6*m6sq*m7**8*B0fin(0,0,m7sq) + 13*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m7sq) - 19*m3**6*m6sq*m7**8*B0fin(0,0,m7sq) - 4*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m7sq) + 3*m1sq*m3**4*m7**10*B0fin(0,0,m7sq) - 14*m3**6*m7**10*B0fin(0,0,m7sq) + 11*m1**4*m3sq*m7**10*B0fin(0,0,m7sq) - 3*m1sq*m6**4*m7**10*B0fin(0,0,m7sq) + 3*m3sq*m6**4*m7**10*B0fin(0,0,m7sq) - 11*m1**4*m6sq*m7**10*B0fin(0,0,m7sq) + 11*m3**4*m6sq*m7**10*B0fin(0,0,m7sq) + 4*m3**4*m7**12*B0fin(0,0,m7sq) - 4*m1sq*m3sq*m7**12*B0fin(0,0,m7sq) + 4*m1sq*m6sq*m7**12*B0fin(0,0,m7sq) - 4*m3sq*m6sq*m7**12*B0fin(0,0,m7sq) - 20*m1**10*m3**4*m7sq*B0fin(0,0,m7sq) + 58*m1**8*m3**6*m7sq*B0fin(0,0,m7sq) - 64*m1**6*m3**8*m7sq*B0fin(0,0,m7sq) + 29*m1**4*m3**10*m7sq*B0fin(0,0,m7sq) - 4*m1sq*m3**12*m7sq*B0fin(0,0,m7sq) + m1**12*m3sq*m7sq*B0fin(0,0,m7sq) + 2*m1**10*m6**4*m7sq*B0fin(0,0,m7sq) + 84*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m7sq) - 62*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m7sq) + 2*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m7sq) + 9*m3**10*m6**4*m7sq*B0fin(0,0,m7sq) - 35*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m7sq) - m1**8*m6**6*m7sq*B0fin(0,0,m7sq) - 42*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m7sq) + 40*m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m7sq) - 13*m3**8*m6**6*m7sq*B0fin(0,0,m7sq) + 16*m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m7sq) - m1**12*m6sq*m7sq*B0fin(0,0,m7sq) - 22*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m7sq) - 36*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m7sq) + 75*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m7sq) - 38*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m7sq) + 4*m3**12*m6sq*m7sq*B0fin(0,0,m7sq) + 18*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m7sq) + 13*m1**8*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 7*m1**6*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 11*m1**4*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 19*m1sq*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m3**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 5*m1**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 73*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 13*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 14*m3**8*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 3*m1**6*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m3**6*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 11*m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 19*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 73*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 23*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3**10*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 18*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 25*m1**6*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 13*m1**4*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 49*m1sq*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 9*m3**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**8*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m1**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 3*m3**6*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 17*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m6**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m3**4*m6**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 42*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m3**8*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 27*m1**4*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 39*m1sq*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m3**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**6*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 9*m1**4*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m3**4*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 13*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m1sq*m6**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3sq*m6**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 25*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 11*m3**6*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 18*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 15*m1sq*m3**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m3**6*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**4*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m1sq*m6**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m3sq*m6**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m3**4*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1sq*m3sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m6sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**8*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 44*m1**6*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1**4*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 20*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m3**10*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3**8*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 40*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 76*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 36*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3**12*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**8*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 16*m1**6*m3**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 28*m1**4*m3**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 30*m1sq*m3**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 6*m1**10*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m1**8*m6**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 44*m1**4*m3**4*m6**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 24*m1sq*m3**6*m6**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 14*m3**8*m6**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 16*m1**6*m3sq*m6**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1**6*m6**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m1sq*m3**4*m6**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 10*m3**6*m6**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 22*m1**4*m3sq*m6**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m1**10*m6sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 10*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 26*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 126*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 30*m3**10*m6sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 40*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 32*m1**6*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 19*m1**4*m3**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 28*m1sq*m3**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 15*m3**10*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 14*m1**8*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m1**6*m6**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 10*m1sq*m3**4*m6**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 3*m3**6*m6**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 25*m1**4*m3sq*m6**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m1**4*m6**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 5*m3**4*m6**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 12*m1sq*m3sq*m6**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 6*m1**8*m6sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 21*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 58*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 49*m3**8*m6sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 66*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 24*m1**4*m3**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 30*m1sq*m3**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 28*m3**8*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1**6*m3sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1**4*m6**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 6*m3**4*m6**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 22*m1sq*m3sq*m6**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m3sq*m6**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m1**6*m6sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 12*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 24*m3**6*m6sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 54*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 12*m1sq*m3**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 17*m3**6*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 9*m1**4*m3sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m3sq*m6**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m1**4*m6sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 3*m3**4*m6sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 20*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 4*m3**4*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m1sq*m3sq*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m3sq*m6sq*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1**10*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 10*m1**8*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 28*m1**6*m3**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 15*m1**4*m3**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m1**12*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1**10*m6**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 24*m1**6*m3**4*m6**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m1**4*m3**6*m6**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 14*m1sq*m3**8*m6**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 15*m3**10*m6**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 23*m1**8*m3sq*m6**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m1**8*m6**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 14*m1**4*m3**4*m6**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1sq*m3**6*m6**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 7*m3**8*m6**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 12*m1**6*m3sq*m6**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m1**12*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 6*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 16*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 49*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 30*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 10*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1**10*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 44*m1**6*m3**4*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 20*m1**4*m3**6*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 74*m1sq*m3**8*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 34*m3**10*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 22*m1**8*m3sq*m6sq*m7**4*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 8*m1**8*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 16*m1**4*m3**4*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 32*m1sq*m3**6*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 56*m3**8*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 32*m1**6*m3sq*m6sq*m7**6*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 12*m1**6*m6sq*m7**8*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 4*m1sq*m3**4*m6sq*m7**8*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 44*m3**6*m6sq*m7**8*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 28*m1**4*m3sq*m6sq*m7**8*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 8*m1**4*m6sq*m7**10*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 16*m3**4*m6sq*m7**10*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 8*m1sq*m3sq*m6sq*m7**10*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 2*m1sq*m6sq*m7**12*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 2*m3sq*m6sq*m7**12*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 40*m1**8*m3**4*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 80*m1**6*m3**6*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 80*m1**4*m3**8*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 40*m1sq*m3**10*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - 8*m3**12*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 8*m1**10*m3sq*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) + 4*m1**10*m3**4*T134fin(m7,m3,m1) - 12*m1**8*m3**6*T134fin(m7,m3,m1) + 12*m1**6*m3**8*T134fin(m7,m3,m1) - 4*m1**4*m3**10*T134fin(m7,m3,m1) - 20*m1**6*m3**4*m6**4*T134fin(m7,m3,m1) + 12*m1**4*m3**6*m6**4*T134fin(m7,m3,m1) + 4*m1sq*m3**8*m6**4*T134fin(m7,m3,m1) - 4*m3**10*m6**4*T134fin(m7,m3,m1) + 8*m1**8*m3sq*m6**4*T134fin(m7,m3,m1) + 12*m1**4*m3**4*m6**6*T134fin(m7,m3,m1) - 12*m1sq*m3**6*m6**6*T134fin(m7,m3,m1) + 4*m3**8*m6**6*T134fin(m7,m3,m1) - 4*m1**6*m3sq*m6**6*T134fin(m7,m3,m1) + 4*m1**8*m3**4*m6sq*T134fin(m7,m3,m1) + 12*m1**6*m3**6*m6sq*T134fin(m7,m3,m1) - 20*m1**4*m3**8*m6sq*T134fin(m7,m3,m1) + 8*m1sq*m3**10*m6sq*T134fin(m7,m3,m1) - 4*m1**10*m3sq*m6sq*T134fin(m7,m3,m1) + m1**10*m7**4*T134fin(m7,m3,m1) + 7*m1**6*m3**4*m7**4*T134fin(m7,m3,m1) - 4*m1**4*m3**6*m7**4*T134fin(m7,m3,m1) + 26*m1sq*m3**8*m7**4*T134fin(m7,m3,m1) - 4*m3**10*m7**4*T134fin(m7,m3,m1) + 22*m1**8*m3sq*m7**4*T134fin(m7,m3,m1) - 3*m1**6*m6**4*m7**4*T134fin(m7,m3,m1) - 23*m1sq*m3**4*m6**4*m7**4*T134fin(m7,m3,m1) + 36*m3**6*m6**4*m7**4*T134fin(m7,m3,m1) + 6*m1**4*m3sq*m6**4*m7**4*T134fin(m7,m3,m1) + m1**4*m6**6*m7**4*T134fin(m7,m3,m1) + 5*m3**4*m6**6*m7**4*T134fin(m7,m3,m1) + 10*m1sq*m3sq*m6**6*m7**4*T134fin(m7,m3,m1) - 3*m1**8*m6sq*m7**4*T134fin(m7,m3,m1) - 29*m1**4*m3**4*m6sq*m7**4*T134fin(m7,m3,m1) - 72*m1sq*m3**6*m6sq*m7**4*T134fin(m7,m3,m1) + 18*m3**8*m6sq*m7**4*T134fin(m7,m3,m1) + 6*m1**6*m3sq*m6sq*m7**4*T134fin(m7,m3,m1) - 5*m1**8*m7**6*T134fin(m7,m3,m1) - 37*m1**4*m3**4*m7**6*T134fin(m7,m3,m1) - 43*m1sq*m3**6*m7**6*T134fin(m7,m3,m1) - 7*m3**8*m7**6*T134fin(m7,m3,m1) - 44*m1**6*m3sq*m7**6*T134fin(m7,m3,m1) + m1**4*m6**4*m7**6*T134fin(m7,m3,m1) - 32*m3**4*m6**4*m7**6*T134fin(m7,m3,m1) - 25*m1sq*m3sq*m6**4*m7**6*T134fin(m7,m3,m1) - 3*m1sq*m6**6*m7**6*T134fin(m7,m3,m1) - 5*m3sq*m6**6*m7**6*T134fin(m7,m3,m1) + 27*m1sq*m3**4*m6sq*m7**6*T134fin(m7,m3,m1) - 57*m3**6*m6sq*m7**6*T134fin(m7,m3,m1) - 26*m1**4*m3sq*m6sq*m7**6*T134fin(m7,m3,m1) + 10*m1**6*m7**8*T134fin(m7,m3,m1) + 53*m1sq*m3**4*m7**8*T134fin(m7,m3,m1) + 26*m3**6*m7**8*T134fin(m7,m3,m1) + 50*m1**4*m3sq*m7**8*T134fin(m7,m3,m1) + 7*m1sq*m6**4*m7**8*T134fin(m7,m3,m1) + 18*m3sq*m6**4*m7**8*T134fin(m7,m3,m1) + m6**6*m7**8*T134fin(m7,m3,m1) + 8*m1**4*m6sq*m7**8*T134fin(m7,m3,m1) + 49*m3**4*m6sq*m7**8*T134fin(m7,m3,m1) + 34*m1sq*m3sq*m6sq*m7**8*T134fin(m7,m3,m1) - 10*m1**4*m7**10*T134fin(m7,m3,m1) - 22*m3**4*m7**10*T134fin(m7,m3,m1) - 31*m1sq*m3sq*m7**10*T134fin(m7,m3,m1) - 3*m6**4*m7**10*T134fin(m7,m3,m1) - 9*m1sq*m6sq*m7**10*T134fin(m7,m3,m1) - 21*m3sq*m6sq*m7**10*T134fin(m7,m3,m1) + 5*m1sq*m7**12*T134fin(m7,m3,m1) + 8*m3sq*m7**12*T134fin(m7,m3,m1) + 3*m6sq*m7**12*T134fin(m7,m3,m1) - m7**14*T134fin(m7,m3,m1) - 5*m1**8*m3**4*m7sq*T134fin(m7,m3,m1) + 33*m1**6*m3**6*m7sq*T134fin(m7,m3,m1) - 31*m1**4*m3**8*m7sq*T134fin(m7,m3,m1) + 8*m1sq*m3**10*m7sq*T134fin(m7,m3,m1) - 5*m1**10*m3sq*m7sq*T134fin(m7,m3,m1) - 2*m1**8*m6**4*m7sq*T134fin(m7,m3,m1) - 43*m1**4*m3**4*m6**4*m7sq*T134fin(m7,m3,m1) + 43*m1sq*m3**6*m6**4*m7sq*T134fin(m7,m3,m1) - 15*m3**8*m6**4*m7sq*T134fin(m7,m3,m1) + 17*m1**6*m3sq*m6**4*m7sq*T134fin(m7,m3,m1) + m1**6*m6**6*m7sq*T134fin(m7,m3,m1) + 11*m1sq*m3**4*m6**6*m7sq*T134fin(m7,m3,m1) - 5*m3**6*m6**6*m7sq*T134fin(m7,m3,m1) - 7*m1**4*m3sq*m6**6*m7sq*T134fin(m7,m3,m1) + m1**10*m6sq*m7sq*T134fin(m7,m3,m1) - 27*m1**6*m3**4*m6sq*m7sq*T134fin(m7,m3,m1) + 25*m1**4*m3**6*m6sq*m7sq*T134fin(m7,m3,m1) - 18*m1sq*m3**8*m6sq*m7sq*T134fin(m7,m3,m1) + 8*m3**10*m6sq*m7sq*T134fin(m7,m3,m1) + 11*m1**8*m3sq*m6sq*m7sq*T134fin(m7,m3,m1) + 12*m1**10*m3**4*T134fin(m7,m3,m3) - 18*m1**8*m3**6*T134fin(m7,m3,m3) + 12*m1**6*m3**8*T134fin(m7,m3,m3) - 3*m1**4*m3**10*T134fin(m7,m3,m3) - 3*m1**12*m3sq*T134fin(m7,m3,m3) + 2*m1**10*m6**4*T134fin(m7,m3,m3) + 24*m1**6*m3**4*m6**4*T134fin(m7,m3,m3) - 26*m1**4*m3**6*m6**4*T134fin(m7,m3,m3) + 14*m1sq*m3**8*m6**4*T134fin(m7,m3,m3) - 3*m3**10*m6**4*T134fin(m7,m3,m3) - 11*m1**8*m3sq*m6**4*T134fin(m7,m3,m3) - m1**8*m6**6*T134fin(m7,m3,m3) - 6*m1**4*m3**4*m6**6*T134fin(m7,m3,m3) + 4*m1sq*m3**6*m6**6*T134fin(m7,m3,m3) - m3**8*m6**6*T134fin(m7,m3,m3) + 4*m1**6*m3sq*m6**6*T134fin(m7,m3,m3) - m1**12*m6sq*T134fin(m7,m3,m3) - 30*m1**8*m3**4*m6sq*T134fin(m7,m3,m3) + 40*m1**6*m3**6*m6sq*T134fin(m7,m3,m3) - 25*m1**4*m3**8*m6sq*T134fin(m7,m3,m3) + 6*m1sq*m3**10*m6sq*T134fin(m7,m3,m3) + 10*m1**10*m3sq*m6sq*T134fin(m7,m3,m3) - 6*m1**10*m7**4*T134fin(m7,m3,m3) + 16*m1**6*m3**4*m7**4*T134fin(m7,m3,m3) - 8*m1**4*m3**6*m7**4*T134fin(m7,m3,m3) - 14*m1sq*m3**8*m7**4*T134fin(m7,m3,m3) - 3*m3**10*m7**4*T134fin(m7,m3,m3) - 33*m1**8*m3sq*m7**4*T134fin(m7,m3,m3) + 12*m1sq*m3**4*m6**4*m7**4*T134fin(m7,m3,m3) - 30*m3**6*m6**4*m7**4*T134fin(m7,m3,m3) + 2*m1**4*m3sq*m6**4*m7**4*T134fin(m7,m3,m3) - 6*m1**4*m6**6*m7**4*T134fin(m7,m3,m3) - 6*m3**4*m6**6*m7**4*T134fin(m7,m3,m3) - 4*m1sq*m3sq*m6**6*m7**4*T134fin(m7,m3,m3) - 9*m1**8*m6sq*m7**4*T134fin(m7,m3,m3) + 24*m1**4*m3**4*m6sq*m7**4*T134fin(m7,m3,m3) + 72*m1sq*m3**6*m6sq*m7**4*T134fin(m7,m3,m3) - 27*m3**8*m6sq*m7**4*T134fin(m7,m3,m3) + 20*m1**6*m3sq*m6sq*m7**4*T134fin(m7,m3,m3) + 15*m1**8*m7**6*T134fin(m7,m3,m3) + 28*m1**4*m3**4*m7**6*T134fin(m7,m3,m3) + 28*m1sq*m3**6*m7**6*T134fin(m7,m3,m3) + 13*m3**8*m7**6*T134fin(m7,m3,m3) + 52*m1**6*m3sq*m7**6*T134fin(m7,m3,m3) + 10*m1**4*m6**4*m7**6*T134fin(m7,m3,m3) + 30*m3**4*m6**4*m7**6*T134fin(m7,m3,m3) + 16*m1sq*m3sq*m6**4*m7**6*T134fin(m7,m3,m3) + 4*m1sq*m6**6*m7**6*T134fin(m7,m3,m3) + 4*m3sq*m6**6*m7**6*T134fin(m7,m3,m3) + 16*m1**6*m6sq*m7**6*T134fin(m7,m3,m3) - 12*m1sq*m3**4*m6sq*m7**6*T134fin(m7,m3,m3) + 48*m3**6*m6sq*m7**6*T134fin(m7,m3,m3) + 4*m1**4*m3sq*m6sq*m7**6*T134fin(m7,m3,m3) - 20*m1**6*m7**8*T134fin(m7,m3,m3) - 44*m1sq*m3**4*m7**8*T134fin(m7,m3,m3) - 22*m3**6*m7**8*T134fin(m7,m3,m3) - 53*m1**4*m3sq*m7**8*T134fin(m7,m3,m3) - 10*m1sq*m6**4*m7**8*T134fin(m7,m3,m3) - 15*m3sq*m6**4*m7**8*T134fin(m7,m3,m3) - m6**6*m7**8*T134fin(m7,m3,m3) - 19*m1**4*m6sq*m7**8*T134fin(m7,m3,m3) - 42*m3**4*m6sq*m7**8*T134fin(m7,m3,m3) - 30*m1sq*m3sq*m6sq*m7**8*T134fin(m7,m3,m3) + 15*m1**4*m7**10*T134fin(m7,m3,m3) + 18*m3**4*m7**10*T134fin(m7,m3,m3) + 30*m1sq*m3sq*m7**10*T134fin(m7,m3,m3) + 3*m6**4*m7**10*T134fin(m7,m3,m3) + 12*m1sq*m6sq*m7**10*T134fin(m7,m3,m3) + 18*m3sq*m6sq*m7**10*T134fin(m7,m3,m3) - 6*m1sq*m7**12*T134fin(m7,m3,m3) - 7*m3sq*m7**12*T134fin(m7,m3,m3) - 3*m6sq*m7**12*T134fin(m7,m3,m3) + m7**14*T134fin(m7,m3,m3) + m1**12*m7sq*T134fin(m7,m3,m3) - 30*m1**8*m3**4*m7sq*T134fin(m7,m3,m3) + 20*m1**6*m3**6*m7sq*T134fin(m7,m3,m3) - 11*m1**4*m3**8*m7sq*T134fin(m7,m3,m3) + 6*m1sq*m3**10*m7sq*T134fin(m7,m3,m3) + 14*m1**10*m3sq*m7sq*T134fin(m7,m3,m3) - 5*m1**8*m6**4*m7sq*T134fin(m7,m3,m3) + 14*m1**4*m3**4*m6**4*m7sq*T134fin(m7,m3,m3) - 32*m1sq*m3**6*m6**4*m7sq*T134fin(m7,m3,m3) + 15*m3**8*m6**4*m7sq*T134fin(m7,m3,m3) + 8*m1**6*m3sq*m6**4*m7sq*T134fin(m7,m3,m3) + 4*m1**6*m6**6*m7sq*T134fin(m7,m3,m3) - 4*m1sq*m3**4*m6**6*m7sq*T134fin(m7,m3,m3) + 4*m3**6*m6**6*m7sq*T134fin(m7,m3,m3) - 4*m1**4*m3sq*m6**6*m7sq*T134fin(m7,m3,m3) + 4*m1**10*m6sq*m7sq*T134fin(m7,m3,m3) - 4*m1**6*m3**4*m6sq*m7sq*T134fin(m7,m3,m3) + 64*m1**4*m3**6*m6sq*m7sq*T134fin(m7,m3,m3) - 48*m1sq*m3**8*m6sq*m7sq*T134fin(m7,m3,m3) + 6*m3**10*m6sq*m7sq*T134fin(m7,m3,m3) - 22*m1**8*m3sq*m6sq*m7sq*T134fin(m7,m3,m3) - 4*m1**10*m3**4*T134fin(m7,m6,m1) + 16*m1**8*m3**6*T134fin(m7,m6,m1) - 24*m1**6*m3**8*T134fin(m7,m6,m1) + 16*m1**4*m3**10*T134fin(m7,m6,m1) - 4*m1sq*m3**12*T134fin(m7,m6,m1) + 16*m1**6*m3**4*m6**4*T134fin(m7,m6,m1) - 24*m1**4*m3**6*m6**4*T134fin(m7,m6,m1) + 16*m1sq*m3**8*m6**4*T134fin(m7,m6,m1) - 4*m3**10*m6**4*T134fin(m7,m6,m1) - 4*m1**8*m3sq*m6**4*T134fin(m7,m6,m1) - 12*m1**8*m3**4*m6sq*T134fin(m7,m6,m1) + 8*m1**6*m3**6*m6sq*T134fin(m7,m6,m1) + 8*m1**4*m3**8*m6sq*T134fin(m7,m6,m1) - 12*m1sq*m3**10*m6sq*T134fin(m7,m6,m1) + 4*m3**12*m6sq*T134fin(m7,m6,m1) + 4*m1**10*m3sq*m6sq*T134fin(m7,m6,m1) - m1**10*m7**4*T134fin(m7,m6,m1) - 6*m1**6*m3**4*m7**4*T134fin(m7,m6,m1) - 6*m1**4*m3**6*m7**4*T134fin(m7,m6,m1) - 9*m1sq*m3**8*m7**4*T134fin(m7,m6,m1) - 21*m3**10*m7**4*T134fin(m7,m6,m1) - 21*m1**8*m3sq*m7**4*T134fin(m7,m6,m1) - 4*m1**6*m6**4*m7**4*T134fin(m7,m6,m1) - 12*m1sq*m3**4*m6**4*m7**4*T134fin(m7,m6,m1) - 28*m3**6*m6**4*m7**4*T134fin(m7,m6,m1) - 20*m1**4*m3sq*m6**4*m7**4*T134fin(m7,m6,m1) + 2*m1**8*m6sq*m7**4*T134fin(m7,m6,m1) + 52*m1**4*m3**4*m6sq*m7**4*T134fin(m7,m6,m1) + 80*m1sq*m3**6*m6sq*m7**4*T134fin(m7,m6,m1) - 6*m3**8*m6sq*m7**4*T134fin(m7,m6,m1) + 5*m1**8*m7**6*T134fin(m7,m6,m1) + 42*m1**4*m3**4*m7**6*T134fin(m7,m6,m1) + 42*m1sq*m3**6*m7**6*T134fin(m7,m6,m1) + 45*m3**8*m7**6*T134fin(m7,m6,m1) + 42*m1**6*m3sq*m7**6*T134fin(m7,m6,m1) + 6*m1**4*m6**4*m7**6*T134fin(m7,m6,m1) + 22*m3**4*m6**4*m7**6*T134fin(m7,m6,m1) + 20*m1sq*m3sq*m6**4*m7**6*T134fin(m7,m6,m1) + 2*m1**6*m6sq*m7**6*T134fin(m7,m6,m1) - 18*m1sq*m3**4*m6sq*m7**6*T134fin(m7,m6,m1) + 34*m3**6*m6sq*m7**6*T134fin(m7,m6,m1) + 14*m1**4*m3sq*m6sq*m7**6*T134fin(m7,m6,m1) - 10*m1**6*m7**8*T134fin(m7,m6,m1) - 62*m1sq*m3**4*m7**8*T134fin(m7,m6,m1) - 50*m3**6*m7**8*T134fin(m7,m6,m1) - 50*m1**4*m3sq*m7**8*T134fin(m7,m6,m1) - 4*m1sq*m6**4*m7**8*T134fin(m7,m6,m1) - 8*m3sq*m6**4*m7**8*T134fin(m7,m6,m1) - 8*m1**4*m6sq*m7**8*T134fin(m7,m6,m1) - 36*m3**4*m6sq*m7**8*T134fin(m7,m6,m1) - 28*m1sq*m3sq*m6sq*m7**8*T134fin(m7,m6,m1) + 10*m1**4*m7**10*T134fin(m7,m6,m1) + 30*m3**4*m7**10*T134fin(m7,m6,m1) + 33*m1sq*m3sq*m7**10*T134fin(m7,m6,m1) + m6**4*m7**10*T134fin(m7,m6,m1) + 7*m1sq*m6sq*m7**10*T134fin(m7,m6,m1) + 15*m3sq*m6sq*m7**10*T134fin(m7,m6,m1) - 5*m1sq*m7**12*T134fin(m7,m6,m1) - 9*m3sq*m7**12*T134fin(m7,m6,m1) - 2*m6sq*m7**12*T134fin(m7,m6,m1) + m7**14*T134fin(m7,m6,m1) - 2*m1**6*m3**6*m7sq*T134fin(m7,m6,m1) - 12*m1**4*m3**8*m7sq*T134fin(m7,m6,m1) + 5*m1sq*m3**10*m7sq*T134fin(m7,m6,m1) + 4*m3**12*m7sq*T134fin(m7,m6,m1) + 5*m1**10*m3sq*m7sq*T134fin(m7,m6,m1) + m1**8*m6**4*m7sq*T134fin(m7,m6,m1) - 10*m1**4*m3**4*m6**4*m7sq*T134fin(m7,m6,m1) - 20*m1sq*m3**6*m6**4*m7sq*T134fin(m7,m6,m1) + 17*m3**8*m6**4*m7sq*T134fin(m7,m6,m1) + 12*m1**6*m3sq*m6**4*m7sq*T134fin(m7,m6,m1) - m1**10*m6sq*m7sq*T134fin(m7,m6,m1) - 34*m1**6*m3**4*m6sq*m7sq*T134fin(m7,m6,m1) + 78*m1**4*m3**6*m6sq*m7sq*T134fin(m7,m6,m1) - 29*m1sq*m3**8*m6sq*m7sq*T134fin(m7,m6,m1) - 9*m3**10*m6sq*m7sq*T134fin(m7,m6,m1) - 5*m1**8*m3sq*m6sq*m7sq*T134fin(m7,m6,m1) - 16*m1**10*m3**4*T134fin(m7,m6,m3) + 24*m1**8*m3**6*T134fin(m7,m6,m3) - 16*m1**6*m3**8*T134fin(m7,m6,m3) + 4*m1**4*m3**10*T134fin(m7,m6,m3) + 4*m1**12*m3sq*T134fin(m7,m6,m3) - 16*m1**6*m3**4*m6**4*T134fin(m7,m6,m3) + 24*m1**4*m3**6*m6**4*T134fin(m7,m6,m3) - 16*m1sq*m3**8*m6**4*T134fin(m7,m6,m3) + 4*m3**10*m6**4*T134fin(m7,m6,m3) + 4*m1**8*m3sq*m6**4*T134fin(m7,m6,m3) + 32*m1**8*m3**4*m6sq*T134fin(m7,m6,m3) - 48*m1**6*m3**6*m6sq*T134fin(m7,m6,m3) + 32*m1**4*m3**8*m6sq*T134fin(m7,m6,m3) - 8*m1sq*m3**10*m6sq*T134fin(m7,m6,m3) - 8*m1**10*m3sq*m6sq*T134fin(m7,m6,m3) + 6*m1**10*m7**4*T134fin(m7,m6,m3) - 24*m1**6*m3**4*m7**4*T134fin(m7,m6,m3) + 12*m1**4*m3**6*m7**4*T134fin(m7,m6,m3) + 18*m1sq*m3**8*m7**4*T134fin(m7,m6,m3) + 4*m3**10*m7**4*T134fin(m7,m6,m3) + 48*m1**8*m3sq*m7**4*T134fin(m7,m6,m3) + 4*m1**6*m6**4*m7**4*T134fin(m7,m6,m3) + 12*m1sq*m3**4*m6**4*m7**4*T134fin(m7,m6,m3) + 28*m3**6*m6**4*m7**4*T134fin(m7,m6,m3) + 20*m1**4*m3sq*m6**4*m7**4*T134fin(m7,m6,m3) - 6*m1**8*m6sq*m7**4*T134fin(m7,m6,m3) - 44*m1**4*m3**4*m6sq*m7**4*T134fin(m7,m6,m3) - 96*m1sq*m3**6*m6sq*m7**4*T134fin(m7,m6,m3) + 34*m3**8*m6sq*m7**4*T134fin(m7,m6,m3) - 16*m1**6*m3sq*m6sq*m7**4*T134fin(m7,m6,m3) - 15*m1**8*m7**6*T134fin(m7,m6,m3) - 36*m1**4*m3**4*m7**6*T134fin(m7,m6,m3) - 36*m1sq*m3**6*m7**6*T134fin(m7,m6,m3) - 17*m3**8*m7**6*T134fin(m7,m6,m3) - 72*m1**6*m3sq*m7**6*T134fin(m7,m6,m3) - 6*m1**4*m6**4*m7**6*T134fin(m7,m6,m3) - 22*m3**4*m6**4*m7**6*T134fin(m7,m6,m3) - 20*m1sq*m3sq*m6**4*m7**6*T134fin(m7,m6,m3) + 4*m1**6*m6sq*m7**6*T134fin(m7,m6,m3) + 20*m1sq*m3**4*m6sq*m7**6*T134fin(m7,m6,m3) - 56*m3**6*m6sq*m7**6*T134fin(m7,m6,m3) + 20*m1**6*m7**8*T134fin(m7,m6,m3) + 56*m1sq*m3**4*m7**8*T134fin(m7,m6,m3) + 28*m3**6*m7**8*T134fin(m7,m6,m3) + 68*m1**4*m3sq*m7**8*T134fin(m7,m6,m3) + 4*m1sq*m6**4*m7**8*T134fin(m7,m6,m3) + 8*m3sq*m6**4*m7**8*T134fin(m7,m6,m3) + 4*m1**4*m6sq*m7**8*T134fin(m7,m6,m3) + 44*m3**4*m6sq*m7**8*T134fin(m7,m6,m3) + 24*m1sq*m3sq*m6sq*m7**8*T134fin(m7,m6,m3) - 15*m1**4*m7**10*T134fin(m7,m6,m3) - 22*m3**4*m7**10*T134fin(m7,m6,m3) - 36*m1sq*m3sq*m7**10*T134fin(m7,m6,m3) - m6**4*m7**10*T134fin(m7,m6,m3) - 6*m1sq*m6sq*m7**10*T134fin(m7,m6,m3) - 16*m3sq*m6sq*m7**10*T134fin(m7,m6,m3) + 6*m1sq*m7**12*T134fin(m7,m6,m3) + 8*m3sq*m7**12*T134fin(m7,m6,m3) + 2*m6sq*m7**12*T134fin(m7,m6,m3) - m7**14*T134fin(m7,m6,m3) - m1**12*m7sq*T134fin(m7,m6,m3) + 42*m1**8*m3**4*m7sq*T134fin(m7,m6,m3) - 28*m1**6*m3**6*m7sq*T134fin(m7,m6,m3) + 15*m1**4*m3**8*m7sq*T134fin(m7,m6,m3) - 8*m1sq*m3**10*m7sq*T134fin(m7,m6,m3) - 20*m1**10*m3sq*m7sq*T134fin(m7,m6,m3) - m1**8*m6**4*m7sq*T134fin(m7,m6,m3) + 10*m1**4*m3**4*m6**4*m7sq*T134fin(m7,m6,m3) + 20*m1sq*m3**6*m6**4*m7sq*T134fin(m7,m6,m3) - 17*m3**8*m6**4*m7sq*T134fin(m7,m6,m3) - 12*m1**6*m3sq*m6**4*m7sq*T134fin(m7,m6,m3) + 2*m1**10*m6sq*m7sq*T134fin(m7,m6,m3) + 12*m1**6*m3**4*m6sq*m7sq*T134fin(m7,m6,m3) - 88*m1**4*m3**6*m6sq*m7sq*T134fin(m7,m6,m3) + 66*m1sq*m3**8*m6sq*m7sq*T134fin(m7,m6,m3) - 8*m3**10*m6sq*m7sq*T134fin(m7,m6,m3) + 16*m1**8*m3sq*m6sq*m7sq*T134fin(m7,m6,m3))/((m1sq - m3sq)**2*(m3sq - m6sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)))
		def eval_103():
			return (-((m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)*m2sq*B0del(0,0,m2sq))/((m2sq - m6sq)*(4*m2sq - m7sq)) - (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)**2*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m6sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq)) + m1sq*(-10*m2**6 + m6sq*(m6sq - m7sq)*m7sq + m2**4*(-12*m6sq + 5*m7sq) + m2sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0del(0,0,m2sq))/((m2sq - m6sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)**2*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)**2*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m6sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)**2*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq)) + m1sq*(-10*m2**6 + m6sq*(m6sq - m7sq)*m7sq + m2**4*(-12*m6sq + 5*m7sq) + m2sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0del(0,0,m7sq))/((m2sq - m6sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m2sq - m6sq)*(4*m2sq - m7sq)) + (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)**2*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq)) + m1sq*(-10*m2**6 + m6sq*(m6sq - m7sq)*m7sq + m2**4*(-12*m6sq + 5*m7sq) + m2sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m2sq))/((m2sq - m6sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m2sq*B0fin(0,0,m2sq)**2)/((m2sq - m6sq)*(4*m2sq - m7sq)) + (2*(m1sq - m2sq)**2*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m6sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)**2*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)**2*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m6sq)*(4*m2sq - m7sq)) + (m2sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m6sq)*(4*m2sq - m7sq)) - (m2**4*(-m1sq + m2sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m2sq*(-m1sq + m2sq)*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)**2*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m6sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq)) + m1sq*(-10*m2**6 + m6sq*(m6sq - m7sq)*m7sq + m2**4*(-12*m6sq + 5*m7sq) + m2sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m7sq))/((m2sq - m6sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m6**4 + m2sq*(6*m6sq - 3*m7sq) + m6sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m6**4 + 2*m7**4 - 5*m6sq*m7sq - 5*m2sq*(2*m6sq + m7sq)) + m1sq*(-10*m2**6 + m6sq*(m6sq - m7sq)*m7sq + m2**4*(-12*m6sq + 5*m7sq) + m2sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2sq - m6sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)**2*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + T134fin(m7,m1,m1)/(m1sq - m6sq) + T134fin(m7,m2,m1)/(-m1sq + m6sq) + T134fin(m7,m2,m1)/(-m2sq + m6sq) + ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m1sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*T134fin(m7,m2,m2))/((m2sq - m6sq)*(4*m2sq - m7sq)) + (3*m2sq*T134fin(m7,m2,m2))/((m2sq - m6sq)*(4*m2sq - m7sq)) - (m7sq*T134fin(m7,m2,m2))/((m2sq - m6sq)*(4*m2sq - m7sq)) + ((m1sq - m2sq)*T134fin(m7,m6,m1))/((m1sq - m6sq)*(m2sq - m6sq)) + (m1sq*(m1sq - m2sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*(m6sq - m7sq)**2*T134fin(m7,m6,m2))/((m1sq - m6sq)*(-m2sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m2sq*(m6sq + m7sq)*T134fin(m7,m6,m2))/((m1sq - m6sq)*(m2sq - m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))))/(m1sq - m2sq)**3
		def eval_104():
			return (-((m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)*m2sq*B0del(0,0,m2sq))/((m2sq - m3sq)*(4*m2sq - m7sq)) - (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)**2*m3sq*(m2sq - m3sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m3sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m2sq))/((m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*(m1sq - m2sq)**2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)**2*m3sq*(m2sq - m3sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)**2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m2sq - m3sq)*(4*m2sq - m7sq)) + (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)**2*m3sq*(m2sq - m3sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq))/((m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m1sq - m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m2sq*B0fin(0,0,m2sq)**2)/((m2sq - m3sq)*(4*m2sq - m7sq)) + (2*(m1sq - m2sq)**2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)**2*m3sq*(m2sq - m3sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)**2*m3sq*(m2sq - m3sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)*(4*m2sq - m7sq)) + (m2sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)*(4*m2sq - m7sq)) - (m2**4*(-m1sq + m2sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m2sq - m3sq - m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m2sq*(-m1sq + m2sq)*(m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)**2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*(m1sq - m2sq)**2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + T134fin(m7,m1,m1)/(m1sq - m3sq) + T134fin(m7,m2,m1)/(-m1sq + m3sq) + T134fin(m7,m2,m1)/(-m2sq + m3sq) + ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*T134fin(m7,m2,m2))/((m2sq - m3sq)*(4*m2sq - m7sq)) + (3*m2sq*T134fin(m7,m2,m2))/((m2sq - m3sq)*(4*m2sq - m7sq)) - (m7sq*T134fin(m7,m2,m2))/((m2sq - m3sq)*(4*m2sq - m7sq)) + ((m1sq - m2sq)*T134fin(m7,m3,m1))/((m1sq - m3sq)*(m2sq - m3sq)) + (m1sq*(m1sq - m2sq)*(m2sq - m3sq - m7sq)*T134fin(m7,m3,m2))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)*(m3sq - m7sq)**2*T134fin(m7,m3,m2))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq)*m2sq*(m3sq + m7sq)*T134fin(m7,m3,m2))/((m1sq - m3sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))))/(m1sq - m2sq)**3
		def eval_105():
			return (16*m1**9*m4**4 - 4*m1**10*m4**4 + 16*m1**5*m3**4*m4**4 - 12*m1**6*m3**4*m4**4 + 4*m1**4*m3**6*m4**4 - 32*m1**7*m3sq*m4**4 + 12*m1**8*m3sq*m4**4 - 64*m1**11*m4sq + 16*m1**12*m4sq - 64*m1**7*m3**4*m4sq + 48*m1**8*m3**4*m4sq - 16*m1**6*m3**6*m4sq + 128*m1**9*m3sq*m4sq - 48*m1**10*m3sq*m4sq + 8*m1**8*m4**4*m5 + 8*m1**4*m3**4*m4**4*m5 - 16*m1**6*m3sq*m4**4*m5 - 32*m1**10*m4sq*m5 - 32*m1**6*m3**4*m4sq*m5 + 64*m1**8*m3sq*m4sq*m5 + 48*m1**10*m5**3 + 80*m1**6*m3**4*m5**3 - 16*m1**4*m3**6*m5**3 - 112*m1**8*m3sq*m5**3 - 7*m1**6*m4**4*m5**3 - 9*m1sq*m3**4*m4**4*m5**3 + m3**6*m4**4*m5**3 + 15*m1**4*m3sq*m4**4*m5**3 + 16*m1**8*m4sq*m5**3 + 16*m1**4*m3**4*m4sq*m5**3 - 32*m1**6*m3sq*m4sq*m5**3 - 112*m1**9*m5**4 + 32*m1**10*m5**4 + 64*m1**8*m3*m5**4 + 64*m1**6*m3**3*m5**4 - 48*m1**5*m3**4*m5**4 - 32*m1**6*m3**4*m5**4 + 32*m1**7*m3sq*m5**4 + 40*m1**8*m4*m5**4 - 8*m1**4*m3**4*m4*m5**4 - 8*m1sq*m3**6*m4*m5**4 - 24*m1**6*m3sq*m4*m5**4 + 22*m1**5*m4**4*m5**4 - 3*m1**6*m4**4*m5**4 - 24*m1**4*m3*m4**4*m5**4 - 8*m1sq*m3**3*m4**4*m5**4 - 2*m1*m3**4*m4**4*m5**4 + 3*m1sq*m3**4*m4**4*m5**4 - m3**6*m4**4*m5**4 + 12*m1**3*m3sq*m4**4*m5**4 + m1**4*m3sq*m4**4*m5**4 - 40*m1**7*m4sq*m5**4 + 4*m1**8*m4sq*m5**4 + 80*m1**6*m3*m4sq*m5**4 + 16*m1**4*m3**3*m4sq*m5**4 + 16*m1**3*m3**4*m4sq*m5**4 - 4*m1**4*m3**4*m4sq*m5**4 - 4*m1*m3**6*m4sq*m5**4 + 4*m1sq*m3**6*m4sq*m5**4 - 68*m1**5*m3sq*m4sq*m5**4 - 4*m1**6*m3sq*m4sq*m5**4 - 64*m1**8*m5**5 - 16*m1**4*m3**4*m5**5 + 8*m1sq*m3**6*m5**5 + 72*m1**6*m3sq*m5**5 - m1**4*m4**4*m5**5 - m3**4*m4**4*m5**5 + 2*m1sq*m3sq*m4**4*m5**5 + 20*m1**6*m4sq*m5**5 + 8*m1sq*m3**4*m4sq*m5**5 - 2*m3**6*m4sq*m5**5 - 26*m1**4*m3sq*m4sq*m5**5 + 70*m1**7*m5**6 - 12*m1**8*m5**6 - 96*m1**6*m3*m5**6 - 32*m1**4*m3**3*m5**6 + 2*m1**3*m3**4*m5**6 + 12*m1**4*m3**4*m5**6 + 2*m1*m3**6*m5**6 - 4*m1sq*m3**6*m5**6 + 54*m1**5*m3sq*m5**6 + 4*m1**6*m3sq*m5**6 - 33*m1**6*m4*m5**6 + 13*m1sq*m3**4*m4*m5**6 + m3**6*m4*m5**6 + 19*m1**4*m3sq*m4*m5**6 - 9*m1**3*m4**4*m5**6 - 2*m1**4*m4**4*m5**6 + 9*m1sq*m3*m4**4*m5**6 + m3**3*m4**4*m5**6 + 2*m3**4*m4**4*m5**6 - m1*m3sq*m4**4*m5**6 + 2*m1**5*m4sq*m5**6 + 11*m1**6*m4sq*m5**6 - 12*m1**4*m3*m4sq*m5**6 + 4*m1sq*m3**3*m4sq*m5**6 + 6*m1*m3**4*m4sq*m5**6 - 11*m1sq*m3**4*m4sq*m5**6 + m3**6*m4sq*m5**6 - m1**4*m3sq*m4sq*m5**6 + 20*m1**6*m5**7 - 12*m1sq*m3**4*m5**7 - 8*m1**4*m3sq*m5**7 - 5*m1**4*m4sq*m5**7 + 3*m3**4*m4sq*m5**7 + 2*m1sq*m3sq*m4sq*m5**7 - 24*m1**5*m5**8 - 8*m1**6*m5**8 + 36*m1**4*m3*m5**8 + 4*m1sq*m3**3*m5**8 - 4*m1*m3**4*m5**8 + 8*m1sq*m3**4*m5**8 - 12*m1**3*m3sq*m5**8 + 10*m1**4*m4*m5**8 - 2*m3**4*m4*m5**8 - 8*m1sq*m3sq*m4*m5**8 + m1*m4**4*m5**8 + m1sq*m4**4*m5**8 - m3*m4**4*m5**8 - m3sq*m4**4*m5**8 + 7*m1**3*m4sq*m5**8 - 2*m1**4*m4sq*m5**8 - 5*m1sq*m3*m4sq*m5**8 - m3**3*m4sq*m5**8 - 2*m3**4*m4sq*m5**8 - m1*m3sq*m4sq*m5**8 + 4*m1sq*m3sq*m4sq*m5**8 - 4*m1**4*m5**9 + 4*m1sq*m3sq*m5**9 + m1sq*m4sq*m5**9 - m3sq*m4sq*m5**9 + 2*m1**3*m5**10 + 4*m1**4*m5**10 - 4*m1sq*m3*m5**10 + 2*m1*m3sq*m5**10 - 4*m1sq*m3sq*m5**10 - m1sq*m4*m5**10 + m3sq*m4*m5**10 - m1*m4sq*m5**10 - m1sq*m4sq*m5**10 + m3*m4sq*m5**10 + m3sq*m4sq*m5**10 + 64*m1**11*m5sq - 16*m1**12*m5sq + 64*m1**7*m3**4*m5sq - 48*m1**8*m3**4*m5sq + 16*m1**6*m3**6*m5sq - 128*m1**9*m3sq*m5sq + 48*m1**10*m3sq*m5sq - 16*m1**10*m4*m5sq - 48*m1**6*m3**4*m4*m5sq + 16*m1**4*m3**6*m4*m5sq + 48*m1**8*m3sq*m4*m5sq - 30*m1**7*m4**4*m5sq + 8*m1**8*m4**4*m5sq + 16*m1**6*m3*m4**4*m5sq + 16*m1**4*m3**3*m4**4*m5sq - 18*m1**3*m3**4*m4**4*m5sq - 8*m1**4*m3**4*m4**4*m5sq + 2*m1*m3**6*m4**4*m5sq + 14*m1**5*m3sq*m4**4*m5sq + 96*m1**9*m4sq*m5sq - 28*m1**10*m4sq*m5sq - 64*m1**8*m3*m4sq*m5sq - 64*m1**6*m3**3*m4sq*m5sq + 32*m1**5*m3**4*m4sq*m5sq + 44*m1**6*m3**4*m4sq*m5sq - 4*m1**4*m3**6*m4sq*m5sq - 12*m1**8*m3sq*m4sq*m5sq + m1sq*(m4sq - m5sq)*(-48*m1**10 - m5**4*(m3sq - m5sq)*(2*m3**4 + m4sq*m5sq - 2*m3sq*(m4sq + m5sq)) - 2*m1**6*(8*m3**4 + 19*m5**4 + 10*m4sq*m5sq + 2*m3sq*(5*m4sq + 2*m5sq)) + 4*m1**8*(20*m3sq + 3*(m4sq + 6*m5sq)) + 2*m1**4*(-8*m3**6 + 7*m4sq*m5**4 + 8*m5**6 + 2*m3**4*(m4sq + 14*m5sq) + m3sq*(-35*m5**4 + 4*m4sq*m5sq)) + m1sq*(-7*m4sq*m5**6 - 2*m5**8 + 4*m3sq*(4*m4sq*m5**4 + 5*m5**6) + 4*m3**6*(m4sq + 2*m5sq) - 2*m3**4*(9*m5**4 + 10*m4sq*m5sq)))*B0del(0,0,m1sq) - m3sq*(4*m1sq - m4sq)*(m1sq + m3sq - m5sq)*(m4sq - m5sq)*m5sq*(-4*m1sq + m5sq)**2*B0del(0,0,m3sq) + 40*m1**8*m4sq*m5**4*B0del(0,0,m4sq) - 8*m1**4*m3**4*m4sq*m5**4*B0del(0,0,m4sq) - 8*m1sq*m3**6*m4sq*m5**4*B0del(0,0,m4sq) - 24*m1**6*m3sq*m4sq*m5**4*B0del(0,0,m4sq) - 33*m1**6*m4sq*m5**6*B0del(0,0,m4sq) + 13*m1sq*m3**4*m4sq*m5**6*B0del(0,0,m4sq) + m3**6*m4sq*m5**6*B0del(0,0,m4sq) + 19*m1**4*m3sq*m4sq*m5**6*B0del(0,0,m4sq) + 10*m1**4*m4sq*m5**8*B0del(0,0,m4sq) - 2*m3**4*m4sq*m5**8*B0del(0,0,m4sq) - 8*m1sq*m3sq*m4sq*m5**8*B0del(0,0,m4sq) - m1sq*m4sq*m5**10*B0del(0,0,m4sq) + m3sq*m4sq*m5**10*B0del(0,0,m4sq) - 16*m1**10*m4sq*m5sq*B0del(0,0,m4sq) - 48*m1**6*m3**4*m4sq*m5sq*B0del(0,0,m4sq) + 16*m1**4*m3**6*m4sq*m5sq*B0del(0,0,m4sq) + 48*m1**8*m3sq*m4sq*m5sq*B0del(0,0,m4sq) + 40*m1**10*m5**4*B0del(0,0,m5sq) + 56*m1**6*m3**4*m5**4*B0del(0,0,m5sq) - 8*m1**4*m3**6*m5**4*B0del(0,0,m5sq) - 88*m1**8*m3sq*m5**4*B0del(0,0,m5sq) - 2*m1**6*m4**4*m5**4*B0del(0,0,m5sq) - 10*m1sq*m3**4*m4**4*m5**4*B0del(0,0,m5sq) + 12*m1**4*m3sq*m4**4*m5**4*B0del(0,0,m5sq) - 2*m1**8*m4sq*m5**4*B0del(0,0,m5sq) + 26*m1**4*m3**4*m4sq*m5**4*B0del(0,0,m5sq) + 2*m1sq*m3**6*m4sq*m5**4*B0del(0,0,m5sq) - 26*m1**6*m3sq*m4sq*m5**4*B0del(0,0,m5sq) - 44*m1**8*m5**6*B0del(0,0,m5sq) - 20*m1**4*m3**4*m5**6*B0del(0,0,m5sq) + 4*m1sq*m3**6*m5**6*B0del(0,0,m5sq) + 60*m1**6*m3sq*m5**6*B0del(0,0,m5sq) - 5*m1**4*m4**4*m5**6*B0del(0,0,m5sq) + m3**4*m4**4*m5**6*B0del(0,0,m5sq) + 4*m1sq*m3sq*m4**4*m5**6*B0del(0,0,m5sq) + 31*m1**6*m4sq*m5**6*B0del(0,0,m5sq) + m1sq*m3**4*m4sq*m5**6*B0del(0,0,m5sq) - m3**6*m4sq*m5**6*B0del(0,0,m5sq) - 31*m1**4*m3sq*m4sq*m5**6*B0del(0,0,m5sq) + 4*m1**6*m5**8*B0del(0,0,m5sq) - 4*m1sq*m3**4*m5**8*B0del(0,0,m5sq) + m1sq*m4**4*m5**8*B0del(0,0,m5sq) - m3sq*m4**4*m5**8*B0del(0,0,m5sq) - 5*m1**4*m4sq*m5**8*B0del(0,0,m5sq) + m3**4*m4sq*m5**8*B0del(0,0,m5sq) + 4*m1sq*m3sq*m4sq*m5**8*B0del(0,0,m5sq) + 6*m1**8*m4**4*m5sq*B0del(0,0,m5sq) + 2*m1**4*m3**4*m4**4*m5sq*B0del(0,0,m5sq) + 2*m1sq*m3**6*m4**4*m5sq*B0del(0,0,m5sq) - 10*m1**6*m3sq*m4**4*m5sq*B0del(0,0,m5sq) - 24*m1**10*m4sq*m5sq*B0del(0,0,m5sq) - 8*m1**6*m3**4*m4sq*m5sq*B0del(0,0,m5sq) - 8*m1**4*m3**6*m4sq*m5sq*B0del(0,0,m5sq) + 40*m1**8*m3sq*m4sq*m5sq*B0del(0,0,m5sq) + 16*m1**9*m4**4*B0fin(0,0,m1) - 16*m1**5*m3**4*m4**4*B0fin(0,0,m1) + 16*m1**3*m3**6*m4**4*B0fin(0,0,m1) - 16*m1**7*m3sq*m4**4*B0fin(0,0,m1) - 64*m1**11*m4sq*B0fin(0,0,m1) + 64*m1**7*m3**4*m4sq*B0fin(0,0,m1) - 64*m1**5*m3**6*m4sq*B0fin(0,0,m1) + 64*m1**9*m3sq*m4sq*B0fin(0,0,m1) - 64*m1**9*m5**4*B0fin(0,0,m1) - 128*m1**5*m3**4*m5**4*B0fin(0,0,m1) - 32*m1**3*m3**6*m5**4*B0fin(0,0,m1) - 32*m1**7*m3sq*m5**4*B0fin(0,0,m1) + 12*m1**5*m4**4*m5**4*B0fin(0,0,m1) + 12*m1*m3**4*m4**4*m5**4*B0fin(0,0,m1) + 40*m1**3*m3sq*m4**4*m5**4*B0fin(0,0,m1) + 8*m1**7*m4sq*m5**4*B0fin(0,0,m1) - 24*m1**3*m3**4*m4sq*m5**4*B0fin(0,0,m1) - 176*m1**5*m3sq*m4sq*m5**4*B0fin(0,0,m1) + 12*m1**7*m5**6*B0fin(0,0,m1) + 68*m1**3*m3**4*m5**6*B0fin(0,0,m1) + 4*m1*m3**6*m5**6*B0fin(0,0,m1) + 172*m1**5*m3sq*m5**6*B0fin(0,0,m1) - 10*m1**3*m4**4*m5**6*B0fin(0,0,m1) - 10*m1*m3sq*m4**4*m5**6*B0fin(0,0,m1) + 4*m1**5*m4sq*m5**6*B0fin(0,0,m1) - 4*m1*m3**4*m4sq*m5**6*B0fin(0,0,m1) + 16*m1**3*m3sq*m4sq*m5**6*B0fin(0,0,m1) - 16*m1**5*m5**8*B0fin(0,0,m1) - 8*m1*m3**4*m5**8*B0fin(0,0,m1) - 56*m1**3*m3sq*m5**8*B0fin(0,0,m1) + 2*m1*m4**4*m5**8*B0fin(0,0,m1) + 6*m1**3*m4sq*m5**8*B0fin(0,0,m1) + 6*m1*m3sq*m4sq*m5**8*B0fin(0,0,m1) + 4*m1**3*m5**10*B0fin(0,0,m1) + 4*m1*m3sq*m5**10*B0fin(0,0,m1) - 2*m1*m4sq*m5**10*B0fin(0,0,m1) + 64*m1**11*m5sq*B0fin(0,0,m1) - 64*m1**7*m3**4*m5sq*B0fin(0,0,m1) + 64*m1**5*m3**6*m5sq*B0fin(0,0,m1) - 64*m1**9*m3sq*m5sq*B0fin(0,0,m1) - 20*m1**7*m4**4*m5sq*B0fin(0,0,m1) - 44*m1**3*m3**4*m4**4*m5sq*B0fin(0,0,m1) - 4*m1*m3**6*m4**4*m5sq*B0fin(0,0,m1) + 4*m1**5*m3sq*m4**4*m5sq*B0fin(0,0,m1) + 48*m1**9*m4sq*m5sq*B0fin(0,0,m1) + 144*m1**5*m3**4*m4sq*m5sq*B0fin(0,0,m1) + 16*m1**3*m3**6*m4sq*m5sq*B0fin(0,0,m1) + 48*m1**7*m3sq*m4sq*m5sq*B0fin(0,0,m1) - 4*m1**10*m4**4*B0fin(0,0,m1sq) + 20*m1**6*m3**4*m4**4*B0fin(0,0,m1sq) - 12*m1**4*m3**6*m4**4*B0fin(0,0,m1sq) - 4*m1**8*m3sq*m4**4*B0fin(0,0,m1sq) + 16*m1**12*m4sq*B0fin(0,0,m1sq) - 80*m1**8*m3**4*m4sq*B0fin(0,0,m1sq) + 48*m1**6*m3**6*m4sq*B0fin(0,0,m1sq) + 16*m1**10*m3sq*m4sq*B0fin(0,0,m1sq) + 8*m1**10*m5**4*B0fin(0,0,m1sq) + 120*m1**6*m3**4*m5**4*B0fin(0,0,m1sq) + 8*m1**4*m3**6*m5**4*B0fin(0,0,m1sq) - 8*m1**8*m3sq*m5**4*B0fin(0,0,m1sq) - 7*m1**6*m4**4*m5**4*B0fin(0,0,m1sq) - 5*m1sq*m3**4*m4**4*m5**4*B0fin(0,0,m1sq) + m3**6*m4**4*m5**4*B0fin(0,0,m1sq) - 21*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m1sq) + 6*m1**8*m4sq*m5**4*B0fin(0,0,m1sq) - 6*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m1sq) - 2*m1sq*m3**6*m4sq*m5**4*B0fin(0,0,m1sq) + 98*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m1sq) - 10*m1**8*m5**6*B0fin(0,0,m1sq) - 30*m1**4*m3**4*m5**6*B0fin(0,0,m1sq) + 2*m1sq*m3**6*m5**6*B0fin(0,0,m1sq) - 90*m1**6*m3sq*m5**6*B0fin(0,0,m1sq) + 9*m1**4*m4**4*m5**6*B0fin(0,0,m1sq) - 2*m3**4*m4**4*m5**6*B0fin(0,0,m1sq) + 3*m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m1sq) - 17*m1**6*m4sq*m5**6*B0fin(0,0,m1sq) + 9*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m1sq) - m3**6*m4sq*m5**6*B0fin(0,0,m1sq) + m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m1sq) + 24*m1**6*m5**8*B0fin(0,0,m1sq) - 4*m1sq*m3**4*m5**8*B0fin(0,0,m1sq) + 20*m1**4*m3sq*m5**8*B0fin(0,0,m1sq) - 2*m1sq*m4**4*m5**8*B0fin(0,0,m1sq) + m3sq*m4**4*m5**8*B0fin(0,0,m1sq) - 3*m1**4*m4sq*m5**8*B0fin(0,0,m1sq) + 2*m3**4*m4sq*m5**8*B0fin(0,0,m1sq) - 5*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m1sq) - 6*m1**4*m5**10*B0fin(0,0,m1sq) + 2*m1sq*m3sq*m5**10*B0fin(0,0,m1sq) + 2*m1sq*m4sq*m5**10*B0fin(0,0,m1sq) - m3sq*m4sq*m5**10*B0fin(0,0,m1sq) - 16*m1**12*m5sq*B0fin(0,0,m1sq) + 80*m1**8*m3**4*m5sq*B0fin(0,0,m1sq) - 48*m1**6*m3**6*m5sq*B0fin(0,0,m1sq) - 16*m1**10*m3sq*m5sq*B0fin(0,0,m1sq) + 4*m1**8*m4**4*m5sq*B0fin(0,0,m1sq) + 36*m1**4*m3**4*m4**4*m5sq*B0fin(0,0,m1sq) - 8*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m1sq) - 4*m1**10*m4sq*m5sq*B0fin(0,0,m1sq) - 140*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m1sq) + 4*m1**4*m3**6*m4sq*m5sq*B0fin(0,0,m1sq) + 12*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m1sq) + 6*m1**10*m4**4*B0fin(0,0,m1sq)**2 + 2*m1**6*m3**4*m4**4*B0fin(0,0,m1sq)**2 + 2*m1**4*m3**6*m4**4*B0fin(0,0,m1sq)**2 - 10*m1**8*m3sq*m4**4*B0fin(0,0,m1sq)**2 - 24*m1**12*m4sq*B0fin(0,0,m1sq)**2 - 8*m1**8*m3**4*m4sq*B0fin(0,0,m1sq)**2 - 8*m1**6*m3**6*m4sq*B0fin(0,0,m1sq)**2 + 40*m1**10*m3sq*m4sq*B0fin(0,0,m1sq)**2 - 56*m1**10*m5**4*B0fin(0,0,m1sq)**2 - 24*m1**6*m3**4*m5**4*B0fin(0,0,m1sq)**2 - 48*m1**8*m3sq*m5**4*B0fin(0,0,m1sq)**2 + 8*m1**6*m4**4*m5**4*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**4*m4**4*m5**4*B0fin(0,0,m1sq)**2 + 6*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m1sq)**2 - 28*m1**8*m4sq*m5**4*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**6*m4sq*m5**4*B0fin(0,0,m1sq)**2 - 6*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)**2 + 41*m1**8*m5**6*B0fin(0,0,m1sq)**2 + 3*m1**4*m3**4*m5**6*B0fin(0,0,m1sq)**2 - m1sq*m3**6*m5**6*B0fin(0,0,m1sq)**2 + 21*m1**6*m3sq*m5**6*B0fin(0,0,m1sq)**2 - m1**4*m4**4*m5**6*B0fin(0,0,m1sq)**2 - m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m1sq)**2 + 2*m1**6*m4sq*m5**6*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m1sq)**2 - 6*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m1sq)**2 - 10*m1**6*m5**8*B0fin(0,0,m1sq)**2 + 2*m1sq*m3**4*m5**8*B0fin(0,0,m1sq)**2 + 2*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m1sq)**2 + m1**4*m5**10*B0fin(0,0,m1sq)**2 - m1sq*m3sq*m5**10*B0fin(0,0,m1sq)**2 + 24*m1**12*m5sq*B0fin(0,0,m1sq)**2 + 8*m1**8*m3**4*m5sq*B0fin(0,0,m1sq)**2 + 8*m1**6*m3**6*m5sq*B0fin(0,0,m1sq)**2 - 40*m1**10*m3sq*m5sq*B0fin(0,0,m1sq)**2 - 13*m1**8*m4**4*m5sq*B0fin(0,0,m1sq)**2 - 3*m1**4*m3**4*m4**4*m5sq*B0fin(0,0,m1sq)**2 - m1sq*m3**6*m4**4*m5sq*B0fin(0,0,m1sq)**2 - 15*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m1sq)**2 + 50*m1**10*m4sq*m5sq*B0fin(0,0,m1sq)**2 + 22*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m1sq)**2 - 2*m1**4*m3**6*m4sq*m5sq*B0fin(0,0,m1sq)**2 + 58*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)**2 + 128*m1**8*m3*m5**4*B0fin(0,0,m3) + 128*m1**6*m3**3*m5**4*B0fin(0,0,m3) - 48*m1**4*m3*m4**4*m5**4*B0fin(0,0,m3) - 16*m1sq*m3**3*m4**4*m5**4*B0fin(0,0,m3) + 160*m1**6*m3*m4sq*m5**4*B0fin(0,0,m3) + 32*m1**4*m3**3*m4sq*m5**4*B0fin(0,0,m3) - 192*m1**6*m3*m5**6*B0fin(0,0,m3) - 64*m1**4*m3**3*m5**6*B0fin(0,0,m3) + 18*m1sq*m3*m4**4*m5**6*B0fin(0,0,m3) + 2*m3**3*m4**4*m5**6*B0fin(0,0,m3) - 24*m1**4*m3*m4sq*m5**6*B0fin(0,0,m3) + 8*m1sq*m3**3*m4sq*m5**6*B0fin(0,0,m3) + 72*m1**4*m3*m5**8*B0fin(0,0,m3) + 8*m1sq*m3**3*m5**8*B0fin(0,0,m3) - 2*m3*m4**4*m5**8*B0fin(0,0,m3) - 10*m1sq*m3*m4sq*m5**8*B0fin(0,0,m3) - 2*m3**3*m4sq*m5**8*B0fin(0,0,m3) - 8*m1sq*m3*m5**10*B0fin(0,0,m3) + 2*m3*m4sq*m5**10*B0fin(0,0,m3) + 32*m1**6*m3*m4**4*m5sq*B0fin(0,0,m3) + 32*m1**4*m3**3*m4**4*m5sq*B0fin(0,0,m3) - 128*m1**8*m3*m4sq*m5sq*B0fin(0,0,m3) - 128*m1**6*m3**3*m4sq*m5sq*B0fin(0,0,m3) - 64*m1**6*m3**4*m5**4*B0fin(0,0,m3sq) - 64*m1**8*m3sq*m5**4*B0fin(0,0,m3sq) + 8*m1sq*m3**4*m4**4*m5**4*B0fin(0,0,m3sq) + 24*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m3sq) - 16*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m3sq) - 80*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m3sq) + 32*m1**4*m3**4*m5**6*B0fin(0,0,m3sq) + 96*m1**6*m3sq*m5**6*B0fin(0,0,m3sq) - m3**4*m4**4*m5**6*B0fin(0,0,m3sq) - 9*m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m3sq) - 4*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m3sq) + 12*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m3sq) - 4*m1sq*m3**4*m5**8*B0fin(0,0,m3sq) - 36*m1**4*m3sq*m5**8*B0fin(0,0,m3sq) + m3sq*m4**4*m5**8*B0fin(0,0,m3sq) + m3**4*m4sq*m5**8*B0fin(0,0,m3sq) + 5*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m3sq) + 4*m1sq*m3sq*m5**10*B0fin(0,0,m3sq) - m3sq*m4sq*m5**10*B0fin(0,0,m3sq) - 16*m1**4*m3**4*m4**4*m5sq*B0fin(0,0,m3sq) - 16*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m3sq) + 64*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m3sq) + 64*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m3sq) + 128*m1**8*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 64*m1**6*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 8*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 8*m1**4*m3sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 128*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 80*m1**8*m4*m5**4*B0fin(0,0,m4) - 16*m1**4*m3**4*m4*m5**4*B0fin(0,0,m4) - 16*m1sq*m3**6*m4*m5**4*B0fin(0,0,m4) - 48*m1**6*m3sq*m4*m5**4*B0fin(0,0,m4) - 66*m1**6*m4*m5**6*B0fin(0,0,m4) + 26*m1sq*m3**4*m4*m5**6*B0fin(0,0,m4) + 2*m3**6*m4*m5**6*B0fin(0,0,m4) + 38*m1**4*m3sq*m4*m5**6*B0fin(0,0,m4) + 20*m1**4*m4*m5**8*B0fin(0,0,m4) - 4*m3**4*m4*m5**8*B0fin(0,0,m4) - 16*m1sq*m3sq*m4*m5**8*B0fin(0,0,m4) - 2*m1sq*m4*m5**10*B0fin(0,0,m4) + 2*m3sq*m4*m5**10*B0fin(0,0,m4) - 32*m1**10*m4*m5sq*B0fin(0,0,m4) - 96*m1**6*m3**4*m4*m5sq*B0fin(0,0,m4) + 32*m1**4*m3**6*m4*m5sq*B0fin(0,0,m4) + 96*m1**8*m3sq*m4*m5sq*B0fin(0,0,m4) - 40*m1**8*m4sq*m5**4*B0fin(0,0,m4sq) + 8*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m4sq) + 8*m1sq*m3**6*m4sq*m5**4*B0fin(0,0,m4sq) + 24*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m4sq) + 33*m1**6*m4sq*m5**6*B0fin(0,0,m4sq) - 13*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m4sq) - m3**6*m4sq*m5**6*B0fin(0,0,m4sq) - 19*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m4sq) - 10*m1**4*m4sq*m5**8*B0fin(0,0,m4sq) + 2*m3**4*m4sq*m5**8*B0fin(0,0,m4sq) + 8*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m4sq) + m1sq*m4sq*m5**10*B0fin(0,0,m4sq) - m3sq*m4sq*m5**10*B0fin(0,0,m4sq) + 16*m1**10*m4sq*m5sq*B0fin(0,0,m4sq) + 48*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m4sq) - 16*m1**4*m3**6*m4sq*m5sq*B0fin(0,0,m4sq) - 48*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m4sq) + 40*m1**8*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m3**6*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 33*m1**6*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 13*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3**6*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 19*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 10*m1**4*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m3**4*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m4sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3sq*m4sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1**10*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 48*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**4*m3**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 48*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1**8*m4**4*m5*B0fin(0,0,m5) - 8*m1**4*m3**4*m4**4*m5*B0fin(0,0,m5) + 8*m1sq*m3**6*m4**4*m5*B0fin(0,0,m5) - 8*m1**6*m3sq*m4**4*m5*B0fin(0,0,m5) - 32*m1**10*m4sq*m5*B0fin(0,0,m5) + 32*m1**6*m3**4*m4sq*m5*B0fin(0,0,m5) - 32*m1**4*m3**6*m4sq*m5*B0fin(0,0,m5) + 32*m1**8*m3sq*m4sq*m5*B0fin(0,0,m5) + 64*m1**10*m5**3*B0fin(0,0,m5) + 64*m1**6*m3**4*m5**3*B0fin(0,0,m5) - 128*m1**8*m3sq*m5**3*B0fin(0,0,m5) + 6*m1**6*m4**4*m5**3*B0fin(0,0,m5) - 22*m1sq*m3**4*m4**4*m5**3*B0fin(0,0,m5) - 2*m3**6*m4**4*m5**3*B0fin(0,0,m5) + 18*m1**4*m3sq*m4**4*m5**3*B0fin(0,0,m5) - 40*m1**8*m4sq*m5**3*B0fin(0,0,m5) + 72*m1**4*m3**4*m4sq*m5**3*B0fin(0,0,m5) + 8*m1sq*m3**6*m4sq*m5**3*B0fin(0,0,m5) - 40*m1**6*m3sq*m4sq*m5**3*B0fin(0,0,m5) - 48*m1**8*m5**5*B0fin(0,0,m5) - 48*m1**4*m3**4*m5**5*B0fin(0,0,m5) + 96*m1**6*m3sq*m5**5*B0fin(0,0,m5) - 18*m1**4*m4**4*m5**5*B0fin(0,0,m5) + 6*m3**4*m4**4*m5**5*B0fin(0,0,m5) + 12*m1sq*m3sq*m4**4*m5**5*B0fin(0,0,m5) + 84*m1**6*m4sq*m5**5*B0fin(0,0,m5) - 12*m1sq*m3**4*m4sq*m5**5*B0fin(0,0,m5) - 72*m1**4*m3sq*m4sq*m5**5*B0fin(0,0,m5) - 24*m1**6*m5**7*B0fin(0,0,m5) + 8*m1sq*m3**4*m5**7*B0fin(0,0,m5) + 16*m1**4*m3sq*m5**7*B0fin(0,0,m5) + 4*m1sq*m4**4*m5**7*B0fin(0,0,m5) - 4*m3sq*m4**4*m5**7*B0fin(0,0,m5) - 10*m1**4*m4sq*m5**7*B0fin(0,0,m5) - 2*m3**4*m4sq*m5**7*B0fin(0,0,m5) + 12*m1sq*m3sq*m4sq*m5**7*B0fin(0,0,m5) + 8*m1**4*m5**9*B0fin(0,0,m5) - 8*m1sq*m3sq*m5**9*B0fin(0,0,m5) - 2*m1sq*m4sq*m5**9*B0fin(0,0,m5) + 2*m3sq*m4sq*m5**9*B0fin(0,0,m5) - 40*m1**10*m5**4*B0fin(0,0,m5sq) - 56*m1**6*m3**4*m5**4*B0fin(0,0,m5sq) + 8*m1**4*m3**6*m5**4*B0fin(0,0,m5sq) + 88*m1**8*m3sq*m5**4*B0fin(0,0,m5sq) + m1**6*m4**4*m5**4*B0fin(0,0,m5sq) + 7*m1sq*m3**4*m4**4*m5**4*B0fin(0,0,m5sq) + m3**6*m4**4*m5**4*B0fin(0,0,m5sq) - 9*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m5sq) + 6*m1**8*m4sq*m5**4*B0fin(0,0,m5sq) - 14*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m5sq) - 6*m1sq*m3**6*m4sq*m5**4*B0fin(0,0,m5sq) + 14*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m5sq) + 40*m1**8*m5**6*B0fin(0,0,m5sq) + 8*m1**4*m3**4*m5**6*B0fin(0,0,m5sq) - 48*m1**6*m3sq*m5**6*B0fin(0,0,m5sq) + 7*m1**4*m4**4*m5**6*B0fin(0,0,m5sq) - 3*m3**4*m4**4*m5**6*B0fin(0,0,m5sq) - 4*m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m5sq) - 38*m1**6*m4sq*m5**6*B0fin(0,0,m5sq) + 10*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m5sq) + 28*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m5sq) + 4*m1**6*m5**8*B0fin(0,0,m5sq) - 4*m1sq*m3**4*m5**8*B0fin(0,0,m5sq) - 2*m1sq*m4**4*m5**8*B0fin(0,0,m5sq) + 2*m3sq*m4**4*m5**8*B0fin(0,0,m5sq) + 7*m1**4*m4sq*m5**8*B0fin(0,0,m5sq) + m3**4*m4sq*m5**8*B0fin(0,0,m5sq) - 8*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m5sq) - 4*m1**4*m5**10*B0fin(0,0,m5sq) + 4*m1sq*m3sq*m5**10*B0fin(0,0,m5sq) + m1sq*m4sq*m5**10*B0fin(0,0,m5sq) - m3sq*m4sq*m5**10*B0fin(0,0,m5sq) - 6*m1**8*m4**4*m5sq*B0fin(0,0,m5sq) - 2*m1**4*m3**4*m4**4*m5sq*B0fin(0,0,m5sq) - 2*m1sq*m3**6*m4**4*m5sq*B0fin(0,0,m5sq) + 10*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m5sq) + 24*m1**10*m4sq*m5sq*B0fin(0,0,m5sq) + 8*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m5sq) + 8*m1**4*m3**6*m4sq*m5sq*B0fin(0,0,m5sq) - 40*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m5sq) + 40*m1**10*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**6*m3**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**4*m3**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**8*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1**6*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m3**4*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 20*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1**8*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 10*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m3**6*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 74*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 44*m1**8*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**4*m3**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1sq*m3**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 92*m1**6*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 5*m1**4*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 3*m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 31*m1**6*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 3*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m3**6*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 11*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**6*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1sq*m3**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 28*m1**4*m3sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m4**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 5*m1**4*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m3**4*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 7*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1sq*m3sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m3sq*m4sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**8*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 14*m1**4*m3**4*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m3**6*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**10*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 56*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**4*m3**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 64*m1**6*m3**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 64*m1**8*m3sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 8*m1sq*m3**4*m4**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 8*m1**4*m3sq*m4**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 16*m1**4*m3**4*m4sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 48*m1**6*m3sq*m4sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 32*m1**4*m3**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 32*m1**6*m3sq*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m3**4*m4**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 7*m1sq*m3sq*m4**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 4*m1sq*m3**4*m4sq*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 20*m1**4*m3sq*m4sq*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 4*m1sq*m3**4*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 28*m1**4*m3sq*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m3sq*m4**4*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m3**4*m4sq*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 3*m1sq*m3sq*m4sq*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m1sq*m3sq*m5**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m3sq*m4sq*m5**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 16*m1**4*m3**4*m4**4*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 16*m1**6*m3sq*m4**4*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 64*m1**6*m3**4*m4sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 64*m1**8*m3sq*m4sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 120*m1**8*m5**4*T134fin(m4,m1,m1) + 40*m1**4*m3**4*m5**4*T134fin(m4,m1,m1) + 8*m1sq*m3**6*m5**4*T134fin(m4,m1,m1) + 88*m1**6*m3sq*m5**4*T134fin(m4,m1,m1) - 40*m1**6*m4sq*m5**4*T134fin(m4,m1,m1) - 8*m1sq*m3**4*m4sq*m5**4*T134fin(m4,m1,m1) - 16*m1**4*m3sq*m4sq*m5**4*T134fin(m4,m1,m1) - 99*m1**6*m5**6*T134fin(m4,m1,m1) - 17*m1sq*m3**4*m5**6*T134fin(m4,m1,m1) - m3**6*m5**6*T134fin(m4,m1,m1) - 75*m1**4*m3sq*m5**6*T134fin(m4,m1,m1) + 33*m1**4*m4sq*m5**6*T134fin(m4,m1,m1) + m3**4*m4sq*m5**6*T134fin(m4,m1,m1) + 14*m1sq*m3sq*m4sq*m5**6*T134fin(m4,m1,m1) + 30*m1**4*m5**8*T134fin(m4,m1,m1) + 2*m3**4*m5**8*T134fin(m4,m1,m1) + 16*m1sq*m3sq*m5**8*T134fin(m4,m1,m1) - 10*m1sq*m4sq*m5**8*T134fin(m4,m1,m1) - 2*m3sq*m4sq*m5**8*T134fin(m4,m1,m1) - 3*m1sq*m5**10*T134fin(m4,m1,m1) - m3sq*m5**10*T134fin(m4,m1,m1) + m4sq*m5**10*T134fin(m4,m1,m1) - 48*m1**10*m5sq*T134fin(m4,m1,m1) - 16*m1**6*m3**4*m5sq*T134fin(m4,m1,m1) - 16*m1**4*m3**6*m5sq*T134fin(m4,m1,m1) + 80*m1**8*m3sq*m5sq*T134fin(m4,m1,m1) + 16*m1**8*m4sq*m5sq*T134fin(m4,m1,m1) + 16*m1**4*m3**4*m4sq*m5sq*T134fin(m4,m1,m1) - 32*m1**6*m3sq*m4sq*m5sq*T134fin(m4,m1,m1) - 160*m1**8*m5**4*T134fin(m4,m3,m1) - 32*m1**4*m3**4*m5**4*T134fin(m4,m3,m1) - 64*m1**6*m3sq*m5**4*T134fin(m4,m3,m1) + 40*m1**6*m4sq*m5**4*T134fin(m4,m3,m1) + 8*m1sq*m3**4*m4sq*m5**4*T134fin(m4,m3,m1) + 16*m1**4*m3sq*m4sq*m5**4*T134fin(m4,m3,m1) + 132*m1**6*m5**6*T134fin(m4,m3,m1) + 4*m1sq*m3**4*m5**6*T134fin(m4,m3,m1) + 56*m1**4*m3sq*m5**6*T134fin(m4,m3,m1) - 33*m1**4*m4sq*m5**6*T134fin(m4,m3,m1) - m3**4*m4sq*m5**6*T134fin(m4,m3,m1) - 14*m1sq*m3sq*m4sq*m5**6*T134fin(m4,m3,m1) - 40*m1**4*m5**8*T134fin(m4,m3,m1) - 8*m1sq*m3sq*m5**8*T134fin(m4,m3,m1) + 10*m1sq*m4sq*m5**8*T134fin(m4,m3,m1) + 2*m3sq*m4sq*m5**8*T134fin(m4,m3,m1) + 4*m1sq*m5**10*T134fin(m4,m3,m1) - m4sq*m5**10*T134fin(m4,m3,m1) + 64*m1**10*m5sq*T134fin(m4,m3,m1) + 64*m1**6*m3**4*m5sq*T134fin(m4,m3,m1) - 128*m1**8*m3sq*m5sq*T134fin(m4,m3,m1) - 16*m1**8*m4sq*m5sq*T134fin(m4,m3,m1) - 16*m1**4*m3**4*m4sq*m5sq*T134fin(m4,m3,m1) + 32*m1**6*m3sq*m4sq*m5sq*T134fin(m4,m3,m1) - 6*m1**8*m4**4*T134fin(m5,m1,m1) - 2*m1**4*m3**4*m4**4*T134fin(m5,m1,m1) - 2*m1sq*m3**6*m4**4*T134fin(m5,m1,m1) + 10*m1**6*m3sq*m4**4*T134fin(m5,m1,m1) + 24*m1**10*m4sq*T134fin(m5,m1,m1) + 8*m1**6*m3**4*m4sq*T134fin(m5,m1,m1) + 8*m1**4*m3**6*m4sq*T134fin(m5,m1,m1) - 40*m1**8*m3sq*m4sq*T134fin(m5,m1,m1) - 52*m1**8*m5**4*T134fin(m5,m1,m1) - 12*m1**4*m3**4*m5**4*T134fin(m5,m1,m1) - 4*m1sq*m3**6*m5**4*T134fin(m5,m1,m1) - 60*m1**6*m3sq*m5**4*T134fin(m5,m1,m1) - 19*m1**4*m4**4*m5**4*T134fin(m5,m1,m1) - m3**4*m4**4*m5**4*T134fin(m5,m1,m1) - 12*m1sq*m3sq*m4**4*m5**4*T134fin(m5,m1,m1) + 89*m1**6*m4sq*m5**4*T134fin(m5,m1,m1) + 7*m1sq*m3**4*m4sq*m5**4*T134fin(m5,m1,m1) + m3**6*m4sq*m5**4*T134fin(m5,m1,m1) + 63*m1**4*m3sq*m4sq*m5**4*T134fin(m5,m1,m1) + 32*m1**6*m5**6*T134fin(m5,m1,m1) + 8*m1sq*m3**4*m5**6*T134fin(m5,m1,m1) + 24*m1**4*m3sq*m5**6*T134fin(m5,m1,m1) + 8*m1sq*m4**4*m5**6*T134fin(m5,m1,m1) + 2*m3sq*m4**4*m5**6*T134fin(m5,m1,m1) - 40*m1**4*m4sq*m5**6*T134fin(m5,m1,m1) - 2*m3**4*m4sq*m5**6*T134fin(m5,m1,m1) - 14*m1sq*m3sq*m4sq*m5**6*T134fin(m5,m1,m1) - 4*m1**4*m5**8*T134fin(m5,m1,m1) - 4*m1sq*m3sq*m5**8*T134fin(m5,m1,m1) - m4**4*m5**8*T134fin(m5,m1,m1) + 5*m1sq*m4sq*m5**8*T134fin(m5,m1,m1) + m3sq*m4sq*m5**8*T134fin(m5,m1,m1) + 24*m1**10*m5sq*T134fin(m5,m1,m1) + 8*m1**6*m3**4*m5sq*T134fin(m5,m1,m1) + 8*m1**4*m3**6*m5sq*T134fin(m5,m1,m1) - 40*m1**8*m3sq*m5sq*T134fin(m5,m1,m1) + 18*m1**6*m4**4*m5sq*T134fin(m5,m1,m1) + 10*m1sq*m3**4*m4**4*m5sq*T134fin(m5,m1,m1) + 4*m1**4*m3sq*m4**4*m5sq*T134fin(m5,m1,m1) - 78*m1**8*m4sq*m5sq*T134fin(m5,m1,m1) - 42*m1**4*m3**4*m4sq*m5sq*T134fin(m5,m1,m1) - 2*m1sq*m3**6*m4sq*m5sq*T134fin(m5,m1,m1) - 6*m1**6*m3sq*m4sq*m5sq*T134fin(m5,m1,m1) + 96*m1**8*m5**4*T134fin(m5,m3,m1) + 32*m1**4*m3**4*m5**4*T134fin(m5,m3,m1) + 24*m1**4*m4**4*m5**4*T134fin(m5,m3,m1) + 8*m1sq*m3sq*m4**4*m5**4*T134fin(m5,m3,m1) - 120*m1**6*m4sq*m5**4*T134fin(m5,m3,m1) - 8*m1sq*m3**4*m4sq*m5**4*T134fin(m5,m3,m1) - 32*m1**4*m3sq*m4sq*m5**4*T134fin(m5,m3,m1) - 36*m1**6*m5**6*T134fin(m5,m3,m1) - 4*m1sq*m3**4*m5**6*T134fin(m5,m3,m1) - 24*m1**4*m3sq*m5**6*T134fin(m5,m3,m1) - 9*m1sq*m4**4*m5**6*T134fin(m5,m3,m1) - m3sq*m4**4*m5**6*T134fin(m5,m3,m1) + 45*m1**4*m4sq*m5**6*T134fin(m5,m3,m1) + m3**4*m4sq*m5**6*T134fin(m5,m3,m1) + 10*m1sq*m3sq*m4sq*m5**6*T134fin(m5,m3,m1) + 4*m1**4*m5**8*T134fin(m5,m3,m1) + 4*m1sq*m3sq*m5**8*T134fin(m5,m3,m1) + m4**4*m5**8*T134fin(m5,m3,m1) - 5*m1sq*m4sq*m5**8*T134fin(m5,m3,m1) - m3sq*m4sq*m5**8*T134fin(m5,m3,m1) - 64*m1**10*m5sq*T134fin(m5,m3,m1) - 64*m1**6*m3**4*m5sq*T134fin(m5,m3,m1) + 128*m1**8*m3sq*m5sq*T134fin(m5,m3,m1) - 16*m1**6*m4**4*m5sq*T134fin(m5,m3,m1) - 16*m1**4*m3sq*m4**4*m5sq*T134fin(m5,m3,m1) + 80*m1**8*m4sq*m5sq*T134fin(m5,m3,m1) + 16*m1**4*m3**4*m4sq*m5sq*T134fin(m5,m3,m1) + 32*m1**6*m3sq*m4sq*m5sq*T134fin(m5,m3,m1))/((m1sq - m3sq)**2*(4*m1sq - m4sq)*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2*(m4sq - m5sq)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq)))
		def eval_106():
			return ((7*m1sq*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (10*m1**6*m5**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (10*m1**4*m4sq*m5**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1**4*m5**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (12*m1sq*m4sq*m5**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m5**8)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**8*m5sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*m1**6*m4sq*m5sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1**4*m4sq*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (14*m1sq*m5**4*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1**4*(m4sq - m5sq)*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (22*m1**4*m5sq*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (20*m1sq*m4sq*m5sq*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (20*m1sq*m5sq*(-m4sq + m5sq)*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1sq*m4sq*m7**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (18*m1sq*m5sq*m7**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (14*m1sq*(-m4sq + m5sq)*m7**6)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (16*m1sq*(m4sq - m5sq)*m7**4)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) - (7*m1sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (5*m4**4*(m4sq - m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(m4sq - m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*(m4sq - m7sq)**3)/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (16*m5**4*m7**4*(m5sq - m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (16*m4sq*m5sq*m7**4*(m5sq - m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m5sq*m7**6*(m5sq - m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*(m4sq - m5sq)*m7**4*(m5sq - m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) + (6*m4sq*m5**4*(m5sq - m7sq)**2)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m5**6*(m5sq - m7sq)**2)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m4sq*m7**4*(m5sq - m7sq)**2)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*(m4sq - m5sq)*m7**4*(m5sq - m7sq)**2)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m4sq*m5sq*(m5sq - m7sq)**4)/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*m1**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*m1**6*m4sq*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (10*m1**4*m5**4*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m5**4*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m5**6*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (13*m1**6*m5sq*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (10*m1**4*m4sq*m5sq*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m1**6*(-m4sq + m5sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1sq*m5**4*(-m4sq + m5sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1**4*m5sq*(-m4sq + m5sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1**4*(m4sq - m5sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) + (8*m1sq*m5sq*(-m4sq + m5sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) + (3*m1**4*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*m5**6*(m5sq - m7sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (16*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**2) - (3*m5sq*(m5sq - m7sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m5**4*(m5sq - m7sq)**2*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (10*m4sq*m5sq*(m5sq - m7sq)**2*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)**2*m7sq)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m5sq - m7sq)**3*m7sq)/(m1**2*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m4sq*(m5sq - m7sq)**4*m7sq)/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m5sq*(m5sq - m7sq)**4*m7sq)/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((-m4sq + m5sq)*(m5sq - m7sq)**4*m7sq)/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m7sq*(-m4sq + m7sq)**3)/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*(m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (4*m4sq*m7sq*(-m1sq + m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(-m5sq + m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m5sq + m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (3*m7**4*(m5**3 - m5*m7sq)**2)/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1**4*m4sq*m7**4*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m4sq - m5sq)*m7**4*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m5sq*m7**4*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*m5sq*(-m4sq + m5sq)*m7**4*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m4sq*m7**6*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*(m4sq - m5sq)*m7**6*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**4*(m5sq - m7sq)**2*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(-m4sq + m5sq)*m7**4*(m5sq - m7sq)**2*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m4sq*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1**4*m5**4*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*m4sq*m5**4*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1**4*m4sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*(-m4sq + m5sq)*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m5**4*(-m4sq + m5sq)*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m5**4*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (8*m1sq*m4sq*m5sq*m7**4*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**4*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m4sq*m5sq*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**6*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**4*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*m4sq*m5**4*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1sq*m5**6*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1**4*m4sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5**4*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**6*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**4*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1**4*m4sq*m7**4*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**4*(m4sq - m5sq)*m7**4*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m5sq*m7**4*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*m5sq*(-m4sq + m5sq)*m7**4*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1sq*m4sq*m7**6*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*(m4sq - m5sq)*m7**6*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**4*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m4sq*m5sq*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**6*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(-m4sq + m5sq)*m7**4*(m5sq - m7sq)**2*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m4sq*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1**4*m5**4*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m4sq*m5**4*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1sq*m5**6*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*(-m4sq + m5sq)*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m5**4*(-m4sq + m5sq)*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m5sq*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*m5**4*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**6*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1sq*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m4sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (11*m1**6*m5**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (22*m1**4*m5**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m4sq*m5**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (20*m1sq*m5**8*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**8*m5sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1**4*m4sq*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (20*m1sq*m5**4*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1**4*(m4sq - m5sq)*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (14*m1sq*m4sq*m5sq*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (28*m1sq*m5sq*(-m4sq + m5sq)*m7**4*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m7**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m4sq - m5sq)*m7**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1sq*m5sq*m7**6*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m4**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m4sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m5**6*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m4sq*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*(-m4sq + m5sq)*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1**6*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1**4*m5**4*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (16*m1sq*m4sq*m5**4*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (28*m1sq*m5**6*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**6*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (22*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (5*m1**6*(-m4sq + m5sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*m5**4*(-m4sq + m5sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (12*m1**4*m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m4sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m4sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m4sq*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m4sq - m5sq)*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (5*m7**4*(-m4sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7sq*(-m5sq + m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m7**4*(m5**3 - m5*m7sq)**2*B0fin(0,0,m1sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m5**3 - m5*m7sq)**4*B0fin(0,0,m1sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (7*m1sq*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m4sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (11*m1**6*m5**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (22*m1**4*m5**6*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m4sq*m5**6*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (20*m1sq*m5**8*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**8*m5sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**4*m4sq*m7**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (28*m1sq*m5**4*m7**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (12*m1**4*m5sq*m7**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (26*m1sq*m4sq*m5sq*m7**4*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m4sq*m7**6*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*m5sq*m7**6*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (18*m5**4*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (18*m4sq*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m5sq*m7**6*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m4sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m5**6*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m4sq*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**6*m4sq*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**4*m5**4*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1sq*m4sq*m5**4*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (12*m1sq*m5**6*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1**6*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (14*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**6*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m4sq*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m5sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**6*(-m5sq + m7sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m7**4*(m5**3 - m5*m7sq)**2*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + ((m5**3 - m5*m7sq)**4*B0fin(0,0,m5sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1**4*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m4sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1**4*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*m4sq*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**4*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*(m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*(m4sq - m5sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*m1sq*m5**4*(-m4sq + m5sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**4*m5sq*(-m4sq + m5sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m1sq*(m4sq - m5sq)*m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m1**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5**4*(-m4sq + m5sq)*(m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - ((m4sq - m5sq)*m7**4*(m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (m1**4*(m4sq - m5sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m5sq*(-m4sq + m5sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*(m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1**4*m4sq*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (8*m1sq*m5**4*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1**4*(m4sq - m5sq)*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (12*m1**4*m5sq*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1sq*m4sq*m5sq*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (28*m1sq*m5sq*(-m4sq + m5sq)*m7**4*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m4sq*m7**6*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m4sq - m5sq)*m7**6*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1sq*m5sq*m7**6*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (18*m5**4*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (18*m4sq*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m5sq*m7**6*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (5*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*(-m4sq + m5sq)*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (14*m1**4*m5**4*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (10*m1sq*m4sq*m5**4*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (16*m1sq*m5**6*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**6*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (5*m1**6*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*m5**4*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (12*m1**4*m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**6*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m4sq - m5sq)*(m5sq - m7sq)**4*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (5*m7**4*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7**6*(-m5sq + m7sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (m7sq*(-m5sq + m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(m4sq - m5sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (8*m1sq*m5sq*(-m4sq + m5sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*(m4sq - m5sq)*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*(-m4sq + m5sq)*m7**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*(-m4sq + m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m5**4*(-m4sq + m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (2*m1sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m4sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*m4sq*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m1sq*m4sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**4*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (6*m4sq*m5sq*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m4sq*m7**6*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (2*m1**6*m4sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1**4*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m1sq*m4sq*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (12*m1sq*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m4sq*m5**4*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (6*m5**6*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*m4sq*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (8*m1sq*(m4sq - m5sq)*m7**4*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) - (4*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1**4*(m4sq - m5sq)*m7sq*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m1sq*(m4sq - m5sq)*m5sq*m7sq*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3) + (4*m5sq*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*T134fin(m7,m5,m1))/((m1 - m5 - m7)**3*(m1 + m5 - m7)**3*(m1 - m5 + m7)**3*(m1 + m5 + m7)**3))/(2.*(m4sq - m5sq)**2)
		def eval_107():
			return -((4*m1**12*m3**3 - 10*m1**11*m3**4 + 4*m1**12*m3**4 + 6*m1**9*m3**6 - 4*m1**10*m3**6 - 12*m1**10*m3**4*m5 + 8*m1**8*m3**6*m5 + 4*m1**12*m3sq*m5 - 4*m1**12*m5**3 + 24*m1**8*m3**4*m5**3 - 24*m1**6*m3**6*m5**3 + 4*m1**10*m3sq*m5**3 - 10*m1**11*m5**4 + 4*m1**12*m5**4 + 20*m1**10*m3*m5**4 + 40*m1**8*m3**3*m5**4 - 4*m1**7*m3**4*m5**4 - 16*m1**8*m3**4*m5**4 + 12*m1**5*m3**6*m5**4 - 58*m1**9*m3sq*m5**4 + 12*m1**10*m3sq*m5**4 + 8*m1**10*m5**5 + 24*m1**4*m3**6*m5**5 - 32*m1**8*m3sq*m5**5 + 32*m1**9*m5**6 - 8*m1**10*m5**6 - 40*m1**8*m3*m5**6 - 40*m1**6*m3**3*m5**6 - 8*m1**5*m3**4*m5**6 + 8*m1**6*m3**4*m5**6 - 8*m1**4*m3**6*m5**6 + 56*m1**7*m3sq*m5**6 + 8*m1**8*m3sq*m5**6 - 24*m1**4*m3**4*m5**7 - 8*m1sq*m3**6*m5**7 + 32*m1**6*m3sq*m5**7 - 36*m1**7*m5**8 + 40*m1**6*m3*m5**8 + 20*m1**4*m3**3*m5**8 - 2*m1**3*m3**4*m5**8 + 12*m1**4*m3**4*m5**8 - 2*m1*m3**6*m5**8 + 4*m1sq*m3**6*m5**8 - 20*m1**5*m3sq*m5**8 - 16*m1**6*m3sq*m5**8 - 8*m1**6*m5**9 + 12*m1sq*m3**4*m5**9 - 4*m1**4*m3sq*m5**9 + 16*m1**5*m5**10 + 8*m1**6*m5**10 - 20*m1**4*m3*m5**10 - 4*m1sq*m3**3*m5**10 + 4*m1*m3**4*m5**10 - 8*m1sq*m3**4*m5**10 + 4*m1**3*m3sq*m5**10 + 4*m1**4*m5**11 - 4*m1sq*m3sq*m5**11 - 2*m1**3*m5**12 - 4*m1**4*m5**12 + 4*m1sq*m3*m5**12 - 2*m1*m3sq*m5**12 + 4*m1sq*m3sq*m5**12 - 4*m1**12*m3*m5sq - 20*m1**10*m3**3*m5sq + 20*m1**9*m3**4*m5sq - 16*m1**7*m3**6*m5sq + 8*m1**8*m3**6*m5sq + 20*m1**11*m3sq*m5sq - 8*m1**12*m3sq*m5sq - 11*m1**10*m3**4*m7 + 7*m1**8*m3**6*m7 + 4*m1**12*m3sq*m7 + 9*m1**10*m5**4*m7 - 2*m1**6*m3**4*m5**4*m7 + 18*m1**4*m3**6*m5**4*m7 - 25*m1**8*m3sq*m5**4*m7 - 4*m1**8*m5**6*m7 - 16*m1**4*m3**4*m5**6*m7 - 4*m1sq*m3**6*m5**6*m7 + 24*m1**6*m3sq*m5**6*m7 - 2*m1**6*m5**8*m7 + 5*m1sq*m3**4*m5**8*m7 - m3**6*m5**8*m7 - 2*m1**4*m3sq*m5**8*m7 + 2*m3**4*m5**10*m7 - 2*m1sq*m3sq*m5**10*m7 + m1sq*m5**12*m7 - m3sq*m5**12*m7 - 4*m1**12*m5sq*m7 + 22*m1**8*m3**4*m5sq*m7 - 20*m1**6*m3**6*m5sq*m7 + 2*m1**10*m3sq*m5sq*m7 + 4*m1**12*m7**3 - 7*m1**8*m3**4*m7**3 - 2*m1**6*m3**6*m7**3 + 5*m1**10*m3sq*m7**3 - 62*m1**8*m5**4*m7**3 - 56*m1**4*m3**4*m5**4*m7**3 - 14*m1sq*m3**6*m5**4*m7**3 + 132*m1**6*m3sq*m5**4*m7**3 + 44*m1**6*m5**6*m7**3 + 38*m1sq*m3**4*m5**6*m7**3 + 6*m3**6*m5**6*m7**3 - 88*m1**4*m3sq*m5**6*m7**3 + 2*m1**4*m5**8*m7**3 - 9*m3**4*m5**8*m7**3 + 7*m1sq*m3sq*m5**8*m7**3 - 7*m1sq*m5**10*m7**3 + 7*m3sq*m5**10*m7**3 + 19*m1**10*m5sq*m7**3 + 34*m1**6*m3**4*m5sq*m7**3 + 10*m1**4*m3**6*m5sq*m7**3 - 63*m1**8*m3sq*m5sq*m7**3 - 10*m1**11*m7**4 + 4*m1**12*m7**4 - 17*m1**10*m3*m7**4 + 28*m1**8*m3**3*m7**4 + 10*m1**7*m3**4*m7**4 + m1**8*m3**4*m7**4 - 11*m1**5*m3**6*m7**4 + 5*m1**6*m3**6*m7**4 - 10*m1**10*m3sq*m7**4 - 29*m1**10*m5*m7**4 + 14*m1**6*m3**4*m5*m7**4 + m1**4*m3**6*m5*m7**4 + 14*m1**8*m3sq*m5*m7**4 + 27*m1**8*m5**3*m7**4 - 37*m1**4*m3**4*m5**3*m7**4 + 14*m1sq*m3**6*m5**3*m7**4 - 4*m1**6*m3sq*m5**3*m7**4 - 10*m1**7*m5**4*m7**4 + 15*m1**8*m5**4*m7**4 + 6*m1**6*m3*m5**4*m7**4 + 8*m1**4*m3**3*m5**4*m7**4 + 28*m1**3*m3**4*m5**4*m7**4 + 31*m1**4*m3**4*m5**4*m7**4 - 11*m1*m3**6*m5**4*m7**4 - m1sq*m3**6*m5**4*m7**4 - 21*m1**5*m3sq*m5**4*m7**4 - 45*m1**6*m3sq*m5**4*m7**4 - 12*m1**6*m5**5*m7**4 - 16*m1sq*m3**4*m5**5*m7**4 + m3**6*m5**5*m7**4 + 27*m1**4*m3sq*m5**5*m7**4 + 9*m1**5*m5**6*m7**4 - 13*m1**6*m5**6*m7**4 - 30*m1**4*m3*m5**6*m7**4 - 16*m1sq*m3**3*m5**6*m7**4 - m1*m3**4*m5**6*m7**4 - 9*m1sq*m3**4*m5**6*m7**4 - m3**6*m5**6*m7**4 + 38*m1**3*m3sq*m5**6*m7**4 + 23*m1**4*m3sq*m5**6*m7**4 - 5*m1**4*m5**7*m7**4 - 9*m3**4*m5**7*m7**4 + 14*m1sq*m3sq*m5**7*m7**4 + 6*m1**3*m5**8*m7**4 + 9*m1**4*m5**8*m7**4 + 27*m1sq*m3*m5**8*m7**4 - 4*m3**3*m5**8*m7**4 + 4*m3**4*m5**8*m7**4 - 29*m1*m3sq*m5**8*m7**4 - 13*m1sq*m3sq*m5**8*m7**4 + 3*m1sq*m5**9*m7**4 - 3*m3sq*m5**9*m7**4 - 5*m1*m5**10*m7**4 - m1sq*m5**10*m7**4 + 5*m3*m5**10*m7**4 + m3sq*m5**10*m7**4 + 26*m1**9*m5sq*m7**4 - 14*m1**10*m5sq*m7**4 + 9*m1**8*m3*m5sq*m7**4 - 16*m1**6*m3**3*m5sq*m7**4 + 11*m1**5*m3**4*m5sq*m7**4 - 27*m1**6*m3**4*m5sq*m7**4 + 6*m1**3*m3**6*m5sq*m7**4 - 3*m1**4*m3**6*m5sq*m7**4 - 36*m1**7*m3sq*m5sq*m7**4 + 44*m1**8*m3sq*m5sq*m7**4 - 28*m1**10*m7**5 + 12*m1**6*m3**4*m7**5 - 5*m1**4*m3**6*m7**5 + 21*m1**8*m3sq*m7**5 - 8*m1**6*m5**4*m7**5 + 6*m1sq*m3**4*m5**4*m7**5 - 5*m3**6*m5**4*m7**5 + 7*m1**4*m3sq*m5**4*m7**5 - 13*m1**4*m5**6*m7**5 - 5*m3**4*m5**6*m7**5 + 18*m1sq*m3sq*m5**6*m7**5 + 18*m1sq*m5**8*m7**5 - 18*m3sq*m5**8*m7**5 + 31*m1**8*m5sq*m7**5 - 13*m1**4*m3**4*m5sq*m7**5 + 10*m1sq*m3**6*m5sq*m7**5 - 28*m1**6*m3sq*m5sq*m7**5 + 3*m1**9*m7**6 + 3*m1**10*m7**6 + 28*m1**8*m3*m7**6 - 22*m1**6*m3**3*m7**6 + 13*m1**5*m3**4*m7**6 - 13*m1**6*m3**4*m7**6 + 4*m1**3*m3**6*m7**6 + 3*m1**4*m3**6*m7**6 - 26*m1**7*m3sq*m7**6 + 7*m1**8*m3sq*m7**6 + 39*m1**8*m5*m7**6 - 3*m1**4*m3**4*m5*m7**6 - 4*m1sq*m3**6*m5*m7**6 - 32*m1**6*m3sq*m5*m7**6 - 12*m1**6*m5**3*m7**6 - 14*m1sq*m3**4*m5**3*m7**6 - 4*m3**6*m5**3*m7**6 + 30*m1**4*m3sq*m5**3*m7**6 - 7*m1**5*m5**4*m7**6 + 3*m1**6*m5**4*m7**6 + 6*m1**4*m3*m5**4*m7**6 + 14*m1sq*m3**3*m5**4*m7**6 + 17*m1*m3**4*m5**4*m7**6 + 9*m1sq*m3**4*m5**4*m7**6 + m3**6*m5**4*m7**6 - 30*m1**3*m3sq*m5**4*m7**6 - 13*m1**4*m3sq*m5**4*m7**6 + 15*m1**4*m5**5*m7**6 + 9*m3**4*m5**5*m7**6 - 24*m1sq*m3sq*m5**5*m7**6 - 12*m1**3*m5**6*m7**6 - 4*m1**4*m5**6*m7**6 - 30*m1sq*m3*m5**6*m7**6 + 6*m3**3*m5**6*m7**6 + 36*m1*m3sq*m5**6*m7**6 + 4*m1sq*m3sq*m5**6*m7**6 - 2*m1sq*m5**7*m7**6 + 2*m3sq*m5**7*m7**6 + 10*m1*m5**8*m7**6 - 2*m1sq*m5**8*m7**6 - 10*m3*m5**8*m7**6 + 2*m3sq*m5**8*m7**6 - 34*m1**7*m5sq*m7**6 + 6*m1**6*m3*m5sq*m7**6 + 2*m1**4*m3**3*m5sq*m7**6 - 22*m1**3*m3**4*m5sq*m7**6 + 4*m1**4*m3**4*m5sq*m7**6 + 4*m1*m3**6*m5sq*m7**6 - 4*m1sq*m3**6*m5sq*m7**6 + 44*m1**5*m3sq*m5sq*m7**6 + 35*m1**8*m7**7 + 5*m1**4*m3**4*m7**7 - 40*m1**6*m3sq*m7**7 + 7*m1**4*m5**4*m7**7 + 13*m3**4*m5**4*m7**7 - 20*m1sq*m3sq*m5**4*m7**7 - 22*m1sq*m5**6*m7**7 + 22*m3sq*m5**6*m7**7 - 20*m1**6*m5sq*m7**7 - 18*m1sq*m3**4*m5sq*m7**7 + 38*m1**4*m3sq*m5sq*m7**7 + 14*m1**7*m7**8 - 5*m1**8*m7**8 - 22*m1**6*m3*m7**8 + 8*m1**4*m3**3*m7**8 - 6*m1**3*m3**4*m7**8 - 5*m1**4*m3**4*m7**8 - m1*m3**6*m7**8 - m1sq*m3**6*m7**8 + 7*m1**5*m3sq*m7**8 + 11*m1**6*m3sq*m7**8 - 20*m1**6*m5*m7**8 + 8*m1sq*m3**4*m5*m7**8 + m3**6*m5*m7**8 + 11*m1**4*m3sq*m5*m7**8 - 11*m1**4*m5**3*m7**8 + 5*m3**4*m5**3*m7**8 + 6*m1sq*m3sq*m5**3*m7**8 + 10*m1**3*m5**4*m7**8 - 6*m1**4*m5**4*m7**8 + 18*m1sq*m3*m5**4*m7**8 - 4*m3**3*m5**4*m7**8 - 4*m3**4*m5**4*m7**8 - 24*m1*m3sq*m5**4*m7**8 + 10*m1sq*m3sq*m5**4*m7**8 - 2*m1sq*m5**5*m7**8 + 2*m3sq*m5**5*m7**8 - 10*m1*m5**6*m7**8 + 2*m1sq*m5**6*m7**8 + 10*m3*m5**6*m7**8 - 2*m3sq*m5**6*m7**8 + 19*m1**5*m5sq*m7**8 + 9*m1**6*m5sq*m7**8 - 6*m1**4*m3*m5sq*m7**8 - 4*m1sq*m3**3*m5sq*m7**8 - 7*m1*m3**4*m5sq*m7**8 + 9*m1sq*m3**4*m5sq*m7**8 + m3**6*m5sq*m7**8 - 2*m1**3*m3sq*m5sq*m7**8 - 19*m1**4*m3sq*m5sq*m7**8 - 14*m1**6*m7**9 + m1sq*m3**4*m7**9 + 13*m1**4*m3sq*m7**9 + 13*m1sq*m5**4*m7**9 - 13*m3sq*m5**4*m7**9 + m1**4*m5sq*m7**9 - m3**4*m5sq*m7**9 - 9*m1**5*m7**10 - 3*m1**6*m7**10 + 8*m1**4*m3*m7**10 - m1sq*m3**3*m7**10 + 2*m1*m3**4*m7**10 + 2*m1sq*m3**4*m7**10 + m1**4*m3sq*m7**10 + 7*m1**4*m5*m7**10 - 2*m3**4*m5*m7**10 - 5*m1sq*m3sq*m5*m7**10 + 3*m1sq*m5**3*m7**10 - 3*m3sq*m5**3*m7**10 + 5*m1*m5**4*m7**10 + m1sq*m5**4*m7**10 - 5*m3*m5**4*m7**10 - m3sq*m5**4*m7**10 - 6*m1**3*m5sq*m7**10 + 2*m1**4*m5sq*m7**10 - 3*m1sq*m3*m5sq*m7**10 + m3**3*m5sq*m7**10 - 2*m3**4*m5sq*m7**10 + 8*m1*m3sq*m5sq*m7**10 + 3*m1**4*m7**11 - 3*m1sq*m3sq*m7**11 - 3*m1sq*m5sq*m7**11 + 3*m3sq*m5sq*m7**11 + 2*m1**3*m7**12 + m1**4*m7**12 - m1sq*m3*m7**12 - m1*m3sq*m7**12 - m1sq*m3sq*m7**12 - m1sq*m5*m7**12 + m3sq*m5*m7**12 - m1*m5sq*m7**12 - m1sq*m5sq*m7**12 + m3*m5sq*m7**12 + m3sq*m5sq*m7**12 + 4*m1**12*m3*m7sq - 17*m1**10*m3**3*m7sq - 9*m1**9*m3**4*m7sq + 11*m1**10*m3**4*m7sq + 2*m1**7*m3**6*m7sq - 3*m1**8*m3**6*m7sq + 20*m1**11*m3sq*m7sq - 8*m1**12*m3sq*m7sq + 4*m1**12*m5*m7sq - 5*m1**8*m3**4*m5*m7sq - 6*m1**6*m3**6*m5*m7sq + 7*m1**10*m3sq*m5*m7sq + 21*m1**10*m5**3*m7sq + 46*m1**6*m3**4*m5**3*m7sq + 14*m1**4*m3**6*m5**3*m7sq - 81*m1**8*m3sq*m5**3*m7sq - 61*m1**9*m5**4*m7sq + 19*m1**10*m5**4*m7sq + 3*m1**8*m3*m5**4*m7sq - 10*m1**6*m3**3*m5**4*m7sq - 32*m1**5*m3**4*m5**4*m7sq - 8*m1**6*m3**4*m5**4*m7sq - 18*m1**3*m3**6*m5**4*m7sq - 12*m1**4*m3**6*m5**4*m7sq + 118*m1**7*m3sq*m5**4*m7sq + m1**8*m3sq*m5**4*m7sq - 66*m1**8*m5**5*m7sq - 80*m1**4*m3**4*m5**5*m7sq - 10*m1sq*m3**6*m5**5*m7sq + 156*m1**6*m3sq*m5**5*m7sq + 66*m1**7*m5**6*m7sq - 10*m1**8*m5**6*m7sq - 30*m1**6*m3*m5**6*m7sq - 22*m1**4*m3**3*m5**6*m7sq + 34*m1**3*m3**4*m5**6*m7sq + 34*m1**4*m3**4*m5**6*m7sq + 10*m1*m3**6*m5**6*m7sq + 6*m1sq*m3**6*m5**6*m7sq - 58*m1**5*m3sq*m5**6*m7sq - 30*m1**6*m3sq*m5**6*m7sq + 52*m1**6*m5**7*m7sq + 42*m1sq*m3**4*m5**7*m7sq + 2*m3**6*m5**7*m7sq - 96*m1**4*m3sq*m5**7*m7sq - 28*m1**5*m5**8*m7sq - 4*m1**6*m5**8*m7sq + 42*m1**4*m3*m5**8*m7sq + 11*m1sq*m3**3*m5**8*m7sq - 15*m1*m3**4*m5**8*m7sq - 19*m1sq*m3**4*m5**8*m7sq - m3**6*m5**8*m7sq - 10*m1**3*m3sq*m5**8*m7sq + 24*m1**4*m3sq*m5**8*m7sq - 10*m1**4*m5**9*m7sq - 3*m3**4*m5**9*m7sq + 13*m1sq*m3sq*m5**9*m7sq + 2*m1**3*m5**10*m7sq + 2*m1**4*m5**10*m7sq - 15*m1sq*m3*m5**10*m7sq + m3**3*m5**10*m7sq + 2*m3**4*m5**10*m7sq + 12*m1*m3sq*m5**10*m7sq - 4*m1sq*m3sq*m5**10*m7sq - m1sq*m5**11*m7sq + m3sq*m5**11*m7sq + m1*m5**12*m7sq + m1sq*m5**12*m7sq - m3*m5**12*m7sq - m3sq*m5**12*m7sq + 20*m1**11*m5sq*m7sq - 8*m1**12*m5sq*m7sq - 3*m1**10*m3*m5sq*m7sq + 37*m1**8*m3**3*m5sq*m7sq + 22*m1**7*m3**4*m5sq*m7sq - 20*m1**8*m3**4*m5sq*m7sq + 6*m1**5*m3**6*m5sq*m7sq + 10*m1**6*m3**6*m5sq*m7sq - 82*m1**9*m3sq*m5sq*m7sq + 18*m1**10*m3sq*m5sq*m7sq - m1sq*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))*(6*m1**10 - 2*m1**8*(m3sq + 10*m5sq + m7sq) + m1**6*(24*m5**4 - 10*m7**4 + m3sq*(4*m5sq - 3*m7sq) + 3*m5sq*m7sq) - m1**4*(12*m5**6 - 7*m3sq*m7**4 - 8*m7**6 + m5**4*m7sq + m5sq*(5*m7**4 + 3*m3sq*m7sq)) + m1sq*(2*m5**8 - 4*m5**4*m7**4 + 3*m5sq*m7**6 - 2*m7**8 + m5**6*m7sq - m3sq*(4*m5**6 + 2*m5sq*m7**4 + 3*m7**6 - 15*m5**4*m7sq)) - (m5sq - m7sq)*(m5sq*(m5sq - m7sq)**2*m7sq + m3sq*(-2*m5**6 - 4*m5sq*m7**4 + m7**6 + 7*m5**4*m7sq)))*B0del(0,0,m1sq) + m3sq*(m1sq - m5sq)*(4*m1sq - m7sq)*(m3sq - m5sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))**2*B0del(0,0,m3sq) - 4*m1**12*m5**4*B0del(0,0,m5sq) + 20*m1**8*m3**4*m5**4*B0del(0,0,m5sq) - 12*m1**6*m3**6*m5**4*B0del(0,0,m5sq) - 4*m1**10*m3sq*m5**4*B0del(0,0,m5sq) + 12*m1**10*m5**6*B0del(0,0,m5sq) - 12*m1**6*m3**4*m5**6*B0del(0,0,m5sq) + 12*m1**4*m3**6*m5**6*B0del(0,0,m5sq) - 12*m1**8*m3sq*m5**6*B0del(0,0,m5sq) - 12*m1**8*m5**8*B0del(0,0,m5sq) - 4*m1**4*m3**4*m5**8*B0del(0,0,m5sq) - 4*m1sq*m3**6*m5**8*B0del(0,0,m5sq) + 20*m1**6*m3sq*m5**8*B0del(0,0,m5sq) + 4*m1**6*m5**10*B0del(0,0,m5sq) + 4*m1sq*m3**4*m5**10*B0del(0,0,m5sq) - 8*m1**4*m3sq*m5**10*B0del(0,0,m5sq) - 8*m1**10*m3**4*m5sq*B0del(0,0,m5sq) + 4*m1**8*m3**6*m5sq*B0del(0,0,m5sq) + 4*m1**12*m3sq*m5sq*B0del(0,0,m5sq) + 17*m1**8*m5**4*m7**4*B0del(0,0,m5sq) - 35*m1**4*m3**4*m5**4*m7**4*B0del(0,0,m5sq) + 10*m1sq*m3**6*m5**4*m7**4*B0del(0,0,m5sq) + 8*m1**6*m3sq*m5**4*m7**4*B0del(0,0,m5sq) - 10*m1**6*m5**6*m7**4*B0del(0,0,m5sq) - 14*m1sq*m3**4*m5**6*m7**4*B0del(0,0,m5sq) + m3**6*m5**6*m7**4*B0del(0,0,m5sq) + 23*m1**4*m3sq*m5**6*m7**4*B0del(0,0,m5sq) + m1**4*m5**8*m7**4*B0del(0,0,m5sq) - 7*m3**4*m5**8*m7**4*B0del(0,0,m5sq) + 6*m1sq*m3sq*m5**8*m7**4*B0del(0,0,m5sq) + m1sq*m5**10*m7**4*B0del(0,0,m5sq) - m3sq*m5**10*m7**4*B0del(0,0,m5sq) - 25*m1**10*m5sq*m7**4*B0del(0,0,m5sq) + 8*m1**6*m3**4*m5sq*m7**4*B0del(0,0,m5sq) + 5*m1**4*m3**6*m5sq*m7**4*B0del(0,0,m5sq) + 12*m1**8*m3sq*m5sq*m7**4*B0del(0,0,m5sq) - m1**6*m5**4*m7**6*B0del(0,0,m5sq) - 5*m1sq*m3**4*m5**4*m7**6*B0del(0,0,m5sq) - 3*m3**6*m5**4*m7**6*B0del(0,0,m5sq) + 9*m1**4*m3sq*m5**4*m7**6*B0del(0,0,m5sq) + 5*m1**4*m5**6*m7**6*B0del(0,0,m5sq) + 7*m3**4*m5**6*m7**6*B0del(0,0,m5sq) - 12*m1sq*m3sq*m5**6*m7**6*B0del(0,0,m5sq) - 2*m1sq*m5**8*m7**6*B0del(0,0,m5sq) + 2*m3sq*m5**8*m7**6*B0del(0,0,m5sq) + 38*m1**8*m5sq*m7**6*B0del(0,0,m5sq) - 10*m1**4*m3**4*m5sq*m7**6*B0del(0,0,m5sq) - 5*m1sq*m3**6*m5sq*m7**6*B0del(0,0,m5sq) - 23*m1**6*m3sq*m5sq*m7**6*B0del(0,0,m5sq) - 9*m1**4*m5**4*m7**8*B0del(0,0,m5sq) + 3*m3**4*m5**4*m7**8*B0del(0,0,m5sq) + 6*m1sq*m3sq*m5**4*m7**8*B0del(0,0,m5sq) - 24*m1**6*m5sq*m7**8*B0del(0,0,m5sq) + 10*m1sq*m3**4*m5sq*m7**8*B0del(0,0,m5sq) + m3**6*m5sq*m7**8*B0del(0,0,m5sq) + 13*m1**4*m3sq*m5sq*m7**8*B0del(0,0,m5sq) + 2*m1sq*m5**4*m7**10*B0del(0,0,m5sq) - 2*m3sq*m5**4*m7**10*B0del(0,0,m5sq) + 8*m1**4*m5sq*m7**10*B0del(0,0,m5sq) - 2*m3**4*m5sq*m7**10*B0del(0,0,m5sq) - 6*m1sq*m3sq*m5sq*m7**10*B0del(0,0,m5sq) - m1sq*m5sq*m7**12*B0del(0,0,m5sq) + m3sq*m5sq*m7**12*B0del(0,0,m5sq) + 13*m1**10*m5**4*m7sq*B0del(0,0,m5sq) + 23*m1**6*m3**4*m5**4*m7sq*B0del(0,0,m5sq) + 11*m1**4*m3**6*m5**4*m7sq*B0del(0,0,m5sq) - 47*m1**8*m3sq*m5**4*m7sq*B0del(0,0,m5sq) - 43*m1**8*m5**6*m7sq*B0del(0,0,m5sq) - 53*m1**4*m3**4*m5**6*m7sq*B0del(0,0,m5sq) - 7*m1sq*m3**6*m5**6*m7sq*B0del(0,0,m5sq) + 103*m1**6*m3sq*m5**6*m7sq*B0del(0,0,m5sq) + 31*m1**6*m5**8*m7sq*B0del(0,0,m5sq) + 29*m1sq*m3**4*m5**8*m7sq*B0del(0,0,m5sq) + m3**6*m5**8*m7sq*B0del(0,0,m5sq) - 61*m1**4*m3sq*m5**8*m7sq*B0del(0,0,m5sq) - 5*m1**4*m5**10*m7sq*B0del(0,0,m5sq) - m3**4*m5**10*m7sq*B0del(0,0,m5sq) + 6*m1sq*m3sq*m5**10*m7sq*B0del(0,0,m5sq) + 4*m1**12*m5sq*m7sq*B0del(0,0,m5sq) + 2*m1**8*m3**4*m5sq*m7sq*B0del(0,0,m5sq) - 5*m1**6*m3**6*m5sq*m7sq*B0del(0,0,m5sq) - m1**10*m3sq*m5sq*m7sq*B0del(0,0,m5sq) + 4*m1**12*m7**4*B0del(0,0,m7sq) - m1**6*m3**6*m7**4*B0del(0,0,m7sq) - 3*m1**10*m3sq*m7**4*B0del(0,0,m7sq) - 39*m1**8*m5**4*m7**4*B0del(0,0,m7sq) - 29*m1**4*m3**4*m5**4*m7**4*B0del(0,0,m7sq) - 11*m1sq*m3**6*m5**4*m7**4*B0del(0,0,m7sq) + 79*m1**6*m3sq*m5**4*m7**4*B0del(0,0,m7sq) + 23*m1**6*m5**6*m7**4*B0del(0,0,m7sq) + 25*m1sq*m3**4*m5**6*m7**4*B0del(0,0,m7sq) + 5*m3**6*m5**6*m7**4*B0del(0,0,m7sq) - 53*m1**4*m3sq*m5**6*m7**4*B0del(0,0,m7sq) + 7*m1**4*m5**8*m7**4*B0del(0,0,m7sq) - 7*m3**4*m5**8*m7**4*B0del(0,0,m7sq) - 6*m1sq*m5**10*m7**4*B0del(0,0,m7sq) + 6*m3sq*m5**10*m7**4*B0del(0,0,m7sq) + 11*m1**10*m5sq*m7**4*B0del(0,0,m7sq) + 11*m1**6*m3**4*m5sq*m7**4*B0del(0,0,m7sq) + 7*m1**4*m3**6*m5sq*m7**4*B0del(0,0,m7sq) - 29*m1**8*m3sq*m5sq*m7**4*B0del(0,0,m7sq) - 24*m1**10*m7**6*B0del(0,0,m7sq) + 6*m1**6*m3**4*m7**6*B0del(0,0,m7sq) - m1**4*m3**6*m7**6*B0del(0,0,m7sq) + 19*m1**8*m3sq*m7**6*B0del(0,0,m7sq) - 6*m1**6*m5**4*m7**6*B0del(0,0,m7sq) + 8*m1sq*m3**4*m5**4*m7**6*B0del(0,0,m7sq) - 5*m3**6*m5**4*m7**6*B0del(0,0,m7sq) + 3*m1**4*m3sq*m5**4*m7**6*B0del(0,0,m7sq) - 7*m1**4*m5**6*m7**6*B0del(0,0,m7sq) - 3*m3**4*m5**6*m7**6*B0del(0,0,m7sq) + 10*m1sq*m3sq*m5**6*m7**6*B0del(0,0,m7sq) + 16*m1sq*m5**8*m7**6*B0del(0,0,m7sq) - 16*m3sq*m5**8*m7**6*B0del(0,0,m7sq) + 21*m1**8*m5sq*m7**6*B0del(0,0,m7sq) - 11*m1**4*m3**4*m5sq*m7**6*B0del(0,0,m7sq) + 6*m1sq*m3**6*m5sq*m7**6*B0del(0,0,m7sq) - 16*m1**6*m3sq*m5sq*m7**6*B0del(0,0,m7sq) + 34*m1**8*m7**8*B0del(0,0,m7sq) - 2*m1**4*m3**4*m7**8*B0del(0,0,m7sq) - m1sq*m3**6*m7**8*B0del(0,0,m7sq) - 31*m1**6*m3sq*m7**8*B0del(0,0,m7sq) - 3*m1**4*m5**4*m7**8*B0del(0,0,m7sq) + 11*m3**4*m5**4*m7**8*B0del(0,0,m7sq) - 8*m1sq*m3sq*m5**4*m7**8*B0del(0,0,m7sq) - 22*m1sq*m5**6*m7**8*B0del(0,0,m7sq) + 22*m3sq*m5**6*m7**8*B0del(0,0,m7sq) - 9*m1**6*m5sq*m7**8*B0del(0,0,m7sq) - 9*m1sq*m3**4*m5sq*m7**8*B0del(0,0,m7sq) + m3**6*m5sq*m7**8*B0del(0,0,m7sq) + 17*m1**4*m3sq*m5sq*m7**8*B0del(0,0,m7sq) - 18*m1**6*m7**10*B0del(0,0,m7sq) + 3*m1sq*m3**4*m7**10*B0del(0,0,m7sq) + 15*m1**4*m3sq*m7**10*B0del(0,0,m7sq) + 15*m1sq*m5**4*m7**10*B0del(0,0,m7sq) - 15*m3sq*m5**4*m7**10*B0del(0,0,m7sq) + 3*m1**4*m5sq*m7**10*B0del(0,0,m7sq) - 3*m3**4*m5sq*m7**10*B0del(0,0,m7sq) + 4*m1**4*m7**12*B0del(0,0,m7sq) - 4*m1sq*m3sq*m7**12*B0del(0,0,m7sq) - 4*m1sq*m5sq*m7**12*B0del(0,0,m7sq) + 4*m3sq*m5sq*m7**12*B0del(0,0,m7sq) - 7*m1**10*m3**4*m7sq*B0del(0,0,m7sq) + 3*m1**8*m3**6*m7sq*B0del(0,0,m7sq) + 4*m1**12*m3sq*m7sq*B0del(0,0,m7sq) + 13*m1**10*m5**4*m7sq*B0del(0,0,m7sq) - 14*m1**6*m3**4*m5**4*m7sq*B0del(0,0,m7sq) + 6*m1**4*m3**6*m5**4*m7sq*B0del(0,0,m7sq) - 5*m1**8*m3sq*m5**4*m7sq*B0del(0,0,m7sq) - 16*m1**8*m5**6*m7sq*B0del(0,0,m7sq) + 4*m1**4*m3**4*m5**6*m7sq*B0del(0,0,m7sq) + 12*m1**6*m3sq*m5**6*m7sq*B0del(0,0,m7sq) + 10*m1**6*m5**8*m7sq*B0del(0,0,m7sq) - 3*m1sq*m3**4*m5**8*m7sq*B0del(0,0,m7sq) - m3**6*m5**8*m7sq*B0del(0,0,m7sq) - 6*m1**4*m3sq*m5**8*m7sq*B0del(0,0,m7sq) - 4*m1**4*m5**10*m7sq*B0del(0,0,m7sq) + 2*m3**4*m5**10*m7sq*B0del(0,0,m7sq) + 2*m1sq*m3sq*m5**10*m7sq*B0del(0,0,m7sq) + m1sq*m5**12*m7sq*B0del(0,0,m7sq) - m3sq*m5**12*m7sq*B0del(0,0,m7sq) - 4*m1**12*m5sq*m7sq*B0del(0,0,m7sq) + 18*m1**8*m3**4*m5sq*m7sq*B0del(0,0,m7sq) - 8*m1**6*m3**6*m5sq*m7sq*B0del(0,0,m7sq) - 6*m1**10*m3sq*m5sq*m7sq*B0del(0,0,m7sq) - 4*m1**11*m3**4*B0fin(0,0,m1) - 4*m1**9*m3**6*B0fin(0,0,m1) - 4*m1**11*m5**4*B0fin(0,0,m1) - 56*m1**7*m3**4*m5**4*B0fin(0,0,m1) - 24*m1**5*m3**6*m5**4*B0fin(0,0,m1) - 36*m1**9*m3sq*m5**4*B0fin(0,0,m1) + 16*m1**9*m5**6*B0fin(0,0,m1) + 64*m1**5*m3**4*m5**6*B0fin(0,0,m1) + 16*m1**3*m3**6*m5**6*B0fin(0,0,m1) + 64*m1**7*m3sq*m5**6*B0fin(0,0,m1) - 24*m1**7*m5**8*B0fin(0,0,m1) - 36*m1**3*m3**4*m5**8*B0fin(0,0,m1) - 4*m1*m3**6*m5**8*B0fin(0,0,m1) - 56*m1**5*m3sq*m5**8*B0fin(0,0,m1) + 16*m1**5*m5**10*B0fin(0,0,m1) + 8*m1*m3**4*m5**10*B0fin(0,0,m1) + 24*m1**3*m3sq*m5**10*B0fin(0,0,m1) - 4*m1**3*m5**12*B0fin(0,0,m1) - 4*m1*m3sq*m5**12*B0fin(0,0,m1) + 24*m1**9*m3**4*m5sq*B0fin(0,0,m1) + 16*m1**7*m3**6*m5sq*B0fin(0,0,m1) + 8*m1**11*m3sq*m5sq*B0fin(0,0,m1) - 4*m1**11*m7**4*B0fin(0,0,m1) - 4*m1**7*m3**4*m7**4*B0fin(0,0,m1) - 6*m1**5*m3**6*m7**4*B0fin(0,0,m1) - 8*m1**9*m3sq*m7**4*B0fin(0,0,m1) - 12*m1**7*m5**4*m7**4*B0fin(0,0,m1) + 64*m1**3*m3**4*m5**4*m7**4*B0fin(0,0,m1) - 22*m1*m3**6*m5**4*m7**4*B0fin(0,0,m1) - 58*m1**5*m3sq*m5**4*m7**4*B0fin(0,0,m1) + 42*m1**5*m5**6*m7**4*B0fin(0,0,m1) + 6*m1*m3**4*m5**6*m7**4*B0fin(0,0,m1) + 44*m1**3*m3sq*m5**6*m7**4*B0fin(0,0,m1) + 4*m1**3*m5**8*m7**4*B0fin(0,0,m1) - 50*m1*m3sq*m5**8*m7**4*B0fin(0,0,m1) - 10*m1*m5**10*m7**4*B0fin(0,0,m1) + 12*m1**9*m5sq*m7**4*B0fin(0,0,m1) + 30*m1**5*m3**4*m5sq*m7**4*B0fin(0,0,m1) - 4*m1**3*m3**6*m5sq*m7**4*B0fin(0,0,m1) - 24*m1**7*m3sq*m5sq*m7**4*B0fin(0,0,m1) + 2*m1**9*m7**6*B0fin(0,0,m1) - 2*m1**5*m3**4*m7**6*B0fin(0,0,m1) + 4*m1**3*m3**6*m7**6*B0fin(0,0,m1) - 16*m1**7*m3sq*m7**6*B0fin(0,0,m1) - 54*m1**5*m5**4*m7**6*B0fin(0,0,m1) + 26*m1*m3**4*m5**4*m7**6*B0fin(0,0,m1) - 12*m1**3*m3sq*m5**4*m7**6*B0fin(0,0,m1) - 24*m1**3*m5**6*m7**6*B0fin(0,0,m1) + 72*m1*m3sq*m5**6*m7**6*B0fin(0,0,m1) + 20*m1*m5**8*m7**6*B0fin(0,0,m1) - 24*m1**7*m5sq*m7**6*B0fin(0,0,m1) - 8*m1**3*m3**4*m5sq*m7**6*B0fin(0,0,m1) + 12*m1*m3**6*m5sq*m7**6*B0fin(0,0,m1) + 4*m1**5*m3sq*m5sq*m7**6*B0fin(0,0,m1) + 12*m1**7*m7**8*B0fin(0,0,m1) - 4*m1**3*m3**4*m7**8*B0fin(0,0,m1) - 2*m1*m3**6*m7**8*B0fin(0,0,m1) + 22*m1**5*m3sq*m7**8*B0fin(0,0,m1) + 28*m1**3*m5**4*m7**8*B0fin(0,0,m1) - 56*m1*m3sq*m5**4*m7**8*B0fin(0,0,m1) - 20*m1*m5**6*m7**8*B0fin(0,0,m1) + 46*m1**5*m5sq*m7**8*B0fin(0,0,m1) - 22*m1*m3**4*m5sq*m7**8*B0fin(0,0,m1) - 4*m1**3*m3sq*m5sq*m7**8*B0fin(0,0,m1) - 14*m1**5*m7**10*B0fin(0,0,m1) + 4*m1*m3**4*m7**10*B0fin(0,0,m1) - 4*m1**3*m3sq*m7**10*B0fin(0,0,m1) + 10*m1*m5**4*m7**10*B0fin(0,0,m1) - 16*m1**3*m5sq*m7**10*B0fin(0,0,m1) + 20*m1*m3sq*m5sq*m7**10*B0fin(0,0,m1) + 4*m1**3*m7**12*B0fin(0,0,m1) - 2*m1*m3sq*m7**12*B0fin(0,0,m1) - 2*m1*m5sq*m7**12*B0fin(0,0,m1) + 10*m1**9*m3**4*m7sq*B0fin(0,0,m1) + 8*m1**7*m3**6*m7sq*B0fin(0,0,m1) + 8*m1**11*m3sq*m7sq*B0fin(0,0,m1) - 30*m1**9*m5**4*m7sq*B0fin(0,0,m1) + 44*m1**5*m3**4*m5**4*m7sq*B0fin(0,0,m1) - 24*m1**3*m3**6*m5**4*m7sq*B0fin(0,0,m1) + 24*m1**7*m3sq*m5**4*m7sq*B0fin(0,0,m1) + 48*m1**7*m5**6*m7sq*B0fin(0,0,m1) + 16*m1**3*m3**4*m5**6*m7sq*B0fin(0,0,m1) + 16*m1*m3**6*m5**6*m7sq*B0fin(0,0,m1) + 24*m1**5*m3sq*m5**6*m7sq*B0fin(0,0,m1) - 36*m1**5*m5**8*m7sq*B0fin(0,0,m1) - 22*m1*m3**4*m5**8*m7sq*B0fin(0,0,m1) - 48*m1**3*m3sq*m5**8*m7sq*B0fin(0,0,m1) + 8*m1**3*m5**10*m7sq*B0fin(0,0,m1) + 20*m1*m3sq*m5**10*m7sq*B0fin(0,0,m1) + 2*m1*m5**12*m7sq*B0fin(0,0,m1) + 8*m1**11*m5sq*m7sq*B0fin(0,0,m1) - 48*m1**7*m3**4*m5sq*m7sq*B0fin(0,0,m1) - 28*m1**9*m3sq*m5sq*m7sq*B0fin(0,0,m1) + 2*m1**12*m3**4*B0fin(0,0,m1sq) + 2*m1**10*m3**6*B0fin(0,0,m1sq) + 2*m1**12*m5**4*B0fin(0,0,m1sq) + 32*m1**8*m3**4*m5**4*B0fin(0,0,m1sq) + 26*m1**10*m3sq*m5**4*B0fin(0,0,m1sq) - 12*m1**10*m5**6*B0fin(0,0,m1sq) - 20*m1**6*m3**4*m5**6*B0fin(0,0,m1sq) + 4*m1**4*m3**6*m5**6*B0fin(0,0,m1sq) - 52*m1**8*m3sq*m5**6*B0fin(0,0,m1sq) + 24*m1**8*m5**8*B0fin(0,0,m1sq) - 2*m1**4*m3**4*m5**8*B0fin(0,0,m1sq) - 2*m1sq*m3**6*m5**8*B0fin(0,0,m1sq) + 40*m1**6*m3sq*m5**8*B0fin(0,0,m1sq) - 20*m1**6*m5**10*B0fin(0,0,m1sq) + 4*m1sq*m3**4*m5**10*B0fin(0,0,m1sq) - 8*m1**4*m3sq*m5**10*B0fin(0,0,m1sq) + 6*m1**4*m5**12*B0fin(0,0,m1sq) - 2*m1sq*m3sq*m5**12*B0fin(0,0,m1sq) - 16*m1**10*m3**4*m5sq*B0fin(0,0,m1sq) - 4*m1**8*m3**6*m5sq*B0fin(0,0,m1sq) - 4*m1**12*m3sq*m5sq*B0fin(0,0,m1sq) + 2*m1**12*m7**4*B0fin(0,0,m1sq) - 5*m1**8*m3**4*m7**4*B0fin(0,0,m1sq) + 2*m1**6*m3**6*m7**4*B0fin(0,0,m1sq) + 12*m1**10*m3sq*m7**4*B0fin(0,0,m1sq) + 25*m1**8*m5**4*m7**4*B0fin(0,0,m1sq) - 13*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m1sq) + 4*m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m1sq) - 2*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m1sq) - 78*m1**6*m5**6*m7**4*B0fin(0,0,m1sq) - 4*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m1sq) - 3*m3**6*m5**6*m7**4*B0fin(0,0,m1sq) + 39*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m1sq) + 27*m1**4*m5**8*m7**4*B0fin(0,0,m1sq) + 4*m3**4*m5**8*m7**4*B0fin(0,0,m1sq) - 8*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m1sq) + 10*m1sq*m5**10*m7**4*B0fin(0,0,m1sq) - 5*m3sq*m5**10*m7**4*B0fin(0,0,m1sq) - 2*m1**10*m5sq*m7**4*B0fin(0,0,m1sq) - 30*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m1sq) + 13*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m1sq) + 12*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m1sq) - 5*m1**10*m7**6*B0fin(0,0,m1sq) + 7*m1**6*m3**4*m7**6*B0fin(0,0,m1sq) - 6*m1**4*m3**6*m7**6*B0fin(0,0,m1sq) + 10*m1**8*m3sq*m7**6*B0fin(0,0,m1sq) + 70*m1**6*m5**4*m7**6*B0fin(0,0,m1sq) - 4*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m1sq) + 3*m3**6*m5**4*m7**6*B0fin(0,0,m1sq) - 49*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m1sq) - 12*m1**4*m5**6*m7**6*B0fin(0,0,m1sq) - 12*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m1sq) - 20*m1sq*m5**8*m7**6*B0fin(0,0,m1sq) + 10*m3sq*m5**8*m7**6*B0fin(0,0,m1sq) + 7*m1**8*m5sq*m7**6*B0fin(0,0,m1sq) - 11*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m1sq) - 5*m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m1sq) + 17*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m1sq) - 5*m1**8*m7**8*B0fin(0,0,m1sq) + 9*m1**4*m3**4*m7**8*B0fin(0,0,m1sq) + 2*m1sq*m3**6*m7**8*B0fin(0,0,m1sq) - 20*m1**6*m3sq*m7**8*B0fin(0,0,m1sq) - 6*m1**4*m5**4*m7**8*B0fin(0,0,m1sq) - 4*m3**4*m5**4*m7**8*B0fin(0,0,m1sq) + 24*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m1sq) + 20*m1sq*m5**6*m7**8*B0fin(0,0,m1sq) - 10*m3sq*m5**6*m7**8*B0fin(0,0,m1sq) - 42*m1**6*m5sq*m7**8*B0fin(0,0,m1sq) + 8*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m1sq) - m3**6*m5sq*m7**8*B0fin(0,0,m1sq) + 25*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m1sq) + 11*m1**6*m7**10*B0fin(0,0,m1sq) - 4*m1sq*m3**4*m7**10*B0fin(0,0,m1sq) - 10*m1sq*m5**4*m7**10*B0fin(0,0,m1sq) + 5*m3sq*m5**4*m7**10*B0fin(0,0,m1sq) + 9*m1**4*m5sq*m7**10*B0fin(0,0,m1sq) + 2*m3**4*m5sq*m7**10*B0fin(0,0,m1sq) - 13*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m1sq) - 3*m1**4*m7**12*B0fin(0,0,m1sq) + 2*m1sq*m3sq*m7**12*B0fin(0,0,m1sq) + 2*m1sq*m5sq*m7**12*B0fin(0,0,m1sq) - m3sq*m5sq*m7**12*B0fin(0,0,m1sq) - 9*m1**10*m3**4*m7sq*B0fin(0,0,m1sq) - 4*m1**12*m3sq*m7sq*B0fin(0,0,m1sq) + 19*m1**10*m5**4*m7sq*B0fin(0,0,m1sq) + 13*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m1sq) - 5*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m1sq) - 34*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m1sq) - 51*m1**8*m5**6*m7sq*B0fin(0,0,m1sq) - 7*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m1sq) + m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m1sq) + 5*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m1sq) + 59*m1**6*m5**8*m7sq*B0fin(0,0,m1sq) + m3**6*m5**8*m7sq*B0fin(0,0,m1sq) - 7*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m1sq) - 21*m1**4*m5**10*m7sq*B0fin(0,0,m1sq) - 2*m3**4*m5**10*m7sq*B0fin(0,0,m1sq) + 9*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m1sq) - 2*m1sq*m5**12*m7sq*B0fin(0,0,m1sq) + m3sq*m5**12*m7sq*B0fin(0,0,m1sq) - 4*m1**12*m5sq*m7sq*B0fin(0,0,m1sq) + 5*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m1sq) + 3*m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m1sq) + 30*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m1sq) - m1**12*m3**4*B0fin(0,0,m1sq)**2 + m1**10*m3**6*B0fin(0,0,m1sq)**2 - m1**12*m5**4*B0fin(0,0,m1sq)**2 + 2*m1**8*m3**4*m5**4*B0fin(0,0,m1sq)**2 + 6*m1**6*m3**6*m5**4*B0fin(0,0,m1sq)**2 - 7*m1**10*m3sq*m5**4*B0fin(0,0,m1sq)**2 + 4*m1**10*m5**6*B0fin(0,0,m1sq)**2 - 8*m1**6*m3**4*m5**6*B0fin(0,0,m1sq)**2 - 4*m1**4*m3**6*m5**6*B0fin(0,0,m1sq)**2 + 8*m1**8*m3sq*m5**6*B0fin(0,0,m1sq)**2 - 6*m1**8*m5**8*B0fin(0,0,m1sq)**2 + 7*m1**4*m3**4*m5**8*B0fin(0,0,m1sq)**2 + m1sq*m3**6*m5**8*B0fin(0,0,m1sq)**2 - 2*m1**6*m3sq*m5**8*B0fin(0,0,m1sq)**2 + 4*m1**6*m5**10*B0fin(0,0,m1sq)**2 - 2*m1sq*m3**4*m5**10*B0fin(0,0,m1sq)**2 - 2*m1**4*m3sq*m5**10*B0fin(0,0,m1sq)**2 - m1**4*m5**12*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m5**12*B0fin(0,0,m1sq)**2 + 2*m1**10*m3**4*m5sq*B0fin(0,0,m1sq)**2 - 4*m1**8*m3**6*m5sq*B0fin(0,0,m1sq)**2 + 2*m1**12*m3sq*m5sq*B0fin(0,0,m1sq)**2 - m1**12*m7**4*B0fin(0,0,m1sq)**2 + 2*m1**8*m3**4*m7**4*B0fin(0,0,m1sq)**2 + 6*m1**6*m3**6*m7**4*B0fin(0,0,m1sq)**2 - 7*m1**10*m3sq*m7**4*B0fin(0,0,m1sq)**2 - 4*m1**8*m5**4*m7**4*B0fin(0,0,m1sq)**2 - 22*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m1sq)**2 + 6*m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m1sq)**2 + 20*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m1sq)**2 + 8*m1**6*m5**6*m7**4*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m1sq)**2 - 15*m1**4*m5**8*m7**4*B0fin(0,0,m1sq)**2 + 15*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m1sq)**2 - 4*m1**10*m5sq*m7**4*B0fin(0,0,m1sq)**2 - 24*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m1sq)**2 + 4*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m1sq)**2 + 24*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m1sq)**2 + 4*m1**10*m7**6*B0fin(0,0,m1sq)**2 - 8*m1**6*m3**4*m7**6*B0fin(0,0,m1sq)**2 - 4*m1**4*m3**6*m7**6*B0fin(0,0,m1sq)**2 + 8*m1**8*m3sq*m7**6*B0fin(0,0,m1sq)**2 + 8*m1**6*m5**4*m7**6*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m1sq)**2 - 4*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m1sq)**2 + 20*m1**4*m5**6*m7**6*B0fin(0,0,m1sq)**2 - 20*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m1sq)**2 + 8*m1**8*m5sq*m7**6*B0fin(0,0,m1sq)**2 + 4*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m1sq)**2 - 8*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m1sq)**2 - 6*m1**8*m7**8*B0fin(0,0,m1sq)**2 + 7*m1**4*m3**4*m7**8*B0fin(0,0,m1sq)**2 + m1sq*m3**6*m7**8*B0fin(0,0,m1sq)**2 - 2*m1**6*m3sq*m7**8*B0fin(0,0,m1sq)**2 - 15*m1**4*m5**4*m7**8*B0fin(0,0,m1sq)**2 + 15*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m1sq)**2 - 12*m1**6*m5sq*m7**8*B0fin(0,0,m1sq)**2 + 6*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m1sq)**2 + 6*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m1sq)**2 + 4*m1**6*m7**10*B0fin(0,0,m1sq)**2 - 2*m1sq*m3**4*m7**10*B0fin(0,0,m1sq)**2 - 2*m1**4*m3sq*m7**10*B0fin(0,0,m1sq)**2 + 6*m1**4*m5sq*m7**10*B0fin(0,0,m1sq)**2 - 6*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m1sq)**2 - m1**4*m7**12*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m7**12*B0fin(0,0,m1sq)**2 + 2*m1**10*m3**4*m7sq*B0fin(0,0,m1sq)**2 - 4*m1**8*m3**6*m7sq*B0fin(0,0,m1sq)**2 + 2*m1**12*m3sq*m7sq*B0fin(0,0,m1sq)**2 - 4*m1**10*m5**4*m7sq*B0fin(0,0,m1sq)**2 - 24*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m1sq)**2 + 4*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m1sq)**2 + 24*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m1sq)**2 + 8*m1**8*m5**6*m7sq*B0fin(0,0,m1sq)**2 + 4*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m1sq)**2 - 8*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m1sq)**2 - 12*m1**6*m5**8*m7sq*B0fin(0,0,m1sq)**2 + 6*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m1sq)**2 + 6*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m1sq)**2 + 6*m1**4*m5**10*m7sq*B0fin(0,0,m1sq)**2 - 6*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m1sq)**2 + 2*m1**12*m5sq*m7sq*B0fin(0,0,m1sq)**2 + 12*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m1sq)**2 + 4*m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m1sq)**2 - 18*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m1sq)**2 + 8*m1**12*m3**3*B0fin(0,0,m3) + 40*m1**10*m3*m5**4*B0fin(0,0,m3) + 80*m1**8*m3**3*m5**4*B0fin(0,0,m3) - 80*m1**8*m3*m5**6*B0fin(0,0,m3) - 80*m1**6*m3**3*m5**6*B0fin(0,0,m3) + 80*m1**6*m3*m5**8*B0fin(0,0,m3) + 40*m1**4*m3**3*m5**8*B0fin(0,0,m3) - 40*m1**4*m3*m5**10*B0fin(0,0,m3) - 8*m1sq*m3**3*m5**10*B0fin(0,0,m3) + 8*m1sq*m3*m5**12*B0fin(0,0,m3) - 8*m1**12*m3*m5sq*B0fin(0,0,m3) - 40*m1**10*m3**3*m5sq*B0fin(0,0,m3) - 34*m1**10*m3*m7**4*B0fin(0,0,m3) + 56*m1**8*m3**3*m7**4*B0fin(0,0,m3) + 12*m1**6*m3*m5**4*m7**4*B0fin(0,0,m3) + 16*m1**4*m3**3*m5**4*m7**4*B0fin(0,0,m3) - 60*m1**4*m3*m5**6*m7**4*B0fin(0,0,m3) - 32*m1sq*m3**3*m5**6*m7**4*B0fin(0,0,m3) + 54*m1sq*m3*m5**8*m7**4*B0fin(0,0,m3) - 8*m3**3*m5**8*m7**4*B0fin(0,0,m3) + 10*m3*m5**10*m7**4*B0fin(0,0,m3) + 18*m1**8*m3*m5sq*m7**4*B0fin(0,0,m3) - 32*m1**6*m3**3*m5sq*m7**4*B0fin(0,0,m3) + 56*m1**8*m3*m7**6*B0fin(0,0,m3) - 44*m1**6*m3**3*m7**6*B0fin(0,0,m3) + 12*m1**4*m3*m5**4*m7**6*B0fin(0,0,m3) + 28*m1sq*m3**3*m5**4*m7**6*B0fin(0,0,m3) - 60*m1sq*m3*m5**6*m7**6*B0fin(0,0,m3) + 12*m3**3*m5**6*m7**6*B0fin(0,0,m3) - 20*m3*m5**8*m7**6*B0fin(0,0,m3) + 12*m1**6*m3*m5sq*m7**6*B0fin(0,0,m3) + 4*m1**4*m3**3*m5sq*m7**6*B0fin(0,0,m3) - 44*m1**6*m3*m7**8*B0fin(0,0,m3) + 16*m1**4*m3**3*m7**8*B0fin(0,0,m3) + 36*m1sq*m3*m5**4*m7**8*B0fin(0,0,m3) - 8*m3**3*m5**4*m7**8*B0fin(0,0,m3) + 20*m3*m5**6*m7**8*B0fin(0,0,m3) - 12*m1**4*m3*m5sq*m7**8*B0fin(0,0,m3) - 8*m1sq*m3**3*m5sq*m7**8*B0fin(0,0,m3) + 16*m1**4*m3*m7**10*B0fin(0,0,m3) - 2*m1sq*m3**3*m7**10*B0fin(0,0,m3) - 10*m3*m5**4*m7**10*B0fin(0,0,m3) - 6*m1sq*m3*m5sq*m7**10*B0fin(0,0,m3) + 2*m3**3*m5sq*m7**10*B0fin(0,0,m3) - 2*m1sq*m3*m7**12*B0fin(0,0,m3) + 2*m3*m5sq*m7**12*B0fin(0,0,m3) + 8*m1**12*m3*m7sq*B0fin(0,0,m3) - 34*m1**10*m3**3*m7sq*B0fin(0,0,m3) + 6*m1**8*m3*m5**4*m7sq*B0fin(0,0,m3) - 20*m1**6*m3**3*m5**4*m7sq*B0fin(0,0,m3) - 60*m1**6*m3*m5**6*m7sq*B0fin(0,0,m3) - 44*m1**4*m3**3*m5**6*m7sq*B0fin(0,0,m3) + 84*m1**4*m3*m5**8*m7sq*B0fin(0,0,m3) + 22*m1sq*m3**3*m5**8*m7sq*B0fin(0,0,m3) - 30*m1sq*m3*m5**10*m7sq*B0fin(0,0,m3) + 2*m3**3*m5**10*m7sq*B0fin(0,0,m3) - 2*m3*m5**12*m7sq*B0fin(0,0,m3) - 6*m1**10*m3*m5sq*m7sq*B0fin(0,0,m3) + 74*m1**8*m3**3*m5sq*m7sq*B0fin(0,0,m3) - 4*m1**12*m3**4*B0fin(0,0,m3sq) - 40*m1**8*m3**4*m5**4*B0fin(0,0,m3sq) - 20*m1**10*m3sq*m5**4*B0fin(0,0,m3sq) + 40*m1**6*m3**4*m5**6*B0fin(0,0,m3sq) + 40*m1**8*m3sq*m5**6*B0fin(0,0,m3sq) - 20*m1**4*m3**4*m5**8*B0fin(0,0,m3sq) - 40*m1**6*m3sq*m5**8*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m5**10*B0fin(0,0,m3sq) + 20*m1**4*m3sq*m5**10*B0fin(0,0,m3sq) - 4*m1sq*m3sq*m5**12*B0fin(0,0,m3sq) + 20*m1**10*m3**4*m5sq*B0fin(0,0,m3sq) + 4*m1**12*m3sq*m5sq*B0fin(0,0,m3sq) - 28*m1**8*m3**4*m7**4*B0fin(0,0,m3sq) + 17*m1**10*m3sq*m7**4*B0fin(0,0,m3sq) - 8*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m3sq) - 6*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m3sq) + 16*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m3sq) + 30*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m3sq) + 4*m3**4*m5**8*m7**4*B0fin(0,0,m3sq) - 27*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m3sq) - 5*m3sq*m5**10*m7**4*B0fin(0,0,m3sq) + 16*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m3sq) - 9*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m3sq) + 22*m1**6*m3**4*m7**6*B0fin(0,0,m3sq) - 28*m1**8*m3sq*m7**6*B0fin(0,0,m3sq) - 14*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m3sq) - 6*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m3sq) - 6*m3**4*m5**6*m7**6*B0fin(0,0,m3sq) + 30*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m3sq) + 10*m3sq*m5**8*m7**6*B0fin(0,0,m3sq) - 2*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m3sq) - 6*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m3sq) - 8*m1**4*m3**4*m7**8*B0fin(0,0,m3sq) + 22*m1**6*m3sq*m7**8*B0fin(0,0,m3sq) + 4*m3**4*m5**4*m7**8*B0fin(0,0,m3sq) - 18*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m3sq) - 10*m3sq*m5**6*m7**8*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m3sq) + 6*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m3sq) + m1sq*m3**4*m7**10*B0fin(0,0,m3sq) - 8*m1**4*m3sq*m7**10*B0fin(0,0,m3sq) + 5*m3sq*m5**4*m7**10*B0fin(0,0,m3sq) - m3**4*m5sq*m7**10*B0fin(0,0,m3sq) + 3*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m3sq) + m1sq*m3sq*m7**12*B0fin(0,0,m3sq) - m3sq*m5sq*m7**12*B0fin(0,0,m3sq) + 17*m1**10*m3**4*m7sq*B0fin(0,0,m3sq) - 4*m1**12*m3sq*m7sq*B0fin(0,0,m3sq) + 10*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m3sq) - 3*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m3sq) + 22*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m3sq) + 30*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m3sq) - 11*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m3sq) - 42*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m3sq) - m3**4*m5**10*m7sq*B0fin(0,0,m3sq) + 15*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m3sq) + m3sq*m5**12*m7sq*B0fin(0,0,m3sq) - 37*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m3sq) + 3*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m3sq) - 8*m1**10*m3**4*m5*B0fin(0,0,m5) + 8*m1**12*m3sq*m5*B0fin(0,0,m5) - 8*m1**12*m5**3*B0fin(0,0,m5) + 32*m1**8*m3**4*m5**3*B0fin(0,0,m5) - 24*m1**10*m3sq*m5**3*B0fin(0,0,m5) + 32*m1**10*m5**5*B0fin(0,0,m5) - 48*m1**6*m3**4*m5**5*B0fin(0,0,m5) + 16*m1**8*m3sq*m5**5*B0fin(0,0,m5) - 48*m1**8*m5**7*B0fin(0,0,m5) + 32*m1**4*m3**4*m5**7*B0fin(0,0,m5) + 16*m1**6*m3sq*m5**7*B0fin(0,0,m5) + 32*m1**6*m5**9*B0fin(0,0,m5) - 8*m1sq*m3**4*m5**9*B0fin(0,0,m5) - 24*m1**4*m3sq*m5**9*B0fin(0,0,m5) - 8*m1**4*m5**11*B0fin(0,0,m5) + 8*m1sq*m3sq*m5**11*B0fin(0,0,m5) - 42*m1**10*m5*m7**4*B0fin(0,0,m5) + 4*m1**6*m3**4*m5*m7**4*B0fin(0,0,m5) + 18*m1**4*m3**6*m5*m7**4*B0fin(0,0,m5) + 20*m1**8*m3sq*m5*m7**4*B0fin(0,0,m5) + 14*m1**8*m5**3*m7**4*B0fin(0,0,m5) - 66*m1**4*m3**4*m5**3*m7**4*B0fin(0,0,m5) + 12*m1sq*m3**6*m5**3*m7**4*B0fin(0,0,m5) + 40*m1**6*m3sq*m5**3*m7**4*B0fin(0,0,m5) - 16*m1**6*m5**5*m7**4*B0fin(0,0,m5) - 24*m1sq*m3**4*m5**5*m7**4*B0fin(0,0,m5) + 2*m3**6*m5**5*m7**4*B0fin(0,0,m5) + 38*m1**4*m3sq*m5**5*m7**4*B0fin(0,0,m5) + 14*m1**4*m5**7*m7**4*B0fin(0,0,m5) - 10*m3**4*m5**7*m7**4*B0fin(0,0,m5) - 4*m1sq*m3sq*m5**7*m7**4*B0fin(0,0,m5) - 2*m1sq*m5**9*m7**4*B0fin(0,0,m5) + 2*m3sq*m5**9*m7**4*B0fin(0,0,m5) + 74*m1**8*m5*m7**6*B0fin(0,0,m5) - 34*m1**4*m3**4*m5*m7**6*B0fin(0,0,m5) - 12*m1sq*m3**6*m5*m7**6*B0fin(0,0,m5) - 28*m1**6*m3sq*m5*m7**6*B0fin(0,0,m5) + 20*m1**6*m5**3*m7**6*B0fin(0,0,m5) + 8*m1sq*m3**4*m5**3*m7**6*B0fin(0,0,m5) - 4*m3**6*m5**3*m7**6*B0fin(0,0,m5) - 24*m1**4*m3sq*m5**3*m7**6*B0fin(0,0,m5) - 10*m1**4*m5**5*m7**6*B0fin(0,0,m5) + 10*m3**4*m5**5*m7**6*B0fin(0,0,m5) - 4*m1sq*m5**7*m7**6*B0fin(0,0,m5) + 4*m3sq*m5**7*m7**6*B0fin(0,0,m5) - 56*m1**6*m5*m7**8*B0fin(0,0,m5) + 24*m1sq*m3**4*m5*m7**8*B0fin(0,0,m5) + 2*m3**6*m5*m7**8*B0fin(0,0,m5) + 30*m1**4*m3sq*m5*m7**8*B0fin(0,0,m5) - 14*m1**4*m5**3*m7**8*B0fin(0,0,m5) + 2*m3**4*m5**3*m7**8*B0fin(0,0,m5) + 12*m1sq*m3sq*m5**3*m7**8*B0fin(0,0,m5) + 4*m1sq*m5**5*m7**8*B0fin(0,0,m5) - 4*m3sq*m5**5*m7**8*B0fin(0,0,m5) + 18*m1**4*m5*m7**10*B0fin(0,0,m5) - 4*m3**4*m5*m7**10*B0fin(0,0,m5) - 14*m1sq*m3sq*m5*m7**10*B0fin(0,0,m5) + 2*m1sq*m5**3*m7**10*B0fin(0,0,m5) - 2*m3sq*m5**3*m7**10*B0fin(0,0,m5) - 2*m1sq*m5*m7**12*B0fin(0,0,m5) + 2*m3sq*m5*m7**12*B0fin(0,0,m5) + 8*m1**12*m5*m7sq*B0fin(0,0,m5) + 18*m1**8*m3**4*m5*m7sq*B0fin(0,0,m5) - 8*m1**6*m3**6*m5*m7sq*B0fin(0,0,m5) - 18*m1**10*m3sq*m5*m7sq*B0fin(0,0,m5) + 10*m1**10*m5**3*m7sq*B0fin(0,0,m5) + 16*m1**4*m3**6*m5**3*m7sq*B0fin(0,0,m5) - 26*m1**8*m3sq*m5**3*m7sq*B0fin(0,0,m5) - 40*m1**8*m5**5*m7sq*B0fin(0,0,m5) - 52*m1**4*m3**4*m5**5*m7sq*B0fin(0,0,m5) - 8*m1sq*m3**6*m5**5*m7sq*B0fin(0,0,m5) + 100*m1**6*m3sq*m5**5*m7sq*B0fin(0,0,m5) + 20*m1**6*m5**7*m7sq*B0fin(0,0,m5) + 32*m1sq*m3**4*m5**7*m7sq*B0fin(0,0,m5) - 52*m1**4*m3sq*m5**7*m7sq*B0fin(0,0,m5) + 2*m3**4*m5**9*m7sq*B0fin(0,0,m5) - 2*m1sq*m3sq*m5**9*m7sq*B0fin(0,0,m5) + 2*m1sq*m5**11*m7sq*B0fin(0,0,m5) - 2*m3sq*m5**11*m7sq*B0fin(0,0,m5) - 4*m1**12*m3**4*B0fin(0,0,m5sq) + 4*m1**10*m3**6*B0fin(0,0,m5sq) - 4*m1**8*m3**4*m5**4*B0fin(0,0,m5sq) + 12*m1**6*m3**6*m5**4*B0fin(0,0,m5sq) - 8*m1**10*m3sq*m5**4*B0fin(0,0,m5sq) - 4*m1**10*m5**6*B0fin(0,0,m5sq) + 4*m1**6*m3**4*m5**6*B0fin(0,0,m5sq) - 4*m1**4*m3**6*m5**6*B0fin(0,0,m5sq) + 4*m1**8*m3sq*m5**6*B0fin(0,0,m5sq) + 12*m1**8*m5**8*B0fin(0,0,m5sq) - 8*m1**4*m3**4*m5**8*B0fin(0,0,m5sq) - 4*m1**6*m3sq*m5**8*B0fin(0,0,m5sq) - 12*m1**6*m5**10*B0fin(0,0,m5sq) + 4*m1sq*m3**4*m5**10*B0fin(0,0,m5sq) + 8*m1**4*m3sq*m5**10*B0fin(0,0,m5sq) + 4*m1**4*m5**12*B0fin(0,0,m5sq) - 4*m1sq*m3sq*m5**12*B0fin(0,0,m5sq) + 8*m1**10*m3**4*m5sq*B0fin(0,0,m5sq) - 12*m1**8*m3**6*m5sq*B0fin(0,0,m5sq) + 4*m1**12*m3sq*m5sq*B0fin(0,0,m5sq) - 4*m1**12*m7**4*B0fin(0,0,m5sq) + 11*m1**8*m3**4*m7**4*B0fin(0,0,m5sq) + 15*m1**6*m3**6*m7**4*B0fin(0,0,m5sq) - 22*m1**10*m3sq*m7**4*B0fin(0,0,m5sq) + 12*m1**8*m5**4*m7**4*B0fin(0,0,m5sq) + 80*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m5sq) - 5*m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m5sq) - 87*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m5sq) + 15*m1**6*m5**6*m7**4*B0fin(0,0,m5sq) + 15*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m5sq) - 30*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m5sq) - 14*m1**4*m5**8*m7**4*B0fin(0,0,m5sq) + 3*m3**4*m5**8*m7**4*B0fin(0,0,m5sq) + 11*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m5sq) + 7*m1**10*m5sq*m7**4*B0fin(0,0,m5sq) - 61*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m5sq) - 26*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m5sq) + 80*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m5sq) + 13*m1**10*m7**6*B0fin(0,0,m5sq) - 23*m1**6*m3**4*m7**6*B0fin(0,0,m5sq) - 7*m1**4*m3**6*m7**6*B0fin(0,0,m5sq) + 17*m1**8*m3sq*m7**6*B0fin(0,0,m5sq) - 30*m1**6*m5**4*m7**6*B0fin(0,0,m5sq) - 20*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m5sq) + 2*m3**6*m5**4*m7**6*B0fin(0,0,m5sq) + 48*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m5sq) + 3*m1**4*m5**6*m7**6*B0fin(0,0,m5sq) - 7*m3**4*m5**6*m7**6*B0fin(0,0,m5sq) + 4*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m5sq) + 4*m1sq*m5**8*m7**6*B0fin(0,0,m5sq) - 4*m3sq*m5**8*m7**6*B0fin(0,0,m5sq) - 30*m1**8*m5sq*m7**6*B0fin(0,0,m5sq) + 58*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m5sq) + 13*m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m5sq) - 41*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m5sq) - 15*m1**8*m7**8*B0fin(0,0,m5sq) + 13*m1**4*m3**4*m7**8*B0fin(0,0,m5sq) + m1sq*m3**6*m7**8*B0fin(0,0,m5sq) + m1**6*m3sq*m7**8*B0fin(0,0,m5sq) + 19*m1**4*m5**4*m7**8*B0fin(0,0,m5sq) + m3**4*m5**4*m7**8*B0fin(0,0,m5sq) - 20*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m5sq) - 2*m1sq*m5**6*m7**8*B0fin(0,0,m5sq) + 2*m3sq*m5**6*m7**8*B0fin(0,0,m5sq) + 31*m1**6*m5sq*m7**8*B0fin(0,0,m5sq) - 27*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m5sq) - 2*m3**6*m5sq*m7**8*B0fin(0,0,m5sq) - 2*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m5sq) + 7*m1**6*m7**10*B0fin(0,0,m5sq) - 2*m1sq*m3**4*m7**10*B0fin(0,0,m5sq) - 5*m1**4*m3sq*m7**10*B0fin(0,0,m5sq) - 3*m1sq*m5**4*m7**10*B0fin(0,0,m5sq) + 3*m3sq*m5**4*m7**10*B0fin(0,0,m5sq) - 14*m1**4*m5sq*m7**10*B0fin(0,0,m5sq) + 4*m3**4*m5sq*m7**10*B0fin(0,0,m5sq) + 10*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m5sq) - m1**4*m7**12*B0fin(0,0,m5sq) + m1sq*m3sq*m7**12*B0fin(0,0,m5sq) + 2*m1sq*m5sq*m7**12*B0fin(0,0,m5sq) - 2*m3sq*m5sq*m7**12*B0fin(0,0,m5sq) + 5*m1**10*m3**4*m7sq*B0fin(0,0,m5sq) - 13*m1**8*m3**6*m7sq*B0fin(0,0,m5sq) + 8*m1**12*m3sq*m7sq*B0fin(0,0,m5sq) - 16*m1**10*m5**4*m7sq*B0fin(0,0,m5sq) - 63*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m5sq) - 15*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m5sq) + 94*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m5sq) + 21*m1**8*m5**6*m7sq*B0fin(0,0,m5sq) + 51*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m5sq) + m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m5sq) - 73*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m5sq) - 11*m1**6*m5**8*m7sq*B0fin(0,0,m5sq) - 10*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m5sq) + 21*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m5sq) + 3*m1**4*m5**10*m7sq*B0fin(0,0,m5sq) - m3**4*m5**10*m7sq*B0fin(0,0,m5sq) - 2*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m5sq) - m1sq*m5**12*m7sq*B0fin(0,0,m5sq) + m3sq*m5**12*m7sq*B0fin(0,0,m5sq) + 4*m1**12*m5sq*m7sq*B0fin(0,0,m5sq) + 18*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m5sq) + 27*m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m5sq) - 49*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m5sq) - 4*m1**12*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**12*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1**8*m3**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 12*m1**6*m3**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**10*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**10*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 28*m1**6*m3**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**4*m3**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 28*m1**8*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 12*m1**8*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m1**4*m3**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m3**6*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1**6*m3sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**6*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1sq*m3**4*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**4*m3sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m3sq*m5**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**10*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**8*m3**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1**12*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 14*m1**8*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 9*m1**6*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 18*m1**10*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 28*m1**8*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 30*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 91*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 17*m1**6*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 7*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m3**6*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 28*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 14*m1**4*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m3**4*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 17*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m5**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m3sq*m5**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 6*m1**10*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 37*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 54*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 9*m1**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 19*m1**6*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**4*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 16*m1**8*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 14*m1**6*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m3**6*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 11*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1**4*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m3**4*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 10*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m5**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m3sq*m5**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 11*m1**8*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 11*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 19*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 6*m1**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 12*m1**4*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 11*m1**6*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 18*m1**4*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m3**4*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1sq*m5**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m3sq*m5**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 15*m1**6*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**6*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m3**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**4*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m5**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m3sq*m5**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 7*m1**4*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m3sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m5sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 9*m1**10*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**8*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1**12*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 15*m1**10*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 45*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 9*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 66*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**8*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 11*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 5*m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 23*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 11*m1**6*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m3**6*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 23*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 5*m1**4*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m3**4*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 13*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m3sq*m5**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1**12*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 39*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 42*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**12*m3**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 40*m1**8*m3**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 20*m1**10*m3sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 40*m1**6*m3**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 40*m1**8*m3sq*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 20*m1**4*m3**4*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 40*m1**6*m3sq*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m1sq*m3**4*m5**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 20*m1**4*m3sq*m5**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 4*m1sq*m3sq*m5**12*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 20*m1**10*m3**4*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m1**12*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 28*m1**8*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 17*m1**10*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 8*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 26*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 16*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 14*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m3**4*m5**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 5*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 3*m3sq*m5**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 16*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 65*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 22*m1**6*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 28*m1**8*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 14*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 10*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 6*m3**4*m5**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m3sq*m5**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 38*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 8*m1**4*m3**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 22*m1**6*m3sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m3**4*m5**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 10*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m3sq*m5**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 10*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m1sq*m3**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 8*m1**4*m3sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 3*m3sq*m5**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m3**4*m5sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 5*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m1sq*m3sq*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m3sq*m5sq*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 17*m1**10*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 4*m1**12*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 10*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 77*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 22*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 50*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 11*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m3**4*m5**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 7*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - m3sq*m5**12*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 37*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 37*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 6*m1**10*m3**4*m7*B0fin(0,0,m7) - 2*m1**8*m3**6*m7*B0fin(0,0,m7) + 8*m1**12*m3sq*m7*B0fin(0,0,m7) + 34*m1**10*m5**4*m7*B0fin(0,0,m7) - 52*m1**6*m3**4*m5**4*m7*B0fin(0,0,m7) - 12*m1**4*m3**6*m5**4*m7*B0fin(0,0,m7) + 30*m1**8*m3sq*m5**4*m7*B0fin(0,0,m7) - 56*m1**8*m5**6*m7*B0fin(0,0,m7) + 48*m1**4*m3**4*m5**6*m7*B0fin(0,0,m7) + 8*m1sq*m3**6*m5**6*m7*B0fin(0,0,m7) + 44*m1**6*m5**8*m7*B0fin(0,0,m7) - 22*m1sq*m3**4*m5**8*m7*B0fin(0,0,m7) - 2*m3**6*m5**8*m7*B0fin(0,0,m7) - 20*m1**4*m3sq*m5**8*m7*B0fin(0,0,m7) - 16*m1**4*m5**10*m7*B0fin(0,0,m7) + 4*m3**4*m5**10*m7*B0fin(0,0,m7) + 12*m1sq*m3sq*m5**10*m7*B0fin(0,0,m7) + 2*m1sq*m5**12*m7*B0fin(0,0,m7) - 2*m3sq*m5**12*m7*B0fin(0,0,m7) - 8*m1**12*m5sq*m7*B0fin(0,0,m7) + 28*m1**8*m3**4*m5sq*m7*B0fin(0,0,m7) + 8*m1**6*m3**6*m5sq*m7*B0fin(0,0,m7) - 28*m1**10*m3sq*m5sq*m7*B0fin(0,0,m7) + 8*m1**12*m7**3*B0fin(0,0,m7) + 14*m1**8*m3**4*m7**3*B0fin(0,0,m7) - 22*m1**10*m3sq*m7**3*B0fin(0,0,m7) - 32*m1**8*m5**4*m7**3*B0fin(0,0,m7) - 4*m1**4*m3**4*m5**4*m7**3*B0fin(0,0,m7) - 16*m1sq*m3**6*m5**4*m7**3*B0fin(0,0,m7) + 52*m1**6*m3sq*m5**4*m7**3*B0fin(0,0,m7) + 4*m1**6*m5**6*m7**3*B0fin(0,0,m7) + 24*m1sq*m3**4*m5**6*m7**3*B0fin(0,0,m7) + 8*m3**6*m5**6*m7**3*B0fin(0,0,m7) - 36*m1**4*m3sq*m5**6*m7**3*B0fin(0,0,m7) + 24*m1**4*m5**8*m7**3*B0fin(0,0,m7) - 10*m3**4*m5**8*m7**3*B0fin(0,0,m7) - 14*m1sq*m3sq*m5**8*m7**3*B0fin(0,0,m7) - 10*m1sq*m5**10*m7**3*B0fin(0,0,m7) + 10*m3sq*m5**10*m7**3*B0fin(0,0,m7) + 6*m1**10*m5sq*m7**3*B0fin(0,0,m7) - 24*m1**6*m3**4*m5sq*m7**3*B0fin(0,0,m7) + 8*m1**4*m3**6*m5sq*m7**3*B0fin(0,0,m7) + 10*m1**8*m3sq*m5sq*m7**3*B0fin(0,0,m7) - 40*m1**10*m7**5*B0fin(0,0,m7) + 6*m1**4*m3**6*m7**5*B0fin(0,0,m7) + 34*m1**8*m3sq*m7**5*B0fin(0,0,m7) - 8*m1**6*m5**4*m7**5*B0fin(0,0,m7) + 20*m1sq*m3**4*m5**4*m7**5*B0fin(0,0,m7) - 10*m3**6*m5**4*m7**5*B0fin(0,0,m7) - 2*m1**4*m3sq*m5**4*m7**5*B0fin(0,0,m7) - 2*m1**4*m5**6*m7**5*B0fin(0,0,m7) - 2*m3**4*m5**6*m7**5*B0fin(0,0,m7) + 4*m1sq*m3sq*m5**6*m7**5*B0fin(0,0,m7) + 28*m1sq*m5**8*m7**5*B0fin(0,0,m7) - 28*m3sq*m5**8*m7**5*B0fin(0,0,m7) + 22*m1**8*m5sq*m7**5*B0fin(0,0,m7) - 18*m1**4*m3**4*m5sq*m7**5*B0fin(0,0,m7) + 4*m1sq*m3**6*m5sq*m7**5*B0fin(0,0,m7) - 8*m1**6*m3sq*m5sq*m7**5*B0fin(0,0,m7) + 66*m1**8*m7**7*B0fin(0,0,m7) - 18*m1**4*m3**4*m7**7*B0fin(0,0,m7) - 4*m1sq*m3**6*m7**7*B0fin(0,0,m7) - 44*m1**6*m3sq*m7**7*B0fin(0,0,m7) - 26*m1**4*m5**4*m7**7*B0fin(0,0,m7) + 18*m3**4*m5**4*m7**7*B0fin(0,0,m7) + 8*m1sq*m3sq*m5**4*m7**7*B0fin(0,0,m7) - 44*m1sq*m5**6*m7**7*B0fin(0,0,m7) + 44*m3sq*m5**6*m7**7*B0fin(0,0,m7) + 4*m1**6*m5sq*m7**7*B0fin(0,0,m7) + 4*m3**6*m5sq*m7**7*B0fin(0,0,m7) - 8*m1**4*m3sq*m5sq*m7**7*B0fin(0,0,m7) - 44*m1**6*m7**9*B0fin(0,0,m7) + 10*m1sq*m3**4*m7**9*B0fin(0,0,m7) + 34*m1**4*m3sq*m7**9*B0fin(0,0,m7) + 34*m1sq*m5**4*m7**9*B0fin(0,0,m7) - 34*m3sq*m5**4*m7**9*B0fin(0,0,m7) + 10*m1**4*m5sq*m7**9*B0fin(0,0,m7) - 10*m3**4*m5sq*m7**9*B0fin(0,0,m7) + 10*m1**4*m7**11*B0fin(0,0,m7) - 10*m1sq*m3sq*m7**11*B0fin(0,0,m7) - 10*m1sq*m5sq*m7**11*B0fin(0,0,m7) + 10*m3sq*m5sq*m7**11*B0fin(0,0,m7) - 4*m1**12*m7**4*B0fin(0,0,m7sq) - 12*m1**8*m3**4*m7**4*B0fin(0,0,m7sq) - 19*m1**6*m3**6*m7**4*B0fin(0,0,m7sq) + 35*m1**10*m3sq*m7**4*B0fin(0,0,m7sq) - 37*m1**8*m5**4*m7**4*B0fin(0,0,m7sq) - 95*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m7sq) + 15*m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m7sq) + 117*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m7sq) + 61*m1**6*m5**6*m7**4*B0fin(0,0,m7sq) - 5*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m7sq) - m3**6*m5**6*m7**4*B0fin(0,0,m7sq) - 55*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m7sq) - 43*m1**4*m5**8*m7**4*B0fin(0,0,m7sq) - m3**4*m5**8*m7**4*B0fin(0,0,m7sq) + 44*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m7sq) + 2*m1sq*m5**10*m7**4*B0fin(0,0,m7sq) - 2*m3sq*m5**10*m7**4*B0fin(0,0,m7sq) + 21*m1**10*m5sq*m7**4*B0fin(0,0,m7sq) + 113*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m7sq) + 5*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m7sq) - 139*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m7sq) + 8*m1**10*m7**6*B0fin(0,0,m7sq) + 30*m1**6*m3**4*m7**6*B0fin(0,0,m7sq) + 5*m1**4*m3**6*m7**6*B0fin(0,0,m7sq) - 43*m1**8*m3sq*m7**6*B0fin(0,0,m7sq) - 22*m1**6*m5**4*m7**6*B0fin(0,0,m7sq) - 12*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m7sq) + m3**6*m5**4*m7**6*B0fin(0,0,m7sq) + 33*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m7sq) + 31*m1**4*m5**6*m7**6*B0fin(0,0,m7sq) + 3*m3**4*m5**6*m7**6*B0fin(0,0,m7sq) - 34*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m7sq) - 4*m1sq*m5**8*m7**6*B0fin(0,0,m7sq) + 4*m3sq*m5**8*m7**6*B0fin(0,0,m7sq) - 13*m1**8*m5sq*m7**6*B0fin(0,0,m7sq) - 21*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m7sq) - 6*m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m7sq) + 40*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m7sq) - 14*m1**8*m7**8*B0fin(0,0,m7sq) - 6*m1**4*m3**4*m7**8*B0fin(0,0,m7sq) + m1sq*m3**6*m7**8*B0fin(0,0,m7sq) + 19*m1**6*m3sq*m7**8*B0fin(0,0,m7sq) - m1**4*m5**4*m7**8*B0fin(0,0,m7sq) - 3*m3**4*m5**4*m7**8*B0fin(0,0,m7sq) + 4*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m7sq) + 10*m1sq*m5**6*m7**8*B0fin(0,0,m7sq) - 10*m3sq*m5**6*m7**8*B0fin(0,0,m7sq) + 5*m1**6*m5sq*m7**8*B0fin(0,0,m7sq) + 9*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m7sq) - m3**6*m5sq*m7**8*B0fin(0,0,m7sq) - 13*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m7sq) + 14*m1**6*m7**10*B0fin(0,0,m7sq) - 3*m1sq*m3**4*m7**10*B0fin(0,0,m7sq) - 11*m1**4*m3sq*m7**10*B0fin(0,0,m7sq) - 11*m1sq*m5**4*m7**10*B0fin(0,0,m7sq) + 11*m3sq*m5**4*m7**10*B0fin(0,0,m7sq) - 3*m1**4*m5sq*m7**10*B0fin(0,0,m7sq) + 3*m3**4*m5sq*m7**10*B0fin(0,0,m7sq) - 4*m1**4*m7**12*B0fin(0,0,m7sq) + 4*m1sq*m3sq*m7**12*B0fin(0,0,m7sq) + 4*m1sq*m5sq*m7**12*B0fin(0,0,m7sq) - 4*m3sq*m5sq*m7**12*B0fin(0,0,m7sq) - 9*m1**10*m3**4*m7sq*B0fin(0,0,m7sq) + 13*m1**8*m3**6*m7sq*B0fin(0,0,m7sq) - 4*m1**12*m3sq*m7sq*B0fin(0,0,m7sq) - 29*m1**10*m5**4*m7sq*B0fin(0,0,m7sq) + 62*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m7sq) + 42*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m7sq) - 75*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m7sq) + 64*m1**8*m5**6*m7sq*B0fin(0,0,m7sq) - 84*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m7sq) - 16*m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m7sq) + 36*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m7sq) - 58*m1**6*m5**8*m7sq*B0fin(0,0,m7sq) + 35*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m7sq) + m3**6*m5**8*m7sq*B0fin(0,0,m7sq) + 22*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m7sq) + 20*m1**4*m5**10*m7sq*B0fin(0,0,m7sq) - 2*m3**4*m5**10*m7sq*B0fin(0,0,m7sq) - 18*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m7sq) - m1sq*m5**12*m7sq*B0fin(0,0,m7sq) + m3sq*m5**12*m7sq*B0fin(0,0,m7sq) + 4*m1**12*m5sq*m7sq*B0fin(0,0,m7sq) - 2*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m7sq) - 40*m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m7sq) + 38*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m7sq) + 14*m1**8*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 10*m1**6*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 30*m1**10*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1**8*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 44*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 22*m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 26*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1**6*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m3**6*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 10*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 20*m1**4*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m3**4*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 40*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1sq*m5**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3sq*m5**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 30*m1**10*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 126*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 15*m1**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 3*m1**6*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 5*m1**4*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 49*m1**8*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 19*m1**6*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 25*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3**6*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 21*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 32*m1**4*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m3**4*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 66*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 14*m1sq*m5**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m3sq*m5**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 28*m1**8*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 10*m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 58*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 28*m1**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**4*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**6*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m3**4*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 54*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 16*m1sq*m5**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3sq*m5**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 30*m1**6*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 22*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 17*m1**6*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m3**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 3*m1**4*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 9*m1sq*m5**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3sq*m5**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 12*m1**4*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 20*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m3sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*m5sq*m7**12*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 15*m1**10*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 7*m1**8*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 15*m1**10*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 14*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 49*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 28*m1**8*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 24*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 12*m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 10*m1**6*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 23*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3**6*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1**4*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m3**4*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 10*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m1sq*m5**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3sq*m5**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 14*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 30*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 34*m1**10*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 20*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 44*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 22*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m3sq*m5**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 74*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 56*m1**8*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 32*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m3sq*m5**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 32*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 44*m1**6*m3sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 28*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 12*m3sq*m5**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1**4*m3sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m3sq*m5**4*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1sq*m3sq*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 2*m3sq*m5sq*m7**12*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 8*m1**12*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 80*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 80*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 40*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m1sq*m3sq*m5**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 40*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 4*m1**12*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 14*m1**8*m3**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m1**6*m3**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m1**10*m3sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 11*m1**8*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 73*m1**4*m3**4*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 11*m1sq*m3**6*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 73*m1**6*m3sq*m5**4*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 7*m1**6*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m1sq*m3**4*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m3**6*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 19*m1**4*m3sq*m5**6*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 13*m1**4*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 5*m3**4*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 18*m1sq*m3sq*m5**8*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 19*m1**10*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 13*m1**6*m3**4*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m1**4*m3**6*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 23*m1**8*m3sq*m5sq*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 9*m1**10*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m1**6*m3**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m1**4*m3**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 12*m1**8*m3sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 13*m1**6*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 17*m1sq*m3**4*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m3**6*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 8*m1**4*m3sq*m5**4*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 25*m1**4*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m3**4*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 24*m1sq*m3sq*m5**6*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m1sq*m5**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m3sq*m5**8*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 49*m1**8*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m1**4*m3**4*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m1sq*m3**6*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 42*m1**6*m3sq*m5sq*m7**6*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1**8*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m1**4*m3**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m1sq*m3**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 11*m1**6*m3sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 27*m1**4*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 9*m3**4*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 18*m1sq*m3sq*m5**4*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m1sq*m5**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m3sq*m5**6*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 39*m1**6*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 13*m1sq*m3**4*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + m3**6*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 25*m1**4*m3sq*m5sq*m7**8*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m1**6*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - m1sq*m3**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m1**4*m3sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 6*m1sq*m5**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 6*m3sq*m5**4*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 15*m1**4*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 3*m3**4*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1sq*m3sq*m5sq*m7**10*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 2*m1sq*m5sq*m7**12*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m3sq*m5sq*m7**12*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 8*m1**10*m3**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**8*m3**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**12*m3sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 28*m1**10*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1**6*m3**4*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 20*m1**4*m3**6*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 36*m1**8*m3sq*m5**4*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 44*m1**8*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 20*m1**4*m3**4*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 12*m1sq*m3**6*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 76*m1**6*m3sq*m5**6*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 20*m1**6*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 20*m1sq*m3**4*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 40*m1**4*m3sq*m5**8*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**12*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m1**8*m3**4*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m1**6*m3**6*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 4*m1**10*m3sq*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 3*m1**10*m3**4*T134fin(m7,m1,m1) + m1**8*m3**6*T134fin(m7,m1,m1) + 3*m1**10*m5**4*T134fin(m7,m1,m1) + 26*m1**6*m3**4*m5**4*T134fin(m7,m1,m1) + 6*m1**4*m3**6*m5**4*T134fin(m7,m1,m1) + 25*m1**8*m3sq*m5**4*T134fin(m7,m1,m1) - 12*m1**8*m5**6*T134fin(m7,m1,m1) - 24*m1**4*m3**4*m5**6*T134fin(m7,m1,m1) - 4*m1sq*m3**6*m5**6*T134fin(m7,m1,m1) - 40*m1**6*m3sq*m5**6*T134fin(m7,m1,m1) + 18*m1**6*m5**8*T134fin(m7,m1,m1) + 11*m1sq*m3**4*m5**8*T134fin(m7,m1,m1) + m3**6*m5**8*T134fin(m7,m1,m1) + 30*m1**4*m3sq*m5**8*T134fin(m7,m1,m1) - 12*m1**4*m5**10*T134fin(m7,m1,m1) - 2*m3**4*m5**10*T134fin(m7,m1,m1) - 10*m1sq*m3sq*m5**10*T134fin(m7,m1,m1) + 3*m1sq*m5**12*T134fin(m7,m1,m1) + m3sq*m5**12*T134fin(m7,m1,m1) - 14*m1**8*m3**4*m5sq*T134fin(m7,m1,m1) - 4*m1**6*m3**6*m5sq*T134fin(m7,m1,m1) - 6*m1**10*m3sq*m5sq*T134fin(m7,m1,m1) + 3*m1**10*m7**4*T134fin(m7,m1,m1) + 30*m1**6*m3**4*m7**4*T134fin(m7,m1,m1) + 6*m1**4*m3**6*m7**4*T134fin(m7,m1,m1) + 27*m1**8*m3sq*m7**4*T134fin(m7,m1,m1) + 8*m1**6*m5**4*m7**4*T134fin(m7,m1,m1) - 2*m1sq*m3**4*m5**4*m7**4*T134fin(m7,m1,m1) + 6*m3**6*m5**4*m7**4*T134fin(m7,m1,m1) - 24*m1**4*m3sq*m5**4*m7**4*T134fin(m7,m1,m1) - 16*m1**4*m5**6*m7**4*T134fin(m7,m1,m1) - 20*m1sq*m3sq*m5**6*m7**4*T134fin(m7,m1,m1) + 33*m1sq*m5**8*m7**4*T134fin(m7,m1,m1) + 9*m3sq*m5**8*m7**4*T134fin(m7,m1,m1) + 6*m5**10*m7**4*T134fin(m7,m1,m1) + 14*m1**8*m5sq*m7**4*T134fin(m7,m1,m1) - 12*m1**4*m3**4*m5sq*m7**4*T134fin(m7,m1,m1) + 4*m1sq*m3**6*m5sq*m7**4*T134fin(m7,m1,m1) - 72*m1**6*m3sq*m5sq*m7**4*T134fin(m7,m1,m1) - 13*m1**8*m7**6*T134fin(m7,m1,m1) - 30*m1**4*m3**4*m7**6*T134fin(m7,m1,m1) - 4*m1sq*m3**6*m7**6*T134fin(m7,m1,m1) - 48*m1**6*m3sq*m7**6*T134fin(m7,m1,m1) - 28*m1**4*m5**4*m7**6*T134fin(m7,m1,m1) - 10*m3**4*m5**4*m7**6*T134fin(m7,m1,m1) - 4*m1sq*m3sq*m5**4*m7**6*T134fin(m7,m1,m1) - 52*m1sq*m5**6*m7**6*T134fin(m7,m1,m1) - 16*m3sq*m5**6*m7**6*T134fin(m7,m1,m1) - 15*m5**8*m7**6*T134fin(m7,m1,m1) - 28*m1**6*m5sq*m7**6*T134fin(m7,m1,m1) - 16*m1sq*m3**4*m5sq*m7**6*T134fin(m7,m1,m1) - 4*m3**6*m5sq*m7**6*T134fin(m7,m1,m1) + 12*m1**4*m3sq*m5sq*m7**6*T134fin(m7,m1,m1) + 22*m1**6*m7**8*T134fin(m7,m1,m1) + 15*m1sq*m3**4*m7**8*T134fin(m7,m1,m1) + m3**6*m7**8*T134fin(m7,m1,m1) + 42*m1**4*m3sq*m7**8*T134fin(m7,m1,m1) + 53*m1sq*m5**4*m7**8*T134fin(m7,m1,m1) + 19*m3sq*m5**4*m7**8*T134fin(m7,m1,m1) + 20*m5**6*m7**8*T134fin(m7,m1,m1) + 44*m1**4*m5sq*m7**8*T134fin(m7,m1,m1) + 10*m3**4*m5sq*m7**8*T134fin(m7,m1,m1) + 30*m1sq*m3sq*m5sq*m7**8*T134fin(m7,m1,m1) - 18*m1**4*m7**10*T134fin(m7,m1,m1) - 3*m3**4*m7**10*T134fin(m7,m1,m1) - 18*m1sq*m3sq*m7**10*T134fin(m7,m1,m1) - 15*m5**4*m7**10*T134fin(m7,m1,m1) - 30*m1sq*m5sq*m7**10*T134fin(m7,m1,m1) - 12*m3sq*m5sq*m7**10*T134fin(m7,m1,m1) + 7*m1sq*m7**12*T134fin(m7,m1,m1) + 3*m3sq*m7**12*T134fin(m7,m1,m1) + 6*m5sq*m7**12*T134fin(m7,m1,m1) - m7**14*T134fin(m7,m1,m1) - 15*m1**8*m3**4*m7sq*T134fin(m7,m1,m1) - 4*m1**6*m3**6*m7sq*T134fin(m7,m1,m1) - 6*m1**10*m3sq*m7sq*T134fin(m7,m1,m1) + 11*m1**8*m5**4*m7sq*T134fin(m7,m1,m1) - 14*m1**4*m3**4*m5**4*m7sq*T134fin(m7,m1,m1) + 4*m1sq*m3**6*m5**4*m7sq*T134fin(m7,m1,m1) - 64*m1**6*m3sq*m5**4*m7sq*T134fin(m7,m1,m1) - 20*m1**6*m5**6*m7sq*T134fin(m7,m1,m1) - 8*m1sq*m3**4*m5**6*m7sq*T134fin(m7,m1,m1) - 4*m3**6*m5**6*m7sq*T134fin(m7,m1,m1) + 4*m1**4*m3sq*m5**6*m7sq*T134fin(m7,m1,m1) + 30*m1**4*m5**8*m7sq*T134fin(m7,m1,m1) + 5*m3**4*m5**8*m7sq*T134fin(m7,m1,m1) + 22*m1sq*m3sq*m5**8*m7sq*T134fin(m7,m1,m1) - 14*m1sq*m5**10*m7sq*T134fin(m7,m1,m1) - 4*m3sq*m5**10*m7sq*T134fin(m7,m1,m1) - m5**12*m7sq*T134fin(m7,m1,m1) - 6*m1**10*m5sq*m7sq*T134fin(m7,m1,m1) + 32*m1**6*m3**4*m5sq*m7sq*T134fin(m7,m1,m1) + 4*m1**4*m3**6*m5sq*m7sq*T134fin(m7,m1,m1) + 48*m1**8*m3sq*m5sq*m7sq*T134fin(m7,m1,m1) - 4*m1**10*m3**4*T134fin(m7,m3,m1) - 4*m1**10*m5**4*T134fin(m7,m3,m1) - 24*m1**6*m3**4*m5**4*T134fin(m7,m3,m1) - 32*m1**8*m3sq*m5**4*T134fin(m7,m3,m1) + 16*m1**8*m5**6*T134fin(m7,m3,m1) + 16*m1**4*m3**4*m5**6*T134fin(m7,m3,m1) + 48*m1**6*m3sq*m5**6*T134fin(m7,m3,m1) - 24*m1**6*m5**8*T134fin(m7,m3,m1) - 4*m1sq*m3**4*m5**8*T134fin(m7,m3,m1) - 32*m1**4*m3sq*m5**8*T134fin(m7,m3,m1) + 16*m1**4*m5**10*T134fin(m7,m3,m1) + 8*m1sq*m3sq*m5**10*T134fin(m7,m3,m1) - 4*m1sq*m5**12*T134fin(m7,m3,m1) + 16*m1**8*m3**4*m5sq*T134fin(m7,m3,m1) + 8*m1**10*m3sq*m5sq*T134fin(m7,m3,m1) - 4*m1**10*m7**4*T134fin(m7,m3,m1) - 28*m1**6*m3**4*m7**4*T134fin(m7,m3,m1) - 34*m1**8*m3sq*m7**4*T134fin(m7,m3,m1) - 12*m1**6*m5**4*m7**4*T134fin(m7,m3,m1) - 20*m1sq*m3**4*m5**4*m7**4*T134fin(m7,m3,m1) + 44*m1**4*m3sq*m5**4*m7**4*T134fin(m7,m3,m1) + 24*m1**4*m5**6*m7**4*T134fin(m7,m3,m1) - 4*m3**4*m5**6*m7**4*T134fin(m7,m3,m1) + 16*m1sq*m3sq*m5**6*m7**4*T134fin(m7,m3,m1) - 48*m1sq*m5**8*m7**4*T134fin(m7,m3,m1) + 6*m3sq*m5**8*m7**4*T134fin(m7,m3,m1) - 6*m5**10*m7**4*T134fin(m7,m3,m1) - 18*m1**8*m5sq*m7**4*T134fin(m7,m3,m1) - 12*m1**4*m3**4*m5sq*m7**4*T134fin(m7,m3,m1) + 96*m1**6*m3sq*m5sq*m7**4*T134fin(m7,m3,m1) + 17*m1**8*m7**6*T134fin(m7,m3,m1) + 22*m1**4*m3**4*m7**6*T134fin(m7,m3,m1) + 56*m1**6*m3sq*m7**6*T134fin(m7,m3,m1) + 36*m1**4*m5**4*m7**6*T134fin(m7,m3,m1) + 6*m3**4*m5**4*m7**6*T134fin(m7,m3,m1) + 72*m1sq*m5**6*m7**6*T134fin(m7,m3,m1) - 4*m3sq*m5**6*m7**6*T134fin(m7,m3,m1) + 15*m5**8*m7**6*T134fin(m7,m3,m1) + 36*m1**6*m5sq*m7**6*T134fin(m7,m3,m1) + 20*m1sq*m3**4*m5sq*m7**6*T134fin(m7,m3,m1) - 20*m1**4*m3sq*m5sq*m7**6*T134fin(m7,m3,m1) - 28*m1**6*m7**8*T134fin(m7,m3,m1) - 8*m1sq*m3**4*m7**8*T134fin(m7,m3,m1) - 44*m1**4*m3sq*m7**8*T134fin(m7,m3,m1) - 68*m1sq*m5**4*m7**8*T134fin(m7,m3,m1) - 4*m3sq*m5**4*m7**8*T134fin(m7,m3,m1) - 20*m5**6*m7**8*T134fin(m7,m3,m1) - 56*m1**4*m5sq*m7**8*T134fin(m7,m3,m1) - 4*m3**4*m5sq*m7**8*T134fin(m7,m3,m1) - 24*m1sq*m3sq*m5sq*m7**8*T134fin(m7,m3,m1) + 22*m1**4*m7**10*T134fin(m7,m3,m1) + m3**4*m7**10*T134fin(m7,m3,m1) + 16*m1sq*m3sq*m7**10*T134fin(m7,m3,m1) + 15*m5**4*m7**10*T134fin(m7,m3,m1) + 36*m1sq*m5sq*m7**10*T134fin(m7,m3,m1) + 6*m3sq*m5sq*m7**10*T134fin(m7,m3,m1) - 8*m1sq*m7**12*T134fin(m7,m3,m1) - 2*m3sq*m7**12*T134fin(m7,m3,m1) - 6*m5sq*m7**12*T134fin(m7,m3,m1) + m7**14*T134fin(m7,m3,m1) + 17*m1**8*m3**4*m7sq*T134fin(m7,m3,m1) + 8*m1**10*m3sq*m7sq*T134fin(m7,m3,m1) - 15*m1**8*m5**4*m7sq*T134fin(m7,m3,m1) - 10*m1**4*m3**4*m5**4*m7sq*T134fin(m7,m3,m1) + 88*m1**6*m3sq*m5**4*m7sq*T134fin(m7,m3,m1) + 28*m1**6*m5**6*m7sq*T134fin(m7,m3,m1) + 12*m1sq*m3**4*m5**6*m7sq*T134fin(m7,m3,m1) - 12*m1**4*m3sq*m5**6*m7sq*T134fin(m7,m3,m1) - 42*m1**4*m5**8*m7sq*T134fin(m7,m3,m1) + m3**4*m5**8*m7sq*T134fin(m7,m3,m1) - 16*m1sq*m3sq*m5**8*m7sq*T134fin(m7,m3,m1) + 20*m1sq*m5**10*m7sq*T134fin(m7,m3,m1) - 2*m3sq*m5**10*m7sq*T134fin(m7,m3,m1) + m5**12*m7sq*T134fin(m7,m3,m1) + 8*m1**10*m5sq*m7sq*T134fin(m7,m3,m1) - 20*m1**6*m3**4*m5sq*m7sq*T134fin(m7,m3,m1) - 66*m1**8*m3sq*m5sq*m7sq*T134fin(m7,m3,m1) + 4*m1**10*m3**4*T134fin(m7,m5,m1) - 4*m1**8*m3**6*T134fin(m7,m5,m1) + 4*m1**10*m5**4*T134fin(m7,m5,m1) - 12*m1**6*m3**4*m5**4*T134fin(m7,m5,m1) - 12*m1**4*m3**6*m5**4*T134fin(m7,m5,m1) + 20*m1**8*m3sq*m5**4*T134fin(m7,m5,m1) - 12*m1**8*m5**6*T134fin(m7,m5,m1) + 20*m1**4*m3**4*m5**6*T134fin(m7,m5,m1) + 4*m1sq*m3**6*m5**6*T134fin(m7,m5,m1) - 12*m1**6*m3sq*m5**6*T134fin(m7,m5,m1) + 12*m1**6*m5**8*T134fin(m7,m5,m1) - 8*m1sq*m3**4*m5**8*T134fin(m7,m5,m1) - 4*m1**4*m3sq*m5**8*T134fin(m7,m5,m1) - 4*m1**4*m5**10*T134fin(m7,m5,m1) + 4*m1sq*m3sq*m5**10*T134fin(m7,m5,m1) - 4*m1**8*m3**4*m5sq*T134fin(m7,m5,m1) + 12*m1**6*m3**6*m5sq*T134fin(m7,m5,m1) - 8*m1**10*m3sq*m5sq*T134fin(m7,m5,m1) + 4*m1**10*m7**4*T134fin(m7,m5,m1) - 36*m1**6*m3**4*m7**4*T134fin(m7,m5,m1) - 5*m1**4*m3**6*m7**4*T134fin(m7,m5,m1) - 18*m1**8*m3sq*m7**4*T134fin(m7,m5,m1) + 4*m1**6*m5**4*m7**4*T134fin(m7,m5,m1) - 6*m1sq*m3**4*m5**4*m7**4*T134fin(m7,m5,m1) - m3**6*m5**4*m7**4*T134fin(m7,m5,m1) + 29*m1**4*m3sq*m5**4*m7**4*T134fin(m7,m5,m1) - 7*m1**4*m5**6*m7**4*T134fin(m7,m5,m1) + 3*m3**4*m5**6*m7**4*T134fin(m7,m5,m1) - 6*m1sq*m3sq*m5**6*m7**4*T134fin(m7,m5,m1) - 22*m1sq*m5**8*m7**4*T134fin(m7,m5,m1) + 3*m3sq*m5**8*m7**4*T134fin(m7,m5,m1) - m5**10*m7**4*T134fin(m7,m5,m1) - 26*m1**8*m5sq*m7**4*T134fin(m7,m5,m1) + 23*m1**4*m3**4*m5sq*m7**4*T134fin(m7,m5,m1) - 10*m1sq*m3**6*m5sq*m7**4*T134fin(m7,m5,m1) + 72*m1**6*m3sq*m5sq*m7**4*T134fin(m7,m5,m1) + 7*m1**8*m7**6*T134fin(m7,m5,m1) + 32*m1**4*m3**4*m7**6*T134fin(m7,m5,m1) + 5*m1sq*m3**6*m7**6*T134fin(m7,m5,m1) + 57*m1**6*m3sq*m7**6*T134fin(m7,m5,m1) + 37*m1**4*m5**4*m7**6*T134fin(m7,m5,m1) - m3**4*m5**4*m7**6*T134fin(m7,m5,m1) + 26*m1sq*m3sq*m5**4*m7**6*T134fin(m7,m5,m1) + 44*m1sq*m5**6*m7**6*T134fin(m7,m5,m1) + 5*m5**8*m7**6*T134fin(m7,m5,m1) + 43*m1**6*m5sq*m7**6*T134fin(m7,m5,m1) + 25*m1sq*m3**4*m5sq*m7**6*T134fin(m7,m5,m1) + 3*m3**6*m5sq*m7**6*T134fin(m7,m5,m1) - 27*m1**4*m3sq*m5sq*m7**6*T134fin(m7,m5,m1) - 26*m1**6*m7**8*T134fin(m7,m5,m1) - 18*m1sq*m3**4*m7**8*T134fin(m7,m5,m1) - m3**6*m7**8*T134fin(m7,m5,m1) - 49*m1**4*m3sq*m7**8*T134fin(m7,m5,m1) - 50*m1sq*m5**4*m7**8*T134fin(m7,m5,m1) - 8*m3sq*m5**4*m7**8*T134fin(m7,m5,m1) - 10*m5**6*m7**8*T134fin(m7,m5,m1) - 53*m1**4*m5sq*m7**8*T134fin(m7,m5,m1) - 7*m3**4*m5sq*m7**8*T134fin(m7,m5,m1) - 34*m1sq*m3sq*m5sq*m7**8*T134fin(m7,m5,m1) + 22*m1**4*m7**10*T134fin(m7,m5,m1) + 3*m3**4*m7**10*T134fin(m7,m5,m1) + 21*m1sq*m3sq*m7**10*T134fin(m7,m5,m1) + 10*m5**4*m7**10*T134fin(m7,m5,m1) + 31*m1sq*m5sq*m7**10*T134fin(m7,m5,m1) + 9*m3sq*m5sq*m7**10*T134fin(m7,m5,m1) - 8*m1sq*m7**12*T134fin(m7,m5,m1) - 3*m3sq*m7**12*T134fin(m7,m5,m1) - 5*m5sq*m7**12*T134fin(m7,m5,m1) + m7**14*T134fin(m7,m5,m1) + 15*m1**8*m3**4*m7sq*T134fin(m7,m5,m1) + 5*m1**6*m3**6*m7sq*T134fin(m7,m5,m1) - 8*m1**10*m3sq*m7sq*T134fin(m7,m5,m1) + 31*m1**8*m5**4*m7sq*T134fin(m7,m5,m1) + 43*m1**4*m3**4*m5**4*m7sq*T134fin(m7,m5,m1) + 7*m1sq*m3**6*m5**4*m7sq*T134fin(m7,m5,m1) - 25*m1**6*m3sq*m5**4*m7sq*T134fin(m7,m5,m1) - 33*m1**6*m5**6*m7sq*T134fin(m7,m5,m1) - 17*m1sq*m3**4*m5**6*m7sq*T134fin(m7,m5,m1) - m3**6*m5**6*m7sq*T134fin(m7,m5,m1) + 27*m1**4*m3sq*m5**6*m7sq*T134fin(m7,m5,m1) + 5*m1**4*m5**8*m7sq*T134fin(m7,m5,m1) + 2*m3**4*m5**8*m7sq*T134fin(m7,m5,m1) - 11*m1sq*m3sq*m5**8*m7sq*T134fin(m7,m5,m1) + 5*m1sq*m5**10*m7sq*T134fin(m7,m5,m1) - m3sq*m5**10*m7sq*T134fin(m7,m5,m1) - 8*m1**10*m5sq*m7sq*T134fin(m7,m5,m1) - 43*m1**6*m3**4*m5sq*m7sq*T134fin(m7,m5,m1) - 11*m1**4*m3**6*m5sq*m7sq*T134fin(m7,m5,m1) + 18*m1**8*m3sq*m5sq*m7sq*T134fin(m7,m5,m1) + 4*m1**10*m3**4*T134fin(m7,m5,m3) - 4*m1**12*m3sq*T134fin(m7,m5,m3) - 16*m1**10*m5**4*T134fin(m7,m5,m3) + 24*m1**6*m3**4*m5**4*T134fin(m7,m5,m3) - 8*m1**8*m3sq*m5**4*T134fin(m7,m5,m3) + 24*m1**8*m5**6*T134fin(m7,m5,m3) - 16*m1**4*m3**4*m5**6*T134fin(m7,m5,m3) - 8*m1**6*m3sq*m5**6*T134fin(m7,m5,m3) - 16*m1**6*m5**8*T134fin(m7,m5,m3) + 4*m1sq*m3**4*m5**8*T134fin(m7,m5,m3) + 12*m1**4*m3sq*m5**8*T134fin(m7,m5,m3) + 4*m1**4*m5**10*T134fin(m7,m5,m3) - 4*m1sq*m3sq*m5**10*T134fin(m7,m5,m3) + 4*m1**12*m5sq*T134fin(m7,m5,m3) - 16*m1**8*m3**4*m5sq*T134fin(m7,m5,m3) + 12*m1**10*m3sq*m5sq*T134fin(m7,m5,m3) + 21*m1**10*m7**4*T134fin(m7,m5,m3) + 28*m1**6*m3**4*m7**4*T134fin(m7,m5,m3) + 6*m1**8*m3sq*m7**4*T134fin(m7,m5,m3) + 6*m1**6*m5**4*m7**4*T134fin(m7,m5,m3) + 20*m1sq*m3**4*m5**4*m7**4*T134fin(m7,m5,m3) - 52*m1**4*m3sq*m5**4*m7**4*T134fin(m7,m5,m3) + 6*m1**4*m5**6*m7**4*T134fin(m7,m5,m3) + 4*m3**4*m5**6*m7**4*T134fin(m7,m5,m3) + 21*m1sq*m5**8*m7**4*T134fin(m7,m5,m3) - 2*m3sq*m5**8*m7**4*T134fin(m7,m5,m3) + m5**10*m7**4*T134fin(m7,m5,m3) + 9*m1**8*m5sq*m7**4*T134fin(m7,m5,m3) + 12*m1**4*m3**4*m5sq*m7**4*T134fin(m7,m5,m3) - 80*m1**6*m3sq*m5sq*m7**4*T134fin(m7,m5,m3) - 45*m1**8*m7**6*T134fin(m7,m5,m3) - 22*m1**4*m3**4*m7**6*T134fin(m7,m5,m3) - 34*m1**6*m3sq*m7**6*T134fin(m7,m5,m3) - 42*m1**4*m5**4*m7**6*T134fin(m7,m5,m3) - 6*m3**4*m5**4*m7**6*T134fin(m7,m5,m3) - 14*m1sq*m3sq*m5**4*m7**6*T134fin(m7,m5,m3) - 42*m1sq*m5**6*m7**6*T134fin(m7,m5,m3) - 2*m3sq*m5**6*m7**6*T134fin(m7,m5,m3) - 5*m5**8*m7**6*T134fin(m7,m5,m3) - 42*m1**6*m5sq*m7**6*T134fin(m7,m5,m3) - 20*m1sq*m3**4*m5sq*m7**6*T134fin(m7,m5,m3) + 18*m1**4*m3sq*m5sq*m7**6*T134fin(m7,m5,m3) + 50*m1**6*m7**8*T134fin(m7,m5,m3) + 8*m1sq*m3**4*m7**8*T134fin(m7,m5,m3) + 36*m1**4*m3sq*m7**8*T134fin(m7,m5,m3) + 50*m1sq*m5**4*m7**8*T134fin(m7,m5,m3) + 8*m3sq*m5**4*m7**8*T134fin(m7,m5,m3) + 10*m5**6*m7**8*T134fin(m7,m5,m3) + 62*m1**4*m5sq*m7**8*T134fin(m7,m5,m3) + 4*m3**4*m5sq*m7**8*T134fin(m7,m5,m3) + 28*m1sq*m3sq*m5sq*m7**8*T134fin(m7,m5,m3) - 30*m1**4*m7**10*T134fin(m7,m5,m3) - m3**4*m7**10*T134fin(m7,m5,m3) - 15*m1sq*m3sq*m7**10*T134fin(m7,m5,m3) - 10*m5**4*m7**10*T134fin(m7,m5,m3) - 33*m1sq*m5sq*m7**10*T134fin(m7,m5,m3) - 7*m3sq*m5sq*m7**10*T134fin(m7,m5,m3) + 9*m1sq*m7**12*T134fin(m7,m5,m3) + 2*m3sq*m7**12*T134fin(m7,m5,m3) + 5*m5sq*m7**12*T134fin(m7,m5,m3) - m7**14*T134fin(m7,m5,m3) - 4*m1**12*m7sq*T134fin(m7,m5,m3) - 17*m1**8*m3**4*m7sq*T134fin(m7,m5,m3) + 9*m1**10*m3sq*m7sq*T134fin(m7,m5,m3) + 12*m1**8*m5**4*m7sq*T134fin(m7,m5,m3) + 10*m1**4*m3**4*m5**4*m7sq*T134fin(m7,m5,m3) - 78*m1**6*m3sq*m5**4*m7sq*T134fin(m7,m5,m3) + 2*m1**6*m5**6*m7sq*T134fin(m7,m5,m3) - 12*m1sq*m3**4*m5**6*m7sq*T134fin(m7,m5,m3) + 34*m1**4*m3sq*m5**6*m7sq*T134fin(m7,m5,m3) - m3**4*m5**8*m7sq*T134fin(m7,m5,m3) + 5*m1sq*m3sq*m5**8*m7sq*T134fin(m7,m5,m3) - 5*m1sq*m5**10*m7sq*T134fin(m7,m5,m3) + m3sq*m5**10*m7sq*T134fin(m7,m5,m3) - 5*m1**10*m5sq*m7sq*T134fin(m7,m5,m3) + 20*m1**6*m3**4*m5sq*m7sq*T134fin(m7,m5,m3) + 29*m1**8*m3sq*m5sq*m7sq*T134fin(m7,m5,m3))/((m1sq - m3sq)**2*(m1sq - m5sq)**2*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(4*m1sq - m7sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))))
		def eval_108():
			return ((-10*m1**6*m4**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1**4*m4**6)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**8)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (3*m1**8*m4sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (10*m1**4*m4**4*m6sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*m4**6*m6sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (3*m1**6*m4sq*m6sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (14*m1sq*m4**4*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (22*m1**4*m4sq*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*m1**4*(m4sq - m6sq)*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (20*m1sq*m4sq*(m4sq - m6sq)*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*m1**4*m6sq*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (20*m1sq*m4sq*m6sq*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (18*m1sq*m4sq*m7**6)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (14*m1sq*(m4sq - m6sq)*m7**6)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*m6sq*m7**6)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (16*m1sq*(m4sq - m6sq)*m7**4)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) - (7*m1sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (2*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (2*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (7*m1sq*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*m6sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (2*m6**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (2*m7**4)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (16*m4**4*m7**4*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (16*m4sq*m6sq*m7**4*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m4sq*m7**6*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*(m4sq - m6sq)*m7**4*(m4sq - m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) + (m4**6*(m4sq - m7sq)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m4**4*m6sq*(m4sq - m7sq)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*(m4sq - m6sq)*m7**4*(m4sq - m7sq)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*m6sq*m7**4*(m4sq - m7sq)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m7**4*(m6sq - m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3)/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (10*m1**4*m4**4*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**6*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (13*m1**6*m4sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**6*(m4sq - m6sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1sq*m4**4*(m4sq - m6sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*m4sq*(m4sq - m6sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*m6sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m4**4*m6sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (10*m1**4*m4sq*m6sq*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**4*(m4sq - m6sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) + (8*m1sq*m4sq*(m4sq - m6sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) + (3*m1**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (3*m1**4*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m6sq*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (4*m4**6*(m4sq - m7sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (16*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**2) + (8*m4**4*(m4sq - m7sq)**2*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m4sq*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (10*m4sq*m6sq*(m4sq - m7sq)**2*m7sq)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m4sq - m7sq)**3*m7sq)/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m4sq - m6sq)*(m4sq - m7sq)**4*m7sq)/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*(m4sq - m7sq)**4*m7sq)/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m7**4*(-m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*(m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (m7sq*(-m6sq + m7sq)**3)/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m1sq*(m6sq + m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (m4sq*(m4sq - m7sq)**4*(m6sq + m7sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m6sq*m7sq*(-m1sq + m6sq + m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m7**4*(m4**3 - m4*m7sq)**2)/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (3*m4sq*m7**4 - 3*m4**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (-5*m6**6 + 5*m6**4*m7sq)/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m4sq - m6sq)*m7**4*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4sq*(m4sq - m6sq)*m7**4*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m6sq*m7**4*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m4sq*m6sq*m7**4*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*(m4sq - m6sq)*m7**6*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m6sq*m7**6*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m4sq - m6sq)*m7**4*(m4sq - m7sq)**2*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**4*(m4sq - m7sq)**2*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m4**4*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*(m4sq - m6sq)*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**4*(m4sq - m6sq)*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**6*m6sq*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*m4**4*m6sq*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*m4sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m4**4*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m6sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4sq*m6sq*m7**4*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**4*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m4sq*m6sq*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**4*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*m4**6*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*m4**4*m6sq*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*m4sq*m6sq*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**6*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4**4*m6sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**4*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m6sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*m6sq*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0del(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m4sq - m6sq)*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4sq*(m4sq - m6sq)*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m6sq*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m4sq*m6sq*m7**4*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*(m4sq - m6sq)*m7**6*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1sq*m6sq*m7**6*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**4*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m4sq*m6sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m4sq - m6sq)*m7**4*(m4sq - m7sq)**2*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m4**4*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*m4**6*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**4*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*m6sq*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**4*m6sq*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m4**6*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4**4*m6sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0del(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (11*m1**6*m4**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (22*m1**4*m4**6*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (20*m1sq*m4**8*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**8*m4sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**8*m6sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4**6*m6sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (20*m1sq*m4**4*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m4sq - m6sq)*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (28*m1sq*m4sq*(m4sq - m6sq)*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*m1**4*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (14*m1sq*m4sq*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*m4sq*m7**6*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*(m4sq - m6sq)*m7**6*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m6sq*m7**6*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1sq*m6**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m6sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (8*m4**6*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m4**4*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*(m4sq - m6sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m6sq*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (12*m1**4*m4**4*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (28*m1sq*m4**6*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m1**6*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4**4*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**4*m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m1**6*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (16*m1sq*m4**4*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (22*m1**4*m4sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - ((m4sq - m6sq)*(m4sq - m7sq)**4*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m6sq*(m4sq - m7sq)**4*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(-m6sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m7**4*(m4**3 - m4*m7sq)**2*B0fin(0,0,m1sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m4**3 - m4*m7sq)**4*B0fin(0,0,m1sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (11*m1**6*m4**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (22*m1**4*m4**6*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (20*m1sq*m4**8*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**8*m4sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m1**8*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4**6*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (28*m1sq*m4**4*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**4*m4sq*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**4*m6sq*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (26*m1sq*m4sq*m6sq*m7**4*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4sq*m7**6*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m6sq*m7**6*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (18*m4**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (18*m4sq*m6sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (8*m4**6*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m4**4*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m6sq*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**4*m4**4*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1sq*m4**6*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**6*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (3*m1**6*m6sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1sq*m4**4*m6sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (14*m1**4*m4sq*m6sq*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**6*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4**4*m6sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m6sq*(m4sq - m7sq)**4*m7sq*B0fin(0,0,m4sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m7**4*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m4**3 - m4*m7sq)**4*B0fin(0,0,m4sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m4sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**6*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1sq*m4**4*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*m4sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**4*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (7*m1sq*m6**4*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m6sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**6*(m4sq - m6sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (3*m1sq*m4**4*(m4sq - m6sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (3*m1**4*m4sq*(m4sq - m6sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1sq*(m4sq - m6sq)*m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4**4*(m4sq - m6sq)*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + ((m4sq - m6sq)*m7**4*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m1**4*(m4sq - m6sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4sq*(m4sq - m6sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m4sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*(m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m7**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (8*m1sq*m4**4*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**4*m4sq*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*(m4sq - m6sq)*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (28*m1sq*m4sq*(m4sq - m6sq)*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1**4*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*m4sq*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*m4sq*m7**6*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*(m4sq - m6sq)*m7**6*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m6sq*m7**6*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (18*m4**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (18*m4sq*m6sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*(m4sq - m6sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (14*m1**4*m4**4*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (16*m1sq*m4**6*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1**6*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (5*m1**6*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4**4*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (12*m1**4*m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1**6*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (10*m1sq*m4**4*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1**4*m4sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m4**6*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4**4*m6sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m4sq - m6sq)*(m4sq - m7sq)**4*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m6sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (m7sq*(-m4sq + m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(-m6sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4*(m4sq - m6sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (8*m1sq*m4sq*(m4sq - m6sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*(m4sq - m6sq)*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*(m4sq - m6sq)*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**4*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (6*m1**4*m6sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m1sq*m4sq*m6sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m1sq*m6sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (6*m4sq*m6sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1**4*m4**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (12*m1sq*m4**6*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m1**6*m6sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m1sq*m4**4*m6sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (6*m4**6*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4**4*m6sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (8*m1sq*(m4sq - m6sq)*m7**4*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1**4*(m4sq - m6sq)*m7sq*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m1sq*m4sq*(m4sq - m6sq)*m7sq*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) + (4*m4sq*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (8*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*T134fin(m7,m4,m1))/((m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3) - (4*m6sq*m7sq*T134fin(m7,m6,m1))/((m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2))/(2.*(m4sq - m6sq)**2)
		def eval_109():
			return (-(m1**10/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2)) - (2*m1**4*m2**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2**8)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**8*m2sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**8*m6sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*m2**6*m6sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1**6*m2sq*m6sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**6*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1sq*m2**4*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m6sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**4*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2sq*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m6sq*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**4*(m1sq - m2sq)*(m1sq - m6sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)) + (2*m2**4*(m1sq - m2sq)*(m1sq - m6sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)) - (4*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m6sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)) - (2*(m1sq - m2sq)*(m1sq - m6sq)*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)) + (20*m1**8*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2**4*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (24*m1**6*m2sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (20*m1**6*m6sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1sq*m2**4*m6sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (24*m1**4*m2sq*m6sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**6*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2sq*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m6sq*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1sq*m2sq*m6sq*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m2**4*m6sq*(m2sq - m7sq)**2)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**8*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (9*m1**4*m2**4*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1sq*m2**6*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (9*m1**6*m2sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m6sq)*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**6*m6sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (9*m1sq*m2**4*m6sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (9*m1**4*m2sq*m6sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (16*m1**10*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (16*m1**6*m2**4*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (32*m1**8*m2sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (16*m1**8*m6sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (16*m1**4*m2**4*m6sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (32*m1**6*m2sq*m6sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*(m2sq - m7sq)*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2sq*m6sq*(m2sq - m7sq)**2*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**10*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**6*m2**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**4*m2**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**8*m2sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2**4*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1sq*m2**6*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**6*m2sq*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**6*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1sq*m2**4*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**4*m2sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**4*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2sq*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2sq*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m6sq*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*(m1sq - m6sq)*B0del(0,0,m1sq))/(4*m1sq - m7sq) - (28*m1**8*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (12*m1**4*m2**4*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**6*m2sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (22*m1sq*m2**4*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1**4*m2sq*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (17*m1**6*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (5*m1sq*m2**4*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2sq*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (5*m1**4*m6sq*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (12*m1sq*m2sq*m6sq*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**4*m7**8*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*m2sq*m7**8*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*m6sq*m7**8*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m2**4*m6sq*(m2sq - m7sq)**2*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1**8*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (4*m1**4*m2**4*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2**6*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (5*m1**6*m2sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**6*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1sq*m2**4*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (15*m1**10*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m2**4*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2**6*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m1sq*m2**8*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (28*m1**8*m2sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (7*m1**8*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (14*m1**4*m2**4*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**6*m2sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m2**4*m6sq*(m2sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1sq*m2**6*m7sq*(-3*m6sq + m7sq)*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m1**10*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**6*m2**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**4*m2**6*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**8*m2sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2**4*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1sq*m2**6*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**6*m2sq*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**6*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1sq*m2**4*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**4*m2sq*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*(m1sq - m2sq)*(m1sq - m6sq)*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**4*m6sq*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2sq*m6sq*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2sq*m7**6*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m6sq*m7**6*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + ((m1sq - m2sq)*(m1sq - m6sq)*m7**4*(m2sq - m7sq)*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2**4*m6sq*(m2sq - m7sq)**2*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1**8*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (4*m1**4*m2**4*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2**6*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (5*m1**6*m2sq*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**4*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**6*m6sq*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1sq*m2**4*m6sq*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*(m2sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m2sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) - (2*m2sq*(m1sq - m6sq)*m7sq*B0del(0,0,m2sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*(m1sq - m6sq)*m7sq*(-m2**4 + (m1sq - m7sq)*(m6sq - m7sq) + 4*m2sq*m7sq)*B0del(0,0,m2sq))/((m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (2*m1sq*(m1sq - m2sq)*(m1sq - m6sq)*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (28*m1**8*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (12*m1**4*m2**4*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**6*m2sq*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m6sq*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (22*m1sq*m2**4*m6sq*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1**4*m2sq*m6sq*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (17*m1**6*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (5*m1sq*m2**4*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2sq*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (5*m1**4*m6sq*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (12*m1sq*m2sq*m6sq*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**4*m7**8*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*m2sq*m7**8*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*m6sq*m7**8*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + ((m1sq - m2sq)*(m1sq - m6sq)*m7**4*(m2sq - m7sq)*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**4*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (15*m1**10*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m2**4*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2**6*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m1sq*m2**8*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (28*m1**8*m2sq*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (7*m1**8*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (14*m1**4*m2**4*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**6*m2sq*m6sq*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*(m2sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2**4*m6sq*(m2sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1sq*m2**6*m7sq*(-3*m6sq + m7sq)*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) - (2*m2sq*(m1sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (2*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*(m1sq - m6sq)*m7sq*(-m2**4 + (m1sq - m7sq)*(m6sq - m7sq) + 4*m2sq*m7sq)*B0del(0,0,m7sq))/((m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (3*m1**6*m2**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2**8*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**8*m2sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**8*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**4*m2**4*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2**6*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**6*m2sq*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**6*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2**4*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (5*m1**4*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2sq*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**4*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*m6sq*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1sq*(m1sq - m6sq)*B0fin(0,0,m1sq))/(4*m1sq - m7sq) + (8*m1**8*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (8*m1**4*m2**4*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (20*m1**6*m2sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (18*m1sq*m2**4*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (26*m1**4*m2sq*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (13*m1**6*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (5*m1sq*m2**4*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (8*m1**4*m2sq*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m1**4*m6sq*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (16*m1sq*m2sq*m6sq*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m7**8*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (2*m1sq*m2sq*m7**8*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (2*m1sq*m6sq*m7**8*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m1**8*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (5*m1**4*m2**4*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*m2**6*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1**6*m2sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1**6*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (6*m1sq*m2**4*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (9*m1**4*m2sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**10*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (6*m1**6*m2**4*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**4*m2**6*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m1sq*m2**8*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**8*m2sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (9*m1**8*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (30*m1**4*m2**4*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (28*m1**6*m2sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m2sq*m6sq*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m2**4*m6sq*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1sq*m2**6*m7sq*(-3*m6sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m1sq*(m1sq - m6sq)*B0fin(0,0,m1sq)**2)/(4*m1sq - m7sq) - (3*m1**6*m2**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2**6*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2**8*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**8*m2sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**8*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**4*m2**4*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2**6*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**6*m2sq*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**6*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2**4*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2sq*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*(-m1sq + m2sq)*(m1sq - m6sq)*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (5*m1**4*m6sq*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m2sq*m6sq*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**4*m7**6*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*m6sq*m7**6*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + ((-m1sq + m2sq)*(m1sq - m6sq)*m7**4*(m2sq - m7sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**8*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (5*m1**4*m2**4*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*m2**6*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1**6*m2sq*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**4*(m1sq - m2sq)*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1sq*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1**6*m6sq*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (6*m1sq*m2**4*m6sq*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (9*m1**4*m2sq*m6sq*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*(m2sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m2sq*m6sq*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (2*m2sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*(m1sq - m6sq)*m7sq*(-m2**4 + (m1sq - m7sq)*(m6sq - m7sq) + 4*m2sq*m7sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**6*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**4*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**8*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1**4*m2**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1sq*m2**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**6*m2sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1sq*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (3*m1**4*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1sq*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2**4*m6sq*(m2sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (4*m1**4*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1sq*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (5*m1**6*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m1**6*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (3*m1sq*m2**4*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(4*m1sq - m7sq) + (m6sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(4*m1sq - m7sq) - (m1**4*(m1sq - m2sq)*(m1sq - m6sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*(m1sq - m2sq)*m2sq*(m1sq - m6sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2**4*(-m1sq + m2sq)*(m1sq - m6sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - ((m1sq - m2sq)*(m1sq - m6sq)*m7**4*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m1sq*(m1sq - m2sq)*(m1sq - m6sq)*m7sq*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + ((m1sq - m6sq)*(m1sq - m2sq - m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (2*m1sq*(-m1sq + m2sq)*(m1sq - m6sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (8*m1**8*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (8*m1**4*m2**4*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (20*m1**6*m2sq*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (18*m1sq*m2**4*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (26*m1**4*m2sq*m6sq*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (13*m1**6*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (5*m1sq*m2**4*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (8*m1**4*m2sq*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m1**4*m6sq*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (16*m1sq*m2sq*m6sq*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m7**8*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (2*m1sq*m2sq*m7**8*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (2*m1sq*m6sq*m7**8*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + ((-m1sq + m2sq)*(m1sq - m6sq)*m7**4*(m2sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**4*(m1sq - m2sq)*(m1sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (4*m1sq*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**10*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (6*m1**6*m2**4*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**4*m2**6*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m1sq*m2**8*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**8*m2sq*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (9*m1**8*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (30*m1**4*m2**4*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (28*m1**6*m2sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (3*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*(m2sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m2**4*m6sq*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1sq*m2**6*m7sq*(-3*m6sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (2*m2sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*(m1sq - m6sq)*m7sq*(-m2**4 + (m1sq - m7sq)*(m6sq - m7sq) + 4*m2sq*m7sq)*B0fin(0,0,m7sq))/((m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (28*m1**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (12*m1**4*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**6*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (22*m1sq*m2**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1**4*m2sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (17*m1**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (5*m1sq*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (5*m1**4*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (12*m1sq*m2sq*m6sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (4*m1**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*m6sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (15*m1**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (10*m1**6*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**4*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (m1sq*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (28*m1**8*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) - (7*m1**8*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (14*m1**4*m2**4*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1**6*m2sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (m2**4*m6sq*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (4*m1sq*m2**6*m7sq*(-3*m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*(m1sq - m6sq)*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + ((m1sq - m2sq)*(m1sq - m6sq)*m7**4*(m2sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m1**4*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*(m2sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) - (2*m2sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*(m1sq - m6sq)*m7sq*(-m2**4 + (m1sq - m7sq)*(m6sq - m7sq) + 4*m2sq*m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (3*m1sq*T134fin(m7,m1,m1))/(4*m1sq - m7sq) - (m6sq*T134fin(m7,m1,m1))/(4*m1sq - m7sq) + (m7sq*T134fin(m7,m1,m1))/(4*m1sq - m7sq) + T134fin(m7,m2,m1) + (2*(m1sq - m2sq)*(m1sq - m6sq)*m7**4*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) - (2*m1sq*(m1sq - m2sq)*(m1sq - m6sq)*m7sq*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*(m1sq - m6sq)*m7sq*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2) + ((-m1sq + m2sq)*(m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m6sq)*(m1sq - m2sq - m7sq)*T134fin(m7,m2,m1))/(4*m2sq*m7sq - (-m1sq + m2sq + m7sq)**2) + T134fin(m7,m6,m1) - T134fin(m7,m6,m2) + ((m1sq - m2sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2))/((m1sq - m2sq)**2*(m1sq - m6sq)**2)
		def eval_110():
			return (m1sq*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*B0del(0,0,m1sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(m4sq - m5sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*B0del(0,0,m3sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(m4sq - m5sq)*B0del(0,0,m5sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*B0del(0,0,m5sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*B0del(0,0,m5sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(m4sq - m5sq)*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m4sq - m5sq)*B0fin(0,0,m3sq) - (m2sq - m3sq)*m4sq*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)) + (m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*m5sq*(m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5)) + (m1sq - m3sq)*m4sq*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)) - (m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*m5sq*(m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5)) - (m1sq - m2sq)*m4sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) + (m1sq - m2sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5)) + (m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m4sq - m5sq)*B0fin(0,0,m5sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(m4sq - m5sq)*B0fin(0,0,m5sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*B0fin(0,0,m5sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m5sq*(-m4sq + m5sq)*B0fin(0,0,m5sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(m4sq - m5sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq)**2 + (m2sq - m3sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*T134fin(m5,m4,m1) + (m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*(-m2sq + 4*m5sq)*T134fin(m5,m4,m2) + (m1sq - m2sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*T134fin(m5,m4,m3) - m1sq*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*T134fin(m5,m5,m1) + (m2sq - m3sq)*m4sq*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*T134fin(m5,m5,m1) + 3*(m2sq - m3sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*m5sq*T134fin(m5,m5,m1) + m2sq*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*T134fin(m5,m5,m2) - (m1sq - m3sq)*m4sq*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*T134fin(m5,m5,m2) - 3*(m1sq - m3sq)*(m1sq - 4*m5sq)*(m3sq - 4*m5sq)*m5sq*T134fin(m5,m5,m2) - (m1sq - m2sq)*m3sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*T134fin(m5,m5,m3) + (m1sq - m2sq)*m4sq*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*T134fin(m5,m5,m3) + 3*(m1sq - m2sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*m5sq*T134fin(m5,m5,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)*(m3sq - 4*m5sq)*(m4sq - m5sq)**2)
		def eval_111():
			return (m1**8/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4**4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1**4*m4sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m1sq*m7**4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1**4*m7**4)/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m7**6)/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (4*m1sq*m4sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - m2**8/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2sq*m4**4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (7*m2**4*m4sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (5*m2sq*m7**4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (6*m2**4*m7**4)/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2sq*m7**6)/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) + (4*m2sq*m4sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) - m3**8/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3sq*m4**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (7*m3**4*m4sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (5*m3sq*m7**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (6*m3**4*m7**4)/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (4*m3sq*m7**6)/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + (4*m3sq*m4sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + (2*(m4sq - m7sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (2*(m4sq - m7sq)**2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) - (2*(m4sq - m7sq)**2)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + (5*m1**4*m7sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m7sq)/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m7sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (5*m2**4*m7sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m7sq)/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2sq*m7sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) - (5*m3**4*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m3**6*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m4sq*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m3sq*m7sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m1sq*m7sq*(m1sq - m4sq + m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m2sq*m7sq*(m2sq - m4sq + m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m3sq*m7sq*(m3sq - m4sq + m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m1**6*(5*m4sq + 3*m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m2**6*(5*m4sq + 3*m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m3**6*(5*m4sq + 3*m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m1sq*m7**4*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m2sq*m7**4*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m7sq*(m2sq - m4sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m3sq*m7**4*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3**4*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m4sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (4*m1sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m2sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m3sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m1sq*m7**4*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m2sq*m7**4*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m3sq*m7**4*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m1**4*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m2**4*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m3**4*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m2sq*m7sq*(m2sq - m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m1**8*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4**4*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m7**4*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**4*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m7**6*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m2**8*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2sq*m4**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (7*m2**4*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*m7**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m7**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m7**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2**4*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2sq*m4sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m7sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m3**8*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3sq*m4**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (7*m3**4*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m3sq*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3**4*m7**4*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3sq*m7**6*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (4*m3**4*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3sq*m4sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m1**8*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m7**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m2**8*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (7*m2**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (5*m2sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m2**4*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2sq*m7**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m3**8*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (7*m3**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (5*m3sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (6*m3**4*m7**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m3sq*m7**6*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (5*m1**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m2**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m2sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (5*m3**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3**6*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (6*m3sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (m1**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m2**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m3**6*(5*m4sq + 3*m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m1sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m4sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m4sq - m7sq)**2*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m2**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m4sq - m7sq)**2*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m3**4*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m4sq*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + ((m4sq - m7sq)**2*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m7sq*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m1sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m2sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m3sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3**4*m7**4*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (3*m3sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m1**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m2**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m3**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (m3**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (3*m3sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-(m4sq*m7) + m7**3)**2*(-3*m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m2sq*m7sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m1sq*m7sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m2sq*m7sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m3sq*m7sq*(m3sq - m4sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) + (2*m1sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m2sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m3sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m1**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m2**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m3**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (2*m3sq*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2) - (4*m1sq*m7sq*T134fin(m7,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m2sq*m7sq*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m3sq*m7sq*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m7)**2*(m3 - m4 + m7)**2*(-m3 + m4 + m7)**2*(m3 + m4 + m7)**2))/2.
		def eval_112():
			return (m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m4sq - m6sq)*B0del(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m4sq - m6sq)*B0del(0,0,m4sq) - m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0del(0,0,m4sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0del(0,0,m4sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq) - m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m2sq) - (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m3sq) + (m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*m4sq*(m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4)) - (m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*m6sq*(m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4)) - (m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*m4sq*(m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4)) + (m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*m6sq*(m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4)) + (m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*m4sq*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4)) - (m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*m6sq*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4)) - (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m4sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m4sq) - m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m4sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m4sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq)**2 - m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*T134fin(m4,m4,m1) + 3*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*m4sq*T134fin(m4,m4,m1) + (m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*m6sq*T134fin(m4,m4,m1) + m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*T134fin(m4,m4,m2) - 3*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*m4sq*T134fin(m4,m4,m2) - (m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*m6sq*T134fin(m4,m4,m2) - (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*T134fin(m4,m4,m3) + 3*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*m4sq*T134fin(m4,m4,m3) + (m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*m6sq*T134fin(m4,m4,m3) + (m2sq - m3sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*T134fin(m6,m4,m1) + (m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(-m2sq + 4*m4sq)*T134fin(m6,m4,m2) + (m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*T134fin(m6,m4,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m4sq - m6sq)**2)
		def eval_113():
			return (m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) + 2*m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m2sq) - 2*m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m2sq) - m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m3sq) + m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*m3sq*(m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m3sq) + (m1sq - m2sq)*(m3sq - m6sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m3sq) - 2*m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0del(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m7sq) + (m1sq - m2sq)*(m3sq - m6sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m7sq) - m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - 2*m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + 2*m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)*m3sq*(m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*(m3sq - m6sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq) + m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(m1sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(m2sq - m3sq - m7sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m3sq - m6sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m3sq)**2 + (m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) - (m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + (m1sq - m2sq)*m6sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)) + 2*m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m7sq) - 2*m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m3sq - m6sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m2sq*(m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m3sq - m6sq)*m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - (m2sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*(m1sq - m3sq + m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) - (m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m1) + (m1sq - m3sq)*(m3sq - m6sq)*(4*m3sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*T134fin(m7,m3,m2) + (m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m2) - 3*(m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) - (m1sq - m2sq)*m6sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + (m1sq - m2sq)*m7sq*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m3,m3) + (m2sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m6,m1) - (m1sq - m3sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m6,m2) + (m1sq - m2sq)*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m3sq - m6sq)**2*(4*m3sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq)))
		def eval_114():
			return ((m1sq*m2**6*m4sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**8*m4sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m2**4*m5**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**6*m5**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m4sq*m5**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2sq*m4sq*m5**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**4*m5**6)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m2sq*m5**6)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**6*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**8*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**4*m4sq*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*m4sq*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m2**4*m4sq*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*m2sq*m4sq*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*m5sq*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2sq*m5sq*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*(-m1sq + m2sq)*(m4sq - m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (4*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m5sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (2*(m1sq - m2sq)*m5**4*(-m4sq + m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) + (2*(m1sq - m2sq)*(m4sq - m5sq)*m7**4)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)) - (m1sq*m5**4*(m5sq - m7sq)**2)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5**4*(m5sq - m7sq)**2)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m4sq*m5sq*(m5sq - m7sq)**2)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m4sq*m5sq*(m5sq - m7sq)**2)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2**4*m4sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**6*m4sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m2**4*m5**4*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*m1sq*m2sq*m5**4*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*(m1sq - m2sq)*(m4sq - m5sq)*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*m2**4*m5sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m2**6*m5sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*m2**4*m4sq*m5sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (6*m1sq*m2sq*m4sq*m5sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m5sq*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m4sq*(m5sq - m7sq)**2*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m4sq*(m5sq - m7sq)**2*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m5sq*(m5sq - m7sq)**2*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m5sq*(m5sq - m7sq)**2*m7sq)/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*(m5sq + m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m1sq*(m4sq - m5sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m2**8*m4sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*m2**4*m5**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*m4sq*m5**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2sq*m5**6*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**6*m5sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m2**6*m4sq*m5sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m4sq*m7**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m4sq*m7**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**4*m5sq*m7**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2sq*m5sq*m7**4*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m5**4*(m5sq - m7sq)**2*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m4sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**4*m4sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**6*m4sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*m2**4*m5**4*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2sq*m5**4*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2**4*m5sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*m5sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*m4sq*m5sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*m2sq*m4sq*m5sq*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0del(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m2sq*(m4sq - m5sq)*m7sq*B0del(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0del(0,0,m2sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0del(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m2**8*m4sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*m2**4*m5**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*m4sq*m5**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2sq*m5**6*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**6*m5sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m2**6*m4sq*m5sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m4sq*m7**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m4sq*m7**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*m7**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**4*m5sq*m7**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2sq*m5sq*m7**4*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m5**4*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m4sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**4*m4sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**6*m4sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*m2**4*m5**4*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2sq*m5**4*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(m1sq - m2sq)*(m4sq - m5sq)*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2**4*m5sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*m5sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*m4sq*m5sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*m2sq*m4sq*m5sq*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m4sq - m5sq)*m5sq*m7sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*(m1sq - m2sq)*m5sq*m7sq*B0del(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0del(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m5**4 - m7**4 + m2sq*m7sq - 4*m5sq*m7sq + m1sq*(-m2sq + m7sq))*B0del(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*m7**4*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (2*m1sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m4sq - m5sq)*m5sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m2sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*(m1sq - m2sq)*m5sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0del(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m5**4 - m7**4 + m2sq*m7sq - 4*m5sq*m7sq + m1sq*(-m2sq + m7sq))*B0del(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m1sq*m2**6*m4sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m1sq*m2**4*m5**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*m5**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2**4*m4sq*m5**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m2sq*m4sq*m5**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m5**6*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m5**6*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2**6*m5sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**8*m5sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m2**4*m4sq*m5sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*m4sq*m5sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*m4sq*m7**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (5*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**4*m5sq*m7**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2sq*m5sq*m7**4*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**6*m4sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m5**4*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (5*m1sq*m2**4*m5sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*m5sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*m4sq*m5sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m1sq*m2sq*m4sq*m5sq*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m2sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*m2sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0fin(0,0,m2sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (m1sq*m2**6*m4sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m1sq*m2**4*m5**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*m5**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m2**4*m4sq*m5**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m2sq*m4sq*m5**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m5**6*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m5**6*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2**6*m5sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**8*m5sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m2**4*m4sq*m5sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*m4sq*m5sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*m4sq*m7**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (5*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m7**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**4*m5sq*m7**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2sq*m5sq*m7**4*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2**6*m4sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m5**4*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (5*m1sq*m2**4*m5sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**6*m5sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2**4*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (4*m1sq*m2sq*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*(m1sq - m2sq)*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m5sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m5sq*m7sq)*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m1sq*m2**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*m2**4*m4sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m1sq*m2sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (3*m2**6*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*m4sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**4*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2sq*m5sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m1sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m2sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2**6*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (6*m2**4*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m1sq*m2sq*m5**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m1sq*m2**4*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**6*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*m4sq*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m1sq*m2sq*m4sq*m5sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m2sq - m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m4sq - m5sq)*(-m1sq + m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m2**4*(-m1sq + m2sq)*(m4sq - m5sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*m5**4*(-m4sq + m5sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*m5sq*(-m4sq + m5sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m4sq - m5sq)*m7**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (2*(m1sq - m2sq)*m5sq*(-m4sq + m5sq)*m7sq*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*(m2sq - m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - ((m4sq - m5sq)*(-m2sq + m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m7**4*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*m2**4*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (3*(m1sq - m2sq)*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (4*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*m2sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0fin(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m5sq*m7sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m2**4*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (2*m2sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - ((m1sq - m2sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + (m2**4*(m1sq - m2sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*m5sq*(-m4sq + m5sq)*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m4sq - m5sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m5sq)*m7sq*(m5**4 - m7**4 + m2sq*m7sq - 4*m5sq*m7sq + m1sq*(-m2sq + m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + T134fin(m7,m4,m1) - T134fin(m7,m4,m2) + ((m1sq - m2sq)*(m2sq - m4sq - m7sq)*T134fin(m7,m4,m2))/(4*m4sq*m7sq - (-m2sq + m4sq + m7sq)**2) - T134fin(m7,m5,m1) + ((m4sq - m5sq)*(-m1sq + m5sq - m7sq)*T134fin(m7,m5,m1))/(4*m1sq*m7sq - (m1sq - m5sq + m7sq)**2) + T134fin(m7,m5,m2) + (2*(-m1sq + m2sq)*(m4sq - m5sq)*m7**4*T134fin(m7,m5,m2))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*m7sq*T134fin(m7,m5,m2))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) - (2*(-m1sq + m2sq)*(m4sq - m5sq)*m5sq*m7sq*T134fin(m7,m5,m2))/((m2 + m5 - m7)**2*(m2 - m5 + m7)**2*(-m2 + m5 + m7)**2*(m2 + m5 + m7)**2) + ((m1sq - m2sq)*(m2sq - m5sq - m7sq)*T134fin(m7,m5,m2))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)) + ((m4sq - m5sq)*(-m2sq + m5sq - m7sq)*T134fin(m7,m5,m2))/(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq)))/((m1sq - m2sq)**2*(m4sq - m5sq)**2)
		def eval_115():
			return ((m1sq*m2**4*m4**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m4**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**4*m4**6)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m2sq*m4**6)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**6*m4sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**8*m4sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m2**6*m6sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**8*m6sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*m4**4*m6sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2sq*m4**4*m6sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**4*m4sq*m6sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m4sq*m6sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m1sq*m2sq*m4sq*m7**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**4*m6sq*m7**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m1sq*m2sq*m6sq*m7**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**4*(m1sq - m2sq)*(m4sq - m6sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) + (2*(m1sq - m2sq)*m4**4*(m4sq - m6sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) + (4*m2sq*(-m1sq + m2sq)*m4sq*(m4sq - m6sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) - (2*(m1sq - m2sq)*(m4sq - m6sq)*m7**4)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)) - (m1sq*m4**4*(m4sq - m7sq)**2)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*m4**4*(m4sq - m7sq)**2)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4sq*m6sq*(m4sq - m7sq)**2)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m2**4*m4**4*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (6*m1sq*m2sq*m4**4*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m1sq*m2**4*m4sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**6*m4sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2sq*(-m1sq + m2sq)*m4sq*(m4sq - m6sq)*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m1sq*m2**4*m6sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**6*m6sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (6*m1sq*m2sq*m4sq*m6sq*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*(-m1sq + m2sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4sq*(m4sq - m7sq)**2*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m6sq*(m4sq - m7sq)**2*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*m6sq*(m4sq - m7sq)**2*m7sq)/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*(m4sq + m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m4sq*m7sq*(-2*m6sq + m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m4sq*(m4sq - m7sq)**2*(m6sq + m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*m1sq*(m4sq - m6sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (3*m1sq*m2**4*m4**4*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m1sq*m2sq*m4**6*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**6*m4sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**8*m6sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m4**4*m6sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**6*m4sq*m6sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2sq*m4sq*m7**4*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*m6sq*m7**4*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m6sq*m7**4*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m4**4*(m4sq - m7sq)**2*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4sq*m6sq*(m4sq - m7sq)**2*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (6*m2**4*m4**4*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2sq*m4**4*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2**4*m4sq*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m4sq*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**4*m6sq*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**6*m6sq*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m1sq*m2sq*m4sq*m6sq*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-m1sq + m2sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0del(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (2*m2sq*(m4sq - m6sq)*m7sq*B0del(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m2sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (3*m1sq*m2**4*m4**4*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m1sq*m2sq*m4**6*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**6*m4sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**8*m6sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m4**4*m6sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**6*m4sq*m6sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2sq*m4sq*m7**4*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7**4*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*m6sq*m7**4*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m6sq*m7**4*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m4**4*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4sq*m6sq*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (6*m2**4*m4**4*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2sq*m4**4*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2**4*m4sq*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m4sq*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**4*m6sq*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**6*m6sq*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m1sq*m2sq*m4sq*m6sq*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0del(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0del(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((-m4**4 + m4sq*m6sq)*m7sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m4sq*(m4sq - m6sq)*m7sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m4sq*m7sq)*B0del(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7**4*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-m1sq + m2sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((-m4**4 + m4sq*m6sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (2*m2sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m4sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m4sq*m7sq)*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - (2*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (4*m1sq*m2**4*m4**4*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m4**4*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*m4**6*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m4**6*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2**6*m4sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**8*m4sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**6*m6sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2**4*m4**4*m6sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**6*m4sq*m6sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**4*m6sq*m7**4*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (5*m1sq*m2sq*m6sq*m7**4*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2sq*m4sq*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m4**4*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (5*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**6*m4sq*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2**4*m6sq*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m6sq*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m1sq*m2sq*m4sq*m6sq*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*(m4sq + m7sq)*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m4sq*(m4sq - m7sq)**2*(m6sq + m7sq)*B0fin(0,0,m2sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (2*m2sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m2sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (4*m1sq*m2**4*m4**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m4**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*m4**6*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m4**6*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2**6*m4sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**8*m4sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**6*m6sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2**4*m4**4*m6sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**6*m4sq*m6sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**4*m6sq*m7**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (5*m1sq*m2sq*m6sq*m7**4*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-m1sq + m2sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2sq*m4sq*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m4**4*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (5*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2**6*m4sq*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2**4*m6sq*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**6*m6sq*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m1sq*m2sq*m4sq*m6sq*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*(m1sq - m2sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m4sq*(m4sq - m7sq)**2*(m6sq + m7sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((m4**4 - m4sq*m6sq)*m7sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m4sq*m7sq)*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (3*m1sq*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m1sq*m2sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*m2**4*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (3*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*m6sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2sq*m6sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m1sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m2sq*m4sq*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (6*m2**4*m4**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m1sq*m2sq*m4**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m1sq*m2**4*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**6*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m2**4*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**6*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m1sq*m2sq*m4sq*m6sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m4sq - m6sq)*(-m1sq + m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - ((m1sq - m2sq)*m4**4*(m4sq - m6sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*m4sq*(m4sq - m6sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - ((m1sq - m2sq)*(m4sq - m6sq)*m7**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*(m1sq - m2sq)*m4sq*(m4sq - m6sq)*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - ((m1sq - m2sq)*(m2sq - m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m4sq - m6sq)*(-m2sq + m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*(m2sq - m6sq - m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7**4*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-m1sq + m2sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (4*m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (3*(m1sq - m2sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (4*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((m4**4 - m4sq*m6sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (2*m2sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m4sq*m7sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-m1sq + m2sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2sq*(-m1sq + m2sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) - (2*m2sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(m2**4 - 4*m2sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (m2**4*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m1sq - m2sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((-m4**4 + m4sq*m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + (m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + ((m1sq - m2sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m2sq - m7sq) - m2sq*m7sq + 4*m4sq*m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq)) - T134fin(m7,m4,m1) + ((m4sq - m6sq)*(-m1sq + m4sq - m7sq)*T134fin(m7,m4,m1))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + T134fin(m7,m4,m2) + (2*(m1sq - m2sq)*(m4sq - m6sq)*m7**4*T134fin(m7,m4,m2))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + (2*m2sq*(-m1sq + m2sq)*(m4sq - m6sq)*m7sq*T134fin(m7,m4,m2))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) - (2*(m1sq - m2sq)*m4sq*(m4sq - m6sq)*m7sq*T134fin(m7,m4,m2))/((m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2) + ((m4sq - m6sq)*(-m2sq + m4sq - m7sq)*T134fin(m7,m4,m2))/(4*m2sq*m7sq - (m2sq - m4sq + m7sq)**2) + ((m1sq - m2sq)*(m2sq - m4sq - m7sq)*T134fin(m7,m4,m2))/(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq)) + T134fin(m7,m6,m1) - T134fin(m7,m6,m2) + ((m1sq - m2sq)*(m2sq - m6sq - m7sq)*T134fin(m7,m6,m2))/(4*m6sq*m7sq - (-m2sq + m6sq + m7sq)**2))/((m1sq - m2sq)**2*(m4sq - m6sq)**2)
		def eval_116():
			return -((-((m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m2sq)) + (m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0del(0,0,m2sq) + (m1sq - m2sq)*(m5sq - m6sq)*m7sq*(15*m2**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m2**6*(m5sq + m6sq + 2*m7sq) + m2**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m2sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0del(0,0,m2sq) - 2*(m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0del(0,0,m5sq) + (m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0del(0,0,m5sq) + 2*(m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m6sq) - (m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m6sq) + 2*(m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0del(0,0,m7sq) - 2*(m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0del(0,0,m7sq) + (m1sq - m2sq)*(m5sq - m6sq)*m7sq*(15*m2**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m2**6*(m5sq + m6sq + 2*m7sq) + m2**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m2sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0del(0,0,m7sq) + (m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m2sq) - (m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq) - 2*(m1sq - m2sq)*m2sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq) - (m1sq - m2sq)*(m5sq - m6sq)*m7sq*(15*m2**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m2**6*(m5sq + m6sq + 2*m7sq) + m2**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m2sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m2sq) + (m1sq - m2sq)*m2sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq)**2 + 2*(m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m5sq) - (m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m5sq) + (m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*(m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m6sq) + (m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m6sq) - (m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*(m2sq - m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m1sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + 2*m2sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m2**4*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*m1sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*m2sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*((m2 + m5 + m7)/2. + m2*B0fin(0,0,m2) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)) + 2*m2**4*(m2sq - m5sq)*(4*m2sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m2 + m6 + m7)/2. + m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6) + m7*B0fin(0,0,m7)) - 2*m1sq*(m2sq - m5sq)*(4*m2sq - m7sq)*(m2sq - m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m2 + m6 + m7)/2. + m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6) + m7*B0fin(0,0,m7)) - 2*m2sq*(m2sq - m5sq)*(4*m2sq - m7sq)*(m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*((m2 + m6 + m7)/2. + m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m7sq) - (m1sq - m2sq)*(m5sq - m6sq)*m7sq*(15*m2**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m2**6*(m5sq + m6sq + 2*m7sq) + m2**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m2sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m7sq) + (m1sq - m2sq)*(m5sq - m6sq)*m7sq*(15*m2**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m2**6*(m5sq + m6sq + 2*m7sq) + m2**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m2sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*(m1sq - m2sq)*m5sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*(m2sq - m5sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*B0fin(0,0,m6sq)*B0fin(0,0,m7sq) - (m5sq - m6sq)*(4*m2sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m1) + m1sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) + 3*m2sq*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) - (m5sq - m6sq)*m7sq*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m2,m2) + (m2sq - m6sq)*(4*m2sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m5,m1) - m1sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m5sq - m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m5,m2) - (m2sq - m6sq)*(4*m2sq - m7sq)*(m5sq - m7sq)**2*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m5,m2) + m2sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m5sq + m7sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m5,m2) - (m2sq - m5sq)*(4*m2sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))*T134fin(m7,m6,m1) + m1sq*(m2sq - m5sq)*(4*m2sq - m7sq)*(m2sq - m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m6,m2) + (m2sq - m5sq)*(4*m2sq - m7sq)*(m6sq - m7sq)**2*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m6,m2) - m2sq*(m2sq - m5sq)*(4*m2sq - m7sq)*(m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*T134fin(m7,m6,m2))/((m1sq - m2sq)**2*(m2sq - m5sq)*(m2sq - m6sq)*(m5sq - m6sq)*(4*m2sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))))
		def eval_117():
			return (-((m1sq - m2sq)*(4*m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*(m4sq - m6sq)*B0del(0,0,m2sq)) + (m1sq - m2sq)*m4sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m2sq) + 2*m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*m6sq*B0del(0,0,m2sq) + (m1sq - m2sq)*m4sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m4sq) - (m1sq - m2sq)*(4*m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*(m4sq - m6sq)*B0del(0,0,m5sq) + (m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m2sq)*(4*m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*(m4sq - m6sq)*B0fin(0,0,m2sq) - (m1sq - m2sq)*m4sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m2sq) - (m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*m6sq*B0fin(0,0,m2sq) + m2sq*(-m1sq + m2sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m2sq)**2 + m1sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) - m2sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) - (m1sq - m2sq)*m4sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m4sq) + (m1sq - m2sq)*m4sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*(4*m2sq - m4sq)*(4*m2sq - m6sq)*(m4sq - m6sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) + m2sq*(4*m2sq - m4sq)*(4*m2sq - m6sq)*(m4sq - m6sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) + (m1sq - m2sq)*(4*m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*(m4sq - m6sq)*B0fin(0,0,m5sq) - (m1sq - m2sq)*(4*m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) - m2sq*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) - (m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + (4*m2sq - m4sq)*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m2,m1) - m1sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m2,m2) - 3*m2sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m2,m2) + m4sq*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m2,m2) - (4*m2sq - m4sq)*(4*m2sq - m5sq)*(4*m2sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m2,m1) + m1sq*(4*m2sq - m4sq)*(4*m2sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m2,m2) + 3*m2sq*(4*m2sq - m4sq)*(4*m2sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m2,m2) - (4*m2sq - m4sq)*m5sq*(4*m2sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m2,m2) + (4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*(4*m2sq - m6sq)*T134fin(m6,m2,m1) - m1sq*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*T134fin(m6,m2,m2) - 3*m2sq*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*T134fin(m6,m2,m2) + (4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*m6sq*T134fin(m6,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq)*(4*m2sq - m6sq)*(m4sq - m6sq)*(m5sq - m6sq))
		def eval_118():
			return (m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) + 2*m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m1sq) - (m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m2sq) + m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m2sq) - 2*m2sq*(m1sq - m3sq)*(m2sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m2sq) - (m1sq - m3sq)*(m2sq - m6sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m3sq) - (m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0del(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0del(0,0,m7sq) - (m1sq - m3sq)*(m2sq - m6sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq) - m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) - 2*m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq) + (m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m2sq) - m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + 2*m2sq*(m1sq - m3sq)*(m2sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m2sq) + (m1sq - m3sq)*(m2sq - m6sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq) + m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(m1sq - m2sq - m7sq)*(4*m2sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m2sq*(m1sq - m3sq)*(m2sq - m6sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m2sq)**2 - 2*(m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*(m2sq - m3sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 2*(m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*(m1sq - m2sq + m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*((m1 + m2 + m7)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) + 2*m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*(m1sq - m3sq)*m6sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*(m2 + m7/2. + 2*m2*B0fin(0,0,m2) + m7*B0fin(0,0,m7)) - 2*m2**4*(m1sq - m2sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m2sq*m6sq*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m3sq*m6sq*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) + 2*(m1sq - m2sq)*m2sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*((m2 + m3 + m7)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m7*B0fin(0,0,m7)) - 2*(m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m7sq) - 2*m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m7sq) + (m1sq - m3sq)*(m2sq - m6sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq) + 2*m1sq*(m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - (m1sq - m3sq)*(m2sq - m6sq)*m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*m3sq*(m2sq - m6sq)*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - (m2sq - m3sq)*(m2sq - m6sq)*(4*m2sq - m7sq)*(m1sq - m2sq + m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) - (m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m1) + 3*m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m2) + (m1sq - m3sq)*m6sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m2) - (m1sq - m3sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m2,m2) - (m1sq - m2sq)*m3**4*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + (m1sq - m2sq)*m2sq*m3sq*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) - (m1sq - m2sq)*m2sq*m6sq*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + (m1sq - m2sq)*m3sq*m6sq*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) - (m1sq - m2sq)*m7**4*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + (m1sq - m2sq)*m2sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + 2*(m1sq - m2sq)*m3sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + (m1sq - m2sq)*m6sq*(4*m2sq - m7sq)*m7sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*T134fin(m7,m3,m2) + (m2sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m6,m1) - (m1sq - m3sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m6,m2) + (m1sq - m2sq)*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m2sq - m6sq)**2*(4*m2sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq)))
		def eval_119():
			return (-((m1**8*m4sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2)) + (m1**6*m3sq*m4sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m4sq*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3sq*m4sq*m5**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m5**6)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m3sq*m5**6)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**8*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m3sq*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m4sq*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m4sq*m5sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*m4sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m3sq*m4sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m5sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m3sq*m5sq*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*(m1sq - m3sq)*(m4sq - m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (2*(m1sq - m3sq)*m5**4*(m4sq - m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*m1sq*(m1sq - m3sq)*m5sq*(-m4sq + m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*(m1sq - m3sq)*(m4sq - m5sq)*m7**4)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (m1sq*m5**4*(m5sq - m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m5**4*(m5sq - m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m4sq*m5sq*(m5sq - m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m4sq*m5sq*(m5sq - m7sq)**2)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**6*m4sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*m3sq*m4sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1**4*m5**4*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1sq*m3sq*m5**4*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*(-m1sq + m3sq)*(m4sq - m5sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**6*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m3sq*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m4sq*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1sq*m3sq*m4sq*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m5sq*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*(-m1sq + m3sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m4sq*(m5sq - m7sq)**2*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m4sq*(m5sq - m7sq)**2*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m5sq*(m5sq - m7sq)**2*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m5sq*(m5sq - m7sq)**2*m7sq)/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m5sq + m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**8*m4sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m3sq*m5**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m4sq*m5**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m3sq*m5**6*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m3sq*m5sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**6*m4sq*m5sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m4sq*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m4sq*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4*m5sq*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3sq*m5sq*m7**4*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m5**4*(m5sq - m7sq)**2*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**6*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5**4*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5**4*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m3sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*m4sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m4sq*m5sq*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m4sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1sq + m3sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1**4 + m1sq*m3sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0del(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m4sq - m5sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0del(0,0,m3sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - (2*m3sq*(m4sq - m5sq)*m7sq*B0del(0,0,m3sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0del(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m1**8*m4sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m3sq*m5**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m4sq*m5**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m3sq*m5**6*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m3sq*m5sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**6*m4sq*m5sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m4sq*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m4sq*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4*m5sq*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3sq*m5sq*m7**4*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m5**4*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**6*m4sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m4sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5**4*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5**4*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(-m1sq + m3sq)*(m4sq - m5sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m3sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*m4sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m4sq*m5sq*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((-m1sq + m3sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m4sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m5sq*(m5sq - m7sq)**2*m7sq*B0del(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0del(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + ((m4sq - m5sq)*m5sq*m7sq*B0del(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m5sq*m7sq)*B0del(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*m7**4*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((-m1sq + m3sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1sq + m3sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1**4 + m1sq*m3sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m3sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + ((m4sq - m5sq)*m5sq*m7sq*B0del(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m5sq*m7sq)*B0del(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m3sq*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m4sq*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m5**6*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5**6*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**8*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*m3sq*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m4sq*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m5sq*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5sq*m7**4*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5**4*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1**4*m3sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m3sq*m4sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1**4 - m1sq*m3sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + (2*m3sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m3sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m1**6*m3sq*m4sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m3sq*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1**4*m4sq*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m3sq*m4sq*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m5**6*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5**6*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**8*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*m3sq*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*m4sq*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m3sq*m4sq*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m4sq*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m5sq*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5sq*m7**4*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1sq + m3sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m4sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m5**4*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**6*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m1**4*m3sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m3sq*m4sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*(-m1sq + m3sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m3sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0fin(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m5sq*m7sq)*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m4sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1sq*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**6*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**6*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m3sq*m5sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m3sq*m5**4*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1sq*m4sq*m5sq*(m5sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (6*m1**4*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*m3sq*m5**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**6*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1**4*m3sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*m4sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m3sq*m4sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*m4sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1sq*m5sq*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m1**4*(m1sq - m3sq)*(m4sq - m5sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*m5**4*(-m4sq + m5sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m3sq)*m5sq*(-m4sq + m5sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((m1sq - m3sq)*(m4sq - m5sq)*m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m3sq)*m5sq*(-m4sq + m5sq)*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - ((m4sq - m5sq)*(-m1sq + m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m4sq - m5sq)*(-m3sq + m5sq - m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + (2*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1sq + m3sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1**4*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*(-m1sq + m3sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(-m1sq + m3sq)*(m4sq - m5sq)*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1**4 - m1sq*m3sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m3sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m5sq*m7sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m1**4*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1sq + m3sq)*(m4sq - m5sq)*(m5sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((-m1**4 + m1sq*m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m5sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m3sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*m7**4*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m1sq - m3sq)*(m4sq - m5sq)*m7**4*(m5sq - m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(-m1sq + m3sq)*(m4sq - m5sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - ((-m1sq + m3sq)*(m4sq - m5sq)*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (m5sq*(-m4sq + m5sq)*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m4sq - m5sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m5sq)*m7sq*(-m5**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m5sq*m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - T134fin(m7,m4,m1) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + T134fin(m7,m4,m3) + T134fin(m7,m5,m1) + (2*(m1sq - m3sq)*(m4sq - m5sq)*m7**4*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(m1sq - m3sq)*m5sq*(-m4sq + m5sq)*m7sq*T134fin(m7,m5,m1))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m4sq - m5sq)*(-m1sq + m5sq - m7sq)*T134fin(m7,m5,m1))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/(4*m5sq*m7sq - (-m1sq + m5sq + m7sq)**2) - T134fin(m7,m5,m3) + ((m4sq - m5sq)*(-m3sq + m5sq - m7sq)*T134fin(m7,m5,m3))/(4*m3sq*m7sq - (m3sq - m5sq + m7sq)**2))/((m1sq - m3sq)**2*(m4sq - m5sq)**2)
		def eval_120():
			return (-((m1**6*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2)) + (m1**4*m3sq*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m4**6)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4**6)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m6sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m3sq*m6sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4**4*m6sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4**4*m6sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m4sq*m6sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m3sq*m4sq*m6sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m3sq*m4sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m6sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1sq*m3sq*m6sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4*(m1sq - m3sq)*(m4sq - m6sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (2*(m1sq - m3sq)*m4**4*(m4sq - m6sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (4*m1sq*(m1sq - m3sq)*m4sq*(m4sq - m6sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*(m1sq - m3sq)*(m4sq - m6sq)*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (m1sq*m4**4*(m4sq - m7sq)**2)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4**4*(m4sq - m7sq)**2)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*m6sq*(m4sq - m7sq)**2)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1**4*m4**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m3sq*m4**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**6*m6sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m3sq*m6sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (6*m1sq*m3sq*m4sq*m6sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*(m4sq - m7sq)**2*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m6sq*(m4sq - m7sq)**2*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m6sq*(m4sq - m7sq)**2*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4sq*m7sq*(-2*m6sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4sq*(m4sq - m7sq)**2*(m6sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m3sq*m4**4*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m3sq*m4**6*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m4sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4**4*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m4sq*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m6sq*m7**4*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4**4*(m4sq - m7sq)**2*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*m6sq*(m4sq - m7sq)**2*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m4**4*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m3sq*m4**4*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m3sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m4sq*m6sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m6sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*m1sq*(m4sq - m6sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((-m1**4 + m1sq*m3sq)*m7sq*B0del(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0del(0,0,m3sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + (2*m3sq*(m4sq - m6sq)*m7sq*B0del(0,0,m3sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + (3*m1**4*m3sq*m4**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m3sq*m4**6*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m4sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4**4*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m4sq*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m6sq*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m6sq*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4**4*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*m6sq*(m4sq - m7sq)**2*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m4**4*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m3sq*m4**4*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m4sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m3sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m6sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m3sq*m6sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m4sq*m6sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m4sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m6sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m4sq*(m4sq - m6sq)*m7sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0del(0,0,m4sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((-m4**4 + m4sq*m6sq)*m7sq*B0del(0,0,m4sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m4**4 - m7**4 + m3sq*m7sq - 4*m4sq*m7sq + m1sq*(-m3sq + m7sq))*B0del(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*B0del(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7**4*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*(m1sq - m3sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*m1sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m4sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*m3sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((-m4**4 + m4sq*m6sq)*m7sq*B0del(0,0,m7sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m4**4 - m7**4 + m3sq*m7sq - 4*m4sq*m7sq + m1sq*(-m3sq + m7sq))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((-m1**4 + m1sq*m3sq)*m7sq*B0del(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (2*(m1sq - m3sq)*m6sq*m7sq*B0del(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m1**6*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m3sq*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4**6*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m4**6*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m4**4*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4**4*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1sq*m3sq*m6sq*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1**4*m3sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m3sq*m4sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m3sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m4sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4sq*(m4sq - m7sq)**2*(m6sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((m1**4 - m1sq*m3sq)*m7sq*B0fin(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - (2*m3sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m3sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + (m1**6*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m3sq*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m4**6*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m4**6*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**8*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m3sq*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*m4**4*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m3sq*m4**4*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m6sq*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1sq*m3sq*m6sq*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**6*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m6sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1**4*m3sq*m6sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m3sq*m4sq*m6sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m3sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m4sq*(m4sq - m7sq)**2*(m6sq + m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0fin(0,0,m4sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m4**4 - m4sq*m6sq)*m7sq*B0fin(0,0,m4sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m4sq*m7sq)*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (3*m1**4*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m3sq*m4sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m3sq*m6sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*m4**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*m4sq*m6sq*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1**4*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*m3sq*m4**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**6*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4*m3sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**6*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1**4*m3sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m3sq*m4sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*m4sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m3sq*m6sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1**4*m4sq*m7sq*(-2*m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (m1**4*(m1sq - m3sq)*(m4sq - m6sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*m4**4*(m4sq - m6sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m4sq - m6sq)*m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((m4sq - m6sq)*(-m1sq + m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - ((m4sq - m6sq)*(-m3sq + m4sq - m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*m3sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m4**4 - m4sq*m6sq)*m7sq*B0fin(0,0,m7sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(-m4**4 + m7**4 + m1sq*(m3sq - m7sq) - m3sq*m7sq + 4*m4sq*m7sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1**4 - m1sq*m3sq)*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) - ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m1sq - m3sq)*(m4sq - m6sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1sq*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((-m1**4 + m1sq*m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m1**4 - 4*m1sq*m7sq + (m4sq - m7sq)*(-m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*m3sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*(m4sq - m6sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - ((m1sq - m3sq)*m4sq*(m4sq - m6sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + (m4sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + ((-m4**4 + m4sq*m6sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + ((m1sq - m3sq)*(m4sq - m6sq)*m7sq*(m4**4 - m7**4 + m3sq*m7sq - 4*m4sq*m7sq + m1sq*(-m3sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + T134fin(m7,m4,m1) + (2*(-m1sq + m3sq)*(m4sq - m6sq)*m7**4*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*(m1sq - m3sq)*(m4sq - m6sq)*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m4sq - m6sq)*(-m1sq + m4sq - m7sq)*T134fin(m7,m4,m1))/(4*m1sq*m7sq - (m1sq - m4sq + m7sq)**2) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/(4*m4sq*m7sq - (-m1sq + m4sq + m7sq)**2) - T134fin(m7,m4,m3) + ((m4sq - m6sq)*(-m3sq + m4sq - m7sq)*T134fin(m7,m4,m3))/(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - T134fin(m7,m6,m1) + ((m1sq - m3sq)*(m1sq - m6sq - m7sq)*T134fin(m7,m6,m1))/(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq)) + T134fin(m7,m6,m3))/((m1sq - m3sq)**2*(m4sq - m6sq)**2)
		def eval_121():
			return ((7*m1sq*m4**4)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m4sq)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1sq*m7**4)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1**4)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*m4**4)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (2*m7**4)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (7*m1sq*m5**4)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1**4*m5sq)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (7*m1sq*m7**4)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1**4)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*m5**4)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (2*m7**4)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) - (7*m1sq*m6**4)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m6sq)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*m7**4)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1**4)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (2*m6**4)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (2*m7**4)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) - (5*m4**4*(m4sq - m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(m4sq - m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*(m4sq - m7sq)**3)/(m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m5**4*(m5sq - m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*(m5sq - m7sq)**3)/(m1**2*(m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m6**4*(m6sq - m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)**3)/(m1**2*(m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*m7sq)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m4sq*m7sq)/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) + (3*m1**4*m7sq)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m5sq*m7sq)/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (3*m1**4*m7sq)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*m6sq*m7sq)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m6sq*m7sq)/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + ((m5sq - m7sq)**3*m7sq)/(m1**2*(m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + ((m6sq - m7sq)**3*m7sq)/(m1**2*(m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m7sq*(-m4sq + m7sq)**3)/(m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*(m4sq + m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)) - (4*m4sq*m7sq*(-m1sq + m4sq + m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(-m5sq + m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m1sq*(m5sq + m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)) + (4*m5sq*m7sq*(-m1sq + m5sq + m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m7**4*(-m6sq + m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1sq*(m6sq + m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)) + (4*m6sq*m7sq*(-m1sq + m6sq + m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (4*m1sq*m4sq*m7sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (4*m1sq*m5sq*m7sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (4*m1sq*m6sq*m7sq*B0del(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m6sq*m7sq*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m6sq*m7sq*B0del(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0del(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0del(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0del(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*m4**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1sq*m5**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*m5sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1sq*m6**4*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*m6sq*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (7*m1sq*m7**4*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m4**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (5*m5**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m7**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(m6sq - m7sq)*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (6*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (6*m1sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*m7sq*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (6*m1sq*m6sq*m7sq*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + ((m4sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m7**4*(-m4sq + m7sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7sq*(-m5sq + m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m1sq))/(m1**2*(m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*m4**4*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (3*m1**4*m4sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (5*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/(m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1sq*m5**4*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (5*m5**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5sq*(m5sq - m7sq)**3*B0fin(0,0,m5sq))/(m1**2*(m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1sq*m6**4*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (3*m1**4*m6sq*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (5*m6**4*(m6sq - m7sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6sq*(m6sq - m7sq)**3*B0fin(0,0,m6sq))/(m1**2*(m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*m6sq*m7sq*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m1**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m4**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m1sq*(m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m1**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m5**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7**4*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*(m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m1**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m6**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (m7**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*m7sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m1sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (7*m1sq*m7**4*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (5*m7**4*(m6sq - m7sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (3*m1**4*m7sq*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (3*m1sq*m6sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + ((m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(m1**2*(m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (5*m7**4*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (m7sq*(-m5sq + m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7sq*(-m6sq + m7sq)**3*B0fin(0,0,m7sq))/(m1**2*(m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m1sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (2*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (2*m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*m6sq*(m6sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) + (2*m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) - (2*m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m6sq*m7sq*(-m1sq + m6sq + m7sq)*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2) - (4*m4sq*m7sq*T134fin(m7,m4,m1))/((m4sq - m5sq)*(m4sq - m6sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2) + (4*m5sq*m7sq*T134fin(m7,m5,m1))/((m4sq - m5sq)*(m5sq - m6sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (4*m6sq*m7sq*T134fin(m7,m6,m1))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1 + m6 - m7)**2*(m1 - m6 + m7)**2*(-m1 + m6 + m7)**2*(m1 + m6 + m7)**2))/2.
		def eval_122():
			return ((2*m1sq*(m1sq - m3sq)*B0del(0,0,m1sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(15*m1**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m1**6*(m5sq + m6sq + 2*m7sq) + m1**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m1sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0del(0,0,m1sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0del(0,0,m5sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(15*m1**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m1**6*(m5sq + m6sq + 2*m7sq) + m1**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m1sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(15*m1**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m1**6*(m5sq + m6sq + 2*m7sq) + m1**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m1sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m1sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq)**2)/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m5sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m3sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m3sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(15*m1**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m1**6*(m5sq + m6sq + 2*m7sq) + m1**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m1sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(15*m1**8 + m5sq*m6sq*(m5sq - m7sq)*(-m6sq + m7sq) - 10*m1**6*(m5sq + m6sq + 2*m7sq) + m1**4*(3*m5**4 + 3*m6**4 + 7*m7**4 + 5*m6sq*m7sq + m5sq*(-12*m6sq + 5*m7sq)) + m1sq*(5*m6sq*m7**4 - 2*m7**6 + m5**4*(6*m6sq - 3*m7sq) - 3*m6**4*m7sq + m5sq*(6*m6**4 + 5*m7**4 - 18*m6sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (3*m1sq*T134fin(m7,m1,m1))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) - (m3sq*T134fin(m7,m1,m1))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) + (m7sq*T134fin(m7,m1,m1))/((m1sq - m5sq)*(m1sq - m6sq)*(4*m1sq - m7sq)) + T134fin(m7,m3,m1)/((m1sq - m5sq)*(m1sq - m6sq)) + T134fin(m7,m5,m1)/((m1sq - m5sq)*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m1sq - m5sq)*(m5sq - m6sq)*(4*m5sq*m7sq - (-m1sq + m5sq + m7sq)**2)) - T134fin(m7,m5,m3)/((m1sq - m5sq)*(m5sq - m6sq)) + (m1sq*m3sq*T134fin(m7,m6,m1))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m6sq*T134fin(m7,m6,m1))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m6sq - m7sq)**2*T134fin(m7,m6,m1))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m7sq*T134fin(m7,m6,m1))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m3sq*(m6sq + m7sq)*T134fin(m7,m6,m1))/((m1sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - T134fin(m7,m6,m3)/((m1sq - m6sq)*(-m5sq + m6sq)))/(m1sq - m3sq)**2
		def eval_123():
			return ((m1sq - m3sq)*(4*m1sq - m4sq)*m5sq*(4*m1sq - m6sq)*(m4sq - m6sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*m4sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m1sq) - (m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*m6sq*B0del(0,0,m1sq) - (m1sq - m3sq)*m4sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m4sq) + (m1sq - m3sq)*(4*m1sq - m4sq)*m5sq*(4*m1sq - m6sq)*(m4sq - m6sq)*B0del(0,0,m5sq) - (m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*m6sq*B0del(0,0,m6sq) - (m1sq - m3sq)*(4*m1sq - m4sq)*m5sq*(4*m1sq - m6sq)*(m4sq - m6sq)*B0fin(0,0,m1sq) + (m1sq - m3sq)*m4sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m1sq) - 2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m1sq) + (m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*m6sq*B0fin(0,0,m1sq) + m1sq*(m1sq - m3sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m1sq)**2 - m1sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) + m3sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) + (m1sq - m3sq)*m4sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m4sq) - (m1sq - m3sq)*m4sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*(4*m1sq - m4sq)*(4*m1sq - m6sq)*(m4sq - m6sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - m3sq*(4*m1sq - m4sq)*(4*m1sq - m6sq)*(m4sq - m6sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - (m1sq - m3sq)*(4*m1sq - m4sq)*m5sq*(4*m1sq - m6sq)*(m4sq - m6sq)*B0fin(0,0,m5sq) + (m1sq - m3sq)*(4*m1sq - m4sq)*m5sq*(4*m1sq - m6sq)*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + m3sq*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)) + (m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m1,m1) - m3sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m1,m1) + m4sq*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m1,m1) + (4*m1sq - m4sq)*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m5sq - m6sq)*T134fin(m4,m3,m1) + 3*m1sq*(4*m1sq - m4sq)*(4*m1sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m1,m1) + m3sq*(4*m1sq - m4sq)*(4*m1sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m1,m1) - (4*m1sq - m4sq)*m5sq*(4*m1sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m1,m1) - (4*m1sq - m4sq)*(4*m1sq - m5sq)*(4*m1sq - m6sq)*(m4sq - m6sq)*T134fin(m5,m3,m1) - 3*m1sq*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*T134fin(m6,m1,m1) - m3sq*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*T134fin(m6,m1,m1) + (4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*m6sq*T134fin(m6,m1,m1) + (4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*(4*m1sq - m6sq)*T134fin(m6,m3,m1))/((m1sq - m3sq)**2*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)*(4*m1sq - m6sq)*(m4sq - m6sq)*(m5sq - m6sq))
		def eval_124():
			return ((2*m1sq*(m1sq - m6sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) - (m2sq*(m1sq - m6sq)*(-m1sq + m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(m1sq - m6sq)*(-m1sq + m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m6sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m1sq - m6sq)*(-m1sq + m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m2sq*(m1sq - m6sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(m1sq - m6sq)*(-m1sq + m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*(m1sq - m6sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*(m1sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*(m1sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m6sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1sq*(m1sq - m6sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) + (m2sq*(m1sq - m6sq)*(-m1sq + m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(m1sq - m6sq)*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m6sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*(m1sq - m6sq)*B0fin(0,0,m1sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) + (m2sq*(m1sq - m6sq)*(-m1sq + m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m2sq*(m1sq - m6sq)*(-m1sq + m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(m1sq - m6sq)*(-m1sq + m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(m1sq - m6sq)*(-m1sq + m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) + (m6sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) + ((m1sq - m6sq)*(m1sq - m2sq - m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1**4*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m3sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m6sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*m6sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m6sq*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m1sq - m6sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m6sq)*m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*(m1sq - m6sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (3*m1sq*T134fin(m7,m1,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) - (m6sq*T134fin(m7,m1,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) + (m7sq*T134fin(m7,m1,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)) + T134fin(m7,m2,m1)/((m1sq - m2sq)*(m2sq - m3sq)) + ((m1sq - m6sq)*(m1sq - m2sq - m7sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq*m7sq - (-m1sq + m2sq + m7sq)**2)) + (m3**4*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m3sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*m6sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*m6sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7**4*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*m7sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m6sq*m7sq*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m7,m6,m1)/((m1sq - m2sq)*(m1sq - m3sq)) - T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m3sq)) - T134fin(m7,m6,m3)/((m1sq - m3sq)*(-m2sq + m3sq)))/(m1sq - m6sq)**2
		def eval_125():
			return (-((m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)))) - (2*m1sq*(m4sq - m5sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m4sq - m5sq)*(m2sq - m5sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*(m4sq - m5sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m3sq*(m4sq - m5sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m4sq - m5sq)*(m2sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m4sq - m5sq)*m7sq*(m1sq*((m3sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m2sq*(m3sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m2sq*(m3sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m3sq*(3*m5sq + m7sq)))*B0del(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m1sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m3sq*(m4sq - m5sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m4sq - m5sq)*m7sq*(m1sq*((m3sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m2sq*(m3sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m2sq*(m3sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m3sq*(3*m5sq + m7sq)))*B0del(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m4sq - m5sq)*(m2sq - m5sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m2sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m3sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m2sq*(m4sq - m5sq)*(m2sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m4sq - m5sq)*m7sq*(m1sq*((m3sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m2sq*(m3sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m2sq*(m3sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m3sq*(3*m5sq + m7sq)))*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m1sq*(m4sq - m5sq)*(m1sq - m5sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m2sq*(m4sq - m5sq)*(m2sq - m5sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3sq*(m4sq - m5sq)*(m3sq - m5sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m4sq - m5sq)*(m1sq - m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m4sq - m5sq)*(m2sq - m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3sq*m4sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m3sq*m5sq*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m4sq*(m5sq - m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m5sq*(m5sq - m7sq)*(m3 + m5 + m7 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m2sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m3sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - ((m4sq - m5sq)*m7sq*(m1sq*((m3sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m2sq*(m3sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m2sq*(m3sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m3sq*(3*m5sq + m7sq)))*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m1sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*m2sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m3sq*(m4sq - m5sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + ((m4sq - m5sq)*m7sq*(m1sq*((m3sq - 3*m5sq - m7sq)*(m5sq - m7sq) + m2sq*(m3sq + m5sq - m7sq)) + (m5sq - m7sq)*(5*m5**4 + m7**4 + m2sq*(m3sq - 3*m5sq - m7sq) + 10*m5sq*m7sq - m3sq*(3*m5sq + m7sq)))*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + T134fin(m7,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)) - T134fin(m7,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)) - T134fin(m7,m4,m3)/((m1sq - m3sq)*(-m2sq + m3sq)) - T134fin(m7,m5,m1)/((m1sq - m2sq)*(m1sq - m3sq)) + ((m4sq - m5sq)*(m1sq - m5sq + m7sq)*T134fin(m7,m5,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + T134fin(m7,m5,m2)/((m1sq - m2sq)*(m2sq - m3sq)) - ((m4sq - m5sq)*(m2sq - m5sq + m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m3**4*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m3sq*m4sq*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (m3sq*m5sq*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m4sq*(m5sq - m7sq)*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) - (2*m3sq*m7sq*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))) + (m7sq*(-m5sq + m7sq)*T134fin(m7,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m5sq - m7sq)**2 - 2*m3sq*(m5sq + m7sq))))/(m4sq - m5sq)**2
		def eval_126():
			return -((-((m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))) - (2*m1sq*(m4sq - m6sq)*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(m4sq - m6sq)*(m2sq - m4sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m2sq*(m4sq - m6sq)*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m3sq*(m4sq - m6sq)*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(m4sq - m6sq)*(m2sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m4sq - m6sq)*m7sq*(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq)) + (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0del(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*(m4sq - m6sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m4sq - m6sq)*m7sq*(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq)) + (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m4sq - m6sq)*(m2sq - m4sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m2sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m3sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m4sq - m6sq)*(m2sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m4sq - m6sq)*m7sq*(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq)) + (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(m4sq - m6sq)*(m1sq - m4sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(m4sq - m6sq)*(m2sq - m4sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(m4sq - m6sq)*(m3sq - m4sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m4sq - m6sq)*(m1sq - m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m4sq - m6sq)*(m2sq - m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*m4sq*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m3sq*m6sq*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m4sq*(m4sq - m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m6sq*(m4sq - m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m4sq - m6sq)*m7sq*(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq)) + (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*(m4sq - m6sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m4sq - m6sq)*m7sq*(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq)) + (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + T134fin(m7,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)) + ((m4sq - m6sq)*(m1sq - m4sq + m7sq)*T134fin(m7,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - T134fin(m7,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)) - ((m4sq - m6sq)*(m2sq - m4sq + m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3**4*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*m4sq*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*m6sq*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m6sq*(m4sq - m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m3sq*m7sq*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(-m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - T134fin(m7,m6,m1)/((m1sq - m2sq)*(m1sq - m3sq)) + T134fin(m7,m6,m2)/((m1sq - m2sq)*(m2sq - m3sq)) + T134fin(m7,m6,m3)/((m1sq - m3sq)*(-m2sq + m3sq)))/(m4sq - m6sq)**2)
		def eval_127():
			return (((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0del(0,0,m2sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m7sq)*B0del(0,0,m2sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m2sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m7sq*(5*m2**6 - m2**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m2sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0del(0,0,m2sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*(m1sq - m2sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m7sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*(m1sq - m2sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m7sq*(5*m2**6 - m2**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m2sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0del(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m7sq)*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m7sq*(5*m2**6 - m2**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m2sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0fin(0,0,m2sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m7sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m6sq*(m2sq - m6sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*(m2sq - m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2**4*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m2sq*(m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m1sq*(-m2sq + m5sq + m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2**4*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m2sq*(m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (m1sq*(-m2sq + m6sq + m7sq)*(m2 + m6 + m7 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - ((m1sq - m2sq)*m7sq*(5*m2**6 - m2**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m2sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0fin(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + ((m1sq - m2sq)*m7sq*(5*m2**6 - m2**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m2sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) + T134fin(m7,m4,m1)/((m4sq - m5sq)*(m4sq - m6sq)) - T134fin(m7,m4,m2)/((m4sq - m5sq)*(m4sq - m6sq)) + ((m1sq - m2sq)*(m2sq - m4sq - m7sq)*T134fin(m7,m4,m2))/((m4sq - m5sq)*(m4sq - m6sq)*(4*m4sq*m7sq - (-m2sq + m4sq + m7sq)**2)) - T134fin(m7,m5,m1)/((m4sq - m5sq)*(m5sq - m6sq)) + ((m5sq - m7sq)**2*T134fin(m7,m5,m2))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m2sq*(m5sq + m7sq)*T134fin(m7,m5,m2))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m1sq*(-m2sq + m5sq + m7sq)*T134fin(m7,m5,m2))/((m4sq - m5sq)*(m5sq - m6sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - T134fin(m7,m6,m1)/((m4sq - m6sq)*(-m5sq + m6sq)) + ((m6sq - m7sq)**2*T134fin(m7,m6,m2))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m2sq*(m6sq + m7sq)*T134fin(m7,m6,m2))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))) - (m1sq*(-m2sq + m6sq + m7sq)*T134fin(m7,m6,m2))/((m4sq - m6sq)*(-m5sq + m6sq)*(m2**4 + (m6sq - m7sq)**2 - 2*m2sq*(m6sq + m7sq))))/(m1sq - m2sq)**2
		def eval_128():
			return (-(((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0del(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0del(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(5*m1**6 - m1**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m1sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0del(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*B0del(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(5*m1**6 - m1**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m1sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(5*m1**6 - m1**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m1sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m6sq*(m1sq - m6sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1**4*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m3sq*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (m3sq*(m6sq + m7sq)*(m1 + m6 + m7 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6) + 2*m7*B0fin(0,0,m7)))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m1sq - m3sq)*m7sq*(5*m1**6 - m1**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m1sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - ((m1sq - m3sq)*m7sq*(5*m1**6 - m1**4*(3*m4sq + 3*m5sq + 3*m6sq - 5*m7sq) + (m4sq - m7sq)*(-m5sq + m7sq)*(-m6sq + m7sq) + m1sq*(-9*m7**4 + 2*m6sq*m7sq + m5sq*(m6sq + 2*m7sq) + m4sq*(m5sq + m6sq + 2*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m5sq - m6sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m6sq*m7sq*B0fin(0,0,m6sq)*B0fin(0,0,m7sq))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - T134fin(m7,m4,m1)/((m4sq - m5sq)*(m4sq - m6sq)) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/((m4sq - m5sq)*(m4sq - m6sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + T134fin(m7,m4,m3)/((m4sq - m5sq)*(m4sq - m6sq)) + T134fin(m7,m5,m1)/((m4sq - m5sq)*(m5sq - m6sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m4sq - m5sq)*(m5sq - m6sq)*(4*m5sq*m7sq - (-m1sq + m5sq + m7sq)**2)) - T134fin(m7,m5,m3)/((m4sq - m5sq)*(m5sq - m6sq)) + (m1sq*m3sq*T134fin(m7,m6,m1))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m6sq*T134fin(m7,m6,m1))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) + ((m6sq - m7sq)**2*T134fin(m7,m6,m1))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m1sq*m7sq*T134fin(m7,m6,m1))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - (m3sq*(m6sq + m7sq)*T134fin(m7,m6,m1))/((m4sq - m6sq)*(-m5sq + m6sq)*(m1**4 + (m6sq - m7sq)**2 - 2*m1sq*(m6sq + m7sq))) - T134fin(m7,m6,m3)/((m4sq - m6sq)*(-m5sq + m6sq)))/(m1sq - m3sq)**2
		def eval_129():
			return ((m2sq - m3sq)*(m5sq - m6sq)*T134fin(m7,m4,m1) - (m1sq - m3sq)*(m5sq - m6sq)*T134fin(m7,m4,m2) + m1sq*m5sq*T134fin(m7,m4,m3) - m2sq*m5sq*T134fin(m7,m4,m3) - m1sq*m6sq*T134fin(m7,m4,m3) + m2sq*m6sq*T134fin(m7,m4,m3) - m2sq*m4sq*T134fin(m7,m5,m1) + m3sq*m4sq*T134fin(m7,m5,m1) + m2sq*m6sq*T134fin(m7,m5,m1) - m3sq*m6sq*T134fin(m7,m5,m1) + m1sq*m4sq*T134fin(m7,m5,m2) - m3sq*m4sq*T134fin(m7,m5,m2) - m1sq*m6sq*T134fin(m7,m5,m2) + m3sq*m6sq*T134fin(m7,m5,m2) - m1sq*m4sq*T134fin(m7,m5,m3) + m2sq*m4sq*T134fin(m7,m5,m3) + m1sq*m6sq*T134fin(m7,m5,m3) - m2sq*m6sq*T134fin(m7,m5,m3) + m2sq*m4sq*T134fin(m7,m6,m1) - m3sq*m4sq*T134fin(m7,m6,m1) - m2sq*m5sq*T134fin(m7,m6,m1) + m3sq*m5sq*T134fin(m7,m6,m1) - m1sq*m4sq*T134fin(m7,m6,m2) + m3sq*m4sq*T134fin(m7,m6,m2) + m1sq*m5sq*T134fin(m7,m6,m2) - m3sq*m5sq*T134fin(m7,m6,m2) + m1sq*m4sq*T134fin(m7,m6,m3) - m2sq*m4sq*T134fin(m7,m6,m3) - m1sq*m5sq*T134fin(m7,m6,m3) + m2sq*m5sq*T134fin(m7,m6,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m4sq - m6sq)*(m5sq - m6sq))

		cond_m1_0 = cond(m1, 0)
		cond_m2_0 = cond(m2, 0)
		cond_m3_0 = cond(m3, 0)
		cond_m4_0 = cond(m4, 0)
		cond_m5_0 = cond(m5, 0)
		cond_m6_0 = cond(m6, 0)
		cond_m7_0 = cond(m7, 0)
		cond_m7_m6 = cond(m7, m6)
		cond_m7_m5 = cond(m7, m5)
		cond_m6_m5 = cond(m6, m5)
		cond_m7_m4 = cond(m7, m4)
		cond_m6_m4 = cond(m6, m4)
		cond_m5_m4 = cond(m5, m4)
		cond_m7_m3 = cond(m7, m3)
		cond_m6_m3 = cond(m6, m3)
		cond_m5_m3 = cond(m5, m3)
		cond_m4_m3 = cond(m4, m3)
		cond_m7_m2 = cond(m7, m2)
		cond_m6_m2 = cond(m6, m2)
		cond_m5_m2 = cond(m5, m2)
		cond_m4_m2 = cond(m4, m2)
		cond_m3_m2 = cond(m3, m2)
		cond_m7_m1 = cond(m7, m1)
		cond_m6_m1 = cond(m6, m1)
		cond_m5_m1 = cond(m5, m1)
		cond_m4_m1 = cond(m4, m1)
		cond_m3_m1 = cond(m3, m1)
		cond_m2_m1 = cond(m2, m1)

		conditions = [
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_20()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_20()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_20()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_32()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_32()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_9()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_32()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_9()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_63()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_64()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_64()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_64()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_63()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_63()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_63()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_64()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_64()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_64()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_64()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_64()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_64()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_22()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_29()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_26()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_26()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_26()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_31()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_29()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_29()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_31()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_32()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_31()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_32()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_35()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_88()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_35()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_35()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_61()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_61()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_61()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_62()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_12()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_13()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_100()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_101()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_101()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_101()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_114()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_104()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_104()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_100()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_101()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_101()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_101()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_101()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_101()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_101()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_19()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_46()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_46()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_119()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_114()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_114()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_20()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_20()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_21()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_102()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_102()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_102()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_103()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_104()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_104()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_23()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_126()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_26()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_27()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_28()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_126()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_125()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_29()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_55()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_115()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_31()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_32()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_56()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_32()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_120()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_33()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m4_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_35()),
			(cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_37()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_37()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_90()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_90()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_90()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_59()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_37()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_90()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_90()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_90()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_90()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_90()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_90()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_37()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_37()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_100()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_95()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_97()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_97()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_97()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_44()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_44()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_44()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_44()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_44()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_44()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_99()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_99()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_45()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_73()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_37()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_71()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_38()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_38()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_38()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_100()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_95()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_97()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_97()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_95()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_74()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_74()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_97()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_97()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_97()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_74()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_74()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_75()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_75()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_44()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_44()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_44()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_99()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_99()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_99()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_77()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_77()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_45()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_73()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_40()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_41()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_73()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_41()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_41()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_111()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_44()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_43()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_44()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_120()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_54()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_54()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_54()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_54()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_54()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_54()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_116()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_116()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_116()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_42()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_111()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_43()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_44()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_45()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_111()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_83()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_83()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_83()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_114()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_113()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_113()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_113()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_84()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_84()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_85()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_85()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_52()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_53()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_119()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_48()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_48()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_54()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_54()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_54()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_116()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_116()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_116()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_116()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_116()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_116()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_51()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_87()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_87()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_87()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m5, lambda: eval_53()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m5, lambda: eval_53()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4, lambda: eval_125()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4, lambda: eval_120()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m4, lambda: eval_54()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4, lambda: eval_120()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m4, lambda: eval_54()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_0, lambda: eval_127()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_52()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_53()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_125()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_120()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_54()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_125()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_126()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_126()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_126()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_125()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_126()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_55()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_127()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_126()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_127()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_56()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_128()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_57()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m2_0, lambda: eval_128()),
			(cond_m1_0 and cond_m3_0, lambda: eval_128()),
			(cond_m1_0 and cond_m4_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0, lambda: eval_129()),
			(cond_m1_0 and cond_m6_0, lambda: eval_129()),
			(cond_m1_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0, lambda: eval_128()),
			(cond_m2_0 and cond_m4_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0, lambda: eval_129()),
			(cond_m2_0 and cond_m6_0, lambda: eval_129()),
			(cond_m2_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0, lambda: eval_129()),
			(cond_m3_0 and cond_m6_0, lambda: eval_129()),
			(cond_m3_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_0, lambda: eval_126()),
			(cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m4_0 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m5_0 and cond_m7_0, lambda: eval_129()),
			(cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_60()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_58()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_60()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_111()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_94()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_95()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_111()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_112()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_95()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_96()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_96()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_96()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_70()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_70()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_59()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_60()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_110()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_60()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_61()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_110()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_111()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_61()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_62()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_95()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_94()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_91()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_92()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_92()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_92()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_93()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_93()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_93()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_111()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_81()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_111()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_67()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_95()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_96()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_68()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_70()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_70()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_111()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_126()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_111()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_111()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_114()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_95()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_96()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_96()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_126()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_115()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_111()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_70()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_111()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_126()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_111()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_70()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_71()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_111()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_95()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_97()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_97()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_97()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_99()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_99()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_98()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_99()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_118()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_111()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_73()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_94()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_114()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_95()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_96()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_96()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_96()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_96()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_111()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_100()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_100()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_101()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_101()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_101()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_114()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_102()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_102()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_102()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_102()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_102()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_102()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_103()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_103()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_104()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_104()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_126()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_115()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_126()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_107()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_107()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_107()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_107()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_107()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_107()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_124()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_109()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_124()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_111()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_111()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_80()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_80()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_80()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_81()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_82()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_126()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_126()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_111()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_125()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_125()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_126()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_126()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_111()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_110()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_126()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_126()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_111()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_125()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_111()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_113()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_114()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_114()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_115()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_125()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_116()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_116()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_117()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_116()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_118()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m6, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_125()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_125()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m5, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m4, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_125()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_125()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_128()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_119()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_119()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_120()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_127()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_125()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_0, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_123()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_122()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_124()),
			(cond_m1_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m1_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m4, lambda: eval_126()),
			(cond_m1_0 and cond_m6_m4, lambda: eval_126()),
			(cond_m1_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m1_0 and cond_m4_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m1_0 and cond_m3_m2, lambda: eval_127()),
			(cond_m1_0 and cond_m4_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m5_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m1_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m2_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m2_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m4, lambda: eval_126()),
			(cond_m2_0 and cond_m6_m4, lambda: eval_126()),
			(cond_m2_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m2_0 and cond_m4_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m2_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m3_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m3_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m4, lambda: eval_126()),
			(cond_m3_0 and cond_m6_m4, lambda: eval_126()),
			(cond_m3_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m4_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m5, lambda: eval_125()),
			(cond_m4_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m5_0 and cond_m7_m6, lambda: eval_129()),
			(cond_m6_0 and cond_m7_m5, lambda: eval_129()),
			(cond_m6_m5 and cond_m7_0, lambda: eval_125()),
			(cond_m5_0 and cond_m6_m4, lambda: eval_125()),
			(cond_m5_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m4 and cond_m6_0, lambda: eval_125()),
			(cond_m5_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m6_0 and cond_m7_m4, lambda: eval_129()),
			(cond_m6_m4 and cond_m7_0, lambda: eval_126()),
			(cond_m4_0 and cond_m5_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m3, lambda: eval_129()),
			(cond_m5_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_0, lambda: eval_129()),
			(cond_m4_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m6_0 and cond_m7_m3, lambda: eval_129()),
			(cond_m6_m3 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m3_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_0, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_0, lambda: eval_127()),
			(cond_m4_0 and cond_m5_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m6_0, lambda: eval_127()),
			(cond_m4_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m2, lambda: eval_129()),
			(cond_m5_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_0, lambda: eval_129()),
			(cond_m3_m2 and cond_m7_0, lambda: eval_127()),
			(cond_m4_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m6_0 and cond_m7_m2, lambda: eval_129()),
			(cond_m6_m2 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_m1, lambda: eval_127()),
			(cond_m2_0 and cond_m4_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m5_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m2_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m5_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m3_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m3_m1 and cond_m4_0, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_0, lambda: eval_128()),
			(cond_m4_0 and cond_m5_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_0, lambda: eval_128()),
			(cond_m4_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m5_0 and cond_m6_m1, lambda: eval_129()),
			(cond_m5_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m3_m1 and cond_m7_0, lambda: eval_128()),
			(cond_m4_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m5_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m6_0 and cond_m7_m1, lambda: eval_129()),
			(cond_m6_m1 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0, lambda: eval_129()),
			(cond_m2_0, lambda: eval_129()),
			(cond_m3_0, lambda: eval_129()),
			(cond_m4_0, lambda: eval_129()),
			(cond_m5_0, lambda: eval_129()),
			(cond_m6_0, lambda: eval_129()),
			(cond_m7_0, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_91()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_95()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_100()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_91()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_100()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_91()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_95()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_100()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_95()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_91()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_100()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_111()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_95()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_111()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_95()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_111()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_95()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_115()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_111()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_100()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_100()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_100()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_95()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_114()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_100()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_115()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_100()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_91()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_108()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_119()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_111()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_95()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_115()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_111()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_100()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_100()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_111()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_111()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_125()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_111()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_126()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_126()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_126()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_111()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_126()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_114()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_125()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_111()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_114()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_95()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_115()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_114()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_126()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_126()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_126()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_115()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_126()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_111()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_126()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_119()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_125()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_119()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_100()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_100()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_120()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_125()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_114()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_120()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m5, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_115()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_125()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_125()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m6, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_119()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5, lambda: eval_106()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m5, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_120()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m4, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_115()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_127()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_111()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_126()),
			(cond_m6_m5 and cond_m7_m5, lambda: eval_125()),
			(cond_m5_m4 and cond_m7_m6, lambda: eval_126()),
			(cond_m6_m4 and cond_m7_m5, lambda: eval_126()),
			(cond_m6_m5 and cond_m7_m4, lambda: eval_125()),
			(cond_m5_m4 and cond_m6_m4, lambda: eval_111()),
			(cond_m5_m4 and cond_m7_m4, lambda: eval_126()),
			(cond_m6_m4 and cond_m7_m4, lambda: eval_126()),
			(cond_m4_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m5_m3 and cond_m7_m6, lambda: eval_129()),
			(cond_m6_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m6_m5 and cond_m7_m3, lambda: eval_125()),
			(cond_m4_m3 and cond_m6_m5, lambda: eval_125()),
			(cond_m4_m3 and cond_m7_m5, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m4, lambda: eval_125()),
			(cond_m5_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m4 and cond_m6_m3, lambda: eval_125()),
			(cond_m5_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m6_m3 and cond_m7_m4, lambda: eval_129()),
			(cond_m6_m4 and cond_m7_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m5_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m4_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m3, lambda: eval_126()),
			(cond_m5_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m6_m3 and cond_m7_m3, lambda: eval_129()),
			(cond_m3_m2 and cond_m7_m6, lambda: eval_127()),
			(cond_m4_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m5_m2 and cond_m7_m6, lambda: eval_129()),
			(cond_m6_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m6_m5 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m2 and cond_m6_m5, lambda: eval_114()),
			(cond_m3_m2 and cond_m7_m5, lambda: eval_127()),
			(cond_m4_m2 and cond_m6_m5, lambda: eval_125()),
			(cond_m4_m2 and cond_m7_m5, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m4, lambda: eval_125()),
			(cond_m5_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m4 and cond_m6_m2, lambda: eval_125()),
			(cond_m5_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m6_m2 and cond_m7_m4, lambda: eval_129()),
			(cond_m6_m4 and cond_m7_m2, lambda: eval_126()),
			(cond_m3_m2 and cond_m5_m4, lambda: eval_115()),
			(cond_m3_m2 and cond_m6_m4, lambda: eval_115()),
			(cond_m3_m2 and cond_m7_m4, lambda: eval_127()),
			(cond_m4_m2 and cond_m5_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m3, lambda: eval_129()),
			(cond_m5_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m2, lambda: eval_129()),
			(cond_m5_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m6_m2 and cond_m7_m3, lambda: eval_129()),
			(cond_m6_m3 and cond_m7_m2, lambda: eval_129()),
			(cond_m3_m2 and cond_m4_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m2, lambda: eval_127()),
			(cond_m3_m2 and cond_m7_m2, lambda: eval_127()),
			(cond_m4_m2 and cond_m5_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m4_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m2, lambda: eval_126()),
			(cond_m5_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m6_m2 and cond_m7_m2, lambda: eval_129()),
			(cond_m2_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m3_m1 and cond_m7_m6, lambda: eval_128()),
			(cond_m4_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m5_m1 and cond_m7_m6, lambda: eval_129()),
			(cond_m6_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m6_m5 and cond_m7_m1, lambda: eval_125()),
			(cond_m2_m1 and cond_m6_m5, lambda: eval_119()),
			(cond_m2_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m5, lambda: eval_119()),
			(cond_m3_m1 and cond_m7_m5, lambda: eval_128()),
			(cond_m4_m1 and cond_m6_m5, lambda: eval_125()),
			(cond_m4_m1 and cond_m7_m5, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m4, lambda: eval_125()),
			(cond_m5_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m5_m4 and cond_m6_m1, lambda: eval_125()),
			(cond_m5_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m6_m1 and cond_m7_m4, lambda: eval_129()),
			(cond_m6_m4 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_m1 and cond_m5_m4, lambda: eval_120()),
			(cond_m2_m1 and cond_m6_m4, lambda: eval_120()),
			(cond_m2_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m6_m4, lambda: eval_120()),
			(cond_m3_m1 and cond_m7_m4, lambda: eval_128()),
			(cond_m4_m1 and cond_m5_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m4_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m4_m3 and cond_m5_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m3, lambda: eval_129()),
			(cond_m5_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m5_m3 and cond_m6_m1, lambda: eval_129()),
			(cond_m5_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m6_m1 and cond_m7_m3, lambda: eval_129()),
			(cond_m6_m3 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m4_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m3, lambda: eval_128()),
			(cond_m2_m1 and cond_m7_m3, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m2, lambda: eval_128()),
			(cond_m3_m1 and cond_m7_m2, lambda: eval_128()),
			(cond_m3_m2 and cond_m4_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m5_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m6_m1, lambda: eval_127()),
			(cond_m3_m2 and cond_m7_m1, lambda: eval_127()),
			(cond_m4_m1 and cond_m5_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m4_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m4_m2 and cond_m5_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m4_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m2, lambda: eval_129()),
			(cond_m5_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m5_m2 and cond_m6_m1, lambda: eval_129()),
			(cond_m5_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m6_m1 and cond_m7_m2, lambda: eval_129()),
			(cond_m6_m2 and cond_m7_m1, lambda: eval_129()),
			(cond_m2_m1 and cond_m3_m1, lambda: eval_121()),
			(cond_m2_m1 and cond_m4_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m5_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m6_m1, lambda: eval_128()),
			(cond_m2_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m4_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m5_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m6_m1, lambda: eval_128()),
			(cond_m3_m1 and cond_m7_m1, lambda: eval_128()),
			(cond_m4_m1 and cond_m5_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m4_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m5_m1 and cond_m6_m1, lambda: eval_126()),
			(cond_m5_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m6_m1 and cond_m7_m1, lambda: eval_129()),
			(cond_m7_m6, lambda: eval_129()),
			(cond_m6_m5, lambda: eval_125()),
			(cond_m7_m5, lambda: eval_129()),
			(cond_m5_m4, lambda: eval_126()),
			(cond_m6_m4, lambda: eval_126()),
			(cond_m7_m4, lambda: eval_129()),
			(cond_m4_m3, lambda: eval_129()),
			(cond_m5_m3, lambda: eval_129()),
			(cond_m6_m3, lambda: eval_129()),
			(cond_m7_m3, lambda: eval_129()),
			(cond_m3_m2, lambda: eval_127()),
			(cond_m4_m2, lambda: eval_129()),
			(cond_m5_m2, lambda: eval_129()),
			(cond_m6_m2, lambda: eval_129()),
			(cond_m7_m2, lambda: eval_129()),
			(cond_m2_m1, lambda: eval_128()),
			(cond_m3_m1, lambda: eval_128()),
			(cond_m4_m1, lambda: eval_129()),
			(cond_m5_m1, lambda: eval_129()),
			(cond_m6_m1, lambda: eval_129()),
			(cond_m7_m1, lambda: eval_129()),
			(True, lambda: eval_129())
		]

		for condition,action in conditions:
			if condition:
				return action()

	except Exception as e:
		raise Exception(f"There was an error when evaluating the T1113334 integral with masses {m1}, {m2}, {m3}, {m4}, {m5}, {m6}, {m7} from {e}")