# This file is automatically generated. Do not modify it manually!
from functools import lru_cache
import numpy as np

from .config import cond
from .OneLoop import B0fin, B0del
from .T134 import T134fin


@lru_cache(maxsize=150)
def T111334(m1: float, m2: float, m3: float, m4: float, m5: float, m6) -> float:
	""" Computes the UV-finite part of the T111334 integral.

	Args:
		m1: internal mass
		m2: internal mass
		m3: internal mass
		m4: internal mass
		m5: internal mass
		m6: internal mass

	Returns:
		finite part of the T111334 integral.
	"""

	try:

		m1, m2, m3 = np.sort([m1, m2, m3])
		m4, m5 = np.sort([m4, m5])
		

		m1sq = m1**2
		m2sq = m2**2
		m3sq = m3**2
		m4sq = m4**2
		m5sq = m5**2
		m6sq = m6**2

		def eval_1():
			return 0
		def eval_2():
			return (1 - 2*B0fin(0,0,m5))/(2.*m5**5)
		def eval_3():
			return (m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0))/m3**6
		def eval_4():
			return (-5 + 6*B0fin(0,0,m4sq))/(36.*m4**4)
		def eval_5():
			return (11 - 6*B0fin(0,0,m5sq))/(18.*m5**2*(-m4sq + m5sq)) + (m4sq*m5sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(m4sq - m5sq)**5 - (-2*(m4 + m5)*(m4sq + m5sq)**2 + (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m4sq*m5sq*T134fin(m5,m4,0))/(2.*(m4sq - m5sq)**5)
		def eval_6():
			return (m4**5 + m4**4*m6 - 14*m4sq*m6**3 - 7*m4*m6**4 + 16*m4sq*m6**4 - 7*m6**5 - 14*m4**3*m6sq - 2*(3*m4sq*m6**4 + m6**6 + 2*m4**4*m6sq)*B0del(0,0,m4sq) - 2*(3*m4sq*m6**4 + m6**6 + 2*m4**4*m6sq)*B0del(0,0,m6sq) + 2*m4**5*B0fin(0,0,m4) + 2*m4*m6**4*B0fin(0,0,m4) + 4*m4**3*m6sq*B0fin(0,0,m4) - 18*m4sq*m6**4*B0fin(0,0,m4sq) + 2*m6**6*B0fin(0,0,m4sq) - 4*m4**4*m6sq*B0fin(0,0,m4sq) + 2*m4**4*m6*B0fin(0,0,m6) + 4*m4sq*m6**3*B0fin(0,0,m6) + 2*m6**5*B0fin(0,0,m6) - 18*m4sq*m6**4*B0fin(0,0,m6sq) + 2*m6**6*B0fin(0,0,m6sq) - 4*m4**4*m6sq*B0fin(0,0,m6sq) - 6*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m6**4*T134fin(m6,m4,0) + 8*m4sq*m6sq*T134fin(m6,m4,0))/(2.*(m4sq - m6sq)**5)
		def eval_7():
			return (((m4sq - m5sq)**4*(11 - 6*B0fin(0,0,m4sq)))/m4**2 - 18*m4sq*m5sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + 9*(-2*(m4 + m5)*(m4sq + m5sq)**2 + (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m4sq*m5sq*T134fin(m5,m4,0)))/(18.*(m4sq - m5sq)**5)
		def eval_8():
			return (m4**4/((m4 - m6)**4*(m4 + m6)**3) + m6**4/((m4 - m6)**4*(m4 + m6)**3) - m5**4/((m5 - m6)**4*(m5 + m6)**3) - m6**4/((m5 - m6)**4*(m5 + m6)**3) + (2*m4sq*m6sq)/((m4 - m6)**4*(m4 + m6)**3) - (2*m5sq*m6sq)/((m5 - m6)**4*(m5 + m6)**3) - (2*m4sq*m6sq*(m4sq + m6sq))/(m4sq - m6sq)**4 + (2*m5sq*m6sq*(m5sq + m6sq))/(m5sq - m6sq)**4 + (m4sq*m6sq*(m4sq + m6sq)*B0del(0,0,m4sq))/(m4sq - m6sq)**4 - (m5sq*m6sq*(m5sq + m6sq)*B0del(0,0,m5sq))/(m5sq - m6sq)**4 + (m4sq*m6sq*(m4sq + m6sq)*B0del(0,0,m6sq))/(m4sq - m6sq)**4 - (m5sq*m6sq*(m5sq + m6sq)*B0del(0,0,m6sq))/(m5sq - m6sq)**4 + (m4sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m4sq))/(m4sq - m6sq)**4 - (m5sq*m6sq*(m5sq + m6sq)*B0fin(0,0,m5sq))/(m5sq - m6sq)**4 - (m4**4*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(2.*(m4sq - m6sq)**4) - (m6**4*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(2.*(m4sq - m6sq)**4) + (m4sq*m6sq*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m4sq - m6sq)**4 + (m5**4*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/(2.*(m5sq - m6sq)**4) + (m6**4*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/(2.*(m5sq - m6sq)**4) - (m5sq*m6sq*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/(m5sq - m6sq)**4 + (m4sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m6sq))/(m4sq - m6sq)**4 - (m5sq*m6sq*(m5sq + m6sq)*B0fin(0,0,m6sq))/(m5sq - m6sq)**4 + (m4sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m4sq - m6sq)**4 - (m5sq*m6sq*(m5sq + m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/(m5sq - m6sq)**4 - (2*m4sq*m6sq*T134fin(m6,m4,0))/(m4sq - m6sq)**4 + (2*m5sq*m6sq*T134fin(m6,m5,0))/(m5sq - m6sq)**4)/(m4sq - m5sq)
		def eval_9():
			return (7 - 12*B0fin(0,0,m1sq))/(36.*m1**4)
		def eval_10():
			return (-1 + 2*m1 + 2*B0fin(0,0,m1) - 2*m1*B0fin(0,0,m1sq))/(2.*m1**5)
		def eval_11():
			return (3*m3**4 + 4*m4**3 + 2*m3*m4sq - 12*m3sq*m4sq + 2*m3sq*m4sq*B0del(0,0,m3sq) + 4*m4**4*B0del(0,0,m4sq) + 4*m3*m4sq*B0fin(0,0,m3) - 2*m3sq*m4sq*B0fin(0,0,m3sq) + 8*m4**3*B0fin(0,0,m4) - 2*m3**4*B0fin(0,0,m4sq) - 4*m4**4*B0fin(0,0,m4sq) + 8*m3sq*m4sq*B0fin(0,0,m4sq) + 2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 2*m4**4*B0fin(0,0,m4sq)**2 - m3sq*m4sq*B0fin(0,0,m4sq)**2 - 2*m4sq*T134fin(m4,m4,m3))/(-8*m3**4*m4**4 + 2*m3**6*m4sq)
		def eval_12():
			return (4*m1sq*m2sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + ((m1sq - m2sq)**2*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2))/m2**2 + 2*(m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(2.*(m1sq - m2sq)**4)
		def eval_13():
			return (m3sq*(8*m1sq - 2*(3*m1sq + m3sq)*B0del(0,0,m1sq) - 2*(3*m1sq + m3sq)*B0del(0,0,m3sq) - 2*(m1sq - m3sq)*B0fin(0,0,m1sq) - 2*(m1sq - m3sq + (3*m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) - (m1sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - 2*(2*m1**3 + 2*m1sq*m3 + 4*m3**3 + 4*m1*m3sq + 4*m1*m3sq*B0fin(0,0,m1) + 4*m3**3*B0fin(0,0,m3) - m1sq*T134fin(m3,m1,0) - 3*m3sq*T134fin(m3,m1,0)))/(2.*(m1sq - m3sq)**4)
		def eval_14():
			return (-((m1sq - m2sq)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2)) + m1sq*(8*m2sq - 2*(m1sq + 3*m2sq)*B0del(0,0,m1sq) - 2*(m1sq + 3*m2sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*B0fin(0,0,m1sq) - 2*(-m1sq + m2sq + (m1sq + 3*m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)) - 2*(4*m1**3 + 4*m1sq*m2 + 2*m2**3 + 2*m1*m2sq + 4*m1**3*B0fin(0,0,m1) + 4*m1sq*m2*B0fin(0,0,m2) - 3*m1sq*T134fin(m2,m1,0) - m2sq*T134fin(m2,m1,0)))/(2.*(m1sq - m2sq)**4)
		def eval_15():
			return (((m1sq - m3sq)**2*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/m1**2 + 4*m1sq*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) + 2*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/(2.*(m1sq - m3sq)**4)
		def eval_16():
			return (-2*m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - 4*m3sq*m4sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + (m4sq - m5sq)**2*(-6*m3sq + 4*m5sq - 2*(m3sq - 2*m5sq)*B0del(0,0,m5sq) + (6*m3sq + 4*m5sq)*B0fin(0,0,m5sq) - (m3sq - 2*m5sq)*B0fin(0,0,m5sq)**2) + 2*(-(m4sq - m5sq)**2 + m3sq*(m4sq + m5sq))*T134fin(m5,m4,0) + 2*(m4sq - m5sq)**2*T134fin(m5,m4,m3) - 2*(m4sq - m5sq)**2*T134fin(m5,m5,m3))/(2.*m3**4*(m4sq - m5sq)**3)
		def eval_17():
			return ((m4sq - m5sq)**2*(6*m3sq - 4*m4sq + 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) - 2*(3*m3sq + 2*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2) + 2*m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m3sq*m4sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + 2*(m4sq - m5sq)**2*T134fin(m4,m4,m3) + 2*((m4sq - m5sq)**2 - m3sq*(m4sq + m5sq))*T134fin(m5,m4,0) - 2*(m4sq - m5sq)**2*T134fin(m5,m4,m3))/(2.*m3**4*(m4sq - m5sq)**3)
		def eval_18():
			return (4*m1sq*(m2sq - m3sq)**3*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + 4*m2sq*m3sq*(-m1sq + m3sq)**3*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) - (m1sq - m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) + 2*(m2sq - m3sq)**3*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) - 2*(m1sq - m3sq)**3*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)*(m1sq - m3sq)**3*(m2sq - m3sq)**3)
		def eval_19():
			return (4*m1sq*m2sq*(m2sq - m3sq)**3*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m3sq)*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2) + 4*(m1sq - m2sq)**3*m2sq*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)) + 2*(m1sq + m2sq)*(m2sq - m3sq)**3*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) + 2*(m1sq - m2sq)**3*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m3sq)**3)
		def eval_20():
			return -0.5*(4*m1sq*(m2sq - m3sq)*(m1**6 - 3*m1sq*m2sq*m3sq + m2sq*m3sq*(m2sq + m3sq))*B0del(0,0,m1sq) + (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 4*m1sq*m2sq*(m1sq - m3sq)**3*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) - 4*m1sq*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**3*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**3*m3sq*(-1 + B0fin(0,0,m3sq))) - 4*m1sq*(m1sq - m2sq)**3*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) + 2*(m1sq + m2sq)*(m1sq - m3sq)**3*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**3*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)**3*(m1sq - m3sq)**3*(m2sq - m3sq))
		def eval_21():
			return 1/(4.*m1**4)
		def eval_22():
			return (m1sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)))/(m1sq - m2sq)**3 - (-2*m1sq + 2*m2sq + 2*m2sq*B0del(0,0,m2sq) - 2*m2sq*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2)/(2.*(-(m1sq*m2) + m2**3)**2) + (m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0))/(m1sq - m2sq)**3
		def eval_23():
			return (4*m1 - 2*m1sq + 4*m2 - 2*m2sq + 2*m1sq*B0del(0,0,m1sq) + 2*m2sq*B0del(0,0,m2sq) + 2*m2sq*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2 - m2sq*B0fin(0,0,m1sq)**2 + 2*m1sq*B0fin(0,0,m2sq) + 2*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*T134fin(m2,m1,0))/(2.*(m1 - m2)**3*(m1 + m2)**3)
		def eval_24():
			return (8*m1**5 + 4*m1**4*m5 + m1sq*m5**3 + 7*m1sq*m5**4 - m5**6 + 2*m1**3*m5sq - 18*m1**4*m5sq + 8*m1**6*B0del(0,0,m1sq) + 4*m1**4*m5sq*B0del(0,0,m5sq) + 16*m1**5*B0fin(0,0,m1) - 4*m1**3*m5sq*B0fin(0,0,m1) - 8*m1**6*B0fin(0,0,m1sq) - 6*m1sq*m5**4*B0fin(0,0,m1sq) + m5**6*B0fin(0,0,m1sq) + 12*m1**4*m5sq*B0fin(0,0,m1sq) + 4*m1**6*B0fin(0,0,m1sq)**2 - 2*m1**4*m5sq*B0fin(0,0,m1sq)**2 + 8*m1**4*m5*B0fin(0,0,m5) - 2*m1sq*m5**3*B0fin(0,0,m5) + 8*m1sq*m5**4*B0fin(0,0,m5sq) - m5**6*B0fin(0,0,m5sq) - 12*m1**4*m5sq*B0fin(0,0,m5sq) + 4*m1**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*T134fin(m5,m1,m1))/(2.*m5**4*(-4*m1**3 + m1*m5sq)**2)
		def eval_25():
			return -0.5*(m1**3 - 2*m1**4 + m1sq*m5 - m5**4 + m1sq*m5sq - 2*m1**3*B0fin(0,0,m1) + (2*m1**4 + m5**4 - m1sq*m5sq)*B0fin(0,0,m1sq) - 2*m1sq*m5*B0fin(0,0,m5) - m5**4*B0fin(0,0,m5sq) + 3*m1sq*m5sq*B0fin(0,0,m5sq))/(m1**2*(m1 - m5)**3*(m1 + m5)**3)
		def eval_26():
			return -0.5*(2*m1sq - 2*m3sq + 2*m1sq*B0del(0,0,m1sq) - 2*m1sq*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2)/(m1**3 - m1*m3sq)**2 + (m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)))/(-m1sq + m3sq)**3 - (m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0))/(m1sq - m3sq)**3
		def eval_27():
			return (-2*m1sq*m2**3 + 2*m2**5 + 3*m2**4*m6 - 3*m1sq*m2sq*m6 - m1sq*m2*m6sq + m2**3*m6sq + m2sq*(-m1sq + m2sq)*(2*m2sq + m6sq)*B0del(0,0,m2sq) + 3*m2sq*(-m1sq + m2sq)*m6sq*B0del(0,0,m6sq) - 4*m1sq*m2**3*B0fin(0,0,m2) + 4*m2**5*B0fin(0,0,m2) - 2*m1sq*m2*m6sq*B0fin(0,0,m2) + 2*m2**3*m6sq*B0fin(0,0,m2) + 2*m1sq*m2**4*B0fin(0,0,m2sq) - 2*m2**6*B0fin(0,0,m2sq) - m2**4*m6sq*B0fin(0,0,m2sq) + m1sq*m2sq*m6sq*B0fin(0,0,m2sq) - m1sq*m2**4*B0fin(0,0,m2sq)**2 + m2**6*B0fin(0,0,m2sq)**2 - m2**4*m6sq*B0fin(0,0,m2sq)**2 + m1sq*m2sq*m6sq*B0fin(0,0,m2sq)**2 + 6*m2**4*m6*B0fin(0,0,m6) - 6*m1sq*m2sq*m6*B0fin(0,0,m6) - 3*m2**4*m6sq*B0fin(0,0,m6sq) + 3*m1sq*m2sq*m6sq*B0fin(0,0,m6sq) + 3*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 3*m1sq*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m2**4*T134fin(m6,m1,0) - m6**4*T134fin(m6,m1,0) + 5*m2sq*m6sq*T134fin(m6,m1,0) + 4*m1sq*m2sq*T134fin(m6,m2,0) + m6**4*T134fin(m6,m2,0) - m1sq*m6sq*T134fin(m6,m2,0) - 4*m2sq*m6sq*T134fin(m6,m2,0) + 4*m2**4*T134fin(m6,m2,m1) + m6**4*T134fin(m6,m2,m1) - 5*m2sq*m6sq*T134fin(m6,m2,m1) - 3*m2**4*T134fin(m6,m2,m2) - m1sq*m2sq*T134fin(m6,m2,m2) - m6**4*T134fin(m6,m2,m2) + m1sq*m6sq*T134fin(m6,m2,m2) + 4*m2sq*m6sq*T134fin(m6,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2**4 + m6**4 - 5*m2sq*m6sq))
		def eval_28():
			return (2*m1**5 - 2*m1**3*m3sq + 3*m1**4*m6 - 3*m1sq*m3sq*m6 + m1**3*m6sq - m1*m3sq*m6sq + m1sq*(m1sq - m3sq)*(2*m1sq + m6sq)*B0del(0,0,m1sq) + 3*m1sq*(m1sq - m3sq)*m6sq*B0del(0,0,m6sq) + 4*m1**5*B0fin(0,0,m1) - 4*m1**3*m3sq*B0fin(0,0,m1) + 2*m1**3*m6sq*B0fin(0,0,m1) - 2*m1*m3sq*m6sq*B0fin(0,0,m1) - 2*m1**6*B0fin(0,0,m1sq) + 2*m1**4*m3sq*B0fin(0,0,m1sq) - m1**4*m6sq*B0fin(0,0,m1sq) + m1sq*m3sq*m6sq*B0fin(0,0,m1sq) + m1**6*B0fin(0,0,m1sq)**2 - m1**4*m3sq*B0fin(0,0,m1sq)**2 - m1**4*m6sq*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m6sq*B0fin(0,0,m1sq)**2 + 6*m1**4*m6*B0fin(0,0,m6) - 6*m1sq*m3sq*m6*B0fin(0,0,m6) - 3*m1**4*m6sq*B0fin(0,0,m6sq) + 3*m1sq*m3sq*m6sq*B0fin(0,0,m6sq) + 3*m1**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1sq*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m3sq*T134fin(m6,m1,0) + m6**4*T134fin(m6,m1,0) - 4*m1sq*m6sq*T134fin(m6,m1,0) - m3sq*m6sq*T134fin(m6,m1,0) - 3*m1**4*T134fin(m6,m1,m1) - m1sq*m3sq*T134fin(m6,m1,m1) - m6**4*T134fin(m6,m1,m1) + 4*m1sq*m6sq*T134fin(m6,m1,m1) + m3sq*m6sq*T134fin(m6,m1,m1) - 4*m1**4*T134fin(m6,m3,0) - m6**4*T134fin(m6,m3,0) + 5*m1sq*m6sq*T134fin(m6,m3,0) + 4*m1**4*T134fin(m6,m3,m1) + m6**4*T134fin(m6,m3,m1) - 5*m1sq*m6sq*T134fin(m6,m3,m1))/((m1**3 - m1*m3sq)**2*(4*m1**4 + m6**4 - 5*m1sq*m6sq))
		def eval_29():
			return (-((m1sq - m5sq)*(4*m1sq + 2*(m1sq + m3sq)*B0del(0,0,m1sq) + (6*m1sq - 2*m3sq)*B0fin(0,0,m1sq) + (m1sq + m3sq)*B0fin(0,0,m1sq)**2)) + 2*(m1sq - m3sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + 2*(m1sq - m3sq)*m5sq*(B0del(0,0,m1sq) + B0del(0,0,m5sq) - B0fin(0,0,m1sq) - B0fin(0,0,m5sq) + B0fin(0,0,m1sq)*B0fin(0,0,m5sq)) + 2*(m1sq - m5sq)*T134fin(m3,m1,0) + 2*(m3sq - m5sq)*T134fin(m5,m1,0) - 2*(m1sq - m5sq)*T134fin(m5,m3,0))/(2.*(m1sq - m3sq)**2*(m1sq - m5sq)**2)
		def eval_30():
			return (2*m2sq*(m1sq - m3sq)**2*B0del(0,0,m1sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*B0del(0,0,m1sq) - 2*(m1sq - m2sq)**2*m3sq*B0del(0,0,m1sq) + 2*m2sq*(m1sq - m3sq)**2*B0del(0,0,m2sq) - 2*(m1sq - m2sq)**2*m3sq*B0del(0,0,m3sq) - 2*m2sq*(m1sq - m3sq)**2*B0fin(0,0,m1sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*B0fin(0,0,m1sq) + 2*(m1sq - m2sq)**2*m3sq*B0fin(0,0,m1sq) + (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*B0fin(0,0,m1sq)**2 + 2*(m1sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m2sq*(m1sq - m3sq)**2*B0fin(0,0,m2sq) + 2*m2sq*(m1sq - m3sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*(m1sq - m2sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*(m1sq - m2sq)**2*m3sq*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)**2*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*(m1sq - m3sq)**2*T134fin(m2,m1,0) + 2*(m1sq - m2sq)**2*T134fin(m3,m1,0))/(2.*(m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq))
		def eval_31():
			return (m1**4*m2**3 - m1**4*m2**4 - 2*m1sq*m2**5 + m1*m2**6 + m1sq*m2**6 - 4*m1sq*m2**4*m4 + 2*m2**6*m4 + 2*m1**4*m2sq*m4 + 4*m1**4*m4**4 - 16*m2**3*m4**4 + 16*m1*m2sq*m4**4 - 4*m1sq*m2sq*m4**4 - 16*m1sq*m4**6 + 16*m2sq*m4**6 - 8*m1*m2**4*m4sq + 4*m1sq*m2**4*m4sq + 8*m2**5*m4sq - 4*m2**6*m4sq + m1sq*m2sq*(m2sq - 4*m4sq)**2*B0del(0,0,m1sq) + m2sq*(m1sq - 4*m4sq)*(-m2**4 + 2*m1sq*m4sq + 2*m2sq*m4sq)*B0del(0,0,m2sq) + 4*m1**4*m4**4*B0del(0,0,m4sq) - 8*m2**4*m4**4*B0del(0,0,m4sq) + 4*m1sq*m2sq*m4**4*B0del(0,0,m4sq) - 16*m1sq*m4**6*B0del(0,0,m4sq) + 16*m2sq*m4**6*B0del(0,0,m4sq) - 2*m1sq*m2**4*m4sq*B0del(0,0,m4sq) + 2*m2**6*m4sq*B0del(0,0,m4sq) + 2*m1*m2**6*B0fin(0,0,m1) + 32*m1*m2sq*m4**4*B0fin(0,0,m1) - 16*m1*m2**4*m4sq*B0fin(0,0,m1) - m1sq*m2**6*B0fin(0,0,m1sq) - 16*m1sq*m2sq*m4**4*B0fin(0,0,m1sq) + 8*m1sq*m2**4*m4sq*B0fin(0,0,m1sq) - 2*m1**4*m2**3*B0fin(0,0,m2) - 32*m1sq*m2*m4**4*B0fin(0,0,m2) + 8*m1**4*m2*m4sq*B0fin(0,0,m2) + 8*m1sq*m2**3*m4sq*B0fin(0,0,m2) + m1**4*m2**4*B0fin(0,0,m2sq) + 8*m2**4*m4**4*B0fin(0,0,m2sq) + 8*m1sq*m2sq*m4**4*B0fin(0,0,m2sq) - 6*m1sq*m2**4*m4sq*B0fin(0,0,m2sq) - 2*m1**4*m2sq*m4sq*B0fin(0,0,m2sq) + 4*m2**6*m4*B0fin(0,0,m4) - 4*m1**4*m2sq*m4*B0fin(0,0,m4) + 16*m1**4*m4**3*B0fin(0,0,m4) - 32*m2**4*m4**3*B0fin(0,0,m4) + 16*m1sq*m2sq*m4**3*B0fin(0,0,m4) - 64*m1sq*m4**5*B0fin(0,0,m4) + 64*m2sq*m4**5*B0fin(0,0,m4) + m1**4*m2**4*B0fin(0,0,m4sq) - m1sq*m2**6*B0fin(0,0,m4sq) - 12*m1**4*m4**4*B0fin(0,0,m4sq) + 8*m2**4*m4**4*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4**4*B0fin(0,0,m4sq) + 48*m1sq*m4**6*B0fin(0,0,m4sq) - 48*m2sq*m4**6*B0fin(0,0,m4sq) - 2*m1sq*m2**4*m4sq*B0fin(0,0,m4sq) + 2*m2**6*m4sq*B0fin(0,0,m4sq) + m1sq*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1sq*m2sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m2**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1sq*m2sq*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m4**4*B0fin(0,0,m4sq)**2 - 2*m1sq*m2sq*m4**4*B0fin(0,0,m4sq)**2 - 8*m1sq*m4**6*B0fin(0,0,m4sq)**2 + 8*m2sq*m4**6*B0fin(0,0,m4sq)**2 + 2*m1sq*m2**4*m4sq*B0fin(0,0,m4sq)**2 - m2**6*m4sq*B0fin(0,0,m4sq)**2 - m1**4*m2sq*m4sq*B0fin(0,0,m4sq)**2 - m2**6*T134fin(m4,m4,m1) - 16*m2sq*m4**4*T134fin(m4,m4,m1) + 8*m2**4*m4sq*T134fin(m4,m4,m1) + m1sq*m2**4*T134fin(m4,m4,m2) + 8*m1sq*m4**4*T134fin(m4,m4,m2) + 8*m2sq*m4**4*T134fin(m4,m4,m2) - 2*m1**4*m4sq*T134fin(m4,m4,m2) - 4*m2**4*m4sq*T134fin(m4,m4,m2) - 2*m1sq*m2sq*m4sq*T134fin(m4,m4,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq))
		def eval_32():
			return (-2*m1**8*m3 + 24*m1**5*m3**4 - 8*m1**6*m3**4 + 12*m1**4*m3**5 - 24*m1**3*m3**6 - 16*m1sq*m3**7 + 8*m1*m3**8 + 8*m1sq*m3**8 + 6*m3**9 - 4*m3**10 - 8*m1**7*m3sq + 4*m1**8*m3sq - m1**8*m6 + 18*m1**4*m3**4*m6 - 20*m1sq*m3**6*m6 + 7*m3**8*m6 - 4*m1**6*m3sq*m6 + 6*m1**6*m6**3 + 10*m1sq*m3**4*m6**3 - 2*m3**6*m6**3 - 14*m1**4*m3sq*m6**3 + m1**5*m6**4 - m1**6*m6**4 - 11*m1**4*m3*m6**4 + 6*m1sq*m3**3*m6**4 + m1*m3**4*m6**4 - 3*m1sq*m3**4*m6**4 - 11*m3**5*m6**4 + 5*m3**6*m6**4 + 14*m1**3*m3sq*m6**4 - m1**4*m3sq*m6**4 - 5*m1**4*m6**5 - 5*m3**4*m6**5 + 10*m1sq*m3sq*m6**5 - 4*m1**3*m6**6 + m1**4*m6**6 + 4*m1sq*m3*m6**6 + 4*m3**3*m6**6 + 3*m3**4*m6**6 - 4*m1*m3sq*m6**6 - 4*m1sq*m3sq*m6**6 + m1*m6**8 + m1sq*m6**8 - m3*m6**8 - m3sq*m6**8 + 2*m1**7*m6sq - m1**8*m6sq + 10*m1**6*m3*m6sq - 18*m1**4*m3**3*m6sq + 14*m1**3*m3**4*m6sq - 12*m1**4*m3**4*m6sq + 6*m1sq*m3**5*m6sq - 6*m1*m3**6*m6sq + 10*m1sq*m3**6*m6sq + 2*m3**7*m6sq - 3*m3**8*m6sq - 10*m1**5*m3sq*m6sq + 6*m1**6*m3sq*m6sq - m1sq*(4*m3sq - m6sq)*(m1**6 - m3**6 - m3sq*m6**4 + m6**6 + m3**4*m6sq + m1**4*(-3*m3sq + m6sq) + m1sq*(3*m3**4 - 3*m6**4 - 2*m3sq*m6sq))*B0del(0,0,m1sq) + m3sq*(-2*m1**8 + 2*m3**8 - 7*m3**4*m6**4 + 3*m3sq*m6**6 - m6**8 + 3*m3**6*m6sq + m1**6*(4*m3sq + 9*m6sq) + m1sq*(-4*m3**6 + 2*m3sq*m6**4 + 5*m6**6 + 3*m3**4*m6sq) - m1**4*(11*m6**4 + 15*m3sq*m6sq))*B0del(0,0,m3sq) + 5*m1**6*m6**4*B0del(0,0,m6sq) + 7*m1sq*m3**4*m6**4*B0del(0,0,m6sq) - m3**6*m6**4*B0del(0,0,m6sq) - 11*m1**4*m3sq*m6**4*B0del(0,0,m6sq) - 5*m1**4*m6**6*B0del(0,0,m6sq) - m3**4*m6**6*B0del(0,0,m6sq) + 6*m1sq*m3sq*m6**6*B0del(0,0,m6sq) + m1sq*m6**8*B0del(0,0,m6sq) - m3sq*m6**8*B0del(0,0,m6sq) - m1**8*m6sq*B0del(0,0,m6sq) + 6*m1**4*m3**4*m6sq*B0del(0,0,m6sq) - 8*m1sq*m3**6*m6sq*B0del(0,0,m6sq) + 3*m3**8*m6sq*B0del(0,0,m6sq) + 2*m1**5*m6**4*B0fin(0,0,m1) + 18*m1*m3**4*m6**4*B0fin(0,0,m1) + 12*m1**3*m3sq*m6**4*B0fin(0,0,m1) - 4*m1**3*m6**6*B0fin(0,0,m1) - 12*m1*m3sq*m6**6*B0fin(0,0,m1) + 2*m1*m6**8*B0fin(0,0,m1) + 16*m1**3*m3**4*m6sq*B0fin(0,0,m1) - 8*m1*m3**6*m6sq*B0fin(0,0,m1) - 8*m1**5*m3sq*m6sq*B0fin(0,0,m1) - 4*m1**6*m3**4*B0fin(0,0,m1sq) + 12*m1**4*m3**6*B0fin(0,0,m1sq) - 12*m1sq*m3**8*B0fin(0,0,m1sq) + 4*m3**10*B0fin(0,0,m1sq) - 26*m1sq*m3**4*m6**4*B0fin(0,0,m1sq) + 15*m3**6*m6**4*B0fin(0,0,m1sq) - 5*m1**4*m3sq*m6**4*B0fin(0,0,m1sq) + 2*m1**4*m6**6*B0fin(0,0,m1sq) - 7*m3**4*m6**6*B0fin(0,0,m1sq) + 13*m1sq*m3sq*m6**6*B0fin(0,0,m1sq) - 2*m1sq*m6**8*B0fin(0,0,m1sq) + m3sq*m6**8*B0fin(0,0,m1sq) - 15*m1**4*m3**4*m6sq*B0fin(0,0,m1sq) + 27*m1sq*m3**6*m6sq*B0fin(0,0,m1sq) - 13*m3**8*m6sq*B0fin(0,0,m1sq) + m1**6*m3sq*m6sq*B0fin(0,0,m1sq) - 4*m1**8*m3*B0fin(0,0,m3) + 16*m1**6*m3**3*B0fin(0,0,m3) - 24*m1**4*m3**5*B0fin(0,0,m3) + 16*m1sq*m3**7*B0fin(0,0,m3) - 4*m3**9*B0fin(0,0,m3) - 22*m1**4*m3*m6**4*B0fin(0,0,m3) - 4*m1sq*m3**3*m6**4*B0fin(0,0,m3) - 6*m3**5*m6**4*B0fin(0,0,m3) + 12*m1sq*m3*m6**6*B0fin(0,0,m3) + 4*m3**3*m6**6*B0fin(0,0,m3) - 2*m3*m6**8*B0fin(0,0,m3) + 16*m1**6*m3*m6sq*B0fin(0,0,m3) - 24*m1**4*m3**3*m6sq*B0fin(0,0,m3) + 8*m3**7*m6sq*B0fin(0,0,m3) + 4*m1**6*m3**4*B0fin(0,0,m3sq) - 4*m1sq*m3**8*B0fin(0,0,m3sq) + 2*m3**10*B0fin(0,0,m3sq) - 2*m1**8*m3sq*B0fin(0,0,m3sq) - 3*m1**6*m6**4*B0fin(0,0,m3sq) + 13*m1sq*m3**4*m6**4*B0fin(0,0,m3sq) + 2*m3**6*m6**4*B0fin(0,0,m3sq) + 4*m1**4*m3sq*m6**4*B0fin(0,0,m3sq) + 3*m1**4*m6**6*B0fin(0,0,m3sq) - 6*m3**4*m6**6*B0fin(0,0,m3sq) - 5*m1sq*m3sq*m6**6*B0fin(0,0,m3sq) - m1sq*m6**8*B0fin(0,0,m3sq) + 2*m3sq*m6**8*B0fin(0,0,m3sq) + m1**8*m6sq*B0fin(0,0,m3sq) - 5*m1**4*m3**4*m6sq*B0fin(0,0,m3sq) + 3*m1sq*m3**6*m6sq*B0fin(0,0,m3sq) + m1**6*m3sq*m6sq*B0fin(0,0,m3sq) + 12*m1**6*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 12*m1**4*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1sq*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 2*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1sq*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1**4*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 6*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1sq*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m1**4*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m1sq*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 5*m1**6*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m1**6*m3**4*B0fin(0,0,m3sq)**2 + 6*m1**4*m3**6*B0fin(0,0,m3sq)**2 - 4*m1sq*m3**8*B0fin(0,0,m3sq)**2 + m3**10*B0fin(0,0,m3sq)**2 + m1**8*m3sq*B0fin(0,0,m3sq)**2 + 4*m1sq*m3**4*m6**4*B0fin(0,0,m3sq)**2 + 6*m3**6*m6**4*B0fin(0,0,m3sq)**2 + 6*m1**4*m3sq*m6**4*B0fin(0,0,m3sq)**2 - 4*m3**4*m6**6*B0fin(0,0,m3sq)**2 - 4*m1sq*m3sq*m6**6*B0fin(0,0,m3sq)**2 + m3sq*m6**8*B0fin(0,0,m3sq)**2 + 4*m1**4*m3**4*m6sq*B0fin(0,0,m3sq)**2 + 4*m1sq*m3**6*m6sq*B0fin(0,0,m3sq)**2 - 4*m3**8*m6sq*B0fin(0,0,m3sq)**2 - 4*m1**6*m3sq*m6sq*B0fin(0,0,m3sq)**2 - 2*m1**8*m6*B0fin(0,0,m6) - 12*m1**4*m3**4*m6*B0fin(0,0,m6) + 8*m1sq*m3**6*m6*B0fin(0,0,m6) - 2*m3**8*m6*B0fin(0,0,m6) + 8*m1**6*m3sq*m6*B0fin(0,0,m6) + 8*m1**6*m6**3*B0fin(0,0,m6) + 8*m1sq*m3**4*m6**3*B0fin(0,0,m6) - 16*m1**4*m3sq*m6**3*B0fin(0,0,m6) - 10*m1**4*m6**5*B0fin(0,0,m6) + 6*m3**4*m6**5*B0fin(0,0,m6) + 4*m1sq*m3sq*m6**5*B0fin(0,0,m6) + 4*m1sq*m6**7*B0fin(0,0,m6) - 4*m3sq*m6**7*B0fin(0,0,m6) - m1**6*m6**4*B0fin(0,0,m6sq) + 5*m1sq*m3**4*m6**4*B0fin(0,0,m6sq) - 19*m3**6*m6**4*B0fin(0,0,m6sq) + 15*m1**4*m3sq*m6**4*B0fin(0,0,m6sq) + m1**4*m6**6*B0fin(0,0,m6sq) + 5*m3**4*m6**6*B0fin(0,0,m6sq) - 6*m1sq*m3sq*m6**6*B0fin(0,0,m6sq) - m1sq*m6**8*B0fin(0,0,m6sq) + m3sq*m6**8*B0fin(0,0,m6sq) + m1**8*m6sq*B0fin(0,0,m6sq) + 42*m1**4*m3**4*m6sq*B0fin(0,0,m6sq) - 40*m1sq*m3**6*m6sq*B0fin(0,0,m6sq) + 13*m3**8*m6sq*B0fin(0,0,m6sq) - 16*m1**6*m3sq*m6sq*B0fin(0,0,m6sq) + 3*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 9*m1sq*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 9*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 11*m1**4*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1sq*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 20*m1**4*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1sq*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 12*m1**6*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**6*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 2*m1sq*m3**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 10*m3**6*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 22*m1**4*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - m1**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 5*m3**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 12*m1sq*m3sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 2*m3sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - m1**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 14*m1**4*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 4*m1sq*m3**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 7*m3**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 12*m1**6*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 12*m1**4*m3**4*T134fin(m6,m3,m1) + 12*m1sq*m3**6*T134fin(m6,m3,m1) - 4*m3**8*T134fin(m6,m3,m1) + 4*m1**6*m3sq*T134fin(m6,m3,m1) - m1**4*m6**4*T134fin(m6,m3,m1) - 5*m3**4*m6**4*T134fin(m6,m3,m1) - 10*m1sq*m3sq*m6**4*T134fin(m6,m3,m1) + 3*m1sq*m6**6*T134fin(m6,m3,m1) + 5*m3sq*m6**6*T134fin(m6,m3,m1) - m6**8*T134fin(m6,m3,m1) - m1**6*m6sq*T134fin(m6,m3,m1) - 11*m1sq*m3**4*m6sq*T134fin(m6,m3,m1) + 5*m3**6*m6sq*T134fin(m6,m3,m1) + 7*m1**4*m3sq*m6sq*T134fin(m6,m3,m1) + m1**8*T134fin(m6,m3,m3) + 6*m1**4*m3**4*T134fin(m6,m3,m3) - 4*m1sq*m3**6*T134fin(m6,m3,m3) + m3**8*T134fin(m6,m3,m3) - 4*m1**6*m3sq*T134fin(m6,m3,m3) + 6*m1**4*m6**4*T134fin(m6,m3,m3) + 6*m3**4*m6**4*T134fin(m6,m3,m3) + 4*m1sq*m3sq*m6**4*T134fin(m6,m3,m3) - 4*m1sq*m6**6*T134fin(m6,m3,m3) - 4*m3sq*m6**6*T134fin(m6,m3,m3) + m6**8*T134fin(m6,m3,m3) - 4*m1**6*m6sq*T134fin(m6,m3,m3) + 4*m1sq*m3**4*m6sq*T134fin(m6,m3,m3) - 4*m3**6*m6sq*T134fin(m6,m3,m3) + 4*m1**4*m3sq*m6sq*T134fin(m6,m3,m3))/((m1sq - m3sq)**2*(m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq))
		def eval_33():
			return (-(m1sq*(m1sq - m2sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*B0del(0,0,m1sq)) - 2*m1sq*(m1sq - m2sq)*(4*m2sq - m6sq)*m6sq*B0del(0,0,m1sq) - m1sq*(m1sq - m2sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0del(0,0,m2sq) - (m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0del(0,0,m2sq) - 2*m1sq*(m1sq - m2sq)*(4*m2sq - m6sq)*m6sq*B0del(0,0,m6sq) - (m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0del(0,0,m6sq) + m1sq*(m1sq - m2sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*B0fin(0,0,m1sq) + 2*m1sq*(m1sq - m2sq)*(4*m2sq - m6sq)*m6sq*B0fin(0,0,m1sq) + m1sq*(m1sq - m2sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*B0fin(0,0,m2sq) - 2*(m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m2sq) + (m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0fin(0,0,m2sq) - m1sq*(m1sq - m2sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + (m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m2sq)**2 - 2*(m1sq - m2sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) - (m1sq - m2sq)*(4*m2sq - m6sq)*(m1sq - m2sq + m6sq)*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)) + 2*m1sq*(m1sq - m2sq)*(4*m2sq - m6sq)*m6sq*B0fin(0,0,m6sq) + (m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0fin(0,0,m6sq) - 2*m1sq*(m1sq - m2sq)*(4*m2sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - (m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + (4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m6,m1,m1) + (m1sq - m2sq)*(4*m2sq - m6sq)*(m1sq - m2sq + m6sq)*T134fin(m6,m2,m1) - 2*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m6,m2,m1) + (m1sq - m2sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m6,m2,m2) + (4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m6,m2,m2))/((m1sq - m2sq)**3*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq)))
		def eval_34():
			return (-m1**9 - m1**8*m4 + 3*m1**6*m4**3 - 3*m1**5*m4**4 - 10*m1**6*m4**4 - 3*m1**4*m4**5 + m1**3*m4**6 + 12*m1**4*m4**6 + m1sq*m4**7 - 6*m1sq*m4**8 + m4**10 + 3*m1**7*m4sq + 3*m1**8*m4sq - m1**8*m6 - 3*m1**4*m4**4*m6 + m1sq*m4**6*m6 + 3*m1**6*m4sq*m6 + 9*m1**6*m6**3 - 15*m1sq*m4**4*m6**3 + 6*m1**4*m4sq*m6**3 - 15*m1**5*m6**4 - 15*m1**4*m4*m6**4 + 7*m1sq*m4**3*m6**4 - 2*m1sq*m4**4*m6**4 + 10*m4**6*m6**4 + 7*m1**3*m4sq*m6**4 - 15*m1**4*m6**5 + 7*m1sq*m4sq*m6**5 + 7*m1**3*m6**6 + 2*m1**4*m6**6 + 7*m1sq*m4*m6**6 - 10*m4**4*m6**6 - 10*m1sq*m4sq*m6**6 + 7*m1sq*m6**7 + 5*m4sq*m6**8 - m6**10 + 9*m1**7*m6sq - m1**8*m6sq + 9*m1**6*m4*m6sq + 6*m1**4*m4**3*m6sq - 15*m1**3*m4**4*m6sq + 2*m1**4*m4**4*m6sq - 15*m1sq*m4**5*m6sq + 18*m1sq*m4**6*m6sq - 5*m4**8*m6sq + 6*m1**5*m4sq*m6sq - 14*m1**6*m4sq*m6sq + 4*m1**4*m6sq*(m1**4 - 2*m4**4 + m6**4 + m1sq*(m4sq - 2*m6sq) + m4sq*m6sq)*B0del(0,0,m1sq) + 4*m1sq*m4sq*m6sq*(m1**4 - 2*m4**4 + m6**4 + m1sq*(m4sq - 2*m6sq) + m4sq*m6sq)*B0del(0,0,m4sq) + 4*m1**6*m6**4*B0del(0,0,m6sq) - 8*m1sq*m4**4*m6**4*B0del(0,0,m6sq) + 4*m1**4*m4sq*m6**4*B0del(0,0,m6sq) - 8*m1**4*m6**6*B0del(0,0,m6sq) + 4*m1sq*m4sq*m6**6*B0del(0,0,m6sq) + 4*m1sq*m6**8*B0del(0,0,m6sq) - 2*m1**9*B0fin(0,0,m1) - 6*m1**5*m4**4*B0fin(0,0,m1) + 2*m1**3*m4**6*B0fin(0,0,m1) + 6*m1**7*m4sq*B0fin(0,0,m1) + 2*m1**5*m6**4*B0fin(0,0,m1) - 2*m1**3*m4sq*m6**4*B0fin(0,0,m1) - 2*m1**3*m6**6*B0fin(0,0,m1) + 2*m1**7*m6sq*B0fin(0,0,m1) + 2*m1**3*m4**4*m6sq*B0fin(0,0,m1) - 4*m1**5*m4sq*m6sq*B0fin(0,0,m1) + m1**10*B0fin(0,0,m1sq) + 2*m1**4*m4**6*B0fin(0,0,m1sq) - m1sq*m4**8*B0fin(0,0,m1sq) - 2*m1**8*m4sq*B0fin(0,0,m1sq) + 2*m1**6*m6**4*B0fin(0,0,m1sq) + 12*m1sq*m4**4*m6**4*B0fin(0,0,m1sq) + 14*m1**4*m4sq*m6**4*B0fin(0,0,m1sq) - 8*m1**4*m6**6*B0fin(0,0,m1sq) - 14*m1sq*m4sq*m6**6*B0fin(0,0,m1sq) + 5*m1sq*m6**8*B0fin(0,0,m1sq) - 8*m1**4*m4**4*m6sq*B0fin(0,0,m1sq) - 2*m1sq*m4**6*m6sq*B0fin(0,0,m1sq) + 10*m1**6*m4sq*m6sq*B0fin(0,0,m1sq) - 2*m1**8*m4*B0fin(0,0,m4) + 6*m1**6*m4**3*B0fin(0,0,m4) - 6*m1**4*m4**5*B0fin(0,0,m4) + 2*m1sq*m4**7*B0fin(0,0,m4) + 2*m1**4*m4*m6**4*B0fin(0,0,m4) - 2*m1sq*m4**3*m6**4*B0fin(0,0,m4) - 2*m1sq*m4*m6**6*B0fin(0,0,m4) + 2*m1**6*m4*m6sq*B0fin(0,0,m4) - 4*m1**4*m4**3*m6sq*B0fin(0,0,m4) + 2*m1sq*m4**5*m6sq*B0fin(0,0,m4) + m1**10*B0fin(0,0,m4sq) + 2*m1**4*m4**6*B0fin(0,0,m4sq) - m1sq*m4**8*B0fin(0,0,m4sq) - 2*m1**8*m4sq*B0fin(0,0,m4sq) + 2*m1**6*m6**4*B0fin(0,0,m4sq) - 8*m1sq*m4**4*m6**4*B0fin(0,0,m4sq) - 4*m4**6*m6**4*B0fin(0,0,m4sq) - 26*m1**4*m4sq*m6**4*B0fin(0,0,m4sq) + 2*m1**4*m6**6*B0fin(0,0,m4sq) + 6*m4**4*m6**6*B0fin(0,0,m4sq) + 18*m1sq*m4sq*m6**6*B0fin(0,0,m4sq) - 3*m1sq*m6**8*B0fin(0,0,m4sq) - 4*m4sq*m6**8*B0fin(0,0,m4sq) + m6**10*B0fin(0,0,m4sq) - 3*m1**8*m6sq*B0fin(0,0,m4sq) - 6*m1**4*m4**4*m6sq*B0fin(0,0,m4sq) - 6*m1sq*m4**6*m6sq*B0fin(0,0,m4sq) + m4**8*m6sq*B0fin(0,0,m4sq) + 14*m1**6*m4sq*m6sq*B0fin(0,0,m4sq) - 6*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1sq*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**8*m6*B0fin(0,0,m6) - 6*m1**4*m4**4*m6*B0fin(0,0,m6) + 2*m1sq*m4**6*m6*B0fin(0,0,m6) + 6*m1**6*m4sq*m6*B0fin(0,0,m6) + 2*m1**6*m6**3*B0fin(0,0,m6) + 2*m1sq*m4**4*m6**3*B0fin(0,0,m6) - 4*m1**4*m4sq*m6**3*B0fin(0,0,m6) + 2*m1**4*m6**5*B0fin(0,0,m6) - 2*m1sq*m4sq*m6**5*B0fin(0,0,m6) - 2*m1sq*m6**7*B0fin(0,0,m6) - 12*m1**6*m6**4*B0fin(0,0,m6sq) - 8*m1sq*m4**4*m6**4*B0fin(0,0,m6sq) + 4*m4**6*m6**4*B0fin(0,0,m6sq) + 16*m1**4*m4sq*m6**4*B0fin(0,0,m6sq) + 2*m1**4*m6**6*B0fin(0,0,m6sq) - 6*m4**4*m6**6*B0fin(0,0,m6sq) + 8*m1sq*m4sq*m6**6*B0fin(0,0,m6sq) + 4*m1sq*m6**8*B0fin(0,0,m6sq) + 4*m4sq*m6**8*B0fin(0,0,m6sq) - m6**10*B0fin(0,0,m6sq) + 7*m1**8*m6sq*B0fin(0,0,m6sq) + 18*m1**4*m4**4*m6sq*B0fin(0,0,m6sq) - 4*m1sq*m4**6*m6sq*B0fin(0,0,m6sq) - m4**8*m6sq*B0fin(0,0,m6sq) - 20*m1**6*m4sq*m6sq*B0fin(0,0,m6sq) - 2*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1sq*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1**4*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**4*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1**4*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1sq*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m1**4*m6**4*T134fin(m6,m4,m1) - 4*m1sq*m4sq*m6**4*T134fin(m6,m4,m1) - 4*m1sq*m6**6*T134fin(m6,m4,m1) - 4*m1**6*m6sq*T134fin(m6,m4,m1) + 8*m1sq*m4**4*m6sq*T134fin(m6,m4,m1) - 4*m1**4*m4sq*m6sq*T134fin(m6,m4,m1))/(2.*m1**2*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3)
		def eval_35():
			return (6*m1**9 - 4*m1**10 + 8*m1**8*m2 - 24*m1**6*m2**3 + 12*m1**5*m2**4 + 24*m1**4*m2**5 - 8*m1**4*m2**6 - 8*m1sq*m2**7 - 2*m1*m2**8 + 4*m1sq*m2**8 - 16*m1**7*m2sq + 8*m1**8*m2sq + 7*m1**8*m6 + 18*m1**4*m2**4*m6 - 4*m1sq*m2**6*m6 - m2**8*m6 - 20*m1**6*m2sq*m6 - 2*m1**6*m6**3 - 14*m1sq*m2**4*m6**3 + 6*m2**6*m6**3 + 10*m1**4*m2sq*m6**3 - 11*m1**5*m6**4 + 5*m1**6*m6**4 + m1**4*m2*m6**4 + 14*m1sq*m2**3*m6**4 - 11*m1*m2**4*m6**4 - m1sq*m2**4*m6**4 + m2**5*m6**4 - m2**6*m6**4 + 6*m1**3*m2sq*m6**4 - 3*m1**4*m2sq*m6**4 - 5*m1**4*m6**5 - 5*m2**4*m6**5 + 10*m1sq*m2sq*m6**5 + 4*m1**3*m6**6 + 3*m1**4*m6**6 - 4*m1sq*m2*m6**6 - 4*m2**3*m6**6 + m2**4*m6**6 + 4*m1*m2sq*m6**6 - 4*m1sq*m2sq*m6**6 - m1*m6**8 - m1sq*m6**8 + m2*m6**8 + m2sq*m6**8 + 2*m1**7*m6sq - 3*m1**8*m6sq - 6*m1**6*m2*m6sq + 14*m1**4*m2**3*m6sq - 18*m1**3*m2**4*m6sq - 12*m1**4*m2**4*m6sq - 10*m1sq*m2**5*m6sq + 10*m1*m2**6*m6sq + 6*m1sq*m2**6*m6sq + 2*m2**7*m6sq - m2**8*m6sq + 6*m1**5*m2sq*m6sq + 10*m1**6*m2sq*m6sq + m1sq*(2*m1**8 - 2*m2**8 - 11*m2**4*m6**4 + 5*m2sq*m6**6 - m6**8 + 9*m2**6*m6sq + m1**6*(-4*m2sq + 3*m6sq) + m1sq*(4*m2**6 + 2*m2sq*m6**4 + 3*m6**6 - 15*m2**4*m6sq) + m1**4*(-7*m6**4 + 3*m2sq*m6sq))*B0del(0,0,m1sq) - m2sq*(4*m1sq - m6sq)*(-m1**6 + m2**6 - 3*m2sq*m6**4 + m6**6 + m2**4*m6sq + m1**4*(3*m2sq + m6sq) - m1sq*(3*m2**4 + m6**4 + 2*m2sq*m6sq))*B0del(0,0,m2sq) - m1**6*m6**4*B0del(0,0,m6sq) - 11*m1sq*m2**4*m6**4*B0del(0,0,m6sq) + 5*m2**6*m6**4*B0del(0,0,m6sq) + 7*m1**4*m2sq*m6**4*B0del(0,0,m6sq) - m1**4*m6**6*B0del(0,0,m6sq) - 5*m2**4*m6**6*B0del(0,0,m6sq) + 6*m1sq*m2sq*m6**6*B0del(0,0,m6sq) - m1sq*m6**8*B0del(0,0,m6sq) + m2sq*m6**8*B0del(0,0,m6sq) + 3*m1**8*m6sq*B0del(0,0,m6sq) + 6*m1**4*m2**4*m6sq*B0del(0,0,m6sq) - m2**8*m6sq*B0del(0,0,m6sq) - 8*m1**6*m2sq*m6sq*B0del(0,0,m6sq) - 4*m1**9*B0fin(0,0,m1) - 24*m1**5*m2**4*B0fin(0,0,m1) + 16*m1**3*m2**6*B0fin(0,0,m1) - 4*m1*m2**8*B0fin(0,0,m1) + 16*m1**7*m2sq*B0fin(0,0,m1) - 6*m1**5*m6**4*B0fin(0,0,m1) - 22*m1*m2**4*m6**4*B0fin(0,0,m1) - 4*m1**3*m2sq*m6**4*B0fin(0,0,m1) + 4*m1**3*m6**6*B0fin(0,0,m1) + 12*m1*m2sq*m6**6*B0fin(0,0,m1) - 2*m1*m6**8*B0fin(0,0,m1) + 8*m1**7*m6sq*B0fin(0,0,m1) - 24*m1**3*m2**4*m6sq*B0fin(0,0,m1) + 16*m1*m2**6*m6sq*B0fin(0,0,m1) + 2*m1**10*B0fin(0,0,m1sq) + 4*m1**4*m2**6*B0fin(0,0,m1sq) - 2*m1sq*m2**8*B0fin(0,0,m1sq) - 4*m1**8*m2sq*B0fin(0,0,m1sq) + 2*m1**6*m6**4*B0fin(0,0,m1sq) + 4*m1sq*m2**4*m6**4*B0fin(0,0,m1sq) - 3*m2**6*m6**4*B0fin(0,0,m1sq) + 13*m1**4*m2sq*m6**4*B0fin(0,0,m1sq) - 6*m1**4*m6**6*B0fin(0,0,m1sq) + 3*m2**4*m6**6*B0fin(0,0,m1sq) - 5*m1sq*m2sq*m6**6*B0fin(0,0,m1sq) + 2*m1sq*m6**8*B0fin(0,0,m1sq) - m2sq*m6**8*B0fin(0,0,m1sq) - 5*m1**4*m2**4*m6sq*B0fin(0,0,m1sq) + m1sq*m2**6*m6sq*B0fin(0,0,m1sq) + m2**8*m6sq*B0fin(0,0,m1sq) + 3*m1**6*m2sq*m6sq*B0fin(0,0,m1sq) + m1**10*B0fin(0,0,m1sq)**2 + 6*m1**6*m2**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m2**6*B0fin(0,0,m1sq)**2 + m1sq*m2**8*B0fin(0,0,m1sq)**2 - 4*m1**8*m2sq*B0fin(0,0,m1sq)**2 + 6*m1**6*m6**4*B0fin(0,0,m1sq)**2 + 6*m1sq*m2**4*m6**4*B0fin(0,0,m1sq)**2 + 4*m1**4*m2sq*m6**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m6**6*B0fin(0,0,m1sq)**2 - 4*m1sq*m2sq*m6**6*B0fin(0,0,m1sq)**2 + m1sq*m6**8*B0fin(0,0,m1sq)**2 - 4*m1**8*m6sq*B0fin(0,0,m1sq)**2 + 4*m1**4*m2**4*m6sq*B0fin(0,0,m1sq)**2 - 4*m1sq*m2**6*m6sq*B0fin(0,0,m1sq)**2 + 4*m1**6*m2sq*m6sq*B0fin(0,0,m1sq)**2 + 18*m1**4*m2*m6**4*B0fin(0,0,m2) + 12*m1sq*m2**3*m6**4*B0fin(0,0,m2) + 2*m2**5*m6**4*B0fin(0,0,m2) - 12*m1sq*m2*m6**6*B0fin(0,0,m2) - 4*m2**3*m6**6*B0fin(0,0,m2) + 2*m2*m6**8*B0fin(0,0,m2) - 8*m1**6*m2*m6sq*B0fin(0,0,m2) + 16*m1**4*m2**3*m6sq*B0fin(0,0,m2) - 8*m1sq*m2**5*m6sq*B0fin(0,0,m2) + 4*m1**10*B0fin(0,0,m2sq) + 12*m1**6*m2**4*B0fin(0,0,m2sq) - 4*m1**4*m2**6*B0fin(0,0,m2sq) - 12*m1**8*m2sq*B0fin(0,0,m2sq) + 15*m1**6*m6**4*B0fin(0,0,m2sq) - 5*m1sq*m2**4*m6**4*B0fin(0,0,m2sq) - 26*m1**4*m2sq*m6**4*B0fin(0,0,m2sq) - 7*m1**4*m6**6*B0fin(0,0,m2sq) + 2*m2**4*m6**6*B0fin(0,0,m2sq) + 13*m1sq*m2sq*m6**6*B0fin(0,0,m2sq) + m1sq*m6**8*B0fin(0,0,m2sq) - 2*m2sq*m6**8*B0fin(0,0,m2sq) - 13*m1**8*m6sq*B0fin(0,0,m2sq) - 15*m1**4*m2**4*m6sq*B0fin(0,0,m2sq) + m1sq*m2**6*m6sq*B0fin(0,0,m2sq) + 27*m1**6*m2sq*m6sq*B0fin(0,0,m2sq) - 12*m1**6*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 12*m1**4*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1sq*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**8*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 9*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m1sq*m2**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m2**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**4*m2sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 6*m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m2**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m1sq*m2sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m1sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 9*m1**4*m2**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 5*m1sq*m2**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m2**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - m1**6*m2sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1**8*m6*B0fin(0,0,m6) - 12*m1**4*m2**4*m6*B0fin(0,0,m6) + 8*m1sq*m2**6*m6*B0fin(0,0,m6) - 2*m2**8*m6*B0fin(0,0,m6) + 8*m1**6*m2sq*m6*B0fin(0,0,m6) - 16*m1sq*m2**4*m6**3*B0fin(0,0,m6) + 8*m2**6*m6**3*B0fin(0,0,m6) + 8*m1**4*m2sq*m6**3*B0fin(0,0,m6) + 6*m1**4*m6**5*B0fin(0,0,m6) - 10*m2**4*m6**5*B0fin(0,0,m6) + 4*m1sq*m2sq*m6**5*B0fin(0,0,m6) - 4*m1sq*m6**7*B0fin(0,0,m6) + 4*m2sq*m6**7*B0fin(0,0,m6) - 19*m1**6*m6**4*B0fin(0,0,m6sq) + 15*m1sq*m2**4*m6**4*B0fin(0,0,m6sq) - m2**6*m6**4*B0fin(0,0,m6sq) + 5*m1**4*m2sq*m6**4*B0fin(0,0,m6sq) + 5*m1**4*m6**6*B0fin(0,0,m6sq) + m2**4*m6**6*B0fin(0,0,m6sq) - 6*m1sq*m2sq*m6**6*B0fin(0,0,m6sq) + m1sq*m6**8*B0fin(0,0,m6sq) - m2sq*m6**8*B0fin(0,0,m6sq) + 13*m1**8*m6sq*B0fin(0,0,m6sq) + 42*m1**4*m2**4*m6sq*B0fin(0,0,m6sq) - 16*m1sq*m2**6*m6sq*B0fin(0,0,m6sq) + m2**8*m6sq*B0fin(0,0,m6sq) - 40*m1**6*m2sq*m6sq*B0fin(0,0,m6sq) - 10*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 22*m1sq*m2**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m2**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**4*m2sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 5*m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m2**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 12*m1sq*m2sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 7*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 14*m1**4*m2**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 12*m1sq*m2**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m2**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**6*m2sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 9*m1**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 11*m1sq*m2**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 3*m2**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 9*m1**4*m2sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 6*m1**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m2**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 6*m1sq*m2sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + m1sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + m2sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m1**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 20*m1**4*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 12*m1sq*m2**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m1**6*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + m1**8*T134fin(m6,m1,m1) + 6*m1**4*m2**4*T134fin(m6,m1,m1) - 4*m1sq*m2**6*T134fin(m6,m1,m1) + m2**8*T134fin(m6,m1,m1) - 4*m1**6*m2sq*T134fin(m6,m1,m1) + 6*m1**4*m6**4*T134fin(m6,m1,m1) + 6*m2**4*m6**4*T134fin(m6,m1,m1) + 4*m1sq*m2sq*m6**4*T134fin(m6,m1,m1) - 4*m1sq*m6**6*T134fin(m6,m1,m1) - 4*m2sq*m6**6*T134fin(m6,m1,m1) + m6**8*T134fin(m6,m1,m1) - 4*m1**6*m6sq*T134fin(m6,m1,m1) + 4*m1sq*m2**4*m6sq*T134fin(m6,m1,m1) - 4*m2**6*m6sq*T134fin(m6,m1,m1) + 4*m1**4*m2sq*m6sq*T134fin(m6,m1,m1) - 4*m1**8*T134fin(m6,m2,m1) - 12*m1**4*m2**4*T134fin(m6,m2,m1) + 4*m1sq*m2**6*T134fin(m6,m2,m1) + 12*m1**6*m2sq*T134fin(m6,m2,m1) - 5*m1**4*m6**4*T134fin(m6,m2,m1) - m2**4*m6**4*T134fin(m6,m2,m1) - 10*m1sq*m2sq*m6**4*T134fin(m6,m2,m1) + 5*m1sq*m6**6*T134fin(m6,m2,m1) + 3*m2sq*m6**6*T134fin(m6,m2,m1) - m6**8*T134fin(m6,m2,m1) + 5*m1**6*m6sq*T134fin(m6,m2,m1) + 7*m1sq*m2**4*m6sq*T134fin(m6,m2,m1) - m2**6*m6sq*T134fin(m6,m2,m1) - 11*m1**4*m2sq*m6sq*T134fin(m6,m2,m1))/((m1sq - m2sq)**2*(m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq))
		def eval_36():
			return (m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*B0del(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*B0del(0,0,m4sq) - m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*B0del(0,0,m4sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*B0del(0,0,m4sq) - 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*B0del(0,0,m4sq) - m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*B0fin(0,0,m2sq) - (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*B0fin(0,0,m3sq) + (m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*(m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4)) - (m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*(m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4)) + (m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4)) - (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*B0fin(0,0,m4sq) + m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*B0fin(0,0,m4sq) - m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*B0fin(0,0,m4sq) + 2*(m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*B0fin(0,0,m4sq) + m1sq*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m2sq*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + (m1sq - m2sq)*m3sq*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - (m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*m4sq*B0fin(0,0,m4sq)**2 - (m2sq - m3sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq)*T134fin(m4,m4,m1) + (m1sq - m3sq)*(m1sq - 4*m4sq)*(m3sq - 4*m4sq)*T134fin(m4,m4,m2) - (m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*T134fin(m4,m4,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)*(m3sq - 4*m4sq))
		def eval_37():
			return (m1sq*(m2sq - m3sq)*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m1sq) + 2*m1sq*(m2sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m1sq) - m2sq*(m1sq - m3sq)*(m2sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m2sq) - 2*m2sq*(m1sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m2sq) - m2sq*(m1sq - m3sq)*(m2sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m3sq) + m1sq*(m2sq - m3sq)*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m3sq) + 2*(m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m3sq) + (m1sq - m2sq)*m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0del(0,0,m3sq) - 2*m2sq*(m1sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0del(0,0,m6sq) + 2*m1sq*(m2sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m6sq) + (m1sq - m2sq)*m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0del(0,0,m6sq) - m1sq*(m2sq - m3sq)*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq) - 2*m1sq*(m2sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq) + m2sq*(m1sq - m3sq)*(m2sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m2sq) + 2*m2sq*(m1sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m2sq) + m2sq*(m1sq - m3sq)*(m2sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m3sq) - m1sq*(m2sq - m3sq)*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m3sq) - 2*(m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m3sq) + m1sq*(m2sq - m3sq)*(m1sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m2sq*(m1sq - m3sq)*(m2sq - m3sq - m6sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m3sq)**2 + 2*(m2sq - m3sq)*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*((m1 + m3 + m6)/2. + m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) - 2*(m1sq - m3sq)*(4*m3sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*((m2 + m3 + m6)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) - 2*(m1sq - m2sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m3 + m6/2. + 2*m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) + 2*m2sq*(m1sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m6sq) - 2*m1sq*(m2sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m6sq) - (m1sq - m2sq)*m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m6sq) + 2*m1sq*(m2sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m2sq*(m1sq - m3sq)*(4*m3sq - m6sq)*m6sq*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + (m1sq - m2sq)*m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - (m2sq - m3sq)*(4*m3sq - m6sq)*(m1sq - m3sq + m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*T134fin(m6,m3,m1) + (m1sq - m3sq)*(4*m3sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*T134fin(m6,m3,m2) + (m1sq - m2sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*T134fin(m6,m3,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq)))
		def eval_38():
			return (m1**6*m2**5 - m1**6*m2**6 - 2*m1**4*m2**7 + m1**3*m2**8 + m1**4*m2**8 + m1**6*m2**4*m4 - 2*m1**4*m2**6*m4 + m1sq*m2**8*m4 + 3*m1**4*m2**4*m4**3 - m2**8*m4**3 - 2*m1**6*m2sq*m4**3 + m1**6*m2*m4**4 + 6*m1**3*m2**4*m4**4 - 3*m1**4*m2**4*m4**4 - 9*m1sq*m2**5*m4**4 + 4*m1*m2**6*m4**4 + m1sq*m2**6*m4**4 - 2*m2**7*m4**4 + m2**8*m4**4 + m1**6*m2sq*m4**4 + m1**6*m4**5 - 3*m1sq*m2**4*m4**5 + 2*m2**6*m4**5 - m1**6*m4**6 - m1**4*m2*m4**6 + 6*m1sq*m2**3*m4**6 - 6*m1*m2**4*m4**6 + 3*m1sq*m2**4*m4**6 + 5*m2**5*m4**6 - m2**6*m4**6 - 4*m1**3*m2sq*m4**6 - m1**4*m2sq*m4**6 - m1**4*m4**7 - m2**4*m4**7 + 2*m1sq*m2sq*m4**7 + m1**3*m4**8 + 2*m1**4*m4**8 - m1sq*m2*m4**8 - 4*m2**3*m4**8 - m2**4*m4**8 + 4*m1*m2sq*m4**8 - m1sq*m2sq*m4**8 - m1*m4**10 - m1sq*m4**10 + m2*m4**10 + m2sq*m4**10 - 2*m1**6*m2**3*m4sq + m1**6*m2**4*m4sq + 3*m1**4*m2**5*m4sq - 4*m1**3*m2**6*m4sq + m1**4*m2**6*m4sq + 4*m1sq*m2**7*m4sq - m1*m2**8*m4sq - 2*m1sq*m2**8*m4sq + m1**6*m2**4*m6 - 2*m1**4*m2**6*m6 + m1sq*m2**8*m6 + m1**6*m4**4*m6 - 3*m1sq*m2**4*m4**4*m6 + 2*m2**6*m4**4*m6 - m1**4*m4**6*m6 - m2**4*m4**6*m6 + 2*m1sq*m2sq*m4**6*m6 + 3*m1**4*m2**4*m4sq*m6 - m2**8*m4sq*m6 - 2*m1**6*m2sq*m4sq*m6 - 3*m1**4*m2**4*m6**3 + m2**8*m6**3 + 2*m1**6*m2sq*m6**3 - 9*m1**4*m4**4*m6**3 - 9*m2**4*m4**4*m6**3 + 18*m1sq*m2sq*m4**4*m6**3 + 2*m1**6*m4sq*m6**3 - 6*m1sq*m2**4*m4sq*m6**3 + 4*m2**6*m4sq*m6**3 - 3*m1**6*m2*m6**4 + 6*m1**3*m2**4*m6**4 + m1**4*m2**4*m6**4 + 3*m1sq*m2**5*m6**4 - 4*m1*m2**6*m6**4 - 3*m1sq*m2**6*m6**4 - 2*m2**7*m6**4 + m2**8*m6**4 + m1**6*m2sq*m6**4 - 3*m1**6*m4*m6**4 + 9*m1sq*m2**4*m4*m6**4 - 6*m2**6*m4*m6**4 + 5*m1**4*m4**3*m6**4 + 5*m2**4*m4**3*m6**4 - 10*m1sq*m2sq*m4**3*m6**4 + 6*m1**3*m4**4*m6**4 - 6*m1sq*m2*m4**4*m6**4 + 2*m2**4*m4**4*m6**4 - 2*m1sq*m2sq*m4**4*m6**4 - 10*m1*m4**6*m6**4 + 2*m1sq*m4**6*m6**4 + 10*m2*m4**6*m6**4 - 2*m2sq*m4**6*m6**4 + m1**6*m4sq*m6**4 + 5*m1**4*m2*m4sq*m6**4 - 14*m1sq*m2**3*m4sq*m6**4 - 2*m1*m2**4*m4sq*m6**4 + 9*m1sq*m2**4*m4sq*m6**4 + 7*m2**5*m4sq*m6**4 - 3*m2**6*m4sq*m6**4 + 4*m1**3*m2sq*m4sq*m6**4 - 7*m1**4*m2sq*m4sq*m6**4 - 3*m1**6*m6**5 + 9*m1sq*m2**4*m6**5 - 6*m2**6*m6**5 + 5*m1**4*m4sq*m6**5 + 5*m2**4*m4sq*m6**5 - 10*m1sq*m2sq*m4sq*m6**5 + m1**6*m6**6 + 5*m1**4*m2*m6**6 - 6*m1sq*m2**3*m6**6 + 6*m1*m2**4*m6**6 + m1sq*m2**4*m6**6 - m2**5*m6**6 + m2**6*m6**6 - 4*m1**3*m2sq*m6**6 - 3*m1**4*m2sq*m6**6 + 5*m1**4*m4*m6**6 + 5*m2**4*m4*m6**6 - 10*m1sq*m2sq*m4*m6**6 + 10*m1*m4**4*m6**6 - 2*m1sq*m4**4*m6**6 - 10*m2*m4**4*m6**6 + 2*m2sq*m4**4*m6**6 - 4*m1**3*m4sq*m6**6 - 4*m1**4*m4sq*m6**6 + 4*m1sq*m2*m4sq*m6**6 - 8*m2**3*m4sq*m6**6 + 8*m1*m2sq*m4sq*m6**6 + 4*m1sq*m2sq*m4sq*m6**6 + 5*m1**4*m6**7 + 5*m2**4*m6**7 - 10*m1sq*m2sq*m6**7 + m1**3*m6**8 - 2*m1**4*m6**8 - m1sq*m2*m6**8 + 4*m2**3*m6**8 - m2**4*m6**8 - 4*m1*m2sq*m6**8 + 3*m1sq*m2sq*m6**8 - 5*m1*m4sq*m6**8 - m1sq*m4sq*m6**8 + 5*m2*m4sq*m6**8 + m2sq*m4sq*m6**8 + m1*m6**10 + m1sq*m6**10 - m2*m6**10 - m2sq*m6**10 + 2*m1**6*m2**3*m6sq - m1**6*m2**4*m6sq - 3*m1**4*m2**5*m6sq - 4*m1**3*m2**6*m6sq + 3*m1**4*m2**6*m6sq + 4*m1sq*m2**7*m6sq + m1*m2**8*m6sq - 2*m1sq*m2**8*m6sq - 3*m1**4*m2**4*m4*m6sq + m2**8*m4*m6sq + 2*m1**6*m2sq*m4*m6sq + 2*m1**6*m4**3*m6sq - 6*m1sq*m2**4*m4**3*m6sq + 4*m2**6*m4**3*m6sq - m1**6*m4**4*m6sq - 9*m1**4*m2*m4**4*m6sq + 14*m1sq*m2**3*m4**4*m6sq + 2*m1*m2**4*m4**4*m6sq + 3*m1sq*m2**4*m4**4*m6sq - 11*m2**5*m4**4*m6sq + 3*m2**6*m4**4*m6sq + 4*m1**3*m2sq*m4**4*m6sq - 5*m1**4*m2sq*m4**4*m6sq - 9*m1**4*m4**5*m6sq - 9*m2**4*m4**5*m6sq + 18*m1sq*m2sq*m4**5*m6sq - 4*m1**3*m4**6*m6sq + 4*m1**4*m4**6*m6sq + 4*m1sq*m2*m4**6*m6sq + 8*m2**3*m4**6*m6sq - 8*m1*m2sq*m4**6*m6sq - 4*m1sq*m2sq*m4**6*m6sq + 5*m1*m4**8*m6sq + m1sq*m4**8*m6sq - 5*m2*m4**8*m6sq - m2sq*m4**8*m6sq + 2*m1**6*m2*m4sq*m6sq + 4*m1**3*m2**4*m4sq*m6sq - 2*m1**4*m2**4*m4sq*m6sq - 10*m1sq*m2**5*m4sq*m6sq + 2*m1sq*m2**6*m4sq*m6sq + 4*m2**7*m4sq*m6sq - 2*m2**8*m4sq*m6sq + 2*m1**6*m2sq*m4sq*m6sq + m1sq*(m1sq - m4sq + m6sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2*B0del(0,0,m1sq) - m2sq*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**6 + m2**4*(-3*m4sq + m6sq) + m2sq*(3*m4**4 - 3*m6**4 - 2*m1sq*m6sq) - (m4sq - m6sq)*(m4**4 + m6**4 + 2*m1sq*m6sq - 2*m4sq*m6sq))*B0del(0,0,m2sq) + 3*m1**4*m2**4*m4**4*B0del(0,0,m4sq) - 2*m1sq*m2**6*m4**4*B0del(0,0,m4sq) - m2**8*m4**4*B0del(0,0,m4sq) + 3*m2**6*m4**6*B0del(0,0,m4sq) - 3*m1**4*m2sq*m4**6*B0del(0,0,m4sq) + m1**4*m4**8*B0del(0,0,m4sq) - 3*m2**4*m4**8*B0del(0,0,m4sq) + 2*m1sq*m2sq*m4**8*B0del(0,0,m4sq) - m1sq*m4**10*B0del(0,0,m4sq) + m2sq*m4**10*B0del(0,0,m4sq) - m1**4*m2**6*m4sq*B0del(0,0,m4sq) + m1sq*m2**8*m4sq*B0del(0,0,m4sq) + 3*m1**4*m4**4*m6**4*B0del(0,0,m4sq) + 3*m2**4*m4**4*m6**4*B0del(0,0,m4sq) - 6*m1sq*m2sq*m4**4*m6**4*B0del(0,0,m4sq) - 2*m1**6*m4sq*m6**4*B0del(0,0,m4sq) + 8*m1sq*m2**4*m4sq*m6**4*B0del(0,0,m4sq) - 5*m2**6*m4sq*m6**4*B0del(0,0,m4sq) - m1**4*m2sq*m4sq*m6**4*B0del(0,0,m4sq) - 2*m1sq*m4**4*m6**6*B0del(0,0,m4sq) + 2*m2sq*m4**4*m6**6*B0del(0,0,m4sq) + 3*m1**4*m4sq*m6**6*B0del(0,0,m4sq) + 5*m2**4*m4sq*m6**6*B0del(0,0,m4sq) - 8*m1sq*m2sq*m4sq*m6**6*B0del(0,0,m4sq) + m1sq*m4sq*m6**8*B0del(0,0,m4sq) - m2sq*m4sq*m6**8*B0del(0,0,m4sq) + 2*m1**6*m4**4*m6sq*B0del(0,0,m4sq) + 2*m2**6*m4**4*m6sq*B0del(0,0,m4sq) - 4*m1**4*m2sq*m4**4*m6sq*B0del(0,0,m4sq) - 7*m1**4*m4**6*m6sq*B0del(0,0,m4sq) - 5*m2**4*m4**6*m6sq*B0del(0,0,m4sq) + 12*m1sq*m2sq*m4**6*m6sq*B0del(0,0,m4sq) + 2*m1sq*m4**8*m6sq*B0del(0,0,m4sq) - 2*m2sq*m4**8*m6sq*B0del(0,0,m4sq) - m1**4*m2**4*m4sq*m6sq*B0del(0,0,m4sq) - 2*m1sq*m2**6*m4sq*m6sq*B0del(0,0,m4sq) + m2**8*m4sq*m6sq*B0del(0,0,m4sq) + 2*m1**6*m2sq*m4sq*m6sq*B0del(0,0,m4sq) - m1**4*m2**4*m6**4*B0del(0,0,m6sq) - 2*m1sq*m2**6*m6**4*B0del(0,0,m6sq) + m2**8*m6**4*B0del(0,0,m6sq) + 2*m1**6*m2sq*m6**4*B0del(0,0,m6sq) - 7*m1**4*m4**4*m6**4*B0del(0,0,m6sq) - 5*m2**4*m4**4*m6**4*B0del(0,0,m6sq) + 12*m1sq*m2sq*m4**4*m6**4*B0del(0,0,m6sq) + 2*m1sq*m4**6*m6**4*B0del(0,0,m6sq) - 2*m2sq*m4**6*m6**4*B0del(0,0,m6sq) + 2*m1**6*m4sq*m6**4*B0del(0,0,m6sq) + 2*m2**6*m4sq*m6**4*B0del(0,0,m6sq) - 4*m1**4*m2sq*m4sq*m6**4*B0del(0,0,m6sq) - 2*m1**6*m6**6*B0del(0,0,m6sq) + 8*m1sq*m2**4*m6**6*B0del(0,0,m6sq) - 5*m2**6*m6**6*B0del(0,0,m6sq) - m1**4*m2sq*m6**6*B0del(0,0,m6sq) + 3*m1**4*m4sq*m6**6*B0del(0,0,m6sq) + 3*m2**4*m4sq*m6**6*B0del(0,0,m6sq) - 6*m1sq*m2sq*m4sq*m6**6*B0del(0,0,m6sq) + 3*m1**4*m6**8*B0del(0,0,m6sq) + 5*m2**4*m6**8*B0del(0,0,m6sq) - 8*m1sq*m2sq*m6**8*B0del(0,0,m6sq) - 2*m1sq*m4sq*m6**8*B0del(0,0,m6sq) + 2*m2sq*m4sq*m6**8*B0del(0,0,m6sq) + m1sq*m6**10*B0del(0,0,m6sq) - m2sq*m6**10*B0del(0,0,m6sq) - m1**4*m2**6*m6sq*B0del(0,0,m6sq) + m1sq*m2**8*m6sq*B0del(0,0,m6sq) + 3*m2**6*m4**4*m6sq*B0del(0,0,m6sq) - 3*m1**4*m2sq*m4**4*m6sq*B0del(0,0,m6sq) + m1**4*m4**6*m6sq*B0del(0,0,m6sq) - 3*m2**4*m4**6*m6sq*B0del(0,0,m6sq) + 2*m1sq*m2sq*m4**6*m6sq*B0del(0,0,m6sq) - m1sq*m4**8*m6sq*B0del(0,0,m6sq) + m2sq*m4**8*m6sq*B0del(0,0,m6sq) + 3*m1**4*m2**4*m4sq*m6sq*B0del(0,0,m6sq) - 2*m1sq*m2**6*m4sq*m6sq*B0del(0,0,m6sq) - m2**8*m4sq*m6sq*B0del(0,0,m6sq) + 2*m1**3*m2**8*B0fin(0,0,m1) + 12*m1**3*m2**4*m4**4*B0fin(0,0,m1) + 8*m1*m2**6*m4**4*B0fin(0,0,m1) - 12*m1*m2**4*m4**6*B0fin(0,0,m1) - 8*m1**3*m2sq*m4**6*B0fin(0,0,m1) + 2*m1**3*m4**8*B0fin(0,0,m1) + 8*m1*m2sq*m4**8*B0fin(0,0,m1) - 2*m1*m4**10*B0fin(0,0,m1) - 8*m1**3*m2**6*m4sq*B0fin(0,0,m1) - 2*m1*m2**8*m4sq*B0fin(0,0,m1) + 12*m1**3*m2**4*m6**4*B0fin(0,0,m1) - 8*m1*m2**6*m6**4*B0fin(0,0,m1) + 12*m1**3*m4**4*m6**4*B0fin(0,0,m1) - 20*m1*m4**6*m6**4*B0fin(0,0,m1) - 4*m1*m2**4*m4sq*m6**4*B0fin(0,0,m1) + 8*m1**3*m2sq*m4sq*m6**4*B0fin(0,0,m1) + 12*m1*m2**4*m6**6*B0fin(0,0,m1) - 8*m1**3*m2sq*m6**6*B0fin(0,0,m1) + 20*m1*m4**4*m6**6*B0fin(0,0,m1) - 8*m1**3*m4sq*m6**6*B0fin(0,0,m1) + 16*m1*m2sq*m4sq*m6**6*B0fin(0,0,m1) + 2*m1**3*m6**8*B0fin(0,0,m1) - 8*m1*m2sq*m6**8*B0fin(0,0,m1) - 10*m1*m4sq*m6**8*B0fin(0,0,m1) + 2*m1*m6**10*B0fin(0,0,m1) - 8*m1**3*m2**6*m6sq*B0fin(0,0,m1) + 2*m1*m2**8*m6sq*B0fin(0,0,m1) + 4*m1*m2**4*m4**4*m6sq*B0fin(0,0,m1) + 8*m1**3*m2sq*m4**4*m6sq*B0fin(0,0,m1) - 8*m1**3*m4**6*m6sq*B0fin(0,0,m1) - 16*m1*m2sq*m4**6*m6sq*B0fin(0,0,m1) + 10*m1*m4**8*m6sq*B0fin(0,0,m1) + 8*m1**3*m2**4*m4sq*m6sq*B0fin(0,0,m1) - m1**4*m2**8*B0fin(0,0,m1sq) - 6*m1**4*m2**4*m4**4*B0fin(0,0,m1sq) - 4*m1sq*m2**6*m4**4*B0fin(0,0,m1sq) + 6*m1sq*m2**4*m4**6*B0fin(0,0,m1sq) + 4*m1**4*m2sq*m4**6*B0fin(0,0,m1sq) - m1**4*m4**8*B0fin(0,0,m1sq) - 4*m1sq*m2sq*m4**8*B0fin(0,0,m1sq) + m1sq*m4**10*B0fin(0,0,m1sq) + 4*m1**4*m2**6*m4sq*B0fin(0,0,m1sq) + m1sq*m2**8*m4sq*B0fin(0,0,m1sq) - 6*m1**4*m2**4*m6**4*B0fin(0,0,m1sq) + 4*m1sq*m2**6*m6**4*B0fin(0,0,m1sq) - 6*m1**4*m4**4*m6**4*B0fin(0,0,m1sq) + 10*m1sq*m4**6*m6**4*B0fin(0,0,m1sq) + 2*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m1sq) - 4*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m1sq) - 6*m1sq*m2**4*m6**6*B0fin(0,0,m1sq) + 4*m1**4*m2sq*m6**6*B0fin(0,0,m1sq) - 10*m1sq*m4**4*m6**6*B0fin(0,0,m1sq) + 4*m1**4*m4sq*m6**6*B0fin(0,0,m1sq) - 8*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m1sq) - m1**4*m6**8*B0fin(0,0,m1sq) + 4*m1sq*m2sq*m6**8*B0fin(0,0,m1sq) + 5*m1sq*m4sq*m6**8*B0fin(0,0,m1sq) - m1sq*m6**10*B0fin(0,0,m1sq) + 4*m1**4*m2**6*m6sq*B0fin(0,0,m1sq) - m1sq*m2**8*m6sq*B0fin(0,0,m1sq) - 2*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m1sq) - 4*m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m1sq) + 4*m1**4*m4**6*m6sq*B0fin(0,0,m1sq) + 8*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m1sq) - 5*m1sq*m4**8*m6sq*B0fin(0,0,m1sq) - 4*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m1sq) - 2*m1**6*m2**5*B0fin(0,0,m2) - 2*m1**6*m2*m4**4*B0fin(0,0,m2) - 12*m1**4*m2**3*m4**4*B0fin(0,0,m2) - 6*m1sq*m2**5*m4**4*B0fin(0,0,m2) + 6*m1**4*m2*m4**6*B0fin(0,0,m2) + 12*m1sq*m2**3*m4**6*B0fin(0,0,m2) + 2*m2**5*m4**6*B0fin(0,0,m2) - 6*m1sq*m2*m4**8*B0fin(0,0,m2) - 4*m2**3*m4**8*B0fin(0,0,m2) + 2*m2*m4**10*B0fin(0,0,m2) + 4*m1**6*m2**3*m4sq*B0fin(0,0,m2) + 6*m1**4*m2**5*m4sq*B0fin(0,0,m2) - 2*m1**6*m2*m6**4*B0fin(0,0,m2) - 4*m1**4*m2**3*m6**4*B0fin(0,0,m2) + 2*m1sq*m2**5*m6**4*B0fin(0,0,m2) - 12*m1sq*m2*m4**4*m6**4*B0fin(0,0,m2) + 20*m2*m4**6*m6**4*B0fin(0,0,m2) + 2*m1**4*m2*m4sq*m6**4*B0fin(0,0,m2) - 12*m1sq*m2**3*m4sq*m6**4*B0fin(0,0,m2) + 6*m2**5*m4sq*m6**4*B0fin(0,0,m2) + 2*m1**4*m2*m6**6*B0fin(0,0,m2) - 4*m1sq*m2**3*m6**6*B0fin(0,0,m2) - 2*m2**5*m6**6*B0fin(0,0,m2) - 20*m2*m4**4*m6**6*B0fin(0,0,m2) - 8*m2**3*m4sq*m6**6*B0fin(0,0,m2) + 2*m1sq*m2*m6**8*B0fin(0,0,m2) + 4*m2**3*m6**8*B0fin(0,0,m2) + 10*m2*m4sq*m6**8*B0fin(0,0,m2) - 2*m2*m6**10*B0fin(0,0,m2) + 4*m1**6*m2**3*m6sq*B0fin(0,0,m2) + 2*m1**4*m2**5*m6sq*B0fin(0,0,m2) - 10*m1**4*m2*m4**4*m6sq*B0fin(0,0,m2) + 4*m1sq*m2**3*m4**4*m6sq*B0fin(0,0,m2) - 6*m2**5*m4**4*m6sq*B0fin(0,0,m2) + 16*m1sq*m2*m4**6*m6sq*B0fin(0,0,m2) + 8*m2**3*m4**6*m6sq*B0fin(0,0,m2) - 10*m2*m4**8*m6sq*B0fin(0,0,m2) + 4*m1**6*m2*m4sq*m6sq*B0fin(0,0,m2) - 16*m1**4*m2**3*m4sq*m6sq*B0fin(0,0,m2) + 4*m1sq*m2**5*m4sq*m6sq*B0fin(0,0,m2) + m1**6*m2**6*B0fin(0,0,m2sq) + 6*m1**4*m2**4*m4**4*B0fin(0,0,m2sq) + 5*m1sq*m2**6*m4**4*B0fin(0,0,m2sq) - m1**6*m2sq*m4**4*B0fin(0,0,m2sq) + m1**6*m4**6*B0fin(0,0,m2sq) - 9*m1sq*m2**4*m4**6*B0fin(0,0,m2sq) - 2*m2**6*m4**6*B0fin(0,0,m2sq) - 2*m1**4*m4**8*B0fin(0,0,m2sq) + 4*m2**4*m4**8*B0fin(0,0,m2sq) + 3*m1sq*m2sq*m4**8*B0fin(0,0,m2sq) + m1sq*m4**10*B0fin(0,0,m2sq) - 2*m2sq*m4**10*B0fin(0,0,m2sq) - m1**6*m2**4*m4sq*B0fin(0,0,m2sq) - 4*m1**4*m2**6*m4sq*B0fin(0,0,m2sq) + m1sq*m2**6*m6**4*B0fin(0,0,m2sq) + m1**6*m2sq*m6**4*B0fin(0,0,m2sq) + 6*m2**4*m4**4*m6**4*B0fin(0,0,m2sq) + 10*m1sq*m4**6*m6**4*B0fin(0,0,m2sq) - 20*m2sq*m4**6*m6**4*B0fin(0,0,m2sq) + 3*m1**6*m4sq*m6**4*B0fin(0,0,m2sq) + 9*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m2sq) - 2*m2**6*m4sq*m6**4*B0fin(0,0,m2sq) - 8*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m2sq) - m1**6*m6**6*B0fin(0,0,m2sq) + 3*m1sq*m2**4*m6**6*B0fin(0,0,m2sq) - 10*m1sq*m4**4*m6**6*B0fin(0,0,m2sq) + 20*m2sq*m4**4*m6**6*B0fin(0,0,m2sq) - 4*m1**4*m4sq*m6**6*B0fin(0,0,m2sq) + 2*m2**4*m4sq*m6**6*B0fin(0,0,m2sq) + 6*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m2sq) + 2*m1**4*m6**8*B0fin(0,0,m2sq) - 2*m2**4*m6**8*B0fin(0,0,m2sq) - 3*m1sq*m2sq*m6**8*B0fin(0,0,m2sq) + 5*m1sq*m4sq*m6**8*B0fin(0,0,m2sq) - 10*m2sq*m4sq*m6**8*B0fin(0,0,m2sq) - m1sq*m6**10*B0fin(0,0,m2sq) + 2*m2sq*m6**10*B0fin(0,0,m2sq) - m1**6*m2**4*m6sq*B0fin(0,0,m2sq) - 2*m1**4*m2**6*m6sq*B0fin(0,0,m2sq) - 3*m1**6*m4**4*m6sq*B0fin(0,0,m2sq) - 3*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m2sq) + 4*m2**6*m4**4*m6sq*B0fin(0,0,m2sq) + 8*m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m2sq) + 4*m1**4*m4**6*m6sq*B0fin(0,0,m2sq) - 10*m2**4*m4**6*m6sq*B0fin(0,0,m2sq) - 6*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m2sq) - 5*m1sq*m4**8*m6sq*B0fin(0,0,m2sq) + 10*m2sq*m4**8*m6sq*B0fin(0,0,m2sq) + 2*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m2sq) + 2*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m2sq) - 2*m1**6*m2**4*m4*B0fin(0,0,m4) + 2*m1sq*m2**8*m4*B0fin(0,0,m4) + 6*m1**4*m2**4*m4**3*B0fin(0,0,m4) - 8*m1sq*m2**6*m4**3*B0fin(0,0,m4) - 2*m2**8*m4**3*B0fin(0,0,m4) + 4*m1**6*m2sq*m4**3*B0fin(0,0,m4) - 2*m1**6*m4**5*B0fin(0,0,m4) + 6*m1sq*m2**4*m4**5*B0fin(0,0,m4) + 8*m2**6*m4**5*B0fin(0,0,m4) - 12*m1**4*m2sq*m4**5*B0fin(0,0,m4) + 6*m1**4*m4**7*B0fin(0,0,m4) - 10*m2**4*m4**7*B0fin(0,0,m4) + 4*m1sq*m2sq*m4**7*B0fin(0,0,m4) - 4*m1sq*m4**9*B0fin(0,0,m4) + 4*m2sq*m4**9*B0fin(0,0,m4) - 2*m1**6*m4*m6**4*B0fin(0,0,m4) + 14*m1sq*m2**4*m4*m6**4*B0fin(0,0,m4) - 8*m2**6*m4*m6**4*B0fin(0,0,m4) - 4*m1**4*m2sq*m4*m6**4*B0fin(0,0,m4) + 2*m1**4*m4**3*m6**4*B0fin(0,0,m4) + 2*m2**4*m4**3*m6**4*B0fin(0,0,m4) - 4*m1sq*m2sq*m4**3*m6**4*B0fin(0,0,m4) + 2*m1**4*m4*m6**6*B0fin(0,0,m4) + 10*m2**4*m4*m6**6*B0fin(0,0,m4) - 12*m1sq*m2sq*m4*m6**6*B0fin(0,0,m4) - 8*m1sq*m4**3*m6**6*B0fin(0,0,m4) + 8*m2sq*m4**3*m6**6*B0fin(0,0,m4) + 4*m1sq*m4*m6**8*B0fin(0,0,m4) - 4*m2sq*m4*m6**8*B0fin(0,0,m4) + 2*m1**4*m2**4*m4*m6sq*B0fin(0,0,m4) - 8*m1sq*m2**6*m4*m6sq*B0fin(0,0,m4) + 2*m2**8*m4*m6sq*B0fin(0,0,m4) + 4*m1**6*m2sq*m4*m6sq*B0fin(0,0,m4) + 4*m1**6*m4**3*m6sq*B0fin(0,0,m4) + 12*m1sq*m2**4*m4**3*m6sq*B0fin(0,0,m4) - 16*m1**4*m2sq*m4**3*m6sq*B0fin(0,0,m4) - 10*m1**4*m4**5*m6sq*B0fin(0,0,m4) - 2*m2**4*m4**5*m6sq*B0fin(0,0,m4) + 12*m1sq*m2sq*m4**5*m6sq*B0fin(0,0,m4) + 8*m1sq*m4**7*m6sq*B0fin(0,0,m4) - 8*m2sq*m4**7*m6sq*B0fin(0,0,m4) + m1**6*m2**6*B0fin(0,0,m4sq) - m1**4*m2**8*B0fin(0,0,m4sq) + m1sq*m2**6*m4**4*B0fin(0,0,m4sq) - m1**6*m2sq*m4**4*B0fin(0,0,m4sq) + m1**6*m4**6*B0fin(0,0,m4sq) - 3*m1sq*m2**4*m4**6*B0fin(0,0,m4sq) - 2*m2**6*m4**6*B0fin(0,0,m4sq) + 4*m1**4*m2sq*m4**6*B0fin(0,0,m4sq) - 3*m1**4*m4**8*B0fin(0,0,m4sq) + 4*m2**4*m4**8*B0fin(0,0,m4sq) - m1sq*m2sq*m4**8*B0fin(0,0,m4sq) + 2*m1sq*m4**10*B0fin(0,0,m4sq) - 2*m2sq*m4**10*B0fin(0,0,m4sq) - m1**6*m2**4*m4sq*B0fin(0,0,m4sq) + m1sq*m2**8*m4sq*B0fin(0,0,m4sq) + 3*m1**4*m2**4*m6**4*B0fin(0,0,m4sq) - 5*m1sq*m2**6*m6**4*B0fin(0,0,m4sq) - m2**8*m6**4*B0fin(0,0,m4sq) + 3*m1**6*m2sq*m6**4*B0fin(0,0,m4sq) - 3*m1**4*m4**4*m6**4*B0fin(0,0,m4sq) - m2**4*m4**4*m6**4*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4**4*m6**4*B0fin(0,0,m4sq) - 2*m1sq*m4**6*m6**4*B0fin(0,0,m4sq) + 2*m2sq*m4**6*m6**4*B0fin(0,0,m4sq) + m1**6*m4sq*m6**4*B0fin(0,0,m4sq) + 7*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m4sq) - 8*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m4sq) - m1**6*m6**6*B0fin(0,0,m4sq) + 3*m1sq*m2**4*m6**6*B0fin(0,0,m4sq) + 3*m2**6*m6**6*B0fin(0,0,m4sq) - 5*m1**4*m2sq*m6**6*B0fin(0,0,m4sq) + 4*m1sq*m4**4*m6**6*B0fin(0,0,m4sq) - 4*m2sq*m4**4*m6**6*B0fin(0,0,m4sq) + m1**4*m4sq*m6**6*B0fin(0,0,m4sq) - m2**4*m4sq*m6**6*B0fin(0,0,m4sq) + 2*m1**4*m6**8*B0fin(0,0,m4sq) - 3*m2**4*m6**8*B0fin(0,0,m4sq) + m1sq*m2sq*m6**8*B0fin(0,0,m4sq) - m1sq*m6**10*B0fin(0,0,m4sq) + m2sq*m6**10*B0fin(0,0,m4sq) - 3*m1**6*m2**4*m6sq*B0fin(0,0,m4sq) + m1**4*m2**6*m6sq*B0fin(0,0,m4sq) + 2*m1sq*m2**8*m6sq*B0fin(0,0,m4sq) - m1**6*m4**4*m6sq*B0fin(0,0,m4sq) + m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m4sq) - m2**6*m4**4*m6sq*B0fin(0,0,m4sq) + m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m4sq) + 3*m1**4*m4**6*m6sq*B0fin(0,0,m4sq) + m2**4*m4**6*m6sq*B0fin(0,0,m4sq) - 4*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m4sq) - 3*m1sq*m4**8*m6sq*B0fin(0,0,m4sq) + 3*m2sq*m4**8*m6sq*B0fin(0,0,m4sq) + 7*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m4sq) - 8*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m4sq) + m2**8*m4sq*m6sq*B0fin(0,0,m4sq) + m1**4*m2**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m2**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m2**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1sq*m2**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m2sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m2**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m2**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m2**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m2**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2sq*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1sq*m2**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m2sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m2**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m2**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**4*m2**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m1**4*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 6*m1sq*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 6*m1sq*m2**4*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 3*m2**6*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**4*m2sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m2**4*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1sq*m2sq*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m2sq*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 3*m1**4*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m1**4*m2**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1sq*m2**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**8*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**6*m2sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**4*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1sq*m2sq*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 6*m2sq*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**6*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**6*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**6*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 3*m1sq*m2**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**6*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1**4*m2sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 6*m1sq*m4**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2sq*m4**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m2**4*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**4*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**4*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1sq*m2sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m1sq*m4sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m2sq*m4sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1sq*m6**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**6*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**4*m2**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1**6*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 15*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2**6*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 6*m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**4*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**4*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1sq*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2sq*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 6*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 10*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**8*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**6*m2sq*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**6*m2**4*m6*B0fin(0,0,m6) + 2*m1sq*m2**8*m6*B0fin(0,0,m6) - 2*m1**6*m4**4*m6*B0fin(0,0,m6) + 6*m1sq*m2**4*m4**4*m6*B0fin(0,0,m6) + 8*m2**6*m4**4*m6*B0fin(0,0,m6) - 12*m1**4*m2sq*m4**4*m6*B0fin(0,0,m6) + 6*m1**4*m4**6*m6*B0fin(0,0,m6) - 10*m2**4*m4**6*m6*B0fin(0,0,m6) + 4*m1sq*m2sq*m4**6*m6*B0fin(0,0,m6) - 4*m1sq*m4**8*m6*B0fin(0,0,m6) + 4*m2sq*m4**8*m6*B0fin(0,0,m6) + 6*m1**4*m2**4*m4sq*m6*B0fin(0,0,m6) - 8*m1sq*m2**6*m4sq*m6*B0fin(0,0,m6) - 2*m2**8*m4sq*m6*B0fin(0,0,m6) + 4*m1**6*m2sq*m4sq*m6*B0fin(0,0,m6) + 2*m1**4*m2**4*m6**3*B0fin(0,0,m6) - 8*m1sq*m2**6*m6**3*B0fin(0,0,m6) + 2*m2**8*m6**3*B0fin(0,0,m6) + 4*m1**6*m2sq*m6**3*B0fin(0,0,m6) - 10*m1**4*m4**4*m6**3*B0fin(0,0,m6) - 2*m2**4*m4**4*m6**3*B0fin(0,0,m6) + 12*m1sq*m2sq*m4**4*m6**3*B0fin(0,0,m6) + 8*m1sq*m4**6*m6**3*B0fin(0,0,m6) - 8*m2sq*m4**6*m6**3*B0fin(0,0,m6) + 4*m1**6*m4sq*m6**3*B0fin(0,0,m6) + 12*m1sq*m2**4*m4sq*m6**3*B0fin(0,0,m6) - 16*m1**4*m2sq*m4sq*m6**3*B0fin(0,0,m6) - 2*m1**6*m6**5*B0fin(0,0,m6) + 14*m1sq*m2**4*m6**5*B0fin(0,0,m6) - 8*m2**6*m6**5*B0fin(0,0,m6) - 4*m1**4*m2sq*m6**5*B0fin(0,0,m6) + 2*m1**4*m4sq*m6**5*B0fin(0,0,m6) + 2*m2**4*m4sq*m6**5*B0fin(0,0,m6) - 4*m1sq*m2sq*m4sq*m6**5*B0fin(0,0,m6) + 2*m1**4*m6**7*B0fin(0,0,m6) + 10*m2**4*m6**7*B0fin(0,0,m6) - 12*m1sq*m2sq*m6**7*B0fin(0,0,m6) - 8*m1sq*m4sq*m6**7*B0fin(0,0,m6) + 8*m2sq*m4sq*m6**7*B0fin(0,0,m6) + 4*m1sq*m6**9*B0fin(0,0,m6) - 4*m2sq*m6**9*B0fin(0,0,m6) - 3*m1**4*m2**4*m6**4*B0fin(0,0,m6sq) + 10*m1sq*m2**6*m6**4*B0fin(0,0,m6sq) - m2**8*m6**4*B0fin(0,0,m6sq) - 6*m1**6*m2sq*m6**4*B0fin(0,0,m6sq) + 7*m1**4*m4**4*m6**4*B0fin(0,0,m6sq) - 7*m2**4*m4**4*m6**4*B0fin(0,0,m6sq) - 14*m1sq*m4**6*m6**4*B0fin(0,0,m6sq) + 14*m2sq*m4**6*m6**4*B0fin(0,0,m6sq) - 6*m1**6*m4sq*m6**4*B0fin(0,0,m6sq) - 32*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m6sq) + 6*m2**6*m4sq*m6**4*B0fin(0,0,m6sq) + 32*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m6sq) + 2*m1**6*m6**6*B0fin(0,0,m6sq) - 12*m1sq*m2**4*m6**6*B0fin(0,0,m6sq) + m2**6*m6**6*B0fin(0,0,m6sq) + 9*m1**4*m2sq*m6**6*B0fin(0,0,m6sq) + 12*m1sq*m4**4*m6**6*B0fin(0,0,m6sq) - 12*m2sq*m4**4*m6**6*B0fin(0,0,m6sq) + 5*m1**4*m4sq*m6**6*B0fin(0,0,m6sq) - 3*m2**4*m4sq*m6**6*B0fin(0,0,m6sq) - 2*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m6sq) - 3*m1**4*m6**8*B0fin(0,0,m6sq) - m2**4*m6**8*B0fin(0,0,m6sq) + 4*m1sq*m2sq*m6**8*B0fin(0,0,m6sq) - 2*m1sq*m4sq*m6**8*B0fin(0,0,m6sq) + 2*m2sq*m4sq*m6**8*B0fin(0,0,m6sq) - m1sq*m6**10*B0fin(0,0,m6sq) + m2sq*m6**10*B0fin(0,0,m6sq) + 4*m1**6*m2**4*m6sq*B0fin(0,0,m6sq) - 3*m1**4*m2**6*m6sq*B0fin(0,0,m6sq) - m1sq*m2**8*m6sq*B0fin(0,0,m6sq) + 4*m1**6*m4**4*m6sq*B0fin(0,0,m6sq) - 12*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m6sq) - 7*m2**6*m4**4*m6sq*B0fin(0,0,m6sq) + 15*m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m6sq) - 9*m1**4*m4**6*m6sq*B0fin(0,0,m6sq) + 11*m2**4*m4**6*m6sq*B0fin(0,0,m6sq) - 2*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m6sq) + 5*m1sq*m4**8*m6sq*B0fin(0,0,m6sq) - 5*m2sq*m4**8*m6sq*B0fin(0,0,m6sq) - 3*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m6sq) + 10*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m6sq) + m2**8*m4sq*m6sq*B0fin(0,0,m6sq) - 8*m1**6*m2sq*m4sq*m6sq*B0fin(0,0,m6sq) - 8*m1sq*m2**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1sq*m2sq*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 12*m1sq*m2**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 12*m1sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1sq*m2sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m2**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 12*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**4*m2**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 6*m1sq*m2**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m1**4*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m2**4*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m1sq*m2sq*m4**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m1sq*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m2sq*m4**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1**6*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 18*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 6*m2**6*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1**6*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 7*m1sq*m2**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 3*m2**6*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1**4*m2sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 6*m1sq*m4**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 6*m2sq*m4**4*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m1**4*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 4*m2**4*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1**4*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m2**4*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1sq*m2sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m2sq*m4sq*m6**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1sq*m6**10*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m2sq*m6**10*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + m1**6*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 3*m1**4*m2**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1**6*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 7*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 3*m2**6*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1**4*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 4*m2**4*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m1sq*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - m2sq*m4**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 2*m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) + 6*m1sq*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 3*m1**4*m2**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m2**8*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1**6*m2sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 5*m1**4*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m2**4*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1sq*m2sq*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1sq*m4**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m2sq*m4**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 10*m1sq*m2**4*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m2**6*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1**4*m2sq*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 3*m1sq*m2**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m2**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1sq*m4**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m2sq*m4**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 5*m1**4*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 7*m2**4*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 12*m1sq*m2sq*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**4*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m2**4*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m2sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m4sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m2sq*m4sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**6*m2**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1**4*m2**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1sq*m2**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**6*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 5*m1sq*m2**4*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m2**6*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**4*m2sq*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**4*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 7*m2**4*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m1sq*m2sq*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m2sq*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**4*m2**4*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m2**8*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1sq*m2**8*T134fin(m6,m4,m1) - 6*m1sq*m2**4*m4**4*T134fin(m6,m4,m1) - 4*m2**6*m4**4*T134fin(m6,m4,m1) + 6*m2**4*m4**6*T134fin(m6,m4,m1) + 4*m1sq*m2sq*m4**6*T134fin(m6,m4,m1) - m1sq*m4**8*T134fin(m6,m4,m1) - 4*m2sq*m4**8*T134fin(m6,m4,m1) + m4**10*T134fin(m6,m4,m1) + 4*m1sq*m2**6*m4sq*T134fin(m6,m4,m1) + m2**8*m4sq*T134fin(m6,m4,m1) - 6*m1sq*m2**4*m6**4*T134fin(m6,m4,m1) + 4*m2**6*m6**4*T134fin(m6,m4,m1) - 6*m1sq*m4**4*m6**4*T134fin(m6,m4,m1) + 10*m4**6*m6**4*T134fin(m6,m4,m1) + 2*m2**4*m4sq*m6**4*T134fin(m6,m4,m1) - 4*m1sq*m2sq*m4sq*m6**4*T134fin(m6,m4,m1) - 6*m2**4*m6**6*T134fin(m6,m4,m1) + 4*m1sq*m2sq*m6**6*T134fin(m6,m4,m1) - 10*m4**4*m6**6*T134fin(m6,m4,m1) + 4*m1sq*m4sq*m6**6*T134fin(m6,m4,m1) - 8*m2sq*m4sq*m6**6*T134fin(m6,m4,m1) - m1sq*m6**8*T134fin(m6,m4,m1) + 4*m2sq*m6**8*T134fin(m6,m4,m1) + 5*m4sq*m6**8*T134fin(m6,m4,m1) - m6**10*T134fin(m6,m4,m1) + 4*m1sq*m2**6*m6sq*T134fin(m6,m4,m1) - m2**8*m6sq*T134fin(m6,m4,m1) - 2*m2**4*m4**4*m6sq*T134fin(m6,m4,m1) - 4*m1sq*m2sq*m4**4*m6sq*T134fin(m6,m4,m1) + 4*m1sq*m4**6*m6sq*T134fin(m6,m4,m1) + 8*m2sq*m4**6*m6sq*T134fin(m6,m4,m1) - 5*m4**8*m6sq*T134fin(m6,m4,m1) - 4*m1sq*m2**4*m4sq*m6sq*T134fin(m6,m4,m1) + m1**4*m2**6*T134fin(m6,m4,m2) + 6*m1sq*m2**4*m4**4*T134fin(m6,m4,m2) + m2**6*m4**4*T134fin(m6,m4,m2) + 3*m1**4*m2sq*m4**4*T134fin(m6,m4,m2) - m1**4*m4**6*T134fin(m6,m4,m2) - 3*m2**4*m4**6*T134fin(m6,m4,m2) - 6*m1sq*m2sq*m4**6*T134fin(m6,m4,m2) + 2*m1sq*m4**8*T134fin(m6,m4,m2) + 3*m2sq*m4**8*T134fin(m6,m4,m2) - m4**10*T134fin(m6,m4,m2) - 3*m1**4*m2**4*m4sq*T134fin(m6,m4,m2) - 2*m1sq*m2**6*m4sq*T134fin(m6,m4,m2) + 2*m1**6*m6**4*T134fin(m6,m4,m2) - 2*m1sq*m2**4*m6**4*T134fin(m6,m4,m2) + m2**6*m6**4*T134fin(m6,m4,m2) + m1**4*m2sq*m6**4*T134fin(m6,m4,m2) + 6*m1sq*m4**4*m6**4*T134fin(m6,m4,m2) - 10*m4**6*m6**4*T134fin(m6,m4,m2) - 3*m1**4*m4sq*m6**4*T134fin(m6,m4,m2) - 5*m2**4*m4sq*m6**4*T134fin(m6,m4,m2) + 10*m1sq*m2sq*m4sq*m6**4*T134fin(m6,m4,m2) - 3*m1**4*m6**6*T134fin(m6,m4,m2) + m2**4*m6**6*T134fin(m6,m4,m2) + 4*m1sq*m2sq*m6**6*T134fin(m6,m4,m2) + 10*m4**4*m6**6*T134fin(m6,m4,m2) - 2*m1sq*m4sq*m6**6*T134fin(m6,m4,m2) + 6*m2sq*m4sq*m6**6*T134fin(m6,m4,m2) - 3*m2sq*m6**8*T134fin(m6,m4,m2) - 5*m4sq*m6**8*T134fin(m6,m4,m2) + m6**10*T134fin(m6,m4,m2) + m1**4*m2**4*m6sq*T134fin(m6,m4,m2) - 2*m1sq*m2**6*m6sq*T134fin(m6,m4,m2) - 2*m1**6*m2sq*m6sq*T134fin(m6,m4,m2) + 7*m1**4*m4**4*m6sq*T134fin(m6,m4,m2) + 7*m2**4*m4**4*m6sq*T134fin(m6,m4,m2) - 8*m1sq*m2sq*m4**4*m6sq*T134fin(m6,m4,m2) - 6*m1sq*m4**6*m6sq*T134fin(m6,m4,m2) - 6*m2sq*m4**6*m6sq*T134fin(m6,m4,m2) + 5*m4**8*m6sq*T134fin(m6,m4,m2) - 2*m1**6*m4sq*m6sq*T134fin(m6,m4,m2) + 4*m1sq*m2**4*m4sq*m6sq*T134fin(m6,m4,m2) - 2*m2**6*m4sq*m6sq*T134fin(m6,m4,m2) + 4*m1**4*m2sq*m4sq*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq)))
		def eval_39():
			return -(((m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*(m2sq - m5sq + m6sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*m2sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*B0del(0,0,m2sq) - 2*(m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*m6sq*B0del(0,0,m5sq) + (m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*(m2sq - m5sq + m6sq)*B0del(0,0,m5sq) - 2*(m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*m6sq*B0del(0,0,m6sq) + (m1sq - m2sq)*m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0del(0,0,m6sq) - (m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*(m2sq - m5sq + m6sq)*B0fin(0,0,m2sq) - (m1sq - m2sq)*m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m2sq) - 2*(m1sq - m2sq)*m2sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*B0fin(0,0,m2sq) + (m1sq - m2sq)*m2sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*B0fin(0,0,m2sq)**2 + 2*(m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*m6sq*B0fin(0,0,m5sq) - (m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*(m2sq - m5sq + m6sq)*B0fin(0,0,m5sq) + (m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*(m2sq - m5sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) + 2*m2sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) + (m1sq - m2sq)*(4*m2sq - m6sq)*(m2sq - m5sq - m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 2*(m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*m6sq*B0fin(0,0,m6sq) - (m1sq - m2sq)*m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m6sq) + (m1sq - m2sq)*m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*(m1sq - m2sq)*m5sq*(4*m2sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - (4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*T134fin(m6,m2,m1) + m1sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*T134fin(m6,m2,m2) + 3*m2sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*T134fin(m6,m2,m2) - m6sq*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*T134fin(m6,m2,m2) + (4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*T134fin(m6,m5,m1) - (m1sq - m2sq)*(4*m2sq - m6sq)*(m2sq - m5sq - m6sq)*T134fin(m6,m5,m2) - (4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m2sq - m5sq)*(4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))))
		def eval_40():
			return (-4*m2**4*m4 + 4*m1sq*m2sq*m4 + 2*m1sq*m2*m4sq - 2*m2**3*m4sq + 4*m2**4*m5 - 4*m1sq*m2sq*m5 + m1sq*m4sq*m5 - m2sq*m4sq*m5 - 2*m1sq*m2*m5sq + 2*m2**3*m5sq - m1sq*m4*m5sq + m2sq*m4*m5sq + 2*(m1sq - m2sq)*m2sq*(m4sq - m5sq)*B0del(0,0,m2sq) + (m1sq - m2sq)*m4sq*(4*m2sq - m5sq)*B0del(0,0,m4sq) + 4*m2**4*m5sq*B0del(0,0,m5sq) - 4*m1sq*m2sq*m5sq*B0del(0,0,m5sq) + m1sq*m4sq*m5sq*B0del(0,0,m5sq) - m2sq*m4sq*m5sq*B0del(0,0,m5sq) + 4*m1sq*m2*m4sq*B0fin(0,0,m2) - 4*m2**3*m4sq*B0fin(0,0,m2) - 4*m1sq*m2*m5sq*B0fin(0,0,m2) + 4*m2**3*m5sq*B0fin(0,0,m2) + 2*m2**4*m4sq*B0fin(0,0,m2sq) - 2*m1sq*m2sq*m4sq*B0fin(0,0,m2sq) - 2*m2**4*m5sq*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m5sq*B0fin(0,0,m2sq) + m2**4*m4sq*B0fin(0,0,m2sq)**2 - m1sq*m2sq*m4sq*B0fin(0,0,m2sq)**2 - m2**4*m5sq*B0fin(0,0,m2sq)**2 + m1sq*m2sq*m5sq*B0fin(0,0,m2sq)**2 - 8*m2**4*m4*B0fin(0,0,m4) + 8*m1sq*m2sq*m4*B0fin(0,0,m4) - 2*m1sq*m4*m5sq*B0fin(0,0,m4) + 2*m2sq*m4*m5sq*B0fin(0,0,m4) + 4*m2**4*m4sq*B0fin(0,0,m4sq) - 4*m1sq*m2sq*m4sq*B0fin(0,0,m4sq) + m1sq*m4sq*m5sq*B0fin(0,0,m4sq) - m2sq*m4sq*m5sq*B0fin(0,0,m4sq) - 4*m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1sq*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m2sq*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m2**4*m5*B0fin(0,0,m5) - 8*m1sq*m2sq*m5*B0fin(0,0,m5) + 2*m1sq*m4sq*m5*B0fin(0,0,m5) - 2*m2sq*m4sq*m5*B0fin(0,0,m5) - 4*m2**4*m5sq*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m5sq*B0fin(0,0,m5sq) - m1sq*m4sq*m5sq*B0fin(0,0,m5sq) + m2sq*m4sq*m5sq*B0fin(0,0,m5sq) + 4*m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m2sq*m4sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 16*m2**4*T134fin(m4,m2,m1) - 4*m2sq*m4sq*T134fin(m4,m2,m1) - 4*m2sq*m5sq*T134fin(m4,m2,m1) + m4sq*m5sq*T134fin(m4,m2,m1) - 12*m2**4*T134fin(m4,m2,m2) - 4*m1sq*m2sq*T134fin(m4,m2,m2) + 4*m2sq*m4sq*T134fin(m4,m2,m2) + m1sq*m5sq*T134fin(m4,m2,m2) + 3*m2sq*m5sq*T134fin(m4,m2,m2) - m4sq*m5sq*T134fin(m4,m2,m2) - 16*m2**4*T134fin(m5,m2,m1) + 4*m2sq*m4sq*T134fin(m5,m2,m1) + 4*m2sq*m5sq*T134fin(m5,m2,m1) - m4sq*m5sq*T134fin(m5,m2,m1) + 12*m2**4*T134fin(m5,m2,m2) + 4*m1sq*m2sq*T134fin(m5,m2,m2) - m1sq*m4sq*T134fin(m5,m2,m2) - 3*m2sq*m4sq*T134fin(m5,m2,m2) - 4*m2sq*m5sq*T134fin(m5,m2,m2) + m4sq*m5sq*T134fin(m5,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(4*m2sq - m5sq)*(m4sq - m5sq))
		def eval_41():
			return -((-(m1sq*(m2sq - m3sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m1sq)) - 2*m1sq*(m2sq - m3sq)*(4*m2sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m1sq) + (m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0del(0,0,m2sq) - m1sq*(m2sq - m3sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m2sq) + 2*m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m2sq) + (m1sq - m3sq)*m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0del(0,0,m2sq) - 2*(m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0del(0,0,m3sq) + (m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0del(0,0,m3sq) - 2*(m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0del(0,0,m6sq) - 2*m1sq*(m2sq - m3sq)*(4*m2sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0del(0,0,m6sq) + (m1sq - m3sq)*m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0del(0,0,m6sq) + m1sq*(m2sq - m3sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq) + 2*m1sq*(m2sq - m3sq)*(4*m2sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq) - (m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m2sq) + m1sq*(m2sq - m3sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m2sq) - 2*m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m2sq) - (m1sq - m3sq)*m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m2sq) - m1sq*(m2sq - m3sq)*(m1sq - m2sq - m6sq)*(4*m2sq - m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + m2sq*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m2sq)**2 + 2*(m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m3sq) - (m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m3sq) + (m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*(m2sq - m3sq + m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 2*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1sq - m2sq + m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*((m1 + m2 + m6)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) - 2*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2 + m6/2. + 2*m2*B0fin(0,0,m2) + m6*B0fin(0,0,m6)) + 2*(m1sq - m2sq)*(4*m2sq - m6sq)*(m2sq - m3sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*((m2 + m3 + m6)/2. + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) + 2*(m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m6sq) + 2*m1sq*(m2sq - m3sq)*(4*m2sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m6sq) - (m1sq - m3sq)*m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m6sq) - 2*m1sq*(m2sq - m3sq)*(4*m2sq - m6sq)*m6sq*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq) - 2*(m1sq - m2sq)*m3sq*(4*m2sq - m6sq)*m6sq*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + (m2sq - m3sq)*(4*m2sq - m6sq)*(m1sq - m2sq + m6sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*T134fin(m6,m2,m1) + (m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*T134fin(m6,m2,m2) - (m1sq - m2sq)*(4*m2sq - m6sq)*(m2sq - m3sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*T134fin(m6,m3,m2))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))))
		def eval_42():
			return (m1**8*m3**3 - 2*m1**7*m3**4 + m1**8*m3**4 + m1**5*m3**6 - m1**6*m3**6 - 2*m1**6*m3**4*m4 + m1**4*m3**6*m4 + m1**8*m3sq*m4 - m1**8*m4**3 + 3*m1**4*m3**4*m4**3 - 2*m1sq*m3**6*m4**3 - 2*m1**7*m4**4 + m1**8*m4**4 + 4*m1**6*m3*m4**4 + 6*m1**4*m3**3*m4**4 - 3*m1**4*m3**4*m4**4 + m1*m3**6*m4**4 + m1sq*m3**6*m4**4 - 9*m1**5*m3sq*m4**4 + m1**6*m3sq*m4**4 + 2*m1**6*m4**5 + m3**6*m4**5 - 3*m1**4*m3sq*m4**5 + 5*m1**5*m4**6 - m1**6*m4**6 - 6*m1**4*m3*m4**6 - 4*m1sq*m3**3*m4**6 - m1*m3**4*m4**6 - m1sq*m3**4*m4**6 - m3**6*m4**6 + 6*m1**3*m3sq*m4**6 + 3*m1**4*m3sq*m4**6 - m1**4*m4**7 - m3**4*m4**7 + 2*m1sq*m3sq*m4**7 - 4*m1**3*m4**8 - m1**4*m4**8 + 4*m1sq*m3*m4**8 + m3**3*m4**8 + 2*m3**4*m4**8 - m1*m3sq*m4**8 - m1sq*m3sq*m4**8 + m1*m4**10 + m1sq*m4**10 - m3*m4**10 - m3sq*m4**10 - m1**8*m3*m4sq - 4*m1**6*m3**3*m4sq + 3*m1**5*m3**4*m4sq + m1**6*m3**4*m4sq - 2*m1**3*m3**6*m4sq + m1**4*m3**6*m4sq + 4*m1**7*m3sq*m4sq - 2*m1**8*m3sq*m4sq - 2*m1**6*m3**4*m6 + m1**4*m3**6*m6 + m1**8*m3sq*m6 + 2*m1**6*m4**4*m6 + m3**6*m4**4*m6 - 3*m1**4*m3sq*m4**4*m6 - m1**4*m4**6*m6 - m3**4*m4**6*m6 + 2*m1sq*m3sq*m4**6*m6 - m1**8*m4sq*m6 + 3*m1**4*m3**4*m4sq*m6 - 2*m1sq*m3**6*m4sq*m6 + m1**8*m6**3 - 3*m1**4*m3**4*m6**3 + 2*m1sq*m3**6*m6**3 - 9*m1**4*m4**4*m6**3 - 9*m3**4*m4**4*m6**3 + 18*m1sq*m3sq*m4**4*m6**3 + 4*m1**6*m4sq*m6**3 + 2*m3**6*m4sq*m6**3 - 6*m1**4*m3sq*m4sq*m6**3 - 2*m1**7*m6**4 + m1**8*m6**4 - 4*m1**6*m3*m6**4 + 6*m1**4*m3**3*m6**4 + m1**4*m3**4*m6**4 - 3*m1*m3**6*m6**4 + m1sq*m3**6*m6**4 + 3*m1**5*m3sq*m6**4 - 3*m1**6*m3sq*m6**4 - 6*m1**6*m4*m6**4 - 3*m3**6*m4*m6**4 + 9*m1**4*m3sq*m4*m6**4 + 5*m1**4*m4**3*m6**4 + 5*m3**4*m4**3*m6**4 - 10*m1sq*m3sq*m4**3*m6**4 + 2*m1**4*m4**4*m6**4 + 6*m3**3*m4**4*m6**4 - 6*m1*m3sq*m4**4*m6**4 - 2*m1sq*m3sq*m4**4*m6**4 + 10*m1*m4**6*m6**4 - 2*m1sq*m4**6*m6**4 - 10*m3*m4**6*m6**4 + 2*m3sq*m4**6*m6**4 + 7*m1**5*m4sq*m6**4 - 3*m1**6*m4sq*m6**4 - 2*m1**4*m3*m4sq*m6**4 + 4*m1sq*m3**3*m4sq*m6**4 + 5*m1*m3**4*m4sq*m6**4 - 7*m1sq*m3**4*m4sq*m6**4 + m3**6*m4sq*m6**4 - 14*m1**3*m3sq*m4sq*m6**4 + 9*m1**4*m3sq*m4sq*m6**4 - 6*m1**6*m6**5 - 3*m3**6*m6**5 + 9*m1**4*m3sq*m6**5 + 5*m1**4*m4sq*m6**5 + 5*m3**4*m4sq*m6**5 - 10*m1sq*m3sq*m4sq*m6**5 - m1**5*m6**6 + m1**6*m6**6 + 6*m1**4*m3*m6**6 - 4*m1sq*m3**3*m6**6 + 5*m1*m3**4*m6**6 - 3*m1sq*m3**4*m6**6 + m3**6*m6**6 - 6*m1**3*m3sq*m6**6 + m1**4*m3sq*m6**6 + 5*m1**4*m4*m6**6 + 5*m3**4*m4*m6**6 - 10*m1sq*m3sq*m4*m6**6 - 10*m1*m4**4*m6**6 + 2*m1sq*m4**4*m6**6 + 10*m3*m4**4*m6**6 - 2*m3sq*m4**4*m6**6 - 8*m1**3*m4sq*m6**6 + 8*m1sq*m3*m4sq*m6**6 - 4*m3**3*m4sq*m6**6 - 4*m3**4*m4sq*m6**6 + 4*m1*m3sq*m4sq*m6**6 + 4*m1sq*m3sq*m4sq*m6**6 + 5*m1**4*m6**7 + 5*m3**4*m6**7 - 10*m1sq*m3sq*m6**7 + 4*m1**3*m6**8 - m1**4*m6**8 - 4*m1sq*m3*m6**8 + m3**3*m6**8 - 2*m3**4*m6**8 - m1*m3sq*m6**8 + 3*m1sq*m3sq*m6**8 + 5*m1*m4sq*m6**8 + m1sq*m4sq*m6**8 - 5*m3*m4sq*m6**8 - m3sq*m4sq*m6**8 - m1*m6**10 - m1sq*m6**10 + m3*m6**10 + m3sq*m6**10 + m1**8*m3*m6sq - 4*m1**6*m3**3*m6sq - 3*m1**5*m3**4*m6sq + 3*m1**6*m3**4*m6sq + 2*m1**3*m3**6*m6sq - m1**4*m3**6*m6sq + 4*m1**7*m3sq*m6sq - 2*m1**8*m3sq*m6sq + m1**8*m4*m6sq - 3*m1**4*m3**4*m4*m6sq + 2*m1sq*m3**6*m4*m6sq + 4*m1**6*m4**3*m6sq + 2*m3**6*m4**3*m6sq - 6*m1**4*m3sq*m4**3*m6sq - 11*m1**5*m4**4*m6sq + 3*m1**6*m4**4*m6sq + 2*m1**4*m3*m4**4*m6sq + 4*m1sq*m3**3*m4**4*m6sq - 9*m1*m3**4*m4**4*m6sq - 5*m1sq*m3**4*m4**4*m6sq - m3**6*m4**4*m6sq + 14*m1**3*m3sq*m4**4*m6sq + 3*m1**4*m3sq*m4**4*m6sq - 9*m1**4*m4**5*m6sq - 9*m3**4*m4**5*m6sq + 18*m1sq*m3sq*m4**5*m6sq + 8*m1**3*m4**6*m6sq - 8*m1sq*m3*m4**6*m6sq - 4*m3**3*m4**6*m6sq + 4*m3**4*m4**6*m6sq + 4*m1*m3sq*m4**6*m6sq - 4*m1sq*m3sq*m4**6*m6sq - 5*m1*m4**8*m6sq - m1sq*m4**8*m6sq + 5*m3*m4**8*m6sq + m3sq*m4**8*m6sq + 4*m1**7*m4sq*m6sq - 2*m1**8*m4sq*m6sq + 4*m1**4*m3**3*m4sq*m6sq - 2*m1**4*m3**4*m4sq*m6sq + 2*m1*m3**6*m4sq*m6sq + 2*m1sq*m3**6*m4sq*m6sq - 10*m1**5*m3sq*m4sq*m6sq + 2*m1**6*m3sq*m4sq*m6sq - m1sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m1**6 + m1**4*(-3*m4sq + m6sq) + m1sq*(3*m4**4 - 3*m6**4 - 2*m3sq*m6sq) - (m4sq - m6sq)*(m4**4 + m6**4 + 2*m3sq*m6sq - 2*m4sq*m6sq))*B0del(0,0,m1sq) + m3sq*(m3sq - m4sq + m6sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2*B0del(0,0,m3sq) - m1**8*m4**4*B0del(0,0,m4sq) + 3*m1**4*m3**4*m4**4*B0del(0,0,m4sq) - 2*m1**6*m3sq*m4**4*B0del(0,0,m4sq) + 3*m1**6*m4**6*B0del(0,0,m4sq) - 3*m1sq*m3**4*m4**6*B0del(0,0,m4sq) - 3*m1**4*m4**8*B0del(0,0,m4sq) + m3**4*m4**8*B0del(0,0,m4sq) + 2*m1sq*m3sq*m4**8*B0del(0,0,m4sq) + m1sq*m4**10*B0del(0,0,m4sq) - m3sq*m4**10*B0del(0,0,m4sq) - m1**6*m3**4*m4sq*B0del(0,0,m4sq) + m1**8*m3sq*m4sq*B0del(0,0,m4sq) + 3*m1**4*m4**4*m6**4*B0del(0,0,m4sq) + 3*m3**4*m4**4*m6**4*B0del(0,0,m4sq) - 6*m1sq*m3sq*m4**4*m6**4*B0del(0,0,m4sq) - 5*m1**6*m4sq*m6**4*B0del(0,0,m4sq) - m1sq*m3**4*m4sq*m6**4*B0del(0,0,m4sq) - 2*m3**6*m4sq*m6**4*B0del(0,0,m4sq) + 8*m1**4*m3sq*m4sq*m6**4*B0del(0,0,m4sq) + 2*m1sq*m4**4*m6**6*B0del(0,0,m4sq) - 2*m3sq*m4**4*m6**6*B0del(0,0,m4sq) + 5*m1**4*m4sq*m6**6*B0del(0,0,m4sq) + 3*m3**4*m4sq*m6**6*B0del(0,0,m4sq) - 8*m1sq*m3sq*m4sq*m6**6*B0del(0,0,m4sq) - m1sq*m4sq*m6**8*B0del(0,0,m4sq) + m3sq*m4sq*m6**8*B0del(0,0,m4sq) + 2*m1**6*m4**4*m6sq*B0del(0,0,m4sq) - 4*m1sq*m3**4*m4**4*m6sq*B0del(0,0,m4sq) + 2*m3**6*m4**4*m6sq*B0del(0,0,m4sq) - 5*m1**4*m4**6*m6sq*B0del(0,0,m4sq) - 7*m3**4*m4**6*m6sq*B0del(0,0,m4sq) + 12*m1sq*m3sq*m4**6*m6sq*B0del(0,0,m4sq) - 2*m1sq*m4**8*m6sq*B0del(0,0,m4sq) + 2*m3sq*m4**8*m6sq*B0del(0,0,m4sq) + m1**8*m4sq*m6sq*B0del(0,0,m4sq) - m1**4*m3**4*m4sq*m6sq*B0del(0,0,m4sq) + 2*m1sq*m3**6*m4sq*m6sq*B0del(0,0,m4sq) - 2*m1**6*m3sq*m4sq*m6sq*B0del(0,0,m4sq) + m1**8*m6**4*B0del(0,0,m6sq) - m1**4*m3**4*m6**4*B0del(0,0,m6sq) + 2*m1sq*m3**6*m6**4*B0del(0,0,m6sq) - 2*m1**6*m3sq*m6**4*B0del(0,0,m6sq) - 5*m1**4*m4**4*m6**4*B0del(0,0,m6sq) - 7*m3**4*m4**4*m6**4*B0del(0,0,m6sq) + 12*m1sq*m3sq*m4**4*m6**4*B0del(0,0,m6sq) - 2*m1sq*m4**6*m6**4*B0del(0,0,m6sq) + 2*m3sq*m4**6*m6**4*B0del(0,0,m6sq) + 2*m1**6*m4sq*m6**4*B0del(0,0,m6sq) - 4*m1sq*m3**4*m4sq*m6**4*B0del(0,0,m6sq) + 2*m3**6*m4sq*m6**4*B0del(0,0,m6sq) - 5*m1**6*m6**6*B0del(0,0,m6sq) - m1sq*m3**4*m6**6*B0del(0,0,m6sq) - 2*m3**6*m6**6*B0del(0,0,m6sq) + 8*m1**4*m3sq*m6**6*B0del(0,0,m6sq) + 3*m1**4*m4sq*m6**6*B0del(0,0,m6sq) + 3*m3**4*m4sq*m6**6*B0del(0,0,m6sq) - 6*m1sq*m3sq*m4sq*m6**6*B0del(0,0,m6sq) + 5*m1**4*m6**8*B0del(0,0,m6sq) + 3*m3**4*m6**8*B0del(0,0,m6sq) - 8*m1sq*m3sq*m6**8*B0del(0,0,m6sq) + 2*m1sq*m4sq*m6**8*B0del(0,0,m6sq) - 2*m3sq*m4sq*m6**8*B0del(0,0,m6sq) - m1sq*m6**10*B0del(0,0,m6sq) + m3sq*m6**10*B0del(0,0,m6sq) - m1**6*m3**4*m6sq*B0del(0,0,m6sq) + m1**8*m3sq*m6sq*B0del(0,0,m6sq) + 3*m1**6*m4**4*m6sq*B0del(0,0,m6sq) - 3*m1sq*m3**4*m4**4*m6sq*B0del(0,0,m6sq) - 3*m1**4*m4**6*m6sq*B0del(0,0,m6sq) + m3**4*m4**6*m6sq*B0del(0,0,m6sq) + 2*m1sq*m3sq*m4**6*m6sq*B0del(0,0,m6sq) + m1sq*m4**8*m6sq*B0del(0,0,m6sq) - m3sq*m4**8*m6sq*B0del(0,0,m6sq) - m1**8*m4sq*m6sq*B0del(0,0,m6sq) + 3*m1**4*m3**4*m4sq*m6sq*B0del(0,0,m6sq) - 2*m1**6*m3sq*m4sq*m6sq*B0del(0,0,m6sq) - 2*m1**5*m3**6*B0fin(0,0,m1) - 12*m1**3*m3**4*m4**4*B0fin(0,0,m1) - 2*m1*m3**6*m4**4*B0fin(0,0,m1) - 6*m1**5*m3sq*m4**4*B0fin(0,0,m1) + 2*m1**5*m4**6*B0fin(0,0,m1) + 6*m1*m3**4*m4**6*B0fin(0,0,m1) + 12*m1**3*m3sq*m4**6*B0fin(0,0,m1) - 4*m1**3*m4**8*B0fin(0,0,m1) - 6*m1*m3sq*m4**8*B0fin(0,0,m1) + 2*m1*m4**10*B0fin(0,0,m1) + 6*m1**5*m3**4*m4sq*B0fin(0,0,m1) + 4*m1**3*m3**6*m4sq*B0fin(0,0,m1) - 4*m1**3*m3**4*m6**4*B0fin(0,0,m1) - 2*m1*m3**6*m6**4*B0fin(0,0,m1) + 2*m1**5*m3sq*m6**4*B0fin(0,0,m1) - 12*m1*m3sq*m4**4*m6**4*B0fin(0,0,m1) + 20*m1*m4**6*m6**4*B0fin(0,0,m1) + 6*m1**5*m4sq*m6**4*B0fin(0,0,m1) + 2*m1*m3**4*m4sq*m6**4*B0fin(0,0,m1) - 12*m1**3*m3sq*m4sq*m6**4*B0fin(0,0,m1) - 2*m1**5*m6**6*B0fin(0,0,m1) + 2*m1*m3**4*m6**6*B0fin(0,0,m1) - 4*m1**3*m3sq*m6**6*B0fin(0,0,m1) - 20*m1*m4**4*m6**6*B0fin(0,0,m1) - 8*m1**3*m4sq*m6**6*B0fin(0,0,m1) + 4*m1**3*m6**8*B0fin(0,0,m1) + 2*m1*m3sq*m6**8*B0fin(0,0,m1) + 10*m1*m4sq*m6**8*B0fin(0,0,m1) - 2*m1*m6**10*B0fin(0,0,m1) + 2*m1**5*m3**4*m6sq*B0fin(0,0,m1) + 4*m1**3*m3**6*m6sq*B0fin(0,0,m1) - 6*m1**5*m4**4*m6sq*B0fin(0,0,m1) - 10*m1*m3**4*m4**4*m6sq*B0fin(0,0,m1) + 4*m1**3*m3sq*m4**4*m6sq*B0fin(0,0,m1) + 8*m1**3*m4**6*m6sq*B0fin(0,0,m1) + 16*m1*m3sq*m4**6*m6sq*B0fin(0,0,m1) - 10*m1*m4**8*m6sq*B0fin(0,0,m1) - 16*m1**3*m3**4*m4sq*m6sq*B0fin(0,0,m1) + 4*m1*m3**6*m4sq*m6sq*B0fin(0,0,m1) + 4*m1**5*m3sq*m4sq*m6sq*B0fin(0,0,m1) + m1**6*m3**6*B0fin(0,0,m1sq) + 6*m1**4*m3**4*m4**4*B0fin(0,0,m1sq) - m1sq*m3**6*m4**4*B0fin(0,0,m1sq) + 5*m1**6*m3sq*m4**4*B0fin(0,0,m1sq) - 2*m1**6*m4**6*B0fin(0,0,m1sq) + m3**6*m4**6*B0fin(0,0,m1sq) - 9*m1**4*m3sq*m4**6*B0fin(0,0,m1sq) + 4*m1**4*m4**8*B0fin(0,0,m1sq) - 2*m3**4*m4**8*B0fin(0,0,m1sq) + 3*m1sq*m3sq*m4**8*B0fin(0,0,m1sq) - 2*m1sq*m4**10*B0fin(0,0,m1sq) + m3sq*m4**10*B0fin(0,0,m1sq) - 4*m1**6*m3**4*m4sq*B0fin(0,0,m1sq) - m1**4*m3**6*m4sq*B0fin(0,0,m1sq) + m1sq*m3**6*m6**4*B0fin(0,0,m1sq) + m1**6*m3sq*m6**4*B0fin(0,0,m1sq) + 6*m1**4*m4**4*m6**4*B0fin(0,0,m1sq) - 20*m1sq*m4**6*m6**4*B0fin(0,0,m1sq) + 10*m3sq*m4**6*m6**4*B0fin(0,0,m1sq) - 2*m1**6*m4sq*m6**4*B0fin(0,0,m1sq) - 8*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m1sq) + 3*m3**6*m4sq*m6**4*B0fin(0,0,m1sq) + 9*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m1sq) - m3**6*m6**6*B0fin(0,0,m1sq) + 3*m1**4*m3sq*m6**6*B0fin(0,0,m1sq) + 20*m1sq*m4**4*m6**6*B0fin(0,0,m1sq) - 10*m3sq*m4**4*m6**6*B0fin(0,0,m1sq) + 2*m1**4*m4sq*m6**6*B0fin(0,0,m1sq) - 4*m3**4*m4sq*m6**6*B0fin(0,0,m1sq) + 6*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m1sq) - 2*m1**4*m6**8*B0fin(0,0,m1sq) + 2*m3**4*m6**8*B0fin(0,0,m1sq) - 3*m1sq*m3sq*m6**8*B0fin(0,0,m1sq) - 10*m1sq*m4sq*m6**8*B0fin(0,0,m1sq) + 5*m3sq*m4sq*m6**8*B0fin(0,0,m1sq) + 2*m1sq*m6**10*B0fin(0,0,m1sq) - m3sq*m6**10*B0fin(0,0,m1sq) - 2*m1**6*m3**4*m6sq*B0fin(0,0,m1sq) - m1**4*m3**6*m6sq*B0fin(0,0,m1sq) + 4*m1**6*m4**4*m6sq*B0fin(0,0,m1sq) + 8*m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m1sq) - 3*m3**6*m4**4*m6sq*B0fin(0,0,m1sq) - 3*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m1sq) - 10*m1**4*m4**6*m6sq*B0fin(0,0,m1sq) + 4*m3**4*m4**6*m6sq*B0fin(0,0,m1sq) - 6*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m1sq) + 10*m1sq*m4**8*m6sq*B0fin(0,0,m1sq) - 5*m3sq*m4**8*m6sq*B0fin(0,0,m1sq) + 2*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m1sq) + 2*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m1sq) + 2*m1**8*m3**3*B0fin(0,0,m3) + 8*m1**6*m3*m4**4*B0fin(0,0,m3) + 12*m1**4*m3**3*m4**4*B0fin(0,0,m3) - 12*m1**4*m3*m4**6*B0fin(0,0,m3) - 8*m1sq*m3**3*m4**6*B0fin(0,0,m3) + 8*m1sq*m3*m4**8*B0fin(0,0,m3) + 2*m3**3*m4**8*B0fin(0,0,m3) - 2*m3*m4**10*B0fin(0,0,m3) - 2*m1**8*m3*m4sq*B0fin(0,0,m3) - 8*m1**6*m3**3*m4sq*B0fin(0,0,m3) - 8*m1**6*m3*m6**4*B0fin(0,0,m3) + 12*m1**4*m3**3*m6**4*B0fin(0,0,m3) + 12*m3**3*m4**4*m6**4*B0fin(0,0,m3) - 20*m3*m4**6*m6**4*B0fin(0,0,m3) - 4*m1**4*m3*m4sq*m6**4*B0fin(0,0,m3) + 8*m1sq*m3**3*m4sq*m6**4*B0fin(0,0,m3) + 12*m1**4*m3*m6**6*B0fin(0,0,m3) - 8*m1sq*m3**3*m6**6*B0fin(0,0,m3) + 20*m3*m4**4*m6**6*B0fin(0,0,m3) + 16*m1sq*m3*m4sq*m6**6*B0fin(0,0,m3) - 8*m3**3*m4sq*m6**6*B0fin(0,0,m3) - 8*m1sq*m3*m6**8*B0fin(0,0,m3) + 2*m3**3*m6**8*B0fin(0,0,m3) - 10*m3*m4sq*m6**8*B0fin(0,0,m3) + 2*m3*m6**10*B0fin(0,0,m3) + 2*m1**8*m3*m6sq*B0fin(0,0,m3) - 8*m1**6*m3**3*m6sq*B0fin(0,0,m3) + 4*m1**4*m3*m4**4*m6sq*B0fin(0,0,m3) + 8*m1sq*m3**3*m4**4*m6sq*B0fin(0,0,m3) - 16*m1sq*m3*m4**6*m6sq*B0fin(0,0,m3) - 8*m3**3*m4**6*m6sq*B0fin(0,0,m3) + 10*m3*m4**8*m6sq*B0fin(0,0,m3) + 8*m1**4*m3**3*m4sq*m6sq*B0fin(0,0,m3) - m1**8*m3**4*B0fin(0,0,m3sq) - 6*m1**4*m3**4*m4**4*B0fin(0,0,m3sq) - 4*m1**6*m3sq*m4**4*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m4**6*B0fin(0,0,m3sq) + 6*m1**4*m3sq*m4**6*B0fin(0,0,m3sq) - m3**4*m4**8*B0fin(0,0,m3sq) - 4*m1sq*m3sq*m4**8*B0fin(0,0,m3sq) + m3sq*m4**10*B0fin(0,0,m3sq) + 4*m1**6*m3**4*m4sq*B0fin(0,0,m3sq) + m1**8*m3sq*m4sq*B0fin(0,0,m3sq) - 6*m1**4*m3**4*m6**4*B0fin(0,0,m3sq) + 4*m1**6*m3sq*m6**4*B0fin(0,0,m3sq) - 6*m3**4*m4**4*m6**4*B0fin(0,0,m3sq) + 10*m3sq*m4**6*m6**4*B0fin(0,0,m3sq) - 4*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m3sq) + 2*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m3sq) + 4*m1sq*m3**4*m6**6*B0fin(0,0,m3sq) - 6*m1**4*m3sq*m6**6*B0fin(0,0,m3sq) - 10*m3sq*m4**4*m6**6*B0fin(0,0,m3sq) + 4*m3**4*m4sq*m6**6*B0fin(0,0,m3sq) - 8*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m3sq) - m3**4*m6**8*B0fin(0,0,m3sq) + 4*m1sq*m3sq*m6**8*B0fin(0,0,m3sq) + 5*m3sq*m4sq*m6**8*B0fin(0,0,m3sq) - m3sq*m6**10*B0fin(0,0,m3sq) + 4*m1**6*m3**4*m6sq*B0fin(0,0,m3sq) - m1**8*m3sq*m6sq*B0fin(0,0,m3sq) - 4*m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m3sq) - 2*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m3sq) + 4*m3**4*m4**6*m6sq*B0fin(0,0,m3sq) + 8*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m3sq) - 5*m3sq*m4**8*m6sq*B0fin(0,0,m3sq) - 4*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m3sq) - 2*m1**4*m3**6*m4*B0fin(0,0,m4) + 2*m1**8*m3sq*m4*B0fin(0,0,m4) - 2*m1**8*m4**3*B0fin(0,0,m4) + 6*m1**4*m3**4*m4**3*B0fin(0,0,m4) + 4*m1sq*m3**6*m4**3*B0fin(0,0,m4) - 8*m1**6*m3sq*m4**3*B0fin(0,0,m4) + 8*m1**6*m4**5*B0fin(0,0,m4) - 12*m1sq*m3**4*m4**5*B0fin(0,0,m4) - 2*m3**6*m4**5*B0fin(0,0,m4) + 6*m1**4*m3sq*m4**5*B0fin(0,0,m4) - 10*m1**4*m4**7*B0fin(0,0,m4) + 6*m3**4*m4**7*B0fin(0,0,m4) + 4*m1sq*m3sq*m4**7*B0fin(0,0,m4) + 4*m1sq*m4**9*B0fin(0,0,m4) - 4*m3sq*m4**9*B0fin(0,0,m4) - 8*m1**6*m4*m6**4*B0fin(0,0,m4) - 4*m1sq*m3**4*m4*m6**4*B0fin(0,0,m4) - 2*m3**6*m4*m6**4*B0fin(0,0,m4) + 14*m1**4*m3sq*m4*m6**4*B0fin(0,0,m4) + 2*m1**4*m4**3*m6**4*B0fin(0,0,m4) + 2*m3**4*m4**3*m6**4*B0fin(0,0,m4) - 4*m1sq*m3sq*m4**3*m6**4*B0fin(0,0,m4) + 10*m1**4*m4*m6**6*B0fin(0,0,m4) + 2*m3**4*m4*m6**6*B0fin(0,0,m4) - 12*m1sq*m3sq*m4*m6**6*B0fin(0,0,m4) + 8*m1sq*m4**3*m6**6*B0fin(0,0,m4) - 8*m3sq*m4**3*m6**6*B0fin(0,0,m4) - 4*m1sq*m4*m6**8*B0fin(0,0,m4) + 4*m3sq*m4*m6**8*B0fin(0,0,m4) + 2*m1**8*m4*m6sq*B0fin(0,0,m4) + 2*m1**4*m3**4*m4*m6sq*B0fin(0,0,m4) + 4*m1sq*m3**6*m4*m6sq*B0fin(0,0,m4) - 8*m1**6*m3sq*m4*m6sq*B0fin(0,0,m4) - 16*m1sq*m3**4*m4**3*m6sq*B0fin(0,0,m4) + 4*m3**6*m4**3*m6sq*B0fin(0,0,m4) + 12*m1**4*m3sq*m4**3*m6sq*B0fin(0,0,m4) - 2*m1**4*m4**5*m6sq*B0fin(0,0,m4) - 10*m3**4*m4**5*m6sq*B0fin(0,0,m4) + 12*m1sq*m3sq*m4**5*m6sq*B0fin(0,0,m4) - 8*m1sq*m4**7*m6sq*B0fin(0,0,m4) + 8*m3sq*m4**7*m6sq*B0fin(0,0,m4) - m1**8*m3**4*B0fin(0,0,m4sq) + m1**6*m3**6*B0fin(0,0,m4sq) - m1sq*m3**6*m4**4*B0fin(0,0,m4sq) + m1**6*m3sq*m4**4*B0fin(0,0,m4sq) - 2*m1**6*m4**6*B0fin(0,0,m4sq) + 4*m1sq*m3**4*m4**6*B0fin(0,0,m4sq) + m3**6*m4**6*B0fin(0,0,m4sq) - 3*m1**4*m3sq*m4**6*B0fin(0,0,m4sq) + 4*m1**4*m4**8*B0fin(0,0,m4sq) - 3*m3**4*m4**8*B0fin(0,0,m4sq) - m1sq*m3sq*m4**8*B0fin(0,0,m4sq) - 2*m1sq*m4**10*B0fin(0,0,m4sq) + 2*m3sq*m4**10*B0fin(0,0,m4sq) - m1**4*m3**6*m4sq*B0fin(0,0,m4sq) + m1**8*m3sq*m4sq*B0fin(0,0,m4sq) - m1**8*m6**4*B0fin(0,0,m4sq) + 3*m1**4*m3**4*m6**4*B0fin(0,0,m4sq) + 3*m1sq*m3**6*m6**4*B0fin(0,0,m4sq) - 5*m1**6*m3sq*m6**4*B0fin(0,0,m4sq) - m1**4*m4**4*m6**4*B0fin(0,0,m4sq) - 3*m3**4*m4**4*m6**4*B0fin(0,0,m4sq) + 4*m1sq*m3sq*m4**4*m6**4*B0fin(0,0,m4sq) + 2*m1sq*m4**6*m6**4*B0fin(0,0,m4sq) - 2*m3sq*m4**6*m6**4*B0fin(0,0,m4sq) - 8*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m4sq) + m3**6*m4sq*m6**4*B0fin(0,0,m4sq) + 7*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m4sq) + 3*m1**6*m6**6*B0fin(0,0,m4sq) - 5*m1sq*m3**4*m6**6*B0fin(0,0,m4sq) - m3**6*m6**6*B0fin(0,0,m4sq) + 3*m1**4*m3sq*m6**6*B0fin(0,0,m4sq) - 4*m1sq*m4**4*m6**6*B0fin(0,0,m4sq) + 4*m3sq*m4**4*m6**6*B0fin(0,0,m4sq) - m1**4*m4sq*m6**6*B0fin(0,0,m4sq) + m3**4*m4sq*m6**6*B0fin(0,0,m4sq) - 3*m1**4*m6**8*B0fin(0,0,m4sq) + 2*m3**4*m6**8*B0fin(0,0,m4sq) + m1sq*m3sq*m6**8*B0fin(0,0,m4sq) + m1sq*m6**10*B0fin(0,0,m4sq) - m3sq*m6**10*B0fin(0,0,m4sq) + m1**6*m3**4*m6sq*B0fin(0,0,m4sq) - 3*m1**4*m3**6*m6sq*B0fin(0,0,m4sq) + 2*m1**8*m3sq*m6sq*B0fin(0,0,m4sq) - m1**6*m4**4*m6sq*B0fin(0,0,m4sq) + m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m4sq) - m3**6*m4**4*m6sq*B0fin(0,0,m4sq) + m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m4sq) + m1**4*m4**6*m6sq*B0fin(0,0,m4sq) + 3*m3**4*m4**6*m6sq*B0fin(0,0,m4sq) - 4*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m4sq) + 3*m1sq*m4**8*m6sq*B0fin(0,0,m4sq) - 3*m3sq*m4**8*m6sq*B0fin(0,0,m4sq) + m1**8*m4sq*m6sq*B0fin(0,0,m4sq) + 7*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m4sq) - 8*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m4sq) - m1**8*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 3*m1**4*m3**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**6*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m3**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 3*m1**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m3sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1**6*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 3*m1**4*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**6*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m3**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m3sq*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m3sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m3**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1**4*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m3sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m3**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m3**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m3sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**6*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**4*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 15*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m3**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*m3**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**8*m3**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 6*m1**4*m3**4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1**6*m3sq*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m1sq*m3**4*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 6*m1**4*m3sq*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + m3**4*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1sq*m3sq*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m3sq*m4**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m1**6*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m1**8*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 6*m1**4*m3**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1**6*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 6*m3**4*m4**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 8*m1sq*m3sq*m4**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 2*m3sq*m4**6*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 10*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m1sq*m3**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 6*m1**4*m3sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 2*m3sq*m4**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m3**4*m4sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + m3**4*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1sq*m3sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 3*m3sq*m4sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m3sq*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m1**6*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m1**8*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 10*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 4*m3**4*m4**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 3*m3sq*m4**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 4*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 8*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 2*m1**4*m3**6*m6*B0fin(0,0,m6) + 2*m1**8*m3sq*m6*B0fin(0,0,m6) + 8*m1**6*m4**4*m6*B0fin(0,0,m6) - 12*m1sq*m3**4*m4**4*m6*B0fin(0,0,m6) - 2*m3**6*m4**4*m6*B0fin(0,0,m6) + 6*m1**4*m3sq*m4**4*m6*B0fin(0,0,m6) - 10*m1**4*m4**6*m6*B0fin(0,0,m6) + 6*m3**4*m4**6*m6*B0fin(0,0,m6) + 4*m1sq*m3sq*m4**6*m6*B0fin(0,0,m6) + 4*m1sq*m4**8*m6*B0fin(0,0,m6) - 4*m3sq*m4**8*m6*B0fin(0,0,m6) - 2*m1**8*m4sq*m6*B0fin(0,0,m6) + 6*m1**4*m3**4*m4sq*m6*B0fin(0,0,m6) + 4*m1sq*m3**6*m4sq*m6*B0fin(0,0,m6) - 8*m1**6*m3sq*m4sq*m6*B0fin(0,0,m6) + 2*m1**8*m6**3*B0fin(0,0,m6) + 2*m1**4*m3**4*m6**3*B0fin(0,0,m6) + 4*m1sq*m3**6*m6**3*B0fin(0,0,m6) - 8*m1**6*m3sq*m6**3*B0fin(0,0,m6) - 2*m1**4*m4**4*m6**3*B0fin(0,0,m6) - 10*m3**4*m4**4*m6**3*B0fin(0,0,m6) + 12*m1sq*m3sq*m4**4*m6**3*B0fin(0,0,m6) - 8*m1sq*m4**6*m6**3*B0fin(0,0,m6) + 8*m3sq*m4**6*m6**3*B0fin(0,0,m6) - 16*m1sq*m3**4*m4sq*m6**3*B0fin(0,0,m6) + 4*m3**6*m4sq*m6**3*B0fin(0,0,m6) + 12*m1**4*m3sq*m4sq*m6**3*B0fin(0,0,m6) - 8*m1**6*m6**5*B0fin(0,0,m6) - 4*m1sq*m3**4*m6**5*B0fin(0,0,m6) - 2*m3**6*m6**5*B0fin(0,0,m6) + 14*m1**4*m3sq*m6**5*B0fin(0,0,m6) + 2*m1**4*m4sq*m6**5*B0fin(0,0,m6) + 2*m3**4*m4sq*m6**5*B0fin(0,0,m6) - 4*m1sq*m3sq*m4sq*m6**5*B0fin(0,0,m6) + 10*m1**4*m6**7*B0fin(0,0,m6) + 2*m3**4*m6**7*B0fin(0,0,m6) - 12*m1sq*m3sq*m6**7*B0fin(0,0,m6) + 8*m1sq*m4sq*m6**7*B0fin(0,0,m6) - 8*m3sq*m4sq*m6**7*B0fin(0,0,m6) - 4*m1sq*m6**9*B0fin(0,0,m6) + 4*m3sq*m6**9*B0fin(0,0,m6) - m1**8*m6**4*B0fin(0,0,m6sq) - 3*m1**4*m3**4*m6**4*B0fin(0,0,m6sq) - 6*m1sq*m3**6*m6**4*B0fin(0,0,m6sq) + 10*m1**6*m3sq*m6**4*B0fin(0,0,m6sq) - 7*m1**4*m4**4*m6**4*B0fin(0,0,m6sq) + 7*m3**4*m4**4*m6**4*B0fin(0,0,m6sq) + 14*m1sq*m4**6*m6**4*B0fin(0,0,m6sq) - 14*m3sq*m4**6*m6**4*B0fin(0,0,m6sq) + 6*m1**6*m4sq*m6**4*B0fin(0,0,m6sq) + 32*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m6sq) - 6*m3**6*m4sq*m6**4*B0fin(0,0,m6sq) - 32*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m6sq) + m1**6*m6**6*B0fin(0,0,m6sq) + 9*m1sq*m3**4*m6**6*B0fin(0,0,m6sq) + 2*m3**6*m6**6*B0fin(0,0,m6sq) - 12*m1**4*m3sq*m6**6*B0fin(0,0,m6sq) - 12*m1sq*m4**4*m6**6*B0fin(0,0,m6sq) + 12*m3sq*m4**4*m6**6*B0fin(0,0,m6sq) - 3*m1**4*m4sq*m6**6*B0fin(0,0,m6sq) + 5*m3**4*m4sq*m6**6*B0fin(0,0,m6sq) - 2*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m6sq) - m1**4*m6**8*B0fin(0,0,m6sq) - 3*m3**4*m6**8*B0fin(0,0,m6sq) + 4*m1sq*m3sq*m6**8*B0fin(0,0,m6sq) + 2*m1sq*m4sq*m6**8*B0fin(0,0,m6sq) - 2*m3sq*m4sq*m6**8*B0fin(0,0,m6sq) + m1sq*m6**10*B0fin(0,0,m6sq) - m3sq*m6**10*B0fin(0,0,m6sq) - 3*m1**6*m3**4*m6sq*B0fin(0,0,m6sq) + 4*m1**4*m3**6*m6sq*B0fin(0,0,m6sq) - m1**8*m3sq*m6sq*B0fin(0,0,m6sq) - 7*m1**6*m4**4*m6sq*B0fin(0,0,m6sq) + 15*m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m6sq) + 4*m3**6*m4**4*m6sq*B0fin(0,0,m6sq) - 12*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m6sq) + 11*m1**4*m4**6*m6sq*B0fin(0,0,m6sq) - 9*m3**4*m4**6*m6sq*B0fin(0,0,m6sq) - 2*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m6sq) - 5*m1sq*m4**8*m6sq*B0fin(0,0,m6sq) + 5*m3sq*m4**8*m6sq*B0fin(0,0,m6sq) + m1**8*m4sq*m6sq*B0fin(0,0,m6sq) - 3*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m6sq) - 8*m1sq*m3**6*m4sq*m6sq*B0fin(0,0,m6sq) + 10*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m6sq) + 2*m1**4*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**6*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m3**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m3sq*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m3sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m3**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 18*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1sq*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 7*m1**4*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m3sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m3**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m3**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m3sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m3sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1**6*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**4*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 3*m1**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m3**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 7*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m3**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m3sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1**6*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 8*m1sq*m3sq*m4**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 8*m3sq*m4**6*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 8*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 12*m1**4*m3sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 12*m3sq*m4**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 8*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 8*m1sq*m3sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 8*m3sq*m4sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 2*m3sq*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 2*m1**8*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 12*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 8*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 2*m3sq*m4**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 8*m1**6*m3sq*m4sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + m1**8*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 3*m1**4*m3**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m3**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**4*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 5*m3**4*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1sq*m3sq*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1sq*m4**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m3sq*m4**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**6*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1sq*m3**4*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 10*m1**4*m3sq*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m3**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 3*m1**4*m3sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1sq*m4**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m3sq*m4**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 7*m1**4*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 5*m3**4*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 12*m1sq*m3sq*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**4*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m3**4*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m3sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m4sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m3sq*m4sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1**6*m3**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**4*m3**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**8*m3sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1**6*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1sq*m3**4*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m3**6*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 5*m1**4*m3sq*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 7*m1**4*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m3**4*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 8*m1sq*m3sq*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m3sq*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m1**8*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**4*m3**4*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**6*m3**4*T134fin(m6,m4,m1) + m1**6*m4**4*T134fin(m6,m4,m1) + 3*m1sq*m3**4*m4**4*T134fin(m6,m4,m1) + 6*m1**4*m3sq*m4**4*T134fin(m6,m4,m1) - 3*m1**4*m4**6*T134fin(m6,m4,m1) - m3**4*m4**6*T134fin(m6,m4,m1) - 6*m1sq*m3sq*m4**6*T134fin(m6,m4,m1) + 3*m1sq*m4**8*T134fin(m6,m4,m1) + 2*m3sq*m4**8*T134fin(m6,m4,m1) - m4**10*T134fin(m6,m4,m1) - 3*m1**4*m3**4*m4sq*T134fin(m6,m4,m1) - 2*m1**6*m3sq*m4sq*T134fin(m6,m4,m1) + m1**6*m6**4*T134fin(m6,m4,m1) + m1sq*m3**4*m6**4*T134fin(m6,m4,m1) + 2*m3**6*m6**4*T134fin(m6,m4,m1) - 2*m1**4*m3sq*m6**4*T134fin(m6,m4,m1) + 6*m3sq*m4**4*m6**4*T134fin(m6,m4,m1) - 10*m4**6*m6**4*T134fin(m6,m4,m1) - 5*m1**4*m4sq*m6**4*T134fin(m6,m4,m1) - 3*m3**4*m4sq*m6**4*T134fin(m6,m4,m1) + 10*m1sq*m3sq*m4sq*m6**4*T134fin(m6,m4,m1) + m1**4*m6**6*T134fin(m6,m4,m1) - 3*m3**4*m6**6*T134fin(m6,m4,m1) + 4*m1sq*m3sq*m6**6*T134fin(m6,m4,m1) + 10*m4**4*m6**6*T134fin(m6,m4,m1) + 6*m1sq*m4sq*m6**6*T134fin(m6,m4,m1) - 2*m3sq*m4sq*m6**6*T134fin(m6,m4,m1) - 3*m1sq*m6**8*T134fin(m6,m4,m1) - 5*m4sq*m6**8*T134fin(m6,m4,m1) + m6**10*T134fin(m6,m4,m1) + m1**4*m3**4*m6sq*T134fin(m6,m4,m1) - 2*m1sq*m3**6*m6sq*T134fin(m6,m4,m1) - 2*m1**6*m3sq*m6sq*T134fin(m6,m4,m1) + 7*m1**4*m4**4*m6sq*T134fin(m6,m4,m1) + 7*m3**4*m4**4*m6sq*T134fin(m6,m4,m1) - 8*m1sq*m3sq*m4**4*m6sq*T134fin(m6,m4,m1) - 6*m1sq*m4**6*m6sq*T134fin(m6,m4,m1) - 6*m3sq*m4**6*m6sq*T134fin(m6,m4,m1) + 5*m4**8*m6sq*T134fin(m6,m4,m1) - 2*m1**6*m4sq*m6sq*T134fin(m6,m4,m1) + 4*m1sq*m3**4*m4sq*m6sq*T134fin(m6,m4,m1) - 2*m3**6*m4sq*m6sq*T134fin(m6,m4,m1) + 4*m1**4*m3sq*m4sq*m6sq*T134fin(m6,m4,m1) - m1**8*m3sq*T134fin(m6,m4,m3) - 4*m1**6*m4**4*T134fin(m6,m4,m3) - 6*m1**4*m3sq*m4**4*T134fin(m6,m4,m3) + 6*m1**4*m4**6*T134fin(m6,m4,m3) + 4*m1sq*m3sq*m4**6*T134fin(m6,m4,m3) - 4*m1sq*m4**8*T134fin(m6,m4,m3) - m3sq*m4**8*T134fin(m6,m4,m3) + m4**10*T134fin(m6,m4,m3) + m1**8*m4sq*T134fin(m6,m4,m3) + 4*m1**6*m3sq*m4sq*T134fin(m6,m4,m3) + 4*m1**6*m6**4*T134fin(m6,m4,m3) - 6*m1**4*m3sq*m6**4*T134fin(m6,m4,m3) - 6*m3sq*m4**4*m6**4*T134fin(m6,m4,m3) + 10*m4**6*m6**4*T134fin(m6,m4,m3) + 2*m1**4*m4sq*m6**4*T134fin(m6,m4,m3) - 4*m1sq*m3sq*m4sq*m6**4*T134fin(m6,m4,m3) - 6*m1**4*m6**6*T134fin(m6,m4,m3) + 4*m1sq*m3sq*m6**6*T134fin(m6,m4,m3) - 10*m4**4*m6**6*T134fin(m6,m4,m3) - 8*m1sq*m4sq*m6**6*T134fin(m6,m4,m3) + 4*m3sq*m4sq*m6**6*T134fin(m6,m4,m3) + 4*m1sq*m6**8*T134fin(m6,m4,m3) - m3sq*m6**8*T134fin(m6,m4,m3) + 5*m4sq*m6**8*T134fin(m6,m4,m3) - m6**10*T134fin(m6,m4,m3) - m1**8*m6sq*T134fin(m6,m4,m3) + 4*m1**6*m3sq*m6sq*T134fin(m6,m4,m3) - 2*m1**4*m4**4*m6sq*T134fin(m6,m4,m3) - 4*m1sq*m3sq*m4**4*m6sq*T134fin(m6,m4,m3) + 8*m1sq*m4**6*m6sq*T134fin(m6,m4,m3) + 4*m3sq*m4**6*m6sq*T134fin(m6,m4,m3) - 5*m4**8*m6sq*T134fin(m6,m4,m3) - 4*m1**4*m3sq*m4sq*m6sq*T134fin(m6,m4,m3))/((m1sq - m3sq)**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)))
		def eval_43():
			return ((7*m1sq*m4**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1**4*m4sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (7*m1sq*m6**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (2*m4**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (2*m6**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (7*m1sq*m5**4)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1**4*m5sq)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (7*m1sq*m6**4)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1**4)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) - (2*m5**4)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) - (2*m6**4)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) - (5*m4**4*(m4sq - m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m6**4*(m4sq - m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m4sq*(m4sq - m6sq)**3)/(m1**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m5**4*(m5sq - m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m5sq*(m5sq - m6sq)**3)/(m1**2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (3*m1**4*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*m4sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m4sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (3*m1**4*m6sq)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*m5sq*m6sq)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m5sq*m6sq)/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + ((m5sq - m6sq)**3*m6sq)/(m1**2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m6sq*(-m4sq + m6sq)**3)/(m1**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (4*m4sq*m6sq*(-m1sq + m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m6**4*(-m5sq + m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1sq*(m5sq + m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + (4*m5sq*m6sq*(-m1sq + m5sq + m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1sq*m4sq*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m5sq*m6sq*B0del(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m1sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m5sq*m6sq*B0del(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0del(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m1sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m5sq*m6sq*B0del(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0del(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (7*m1sq*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1**4*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (7*m1sq*m6**4*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (7*m1sq*m5**4*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (3*m1**4*m5sq*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (7*m1sq*m6**4*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (5*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m4sq*(m4sq - m6sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (5*m5**4*(m5sq - m6sq)*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (5*m6**4*(m5sq - m6sq)*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m5sq*(m5sq - m6sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1**4*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (6*m1sq*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1**4*m6sq*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (6*m1sq*m5sq*m6sq*B0fin(0,0,m1sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + ((m4sq - m6sq)**3*m6sq*B0fin(0,0,m1sq))/(m1**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m6**4*(-m4sq + m6sq)*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m6sq*(-m5sq + m6sq)**3*B0fin(0,0,m1sq))/(m1**2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (7*m1sq*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1**4*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m4sq*(m4sq - m6sq)**3*B0fin(0,0,m4sq))/(m1**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (7*m1sq*m5**4*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (3*m1**4*m5sq*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (5*m5**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m5sq*(m5sq - m6sq)**3*B0fin(0,0,m5sq))/(m1**2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1sq*m5sq*m6sq*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*m5sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m4**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m6**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m4sq*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**4*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m5**4*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m6**4*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m5sq*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*(m5sq + m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (7*m1sq*m6**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (7*m1sq*m6**4*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (5*m6**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1**4*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1**4*m6sq*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1sq*m5sq*m6sq*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/(m1**2*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (5*m6**4*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m6sq*(-m5sq + m6sq)**3*B0fin(0,0,m6sq))/(m1**2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m1sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m5sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m4sq*m6sq*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m5sq*m6sq*T134fin(m6,m5,m1))/((m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2))/(2.*(m4sq - m5sq))
		def eval_44():
			return ((2*m1sq*(m1sq - m3sq)*B0del(0,0,m1sq))/(4*m1sq - m6sq) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0del(0,0,m1sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) + ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0del(0,0,m1sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m5sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0del(0,0,m5sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m6sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) + ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0del(0,0,m6sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq))/(4*m1sq - m6sq) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0fin(0,0,m1sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) - ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m1sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq)**2)/(4*m1sq - m6sq) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) - (m1sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/(4*m1sq - m6sq) + (m3sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/(4*m1sq - m6sq) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) - ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m6sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq)) - (3*m1sq*T134fin(m6,m1,m1))/(4*m1sq - m6sq) - (m3sq*T134fin(m6,m1,m1))/(4*m1sq - m6sq) + (m6sq*T134fin(m6,m1,m1))/(4*m1sq - m6sq) + T134fin(m6,m3,m1) + T134fin(m6,m5,m1) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*T134fin(m6,m5,m1))/(4*m5sq*m6sq - (-m1sq + m5sq + m6sq)**2) - T134fin(m6,m5,m3))/((m1sq - m3sq)**2*(m1sq - m5sq))
		def eval_45():
			return -((4*m1**4*m4 - 4*m1sq*m3sq*m4 + 2*m1**3*m4sq - 2*m1*m3sq*m4sq - 4*m1**4*m5 + 4*m1sq*m3sq*m5 + m1sq*m4sq*m5 - m3sq*m4sq*m5 - 2*m1**3*m5sq + 2*m1*m3sq*m5sq - m1sq*m4*m5sq + m3sq*m4*m5sq + 2*m1sq*(m1sq - m3sq)*(m4sq - m5sq)*B0del(0,0,m1sq) + (m1sq - m3sq)*m4sq*(4*m1sq - m5sq)*B0del(0,0,m4sq) - 4*m1**4*m5sq*B0del(0,0,m5sq) + 4*m1sq*m3sq*m5sq*B0del(0,0,m5sq) + m1sq*m4sq*m5sq*B0del(0,0,m5sq) - m3sq*m4sq*m5sq*B0del(0,0,m5sq) + 4*m1**3*m4sq*B0fin(0,0,m1) - 4*m1*m3sq*m4sq*B0fin(0,0,m1) - 4*m1**3*m5sq*B0fin(0,0,m1) + 4*m1*m3sq*m5sq*B0fin(0,0,m1) - 2*m1**4*m4sq*B0fin(0,0,m1sq) + 2*m1sq*m3sq*m4sq*B0fin(0,0,m1sq) + 2*m1**4*m5sq*B0fin(0,0,m1sq) - 2*m1sq*m3sq*m5sq*B0fin(0,0,m1sq) - m1**4*m4sq*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m4sq*B0fin(0,0,m1sq)**2 + m1**4*m5sq*B0fin(0,0,m1sq)**2 - m1sq*m3sq*m5sq*B0fin(0,0,m1sq)**2 + 8*m1**4*m4*B0fin(0,0,m4) - 8*m1sq*m3sq*m4*B0fin(0,0,m4) - 2*m1sq*m4*m5sq*B0fin(0,0,m4) + 2*m3sq*m4*m5sq*B0fin(0,0,m4) - 4*m1**4*m4sq*B0fin(0,0,m4sq) + 4*m1sq*m3sq*m4sq*B0fin(0,0,m4sq) + m1sq*m4sq*m5sq*B0fin(0,0,m4sq) - m3sq*m4sq*m5sq*B0fin(0,0,m4sq) + 4*m1**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**4*m5*B0fin(0,0,m5) + 8*m1sq*m3sq*m5*B0fin(0,0,m5) + 2*m1sq*m4sq*m5*B0fin(0,0,m5) - 2*m3sq*m4sq*m5*B0fin(0,0,m5) + 4*m1**4*m5sq*B0fin(0,0,m5sq) - 4*m1sq*m3sq*m5sq*B0fin(0,0,m5sq) - m1sq*m4sq*m5sq*B0fin(0,0,m5sq) + m3sq*m4sq*m5sq*B0fin(0,0,m5sq) - 4*m1**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1sq*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m3sq*m4sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 12*m1**4*T134fin(m4,m1,m1) + 4*m1sq*m3sq*T134fin(m4,m1,m1) - 4*m1sq*m4sq*T134fin(m4,m1,m1) - 3*m1sq*m5sq*T134fin(m4,m1,m1) - m3sq*m5sq*T134fin(m4,m1,m1) + m4sq*m5sq*T134fin(m4,m1,m1) - 16*m1**4*T134fin(m4,m3,m1) + 4*m1sq*m4sq*T134fin(m4,m3,m1) + 4*m1sq*m5sq*T134fin(m4,m3,m1) - m4sq*m5sq*T134fin(m4,m3,m1) - 12*m1**4*T134fin(m5,m1,m1) - 4*m1sq*m3sq*T134fin(m5,m1,m1) + 3*m1sq*m4sq*T134fin(m5,m1,m1) + m3sq*m4sq*T134fin(m5,m1,m1) + 4*m1sq*m5sq*T134fin(m5,m1,m1) - m4sq*m5sq*T134fin(m5,m1,m1) + 16*m1**4*T134fin(m5,m3,m1) - 4*m1sq*m4sq*T134fin(m5,m3,m1) - 4*m1sq*m5sq*T134fin(m5,m3,m1) + m4sq*m5sq*T134fin(m5,m3,m1))/((m1sq - m3sq)**2*(4*m1sq - m4sq)*(4*m1sq - m5sq)*(m4sq - m5sq)))
		def eval_46():
			return (2*m1sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)) - (m2sq*(-m1sq + m2sq - m6sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) - (m3sq*(-m1sq + m3sq - m6sq)*B0del(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m2sq*(-m1sq + m2sq - m6sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) - (2*m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) - (m3sq*(-m1sq + m3sq - m6sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*m3sq*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) - (2*m3sq*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*m1sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)) + (m2sq*(-m1sq + m2sq - m6sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) + (m3sq*(-m1sq + m3sq - m6sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m1sq*B0fin(0,0,m1sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)) + (m2sq*(-m1sq + m2sq - m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) + (2*m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) - (m2sq*(-m1sq + m2sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) + (m3sq*(-m1sq + m3sq - m6sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m3sq*(-m1sq + m3sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)) + ((m1sq - m2sq - m6sq)*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) + ((m1sq - m3sq - m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (2*m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) + (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) - (2*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))) - (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))) + T134fin(m6,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)) + ((m1sq - m2sq - m6sq)*T134fin(m6,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq*m6sq - (-m1sq + m2sq + m6sq)**2)) - ((m1sq - m3sq - m6sq)*T134fin(m6,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq)))
		def eval_47():
			return (m1sq*(m1sq - m4sq - m6sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m1sq*m6sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*(m2sq - m4sq - m6sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m3sq*(m3sq - m4sq - m6sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*m3sq*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*(m2sq - m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m3sq*(m3sq - m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0del(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m1sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m3sq*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0del(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*(m1sq - m4sq - m6sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m1sq*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2sq*(m2sq - m4sq - m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m3sq*(m3sq - m4sq - m6sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*(m1sq - m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2sq*(m2sq - m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m3sq*(m3sq - m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*(m2sq - m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m3sq*(m3sq - m4sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + ((m1sq - m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - ((m2sq - m4sq + m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - ((m3sq - m4sq + m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*m1sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - ((m1sq - m4sq + m6sq)*T134fin(m6,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + ((m2sq - m4sq + m6sq)*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m3sq - m4sq + m6sq)*T134fin(m6,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)))
		def eval_48():
			return (((m1sq - m2sq)*m4sq*(m2sq - m4sq + m6sq)*B0del(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m6sq)*B0del(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*m6sq*(3*m2**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m2sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m2sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (2*(m1sq - m2sq)*m4sq*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*(m1sq - m2sq)*m5sq*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (2*(m1sq - m2sq)*m4sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*(m1sq - m2sq)*m5sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*m6sq*(3*m2**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m2sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m6sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m6sq)*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m6sq)*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*m6sq*(-3*m2**4 + (m4sq - m6sq)*(m5sq - m6sq) + m2sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m2sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (2*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m1sq - m2sq)*m4sq*(m2sq - m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*(m1sq - m2sq)*m5sq*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - ((m1sq - m2sq)*m5sq*(m2sq - m5sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*(m2sq - m4sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - ((m1sq - m2sq)*(m2sq - m5sq - m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (2*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*(m1sq - m2sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*m6sq*(-3*m2**4 + (m4sq - m6sq)*(m5sq - m6sq) + m2sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m6sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m1sq - m2sq)*m6sq*(3*m2**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m2sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (2*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*(m1sq - m2sq)*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + T134fin(m6,m4,m1)/(m4sq - m5sq) - T134fin(m6,m4,m2)/(m4sq - m5sq) + ((m1sq - m2sq)*(m2sq - m4sq - m6sq)*T134fin(m6,m4,m2))/((m4sq - m5sq)*(4*m4sq*m6sq - (-m2sq + m4sq + m6sq)**2)) - T134fin(m6,m5,m1)/(m4sq - m5sq) + T134fin(m6,m5,m2)/(m4sq - m5sq) + ((m1sq - m2sq)*(m2sq - m5sq - m6sq)*T134fin(m6,m5,m2))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))))/(m1sq - m2sq)**2
		def eval_49():
			return (-(((m1sq - m3sq)*m4sq*(m1sq - m4sq + m6sq)*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq)))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m6sq*(-3*m1**4 + (m4sq - m6sq)*(m5sq - m6sq) + m1sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m6sq*(-3*m1**4 + (m4sq - m6sq)*(m5sq - m6sq) + m1sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m6sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m6sq*(3*m1**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m1sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - ((m1sq - m3sq)*m4sq*(m1sq - m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m5sq*(m1sq - m5sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - ((m1sq - m3sq)*(m1sq - m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m6sq*(3*m1**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m1sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m6sq*(-3*m1**4 + (m4sq - m6sq)*(m5sq - m6sq) + m1sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - T134fin(m6,m4,m1)/(m4sq - m5sq) + ((m1sq - m3sq)*(m1sq - m4sq - m6sq)*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + T134fin(m6,m4,m3)/(m4sq - m5sq) + T134fin(m6,m5,m1)/(m4sq - m5sq) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*T134fin(m6,m5,m1))/((m4sq - m5sq)*(4*m5sq*m6sq - (-m1sq + m5sq + m6sq)**2)) - T134fin(m6,m5,m3)/(m4sq - m5sq))/(m1sq - m3sq)**2
		def eval_50():
			return ((m2sq - m3sq)*T134fin(m6,m4,m1) + (-m1sq + m3sq)*T134fin(m6,m4,m2) + m1sq*T134fin(m6,m4,m3) - m2sq*T134fin(m6,m4,m3) - m2sq*T134fin(m6,m5,m1) + m3sq*T134fin(m6,m5,m1) + m1sq*T134fin(m6,m5,m2) - m3sq*T134fin(m6,m5,m2) - m1sq*T134fin(m6,m5,m3) + m2sq*T134fin(m6,m5,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq))

		cond_m1_0 = cond(m1, 0)
		cond_m2_0 = cond(m2, 0)
		cond_m3_0 = cond(m3, 0)
		cond_m4_0 = cond(m4, 0)
		cond_m5_0 = cond(m5, 0)
		cond_m6_0 = cond(m6, 0)
		cond_m6_m5 = cond(m6, m5)
		cond_m6_m4 = cond(m6, m4)
		cond_m5_m4 = cond(m5, m4)
		cond_m6_m3 = cond(m6, m3)
		cond_m5_m3 = cond(m5, m3)
		cond_m4_m3 = cond(m4, m3)
		cond_m6_m2 = cond(m6, m2)
		cond_m5_m2 = cond(m5, m2)
		cond_m4_m2 = cond(m4, m2)
		cond_m3_m2 = cond(m3, m2)
		cond_m6_m1 = cond(m6, m1)
		cond_m5_m1 = cond(m5, m1)
		cond_m4_m1 = cond(m4, m1)
		cond_m3_m1 = cond(m3, m1)
		cond_m2_m1 = cond(m2, m1)

		conditions = [
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_3()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_3()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_13()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_23()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_13()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_29()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_29()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_23()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_23()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_29()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_29()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_29()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_30()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_32()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_32()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_12()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_33()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_33()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_32()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_33()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_12()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_42()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_38()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_48()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_19()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_42()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_18()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_38()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_49()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_38()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_19()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_38()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_42()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_19()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0, lambda: eval_49()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0, lambda: eval_47()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_49()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_47()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_47()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_11()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_22()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_11()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_22()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_9()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_10()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_11()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_42()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_38()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_39()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_39()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_41()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_11()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_37()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_37()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_12()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_27()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_27()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_16()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_42()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_38()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_38()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_13()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_13()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_14()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_39()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_39()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_41()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_40()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_39()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_34()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_15()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_28()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_28()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_41()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_15()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_28()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_28()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5, lambda: eval_16()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4, lambda: eval_42()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4, lambda: eval_17()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3, lambda: eval_49()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0, lambda: eval_48()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_16()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_47()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_42()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_17()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_47()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_18()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_38()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_48()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_19()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1, lambda: eval_49()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1, lambda: eval_49()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0, lambda: eval_42()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_49()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_20()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0, lambda: eval_49()),
			(cond_m1_0 and cond_m3_0, lambda: eval_49()),
			(cond_m1_0 and cond_m4_0, lambda: eval_50()),
			(cond_m1_0 and cond_m5_0, lambda: eval_50()),
			(cond_m1_0 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_0, lambda: eval_49()),
			(cond_m2_0 and cond_m4_0, lambda: eval_50()),
			(cond_m2_0 and cond_m5_0, lambda: eval_50()),
			(cond_m2_0 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_0, lambda: eval_50()),
			(cond_m3_0 and cond_m5_0, lambda: eval_50()),
			(cond_m3_0 and cond_m6_0, lambda: eval_50()),
			(cond_m4_0 and cond_m5_0, lambda: eval_47()),
			(cond_m4_0 and cond_m6_0, lambda: eval_50()),
			(cond_m5_0 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_31()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_31()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_31()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_21()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_36()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_31()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_38()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_47()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_38()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_36()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_36()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_36()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_22()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_31()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_31()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_32()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_47()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_32()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_33()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_33()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_38()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_47()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_38()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_34()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_44()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_44()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_47()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_44()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_44()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_35()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_38()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_36()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_38()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_25()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_24()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_25()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_26()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_36()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_26()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_36()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_47()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_47()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5, lambda: eval_48()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4, lambda: eval_38()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4, lambda: eval_48()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_47()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_36()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_47()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_47()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_36()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_37()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_38()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_47()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_39()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_40()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_39()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_41()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5, lambda: eval_48()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4, lambda: eval_38()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4, lambda: eval_48()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4, lambda: eval_38()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_49()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_47()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_42()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_42()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_48()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_47()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_47()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_44()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_44()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_44()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_45()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_44()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_46()),
			(cond_m1_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m4, lambda: eval_47()),
			(cond_m1_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m1_0 and cond_m4_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m1_0 and cond_m3_m2, lambda: eval_48()),
			(cond_m1_0 and cond_m4_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m5_m2, lambda: eval_50()),
			(cond_m1_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m2_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m4, lambda: eval_47()),
			(cond_m2_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m2_0 and cond_m4_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m3, lambda: eval_50()),
			(cond_m2_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m3_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m4, lambda: eval_47()),
			(cond_m3_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m4_0 and cond_m6_m5, lambda: eval_50()),
			(cond_m5_0 and cond_m6_m4, lambda: eval_50()),
			(cond_m5_m4 and cond_m6_0, lambda: eval_47()),
			(cond_m4_0 and cond_m5_m3, lambda: eval_50()),
			(cond_m4_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_0, lambda: eval_50()),
			(cond_m4_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m5_0 and cond_m6_m3, lambda: eval_50()),
			(cond_m5_m3 and cond_m6_0, lambda: eval_50()),
			(cond_m3_0 and cond_m4_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m2, lambda: eval_50()),
			(cond_m3_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_0, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_0, lambda: eval_48()),
			(cond_m4_0 and cond_m5_m2, lambda: eval_50()),
			(cond_m4_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_0, lambda: eval_50()),
			(cond_m3_m2 and cond_m6_0, lambda: eval_48()),
			(cond_m4_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m5_0 and cond_m6_m2, lambda: eval_50()),
			(cond_m5_m2 and cond_m6_0, lambda: eval_50()),
			(cond_m2_0 and cond_m3_m1, lambda: eval_48()),
			(cond_m2_0 and cond_m4_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m5_m1, lambda: eval_50()),
			(cond_m2_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_0, lambda: eval_48()),
			(cond_m2_m1 and cond_m4_0, lambda: eval_49()),
			(cond_m3_0 and cond_m4_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m5_m1, lambda: eval_50()),
			(cond_m3_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m3_m1 and cond_m4_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_0, lambda: eval_49()),
			(cond_m4_0 and cond_m5_m1, lambda: eval_50()),
			(cond_m4_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m6_0, lambda: eval_49()),
			(cond_m3_m1 and cond_m6_0, lambda: eval_49()),
			(cond_m4_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m5_0 and cond_m6_m1, lambda: eval_50()),
			(cond_m5_m1 and cond_m6_0, lambda: eval_50()),
			(cond_m1_0, lambda: eval_50()),
			(cond_m2_0, lambda: eval_50()),
			(cond_m3_0, lambda: eval_50()),
			(cond_m4_0, lambda: eval_50()),
			(cond_m5_0, lambda: eval_50()),
			(cond_m6_0, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_34()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_38()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_42()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_38()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_34()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_42()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_38()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_34()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_42()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_38()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_34()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_42()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_47()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_38()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_38()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_47()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_38()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_47()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_42()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_42()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2, lambda: eval_42()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1, lambda: eval_38()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3, lambda: eval_42()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_48()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_42()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_47()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4, lambda: eval_34()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1, lambda: eval_38()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_48()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_47()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_42()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_42()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_47()),
			(cond_m5_m4 and cond_m6_m4, lambda: eval_47()),
			(cond_m4_m3 and cond_m6_m5, lambda: eval_50()),
			(cond_m5_m3 and cond_m6_m4, lambda: eval_50()),
			(cond_m5_m4 and cond_m6_m3, lambda: eval_47()),
			(cond_m4_m3 and cond_m5_m3, lambda: eval_47()),
			(cond_m4_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m5_m3 and cond_m6_m3, lambda: eval_50()),
			(cond_m3_m2 and cond_m6_m5, lambda: eval_48()),
			(cond_m4_m2 and cond_m6_m5, lambda: eval_50()),
			(cond_m5_m2 and cond_m6_m4, lambda: eval_50()),
			(cond_m5_m4 and cond_m6_m2, lambda: eval_47()),
			(cond_m3_m2 and cond_m5_m4, lambda: eval_38()),
			(cond_m3_m2 and cond_m6_m4, lambda: eval_48()),
			(cond_m4_m2 and cond_m5_m3, lambda: eval_50()),
			(cond_m4_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m2, lambda: eval_50()),
			(cond_m4_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m5_m2 and cond_m6_m3, lambda: eval_50()),
			(cond_m5_m3 and cond_m6_m2, lambda: eval_50()),
			(cond_m3_m2 and cond_m4_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m2, lambda: eval_48()),
			(cond_m3_m2 and cond_m6_m2, lambda: eval_48()),
			(cond_m4_m2 and cond_m5_m2, lambda: eval_47()),
			(cond_m4_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m5_m2 and cond_m6_m2, lambda: eval_50()),
			(cond_m2_m1 and cond_m6_m5, lambda: eval_49()),
			(cond_m3_m1 and cond_m6_m5, lambda: eval_49()),
			(cond_m4_m1 and cond_m6_m5, lambda: eval_50()),
			(cond_m5_m1 and cond_m6_m4, lambda: eval_50()),
			(cond_m5_m4 and cond_m6_m1, lambda: eval_47()),
			(cond_m2_m1 and cond_m5_m4, lambda: eval_42()),
			(cond_m2_m1 and cond_m6_m4, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m4, lambda: eval_42()),
			(cond_m3_m1 and cond_m6_m4, lambda: eval_49()),
			(cond_m4_m1 and cond_m5_m3, lambda: eval_50()),
			(cond_m4_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m4_m3 and cond_m5_m1, lambda: eval_50()),
			(cond_m4_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m5_m1 and cond_m6_m3, lambda: eval_50()),
			(cond_m5_m3 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m4_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m3, lambda: eval_49()),
			(cond_m2_m1 and cond_m6_m3, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m2, lambda: eval_49()),
			(cond_m3_m1 and cond_m6_m2, lambda: eval_49()),
			(cond_m3_m2 and cond_m4_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m5_m1, lambda: eval_48()),
			(cond_m3_m2 and cond_m6_m1, lambda: eval_48()),
			(cond_m4_m1 and cond_m5_m2, lambda: eval_50()),
			(cond_m4_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m4_m2 and cond_m5_m1, lambda: eval_50()),
			(cond_m4_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m5_m1 and cond_m6_m2, lambda: eval_50()),
			(cond_m5_m2 and cond_m6_m1, lambda: eval_50()),
			(cond_m2_m1 and cond_m3_m1, lambda: eval_43()),
			(cond_m2_m1 and cond_m4_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m5_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m4_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m5_m1, lambda: eval_49()),
			(cond_m3_m1 and cond_m6_m1, lambda: eval_49()),
			(cond_m4_m1 and cond_m5_m1, lambda: eval_47()),
			(cond_m4_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m5_m1 and cond_m6_m1, lambda: eval_50()),
			(cond_m6_m5, lambda: eval_50()),
			(cond_m5_m4, lambda: eval_47()),
			(cond_m6_m4, lambda: eval_50()),
			(cond_m4_m3, lambda: eval_50()),
			(cond_m5_m3, lambda: eval_50()),
			(cond_m6_m3, lambda: eval_50()),
			(cond_m3_m2, lambda: eval_48()),
			(cond_m4_m2, lambda: eval_50()),
			(cond_m5_m2, lambda: eval_50()),
			(cond_m6_m2, lambda: eval_50()),
			(cond_m2_m1, lambda: eval_49()),
			(cond_m3_m1, lambda: eval_49()),
			(cond_m4_m1, lambda: eval_50()),
			(cond_m5_m1, lambda: eval_50()),
			(cond_m6_m1, lambda: eval_50()),
			(True, lambda: eval_50())
		]

		for condition,action in conditions:
			if condition:
				return action()

	except Exception as e:
		raise Exception(f"There was an error when evaluating the T111334 integral with masses {m1}, {m2}, {m3}, {m4}, {m5}, {m6} from {e}")