# This file is automatically generated. Do not modify it manually!
from functools import lru_cache
import numpy as np

from .config import cond
from .OneLoop import B0fin, B0del
from .T134 import T134fin


@lru_cache(maxsize=150)
def T1113344(m1: float, m2: float, m3: float, m4: float, m5: float, m6: float, m7) -> float:
	""" Computes the UV-finite part of the T1113344 integral.

	Args:
		m1: internal mass
		m2: internal mass
		m3: internal mass
		m4: internal mass
		m5: internal mass
		m6: internal mass
		m7: internal mass

	Returns:
		finite part of the T1113344 integral.
	"""

	try:

		m1, m2, m3 = np.sort([m1, m2, m3])
		m4, m5 = np.sort([m4, m5])
		m6, m7 = np.sort([m6, m7])

		m1sq = m1**2
		m2sq = m2**2
		m3sq = m3**2
		m4sq = m4**2
		m5sq = m5**2
		m6sq = m6**2
		m7sq = m7**2

		def eval_1():
			return 0
		def eval_2():
			return (7*m7 - 2*m7*B0fin(0,0,m7) - 4*T134fin(m7,0,0))/(2.*m7**8)
		def eval_3():
			return (7*m5 - 2*m5*B0fin(0,0,m5) - 4*T134fin(m5,0,0))/(2.*m5**8)
		def eval_4():
			return (3*m3 + 2*m3*B0fin(0,0,m3) - 2*T134fin(m3,0,0))/m3**8
		def eval_5():
			return (-18 + 11*m5 + 36*B0fin(0,0,m5) - 6*m5*B0fin(0,0,m5sq))/(18.*m5**7)
		def eval_6():
			return -0.5*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/m3**6 + (-5*m3 - 6*m3*B0fin(0,0,m3) + 4*T134fin(m3,0,0))/m3**8
		def eval_7():
			return -0.5*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/m3**6 + (-5*m3 - 6*m3*B0fin(0,0,m3) + 4*T134fin(m3,0,0))/m3**8
		def eval_8():
			return (-6*m2 + 4*T134fin(m2,0,0))/m2**8
		def eval_9():
			return (-m5**11 - 5*m5**7*m7**4 + 10*m5**6*m7**5 - 4*m5**7*m7**5 + 10*m5**5*m7**6 - 5*m5**4*m7**7 - 4*m5**5*m7**7 + 4*m5sq*m7**9 - m7**11 + 4*m5**9*m7sq + 2*m5**5*m7**5*(m5sq + m7sq)*B0del(0,0,m5sq) + 2*m5**5*m7**5*(m5sq + m7sq)*B0del(0,0,m7sq) - 4*m5**6*m7**5*B0fin(0,0,m5) + 10*m5**4*m7**7*B0fin(0,0,m5) - 8*m5sq*m7**9*B0fin(0,0,m5) + 2*m7**11*B0fin(0,0,m5) + 2*m5**7*m7**5*B0fin(0,0,m5sq) + 2*m5**5*m7**7*B0fin(0,0,m5sq) + 2*m5**11*B0fin(0,0,m7) + 10*m5**7*m7**4*B0fin(0,0,m7) - 4*m5**5*m7**6*B0fin(0,0,m7) - 8*m5**9*m7sq*B0fin(0,0,m7) + 2*m5**7*m7**5*B0fin(0,0,m7sq) + 2*m5**5*m7**7*B0fin(0,0,m7sq) + 2*m5**7*m7**5*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) + 2*m5**5*m7**7*B0fin(0,0,m5sq)*B0fin(0,0,m7sq) - 4*m5**5*m7**5*T134fin(m7,m5,0))/(2.*m5**5*m7**5*(m5sq - m7sq)**4)
		def eval_10():
			return (-3*m3**8*m7 + 5*m3**6*m7**3 + 3*m3**3*m7**6 - m3*m7**8 + 2*m3**4*m7**6*B0del(0,0,m3sq) + 2*m3**4*m7**6*B0del(0,0,m7sq) + 6*m3**3*m7**6*B0fin(0,0,m3) - 2*m3*m7**8*B0fin(0,0,m3) - 2*m3**4*m7**6*B0fin(0,0,m3sq) - 2*m3**8*m7*B0fin(0,0,m7) + 2*m3**6*m7**3*B0fin(0,0,m7) + 4*m3**4*m7**5*B0fin(0,0,m7) - 2*m3**4*m7**6*B0fin(0,0,m7sq) + 2*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + m3**4*m7**4*T134fin(m3,0,0) - 2*m3sq*m7**6*T134fin(m3,0,0) + m7**8*T134fin(m3,0,0) + 2*m3**8*T134fin(m7,0,0) + m3sq*m7**6*T134fin(m7,0,0) - 3*m3**6*m7sq*T134fin(m7,0,0) - m3**4*m7**4*T134fin(m7,m3,0) - m3sq*m7**6*T134fin(m7,m3,0))/(m3**6*m7**6*(m3sq - m7sq)**2)
		def eval_11():
			return (-3*m3**8*m5 + 5*m3**6*m5**3 + 3*m3**3*m5**6 - m3*m5**8 + 2*m3**4*m5**6*B0del(0,0,m3sq) + 2*m3**4*m5**6*B0del(0,0,m5sq) + 6*m3**3*m5**6*B0fin(0,0,m3) - 2*m3*m5**8*B0fin(0,0,m3) - 2*m3**4*m5**6*B0fin(0,0,m3sq) - 2*m3**8*m5*B0fin(0,0,m5) + 2*m3**6*m5**3*B0fin(0,0,m5) + 4*m3**4*m5**5*B0fin(0,0,m5) - 2*m3**4*m5**6*B0fin(0,0,m5sq) + 2*m3**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + m3**4*m5**4*T134fin(m3,0,0) - 2*m3sq*m5**6*T134fin(m3,0,0) + m5**8*T134fin(m3,0,0) + 2*m3**8*T134fin(m5,0,0) + m3sq*m5**6*T134fin(m5,0,0) - 3*m3**6*m5sq*T134fin(m5,0,0) - m3**4*m5**4*T134fin(m5,m3,0) - m3sq*m5**6*T134fin(m5,m3,0))/(m3**6*m5**6*(m3sq - m5sq)**2)
		def eval_12():
			return (-3*m2**6*m3 + 3*m2*m3**6 + 2*m2*m3**6*B0fin(0,0,m2) - 2*m2**6*m3*B0fin(0,0,m3) - 2*m3**6*T134fin(m2,0,0) + 2*m2**6*T134fin(m3,0,0))/(m2**6*m3**6*(m2sq - m3sq))
		def eval_13():
			return -0.027777777777777776*(18 + 5*m4 + 36*B0fin(0,0,m4) - 6*m4*B0fin(0,0,m4sq))/m4**7
		def eval_14():
			return ((9*(-1 + 2*B0fin(0,0,m4)))/(m4**3*m5**2*(m4sq - m5sq)) + (-9 + 18*B0fin(0,0,m5))/(-(m4sq*m5**5) + m5**7) + (11 - 6*B0fin(0,0,m5sq))/(-(m4sq*m5**4) + m5**6) + (18*m4sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(m4sq - m5sq)**5 + (9*(2*(m4 + m5)*(m4sq + m5sq)**2 - (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - 4*m4sq*m5sq*T134fin(m5,m4,0)))/(m5**2*(m4sq - m5sq)**5))/18.
		def eval_15():
			return ((-9 + 18*B0fin(0,0,m4))/(m4**7 - m4**5*m5sq) + (11 - 6*B0fin(0,0,m4sq))/(m4**6 - m4**4*m5sq) + (9 - 18*B0fin(0,0,m5))/(m4**4*m5**3 - m4sq*m5**5) + (18*m5sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(-m4sq + m5sq)**5 + (9*(-2*(m4 + m5)*(m4sq + m5sq)**2 + (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m4sq*m5sq*T134fin(m5,m4,0)))/(m4**2*(m4sq - m5sq)**5))/18.
		def eval_16():
			return (17 - 60*B0fin(0,0,m4sq))/(450.*m4**6)
		def eval_17():
			return (3*m3sq*(3 - 4*B0del(0,0,m3sq) + 2*B0fin(0,0,m3sq) - 2*B0fin(0,0,m3sq)**2) + 6*(-2*m3 + T134fin(m3,0,0)) + 2*(-3*m3 - 6*m3*B0fin(0,0,m3) + T134fin(m3,m3,m3)))/(6.*m3**8)
		def eval_18():
			return (3*m3sq*(3 - 4*B0del(0,0,m3sq) + 2*B0fin(0,0,m3sq) - 2*B0fin(0,0,m3sq)**2) + 6*(-2*m3 + T134fin(m3,0,0)) + 2*(-3*m3 - 6*m3*B0fin(0,0,m3) + T134fin(m3,m3,m3)))/(6.*m3**8)
		def eval_19():
			return (18 + 7*m1 + 36*B0fin(0,0,m1) - 12*m1*B0fin(0,0,m1sq))/(36.*m1**7)
		def eval_20():
			return (18 + 7*m1 + 36*B0fin(0,0,m1) - 12*m1*B0fin(0,0,m1sq))/(36.*m1**7)
		def eval_21():
			return ((m4sq - m5sq)**5*(5 - 6*B0fin(0,0,m5sq)) + 36*m4sq*m5**4*(4*m5sq*(m4sq + m5sq) - 4*(m5**4 + 3*m4sq*m5sq) + (m4**4 + 2*m5**4 + 3*m4sq*m5sq)*B0del(0,0,m4sq) + (m4**4 + 2*m5**4 + 3*m4sq*m5sq)*B0del(0,0,m5sq) - (m4**4 - 2*m5**4 - 9*m4sq*m5sq)*B0fin(0,0,m4sq) + (-m4**4 + 2*m5**4 + 9*m4sq*m5sq + (m4**4 + 2*m5**4 + 3*m4sq*m5sq)*B0fin(0,0,m4sq))*B0fin(0,0,m5sq)) - 18*m5**4*(-8*(m4 + m5)*(m4**4 + 2*m4sq*m5sq) + (m4sq + m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*(m4**4 + 2*m4sq*m5sq)*T134fin(m5,m4,0)))/(36.*m5**4*(m4sq - m5sq)**6)
		def eval_22():
			return (-4*m4**5 + m4**6 - 4*m4**4*m6 - 22*m4sq*m6**3 - 4*m4*m6**4 + 5*m4sq*m6**4 - 4*m6**5 + m6**6 - 22*m4**3*m6sq + 5*m4**4*m6sq - 2*(m4**6 + 5*m4sq*m6**4 + m6**6 + 5*m4**4*m6sq)*B0del(0,0,m4sq) - 2*(m4**6 + 5*m4sq*m6**4 + m6**6 + 5*m4**4*m6sq)*B0del(0,0,m6sq) + 6*m4**5*B0fin(0,0,m4) + 6*m4*m6**4*B0fin(0,0,m4) + 16*m4**3*m6sq*B0fin(0,0,m4) + m4**6*B0fin(0,0,m4sq) - 27*m4sq*m6**4*B0fin(0,0,m4sq) + m6**6*B0fin(0,0,m4sq) - 27*m4**4*m6sq*B0fin(0,0,m4sq) + 6*m4**4*m6*B0fin(0,0,m6) + 16*m4sq*m6**3*B0fin(0,0,m6) + 6*m6**5*B0fin(0,0,m6) + m4**6*B0fin(0,0,m6sq) - 27*m4sq*m6**4*B0fin(0,0,m6sq) + m6**6*B0fin(0,0,m6sq) - 27*m4**4*m6sq*B0fin(0,0,m6sq) - 2*m4**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 10*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 10*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m4**4*T134fin(m6,m4,0) + 4*m6**4*T134fin(m6,m4,0) + 16*m4sq*m6sq*T134fin(m6,m4,0))/(m4sq - m6sq)**6
		def eval_23():
			return (-36*(m4 + m5)*(m4sq + m5sq)**2 + ((m4sq - m5sq)**4*(11 - 6*B0fin(0,0,m4sq)))/m4**2 + 18*(m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + ((m4sq - m5sq)**4*(11 - 6*B0fin(0,0,m5sq)))/m5**2 - 36*m4sq*m5sq*(m4sq + m5sq)*(-2 + B0del(0,0,m4sq) + B0del(0,0,m5sq) + B0fin(0,0,m4sq) + B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + 72*m4sq*m5sq*T134fin(m5,m4,0))/(18.*(m4sq - m5sq)**6)
		def eval_24():
			return (((m4sq - m7sq)**5*(-5 + 6*B0fin(0,0,m4sq)))/m4**4 + 36*m7sq*(4*m4sq*(m4sq + m7sq) - 4*(m4**4 + 3*m4sq*m7sq) + (2*m4**4 + m7**4 + 3*m4sq*m7sq)*B0del(0,0,m4sq) + (2*m4**4 + m7**4 + 3*m4sq*m7sq)*B0del(0,0,m7sq) + (2*m4**4 - m7**4 + 9*m4sq*m7sq)*B0fin(0,0,m4sq) + (2*m4**4 - m7**4 + 9*m4sq*m7sq + (2*m4**4 + m7**4 + 3*m4sq*m7sq)*B0fin(0,0,m4sq))*B0fin(0,0,m7sq)) + 18*(8*(m4 + m7)*(m7**4 + 2*m4sq*m7sq) - (m4sq + m7sq)**2*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 4*(m7**4 + 2*m4sq*m7sq)*T134fin(m7,m4,0)))/(36.*(m4sq - m7sq)**6)
		def eval_25():
			return (((m4sq - m5sq)**5*(-5 + 6*B0fin(0,0,m4sq)))/m4**4 + 36*m5sq*(4*m4sq*(m4sq + m5sq) - 4*(m4**4 + 3*m4sq*m5sq) + (2*m4**4 + m5**4 + 3*m4sq*m5sq)*B0del(0,0,m4sq) + (2*m4**4 + m5**4 + 3*m4sq*m5sq)*B0del(0,0,m5sq) + (2*m4**4 - m5**4 + 9*m4sq*m5sq)*B0fin(0,0,m4sq) + (2*m4**4 - m5**4 + 9*m4sq*m5sq + (2*m4**4 + m5**4 + 3*m4sq*m5sq)*B0fin(0,0,m4sq))*B0fin(0,0,m5sq)) + 18*(8*(m4 + m5)*(m5**4 + 2*m4sq*m5sq) - (m4sq + m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - 4*(m5**4 + 2*m4sq*m5sq)*T134fin(m5,m4,0)))/(36.*(m4sq - m5sq)**6)
		def eval_26():
			return ((6*m3sq*(B0del(0,0,m3sq) + B0del(0,0,m4sq) - B0fin(0,0,m3sq) - B0fin(0,0,m4sq) + B0fin(0,0,m3sq)*B0fin(0,0,m4sq)))/(m3**4 + 4*m4**4 - 5*m3sq*m4sq) + (-3*m3sq*(m3sq - 4*m4sq) + 2*(m3sq - 2*m4sq)*m4sq*B0del(0,0,m4sq) + 2*(m3**4 + 2*m4**4 - 5*m3sq*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*m4sq*B0fin(0,0,m4sq)**2)/(-(m3sq*m4**4) + 4*m4**6) - (2*(m3sq + m4sq - 2*(m3sq - m4sq)*B0fin(0,0,m4) - m4*T134fin(m4,0,0)))/m4**5 + (2*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m3,0)))/(m4**4 - m3sq*m4sq) + (2*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4) - T134fin(m4,m4,m3)))/(m4**2*(m3sq - 4*m4sq)))/(2.*m3**4)
		def eval_27():
			return (4*m1**4*m2**5*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + m2*(m1**3 - m1*m2sq)**2*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2) - 2*m2**3*(m1sq - m2sq)**2*(m1 + 2*m1*B0fin(0,0,m1) - T134fin(m1,0,0)) - 2*(m1**3 - m1*m2sq)**2*(m1sq - 2*m2sq - 2*m1sq*B0fin(0,0,m2) + m2*T134fin(m2,0,0)) + 2*m1sq*m2**3*(m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(2.*m1**2*m2**5*(m1sq - m2sq)**4)
		def eval_28():
			return (4*m1**4*m2**5*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + m2*(m1**3 - m1*m2sq)**2*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2) - 2*m2**3*(m1sq - m2sq)**2*(m1 + 2*m1*B0fin(0,0,m1) - T134fin(m1,0,0)) - 2*(m1**3 - m1*m2sq)**2*(m1sq - 2*m2sq - 2*m1sq*B0fin(0,0,m2) + m2*T134fin(m2,0,0)) + 2*m1sq*m2**3*(m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(2.*m1**2*m2**5*(m1sq - m2sq)**4)
		def eval_29():
			return -((-4*m1sq + (3*m1sq + m3sq)*B0del(0,0,m1sq) + (3*m1sq + m3sq)*B0del(0,0,m3sq) + m1sq*B0fin(0,0,m1sq) - m3sq*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m3sq) - m3sq*B0fin(0,0,m3sq) + 3*m1sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/(m1sq - m3sq)**4) - (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*(-(m1sq*m3) + m3**3)**2) - (-2*m1sq + m3sq - 2*m3sq*B0fin(0,0,m1) + m1*T134fin(m1,0,0))/(m1**3*m3**2*(m1sq - m3sq)**2) + (-m3 - 2*m3*B0fin(0,0,m3) + T134fin(m3,0,0))/(m3**4*(m1sq - m3sq)**2) - (2*m1**3 + 2*m1sq*m3 + 4*m3**3 + 4*m1*m3sq + 4*m1*m3sq*B0fin(0,0,m1) + 4*m3**3*B0fin(0,0,m3) - m1sq*T134fin(m3,m1,0) - 3*m3sq*T134fin(m3,m1,0))/(m3**2*(m1sq - m3sq)**4)
		def eval_30():
			return -((-4*m1sq + (3*m1sq + m3sq)*B0del(0,0,m1sq) + (3*m1sq + m3sq)*B0del(0,0,m3sq) + m1sq*B0fin(0,0,m1sq) - m3sq*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m3sq) - m3sq*B0fin(0,0,m3sq) + 3*m1sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/(m1sq - m3sq)**4) - (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*(-(m1sq*m3) + m3**3)**2) - (-2*m1sq + m3sq - 2*m3sq*B0fin(0,0,m1) + m1*T134fin(m1,0,0))/(m1**3*m3**2*(m1sq - m3sq)**2) + (-m3 - 2*m3*B0fin(0,0,m3) + T134fin(m3,0,0))/(m3**4*(m1sq - m3sq)**2) - (2*m1**3 + 2*m1sq*m3 + 4*m3**3 + 4*m1*m3sq + 4*m1*m3sq*B0fin(0,0,m1) + 4*m3**3*B0fin(0,0,m3) - m1sq*T134fin(m3,m1,0) - 3*m3sq*T134fin(m3,m1,0))/(m3**2*(m1sq - m3sq)**4)
		def eval_31():
			return -0.5*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2)/(m1**3 - m1*m2sq)**2 + (8*m2sq - 2*(m1sq + 3*m2sq)*B0del(0,0,m1sq) - 2*(m1sq + 3*m2sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*B0fin(0,0,m1sq) - 2*(-m1sq + m2sq + (m1sq + 3*m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq))/(2.*(m1sq - m2sq)**4) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**4*(m1sq - m2sq)**2) - (m1sq - 2*m2sq - 2*m1sq*B0fin(0,0,m2) + m2*T134fin(m2,0,0))/(m2**3*(m1**3 - m1*m2sq)**2) - (4*m1**3 + 4*m1sq*m2 + 2*m2**3 + 2*m1*m2sq + 4*m1**3*B0fin(0,0,m1) + 4*m1sq*m2*B0fin(0,0,m2) - 3*m1sq*T134fin(m2,m1,0) - m2sq*T134fin(m2,m1,0))/(m1**2*(m1sq - m2sq)**4)
		def eval_32():
			return -0.5*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2)/(m1**3 - m1*m2sq)**2 + (8*m2sq - 2*(m1sq + 3*m2sq)*B0del(0,0,m1sq) - 2*(m1sq + 3*m2sq)*B0del(0,0,m2sq) + 2*(m1sq - m2sq)*B0fin(0,0,m1sq) - 2*(-m1sq + m2sq + (m1sq + 3*m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq))/(2.*(m1sq - m2sq)**4) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**4*(m1sq - m2sq)**2) - (m1sq - 2*m2sq - 2*m1sq*B0fin(0,0,m2) + m2*T134fin(m2,0,0))/(m2**3*(m1**3 - m1*m2sq)**2) - (4*m1**3 + 4*m1sq*m2 + 2*m2**3 + 2*m1*m2sq + 4*m1**3*B0fin(0,0,m1) + 4*m1sq*m2*B0fin(0,0,m2) - 3*m1sq*T134fin(m2,m1,0) - m2sq*T134fin(m2,m1,0))/(m1**2*(m1sq - m2sq)**4)
		def eval_33():
			return (((m1sq - m3sq)**2*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/m1**4 + 4*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) + (2*(m1sq - m3sq)**2*(2*m1sq - m3sq + 2*m3sq*B0fin(0,0,m1) - m1*T134fin(m1,0,0)))/m1**5 - (2*(m1sq - m3sq)**2*(m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0)))/(m1**2*m3**2) + (2*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/m1**2)/(2.*(m1sq - m3sq)**4)
		def eval_34():
			return (((m1sq - m3sq)**2*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/m1**4 + 4*m3sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) - B0fin(0,0,m3sq) + B0fin(0,0,m1sq)*B0fin(0,0,m3sq)) + (2*(m1sq - m3sq)**2*(2*m1sq - m3sq + 2*m3sq*B0fin(0,0,m1) - m1*T134fin(m1,0,0)))/m1**5 - (2*(m1sq - m3sq)**2*(m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0)))/(m1**2*m3**2) + (2*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/m1**2)/(2.*(m1sq - m3sq)**4)
		def eval_35():
			return (4*m4**4*(m4 + m6)*(m5sq - m6sq)**5 + 8*m5**4*(m4sq - m6sq)**5*m6sq + 8*m4sq*(m4 + m6)*(m5sq - m6sq)**5*m6sq + 4*m5**4*(m5 + m6)*(-m4sq + m6sq)**5 + 8*m5sq*(m5 + m6)*m6sq*(-m4sq + m6sq)**5 + 8*m4**4*m6sq*(-m5sq + m6sq)**5 + m4**6*(m5sq - m6sq)**5*B0del(0,0,m4sq) + 2*m4sq*m6**4*(m5sq - m6sq)**5*B0del(0,0,m4sq) + 3*m4**4*(m5sq - m6sq)**5*m6sq*B0del(0,0,m4sq) - m5**6*(m4sq - m6sq)**5*B0del(0,0,m5sq) + 2*m5sq*m6**4*(-m4sq + m6sq)**5*B0del(0,0,m5sq) + 3*m5**4*m6sq*(-m4sq + m6sq)**5*B0del(0,0,m5sq) - m5**6*(m4sq - m6sq)**5*B0del(0,0,m6sq) + m4**6*(m5sq - m6sq)**5*B0del(0,0,m6sq) + 2*m4sq*m6**4*(m5sq - m6sq)**5*B0del(0,0,m6sq) + 3*m4**4*(m5sq - m6sq)**5*m6sq*B0del(0,0,m6sq) + 2*m5sq*m6**4*(-m4sq + m6sq)**5*B0del(0,0,m6sq) + 3*m5**4*m6sq*(-m4sq + m6sq)**5*B0del(0,0,m6sq) - m4**6*(m5sq - m6sq)**5*B0fin(0,0,m4sq) + 2*m4sq*m6**4*(m5sq - m6sq)**5*B0fin(0,0,m4sq) + 9*m4**4*(m5sq - m6sq)**5*m6sq*B0fin(0,0,m4sq) + m5**6*(m4sq - m6sq)**5*B0fin(0,0,m5sq) + 2*m5sq*m6**4*(-m4sq + m6sq)**5*B0fin(0,0,m5sq) + 9*m5**4*m6sq*(-m4sq + m6sq)**5*B0fin(0,0,m5sq) + m6**4*(m4sq - m6sq)**5*((m5 + m6)/2. + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - (m4**4*(m5sq - m6sq)**5*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/2. + (m6**4*(-m5sq + m6sq)**5*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/2. + m4sq*m6sq*(-m5sq + m6sq)**5*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + (m5**4*(m4sq - m6sq)**5*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/2. - m5sq*m6sq*(-m4sq + m6sq)**5*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + m5**6*(m4sq - m6sq)**5*B0fin(0,0,m6sq) - m4**6*(m5sq - m6sq)**5*B0fin(0,0,m6sq) + 2*m4sq*m6**4*(m5sq - m6sq)**5*B0fin(0,0,m6sq) + 9*m4**4*(m5sq - m6sq)**5*m6sq*B0fin(0,0,m6sq) + 2*m5sq*m6**4*(-m4sq + m6sq)**5*B0fin(0,0,m6sq) + 9*m5**4*m6sq*(-m4sq + m6sq)**5*B0fin(0,0,m6sq) + m4**6*(m5sq - m6sq)**5*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m4sq*m6**4*(m5sq - m6sq)**5*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 3*m4**4*(m5sq - m6sq)**5*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m5**6*(m4sq - m6sq)**5*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 2*m5sq*m6**4*(-m4sq + m6sq)**5*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 3*m5**4*m6sq*(-m4sq + m6sq)**5*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 2*m4**4*(m5sq - m6sq)**5*T134fin(m6,m4,0) + 4*m4sq*m6sq*(-m5sq + m6sq)**5*T134fin(m6,m4,0) + 2*m5**4*(m4sq - m6sq)**5*T134fin(m6,m5,0) + 4*m5sq*(m4sq - m6sq)**5*m6sq*T134fin(m6,m5,0))/((m4sq - m5sq)*(m4sq - m6sq)**5*(m5sq - m6sq)**5)
		def eval_36():
			return (18*m4sq*m5sq*(m5sq - m7sq)**4*(m5sq*(m4sq + m5sq)*(m4sq - m7sq)**4 - (m4sq - m5sq)**4*m7sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 18*m4sq*m5**4*(m4sq + m5sq)*(m4sq - m7sq)**4*(m5sq - m7sq)**4*(-2 + B0del(0,0,m5sq) + B0fin(0,0,m5sq)) + (m4sq - m5sq)**4*(m4sq - m7sq)**4*(m5sq - m7sq)**4*(-11 + 6*B0fin(0,0,m5sq)) - 18*m4sq*(m4sq - m5sq)**4*m5sq*(m5sq - m7sq)**4*m7sq*(m4sq + m7sq)*(-2 + B0del(0,0,m7sq) + B0fin(0,0,m7sq)) + 18*m5**4*(m4sq - m5sq)**4*(m4sq - m7sq)**4*m7sq*(m5sq + m7sq)*(-2 + B0del(0,0,m5sq) + B0del(0,0,m7sq) + B0fin(0,0,m5sq) + B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)) + 18*m4sq*m5sq*(m5sq - m7sq)**4*B0fin(0,0,m4sq)*(m5sq*(m4sq + m5sq)*(m4sq - m7sq)**4*(1 + B0fin(0,0,m5sq)) - (m4sq - m5sq)**4*m7sq*(m4sq + m7sq)*(1 + B0fin(0,0,m7sq))) + 9*m5sq*(m4sq - m7sq)**4*(m5sq - m7sq)**4*(2*(m4 + m5)*(m4sq + m5sq)**2 - (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - 4*m4sq*m5sq*T134fin(m5,m4,0)) - 9*(m4sq - m5sq)**4*m5sq*(m5sq - m7sq)**4*(2*(m4 + m7)*(m4sq + m7sq)**2 - (m4sq - m7sq)**2*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 4*m4sq*m7sq*T134fin(m7,m4,0)) + 9*(m4sq - m5sq)**4*m5sq*(m4sq - m7sq)**4*(2*(m5 + m7)*(m5sq + m7sq)**2 - (m5sq - m7sq)**2*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - 4*m5sq*m7sq*T134fin(m7,m5,0)))/(18.*m5**2*(m4sq - m5sq)**5*(m4sq - m7sq)**4*(m5sq - m7sq)**5)
		def eval_37():
			return (-8*m4sq*(m4sq - m6sq)**5*m7**4 + 4*(m4sq - m6sq)**5*m7**4*(m4 + m7) + 8*m4sq*m6**4*(m4sq - m7sq)**5 - 4*m6**4*(m4 + m6)*(m4sq - m7sq)**5 - 8*m4sq*(m4 + m6)*m6sq*(m4sq - m7sq)**5 + 8*m4sq*(m4sq - m6sq)**5*(m4 + m7)*m7sq + 3*m4sq*(m4sq - m6sq)**5*m7**4*B0del(0,0,m4sq) + (m4sq - m6sq)**5*m7**6*B0del(0,0,m4sq) - 3*m4sq*m6**4*(m4sq - m7sq)**5*B0del(0,0,m4sq) - m6**6*(m4sq - m7sq)**5*B0del(0,0,m4sq) - 2*m4**4*m6sq*(m4sq - m7sq)**5*B0del(0,0,m4sq) + 2*m4**4*(m4sq - m6sq)**5*m7sq*B0del(0,0,m4sq) - 3*m4sq*m6**4*(m4sq - m7sq)**5*B0del(0,0,m6sq) - m6**6*(m4sq - m7sq)**5*B0del(0,0,m6sq) - 2*m4**4*m6sq*(m4sq - m7sq)**5*B0del(0,0,m6sq) + 3*m4sq*(m4sq - m6sq)**5*m7**4*B0del(0,0,m7sq) + (m4sq - m6sq)**5*m7**6*B0del(0,0,m7sq) + 2*m4**4*(m4sq - m6sq)**5*m7sq*B0del(0,0,m7sq) + 9*m4sq*(m4sq - m6sq)**5*m7**4*B0fin(0,0,m4sq) - (m4sq - m6sq)**5*m7**6*B0fin(0,0,m4sq) - 9*m4sq*m6**4*(m4sq - m7sq)**5*B0fin(0,0,m4sq) + m6**6*(m4sq - m7sq)**5*B0fin(0,0,m4sq) - 2*m4**4*m6sq*(m4sq - m7sq)**5*B0fin(0,0,m4sq) + 2*m4**4*(m4sq - m6sq)**5*m7sq*B0fin(0,0,m4sq) + (m4**4*(m4sq - m7sq)**5*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/2. + (m6**4*(m4sq - m7sq)**5*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/2. + m4sq*m6sq*(m4sq - m7sq)**5*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 9*m4sq*m6**4*(m4sq - m7sq)**5*B0fin(0,0,m6sq) + m6**6*(m4sq - m7sq)**5*B0fin(0,0,m6sq) - 2*m4**4*m6sq*(m4sq - m7sq)**5*B0fin(0,0,m6sq) - 3*m4sq*m6**4*(m4sq - m7sq)**5*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m6**6*(m4sq - m7sq)**5*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m4**4*m6sq*(m4sq - m7sq)**5*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - (m4**4*(m4sq - m6sq)**5*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/2. - ((m4sq - m6sq)**5*m7**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/2. - m4sq*(m4sq - m6sq)**5*m7sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 9*m4sq*(m4sq - m6sq)**5*m7**4*B0fin(0,0,m7sq) - (m4sq - m6sq)**5*m7**6*B0fin(0,0,m7sq) + 2*m4**4*(m4sq - m6sq)**5*m7sq*B0fin(0,0,m7sq) + 3*m4sq*(m4sq - m6sq)**5*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m4sq - m6sq)**5*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m4**4*(m4sq - m6sq)**5*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m6**4*(m4sq - m7sq)**5*T134fin(m6,m4,0) + 4*m4sq*m6sq*(m4sq - m7sq)**5*T134fin(m6,m4,0) - 2*(m4sq - m6sq)**5*m7**4*T134fin(m7,m4,0) - 4*m4sq*(m4sq - m6sq)**5*m7sq*T134fin(m7,m4,0))/((m4sq - m6sq)**5*(m4sq - m7sq)**5*(m6sq - m7sq))
		def eval_38():
			return (18*m4sq*(-(m5sq*(m4sq + m5sq)*(m4sq - m7sq)**4) - (m4sq - m5sq)**4*m7sq*(m4sq + m7sq))*B0del(0,0,m4sq) + ((m4sq - m5sq)**4*(m4sq - m7sq)**4*(11 - 6*B0fin(0,0,m4sq)))/m4**2 - 18*m4sq*m5sq*(m4sq + m5sq)*(m4sq - m7sq)**4*(-2 + B0del(0,0,m5sq) + B0fin(0,0,m5sq)) - 18*m4sq*(m4sq - m5sq)**4*m7sq*(m4sq + m7sq)*(-2 + B0del(0,0,m7sq) + B0fin(0,0,m7sq)) + (18*(m4sq - m5sq)**4*m5sq*(m4sq - m7sq)**4*m7sq*(m5sq + m7sq)*(-2 + B0del(0,0,m5sq) + B0del(0,0,m7sq) + B0fin(0,0,m5sq) + B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)))/(m5sq - m7sq)**4 + 18*m4sq*B0fin(0,0,m4sq)*(-(m5sq*(m4sq + m5sq)*(m4sq - m7sq)**4*(1 + B0fin(0,0,m5sq))) - (m4sq - m5sq)**4*m7sq*(m4sq + m7sq)*(1 + B0fin(0,0,m7sq))) + 9*(m4sq - m7sq)**4*(-2*(m4 + m5)*(m4sq + m5sq)**2 + (m4sq - m5sq)**2*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 4*m4sq*m5sq*T134fin(m5,m4,0)) + 9*(m4sq - m5sq)**4*(-2*(m4 + m7)*(m4sq + m7sq)**2 + (m4sq - m7sq)**2*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 4*m4sq*m7sq*T134fin(m7,m4,0)) - (9*(m4sq - m5sq)**4*(m4sq - m7sq)**4*(-2*(m5 + m7)*(m5sq + m7sq)**2 + (m5sq - m7sq)**2*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + 4*m5sq*m7sq*T134fin(m7,m5,0)))/(m5sq - m7sq)**4)/(18.*(m4sq - m5sq)**5*(m4sq - m7sq)**5)
		def eval_39():
			return ((-4*m3sq*m4sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(m4sq - m5sq)**3 + (6*m3sq - 4*m5sq + 2*(m3sq - 2*m5sq)*B0del(0,0,m5sq) - 2*(3*m3sq + 2*m5sq)*B0fin(0,0,m5sq) + (m3sq - 2*m5sq)*B0fin(0,0,m5sq)**2)/(m5**4 - m4sq*m5sq) + (2*(m3sq*m4 + 2*m3sq*m4*B0fin(0,0,m4) + (-m3sq + m4sq)*T134fin(m4,0,0)))/(m4**2*m5**2*(m4sq - m5sq)) + (2*T134fin(m4,m3,0))/(m5**4 - m4sq*m5sq) + (2*(m3sq*m5 + 2*m3sq*m5*B0fin(0,0,m5) + (-m3sq + m5sq)*T134fin(m5,0,0)))/(-(m4sq*m5**4) + m5**6) + (2*T134fin(m5,m3,0))/(m5**2*(m4sq - m5sq)) + (2*(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + ((m4sq - m5sq)**2 - m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)))/(m5**2*(-m4sq + m5sq)**3) + (2*T134fin(m5,m4,m3))/(m5**2*(m4sq - m5sq)) + (2*T134fin(m5,m5,m3))/(m5**4 - m4sq*m5sq))/(2.*m3**4)
		def eval_40():
			return (-(((m4sq - m5sq)**2*(-6*m3sq + 4*m4sq - 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) + (6*m3sq + 4*m4sq)*B0fin(0,0,m4sq) - (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2))/m4**2) + 4*m3sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + (2*(m4sq - m5sq)**2*(m3sq*m4 + 2*m3sq*m4*B0fin(0,0,m4) + (-m3sq + m4sq)*T134fin(m4,0,0)))/m4**4 - (2*(m4sq - m5sq)**2*T134fin(m4,m3,0))/m4**2 + (2*(m4sq - m5sq)**2*T134fin(m4,m4,m3))/m4**2 - (2*(m4sq - m5sq)**2*(m3sq*m5 + 2*m3sq*m5*B0fin(0,0,m5) + (-m3sq + m5sq)*T134fin(m5,0,0)))/(m4**2*m5**2) + (2*(m4sq - m5sq)**2*T134fin(m5,m3,0))/m4**2 + (2*(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + ((m4sq - m5sq)**2 - m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)))/m4**2 - (2*(m4sq - m5sq)**2*T134fin(m5,m4,m3))/m4**2)/(2.*m3**4*(m4sq - m5sq)**3)
		def eval_41():
			return (2*m1sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**3) + (2*m2sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3) - (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**2*(m1sq - m2sq)*m3**2*(m1sq - m3sq)) + (-m2 - 2*m2*B0fin(0,0,m2) + T134fin(m2,0,0))/(m2**2*(-m1sq + m2sq)*m3**2*(m2sq - m3sq)) + (-m3 - 2*m3*B0fin(0,0,m3) + T134fin(m3,0,0))/(m3**4*(-m1sq + m3sq)*(-m2sq + m3sq)) + ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)*m3**2*(m1sq - m3sq)**3) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)*m3**2*(m2sq - m3sq)**3)
		def eval_42():
			return (2*m1sq*(B0del(0,0,m1sq) + B0del(0,0,m3sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**3) + (2*m2sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3) - (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**2*(m1sq - m2sq)*m3**2*(m1sq - m3sq)) + (-m2 - 2*m2*B0fin(0,0,m2) + T134fin(m2,0,0))/(m2**2*(-m1sq + m2sq)*m3**2*(m2sq - m3sq)) + (-m3 - 2*m3*B0fin(0,0,m3) + T134fin(m3,0,0))/(m3**4*(-m1sq + m3sq)*(-m2sq + m3sq)) + ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)*m3**2*(m1sq - m3sq)**3) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)*m3**2*(m2sq - m3sq)**3)
		def eval_43():
			return (2*m1sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m3sq)) - (6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2)/(2.*m2**2*(-m1sq + m2sq)*(m2sq - m3sq)) + (2*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((-m1sq + m3sq)*(-m2sq + m3sq)**3) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**2*m2**2*(m1sq - m2sq)*(m1sq - m3sq)) + (-m2 - 2*m2*B0fin(0,0,m2) + T134fin(m2,0,0))/(m2**4*(-m1sq + m2sq)*(m2sq - m3sq)) - ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(m2**2*(-m1sq + m2sq)**3*(m1sq - m3sq)) + (m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0))/(m2**2*m3**2*(m2sq - m3sq)*(-m1sq + m3sq)) + ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(m2**2*(m1sq - m3sq)*(m2sq - m3sq)**3)
		def eval_44():
			return (2*m1sq*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) + (-1 + B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m3sq)) - (6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2)/(2.*m2**2*(-m1sq + m2sq)*(m2sq - m3sq)) + (2*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((-m1sq + m3sq)*(-m2sq + m3sq)**3) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**2*m2**2*(m1sq - m2sq)*(m1sq - m3sq)) + (-m2 - 2*m2*B0fin(0,0,m2) + T134fin(m2,0,0))/(m2**4*(-m1sq + m2sq)*(m2sq - m3sq)) - ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(m2**2*(-m1sq + m2sq)**3*(m1sq - m3sq)) + (m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0))/(m2**2*m3**2*(m2sq - m3sq)*(-m1sq + m3sq)) + ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(m2**2*(m1sq - m3sq)*(m2sq - m3sq)**3)
		def eval_45():
			return (2*(m1**6 - 3*m1sq*m2sq*m3sq + m2sq*m3sq*(m2sq + m3sq))*B0del(0,0,m1sq))/((-m1sq + m2sq)**3*(m1sq - m3sq)**3) - (6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2)/(2.*m1**2*(m1sq - m2sq)*(m1sq - m3sq)) + (2*m2sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((-m1sq + m2sq)**3*(m2sq - m3sq)) + B0fin(0,0,m1sq)*((2*m2sq*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)**3*(m2sq - m3sq)) + (2*m3sq*(-1 + B0fin(0,0,m3sq)))/((-m1sq + m3sq)**3*(-m2sq + m3sq))) + (2*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((-m1sq + m3sq)**3*(-m2sq + m3sq)) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**4*(m1sq - m2sq)*(m1sq - m3sq)) + (m2 + 2*m2*B0fin(0,0,m2) - T134fin(m2,0,0))/(m1**2*m2**2*(m1sq - m2sq)*(m2sq - m3sq)) - ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(m1**2*(m1sq - m2sq)**3*(m2sq - m3sq)) + (m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0))/(m1**2*m3**2*(m1sq - m3sq)*(-m2sq + m3sq)) - ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/(m1**2*(m1sq - m3sq)**3*(-m2sq + m3sq))
		def eval_46():
			return (2*(m1**6 - 3*m1sq*m2sq*m3sq + m2sq*m3sq*(m2sq + m3sq))*B0del(0,0,m1sq))/((-m1sq + m2sq)**3*(m1sq - m3sq)**3) - (6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2)/(2.*m1**2*(m1sq - m2sq)*(m1sq - m3sq)) + (2*m2sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((-m1sq + m2sq)**3*(m2sq - m3sq)) + B0fin(0,0,m1sq)*((2*m2sq*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)**3*(m2sq - m3sq)) + (2*m3sq*(-1 + B0fin(0,0,m3sq)))/((-m1sq + m3sq)**3*(-m2sq + m3sq))) + (2*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((-m1sq + m3sq)**3*(-m2sq + m3sq)) + (-m1 - 2*m1*B0fin(0,0,m1) + T134fin(m1,0,0))/(m1**4*(m1sq - m2sq)*(m1sq - m3sq)) + (m2 + 2*m2*B0fin(0,0,m2) - T134fin(m2,0,0))/(m1**2*m2**2*(m1sq - m2sq)*(m2sq - m3sq)) - ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/(m1**2*(m1sq - m2sq)**3*(m2sq - m3sq)) + (m3 + 2*m3*B0fin(0,0,m3) - T134fin(m3,0,0))/(m1**2*m3**2*(m1sq - m3sq)*(-m2sq + m3sq)) - ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/(m1**2*(m1sq - m3sq)**3*(-m2sq + m3sq))
		def eval_47():
			return (m4**4/((m4 - m6)**4*(m4 + m6)**3*(m6sq - m7sq)) + m6**4/((m4 - m6)**4*(m4 + m6)**3*(m6sq - m7sq)) - m5**4/((m5 - m6)**4*(m5 + m6)**3*(m6sq - m7sq)) - m6**4/((m5 - m6)**4*(m5 + m6)**3*(m6sq - m7sq)) + (2*m4sq*m6sq)/((m4 - m6)**4*(m4 + m6)**3*(m6sq - m7sq)) - (2*m5sq*m6sq)/((m5 - m6)**4*(m5 + m6)**3*(m6sq - m7sq)) - (2*m4sq*m6sq*(m4sq + m6sq))/((m4sq - m6sq)**4*(m6sq - m7sq)) + (2*m5sq*m6sq*(m5sq + m6sq))/((m5sq - m6sq)**4*(m6sq - m7sq)) + (m5**4*(m5 + m7))/((m5sq - m7sq)**4*(m6sq - m7sq)) + (m7**4*(m5 + m7))/((m5sq - m7sq)**4*(m6sq - m7sq)) + (2*m4sq*m7sq*(m4sq + m7sq))/((m4sq - m7sq)**4*(m6sq - m7sq)) + m4**4/((m4 - m7)**4*(m4 + m7)**3*(-m6sq + m7sq)) + m7**4/((m4 - m7)**4*(m4 + m7)**3*(-m6sq + m7sq)) + (2*m4sq*m7sq)/((m4 - m7)**4*(m4 + m7)**3*(-m6sq + m7sq)) - (2*m5sq*m7sq)/((m5 - m7)**4*(m5 + m7)**3*(-m6sq + m7sq)) + (2*m5sq*m7sq*(m5sq + m7sq))/((m5sq - m7sq)**4*(-m6sq + m7sq)) + (m4sq*m6sq*(m4sq + m6sq)*B0del(0,0,m4sq))/((m4sq - m6sq)**4*(m6sq - m7sq)) + (m4sq*m7sq*(m4sq + m7sq)*B0del(0,0,m4sq))/((m4sq - m7sq)**4*(-m6sq + m7sq)) - (m5sq*m6sq*(m5sq + m6sq)*B0del(0,0,m5sq))/((m5sq - m6sq)**4*(m6sq - m7sq)) - (m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m5sq))/((m5sq - m7sq)**4*(-m6sq + m7sq)) + (m4sq*m6sq*(m4sq + m6sq)*B0del(0,0,m6sq))/((m4sq - m6sq)**4*(m6sq - m7sq)) - (m5sq*m6sq*(m5sq + m6sq)*B0del(0,0,m6sq))/((m5sq - m6sq)**4*(m6sq - m7sq)) + (m4sq*m7sq*(m4sq + m7sq)*B0del(0,0,m7sq))/((m4sq - m7sq)**4*(-m6sq + m7sq)) - (m5sq*m7sq*(m5sq + m7sq)*B0del(0,0,m7sq))/((m5sq - m7sq)**4*(-m6sq + m7sq)) + (m4sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m4sq - m6sq)**4*(m6sq - m7sq)) + (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq))/((m4sq - m7sq)**4*(-m6sq + m7sq)) - (m5sq*m6sq*(m5sq + m6sq)*B0fin(0,0,m5sq))/((m5sq - m6sq)**4*(m6sq - m7sq)) - (m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq))/((m5sq - m7sq)**4*(-m6sq + m7sq)) - (m4**4*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(2.*(m4sq - m6sq)**4*(m6sq - m7sq)) - (m6**4*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(2.*(m4sq - m6sq)**4*(m6sq - m7sq)) + (m4sq*m6sq*(m4 + m6 + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m6sq)**4*(m6sq - m7sq)) + (m5**4*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/(2.*(m5sq - m6sq)**4*(m6sq - m7sq)) + (m6**4*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/(2.*(m5sq - m6sq)**4*(m6sq - m7sq)) - (m5sq*m6sq*(m5 + m6 + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m5sq - m6sq)**4*(m6sq - m7sq)) + (m4sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)**4*(m6sq - m7sq)) - (m5sq*m6sq*(m5sq + m6sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)**4*(m6sq - m7sq)) + (m4sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m6sq)**4*(m6sq - m7sq)) - (m5sq*m6sq*(m5sq + m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m5sq - m6sq)**4*(m6sq - m7sq)) + (m4**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(m4sq - m7sq)**4*(m6sq - m7sq)) - (m7**4*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/(2.*(m4sq - m7sq)**4*(-m6sq + m7sq)) + (m4sq*m7sq*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m7sq)**4*(-m6sq + m7sq)) + (m5**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(m5sq - m7sq)**4*(-m6sq + m7sq)) + (m7**4*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/(2.*(m5sq - m7sq)**4*(-m6sq + m7sq)) - (m5sq*m7sq*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m5sq - m7sq)**4*(-m6sq + m7sq)) + (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m7sq)**4*(-m6sq + m7sq)) - (m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m7sq))/((m5sq - m7sq)**4*(-m6sq + m7sq)) + (m4sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m7sq)**4*(-m6sq + m7sq)) - (m5sq*m7sq*(m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m5sq - m7sq)**4*(-m6sq + m7sq)) - (2*m4sq*m6sq*T134fin(m6,m4,0))/((m4sq - m6sq)**4*(m6sq - m7sq)) + (2*m5sq*m6sq*T134fin(m6,m5,0))/((m5sq - m6sq)**4*(m6sq - m7sq)) - (2*m4sq*m7sq*T134fin(m7,m4,0))/((m4sq - m7sq)**4*(-m6sq + m7sq)) + (2*m5sq*m7sq*T134fin(m7,m5,0))/((m5sq - m7sq)**4*(-m6sq + m7sq)))/(m4sq - m5sq)
		def eval_48():
			return (1 + 6*B0fin(0,0,m1sq))/(36.*m1**6)
		def eval_49():
			return (12*m1 - 15*m1sq + 6*m1sq*B0del(0,0,m1sq) + 6*m1sq*B0fin(0,0,m1sq) + 3*m1sq*B0fin(0,0,m1sq)**2 - 2*T134fin(m1,m1,m1))/(9.*m1**8)
		def eval_50():
			return (1 + 6*B0fin(0,0,m1sq))/(36.*m1**6)
		def eval_51():
			return (-m3**8 + 27*m3**3*m4**4 - 97*m3**4*m4**4 + 54*m3sq*m4**5 - 36*m3*m4**6 + 126*m3sq*m4**6 - 72*m4**7 + 17*m3**6*m4sq + 18*m3sq*m4**4*(m3sq - 2*m4sq)*B0del(0,0,m3sq) + 36*m4**6*(m3sq - 2*m4sq)*B0del(0,0,m4sq) + 18*m3**3*m4**4*B0fin(0,0,m3) - 72*m3*m4**6*B0fin(0,0,m3) - 18*m3**4*m4**4*B0fin(0,0,m3sq) + 108*m3sq*m4**6*B0fin(0,0,m3sq) + 36*m3sq*m4**5*B0fin(0,0,m4) - 144*m4**7*B0fin(0,0,m4) + 3*m3**8*B0fin(0,0,m4sq) + 66*m3**4*m4**4*B0fin(0,0,m4sq) - 72*m3sq*m4**6*B0fin(0,0,m4sq) + 72*m4**8*B0fin(0,0,m4sq) - 24*m3**6*m4sq*B0fin(0,0,m4sq) + 18*m3**4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 36*m3sq*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 9*m3**4*m4**4*B0fin(0,0,m4sq)**2 + 36*m3sq*m4**6*B0fin(0,0,m4sq)**2 - 36*m4**8*B0fin(0,0,m4sq)**2 - 18*m3sq*m4**4*T134fin(m4,m4,m3) + 36*m4**6*T134fin(m4,m4,m3))/(9.*m3**6*m4**4*(m3sq - 4*m4sq)**2)
		def eval_52():
			return (((m1sq - m2sq)**3*(-2*m1sq + 29*m2sq + 6*(m1sq - 4*m2sq)*B0fin(0,0,m2sq)))/m2**4 + 9*m1sq*(-8*m2sq + 2*(m1sq + m2sq)*B0del(0,0,m1sq) + 2*(m1sq + m2sq)*B0del(0,0,m2sq) - 2*(m1sq - 3*m2sq)*B0fin(0,0,m1sq) + (-2*m1sq + 6*m2sq + 2*(m1sq + m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)) + 18*(2*(m1 + m2)*(m1sq + m2sq) + (m1sq - m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m1sq*T134fin(m2,m1,0)))/(18.*(m1sq - m2sq)**5)
		def eval_53():
			return (6*m1sq*m2 - 6*m2**3 + 12*m2**4 + 6*m2sq*(m1sq + m2sq)*B0del(0,0,m2sq) + 12*m2*(m1sq - m2sq)*B0fin(0,0,m2) + 18*m2**4*B0fin(0,0,m2sq) - 6*m1sq*m2sq*B0fin(0,0,m2sq) + 3*m2**4*B0fin(0,0,m2sq)**2 + 3*m1sq*m2sq*B0fin(0,0,m2sq)**2 + 3*m2sq*T134fin(m1,0,0) - 3*m1sq*T134fin(m2,0,0) - 6*m2sq*T134fin(m2,m1,0) + 3*m2sq*T134fin(m2,m2,m1) - m1sq*T134fin(m2,m2,m2) - 2*m2sq*T134fin(m2,m2,m2))/(3.*m2**6*(m1sq - m2sq)**2)
		def eval_54():
			return (((m1sq - m2sq)**3*(-2*m1sq + 29*m2sq + 6*(m1sq - 4*m2sq)*B0fin(0,0,m2sq)))/m2**4 + 9*m1sq*(-8*m2sq + 2*(m1sq + m2sq)*B0del(0,0,m1sq) + 2*(m1sq + m2sq)*B0del(0,0,m2sq) - 2*(m1sq - 3*m2sq)*B0fin(0,0,m1sq) + (-2*m1sq + 6*m2sq + 2*(m1sq + m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)) + 18*(2*(m1 + m2)*(m1sq + m2sq) + (m1sq - m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m1sq*T134fin(m2,m1,0)))/(18.*(m1sq - m2sq)**5)
		def eval_55():
			return (-2*(2*B0del(0,0,m3sq) + (-2 + B0fin(0,0,m3sq))*B0fin(0,0,m3sq)))/(-5*m3sq*m4**4 + m4**6 + 4*m3**4*m4sq) + (4*(-17*m3**4*m4**4 + 4*m3sq*m4**6 + 4*m3**6*m4sq) + (-10*m3**8 - 14*m3**4*m4**4 + 2*m3sq*m4**6 + 3*m4**8 + 37*m3**6*m4sq)*B0del(0,0,m3sq) + (-10*m3**8 - 14*m3**4*m4**4 + 2*m3sq*m4**6 + 3*m4**8 + 37*m3**6*m4sq)*B0del(0,0,m4sq) + (10*m3**8 + 82*m3**4*m4**4 - 18*m3sq*m4**6 - 3*m4**8 - 53*m3**6*m4sq)*B0fin(0,0,m3sq) - (-10*m3**8 - 82*m3**4*m4**4 + 18*m3sq*m4**6 + 3*m4**8 + 53*m3**6*m4sq + (10*m3**8 + 14*m3**4*m4**4 - 2*m3sq*m4**6 - 3*m4**8 - 37*m3**6*m4sq)*B0fin(0,0,m3sq))*B0fin(0,0,m4sq))/(m3**2*(m3sq - m4sq)**4*(4*m3**4 + 4*m4**4 - 17*m3sq*m4sq)) + (-3*m3sq*(m3sq - 4*m4sq) + 2*(m3sq - 2*m4sq)*m4sq*B0del(0,0,m4sq) + 2*(m3**4 + 2*m4**4 - 5*m3sq*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*m4sq*B0fin(0,0,m4sq)**2)/(2.*m3**4*m4**2*(m3**4 + 4*m4**4 - 5*m3sq*m4sq)) + (-2*m3sq*(m3 + m4)*(m3sq + m4sq) - (2*m3**4 + m4**4 - 3*m3sq*m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)) + (3*m3**4 + m4**4 - 2*m3sq*m4sq)*T134fin(m4,m3,0))/(m3**3 - m3*m4sq)**4 - ((2*m3sq - m4sq)*(2*m3 + m4 + 4*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) - T134fin(m4,m3,m3)))/(m3**4*m4**2*(4*m3**4 + m4**4 - 5*m3sq*m4sq)) - (m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4) - T134fin(m4,m4,m3))/(m3**8 + 4*m3**4*m4**4 - 5*m3**6*m4sq)
		def eval_56():
			return (3*m1**6 + 12*m1sq*m3**3 + 8*m1*m3**4 - 3*m1sq*m3**4 + 8*m3**5 - 5*m3**6 + 12*m1**3*m3sq - 11*m1**4*m3sq + 2*(3*m1sq*m3**4 + m3**6 + 2*m1**4*m3sq)*B0del(0,0,m1sq) + 2*(3*m1sq*m3**4 + m3**6 + 2*m1**4*m3sq)*B0del(0,0,m3sq) - 8*m1*m3**4*B0fin(0,0,m1) + 22*m1sq*m3**4*B0fin(0,0,m1sq) - 2*m1**4*m3sq*B0fin(0,0,m1sq) - 8*m3**5*B0fin(0,0,m3) - 2*m1**6*B0fin(0,0,m3sq) + 16*m1sq*m3**4*B0fin(0,0,m3sq) + 2*m3**6*B0fin(0,0,m3sq) + 4*m1**4*m3sq*B0fin(0,0,m3sq) + 6*m1sq*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**4*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**4*T134fin(m3,m1,0) - 8*m1sq*m3sq*T134fin(m3,m1,0))/(2.*m3**2*(-m1sq + m3sq)**5)
		def eval_57():
			return (3*m1**6 + 12*m1sq*m3**3 + 8*m1*m3**4 - 3*m1sq*m3**4 + 8*m3**5 - 5*m3**6 + 12*m1**3*m3sq - 11*m1**4*m3sq + 2*(3*m1sq*m3**4 + m3**6 + 2*m1**4*m3sq)*B0del(0,0,m1sq) + 2*(3*m1sq*m3**4 + m3**6 + 2*m1**4*m3sq)*B0del(0,0,m3sq) - 8*m1*m3**4*B0fin(0,0,m1) + 22*m1sq*m3**4*B0fin(0,0,m1sq) - 2*m1**4*m3sq*B0fin(0,0,m1sq) - 8*m3**5*B0fin(0,0,m3) - 2*m1**6*B0fin(0,0,m3sq) + 16*m1sq*m3**4*B0fin(0,0,m3sq) + 2*m3**6*B0fin(0,0,m3sq) + 4*m1**4*m3sq*B0fin(0,0,m3sq) + 6*m1sq*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 2*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m1**4*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**4*T134fin(m3,m1,0) - 8*m1sq*m3sq*T134fin(m3,m1,0))/(2.*m3**2*(-m1sq + m3sq)**5)
		def eval_58():
			return -0.5*((-(m1sq*m2) + m2**3)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) - m1sq*m2sq*(8*m2sq - 2*(m1sq + 5*m2sq)*B0del(0,0,m1sq) - 2*(m1sq + 5*m2sq)*B0del(0,0,m2sq) + 2*(m1sq + m2sq)*B0fin(0,0,m1sq) - 2*(-m1sq - m2sq + (m1sq + 5*m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2) + 2*m2sq*(2*(m1 + m2)*(m1sq + m2sq) + (3*m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*(2*m1sq + m2sq)*T134fin(m2,m1,0)))/(m2**2*(m1sq - m2sq)**5)
		def eval_59():
			return -0.5*((-(m1sq*m2) + m2**3)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) - m1sq*m2sq*(8*m2sq - 2*(m1sq + 5*m2sq)*B0del(0,0,m1sq) - 2*(m1sq + 5*m2sq)*B0del(0,0,m2sq) + 2*(m1sq + m2sq)*B0fin(0,0,m1sq) - 2*(-m1sq - m2sq + (m1sq + 5*m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2) + 2*m2sq*(2*(m1 + m2)*(m1sq + m2sq) + (3*m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*(2*m1sq + m2sq)*T134fin(m2,m1,0)))/(m2**2*(m1sq - m2sq)**5)
		def eval_60():
			return (4*(m1 + m3)*(m1sq + m3sq) + ((m1sq - m3sq)**2*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/m1**2 + 2*(m1sq + 3*m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*m3sq*(-4*m1sq + (5*m1sq + m3sq)*B0del(0,0,m1sq) + (5*m1sq + m3sq)*B0del(0,0,m3sq) - (m1sq + m3sq)*B0fin(0,0,m1sq) + (-m1sq - m3sq + (5*m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - 4*(m1sq + 2*m3sq)*T134fin(m3,m1,0))/(2.*(m1sq - m3sq)**5)
		def eval_61():
			return (4*(m1 + m3)*(m1sq + m3sq) + ((m1sq - m3sq)**2*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/m1**2 + 2*(m1sq + 3*m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*m3sq*(-4*m1sq + (5*m1sq + m3sq)*B0del(0,0,m1sq) + (5*m1sq + m3sq)*B0del(0,0,m3sq) - (m1sq + m3sq)*B0fin(0,0,m1sq) + (-m1sq - m3sq + (5*m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - 4*(m1sq + 2*m3sq)*T134fin(m3,m1,0))/(2.*(m1sq - m3sq)**5)
		def eval_62():
			return (8*m1**5 - 5*m1**6 + 8*m1**4*m2 + 12*m1sq*m2**3 - 11*m1sq*m2**4 + 3*m2**6 + 12*m1**3*m2sq - 3*m1**4*m2sq + 2*(m1**6 + 2*m1sq*m2**4 + 3*m1**4*m2sq)*B0del(0,0,m1sq) + 2*(m1**6 + 2*m1sq*m2**4 + 3*m1**4*m2sq)*B0del(0,0,m2sq) - 8*m1**5*B0fin(0,0,m1) + 2*m1**6*B0fin(0,0,m1sq) + 4*m1sq*m2**4*B0fin(0,0,m1sq) - 2*m2**6*B0fin(0,0,m1sq) + 16*m1**4*m2sq*B0fin(0,0,m1sq) - 8*m1**4*m2*B0fin(0,0,m2) - 2*m1sq*m2**4*B0fin(0,0,m2sq) + 22*m1**4*m2sq*B0fin(0,0,m2sq) + 2*m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1sq*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 6*m1**4*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**4*T134fin(m2,m1,0) - 8*m1sq*m2sq*T134fin(m2,m1,0))/(2.*m1**2*(m1sq - m2sq)**5)
		def eval_63():
			return (8*m1**5 - 5*m1**6 + 8*m1**4*m2 + 12*m1sq*m2**3 - 11*m1sq*m2**4 + 3*m2**6 + 12*m1**3*m2sq - 3*m1**4*m2sq + 2*(m1**6 + 2*m1sq*m2**4 + 3*m1**4*m2sq)*B0del(0,0,m1sq) + 2*(m1**6 + 2*m1sq*m2**4 + 3*m1**4*m2sq)*B0del(0,0,m2sq) - 8*m1**5*B0fin(0,0,m1) + 2*m1**6*B0fin(0,0,m1sq) + 4*m1sq*m2**4*B0fin(0,0,m1sq) - 2*m2**6*B0fin(0,0,m1sq) + 16*m1**4*m2sq*B0fin(0,0,m1sq) - 8*m1**4*m2*B0fin(0,0,m2) - 2*m1sq*m2**4*B0fin(0,0,m2sq) + 22*m1**4*m2sq*B0fin(0,0,m2sq) + 2*m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 4*m1sq*m2**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 6*m1**4*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**4*T134fin(m2,m1,0) - 8*m1sq*m2sq*T134fin(m2,m1,0))/(2.*m1**2*(m1sq - m2sq)**5)
		def eval_64():
			return ((2*(m1sq - m7sq)**4*(7 - 12*B0fin(0,0,m1sq)))/m1**4 - (36*m7sq*(m1**4 + m7**4 - 6*m1sq*m7sq + 2*m1sq*(m1sq + m7sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq + m7sq)*B0del(0,0,m7sq) + 5*m1**4*B0fin(0,0,m1sq) - m7**4*B0fin(0,0,m1sq) + 4*m1sq*m7sq*B0fin(0,0,m1sq) + 5*m1**4*B0fin(0,0,m7sq) - m7**4*B0fin(0,0,m7sq) + 4*m1sq*m7sq*B0fin(0,0,m7sq) + 2*m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq)))/m1**2 + 36*(-8*(m1 + m7)*m7sq + (m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + 4*m7sq*T134fin(m7,m1,0)))/(72.*(m1sq - m7sq)**5)
		def eval_65():
			return ((m7sq*(1 - 2*B0fin(0,0,m1)))/m1**5 + (15*m1sq*m7**4 - 2*m7**6 - 26*m1**4*m7sq + (8*m1**6 - 4*m1**4*m7sq)*B0del(0,0,m1sq) + 2*(-4*m1**6 - 7*m1sq*m7**4 + m7**6 + 12*m1**4*m7sq)*B0fin(0,0,m1sq) + (4*m1**6 - 2*m1**4*m7sq)*B0fin(0,0,m1sq)**2)/(m1**4*(-4*m1sq + m7sq)**2) + (m7sq*(-m1 - m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/(m1**2*(m1 - m7)**2*(m1 + m7)**2) + (m7sq*(8*m1**6 - 15*m1sq*m7**4 + m7**6 + 24*m1**4*m7sq + 4*(m1**3 - m1*m7sq)**2*B0del(0,0,m1sq) + 4*(m1**3 - m1*m7sq)**2*B0del(0,0,m7sq) - 12*m1**6*B0fin(0,0,m1sq) + 11*m1sq*m7**4*B0fin(0,0,m1sq) - m7**6*B0fin(0,0,m1sq) - 16*m1**4*m7sq*B0fin(0,0,m1sq) - 12*m1**6*B0fin(0,0,m7sq) + 11*m1sq*m7**4*B0fin(0,0,m7sq) - m7**6*B0fin(0,0,m7sq) - 16*m1**4*m7sq*B0fin(0,0,m7sq) + 4*m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq)))/(m1**2*(4*m1**4 + m7**4 - 5*m1sq*m7sq)**2) + (2*(2*m1 + m7)*m7sq + (4*m1sq - m7sq)*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - 4*m1sq*T134fin(m7,m1,m1))/(-4*m1**3 + m1*m7sq)**2)/(2.*m7**4)
		def eval_66():
			return ((m5sq*(1 - 2*B0fin(0,0,m1)))/m1**5 + (15*m1sq*m5**4 - 2*m5**6 - 26*m1**4*m5sq + (8*m1**6 - 4*m1**4*m5sq)*B0del(0,0,m1sq) + 2*(-4*m1**6 - 7*m1sq*m5**4 + m5**6 + 12*m1**4*m5sq)*B0fin(0,0,m1sq) + (4*m1**6 - 2*m1**4*m5sq)*B0fin(0,0,m1sq)**2)/(m1**4*(-4*m1sq + m5sq)**2) + (m5sq*(-m1 - m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/(m1**2*(m1 - m5)**2*(m1 + m5)**2) + (m5sq*(8*m1**6 - 15*m1sq*m5**4 + m5**6 + 24*m1**4*m5sq + 4*(m1**3 - m1*m5sq)**2*B0del(0,0,m1sq) + 4*(m1**3 - m1*m5sq)**2*B0del(0,0,m5sq) - 12*m1**6*B0fin(0,0,m1sq) + 11*m1sq*m5**4*B0fin(0,0,m1sq) - m5**6*B0fin(0,0,m1sq) - 16*m1**4*m5sq*B0fin(0,0,m1sq) - 12*m1**6*B0fin(0,0,m5sq) + 11*m1sq*m5**4*B0fin(0,0,m5sq) - m5**6*B0fin(0,0,m5sq) - 16*m1**4*m5sq*B0fin(0,0,m5sq) + 4*m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq)))/(m1**2*(4*m1**4 + m5**4 - 5*m1sq*m5sq)**2) + (2*(2*m1 + m5)*m5sq + (4*m1sq - m5sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - 4*m1sq*T134fin(m5,m1,m1))/(-4*m1**3 + m1*m5sq)**2)/(2.*m5**4)
		def eval_67():
			return ((2*(m1sq - m5sq)**4*(7 - 12*B0fin(0,0,m1sq)))/m1**4 - (36*m5sq*(m1**4 + m5**4 - 6*m1sq*m5sq + 2*m1sq*(m1sq + m5sq)*B0del(0,0,m1sq) + 2*m1sq*(m1sq + m5sq)*B0del(0,0,m5sq) + 5*m1**4*B0fin(0,0,m1sq) - m5**4*B0fin(0,0,m1sq) + 4*m1sq*m5sq*B0fin(0,0,m1sq) + 5*m1**4*B0fin(0,0,m5sq) - m5**4*B0fin(0,0,m5sq) + 4*m1sq*m5sq*B0fin(0,0,m5sq) + 2*m1**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq)))/m1**2 + 36*(-8*(m1 + m5)*m5sq + (m1sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + 4*m5sq*T134fin(m5,m1,0)))/(72.*(m1sq - m5sq)**5)
		def eval_68():
			return (-(((m1sq - m3sq)**3*(-29*m1sq + 2*m3sq + 6*(4*m1sq - m3sq)*B0fin(0,0,m1sq)))/m1**4) + 9*m3sq*(8*m1sq - 2*(m1sq + m3sq)*B0del(0,0,m1sq) - 2*(m1sq + m3sq)*B0del(0,0,m3sq) - 2*(3*m1sq - m3sq)*B0fin(0,0,m1sq) - (6*m1sq - 2*m3sq + 2*(m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + 18*(-2*(m1 + m3)*(m1sq + m3sq) + (m1sq - m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*m3sq*T134fin(m3,m1,0)))/(18.*(m1sq - m3sq)**5)
		def eval_69():
			return (-6*m1**3 + 12*m1**4 + 6*m1*m3sq + 6*m1sq*(m1sq + m3sq)*B0del(0,0,m1sq) - 12*(m1**3 - m1*m3sq)*B0fin(0,0,m1) + 18*m1**4*B0fin(0,0,m1sq) - 6*m1sq*m3sq*B0fin(0,0,m1sq) + 3*m1**4*B0fin(0,0,m1sq)**2 + 3*m1sq*m3sq*B0fin(0,0,m1sq)**2 - 3*m3sq*T134fin(m1,0,0) - 2*m1sq*T134fin(m1,m1,m1) - m3sq*T134fin(m1,m1,m1) + 3*m1sq*T134fin(m3,0,0) - 6*m1sq*T134fin(m3,m1,0) + 3*m1sq*T134fin(m3,m1,m1))/(3.*m1**6*(m1sq - m3sq)**2)
		def eval_70():
			return (-(((m1sq - m3sq)**3*(-29*m1sq + 2*m3sq + 6*(4*m1sq - m3sq)*B0fin(0,0,m1sq)))/m1**4) + 9*m3sq*(8*m1sq - 2*(m1sq + m3sq)*B0del(0,0,m1sq) - 2*(m1sq + m3sq)*B0del(0,0,m3sq) - 2*(3*m1sq - m3sq)*B0fin(0,0,m1sq) - (6*m1sq - 2*m3sq + 2*(m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)) + 18*(-2*(m1 + m3)*(m1sq + m3sq) + (m1sq - m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 2*m3sq*T134fin(m3,m1,0)))/(18.*(m1sq - m3sq)**5)
		def eval_71():
			return (2*m3sq*(3*m3sq - m4sq - 3*m5sq)*(m4sq - m5sq)**4*m5sq*B0del(0,0,m3sq) + 4*m3sq*m4sq*(m3sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)) + 2*m3sq*m5sq*(-m4sq + m5sq)**3*(m4**4 - 3*m5**4 - m3sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) - 2*m3sq*(m4sq - m5sq)**3*m5sq*B0fin(0,0,m3sq)*((3*m3sq - m4sq - 3*m5sq)*(m4sq - m5sq) - 2*m4sq*(m3sq - 4*m5sq)*B0fin(0,0,m4sq) + (m4**4 - 3*m5**4 - m3sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m5sq)) + 2*m3sq*m4sq*(m3sq - 4*m5sq)*m5sq*(4*((-(m4sq*m5) + m5**3)**2 + m3**4*m5sq - 2*m3sq*m5sq*(m4sq + m5sq)) + (2*(-(m4sq*m5) + m5**3)**2 - m3**4*(m4sq + m5sq) + m3sq*(m4**4 + m5**4 + 6*m4sq*m5sq))*B0del(0,0,m4sq) + (2*(-(m4sq*m5) + m5**3)**2 - m3**4*(m4sq + m5sq) + m3sq*(m4**4 + m5**4 + 6*m4sq*m5sq))*B0del(0,0,m5sq) + (-6*(-(m4sq*m5) + m5**3)**2 + m3**4*(m4sq - 3*m5sq) + m3sq*(-m4**4 + 7*m5**4 + 2*m4sq*m5sq))*B0fin(0,0,m4sq) + (-6*(-(m4sq*m5) + m5**3)**2 + m3**4*(m4sq - 3*m5sq) + m3sq*(-m4**4 + 7*m5**4 + 2*m4sq*m5sq) + (2*(-(m4sq*m5) + m5**3)**2 - m3**4*(m4sq + m5sq) + m3sq*(m4**4 + m5**4 + 6*m4sq*m5sq))*B0fin(0,0,m4sq))*B0fin(0,0,m5sq)) - (m4sq - m5sq)**3*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))*(3*(m3**4 - 4*m3sq*m5sq) + (4*m5**4 - 2*m3sq*m5sq)*B0del(0,0,m5sq) - 2*(m3**4 + 2*m5**4 - 5*m3sq*m5sq)*B0fin(0,0,m5sq) + (2*m5**4 - m3sq*m5sq)*B0fin(0,0,m5sq)**2) - 2*(m3sq - 4*m5sq)*m5sq*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))*(2*m3sq*(m4 + m5)*(m4sq + m5sq) + (m4sq - m5sq)*(m3sq + m4sq - m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - (2*m3sq*m4sq + (m4sq - m5sq)**2)*T134fin(m5,m4,0)) + 2*(m3sq - 4*m5sq)*(m4sq - m5sq)**3*(m3sq + m4sq - m5sq)*m5sq*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m4,m3)) - 2*(m4sq - m5sq)**3*m5sq*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))*(m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5) - T134fin(m5,m5,m3)))/(2.*m3**4*m5**2*(m3sq - 4*m5sq)*(m4sq - m5sq)**4*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)))
		def eval_72():
			return ((m4sq - m5sq)**2*(6*m3sq - 4*m4sq + 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) - 2*(3*m3sq + 2*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2) + 4*m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + 8*m3sq*m4sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)) + (m4sq - m5sq)**2*(6*m3sq - 4*m5sq + 2*(m3sq - 2*m5sq)*B0del(0,0,m5sq) - 2*(3*m3sq + 2*m5sq)*B0fin(0,0,m5sq) + (m3sq - 2*m5sq)*B0fin(0,0,m5sq)**2) + 2*(m4sq - m5sq)**2*T134fin(m4,m4,m3) + 4*((m4sq - m5sq)**2 - m3sq*(m4sq + m5sq))*T134fin(m5,m4,0) - 4*(m4sq - m5sq)**2*T134fin(m5,m4,m3) + 2*(m4sq - m5sq)**2*T134fin(m5,m5,m3))/(2.*m3**4*(m4sq - m5sq)**4)
		def eval_73():
			return (2*m3sq*m4sq*(3*m3sq - 3*m4sq - m7sq)*(m4sq - m7sq)**4*B0del(0,0,m3sq) + 2*m3sq*m4sq*(m4sq - m7sq)**3*(-3*m4**4 + m7**4 + m3sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)) + (m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*(3*(m3**4 - 4*m3sq*m4sq) + (4*m4**4 - 2*m3sq*m4sq)*B0del(0,0,m4sq) - 2*(m3**4 + 2*m4**4 - 5*m3sq*m4sq)*B0fin(0,0,m4sq) + (2*m4**4 - m3sq*m4sq)*B0fin(0,0,m4sq)**2) - 4*m3sq*(m3sq - 4*m4sq)*m4sq*(m4sq - m7sq)**3*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)) - 2*m3sq*m4sq*(m4sq - m7sq)**3*B0fin(0,0,m3sq)*((3*m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + (3*m4**4 - m7**4 + 6*m4sq*m7sq + m3sq*(-3*m4sq + m7sq))*B0fin(0,0,m4sq) + 2*(m3sq - 4*m4sq)*m7sq*B0fin(0,0,m7sq)) + 2*m3sq*(m3sq - 4*m4sq)*m4sq*m7sq*(4*(m3**4*m4sq - 2*m3sq*m4sq*(m4sq + m7sq) + (m4**3 - m4*m7sq)**2) + (-(m3**4*(m4sq + m7sq)) + 2*(m4**3 - m4*m7sq)**2 + m3sq*(m4**4 + m7**4 + 6*m4sq*m7sq))*B0del(0,0,m4sq) + (-(m3**4*(m4sq + m7sq)) + 2*(m4**3 - m4*m7sq)**2 + m3sq*(m4**4 + m7**4 + 6*m4sq*m7sq))*B0del(0,0,m7sq) - (m3**4*(3*m4sq - m7sq) + 6*(m4**3 - m4*m7sq)**2 + m3sq*(-7*m4**4 + m7**4 - 2*m4sq*m7sq))*B0fin(0,0,m4sq) + (m3**4*(-3*m4sq + m7sq) - 6*(m4**3 - m4*m7sq)**2 + m3sq*(7*m4**4 - m7**4 + 2*m4sq*m7sq) + (-(m3**4*(m4sq + m7sq)) + 2*(m4**3 - m4*m7sq)**2 + m3sq*(m4**4 + m7**4 + 6*m4sq*m7sq))*B0fin(0,0,m4sq))*B0fin(0,0,m7sq)) + 2*m4sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4) - T134fin(m4,m4,m3)) - 2*(m3sq - 4*m4sq)*m4sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*(2*m3sq*(m4 + m7)*(m4sq + m7sq) - (m4sq - m7sq)*(m3sq - m4sq + m7sq)*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - (m4**4 + m7**4 + 2*m3sq*m7sq - 2*m4sq*m7sq)*T134fin(m7,m4,0)) - 2*(m3sq - 4*m4sq)*m4sq*(m4sq - m7sq)**3*(m3sq - m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m4,m3)))/(2.*m3**4*m4**2*(m3sq - 4*m4sq)*(m4sq - m7sq)**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)))
		def eval_74():
			return (2*m3sq*m4sq*(3*m3sq - 3*m4sq - m5sq)*(m4sq - m5sq)**4*B0del(0,0,m3sq) + 2*m3sq*m4sq*(m4sq - m5sq)**3*(-3*m4**4 + m5**4 + m3sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)) + (m4sq - m5sq)**3*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))*(3*(m3**4 - 4*m3sq*m4sq) + (4*m4**4 - 2*m3sq*m4sq)*B0del(0,0,m4sq) - 2*(m3**4 + 2*m4**4 - 5*m3sq*m4sq)*B0fin(0,0,m4sq) + (2*m4**4 - m3sq*m4sq)*B0fin(0,0,m4sq)**2) - 4*m3sq*(m3sq - 4*m4sq)*m4sq*(m4sq - m5sq)**3*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) - 2*m3sq*m4sq*(m4sq - m5sq)**3*B0fin(0,0,m3sq)*((3*m3sq - 3*m4sq - m5sq)*(m4sq - m5sq) + (3*m4**4 - m5**4 + 6*m4sq*m5sq + m3sq*(-3*m4sq + m5sq))*B0fin(0,0,m4sq) + 2*(m3sq - 4*m4sq)*m5sq*B0fin(0,0,m5sq)) + 2*m3sq*(m3sq - 4*m4sq)*m4sq*m5sq*(4*(m3**4*m4sq - 2*m3sq*m4sq*(m4sq + m5sq) + (m4**3 - m4*m5sq)**2) + (-(m3**4*(m4sq + m5sq)) + 2*(m4**3 - m4*m5sq)**2 + m3sq*(m4**4 + m5**4 + 6*m4sq*m5sq))*B0del(0,0,m4sq) + (-(m3**4*(m4sq + m5sq)) + 2*(m4**3 - m4*m5sq)**2 + m3sq*(m4**4 + m5**4 + 6*m4sq*m5sq))*B0del(0,0,m5sq) - (m3**4*(3*m4sq - m5sq) + 6*(m4**3 - m4*m5sq)**2 + m3sq*(-7*m4**4 + m5**4 - 2*m4sq*m5sq))*B0fin(0,0,m4sq) + (m3**4*(-3*m4sq + m5sq) - 6*(m4**3 - m4*m5sq)**2 + m3sq*(7*m4**4 - m5**4 + 2*m4sq*m5sq) + (-(m3**4*(m4sq + m5sq)) + 2*(m4**3 - m4*m5sq)**2 + m3sq*(m4**4 + m5**4 + 6*m4sq*m5sq))*B0fin(0,0,m4sq))*B0fin(0,0,m5sq)) + 2*m4sq*(m4sq - m5sq)**3*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4) - T134fin(m4,m4,m3)) - 2*(m3sq - 4*m4sq)*m4sq*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))*(2*m3sq*(m4 + m5)*(m4sq + m5sq) - (m4sq - m5sq)*(m3sq - m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - (m4**4 + m5**4 + 2*m3sq*m5sq - 2*m4sq*m5sq)*T134fin(m5,m4,0)) - 2*(m3sq - 4*m4sq)*m4sq*(m4sq - m5sq)**3*(m3sq - m4sq + m5sq)*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m4,m3)))/(2.*m3**4*m4**2*(m3sq - 4*m4sq)*(m4sq - m5sq)**4*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq)))
		def eval_75():
			return ((-6 + 4*B0fin(0,0,m3sq))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)) + (2*m1sq*(-8*m3sq + 2*(m1sq + m3sq)*B0del(0,0,m1sq) + 2*(m1sq + m3sq)*B0del(0,0,m3sq) - 2*(m1sq - 3*m3sq)*B0fin(0,0,m1sq) + (-2*m1sq + 6*m3sq + 2*(m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**4) + (2*m2sq*(8*m3sq - 2*(m2sq + m3sq)*B0del(0,0,m2sq) - 2*(m2sq + m3sq)*B0del(0,0,m3sq) + 2*(m2sq - 3*m3sq)*B0fin(0,0,m2sq) - (-2*m2sq + 6*m3sq + 2*(m2sq + m3sq)*B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m2sq - m3sq)**4) + (4*(2*(m1 + m3)*(m1sq + m3sq) + (m1sq - m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*m1sq*T134fin(m3,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)**4) + (4*(-2*(m2 + m3)*(m2sq + m3sq) - (m2sq - m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 2*m2sq*T134fin(m3,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)**4))/4.
		def eval_76():
			return ((-6 + 4*B0fin(0,0,m3sq))/(m3**2*(-m1sq + m3sq)*(-m2sq + m3sq)) + (2*m1sq*(-8*m3sq + 2*(m1sq + m3sq)*B0del(0,0,m1sq) + 2*(m1sq + m3sq)*B0del(0,0,m3sq) - 2*(m1sq - 3*m3sq)*B0fin(0,0,m1sq) + (-2*m1sq + 6*m3sq + 2*(m1sq + m3sq)*B0fin(0,0,m1sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**4) + (2*m2sq*(8*m3sq - 2*(m2sq + m3sq)*B0del(0,0,m2sq) - 2*(m2sq + m3sq)*B0del(0,0,m3sq) + 2*(m2sq - 3*m3sq)*B0fin(0,0,m2sq) - (-2*m2sq + 6*m3sq + 2*(m2sq + m3sq)*B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m2sq - m3sq)**4) + (4*(2*(m1 + m3)*(m1sq + m3sq) + (m1sq - m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*m1sq*T134fin(m3,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)**4) + (4*(-2*(m2 + m3)*(m2sq + m3sq) - (m2sq - m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 2*m2sq*T134fin(m3,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)**4))/4.
		def eval_77():
			return (4*m1sq*(m2sq - m3sq)**4*(m1**4 - m2sq*m3sq)*B0del(0,0,m1sq) + 4*m1sq*m2sq*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2) - 4*m1sq*(m2sq - m3sq)**3*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m3sq*(-1 + B0fin(0,0,m3sq))) - 4*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**3*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 4*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*m3sq*(-2*m1sq + m2sq + m3sq)*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + (m1sq - m2sq)**3*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) + 2*(m1sq + m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**2*(m2sq - m3sq)**3*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)**2*(2*m1sq - m2sq - m3sq)*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)**3*(m2sq - m3sq)**4)
		def eval_78():
			return (4*m1sq*(m2sq - m3sq)**4*(m1**4 - m2sq*m3sq)*B0del(0,0,m1sq) + 4*m1sq*m2sq*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2) - 4*m1sq*(m2sq - m3sq)**3*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m3sq*(-1 + B0fin(0,0,m3sq))) - 4*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**3*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 4*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**2*m3sq*(-2*m1sq + m2sq + m3sq)*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + (m1sq - m2sq)**3*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) + 2*(m1sq + m2sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**2*(m2sq - m3sq)**3*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)**2*(2*m1sq - m2sq - m3sq)*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)**3*(m2sq - m3sq)**4)
		def eval_79():
			return (4*m1sq*m2sq*(m2sq - m7sq)**4*(m1**4 - m2sq*m7sq)*B0del(0,0,m1sq) + 4*m2**4*(m2sq - m7sq)**3*(m1**3 - m1*m7sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2) - 4*m1sq*m2sq*(m2sq - m7sq)**3*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m7sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m7sq*(-1 + B0fin(0,0,m7sq))) - 4*m1sq*(m1sq - m2sq)**2*m2sq*(m2sq - m7sq)**3*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)) + (m1sq - m2sq)**2*m2sq*(m1sq - m7sq)**2*m7sq*(8*(m1sq - m2sq)*m2sq - 2*(-3*m2**4 + m2sq*m7sq + m1sq*(m2sq + m7sq))*B0del(0,0,m2sq) - 2*(-3*m2**4 + m2sq*m7sq + m1sq*(m2sq + m7sq))*B0del(0,0,m7sq) - 2*(m1sq*(3*m2sq - m7sq) - m2sq*(m2sq + m7sq))*B0fin(0,0,m2sq) - (m1sq*(6*m2sq - 2*m7sq) - 2*m2sq*(m2sq + m7sq) + 2*(-3*m2**4 + m2sq*m7sq + m1sq*(m2sq + m7sq))*B0fin(0,0,m2sq))*B0fin(0,0,m7sq)) + 2*m2sq*(m1sq + m2sq)*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(-(m1sq*m2) + m2**3)**2*(m2sq - m7sq)**3*(m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m1,0)) + 2*(m1sq - m2sq)**2*m2sq*(m1sq - m7sq)**2*(2*(-m1sq + m2sq)*(m2 + m7)*(m2sq + m7sq) + (m2sq - m7sq)*(m1sq + m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - (m2**4 + 2*m2sq*m7sq - m7sq*(2*m1sq + m7sq))*T134fin(m7,m2,0)))/(2.*m2**2*(m1sq - m2sq)**4*(m1sq - m7sq)**2*(m2sq - m7sq)**4)
		def eval_80():
			return (4*m1sq*m2sq*(m2sq - m5sq)**4*(m1**4 - m2sq*m5sq)*B0del(0,0,m1sq) + 4*m2**4*(m2sq - m5sq)**3*(m1**3 - m1*m5sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m5sq)**2*(m2sq - m5sq)**3*(3*(m1sq + m2sq) + 2*m2sq*B0del(0,0,m2sq) - 2*(m1sq + 2*m2sq)*B0fin(0,0,m2sq) + m2sq*B0fin(0,0,m2sq)**2) - 4*m1sq*m2sq*(m2sq - m5sq)**3*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m5sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m5sq*(-1 + B0fin(0,0,m5sq))) - 4*m1sq*(m1sq - m2sq)**2*m2sq*(m2sq - m5sq)**3*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) + (m1sq - m2sq)**2*m2sq*(m1sq - m5sq)**2*m5sq*(8*(m1sq - m2sq)*m2sq - 2*(-3*m2**4 + m2sq*m5sq + m1sq*(m2sq + m5sq))*B0del(0,0,m2sq) - 2*(-3*m2**4 + m2sq*m5sq + m1sq*(m2sq + m5sq))*B0del(0,0,m5sq) - 2*(m1sq*(3*m2sq - m5sq) - m2sq*(m2sq + m5sq))*B0fin(0,0,m2sq) - (m1sq*(6*m2sq - 2*m5sq) - 2*m2sq*(m2sq + m5sq) + 2*(-3*m2**4 + m2sq*m5sq + m1sq*(m2sq + m5sq))*B0fin(0,0,m2sq))*B0fin(0,0,m5sq)) + 2*m2sq*(m1sq + m2sq)*(m1sq - m5sq)**2*(m2sq - m5sq)**3*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(-(m1sq*m2) + m2**3)**2*(m2sq - m5sq)**3*(m1sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m1,0)) + 2*(m1sq - m2sq)**2*m2sq*(m1sq - m5sq)**2*(2*(-m1sq + m2sq)*(m2 + m5)*(m2sq + m5sq) + (m2sq - m5sq)*(m1sq + m5sq)*(m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - (m2**4 + 2*m2sq*m5sq - m5sq*(2*m1sq + m5sq))*T134fin(m5,m2,0)))/(2.*m2**2*(m1sq - m2sq)**4*(m1sq - m5sq)**2*(m2sq - m5sq)**4)
		def eval_81():
			return ((-6 + 4*B0fin(0,0,m2sq))/(m2**2*(-m1sq + m2sq)*(m2sq - m3sq)) + (2*m1sq*(-8*m2sq + 2*(m1sq + m2sq)*B0del(0,0,m1sq) + 2*(m1sq + m2sq)*B0del(0,0,m2sq) - 2*(m1sq - 3*m2sq)*B0fin(0,0,m1sq) + (-2*m1sq + 6*m2sq + 2*(m1sq + m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**4*(m1sq - m3sq)) + (2*m3sq*(8*m2sq - 2*(m2sq + m3sq)*B0del(0,0,m2sq) - 2*(m2sq + m3sq)*B0del(0,0,m3sq) - 2*(3*m2sq - m3sq)*B0fin(0,0,m2sq) - (6*m2sq - 2*m3sq + 2*(m2sq + m3sq)*B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((m1sq - m3sq)*(m2sq - m3sq)**4) + (4*(2*(m1 + m2)*(m1sq + m2sq) + (m1sq - m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m1sq*T134fin(m2,m1,0)))/((m1sq - m2sq)**4*(m1sq - m3sq)) + (4*(2*(m2 + m3)*(m2sq + m3sq) + (-m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) - 2*m3sq*T134fin(m3,m2,0)))/((m2sq - m3sq)**4*(-m1sq + m3sq)))/4.
		def eval_82():
			return ((-6 + 4*B0fin(0,0,m2sq))/(m2**2*(-m1sq + m2sq)*(m2sq - m3sq)) + (2*m1sq*(-8*m2sq + 2*(m1sq + m2sq)*B0del(0,0,m1sq) + 2*(m1sq + m2sq)*B0del(0,0,m2sq) - 2*(m1sq - 3*m2sq)*B0fin(0,0,m1sq) + (-2*m1sq + 6*m2sq + 2*(m1sq + m2sq)*B0fin(0,0,m1sq))*B0fin(0,0,m2sq)))/((m1sq - m2sq)**4*(m1sq - m3sq)) + (2*m3sq*(8*m2sq - 2*(m2sq + m3sq)*B0del(0,0,m2sq) - 2*(m2sq + m3sq)*B0del(0,0,m3sq) - 2*(3*m2sq - m3sq)*B0fin(0,0,m2sq) - (6*m2sq - 2*m3sq + 2*(m2sq + m3sq)*B0fin(0,0,m2sq))*B0fin(0,0,m3sq)))/((m1sq - m3sq)*(m2sq - m3sq)**4) + (4*(2*(m1 + m2)*(m1sq + m2sq) + (m1sq - m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m1sq*T134fin(m2,m1,0)))/((m1sq - m2sq)**4*(m1sq - m3sq)) + (4*(2*(m2 + m3)*(m2sq + m3sq) + (-m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) - 2*m3sq*T134fin(m3,m2,0)))/((m2sq - m3sq)**4*(-m1sq + m3sq)))/4.
		def eval_83():
			return (-2*(m3**4 - m4sq*m5sq)*B0del(0,0,m3sq))/((m3sq - m4sq)**2*(m3sq - m5sq)**3) - (2*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)))/((m3sq - m4sq)**2*(m3sq - m5sq)*(m4sq - m5sq)) + B0fin(0,0,m3sq)*((-2*m4sq*(-1 + B0fin(0,0,m4sq)))/((m3sq - m4sq)**2*(m3sq - m5sq)*(m4sq - m5sq)) + (2*m5sq*(-1 + B0fin(0,0,m5sq)))/((-m3sq + m5sq)**3*(-m4sq + m5sq))) + (2*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((-m3sq + m5sq)**3*(-m4sq + m5sq)) - (2*m4sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(m3**2*(m3sq - m5sq)*(-m4sq + m5sq)**3) + (-6*m3sq + 4*m5sq - 2*(m3sq - 2*m5sq)*B0del(0,0,m5sq) + (6*m3sq + 4*m5sq)*B0fin(0,0,m5sq) - (m3sq - 2*m5sq)*B0fin(0,0,m5sq)**2)/(2.*m3**4*(m3sq - m5sq)*(-m4sq + m5sq)) + (-(m3sq*(m3sq + m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4))) + (-m4**4 + 3*m3sq*m4sq)*T134fin(m4,m3,0))/(m3**4*(m3sq - m4sq)**2*(m3sq - m5sq)*(m4sq - m5sq)) + T134fin(m4,m3,m3)/(m3**4*(m3sq - m5sq)*(m4sq - m5sq)) + (-(m3sq*(m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5))) + (-m5**4 + 3*m3sq*m5sq)*T134fin(m5,m3,0))/(m3**4*(m3sq - m5sq)**3*(-m4sq + m5sq)) + T134fin(m5,m3,m3)/(m3**4*(m3sq - m5sq)*(-m4sq + m5sq)) + (-(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5))) + (-(m4sq - m5sq)**2 + m3sq*(m4sq + m5sq))*T134fin(m5,m4,0))/(m3**4*(m3sq - m5sq)*(-m4sq + m5sq)**3) + T134fin(m5,m4,m3)/(m3**4*(m3sq - m5sq)*(-m4sq + m5sq)) + T134fin(m5,m5,m3)/(m3**4*(m3sq - m5sq)*(m4sq - m5sq))
		def eval_84():
			return (-2*(m3**4 - m4sq*m5sq)*B0del(0,0,m3sq))/((m3sq - m4sq)**3*(m3sq - m5sq)**2) + (2*m4sq*(B0del(0,0,m4sq) - B0fin(0,0,m4sq)))/((-m3sq + m4sq)**3*(m4sq - m5sq)) + (-6*m3sq + 4*m4sq - 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) + (6*m3sq + 4*m4sq)*B0fin(0,0,m4sq) - (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2)/(2.*m3**4*(m3sq - m4sq)*(m4sq - m5sq)) + (2*B0fin(0,0,m3sq)*((m4sq*(-1 + B0fin(0,0,m4sq)))/(-m3sq + m4sq)**3 + (m5sq*(-1 + B0fin(0,0,m5sq)))/((m3sq - m4sq)*(m3sq - m5sq)**2)))/(m4sq - m5sq) + (2*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((m3sq - m4sq)*(m3sq - m5sq)**2*(m4sq - m5sq)) - (2*m4sq*m5sq*(B0del(0,0,m4sq) + B0del(0,0,m5sq) - B0fin(0,0,m4sq) - B0fin(0,0,m5sq) + B0fin(0,0,m4sq)*B0fin(0,0,m5sq)))/(m3**2*(m3sq - m4sq)*(m4sq - m5sq)**3) + (-(m3sq*(m3sq + m4sq)*(m3 + m4 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4))) + (-m4**4 + 3*m3sq*m4sq)*T134fin(m4,m3,0))/(m3**4*(m3sq - m4sq)**3*(m4sq - m5sq)) + T134fin(m4,m3,m3)/(m3**4*(m3sq - m4sq)*(m4sq - m5sq)) - T134fin(m4,m4,m3)/(m3**4*(m3sq - m4sq)*(m4sq - m5sq)) + (m3sq*(m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)) + (m5**4 - 3*m3sq*m5sq)*T134fin(m5,m3,0))/(m3**4*(m3sq - m4sq)*(m3sq - m5sq)**2*(m4sq - m5sq)) - T134fin(m5,m3,m3)/(m3**4*(m3sq - m4sq)*(m4sq - m5sq)) + (-(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5))) + (-(m4sq - m5sq)**2 + m3sq*(m4sq + m5sq))*T134fin(m5,m4,0))/(m3**4*(m3sq - m4sq)*(m4sq - m5sq)**3) + T134fin(m5,m4,m3)/(m3**4*(m3sq - m4sq)*(m4sq - m5sq))
		def eval_85():
			return (-4*m1sq*(m2sq - m3sq)**3*(m1**6 + m2sq*m3**4 + m1**4*m3sq + 2*m2**4*m3sq - 5*m1sq*m2sq*m3sq)*B0del(0,0,m1sq) - (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) - 4*m1sq*m2sq*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + 4*m1sq*(m2sq - m3sq)**2*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**3*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m3sq*(m1sq - 2*m2sq + m3sq)*(-1 + B0fin(0,0,m3sq))) + 4*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*(m1sq - 2*m2sq + m3sq)*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) + 4*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**3*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + (m1sq - m2sq)**3*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - 2*(m1sq + m2sq)*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) + 2*(m1sq - m2sq)**2*(m2sq - m3sq)**2*(m1sq + m3sq)*(m1sq - 2*m2sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)**3*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)**4*(m2sq - m3sq)**3)
		def eval_86():
			return (-4*m1sq*(m2sq - m3sq)**3*(m1**6 + m2sq*m3**4 + m1**4*m3sq + 2*m2**4*m3sq - 5*m1sq*m2sq*m3sq)*B0del(0,0,m1sq) - (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) - 4*m1sq*m2sq*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + 4*m1sq*(m2sq - m3sq)**2*B0fin(0,0,m1sq)*(-(m2sq*(m1sq - m3sq)**3*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**2*m3sq*(m1sq - 2*m2sq + m3sq)*(-1 + B0fin(0,0,m3sq))) + 4*m1sq*(m1sq - m2sq)**2*(m2sq - m3sq)**2*m3sq*(m1sq - 2*m2sq + m3sq)*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) + 4*(m1sq - m2sq)**2*m2sq*(m1sq - m3sq)**3*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + (m1sq - m2sq)**3*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - 2*(m1sq + m2sq)*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) + 2*(m1sq - m2sq)**2*(m2sq - m3sq)**2*(m1sq + m3sq)*(m1sq - 2*m2sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m3sq)**3*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/(2.*(m1sq - m2sq)**3*(m1sq - m3sq)**4*(m2sq - m3sq)**3)
		def eval_87():
			return -0.5*(2*(m3sq - m7sq)**3*(3*m1**8 + m3**4*m7**4 + m1**6*(m3sq - m7sq) - 8*m1**4*m3sq*m7sq + m1sq*m3sq*m7sq*(m3sq + 3*m7sq))*B0del(0,0,m1sq) + 2*(m1sq - m7sq)**3*(m3**3 - m3*m7sq)**2*(-4*m1sq + (3*m1sq + m3sq)*B0del(0,0,m3sq) + (m1sq - m3sq)*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - (m1sq - m3sq)**2*(m3sq - m7sq)**2*m7sq*(-8*m1**4 + 8*m1sq*m3sq - 2*(-3*m1**4 + m3sq*m7sq + m1sq*(m3sq + m7sq))*B0del(0,0,m7sq) + 2*(m1**4 + m3sq*m7sq + m1sq*(-3*m3sq + m7sq))*B0fin(0,0,m7sq)) + 4*(m1sq - m3sq)**2*m3sq*(m1sq - m7sq)**3*m7sq*(B0del(0,0,m3sq) + B0del(0,0,m7sq) - B0fin(0,0,m3sq) - B0fin(0,0,m7sq) + B0fin(0,0,m3sq)*B0fin(0,0,m7sq)) + (m3sq - m7sq)**2*B0fin(0,0,m1sq)*(2*m3sq*(m1sq - m7sq)**3*(m1sq - m3sq + (3*m1sq + m3sq)*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*m7sq*(-2*(m1**4 + m3sq*m7sq + m1sq*(-3*m3sq + m7sq)) + 2*(-3*m1**4 + m3sq*m7sq + m1sq*(m3sq + m7sq))*B0fin(0,0,m7sq))) + 2*(m1sq - m7sq)**3*(m3sq - m7sq)**2*(2*m1**3 + 2*m1sq*m3 + 4*m3**3 + 4*m1*m3sq + 4*m1*m3sq*B0fin(0,0,m1) + 4*m3**3*B0fin(0,0,m3) - m1sq*T134fin(m3,m1,0) - 3*m3sq*T134fin(m3,m1,0)) + 2*(m1sq - m3sq)**2*(m3sq - m7sq)**2*(-2*(m1sq - m3sq)*(m1 + m7)*(m1sq + m7sq) - (m1sq - m7sq)*(m3sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + (m1**4 + 2*m1sq*m7sq - m7sq*(2*m3sq + m7sq))*T134fin(m7,m1,0)) + 2*(m1sq - m3sq)**2*(m1sq - m7sq)**3*(m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m3,0)))/((m1sq - m3sq)**4*(m1sq - m7sq)**3*(m3sq - m7sq)**3)
		def eval_88():
			return (-2*m1sq*(m2sq - m7sq)**3*((m1sq + 3*m2sq)*(m1sq - m7sq)**2 + 2*(m1sq - m2sq)**2*m7sq)*B0del(0,0,m1sq) - (m1sq - m2sq)**2*(m1sq - m7sq)**2*(m2sq - m7sq)**3*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 2*(-m2sq + m7sq)**3*(m1**3 - m1*m7sq)**2*(-4*m2sq + (m1sq + 3*m2sq)*B0del(0,0,m2sq) + (-m1sq + m2sq)*B0fin(0,0,m2sq)) + 2*m1sq*(m2sq - m7sq)**3*B0fin(0,0,m1sq)*(-((m1sq - m7sq)**2*(-m1sq + m2sq + (m1sq + 3*m2sq)*B0fin(0,0,m2sq))) - 2*(m1sq - m2sq)**2*m7sq*(-1 + B0fin(0,0,m7sq))) - 4*m1sq*(m1sq - m2sq)**2*(m2sq - m7sq)**3*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)) + (m1sq - m2sq)**2*(m1sq - m7sq)**2*m7sq*(8*(m1sq - m2sq)*m2sq - 2*(-3*m2**4 + m2sq*m7sq + m1sq*(m2sq + m7sq))*B0del(0,0,m2sq) - 2*(-3*m2**4 + m2sq*m7sq + m1sq*(m2sq + m7sq))*B0del(0,0,m7sq) - 2*(m1sq*(3*m2sq - m7sq) - m2sq*(m2sq + m7sq))*B0fin(0,0,m2sq) - (m1sq*(6*m2sq - 2*m7sq) - 2*m2sq*(m2sq + m7sq) + 2*(-3*m2**4 + m2sq*m7sq + m1sq*(m2sq + m7sq))*B0fin(0,0,m2sq))*B0fin(0,0,m7sq)) + 2*(m1sq - m7sq)**2*(-m2sq + m7sq)**3*(4*m1**3 + 4*m1sq*m2 + 2*m2**3 + 2*m1*m2sq + 4*m1**3*B0fin(0,0,m1) + 4*m1sq*m2*B0fin(0,0,m2) - 3*m1sq*T134fin(m2,m1,0) - m2sq*T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**2*(m2sq - m7sq)**3*(m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m7sq)**2*(2*(-m1sq + m2sq)*(m2 + m7)*(m2sq + m7sq) + (m2sq - m7sq)*(m1sq + m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) - (m2**4 + 2*m2sq*m7sq - m7sq*(2*m1sq + m7sq))*T134fin(m7,m2,0)))/(2.*(m1sq - m2sq)**4*(m1sq - m7sq)**3*(m2sq - m7sq)**3)
		def eval_89():
			return -0.5*(2*(m3sq - m5sq)**3*(3*m1**8 + m3**4*m5**4 + m1**6*(m3sq - m5sq) - 8*m1**4*m3sq*m5sq + m1sq*m3sq*m5sq*(m3sq + 3*m5sq))*B0del(0,0,m1sq) + 2*(m1sq - m5sq)**3*(m3**3 - m3*m5sq)**2*(-4*m1sq + (3*m1sq + m3sq)*B0del(0,0,m3sq) + (m1sq - m3sq)*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*(m1sq - m5sq)**3*(m3sq - m5sq)**2*(6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2) - (m1sq - m3sq)**2*(m3sq - m5sq)**2*m5sq*(-8*m1**4 + 8*m1sq*m3sq - 2*(-3*m1**4 + m3sq*m5sq + m1sq*(m3sq + m5sq))*B0del(0,0,m5sq) + 2*(m1**4 + m3sq*m5sq + m1sq*(-3*m3sq + m5sq))*B0fin(0,0,m5sq)) + 4*(m1sq - m3sq)**2*m3sq*(m1sq - m5sq)**3*m5sq*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) - B0fin(0,0,m5sq) + B0fin(0,0,m3sq)*B0fin(0,0,m5sq)) + (m3sq - m5sq)**2*B0fin(0,0,m1sq)*(2*m3sq*(m1sq - m5sq)**3*(m1sq - m3sq + (3*m1sq + m3sq)*B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*m5sq*(-2*(m1**4 + m3sq*m5sq + m1sq*(-3*m3sq + m5sq)) + 2*(-3*m1**4 + m3sq*m5sq + m1sq*(m3sq + m5sq))*B0fin(0,0,m5sq))) + 2*(m1sq - m5sq)**3*(m3sq - m5sq)**2*(2*m1**3 + 2*m1sq*m3 + 4*m3**3 + 4*m1*m3sq + 4*m1*m3sq*B0fin(0,0,m1) + 4*m3**3*B0fin(0,0,m3) - m1sq*T134fin(m3,m1,0) - 3*m3sq*T134fin(m3,m1,0)) + 2*(m1sq - m3sq)**2*(m3sq - m5sq)**2*(-2*(m1sq - m3sq)*(m1 + m5)*(m1sq + m5sq) - (m1sq - m5sq)*(m3sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + (m1**4 + 2*m1sq*m5sq - m5sq*(2*m3sq + m5sq))*T134fin(m5,m1,0)) + 2*(m1sq - m3sq)**2*(m1sq - m5sq)**3*(m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m3,0)))/((m1sq - m3sq)**4*(m1sq - m5sq)**3*(m3sq - m5sq)**3)
		def eval_90():
			return (-2*m1sq*(m2sq - m5sq)**3*((m1sq + 3*m2sq)*(m1sq - m5sq)**2 + 2*(m1sq - m2sq)**2*m5sq)*B0del(0,0,m1sq) - (m1sq - m2sq)**2*(m1sq - m5sq)**2*(m2sq - m5sq)**3*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 2*(-m2sq + m5sq)**3*(m1**3 - m1*m5sq)**2*(-4*m2sq + (m1sq + 3*m2sq)*B0del(0,0,m2sq) + (-m1sq + m2sq)*B0fin(0,0,m2sq)) + 2*m1sq*(m2sq - m5sq)**3*B0fin(0,0,m1sq)*(-((m1sq - m5sq)**2*(-m1sq + m2sq + (m1sq + 3*m2sq)*B0fin(0,0,m2sq))) - 2*(m1sq - m2sq)**2*m5sq*(-1 + B0fin(0,0,m5sq))) - 4*m1sq*(m1sq - m2sq)**2*(m2sq - m5sq)**3*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) + (m1sq - m2sq)**2*(m1sq - m5sq)**2*m5sq*(8*(m1sq - m2sq)*m2sq - 2*(-3*m2**4 + m2sq*m5sq + m1sq*(m2sq + m5sq))*B0del(0,0,m2sq) - 2*(-3*m2**4 + m2sq*m5sq + m1sq*(m2sq + m5sq))*B0del(0,0,m5sq) - 2*(m1sq*(3*m2sq - m5sq) - m2sq*(m2sq + m5sq))*B0fin(0,0,m2sq) - (m1sq*(6*m2sq - 2*m5sq) - 2*m2sq*(m2sq + m5sq) + 2*(-3*m2**4 + m2sq*m5sq + m1sq*(m2sq + m5sq))*B0fin(0,0,m2sq))*B0fin(0,0,m5sq)) + 2*(m1sq - m5sq)**2*(-m2sq + m5sq)**3*(4*m1**3 + 4*m1sq*m2 + 2*m2**3 + 2*m1*m2sq + 4*m1**3*B0fin(0,0,m1) + 4*m1sq*m2*B0fin(0,0,m2) - 3*m1sq*T134fin(m2,m1,0) - m2sq*T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**2*(m2sq - m5sq)**3*(m1sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m1,0)) + 2*(m1sq - m2sq)**2*(m1sq - m5sq)**2*(2*(-m1sq + m2sq)*(m2 + m5)*(m2sq + m5sq) + (m2sq - m5sq)*(m1sq + m5sq)*(m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - (m2**4 + 2*m2sq*m5sq - m5sq*(2*m1sq + m5sq))*T134fin(m5,m2,0)))/(2.*(m1sq - m2sq)**4*(m1sq - m5sq)**3*(m2sq - m5sq)**3)
		def eval_91():
			return -0.5*(4*m1sq*(m2sq - m3sq)**3*(m1**6 + m1**4*m2sq + 2*m2sq*m3**4 + m2**4*m3sq - 5*m1sq*m2sq*m3sq)*B0del(0,0,m1sq) + (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 4*m1sq*m2sq*(m1sq + m2sq - 2*m3sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2) - 4*m1sq*(m2sq - m3sq)**2*B0fin(0,0,m1sq)*(-(m2sq*(m1sq + m2sq - 2*m3sq)*(m1sq - m3sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**3*m3sq*(-1 + B0fin(0,0,m3sq))) - 4*m1sq*(m1sq - m2sq)**3*(m2sq - m3sq)**2*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 4*m2sq*(-m1sq + m2sq)**3*(m1sq - m3sq)**2*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + 2*(m1sq + m2sq)*(m1sq + m2sq - 2*m3sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**3*(m2sq - m3sq)**2*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**3*(m1sq - m3sq)**2*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)**4*(m1sq - m3sq)**3*(m2sq - m3sq)**3)
		def eval_92():
			return -0.5*(4*m1sq*(m2sq - m3sq)**3*(m1**6 + m1**4*m2sq + 2*m2sq*m3**4 + m2**4*m3sq - 5*m1sq*m2sq*m3sq)*B0del(0,0,m1sq) + (m1sq - m2sq)**2*(m1sq - m3sq)**2*(m2sq - m3sq)**3*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2) + 4*m1sq*m2sq*(m1sq + m2sq - 2*m3sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)) + (m1sq - m2sq)**2*(m1sq - m3sq)**3*(m2sq - m3sq)**2*(6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2) - 4*m1sq*(m2sq - m3sq)**2*B0fin(0,0,m1sq)*(-(m2sq*(m1sq + m2sq - 2*m3sq)*(m1sq - m3sq)**2*(-1 + B0fin(0,0,m2sq))) + (m1sq - m2sq)**3*m3sq*(-1 + B0fin(0,0,m3sq))) - 4*m1sq*(m1sq - m2sq)**3*(m2sq - m3sq)**2*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)) - 4*m2sq*(-m1sq + m2sq)**3*(m1sq - m3sq)**2*m3sq*(B0del(0,0,m2sq) + B0del(0,0,m3sq) - B0fin(0,0,m2sq) - B0fin(0,0,m3sq) + B0fin(0,0,m2sq)*B0fin(0,0,m3sq)) + 2*(m1sq + m2sq)*(m1sq + m2sq - 2*m3sq)*(m1sq - m3sq)**2*(m2sq - m3sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) - 2*(m1sq - m2sq)**3*(m2sq - m3sq)**2*(m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)) + 2*(m1sq - m2sq)**3*(m1sq - m3sq)**2*(m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)**4*(m1sq - m3sq)**3*(m2sq - m3sq)**3)
		def eval_93():
			return ((2*(2*m1sq*m3sq*(m1sq - m7sq)**3 + (m1sq - m3sq)**2*m7sq*(3*m1**4 - m3sq*m7sq - m1sq*(m3sq + m7sq)))*B0del(0,0,m1sq))/(m1sq - m3sq)**4 + ((m1sq - m7sq)**3*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/(m1**3 - m1*m3sq)**2 + (4*m1sq*m3sq*(m1sq - m7sq)**3*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/(m1sq - m3sq)**4 + (2*m7sq*(-4*m1**4 + 4*m1sq*m3sq + (3*m1**4 - m3sq*m7sq - m1sq*(m3sq + m7sq))*B0del(0,0,m7sq) + (m1**4 + m3sq*m7sq + m1sq*(-3*m3sq + m7sq))*B0fin(0,0,m7sq)))/(m1sq - m3sq)**2 + (4*m3sq*m7sq*(-m1sq + m7sq)**3*(B0del(0,0,m3sq) + B0del(0,0,m7sq) - B0fin(0,0,m3sq) - B0fin(0,0,m7sq) + B0fin(0,0,m3sq)*B0fin(0,0,m7sq)))/((m1sq - m3sq)**2*(m3sq - m7sq)**2) + (2*B0fin(0,0,m1sq)*(2*m1sq*m3sq*(m1sq - m7sq)**3*(-1 + B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*m7sq*(m1**4 + m3sq*m7sq + m1sq*(-3*m3sq + m7sq) + (3*m1**4 - m3sq*m7sq - m1sq*(m3sq + m7sq))*B0fin(0,0,m7sq))))/(m1sq - m3sq)**4 + (2*(m1sq + m3sq)*(m1sq - m7sq)**3*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/(m1sq - m3sq)**4 + (2*(2*(m1sq - m3sq)*(m1 + m7)*(m1sq + m7sq) + (m1sq - m7sq)*(m3sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + (-m1**4 + m7**4 - 2*m1sq*m7sq + 2*m3sq*m7sq)*T134fin(m7,m1,0)))/(m1sq - m3sq)**2 - (2*(m1sq - m7sq)**3*(m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m3,0)))/((m1sq - m3sq)**2*(m3sq - m7sq)**2))/(2.*(m1sq - m7sq)**4)
		def eval_94():
			return ((2*(2*m1sq*m3sq*(m1sq - m5sq)**3 + (m1sq - m3sq)**2*m5sq*(3*m1**4 - m3sq*m5sq - m1sq*(m3sq + m5sq)))*B0del(0,0,m1sq))/(m1sq - m3sq)**4 + ((m1sq - m5sq)**3*(3*(m1sq + m3sq) + 2*m1sq*B0del(0,0,m1sq) - 2*(2*m1sq + m3sq)*B0fin(0,0,m1sq) + m1sq*B0fin(0,0,m1sq)**2))/(m1**3 - m1*m3sq)**2 + (4*m1sq*m3sq*(m1sq - m5sq)**3*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/(m1sq - m3sq)**4 + (2*m5sq*(-4*m1**4 + 4*m1sq*m3sq + (3*m1**4 - m3sq*m5sq - m1sq*(m3sq + m5sq))*B0del(0,0,m5sq) + (m1**4 + m3sq*m5sq + m1sq*(-3*m3sq + m5sq))*B0fin(0,0,m5sq)))/(m1sq - m3sq)**2 + (4*m3sq*m5sq*(-m1sq + m5sq)**3*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) - B0fin(0,0,m5sq) + B0fin(0,0,m3sq)*B0fin(0,0,m5sq)))/((m1sq - m3sq)**2*(m3sq - m5sq)**2) + (2*B0fin(0,0,m1sq)*(2*m1sq*m3sq*(m1sq - m5sq)**3*(-1 + B0fin(0,0,m3sq)) + (m1sq - m3sq)**2*m5sq*(m1**4 + m3sq*m5sq + m1sq*(-3*m3sq + m5sq) + (3*m1**4 - m3sq*m5sq - m1sq*(m3sq + m5sq))*B0fin(0,0,m5sq))))/(m1sq - m3sq)**4 + (2*(m1sq + m3sq)*(m1sq - m5sq)**3*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/(m1sq - m3sq)**4 + (2*(2*(m1sq - m3sq)*(m1 + m5)*(m1sq + m5sq) + (m1sq - m5sq)*(m3sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + (-m1**4 + m5**4 - 2*m1sq*m5sq + 2*m3sq*m5sq)*T134fin(m5,m1,0)))/(m1sq - m3sq)**2 - (2*(m1sq - m5sq)**3*(m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m3,0)))/((m1sq - m3sq)**2*(m3sq - m5sq)**2))/(2.*(m1sq - m5sq)**4)
		def eval_95():
			return (4*m1sq*(m2sq*(m1sq + m2sq)*(m1sq - m3sq)**4 - (m1sq - m2sq)**4*m3sq*(m1sq + m3sq))*B0del(0,0,m1sq) + 2*(m1sq - m2sq)**3*(m1sq - m3sq)**3*(m2sq - m3sq)*(-3 + 2*B0fin(0,0,m1sq)) - 2*m1sq*m2sq*(m1sq - m3sq)**4*(8*m1sq - 2*(m1sq + m2sq)*B0del(0,0,m2sq) + (-6*m1sq + 2*m2sq)*B0fin(0,0,m2sq)) + 2*m1sq*(m1sq - m2sq)**4*m3sq*(8*m1sq - 2*(m1sq + m3sq)*B0del(0,0,m3sq) + (-6*m1sq + 2*m3sq)*B0fin(0,0,m3sq)) + 4*m1sq*B0fin(0,0,m1sq)*(m2sq*(m1sq - m3sq)**4*(3*m1sq - m2sq + (m1sq + m2sq)*B0fin(0,0,m2sq)) - (m1sq - m2sq)**4*m3sq*(3*m1sq - m3sq + (m1sq + m3sq)*B0fin(0,0,m3sq))) + 4*m1sq*(m1sq - m3sq)**4*(2*(m1 + m2)*(m1sq + m2sq) + (-m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m2sq*T134fin(m2,m1,0)) - 4*m1sq*(m1sq - m2sq)**4*(2*(m1 + m3)*(m1sq + m3sq) + (-m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*m3sq*T134fin(m3,m1,0)))/(4.*m1**2*(m1sq - m2sq)**4*(m1sq - m3sq)**4*(m2sq - m3sq))
		def eval_96():
			return (4*m1sq*(m2sq*(m1sq + m2sq)*(m1sq - m3sq)**4 - (m1sq - m2sq)**4*m3sq*(m1sq + m3sq))*B0del(0,0,m1sq) + 2*(m1sq - m2sq)**3*(m1sq - m3sq)**3*(m2sq - m3sq)*(-3 + 2*B0fin(0,0,m1sq)) - 2*m1sq*m2sq*(m1sq - m3sq)**4*(8*m1sq - 2*(m1sq + m2sq)*B0del(0,0,m2sq) + (-6*m1sq + 2*m2sq)*B0fin(0,0,m2sq)) + 2*m1sq*(m1sq - m2sq)**4*m3sq*(8*m1sq - 2*(m1sq + m3sq)*B0del(0,0,m3sq) + (-6*m1sq + 2*m3sq)*B0fin(0,0,m3sq)) + 4*m1sq*B0fin(0,0,m1sq)*(m2sq*(m1sq - m3sq)**4*(3*m1sq - m2sq + (m1sq + m2sq)*B0fin(0,0,m2sq)) - (m1sq - m2sq)**4*m3sq*(3*m1sq - m3sq + (m1sq + m3sq)*B0fin(0,0,m3sq))) + 4*m1sq*(m1sq - m3sq)**4*(2*(m1 + m2)*(m1sq + m2sq) + (-m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) - 2*m2sq*T134fin(m2,m1,0)) - 4*m1sq*(m1sq - m2sq)**4*(2*(m1 + m3)*(m1sq + m3sq) + (-m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) - 2*m3sq*T134fin(m3,m1,0)))/(4.*m1**2*(m1sq - m2sq)**4*(m1sq - m3sq)**4*(m2sq - m3sq))
		def eval_97():
			return (8*m3**4*m5sq*m6**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) - 4*m3sq*m5sq*(m5sq*m6 - m6**3)**2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) + 8*m3**4*m5**4*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) - 4*m3**6*m5sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq)) - 8*m3**4*m4sq*m6**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 4*m3sq*m4sq*(m4sq*m6 - m6**3)**2*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 8*m3**4*m4**4*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 4*m3**6*m4sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 2*m3sq*m5sq*(m5 + m6)*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m3sq*m4sq*(m4 + m6)*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 2*m3sq*(m5 + m6)*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m3sq*(m4 + m6)*(m5sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m3sq*m5sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m3sq) + 2*m3sq*m4sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m3sq) + m3sq*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m3sq) - m3**6*m4**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) + m3**4*m4**6*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) + m3**4*m4sq*m6**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) + 2*m3sq*m4sq*(m4sq*m6 - m6**3)**2*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) + 2*m3sq*m4sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) + 6*m3**4*m4**4*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) - m3**6*m4sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m4sq) + m3**6*m5**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) - m3**4*m5**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) - m3**4*m5sq*m6**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) - 2*m3sq*m5sq*(m5sq*m6 - m6**3)**2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) - 2*m3sq*m5sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) - 6*m3**4*m5**4*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) + m3**6*m5sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m5sq) + m3**6*m5**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m6sq) - m3**4*m5**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m6sq) - m3**4*m5sq*m6**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m6sq) - 2*m3sq*m5sq*(m5sq*m6 - m6**3)**2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m6sq) - 6*m3**4*m5**4*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m6sq) + m3**6*m5sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0del(0,0,m6sq) - m3**6*m4**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m3**4*m4**6*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m3**4*m4sq*m6**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 2*m3sq*m4sq*(m4sq*m6 - m6**3)**2*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 6*m3**4*m4**4*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - m3**6*m4sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m3sq*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 2*m3sq*m5sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m3sq) - 2*m3sq*m4sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m3sq) - m3sq*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m3sq) + m3**6*m4**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) - m3**4*m4**6*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) + 7*m3**4*m4sq*m6**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) - 6*m3sq*m4sq*(m4sq*m6 - m6**3)**2*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) - 2*m3sq*m4sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) + 2*m3**4*m4**4*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) - 3*m3**6*m4sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq) + 2*m3sq*m4sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - m3**6*m5**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) + m3**4*m5**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) - 7*m3**4*m5sq*m6**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) + 6*m3sq*m5sq*(m5sq*m6 - m6**3)**2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) + 2*m3sq*m5sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) - 2*m3**4*m5**4*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) + 3*m3**6*m5sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq) - 2*m3sq*m5sq*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 2*m3sq*m4sq*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m4 + m6)/2. + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) - 2*(m4sq - m6sq)**2*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m4 + m6)/2. + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*m3sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m4 + m6)/2. + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*(m4sq - m6sq)**3*(m3sq + m4sq - m6sq)*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m3 + m4 + m6)/2. + m3*B0fin(0,0,m3) + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*m3sq*m5sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m5 + m6)/2. + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + 2*(m4sq - m6sq)**3*(m5sq - m6sq)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m5 + m6)/2. + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - 2*m3sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m5 + m6)/2. + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - 2*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3sq + m5sq - m6sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*((m3 + m5 + m6)/2. + m3*B0fin(0,0,m3) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - m3**6*m5**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m6sq) + m3**4*m5**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m6sq) - 7*m3**4*m5sq*m6**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m6sq) + 6*m3sq*m5sq*(m5sq*m6 - m6**3)**2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m6sq) - 2*m3**4*m5**4*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m6sq) + 3*m3**6*m5sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m6sq) + m3**6*m4**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - m3**4*m4**6*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 7*m3**4*m4sq*m6**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 6*m3sq*m4sq*(m4sq*m6 - m6**3)**2*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 2*m3**4*m4**4*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 3*m3**6*m4sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - m3sq*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + m3sq*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - m3**6*m4**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m3**4*m4**6*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m3**4*m4sq*m6**4*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m3sq*m4sq*(m4sq*m6 - m6**3)**2*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m3**4*m4**4*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m3**6*m4sq*(m5sq - m6sq)**3*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m3**6*m5**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - m3**4*m5**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - m3**4*m5sq*m6**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 2*m3sq*m5sq*(m5sq*m6 - m6**3)**2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 6*m3**4*m5**4*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m3**6*m5sq*(m4sq - m6sq)**3*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 2*m3sq*m4sq*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m4,0) + (m4sq - m6sq)**2*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m4,0) - (m4sq - m6sq)**3*(m3sq + m4sq - m6sq)*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m4,m3) - 2*m3sq*m5sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,0) - (m4sq - m6sq)**3*(m5sq - m6sq)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,0) + (m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3sq + m5sq - m6sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*T134fin(m6,m5,m3))/(m3**4*(m4sq - m5sq)*(m4sq - m6sq)**3*(m5sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)))
		def eval_98():
			return (-4*m3sq*m4sq*(m5sq - m7sq)**3*(m4**4 - m5sq*m7sq)*B0del(0,0,m4sq) - 4*m3sq*m4sq*m5sq*(m4sq - m7sq)**2*(m5sq - m7sq)**2*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) + (m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*(-6*m3sq + 4*m5sq - 2*(m3sq - 2*m5sq)*B0del(0,0,m5sq) + (6*m3sq + 4*m5sq)*B0fin(0,0,m5sq) - (m3sq - 2*m5sq)*B0fin(0,0,m5sq)**2) + 4*m3sq*m4sq*(m5sq - m7sq)**2*B0fin(0,0,m4sq)*(-(m5sq*(m4sq - m7sq)**2*(-1 + B0fin(0,0,m5sq))) + (m4sq - m5sq)**2*m7sq*(-1 + B0fin(0,0,m7sq))) + 4*m3sq*m4sq*(m4sq - m5sq)**2*(m5sq - m7sq)**2*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)) - 4*m3sq*(m4sq - m5sq)**2*m5sq*(m4sq - m7sq)**2*m7sq*(B0del(0,0,m5sq) + B0del(0,0,m7sq) - B0fin(0,0,m5sq) - B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)) - 2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) - (-(m4sq - m5sq)**2 + m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)) + 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m5,m4,m3) - 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m5,m5,m3) + 2*(m4sq - m5sq)**2*(m5sq - m7sq)**2*(m3sq*(m4sq + m7sq)*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + ((m4sq - m7sq)**2 - m3sq*(m4sq + m7sq))*T134fin(m7,m4,0)) - 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m7,m4,m3) - 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m3sq*(m5sq + m7sq)*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - (-(m5sq - m7sq)**2 + m3sq*(m5sq + m7sq))*T134fin(m7,m5,0)) + 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m7,m5,m3))/(2.*m3**4*(m4sq - m5sq)**3*(m4sq - m7sq)**2*(m5sq - m7sq)**3)
		def eval_99():
			return (-8*m3**4*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4 - 8*m3**4*m4**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq + 4*m3**6*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq + 4*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m4**3 - m4*m7sq)**2 - 2*m3sq*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4 + m7)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 8*m3**4*m4sq*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 8*m3**4*m4**4*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 4*m3**6*m4sq*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 4*m3sq*m6sq*(m4**3 - m4*m6sq)**2*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 2*m3sq*m4sq*(m4 + m6)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 2*m3sq*(m4 + m6)*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4 + m7)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*m7sq*B0del(0,0,m3sq) + 2*m3sq*(m4sq - m6sq)**3*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m3sq) + m3sq*(m4sq - m6sq)**3*(m4sq - m7sq)**3*(m6sq - m7sq)*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m3sq) - m3**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0del(0,0,m4sq) + 6*m3**4*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0del(0,0,m4sq) + m3**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**6*B0del(0,0,m4sq) + m3**4*m4**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0del(0,0,m4sq) - m3**6*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0del(0,0,m4sq) + 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m4sq) + m3**6*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 6*m3**4*m4sq*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m3**4*m6**6*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m3**4*m4**4*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m3**6*m4sq*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m3sq*m6sq*(m4**3 - m4*m6sq)**2*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m3sq*(m4sq - m6sq)**3*(m4sq - m7sq)**3*(m6sq - m7sq)*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m4sq) + m3**6*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) - 6*m3**4*m4sq*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) - m3**4*m6**6*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) - m3**4*m4**4*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) + m3**6*m4sq*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) + 2*m3sq*(m4sq - m6sq)**3*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) - 2*m3sq*m6sq*(m4**3 - m4*m6sq)**2*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m6sq) - m3**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0del(0,0,m7sq) + 6*m3**4*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0del(0,0,m7sq) + m3**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**6*B0del(0,0,m7sq) + m3**4*m4**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0del(0,0,m7sq) - m3**6*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0del(0,0,m7sq) - 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*m7sq*B0del(0,0,m7sq) + 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m7sq) + 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m3sq) - 2*m3sq*(m4sq - m6sq)**3*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m3sq) - m3sq*(m4sq - m6sq)**3*(m4sq - m7sq)**3*(m6sq - m7sq)*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m3sq) + m3**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0fin(0,0,m4sq) + 2*m3**4*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0fin(0,0,m4sq) - m3**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**6*B0fin(0,0,m4sq) + 7*m3**4*m4**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0fin(0,0,m4sq) - 3*m3**6*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0fin(0,0,m4sq) - 6*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq) - m3**6*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 2*m3**4*m4sq*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + m3**4*m6**6*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 7*m3**4*m4**4*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 3*m3**6*m4sq*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 6*m3sq*m6sq*(m4**3 - m4*m6sq)**2*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - m3sq*(m4sq - m6sq)**3*(m4sq - m7sq)**3*(m6sq - m7sq)*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m4sq) + m3sq*(m4sq - m6sq)**3*(m4sq - m7sq)**3*(m6sq - m7sq)*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 2*m3sq*m4sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m4 + m6)/2. + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*(m4sq - m6sq)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m4 + m6)/2. + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*m3sq*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m4 + m6)/2. + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) + 2*(m4sq - m6sq)**3*(m3sq - m4sq + m6sq)*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m3 + m4 + m6)/2. + m3*B0fin(0,0,m3) + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)) - m3**6*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) - 2*m3**4*m4sq*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) + m3**4*m6**6*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) - 7*m3**4*m4**4*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) + 3*m3**6*m4sq*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) - 2*m3sq*(m4sq - m6sq)**3*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) + 6*m3sq*m6sq*(m4**3 - m4*m6sq)**2*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m6sq) + 2*m3sq*(m4sq - m6sq)**3*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + m3**6*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m3**4*m4sq*m6**4*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m3**4*m6**6*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - m3**4*m4**4*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m3**6*m4sq*m6sq*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m3sq*m6sq*(m4**3 - m4*m6sq)**2*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m3sq*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m4 + m7)/2. + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m4 + m7)/2. + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m4 + m7)/2. + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3sq - m4sq + m7sq)*((m3 + m4 + m7)/2. + m3*B0fin(0,0,m3) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + m3**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0fin(0,0,m7sq) + 2*m3**4*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0fin(0,0,m7sq) - m3**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**6*B0fin(0,0,m7sq) + 7*m3**4*m4**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0fin(0,0,m7sq) - 3*m3**6*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0fin(0,0,m7sq) + 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq) - 6*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m7sq) - 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - m3**6*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m3**4*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m3**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m3**4*m4**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m3**6*m4sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - (m4sq - m6sq)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m6,m4,0) - 2*m3sq*m6sq*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m6,m4,0) - (m4sq - m6sq)**3*(m3sq - m4sq + m6sq)*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m6,m4,m3) + (m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,0) + 2*m3sq*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,0) + (m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/(m3**4*(m4sq - m6sq)**3*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m4sq - m7sq)**3*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)))
		def eval_100():
			return (4*m3sq*m4sq*(m5sq - m7sq)**2*(m5sq*(m4sq - m7sq)**2 + (m4sq - m5sq)**2*m7sq)*B0del(0,0,m4sq) + (m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*(6*m3sq - 4*m4sq + 2*(m3sq - 2*m4sq)*B0del(0,0,m4sq) - 2*(3*m3sq + 2*m4sq)*B0fin(0,0,m4sq) + (m3sq - 2*m4sq)*B0fin(0,0,m4sq)**2) + 4*m3sq*m4sq*m5sq*(m4sq - m7sq)**2*(m5sq - m7sq)**2*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)) - 4*m3sq*m4sq*(m5sq - m7sq)**2*B0fin(0,0,m4sq)*(-(m5sq*(m4sq - m7sq)**2*(-1 + B0fin(0,0,m5sq))) - (m4sq - m5sq)**2*m7sq*(-1 + B0fin(0,0,m7sq))) + 4*m3sq*m4sq*(m4sq - m5sq)**2*(m5sq - m7sq)**2*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)) - 4*m3sq*(m4sq - m5sq)**2*m5sq*(m4sq - m7sq)**2*m7sq*(B0del(0,0,m5sq) + B0del(0,0,m7sq) - B0fin(0,0,m5sq) - B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)) + 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m4,m4,m3) + 2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*(m3sq*(m4sq + m5sq)*(m4 + m5 + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)) + ((m4sq - m5sq)**2 - m3sq*(m4sq + m5sq))*T134fin(m5,m4,0)) - 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m5,m4,m3) + 2*(m4sq - m5sq)**2*(m5sq - m7sq)**2*(m3sq*(m4sq + m7sq)*(m4 + m7 + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + ((m4sq - m7sq)**2 - m3sq*(m4sq + m7sq))*T134fin(m7,m4,0)) - 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m7,m4,m3) - 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m3sq*(m5sq + m7sq)*(m5 + m7 + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) - (-(m5sq - m7sq)**2 + m3sq*(m5sq + m7sq))*T134fin(m7,m5,0)) + 2*(m4sq - m5sq)**2*(m4sq - m7sq)**2*(m5sq - m7sq)**2*T134fin(m7,m5,m3))/(2.*m3**4*(m4sq - m5sq)**3*(m4sq - m7sq)**3*(m5sq - m7sq)**2)
		def eval_101():
			return (2*m1sq*(m1**4 - m3sq*m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m1sq - m7sq)**2) + (2*m3sq*((m2sq*(m3sq - m7sq)**2)/((-m1sq + m2sq)*(m2sq - m3sq)**3) + m7sq/((m1sq - m3sq)*(-m2sq + m3sq)))*B0del(0,0,m3sq))/(m3sq - m7sq)**3 + (2*m2sq*m3sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3*(m3sq - m7sq)) + (2*m1sq*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m3sq - m7sq)) + (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*(m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m7sq)) + (2*m3sq*B0fin(0,0,m3sq)*((m2sq*(m3sq - m7sq)**2*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3) + (m7sq*(-1 + B0fin(0,0,m7sq)))/((m1sq - m3sq)*(-m2sq + m3sq))))/(m3sq - m7sq)**3 + (2*m1sq*B0fin(0,0,m1sq)*(m3sq*(-1 + B0fin(0,0,m3sq)) - ((m1sq - m3sq)**2*m7sq*(-1 + B0fin(0,0,m7sq)))/(m1sq - m7sq)**2))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m3sq - m7sq)) + (2*m3sq*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m7sq)**3) - (2*m1sq*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m7sq)**2*(m3sq - m7sq)) + (2*m2sq*m7sq*(B0del(0,0,m2sq) + B0del(0,0,m7sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)**2*(m3sq - m7sq)) + ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m3sq - m7sq)) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)**3*(m3sq - m7sq)) - ((m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m7sq)**2*(m3sq - m7sq)) + ((m2sq + m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)**2*(m3sq - m7sq)) + ((m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m7sq)**3)
		def eval_102():
			return (2*m1sq*(m1**4 - m3sq*m5sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m1sq - m5sq)**2) + (2*m3sq*((m2sq*(m3sq - m5sq)**2)/((-m1sq + m2sq)*(m2sq - m3sq)**3) + m5sq/((m1sq - m3sq)*(-m2sq + m3sq)))*B0del(0,0,m3sq))/(m3sq - m5sq)**3 + (2*m2sq*m3sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3*(m3sq - m5sq)) + (2*m1sq*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m3sq - m5sq)) + (6 + 2*B0del(0,0,m3sq) - 6*B0fin(0,0,m3sq) + B0fin(0,0,m3sq)**2)/(2.*(m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)) + (2*m3sq*B0fin(0,0,m3sq)*((m2sq*(m3sq - m5sq)**2*(-1 + B0fin(0,0,m2sq)))/((-m1sq + m2sq)*(m2sq - m3sq)**3) + (m5sq*(-1 + B0fin(0,0,m5sq)))/((m1sq - m3sq)*(-m2sq + m3sq))))/(m3sq - m5sq)**3 + (2*m1sq*B0fin(0,0,m1sq)*(m3sq*(-1 + B0fin(0,0,m3sq)) - ((m1sq - m3sq)**2*m5sq*(-1 + B0fin(0,0,m5sq)))/(m1sq - m5sq)**2))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m3sq - m5sq)) + (2*m3sq*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)**3) - (2*m1sq*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)) + (2*m2sq*m5sq*(B0del(0,0,m2sq) + B0del(0,0,m5sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)**2*(m3sq - m5sq)) + ((m1sq + m3sq)*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)**3*(m3sq - m5sq)) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)**3*(m3sq - m5sq)) - ((m1sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m5sq)**2*(m3sq - m5sq)) + ((m2sq + m5sq)*(m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)**2*(m3sq - m5sq)) + ((m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)**3)
		def eval_103():
			return (2*m1sq*(m1**4 - m2sq*m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m1sq - m7sq)**2) + (2*m2sq*(-((m3sq*(m2sq - m7sq)**2)/(-m1sq + m3sq)) + ((m2sq - m3sq)**2*m7sq)/(m1sq - m2sq))*B0del(0,0,m2sq))/((m2sq - m3sq)**3*(m2sq - m7sq)**3) + (2*m1sq*m2sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m7sq)) + (6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2)/(2.*(m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)) - (2*m2sq*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m2sq - m3sq)**3*(-m1sq + m3sq)*(m2sq - m7sq)) + (2*m2sq*B0fin(0,0,m2sq)*(-((m3sq*(m2sq - m7sq)**2*(-1 + B0fin(0,0,m3sq)))/(-m1sq + m3sq)) + ((m2sq - m3sq)**2*m7sq*(-1 + B0fin(0,0,m7sq)))/(m1sq - m2sq)))/((m2sq - m3sq)**3*(m2sq - m7sq)**3) + (2*m1sq*B0fin(0,0,m1sq)*(m2sq*(-1 + B0fin(0,0,m2sq)) - ((m1sq - m2sq)**2*m7sq*(-1 + B0fin(0,0,m7sq)))/(m1sq - m7sq)**2))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m7sq)) + (2*m2sq*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)**3) - (2*m1sq*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m7sq)**2*(m2sq - m7sq)) + (2*m3sq*m7sq*(B0del(0,0,m3sq) + B0del(0,0,m7sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m7sq)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2sq - m7sq)*(m3sq - m7sq)**2) + ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m7sq)) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m2sq - m3sq)**3*(-m1sq + m3sq)*(m2sq - m7sq)) - ((m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m7sq)**2*(m2sq - m7sq)) + ((m2sq + m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)**3) + ((m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2sq - m7sq)*(m3sq - m7sq)**2)
		def eval_104():
			return (2*m1sq*(m1**4 - m2sq*m5sq)*B0del(0,0,m1sq))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m1sq - m5sq)**2) + (2*m2sq*(-((m3sq*(m2sq - m5sq)**2)/(-m1sq + m3sq)) + ((m2sq - m3sq)**2*m5sq)/(m1sq - m2sq))*B0del(0,0,m2sq))/((m2sq - m3sq)**3*(m2sq - m5sq)**3) + (2*m1sq*m2sq*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m5sq)) + (6 + 2*B0del(0,0,m2sq) - 6*B0fin(0,0,m2sq) + B0fin(0,0,m2sq)**2)/(2.*(m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)) - (2*m2sq*m3sq*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m2sq - m3sq)**3*(-m1sq + m3sq)*(m2sq - m5sq)) + (2*m2sq*B0fin(0,0,m2sq)*(-((m3sq*(m2sq - m5sq)**2*(-1 + B0fin(0,0,m3sq)))/(-m1sq + m3sq)) + ((m2sq - m3sq)**2*m5sq*(-1 + B0fin(0,0,m5sq)))/(m1sq - m2sq)))/((m2sq - m3sq)**3*(m2sq - m5sq)**3) + (2*m1sq*B0fin(0,0,m1sq)*(m2sq*(-1 + B0fin(0,0,m2sq)) - ((m1sq - m2sq)**2*m5sq*(-1 + B0fin(0,0,m5sq)))/(m1sq - m5sq)**2))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m5sq)) + (2*m2sq*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)**3) - (2*m1sq*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m5sq)**2*(m2sq - m5sq)) + (2*m3sq*m5sq*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m5sq)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2sq - m5sq)*(m3sq - m5sq)**2) + ((m1sq + m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m1sq - m3sq)*(m2sq - m5sq)) - ((m2sq + m3sq)*(m2 + m3 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m2,0)))/((m2sq - m3sq)**3*(-m1sq + m3sq)*(m2sq - m5sq)) - ((m1sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - m5sq)**2*(m2sq - m5sq)) + ((m2sq + m5sq)*(m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)**3) + ((m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2sq - m5sq)*(m3sq - m5sq)**2)
		def eval_105():
			return -0.5*(-4*m1sq*(-((m2sq*(m1sq - m7sq)**2)/((m1sq - m2sq)**3*(m2sq - m3sq))) - (m3sq*(m1sq - m7sq)**2)/((m1sq - m3sq)**3*(-m2sq + m3sq)) - m7sq/((m1sq - m2sq)*(m1sq - m3sq)))*B0del(0,0,m1sq) + ((m1sq - m7sq)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2))/((m1sq - m2sq)*(m1sq - m3sq)) + (4*m1sq*m2sq*(m1sq - m7sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m2sq - m3sq)) + (4*m1sq*m3sq*(m1sq - m7sq)**2*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m1sq - m3sq)**3*(-m2sq + m3sq)) - 4*m1sq*B0fin(0,0,m1sq)*(-((m2sq*(m1sq - m7sq)**2*(-1 + B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m2sq - m3sq))) - (m3sq*(m1sq - m7sq)**2*(-1 + B0fin(0,0,m3sq)))/((m1sq - m3sq)**3*(-m2sq + m3sq)) - (m7sq*(-1 + B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m1sq - m3sq))) + (4*m1sq*m7sq*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m1sq - m3sq)) - (4*m2sq*(m1sq - m7sq)**2*m7sq*(B0del(0,0,m2sq) + B0del(0,0,m7sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m7sq)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)**2) - (4*m3sq*(m1sq - m7sq)**2*m7sq*(B0del(0,0,m3sq) + B0del(0,0,m7sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m7sq)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m7sq)**2) + (2*(m1sq + m2sq)*(m1sq - m7sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m2sq - m3sq)) + (2*(m1sq + m3sq)*(m1sq - m7sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m3sq)**3*(-m2sq + m3sq)) + (2*(m1sq + m7sq)*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)) - (2*(m1sq - m7sq)**2*(m2sq + m7sq)*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m7sq)**2) - (2*(m1sq - m7sq)**2*(m3sq + m7sq)*(m3 + m7 + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m7sq)**2))/(m1sq - m7sq)**3
		def eval_106():
			return -0.5*(-4*m1sq*(-((m2sq*(m1sq - m5sq)**2)/((m1sq - m2sq)**3*(m2sq - m3sq))) - (m3sq*(m1sq - m5sq)**2)/((m1sq - m3sq)**3*(-m2sq + m3sq)) - m5sq/((m1sq - m2sq)*(m1sq - m3sq)))*B0del(0,0,m1sq) + ((m1sq - m5sq)**2*(6 + 2*B0del(0,0,m1sq) - 6*B0fin(0,0,m1sq) + B0fin(0,0,m1sq)**2))/((m1sq - m2sq)*(m1sq - m3sq)) + (4*m1sq*m2sq*(m1sq - m5sq)**2*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m2sq - m3sq)) + (4*m1sq*m3sq*(m1sq - m5sq)**2*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/((m1sq - m3sq)**3*(-m2sq + m3sq)) - 4*m1sq*B0fin(0,0,m1sq)*(-((m2sq*(m1sq - m5sq)**2*(-1 + B0fin(0,0,m2sq)))/((m1sq - m2sq)**3*(m2sq - m3sq))) - (m3sq*(m1sq - m5sq)**2*(-1 + B0fin(0,0,m3sq)))/((m1sq - m3sq)**3*(-m2sq + m3sq)) - (m5sq*(-1 + B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m1sq - m3sq))) + (4*m1sq*m5sq*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m1sq - m3sq)) - (4*m2sq*(m1sq - m5sq)**2*m5sq*(B0del(0,0,m2sq) + B0del(0,0,m5sq) - B0fin(0,0,m2sq) + (-1 + B0fin(0,0,m2sq))*B0fin(0,0,m5sq)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)**2) - (4*m3sq*(m1sq - m5sq)**2*m5sq*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m5sq)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)**2) + (2*(m1sq + m2sq)*(m1sq - m5sq)**2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/((m1sq - m2sq)**3*(m2sq - m3sq)) + (2*(m1sq + m3sq)*(m1sq - m5sq)**2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/((m1sq - m3sq)**3*(-m2sq + m3sq)) + (2*(m1sq + m5sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m1,0)))/((m1sq - m2sq)*(m1sq - m3sq)) - (2*(m1sq - m5sq)**2*(m2sq + m5sq)*(m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m2,0)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - m5sq)**2) - (2*(m1sq - m5sq)**2*(m3sq + m5sq)*(m3 + m5 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m3,0)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - m5sq)**2))/(m1sq - m5sq)**3
		def eval_107():
			return (54*m1sq*m2**6*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + 3*m2sq*(-m1sq + m2sq)*(4*(m1**4 + 4*m2**4 - 5*m1sq*m2sq) + (-4*m1**4 + 20*m2**4 + 14*m1sq*m2sq)*B0del(0,0,m2sq) + (8*m1**4 - 4*m2**4 - 34*m1sq*m2sq)*B0fin(0,0,m2sq) + (-2*m1**4 + 10*m2**4 + 7*m1sq*m2sq)*B0fin(0,0,m2sq)**2) - 18*m2**4*(m1sq - 4*m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) + 18*m2**4*(m1sq - m2sq)*(m1 + 2*m2 + 2*m1*B0fin(0,0,m1) + 4*m2*B0fin(0,0,m2) - T134fin(m2,m2,m1)) + 2*(m1sq - 4*m2sq)*(m1sq - m2sq)*(3*m2*(m1sq + 2*m2sq) + 18*m1sq*m2*B0fin(0,0,m2) - (2*m1sq + m2sq)*T134fin(m2,m2,m2)))/(18.*m2**6*(m1sq - 4*m2sq)*(m1sq - m2sq)**3)
		def eval_108():
			return (54*m1sq*m2**6*(B0del(0,0,m1sq) + B0del(0,0,m2sq) - B0fin(0,0,m1sq) - B0fin(0,0,m2sq) + B0fin(0,0,m1sq)*B0fin(0,0,m2sq)) + 3*m2sq*(-m1sq + m2sq)*(4*(m1**4 + 4*m2**4 - 5*m1sq*m2sq) + (-4*m1**4 + 20*m2**4 + 14*m1sq*m2sq)*B0del(0,0,m2sq) + (8*m1**4 - 4*m2**4 - 34*m1sq*m2sq)*B0fin(0,0,m2sq) + (-2*m1**4 + 10*m2**4 + 7*m1sq*m2sq)*B0fin(0,0,m2sq)**2) - 18*m2**4*(m1sq - 4*m2sq)*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)) + 18*m2**4*(m1sq - m2sq)*(m1 + 2*m2 + 2*m1*B0fin(0,0,m1) + 4*m2*B0fin(0,0,m2) - T134fin(m2,m2,m1)) + 2*(m1sq - 4*m2sq)*(m1sq - m2sq)*(3*m2*(m1sq + 2*m2sq) + 18*m1sq*m2*B0fin(0,0,m2) - (2*m1sq + m2sq)*T134fin(m2,m2,m2)))/(18.*m2**6*(m1sq - 4*m2sq)*(m1sq - m2sq)**3)
		def eval_109():
			return -((m2**8 + 12*m2**4*m4**3 - 22*m2**3*m4**4 + 66*m2**4*m4**4 - 44*m2sq*m4**5 + 32*m2*m4**6 - 92*m2sq*m4**6 + 64*m4**7 - 16*m4**8 + 6*m2**5*m4sq - 16*m2**6*m4sq + 4*m2sq*m4sq*(m2**4 + 6*m4**4 - 4*m2sq*m4sq)*B0del(0,0,m2sq) + 8*m4**4*(m2**4 + 6*m4**4 - 4*m2sq*m4sq)*B0del(0,0,m4sq) - 12*m2**3*m4**4*B0fin(0,0,m2) + 32*m2*m4**6*B0fin(0,0,m2) + 32*m2**4*m4**4*B0fin(0,0,m2sq) - 56*m2sq*m4**6*B0fin(0,0,m2sq) - 2*m2**6*m4sq*B0fin(0,0,m2sq) - 24*m2sq*m4**5*B0fin(0,0,m4) + 64*m4**7*B0fin(0,0,m4) - 28*m2**4*m4**4*B0fin(0,0,m4sq) + 40*m2sq*m4**6*B0fin(0,0,m4sq) - 16*m4**8*B0fin(0,0,m4sq) + 6*m2**6*m4sq*B0fin(0,0,m4sq) - 16*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 24*m2sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 12*m2**4*m4**4*B0fin(0,0,m4sq)**2 - 28*m2sq*m4**6*B0fin(0,0,m4sq)**2 + 24*m4**8*B0fin(0,0,m4sq)**2 - 2*m2**6*m4sq*B0fin(0,0,m4sq)**2 + 16*m2sq*m4**4*T134fin(m4,m4,m2) - 24*m4**6*T134fin(m4,m4,m2) - 4*m2**4*m4sq*T134fin(m4,m4,m2))/(m2**6*m4**2*(m2sq - 4*m4sq)**3))
		def eval_110():
			return (32*m1**7 - 16*m1**8 + 16*m1**6*m7 - 14*m1**4*m7**3 + 38*m1**4*m7**4 - 10*m1sq*m7**6 + m7**8 - 28*m1**5*m7sq - 28*m1**6*m7sq + 16*(m1**8 - m1**6*m7sq)*B0del(0,0,m1sq) + 8*m1**4*(m1sq - m7sq)*m7sq*B0del(0,0,m7sq) + 8*m1**5*m7sq*B0fin(0,0,m1) + 16*m1**8*B0fin(0,0,m1sq) + 4*m1**4*m7**4*B0fin(0,0,m1sq) - 2*m1sq*m7**6*B0fin(0,0,m1sq) - 8*m1**6*m7sq*B0fin(0,0,m1sq) + 8*m1**8*B0fin(0,0,m1sq)**2 + 4*m1**4*m7**4*B0fin(0,0,m1sq)**2 - 12*m1**6*m7sq*B0fin(0,0,m1sq)**2 + 4*m1**4*m7**3*B0fin(0,0,m7) - 16*m1**4*m7**4*B0fin(0,0,m7sq) + 2*m1sq*m7**6*B0fin(0,0,m7sq) - 8*m1**6*m7sq*B0fin(0,0,m7sq) - 8*m1**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 8*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1**6*T134fin(m7,m1,m1) + 8*m1**4*m7sq*T134fin(m7,m1,m1))/(4.*m1**4*m7**4*(4*m1sq - m7sq)**3)
		def eval_111():
			return (32*m1**7 - 16*m1**8 + 16*m1**6*m5 - 14*m1**4*m5**3 + 38*m1**4*m5**4 - 10*m1sq*m5**6 + m5**8 - 28*m1**5*m5sq - 28*m1**6*m5sq + 16*(m1**8 - m1**6*m5sq)*B0del(0,0,m1sq) + 8*m1**4*(m1sq - m5sq)*m5sq*B0del(0,0,m5sq) + 8*m1**5*m5sq*B0fin(0,0,m1) + 16*m1**8*B0fin(0,0,m1sq) + 4*m1**4*m5**4*B0fin(0,0,m1sq) - 2*m1sq*m5**6*B0fin(0,0,m1sq) - 8*m1**6*m5sq*B0fin(0,0,m1sq) + 8*m1**8*B0fin(0,0,m1sq)**2 + 4*m1**4*m5**4*B0fin(0,0,m1sq)**2 - 12*m1**6*m5sq*B0fin(0,0,m1sq)**2 + 4*m1**4*m5**3*B0fin(0,0,m5) - 16*m1**4*m5**4*B0fin(0,0,m5sq) + 2*m1sq*m5**6*B0fin(0,0,m5sq) - 8*m1**6*m5sq*B0fin(0,0,m5sq) - 8*m1**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 8*m1**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**6*T134fin(m5,m1,m1) + 8*m1**4*m5sq*T134fin(m5,m1,m1))/(4.*m1**4*m5**4*(4*m1sq - m5sq)**3)
		def eval_112():
			return (2*(-4*m4sq + (m2sq - 2*m4sq)*B0del(0,0,m2sq) + (m2sq - 2*m4sq)*B0del(0,0,m4sq) - (m2sq - 6*m4sq)*B0fin(0,0,m2sq) + (-m2sq + 6*m4sq + (m2sq - 2*m4sq)*B0fin(0,0,m2sq))*B0fin(0,0,m4sq)))/((m2sq - m3sq)*(m2**3 - 4*m2*m4sq)**2) + (2*(-4*m4sq + (m3sq - 2*m4sq)*B0del(0,0,m3sq) + (m3sq - 2*m4sq)*B0del(0,0,m4sq) - (m3sq - 6*m4sq)*B0fin(0,0,m3sq) + (-m3sq + 6*m4sq + (m3sq - 2*m4sq)*B0fin(0,0,m3sq))*B0fin(0,0,m4sq)))/((-m2sq + m3sq)*(m3**3 - 4*m3*m4sq)**2) + (-(m2sq*m3sq*(22*m4**4*(m3sq - 4*m4sq)**2 + m2sq*(78*m3sq*m4**4 - 176*m4**6 - 9*m3**4*m4sq) + m2**4*(m3**4 + 22*m4**4 - 9*m3sq*m4sq))) + 2*m4sq*(m2**6*(m3sq - 2*m4sq)**2 + m2**4*(m3sq - 8*m4sq)*(m3sq - 2*m4sq)**2 - 4*m2sq*(m3sq - 4*m4sq)**2*(m3sq - m4sq)*m4sq + 4*m4**4*(m3**3 - 4*m3*m4sq)**2)*B0del(0,0,m4sq) - 4*m4sq*(m2sq*(m3sq*m4 - 4*m4**3)**2*(-5*m3sq + 2*m4sq) + 2*m4**4*(m3**3 - 4*m3*m4sq)**2 + m2**4*(m3**6 + 42*m3sq*m4**4 - 16*m4**6 - 13*m3**4*m4sq) + m2**6*(m3**4 + 2*m4**4 - 5*m3sq*m4sq))*B0fin(0,0,m4sq) + m4sq*(m2**6*(m3sq - 2*m4sq)**2 + m2**4*(m3sq - 8*m4sq)*(m3sq - 2*m4sq)**2 - 4*m2sq*(m3sq - 4*m4sq)**2*(m3sq - m4sq)*m4sq + 4*m4**4*(m3**3 - 4*m3*m4sq)**2)*B0fin(0,0,m4sq)**2)/(m2**4*m3**4*m4**2*(m2sq - 4*m4sq)**2*(m3sq - 4*m4sq)**2) + (2*m2sq*(m2 + 2*m4) + (m2sq - 4*m4sq)*(m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4)) - 2*(m2sq - 2*m4sq)*T134fin(m4,m4,m2))/(m2**4*(m2sq - m3sq)*(m2sq - 4*m4sq)**2) + (2*m3sq*(m3 + 2*m4) + (m3sq - 4*m4sq)*(m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4)) - 2*(m3sq - 2*m4sq)*T134fin(m4,m4,m3))/(m3**4*(-m2sq + m3sq)*(m3sq - 4*m4sq)**2)
		def eval_113():
			return ((2*m1sq*(3*m1sq + m2sq - m7sq)*B0del(0,0,m1sq))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (2*m1sq*(m1sq + 3*m2sq - m7sq)*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*(-2*(m1sq - m2sq)*m7sq*(22*m2**4 + m7**4 - 9*m2sq*m7sq) - 2*m2sq*(2*m2sq - m7sq)*(4*m2**4 + m7**4 - 6*m2sq*m7sq + m1sq*(-4*m2sq + 2*m7sq))*B0del(0,0,m2sq) - 2*m2sq*(-8*m2**6 - 10*m2sq*m7**4 + m7**6 + 28*m2**4*m7sq + 4*m1sq*(2*m2**4 + m7**4 - 5*m2sq*m7sq))*B0fin(0,0,m2sq) - m2sq*(2*m2sq - m7sq)*(4*m2**4 + m7**4 - 6*m2sq*m7sq + m1sq*(-4*m2sq + 2*m7sq))*B0fin(0,0,m2sq)**2))/(m7**4*(-4*m2**3 + m2*m7sq)**2) + (4*m1sq*(m1sq - m2sq)*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (2*m1sq*B0fin(0,0,m1sq)*(-3*m1sq - m2sq + m7sq + (m1sq + 3*m2sq - m7sq)*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)*B0fin(0,0,m7sq)))/(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + ((m1sq - m2sq)*(16*(m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq)) + (m1**6*(8*m2sq - 4*m7sq) + 2*m1sq*(12*m2**6 + 6*m2sq*m7**4 - m7**6 - 30*m2**4*m7sq) - 2*m2sq*(4*m2**6 - 7*m2sq*m7**4 + m7**6 + 2*m2**4*m7sq) + m1**4*(-24*m2**4 + 6*m7**4 + 4*m2sq*m7sq))*B0del(0,0,m2sq) + (m1**6*(8*m2sq - 4*m7sq) + 2*m1sq*(12*m2**6 + 6*m2sq*m7**4 - m7**6 - 30*m2**4*m7sq) - 2*m2sq*(4*m2**6 - 7*m2sq*m7**4 + m7**6 + 2*m2**4*m7sq) + m1**4*(-24*m2**4 + 6*m7**4 + 4*m2sq*m7sq))*B0del(0,0,m7sq) + (4*m1**6*(-6*m2sq + m7sq) + 2*m2sq*(12*m2**6 + m2sq*m7**4 + m7**6 - 14*m2**4*m7sq) + m1sq*(-72*m2**6 - 28*m2sq*m7**4 + 2*m7**6 + 60*m2**4*m7sq) + m1**4*(72*m2**4 - 6*m7**4 + 28*m2sq*m7sq))*B0fin(0,0,m2sq) + 2*(2*m1**6*(-6*m2sq + m7sq) + m2sq*(12*m2**6 + m2sq*m7**4 + m7**6 - 14*m2**4*m7sq) + m1sq*(-36*m2**6 - 14*m2sq*m7**4 + m7**6 + 30*m2**4*m7sq) + m1**4*(36*m2**4 - 3*m7**4 + 14*m2sq*m7sq) + (m1**6*(4*m2sq - 2*m7sq) + m1sq*(12*m2**6 + 6*m2sq*m7**4 - m7**6 - 30*m2**4*m7sq) - m2sq*(4*m2**6 - 7*m2sq*m7**4 + m7**6 + 2*m2**4*m7sq) + m1**4*(-12*m2**4 + 3*m7**4 + 2*m2sq*m7sq))*B0fin(0,0,m2sq))*B0fin(0,0,m7sq)))/((-4*m2sq*m7 + m7**3)**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/m7**2 + (2*(m1sq - m2sq)*(m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m2,m1)))/(m7**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)*(2*(-m1sq + m2sq)*(2*m2 + m7)*m7sq + (4*m2sq - m7sq)*(m1sq - m2sq + m7sq)*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)) + (4*m2**4 + m7**4 - 6*m2sq*m7sq + m1sq*(-4*m2sq + 2*m7sq))*T134fin(m7,m2,m2)))/(m7**4*(-4*m2sq + m7sq)**2))/(2.*(m1sq - m2sq)**3)
		def eval_114():
			return ((2*m1sq*(3*m1sq + m2sq - m5sq)*B0del(0,0,m1sq))/(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq)) + (2*m1sq*(m1sq + 3*m2sq - m5sq)*(B0del(0,0,m2sq) - B0fin(0,0,m2sq)))/(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq)) + ((m1sq - m2sq)*(-2*(m1sq - m2sq)*m5sq*(22*m2**4 + m5**4 - 9*m2sq*m5sq) - 2*m2sq*(2*m2sq - m5sq)*(4*m2**4 + m5**4 - 6*m2sq*m5sq + m1sq*(-4*m2sq + 2*m5sq))*B0del(0,0,m2sq) - 2*m2sq*(-8*m2**6 - 10*m2sq*m5**4 + m5**6 + 28*m2**4*m5sq + 4*m1sq*(2*m2**4 + m5**4 - 5*m2sq*m5sq))*B0fin(0,0,m2sq) - m2sq*(2*m2sq - m5sq)*(4*m2**4 + m5**4 - 6*m2sq*m5sq + m1sq*(-4*m2sq + 2*m5sq))*B0fin(0,0,m2sq)**2))/(m5**4*(-4*m2**3 + m2*m5sq)**2) + (4*m1sq*(m1sq - m2sq)*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq)) + (2*m1sq*B0fin(0,0,m1sq)*(-3*m1sq - m2sq + m5sq + (m1sq + 3*m2sq - m5sq)*B0fin(0,0,m2sq) + 2*(m1sq - m2sq)*B0fin(0,0,m5sq)))/(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq)) + ((m1sq - m2sq)*(16*(m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq)) + (m1**6*(8*m2sq - 4*m5sq) + 2*m1sq*(12*m2**6 + 6*m2sq*m5**4 - m5**6 - 30*m2**4*m5sq) - 2*m2sq*(4*m2**6 - 7*m2sq*m5**4 + m5**6 + 2*m2**4*m5sq) + m1**4*(-24*m2**4 + 6*m5**4 + 4*m2sq*m5sq))*B0del(0,0,m2sq) + (m1**6*(8*m2sq - 4*m5sq) + 2*m1sq*(12*m2**6 + 6*m2sq*m5**4 - m5**6 - 30*m2**4*m5sq) - 2*m2sq*(4*m2**6 - 7*m2sq*m5**4 + m5**6 + 2*m2**4*m5sq) + m1**4*(-24*m2**4 + 6*m5**4 + 4*m2sq*m5sq))*B0del(0,0,m5sq) + (4*m1**6*(-6*m2sq + m5sq) + 2*m2sq*(12*m2**6 + m2sq*m5**4 + m5**6 - 14*m2**4*m5sq) + m1sq*(-72*m2**6 - 28*m2sq*m5**4 + 2*m5**6 + 60*m2**4*m5sq) + m1**4*(72*m2**4 - 6*m5**4 + 28*m2sq*m5sq))*B0fin(0,0,m2sq) + 2*(2*m1**6*(-6*m2sq + m5sq) + m2sq*(12*m2**6 + m2sq*m5**4 + m5**6 - 14*m2**4*m5sq) + m1sq*(-36*m2**6 - 14*m2sq*m5**4 + m5**6 + 30*m2**4*m5sq) + m1**4*(36*m2**4 - 3*m5**4 + 14*m2sq*m5sq) + (m1**6*(4*m2sq - 2*m5sq) + m1sq*(12*m2**6 + 6*m2sq*m5**4 - m5**6 - 30*m2**4*m5sq) - m2sq*(4*m2**6 - 7*m2sq*m5**4 + m5**6 + 2*m2**4*m5sq) + m1**4*(-12*m2**4 + 3*m5**4 + 2*m2sq*m5sq))*B0fin(0,0,m2sq))*B0fin(0,0,m5sq)))/((-4*m2sq*m5 + m5**3)**2*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*(m1 + m2 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) - T134fin(m2,m1,0)))/m5**2 + (2*(m1sq - m2sq)*(m1sq - m2sq + m5sq)*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m2,m1)))/(m5**2*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*(m1sq - m2sq)*(2*(-m1sq + m2sq)*(2*m2 + m5)*m5sq + (4*m2sq - m5sq)*(m1sq - m2sq + m5sq)*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) + (4*m2**4 + m5**4 - 6*m2sq*m5sq + m1sq*(-4*m2sq + 2*m5sq))*T134fin(m5,m2,m2)))/(m5**4*(-4*m2sq + m5sq)**2))/(2.*(m1sq - m2sq)**3)
		def eval_115():
			return (-4*m1**11 - 40*m1**7*m2**4 + 40*m1**5*m2**6 - 20*m1**3*m2**8 + 4*m1*m2**10 + 20*m1**9*m2sq + 14*m1**10*m7 + 76*m1**6*m2**4*m7 - 44*m1**4*m2**6*m7 + 6*m1sq*m2**8*m7 + 2*m2**10*m7 - 54*m1**8*m2sq*m7 - 4*m1**8*m7**3 - 48*m1**4*m2**4*m7**3 + 40*m1sq*m2**6*m7**3 - 12*m2**8*m7**3 + 24*m1**6*m2sq*m7**3 - 134*m1**7*m7**4 + 66*m1**8*m7**4 - 110*m1**6*m2*m7**4 - 22*m1**4*m2**3*m7**4 - 114*m1**3*m2**4*m7**4 + 68*m1**4*m2**4*m7**4 - 106*m1sq*m2**5*m7**4 + 6*m1*m2**6*m7**4 + 48*m1sq*m2**6*m7**4 - 18*m2**7*m7**4 + 10*m2**8*m7**4 - 14*m1**5*m2sq*m7**4 + 64*m1**6*m2sq*m7**4 - 10*m1**6*m7**5 - 30*m1sq*m2**4*m7**5 + 10*m2**6*m7**5 + 30*m1**4*m2sq*m7**5 + 96*m1**5*m7**6 - 38*m1**6*m7**6 + 80*m1**4*m2*m7**6 + 80*m1sq*m2**3*m7**6 + 16*m1*m2**4*m7**6 - 42*m1sq*m2**4*m7**6 + 32*m2**5*m7**6 - 14*m2**6*m7**6 + 80*m1**3*m2sq*m7**6 - 98*m1**4*m2sq*m7**6 - 34*m1**3*m7**8 + 14*m1**4*m7**8 - 30*m1sq*m2*m7**8 - 18*m2**3*m7**8 + 6*m2**4*m7**8 - 14*m1*m2sq*m7**8 + 28*m1sq*m2sq*m7**8 + 4*m1*m7**10 - 2*m1sq*m7**10 + 4*m2*m7**10 - 2*m2sq*m7**10 + 72*m1**9*m7sq - 40*m1**10*m7sq + 56*m1**8*m2*m7sq - 40*m1**6*m2**3*m7sq - 88*m1**5*m2**4*m7sq + 16*m1**6*m2**4*m7sq - 88*m1**4*m2**5*m7sq + 104*m1**3*m2**6*m7sq + 32*m1**4*m2**6*m7sq + 72*m1sq*m2**7*m7sq - 16*m1*m2**8*m7sq - 40*m1sq*m2**8*m7sq - 72*m1**7*m2sq*m7sq + 32*m1**8*m2sq*m7sq - 2*m1sq*(2*m1**10 - 2*m2**10 - 7*m2**6*m7**4 - m2**4*m7**6 + 3*m2sq*m7**8 - m7**10 + 8*m2**8*m7sq - 10*m1**8*(m2sq + 2*m7sq) + m1**4*(-20*m2**6 + 3*m2sq*m7**4 - 25*m7**6 + 28*m2**4*m7sq) + m1sq*(10*m2**8 + 33*m2**4*m7**4 - 22*m2sq*m7**6 + 9*m7**8 - 36*m2**6*m7sq) + 5*m1**6*(4*m2**4 + 7*m7**4 + 4*m2sq*m7sq))*B0del(0,0,m1sq) - 2*m2sq*m7sq*(-4*m1sq + m7sq)*(3*m1**6 + 5*m2**6 + 5*m2sq*m7**4 - m7**6 - 9*m2**4*m7sq - m1**4*(m2sq + 5*m7sq) + m1sq*(-7*m2**4 + 3*m7**4 - 2*m2sq*m7sq))*B0del(0,0,m2sq) - 2*m1**8*m7**4*B0del(0,0,m7sq) - 36*m1**4*m2**4*m7**4*B0del(0,0,m7sq) + 32*m1sq*m2**6*m7**4*B0del(0,0,m7sq) - 10*m2**8*m7**4*B0del(0,0,m7sq) + 16*m1**6*m2sq*m7**4*B0del(0,0,m7sq) - 2*m1**6*m7**6*B0del(0,0,m7sq) - 22*m1sq*m2**4*m7**6*B0del(0,0,m7sq) + 10*m2**6*m7**6*B0del(0,0,m7sq) + 14*m1**4*m2sq*m7**6*B0del(0,0,m7sq) - 2*m1**4*m7**8*B0del(0,0,m7sq) - 2*m2**4*m7**8*B0del(0,0,m7sq) + 4*m1sq*m2sq*m7**8*B0del(0,0,m7sq) + 6*m1**10*m7sq*B0del(0,0,m7sq) + 28*m1**6*m2**4*m7sq*B0del(0,0,m7sq) - 12*m1**4*m2**6*m7sq*B0del(0,0,m7sq) - 2*m1sq*m2**8*m7sq*B0del(0,0,m7sq) + 2*m2**10*m7sq*B0del(0,0,m7sq) - 22*m1**8*m2sq*m7sq*B0del(0,0,m7sq) - 8*m1**11*B0fin(0,0,m1) - 80*m1**7*m2**4*B0fin(0,0,m1) + 80*m1**5*m2**6*B0fin(0,0,m1) - 40*m1**3*m2**8*B0fin(0,0,m1) + 8*m1*m2**10*B0fin(0,0,m1) + 40*m1**9*m2sq*B0fin(0,0,m1) - 12*m1**7*m7**4*B0fin(0,0,m1) - 36*m1**3*m2**4*m7**4*B0fin(0,0,m1) + 44*m1*m2**6*m7**4*B0fin(0,0,m1) + 4*m1**5*m2sq*m7**4*B0fin(0,0,m1) + 8*m1**5*m7**6*B0fin(0,0,m1) - 24*m1*m2**4*m7**6*B0fin(0,0,m1) + 16*m1**3*m2sq*m7**6*B0fin(0,0,m1) - 4*m1**3*m7**8*B0fin(0,0,m1) + 4*m1*m2sq*m7**8*B0fin(0,0,m1) + 16*m1**9*m7sq*B0fin(0,0,m1) - 48*m1**5*m2**4*m7sq*B0fin(0,0,m1) + 80*m1**3*m2**6*m7sq*B0fin(0,0,m1) - 32*m1*m2**8*m7sq*B0fin(0,0,m1) - 16*m1**7*m2sq*m7sq*B0fin(0,0,m1) + 4*m1**12*B0fin(0,0,m1sq) + 40*m1**8*m2**4*B0fin(0,0,m1sq) - 40*m1**6*m2**6*B0fin(0,0,m1sq) + 20*m1**4*m2**8*B0fin(0,0,m1sq) - 4*m1sq*m2**10*B0fin(0,0,m1sq) - 20*m1**10*m2sq*B0fin(0,0,m1sq) + 4*m1**8*m7**4*B0fin(0,0,m1sq) - 42*m1**4*m2**4*m7**4*B0fin(0,0,m1sq) - 54*m1sq*m2**6*m7**4*B0fin(0,0,m1sq) - 2*m2**8*m7**4*B0fin(0,0,m1sq) - 34*m1**6*m2sq*m7**4*B0fin(0,0,m1sq) - 12*m1**6*m7**6*B0fin(0,0,m1sq) + 56*m1sq*m2**4*m7**6*B0fin(0,0,m1sq) + 6*m2**6*m7**6*B0fin(0,0,m1sq) + 46*m1**4*m2sq*m7**6*B0fin(0,0,m1sq) + 4*m1**4*m7**8*B0fin(0,0,m1sq) - 6*m2**4*m7**8*B0fin(0,0,m1sq) - 22*m1sq*m2sq*m7**8*B0fin(0,0,m1sq) + 2*m2sq*m7**10*B0fin(0,0,m1sq) - 56*m1**6*m2**4*m7sq*B0fin(0,0,m1sq) - 8*m1**4*m2**6*m7sq*B0fin(0,0,m1sq) + 24*m1sq*m2**8*m7sq*B0fin(0,0,m1sq) + 40*m1**8*m2sq*m7sq*B0fin(0,0,m1sq) - 2*m1**12*B0fin(0,0,m1sq)**2 - 20*m1**8*m2**4*B0fin(0,0,m1sq)**2 + 20*m1**6*m2**6*B0fin(0,0,m1sq)**2 - 10*m1**4*m2**8*B0fin(0,0,m1sq)**2 + 2*m1sq*m2**10*B0fin(0,0,m1sq)**2 + 10*m1**10*m2sq*B0fin(0,0,m1sq)**2 - 16*m1**8*m7**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m2**4*m7**4*B0fin(0,0,m1sq)**2 + 4*m1sq*m2**6*m7**4*B0fin(0,0,m1sq)**2 + 4*m2**8*m7**4*B0fin(0,0,m1sq)**2 + 12*m1**6*m2sq*m7**4*B0fin(0,0,m1sq)**2 + 14*m1**6*m7**6*B0fin(0,0,m1sq)**2 - 6*m1sq*m2**4*m7**6*B0fin(0,0,m1sq)**2 - 6*m2**6*m7**6*B0fin(0,0,m1sq)**2 - 2*m1**4*m2sq*m7**6*B0fin(0,0,m1sq)**2 - 6*m1**4*m7**8*B0fin(0,0,m1sq)**2 + 4*m2**4*m7**8*B0fin(0,0,m1sq)**2 + 2*m1sq*m2sq*m7**8*B0fin(0,0,m1sq)**2 + m1sq*m7**10*B0fin(0,0,m1sq)**2 - m2sq*m7**10*B0fin(0,0,m1sq)**2 + 9*m1**10*m7sq*B0fin(0,0,m1sq)**2 + 10*m1**6*m2**4*m7sq*B0fin(0,0,m1sq)**2 + 6*m1**4*m2**6*m7sq*B0fin(0,0,m1sq)**2 - 3*m1sq*m2**8*m7sq*B0fin(0,0,m1sq)**2 - m2**10*m7sq*B0fin(0,0,m1sq)**2 - 21*m1**8*m2sq*m7sq*B0fin(0,0,m1sq)**2 + 36*m1**6*m2*m7**4*B0fin(0,0,m2) - 12*m1**4*m2**3*m7**4*B0fin(0,0,m2) - 20*m1sq*m2**5*m7**4*B0fin(0,0,m2) - 4*m2**7*m7**4*B0fin(0,0,m2) - 24*m1**4*m2*m7**6*B0fin(0,0,m2) + 16*m1sq*m2**3*m7**6*B0fin(0,0,m2) + 8*m2**5*m7**6*B0fin(0,0,m2) + 4*m1sq*m2*m7**8*B0fin(0,0,m2) - 4*m2**3*m7**8*B0fin(0,0,m2) - 16*m1**8*m2*m7sq*B0fin(0,0,m2) + 48*m1**6*m2**3*m7sq*B0fin(0,0,m2) - 48*m1**4*m2**5*m7sq*B0fin(0,0,m2) + 16*m1sq*m2**7*m7sq*B0fin(0,0,m2) - 26*m1**8*m7**4*B0fin(0,0,m2sq) + 2*m1**4*m2**4*m7**4*B0fin(0,0,m2sq) + 2*m1sq*m2**6*m7**4*B0fin(0,0,m2sq) - 106*m1**6*m2sq*m7**4*B0fin(0,0,m2sq) + 30*m1**6*m7**6*B0fin(0,0,m2sq) - 10*m1sq*m2**4*m7**6*B0fin(0,0,m2sq) - 4*m2**6*m7**6*B0fin(0,0,m2sq) + 80*m1**4*m2sq*m7**6*B0fin(0,0,m2sq) - 14*m1**4*m7**8*B0fin(0,0,m2sq) + 4*m2**4*m7**8*B0fin(0,0,m2sq) - 14*m1sq*m2sq*m7**8*B0fin(0,0,m2sq) + 2*m1sq*m7**10*B0fin(0,0,m2sq) + 8*m1**10*m7sq*B0fin(0,0,m2sq) - 104*m1**6*m2**4*m7sq*B0fin(0,0,m2sq) + 56*m1**4*m2**6*m7sq*B0fin(0,0,m2sq) + 40*m1**8*m2sq*m7sq*B0fin(0,0,m2sq) - 18*m1**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 18*m1**4*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 42*m1sq*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 46*m1**6*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 12*m1**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 40*m1sq*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 10*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 34*m1**4*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 8*m2**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 14*m1sq*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m2sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 56*m1**6*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1**4*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1sq*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 24*m1**8*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**10*m7*B0fin(0,0,m7) - 40*m1**6*m2**4*m7*B0fin(0,0,m7) + 40*m1**4*m2**6*m7*B0fin(0,0,m7) - 20*m1sq*m2**8*m7*B0fin(0,0,m7) + 4*m2**10*m7*B0fin(0,0,m7) + 20*m1**8*m2sq*m7*B0fin(0,0,m7) - 48*m1**4*m2**4*m7**3*B0fin(0,0,m7) + 48*m1sq*m2**6*m7**3*B0fin(0,0,m7) - 16*m2**8*m7**3*B0fin(0,0,m7) + 16*m1**6*m2sq*m7**3*B0fin(0,0,m7) + 12*m1**6*m7**5*B0fin(0,0,m7) - 28*m1sq*m2**4*m7**5*B0fin(0,0,m7) + 20*m2**6*m7**5*B0fin(0,0,m7) - 4*m1**4*m2sq*m7**5*B0fin(0,0,m7) - 8*m1**4*m7**7*B0fin(0,0,m7) - 8*m2**4*m7**7*B0fin(0,0,m7) + 16*m1sq*m2sq*m7**7*B0fin(0,0,m7) - 38*m1**8*m7**4*B0fin(0,0,m7sq) + 20*m1**4*m2**4*m7**4*B0fin(0,0,m7sq) - 32*m1sq*m2**6*m7**4*B0fin(0,0,m7sq) + 2*m2**8*m7**4*B0fin(0,0,m7sq) + 48*m1**6*m2sq*m7**4*B0fin(0,0,m7sq) + 10*m1**6*m7**6*B0fin(0,0,m7sq) + 14*m1sq*m2**4*m7**6*B0fin(0,0,m7sq) - 2*m2**6*m7**6*B0fin(0,0,m7sq) - 22*m1**4*m2sq*m7**6*B0fin(0,0,m7sq) + 2*m1**4*m7**8*B0fin(0,0,m7sq) + 2*m2**4*m7**8*B0fin(0,0,m7sq) - 4*m1sq*m2sq*m7**8*B0fin(0,0,m7sq) + 26*m1**10*m7sq*B0fin(0,0,m7sq) + 164*m1**6*m2**4*m7sq*B0fin(0,0,m7sq) - 116*m1**4*m2**6*m7sq*B0fin(0,0,m7sq) + 34*m1sq*m2**8*m7sq*B0fin(0,0,m7sq) - 2*m2**10*m7sq*B0fin(0,0,m7sq) - 106*m1**8*m2sq*m7sq*B0fin(0,0,m7sq) - 20*m1**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 40*m1**4*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 48*m1sq*m2**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m2**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 16*m1**6*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 10*m1**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 26*m1sq*m2**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m2**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 14*m1**4*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1sq*m2sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 14*m1**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 20*m1**6*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 52*m1**4*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 26*m1sq*m2**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m2**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 22*m1**8*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 18*m1**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1**4*m2**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 16*m1sq*m2**6*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 6*m2**8*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 12*m1**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 4*m1sq*m2**4*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 8*m2**6*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 2*m1**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m2**4*m7**8*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 8*m1**10*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 48*m1**6*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 64*m1**4*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 24*m1sq*m2**8*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 8*m1**10*T134fin(m2,m1,0) + 48*m1**6*m2**4*T134fin(m2,m1,0) - 32*m1**4*m2**6*T134fin(m2,m1,0) + 8*m1sq*m2**8*T134fin(m2,m1,0) - 32*m1**8*m2sq*T134fin(m2,m1,0) + 56*m1**6*m7**4*T134fin(m2,m1,0) + 40*m1sq*m2**4*m7**4*T134fin(m2,m1,0) + 8*m2**6*m7**4*T134fin(m2,m1,0) + 24*m1**4*m2sq*m7**4*T134fin(m2,m1,0) - 44*m1**4*m7**6*T134fin(m2,m1,0) - 12*m2**4*m7**6*T134fin(m2,m1,0) - 40*m1sq*m2sq*m7**6*T134fin(m2,m1,0) + 16*m1sq*m7**8*T134fin(m2,m1,0) + 8*m2sq*m7**8*T134fin(m2,m1,0) - 2*m7**10*T134fin(m2,m1,0) - 34*m1**8*m7sq*T134fin(m2,m1,0) + 20*m1**4*m2**4*m7sq*T134fin(m2,m1,0) - 24*m1sq*m2**6*m7sq*T134fin(m2,m1,0) - 2*m2**8*m7sq*T134fin(m2,m1,0) + 40*m1**6*m2sq*m7sq*T134fin(m2,m1,0) + 2*m1**10*T134fin(m7,m1,m1) + 20*m1**6*m2**4*T134fin(m7,m1,m1) - 20*m1**4*m2**6*T134fin(m7,m1,m1) + 10*m1sq*m2**8*T134fin(m7,m1,m1) - 2*m2**10*T134fin(m7,m1,m1) - 10*m1**8*m2sq*T134fin(m7,m1,m1) + 12*m1**6*m7**4*T134fin(m7,m1,m1) + 4*m1sq*m2**4*m7**4*T134fin(m7,m1,m1) - 12*m2**6*m7**4*T134fin(m7,m1,m1) - 4*m1**4*m2sq*m7**4*T134fin(m7,m1,m1) - 8*m1**4*m7**6*T134fin(m7,m1,m1) + 8*m2**4*m7**6*T134fin(m7,m1,m1) + 2*m1sq*m7**8*T134fin(m7,m1,m1) - 2*m2sq*m7**8*T134fin(m7,m1,m1) - 8*m1**8*m7sq*T134fin(m7,m1,m1) - 16*m1sq*m2**6*m7sq*T134fin(m7,m1,m1) + 8*m2**8*m7sq*T134fin(m7,m1,m1) + 16*m1**6*m2sq*m7sq*T134fin(m7,m1,m1) - 8*m1**10*T134fin(m7,m2,m1) - 48*m1**6*m2**4*T134fin(m7,m2,m1) + 32*m1**4*m2**6*T134fin(m7,m2,m1) - 8*m1sq*m2**8*T134fin(m7,m2,m1) + 32*m1**8*m2sq*T134fin(m7,m2,m1) - 10*m1**6*m7**4*T134fin(m7,m2,m1) + 18*m1sq*m2**4*m7**4*T134fin(m7,m2,m1) + 2*m2**6*m7**4*T134fin(m7,m2,m1) - 10*m1**4*m2sq*m7**4*T134fin(m7,m2,m1) + 10*m1**4*m7**6*T134fin(m7,m2,m1) - 6*m2**4*m7**6*T134fin(m7,m2,m1) - 4*m1sq*m2sq*m7**6*T134fin(m7,m2,m1) - 2*m1sq*m7**8*T134fin(m7,m2,m1) + 2*m2sq*m7**8*T134fin(m7,m2,m1) + 10*m1**8*m7sq*T134fin(m7,m2,m1) + 36*m1**4*m2**4*m7sq*T134fin(m7,m2,m1) - 16*m1sq*m2**6*m7sq*T134fin(m7,m2,m1) + 2*m2**8*m7sq*T134fin(m7,m2,m1) - 32*m1**6*m2sq*m7sq*T134fin(m7,m2,m1))/(2.*(m1 - m2)**3*(m1 + m2)**3*(m1 + m2 - m7)**2*m7**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq))
		def eval_116():
			return (-4*m1**11 - 40*m1**7*m2**4 + 40*m1**5*m2**6 - 20*m1**3*m2**8 + 4*m1*m2**10 + 20*m1**9*m2sq + 14*m1**10*m5 + 76*m1**6*m2**4*m5 - 44*m1**4*m2**6*m5 + 6*m1sq*m2**8*m5 + 2*m2**10*m5 - 54*m1**8*m2sq*m5 - 4*m1**8*m5**3 - 48*m1**4*m2**4*m5**3 + 40*m1sq*m2**6*m5**3 - 12*m2**8*m5**3 + 24*m1**6*m2sq*m5**3 - 134*m1**7*m5**4 + 66*m1**8*m5**4 - 110*m1**6*m2*m5**4 - 22*m1**4*m2**3*m5**4 - 114*m1**3*m2**4*m5**4 + 68*m1**4*m2**4*m5**4 - 106*m1sq*m2**5*m5**4 + 6*m1*m2**6*m5**4 + 48*m1sq*m2**6*m5**4 - 18*m2**7*m5**4 + 10*m2**8*m5**4 - 14*m1**5*m2sq*m5**4 + 64*m1**6*m2sq*m5**4 - 10*m1**6*m5**5 - 30*m1sq*m2**4*m5**5 + 10*m2**6*m5**5 + 30*m1**4*m2sq*m5**5 + 96*m1**5*m5**6 - 38*m1**6*m5**6 + 80*m1**4*m2*m5**6 + 80*m1sq*m2**3*m5**6 + 16*m1*m2**4*m5**6 - 42*m1sq*m2**4*m5**6 + 32*m2**5*m5**6 - 14*m2**6*m5**6 + 80*m1**3*m2sq*m5**6 - 98*m1**4*m2sq*m5**6 - 34*m1**3*m5**8 + 14*m1**4*m5**8 - 30*m1sq*m2*m5**8 - 18*m2**3*m5**8 + 6*m2**4*m5**8 - 14*m1*m2sq*m5**8 + 28*m1sq*m2sq*m5**8 + 4*m1*m5**10 - 2*m1sq*m5**10 + 4*m2*m5**10 - 2*m2sq*m5**10 + 72*m1**9*m5sq - 40*m1**10*m5sq + 56*m1**8*m2*m5sq - 40*m1**6*m2**3*m5sq - 88*m1**5*m2**4*m5sq + 16*m1**6*m2**4*m5sq - 88*m1**4*m2**5*m5sq + 104*m1**3*m2**6*m5sq + 32*m1**4*m2**6*m5sq + 72*m1sq*m2**7*m5sq - 16*m1*m2**8*m5sq - 40*m1sq*m2**8*m5sq - 72*m1**7*m2sq*m5sq + 32*m1**8*m2sq*m5sq - 2*m1sq*(2*m1**10 - 2*m2**10 - 7*m2**6*m5**4 - m2**4*m5**6 + 3*m2sq*m5**8 - m5**10 + 8*m2**8*m5sq - 10*m1**8*(m2sq + 2*m5sq) + m1**4*(-20*m2**6 + 3*m2sq*m5**4 - 25*m5**6 + 28*m2**4*m5sq) + m1sq*(10*m2**8 + 33*m2**4*m5**4 - 22*m2sq*m5**6 + 9*m5**8 - 36*m2**6*m5sq) + 5*m1**6*(4*m2**4 + 7*m5**4 + 4*m2sq*m5sq))*B0del(0,0,m1sq) - 2*m2sq*m5sq*(-4*m1sq + m5sq)*(3*m1**6 + 5*m2**6 + 5*m2sq*m5**4 - m5**6 - 9*m2**4*m5sq - m1**4*(m2sq + 5*m5sq) + m1sq*(-7*m2**4 + 3*m5**4 - 2*m2sq*m5sq))*B0del(0,0,m2sq) - 2*m1**8*m5**4*B0del(0,0,m5sq) - 36*m1**4*m2**4*m5**4*B0del(0,0,m5sq) + 32*m1sq*m2**6*m5**4*B0del(0,0,m5sq) - 10*m2**8*m5**4*B0del(0,0,m5sq) + 16*m1**6*m2sq*m5**4*B0del(0,0,m5sq) - 2*m1**6*m5**6*B0del(0,0,m5sq) - 22*m1sq*m2**4*m5**6*B0del(0,0,m5sq) + 10*m2**6*m5**6*B0del(0,0,m5sq) + 14*m1**4*m2sq*m5**6*B0del(0,0,m5sq) - 2*m1**4*m5**8*B0del(0,0,m5sq) - 2*m2**4*m5**8*B0del(0,0,m5sq) + 4*m1sq*m2sq*m5**8*B0del(0,0,m5sq) + 6*m1**10*m5sq*B0del(0,0,m5sq) + 28*m1**6*m2**4*m5sq*B0del(0,0,m5sq) - 12*m1**4*m2**6*m5sq*B0del(0,0,m5sq) - 2*m1sq*m2**8*m5sq*B0del(0,0,m5sq) + 2*m2**10*m5sq*B0del(0,0,m5sq) - 22*m1**8*m2sq*m5sq*B0del(0,0,m5sq) - 8*m1**11*B0fin(0,0,m1) - 80*m1**7*m2**4*B0fin(0,0,m1) + 80*m1**5*m2**6*B0fin(0,0,m1) - 40*m1**3*m2**8*B0fin(0,0,m1) + 8*m1*m2**10*B0fin(0,0,m1) + 40*m1**9*m2sq*B0fin(0,0,m1) - 12*m1**7*m5**4*B0fin(0,0,m1) - 36*m1**3*m2**4*m5**4*B0fin(0,0,m1) + 44*m1*m2**6*m5**4*B0fin(0,0,m1) + 4*m1**5*m2sq*m5**4*B0fin(0,0,m1) + 8*m1**5*m5**6*B0fin(0,0,m1) - 24*m1*m2**4*m5**6*B0fin(0,0,m1) + 16*m1**3*m2sq*m5**6*B0fin(0,0,m1) - 4*m1**3*m5**8*B0fin(0,0,m1) + 4*m1*m2sq*m5**8*B0fin(0,0,m1) + 16*m1**9*m5sq*B0fin(0,0,m1) - 48*m1**5*m2**4*m5sq*B0fin(0,0,m1) + 80*m1**3*m2**6*m5sq*B0fin(0,0,m1) - 32*m1*m2**8*m5sq*B0fin(0,0,m1) - 16*m1**7*m2sq*m5sq*B0fin(0,0,m1) + 4*m1**12*B0fin(0,0,m1sq) + 40*m1**8*m2**4*B0fin(0,0,m1sq) - 40*m1**6*m2**6*B0fin(0,0,m1sq) + 20*m1**4*m2**8*B0fin(0,0,m1sq) - 4*m1sq*m2**10*B0fin(0,0,m1sq) - 20*m1**10*m2sq*B0fin(0,0,m1sq) + 4*m1**8*m5**4*B0fin(0,0,m1sq) - 42*m1**4*m2**4*m5**4*B0fin(0,0,m1sq) - 54*m1sq*m2**6*m5**4*B0fin(0,0,m1sq) - 2*m2**8*m5**4*B0fin(0,0,m1sq) - 34*m1**6*m2sq*m5**4*B0fin(0,0,m1sq) - 12*m1**6*m5**6*B0fin(0,0,m1sq) + 56*m1sq*m2**4*m5**6*B0fin(0,0,m1sq) + 6*m2**6*m5**6*B0fin(0,0,m1sq) + 46*m1**4*m2sq*m5**6*B0fin(0,0,m1sq) + 4*m1**4*m5**8*B0fin(0,0,m1sq) - 6*m2**4*m5**8*B0fin(0,0,m1sq) - 22*m1sq*m2sq*m5**8*B0fin(0,0,m1sq) + 2*m2sq*m5**10*B0fin(0,0,m1sq) - 56*m1**6*m2**4*m5sq*B0fin(0,0,m1sq) - 8*m1**4*m2**6*m5sq*B0fin(0,0,m1sq) + 24*m1sq*m2**8*m5sq*B0fin(0,0,m1sq) + 40*m1**8*m2sq*m5sq*B0fin(0,0,m1sq) - 2*m1**12*B0fin(0,0,m1sq)**2 - 20*m1**8*m2**4*B0fin(0,0,m1sq)**2 + 20*m1**6*m2**6*B0fin(0,0,m1sq)**2 - 10*m1**4*m2**8*B0fin(0,0,m1sq)**2 + 2*m1sq*m2**10*B0fin(0,0,m1sq)**2 + 10*m1**10*m2sq*B0fin(0,0,m1sq)**2 - 16*m1**8*m5**4*B0fin(0,0,m1sq)**2 - 4*m1**4*m2**4*m5**4*B0fin(0,0,m1sq)**2 + 4*m1sq*m2**6*m5**4*B0fin(0,0,m1sq)**2 + 4*m2**8*m5**4*B0fin(0,0,m1sq)**2 + 12*m1**6*m2sq*m5**4*B0fin(0,0,m1sq)**2 + 14*m1**6*m5**6*B0fin(0,0,m1sq)**2 - 6*m1sq*m2**4*m5**6*B0fin(0,0,m1sq)**2 - 6*m2**6*m5**6*B0fin(0,0,m1sq)**2 - 2*m1**4*m2sq*m5**6*B0fin(0,0,m1sq)**2 - 6*m1**4*m5**8*B0fin(0,0,m1sq)**2 + 4*m2**4*m5**8*B0fin(0,0,m1sq)**2 + 2*m1sq*m2sq*m5**8*B0fin(0,0,m1sq)**2 + m1sq*m5**10*B0fin(0,0,m1sq)**2 - m2sq*m5**10*B0fin(0,0,m1sq)**2 + 9*m1**10*m5sq*B0fin(0,0,m1sq)**2 + 10*m1**6*m2**4*m5sq*B0fin(0,0,m1sq)**2 + 6*m1**4*m2**6*m5sq*B0fin(0,0,m1sq)**2 - 3*m1sq*m2**8*m5sq*B0fin(0,0,m1sq)**2 - m2**10*m5sq*B0fin(0,0,m1sq)**2 - 21*m1**8*m2sq*m5sq*B0fin(0,0,m1sq)**2 + 36*m1**6*m2*m5**4*B0fin(0,0,m2) - 12*m1**4*m2**3*m5**4*B0fin(0,0,m2) - 20*m1sq*m2**5*m5**4*B0fin(0,0,m2) - 4*m2**7*m5**4*B0fin(0,0,m2) - 24*m1**4*m2*m5**6*B0fin(0,0,m2) + 16*m1sq*m2**3*m5**6*B0fin(0,0,m2) + 8*m2**5*m5**6*B0fin(0,0,m2) + 4*m1sq*m2*m5**8*B0fin(0,0,m2) - 4*m2**3*m5**8*B0fin(0,0,m2) - 16*m1**8*m2*m5sq*B0fin(0,0,m2) + 48*m1**6*m2**3*m5sq*B0fin(0,0,m2) - 48*m1**4*m2**5*m5sq*B0fin(0,0,m2) + 16*m1sq*m2**7*m5sq*B0fin(0,0,m2) - 26*m1**8*m5**4*B0fin(0,0,m2sq) + 2*m1**4*m2**4*m5**4*B0fin(0,0,m2sq) + 2*m1sq*m2**6*m5**4*B0fin(0,0,m2sq) - 106*m1**6*m2sq*m5**4*B0fin(0,0,m2sq) + 30*m1**6*m5**6*B0fin(0,0,m2sq) - 10*m1sq*m2**4*m5**6*B0fin(0,0,m2sq) - 4*m2**6*m5**6*B0fin(0,0,m2sq) + 80*m1**4*m2sq*m5**6*B0fin(0,0,m2sq) - 14*m1**4*m5**8*B0fin(0,0,m2sq) + 4*m2**4*m5**8*B0fin(0,0,m2sq) - 14*m1sq*m2sq*m5**8*B0fin(0,0,m2sq) + 2*m1sq*m5**10*B0fin(0,0,m2sq) + 8*m1**10*m5sq*B0fin(0,0,m2sq) - 104*m1**6*m2**4*m5sq*B0fin(0,0,m2sq) + 56*m1**4*m2**6*m5sq*B0fin(0,0,m2sq) + 40*m1**8*m2sq*m5sq*B0fin(0,0,m2sq) - 18*m1**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 18*m1**4*m2**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 42*m1sq*m2**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m2**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 46*m1**6*m2sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 12*m1**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 40*m1sq*m2**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 10*m2**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 34*m1**4*m2sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2*m1**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 8*m2**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 14*m1sq*m2sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m2sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 56*m1**6*m2**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 8*m1**4*m2**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 16*m1sq*m2**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 24*m1**8*m2sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**10*m5*B0fin(0,0,m5) - 40*m1**6*m2**4*m5*B0fin(0,0,m5) + 40*m1**4*m2**6*m5*B0fin(0,0,m5) - 20*m1sq*m2**8*m5*B0fin(0,0,m5) + 4*m2**10*m5*B0fin(0,0,m5) + 20*m1**8*m2sq*m5*B0fin(0,0,m5) - 48*m1**4*m2**4*m5**3*B0fin(0,0,m5) + 48*m1sq*m2**6*m5**3*B0fin(0,0,m5) - 16*m2**8*m5**3*B0fin(0,0,m5) + 16*m1**6*m2sq*m5**3*B0fin(0,0,m5) + 12*m1**6*m5**5*B0fin(0,0,m5) - 28*m1sq*m2**4*m5**5*B0fin(0,0,m5) + 20*m2**6*m5**5*B0fin(0,0,m5) - 4*m1**4*m2sq*m5**5*B0fin(0,0,m5) - 8*m1**4*m5**7*B0fin(0,0,m5) - 8*m2**4*m5**7*B0fin(0,0,m5) + 16*m1sq*m2sq*m5**7*B0fin(0,0,m5) - 38*m1**8*m5**4*B0fin(0,0,m5sq) + 20*m1**4*m2**4*m5**4*B0fin(0,0,m5sq) - 32*m1sq*m2**6*m5**4*B0fin(0,0,m5sq) + 2*m2**8*m5**4*B0fin(0,0,m5sq) + 48*m1**6*m2sq*m5**4*B0fin(0,0,m5sq) + 10*m1**6*m5**6*B0fin(0,0,m5sq) + 14*m1sq*m2**4*m5**6*B0fin(0,0,m5sq) - 2*m2**6*m5**6*B0fin(0,0,m5sq) - 22*m1**4*m2sq*m5**6*B0fin(0,0,m5sq) + 2*m1**4*m5**8*B0fin(0,0,m5sq) + 2*m2**4*m5**8*B0fin(0,0,m5sq) - 4*m1sq*m2sq*m5**8*B0fin(0,0,m5sq) + 26*m1**10*m5sq*B0fin(0,0,m5sq) + 164*m1**6*m2**4*m5sq*B0fin(0,0,m5sq) - 116*m1**4*m2**6*m5sq*B0fin(0,0,m5sq) + 34*m1sq*m2**8*m5sq*B0fin(0,0,m5sq) - 2*m2**10*m5sq*B0fin(0,0,m5sq) - 106*m1**8*m2sq*m5sq*B0fin(0,0,m5sq) - 20*m1**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 40*m1**4*m2**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 48*m1sq*m2**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m2**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 16*m1**6*m2sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 10*m1**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 26*m1sq*m2**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m2**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 14*m1**4*m2sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1sq*m2sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 14*m1**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 20*m1**6*m2**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 52*m1**4*m2**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 26*m1sq*m2**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m2**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 22*m1**8*m2sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 18*m1**8*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1**4*m2**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 16*m1sq*m2**6*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 6*m2**8*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 12*m1**6*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m1sq*m2**4*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m2**6*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**4*m5**8*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m1**10*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 48*m1**6*m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 64*m1**4*m2**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 24*m1sq*m2**8*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1**10*T134fin(m2,m1,0) + 48*m1**6*m2**4*T134fin(m2,m1,0) - 32*m1**4*m2**6*T134fin(m2,m1,0) + 8*m1sq*m2**8*T134fin(m2,m1,0) - 32*m1**8*m2sq*T134fin(m2,m1,0) + 56*m1**6*m5**4*T134fin(m2,m1,0) + 40*m1sq*m2**4*m5**4*T134fin(m2,m1,0) + 8*m2**6*m5**4*T134fin(m2,m1,0) + 24*m1**4*m2sq*m5**4*T134fin(m2,m1,0) - 44*m1**4*m5**6*T134fin(m2,m1,0) - 12*m2**4*m5**6*T134fin(m2,m1,0) - 40*m1sq*m2sq*m5**6*T134fin(m2,m1,0) + 16*m1sq*m5**8*T134fin(m2,m1,0) + 8*m2sq*m5**8*T134fin(m2,m1,0) - 2*m5**10*T134fin(m2,m1,0) - 34*m1**8*m5sq*T134fin(m2,m1,0) + 20*m1**4*m2**4*m5sq*T134fin(m2,m1,0) - 24*m1sq*m2**6*m5sq*T134fin(m2,m1,0) - 2*m2**8*m5sq*T134fin(m2,m1,0) + 40*m1**6*m2sq*m5sq*T134fin(m2,m1,0) + 2*m1**10*T134fin(m5,m1,m1) + 20*m1**6*m2**4*T134fin(m5,m1,m1) - 20*m1**4*m2**6*T134fin(m5,m1,m1) + 10*m1sq*m2**8*T134fin(m5,m1,m1) - 2*m2**10*T134fin(m5,m1,m1) - 10*m1**8*m2sq*T134fin(m5,m1,m1) + 12*m1**6*m5**4*T134fin(m5,m1,m1) + 4*m1sq*m2**4*m5**4*T134fin(m5,m1,m1) - 12*m2**6*m5**4*T134fin(m5,m1,m1) - 4*m1**4*m2sq*m5**4*T134fin(m5,m1,m1) - 8*m1**4*m5**6*T134fin(m5,m1,m1) + 8*m2**4*m5**6*T134fin(m5,m1,m1) + 2*m1sq*m5**8*T134fin(m5,m1,m1) - 2*m2sq*m5**8*T134fin(m5,m1,m1) - 8*m1**8*m5sq*T134fin(m5,m1,m1) - 16*m1sq*m2**6*m5sq*T134fin(m5,m1,m1) + 8*m2**8*m5sq*T134fin(m5,m1,m1) + 16*m1**6*m2sq*m5sq*T134fin(m5,m1,m1) - 8*m1**10*T134fin(m5,m2,m1) - 48*m1**6*m2**4*T134fin(m5,m2,m1) + 32*m1**4*m2**6*T134fin(m5,m2,m1) - 8*m1sq*m2**8*T134fin(m5,m2,m1) + 32*m1**8*m2sq*T134fin(m5,m2,m1) - 10*m1**6*m5**4*T134fin(m5,m2,m1) + 18*m1sq*m2**4*m5**4*T134fin(m5,m2,m1) + 2*m2**6*m5**4*T134fin(m5,m2,m1) - 10*m1**4*m2sq*m5**4*T134fin(m5,m2,m1) + 10*m1**4*m5**6*T134fin(m5,m2,m1) - 6*m2**4*m5**6*T134fin(m5,m2,m1) - 4*m1sq*m2sq*m5**6*T134fin(m5,m2,m1) - 2*m1sq*m5**8*T134fin(m5,m2,m1) + 2*m2sq*m5**8*T134fin(m5,m2,m1) + 10*m1**8*m5sq*T134fin(m5,m2,m1) + 36*m1**4*m2**4*m5sq*T134fin(m5,m2,m1) - 16*m1sq*m2**6*m5sq*T134fin(m5,m2,m1) + 2*m2**8*m5sq*T134fin(m5,m2,m1) - 32*m1**6*m2sq*m5sq*T134fin(m5,m2,m1))/(2.*(m1 - m2)**3*(m1 + m2)**3*(m1 + m2 - m5)**2*m5**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq))
		def eval_117():
			return ((4*m1sq*(m1**8 + m5**8 + 6*m5**4*m7**4 - 4*m5sq*m7**6 + m7**8 + 6*m1**4*(m5sq - m7sq)**2 - 5*m5**6*m7sq - 4*m1**6*(m5sq + m7sq) - 4*m1sq*(m5**6 - m5sq*m7**4 + m7**6 - 3*m5**4*m7sq))*B0del(0,0,m1sq))/(m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2*(m1 - m7)*(m1 + m5 - m7)**2*(m1 + m7)*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (15*m1sq*m5**4 - 2*m5**6 - 26*m1**4*m5sq + (8*m1**6 - 4*m1**4*m5sq)*B0del(0,0,m1sq) + 2*(-4*m1**6 - 7*m1sq*m5**4 + m5**6 + 12*m1**4*m5sq)*B0fin(0,0,m1sq) + (4*m1**6 - 2*m1**4*m5sq)*B0fin(0,0,m1sq)**2)/(m5**4*(-4*m1**3 + m1*m5sq)**2*(m1sq - m7sq)) + (8*m1**12 - 55*m1**8*m5**4 + 55*m1**6*m5**6 - 17*m1**4*m5**8 + m1sq*m5**10 + 8*m1**10*m5sq + 48*m1**8*m7**4 - 2*m1**4*m5**4*m7**4 - 23*m1sq*m5**6*m7**4 + 3*m5**8*m7**4 - 64*m1**6*m5sq*m7**4 - 32*m1**6*m7**6 + 20*m1sq*m5**4*m7**6 - 3*m5**6*m7**6 + 16*m1**4*m5sq*m7**6 + 8*m1**4*m7**8 + m5**4*m7**8 - 8*m1sq*m5sq*m7**8 - 32*m1**10*m7sq - 28*m1**6*m5**4*m7sq + 3*m1**4*m5**6*m7sq + 10*m1sq*m5**8*m7sq - m5**10*m7sq + 48*m1**8*m5sq*m7sq + 2*m1sq*(2*m1**10 + m5**6*m7**4 - 8*m1**4*(m5**6 - 3*m5sq*m7**4 + m7**6) - m5**8*m7sq - 8*m1**8*(m5sq + m7sq) + m1sq*(2*m5**8 + 4*m5**4*m7**4 - 8*m5sq*m7**6 + 2*m7**8 - m5**6*m7sq) + 4*m1**6*(3*m5**4 + 3*m7**4 - 2*m5sq*m7sq))*B0del(0,0,m5sq) - (12*m1**12 - m5**4*(m5sq - m7sq)**3*m7sq - 8*m1**10*(m5sq + 6*m7sq) + m1**6*(39*m5**6 - 16*m5sq*m7**4 - 48*m7**6 - 28*m5**4*m7sq) + m1**4*(-13*m5**8 + 6*m5**4*m7**4 + 12*m7**8 + m5**6*m7sq) + m1sq*m5sq*(m5**8 - 21*m5**4*m7**4 + 20*m5sq*m7**6 - 8*m7**8 + 8*m5**6*m7sq) + m1**8*(-31*m5**4 + 72*m7**4 + 32*m5sq*m7sq))*B0fin(0,0,m5sq))/(m1**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m1sq - m7sq)) + (m1 + m7 - 2*m1*B0fin(0,0,m1) - 2*m7*B0fin(0,0,m7))/(m5**2*(m1 - m7)**3*(m1 + m7)**3) + (B0fin(0,0,m1sq)*(-12*m1**16 + 31*m1**12*m5**4 - 39*m1**10*m5**6 + 13*m1**8*m5**8 - m1**6*m5**10 + 8*m1**14*m5sq - 180*m1**12*m7**4 - 31*m1**8*m5**4*m7**4 - 154*m1**6*m5**6*m7**4 + 65*m1**4*m5**8*m7**4 - m1sq*m5**10*m7**4 - m5**12*m7**4 + 312*m1**10*m5sq*m7**4 + 240*m1**10*m7**6 + 164*m1**6*m5**4*m7**6 - 64*m1**4*m5**6*m7**6 - 17*m1sq*m5**8*m7**6 + 4*m5**10*m7**6 - 64*m1**8*m5sq*m7**6 - 180*m1**8*m7**8 + 33*m1**4*m5**4*m7**8 + 33*m1sq*m5**6*m7**8 - 6*m5**8*m7**8 - 72*m1**6*m5sq*m7**8 + 72*m1**6*m7**10 - 26*m1sq*m5**4*m7**10 + 4*m5**6*m7**10 - 12*m1**4*m7**12 - m5**4*m7**12 + 8*m1sq*m5sq*m7**12 + 72*m1**14*m7sq + 342*m1**10*m5**4*m7sq - 292*m1**8*m5**6*m7sq + 137*m1**6*m5**8*m7sq - 34*m1**4*m5**10*m7sq + 3*m1sq*m5**12*m7sq - 192*m1**12*m5sq*m7sq + 2*(m1**3 - m1*m7sq)**2*(2*m1**10 + m5**6*m7**4 - 8*m1**4*(m5**6 - 3*m5sq*m7**4 + m7**6) - m5**8*m7sq - 8*m1**8*(m5sq + m7sq) + m1sq*(2*m5**8 + 4*m5**4*m7**4 - 8*m5sq*m7**6 + 2*m7**8 - m5**6*m7sq) + 4*m1**6*(3*m5**4 + 3*m7**4 - 2*m5sq*m7sq))*B0fin(0,0,m5sq) - 2*m1sq*m5sq*(-4*m1sq + m5sq)**2*(m1sq - m7sq)**2*m7sq*(m1sq - m5sq + m7sq)*B0fin(0,0,m7sq)))/(m1**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2*(m1 - m7)**3*(m1 + m5 - m7)**2*(m1 + m7)**3*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (m7sq*(11*m1**8 + 13*m1**4*m5**4 - 3*m1sq*m5**6 - 21*m1**6*m5sq - 2*m1**4*m7**4 - 3*m5**4*m7**4 - 11*m1sq*m5sq*m7**4 + 8*m1sq*m7**6 + 3*m5sq*m7**6 - m7**8 - 16*m1**6*m7sq + 6*m1sq*m5**4*m7sq + m5**6*m7sq - 3*m1**4*m5sq*m7sq - 2*(m1sq - m5sq + m7sq)*(m1**3 - m1*m7sq)**2*B0del(0,0,m7sq) + (-9*m1**8 + m7sq*(-m5sq + m7sq)**3 + m1**6*(19*m5sq + 14*m7sq) + 3*m1sq*(m5**6 + 3*m5sq*m7**4 - 2*m7**6 - 2*m5**4*m7sq) + m1**4*(-13*m5**4 + 7*m5sq*m7sq))*B0fin(0,0,m7sq)))/(m1**2*(m1 - m7)**3*(m1 + m5 - m7)**2*(m1 + m7)**3*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m7sq*(-m1sq + m5sq + m7sq)*(-2 + B0del(0,0,m5sq) + B0del(0,0,m7sq) + B0fin(0,0,m5sq) + B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)))/((m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m1sq - m7sq)) + (2*(2*m1 + m5)*m5sq + (4*m1sq - m5sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) - 4*m1sq*T134fin(m5,m1,m1))/(m5**4*(-4*m1sq + m5sq)**2*(m1sq - m7sq)) + (-2*(m1 + m5 + m7)*(-m1sq + m5sq + m7sq)**2 + (m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + 4*m5sq*m7sq*T134fin(m7,m5,m1))/(m5**2*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m1sq - m7sq)))/2.
		def eval_118():
			return ((4*m1sq*(m1**8 + m5**8 + 6*m5**4*m7**4 - 5*m5sq*m7**6 + m7**8 + 6*m1**4*(m5sq - m7sq)**2 - 4*m5**6*m7sq - 4*m1**6*(m5sq + m7sq) - 4*m1sq*(m5**6 - 3*m5sq*m7**4 + m7**6 - m5**4*m7sq))*B0del(0,0,m1sq))/((m1 - m5)*(m1 + m5)*(m1 + m5 - m7)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (15*m1sq*m7**4 - 2*m7**6 - 26*m1**4*m7sq + (8*m1**6 - 4*m1**4*m7sq)*B0del(0,0,m1sq) + 2*(-4*m1**6 - 7*m1sq*m7**4 + m7**6 + 12*m1**4*m7sq)*B0fin(0,0,m1sq) + (4*m1**6 - 2*m1**4*m7sq)*B0fin(0,0,m1sq)**2)/((m1sq - m5sq)*m7**4*(-4*m1**3 + m1*m7sq)**2) + (m1 + m5 - 2*m1*B0fin(0,0,m1) - 2*m5*B0fin(0,0,m5))/((m1 - m5)**3*(m1 + m5)**3*m7**2) + (m5sq*(11*m1**8 - 2*m1**4*m5**4 + 8*m1sq*m5**6 - m5**8 - 16*m1**6*m5sq + 13*m1**4*m7**4 - 3*m5**4*m7**4 + 6*m1sq*m5sq*m7**4 - 3*m1sq*m7**6 + m5sq*m7**6 - 21*m1**6*m7sq - 11*m1sq*m5**4*m7sq + 3*m5**6*m7sq - 3*m1**4*m5sq*m7sq - 2*(m1**3 - m1*m5sq)**2*(m1sq + m5sq - m7sq)*B0del(0,0,m5sq) + (-9*m1**8 + m5sq*(m5sq - m7sq)**3 + m1**6*(14*m5sq + 19*m7sq) + m1sq*(-6*m5**6 - 6*m5sq*m7**4 + 3*m7**6 + 9*m5**4*m7sq) + m1**4*(-13*m7**4 + 7*m5sq*m7sq))*B0fin(0,0,m5sq)))/(m1**2*(m1 - m5)**3*(m1 + m5)**3*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (B0fin(0,0,m1sq)*(-12*m1**16 - 180*m1**12*m5**4 + 240*m1**10*m5**6 - 180*m1**8*m5**8 + 72*m1**6*m5**10 - 12*m1**4*m5**12 + 72*m1**14*m5sq + 31*m1**12*m7**4 - 31*m1**8*m5**4*m7**4 + 164*m1**6*m5**6*m7**4 + 33*m1**4*m5**8*m7**4 - 26*m1sq*m5**10*m7**4 - m5**12*m7**4 + 342*m1**10*m5sq*m7**4 - 39*m1**10*m7**6 - 154*m1**6*m5**4*m7**6 - 64*m1**4*m5**6*m7**6 + 33*m1sq*m5**8*m7**6 + 4*m5**10*m7**6 - 292*m1**8*m5sq*m7**6 + 13*m1**8*m7**8 + 65*m1**4*m5**4*m7**8 - 17*m1sq*m5**6*m7**8 - 6*m5**8*m7**8 + 137*m1**6*m5sq*m7**8 - m1**6*m7**10 - m1sq*m5**4*m7**10 + 4*m5**6*m7**10 - 34*m1**4*m5sq*m7**10 - m5**4*m7**12 + 3*m1sq*m5sq*m7**12 + 8*m1**14*m7sq + 312*m1**10*m5**4*m7sq - 64*m1**8*m5**6*m7sq - 72*m1**6*m5**8*m7sq + 8*m1sq*m5**12*m7sq - 192*m1**12*m5sq*m7sq - 2*m1sq*(m1sq - m5sq)**2*m5sq*(m1sq + m5sq - m7sq)*m7sq*(-4*m1sq + m7sq)**2*B0fin(0,0,m5sq) + 2*(m1**3 - m1*m5sq)**2*(2*m1**10 + m5sq*m7**6*(m5sq - m7sq) - 8*m1**8*(m5sq + m7sq) - 8*m1**4*(m5**6 + m7**6 - 3*m5**4*m7sq) + m1sq*(2*m5**8 + 4*m5**4*m7**4 - m5sq*m7**6 + 2*m7**8 - 8*m5**6*m7sq) + 4*m1**6*(3*m5**4 + 3*m7**4 - 2*m5sq*m7sq))*B0fin(0,0,m7sq)))/(m1**2*(m1 - m5)**3*(m1 + m5)**3*(m1 + m5 - m7)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (8*m1**12 + 48*m1**8*m5**4 - 32*m1**6*m5**6 + 8*m1**4*m5**8 - 32*m1**10*m5sq - 55*m1**8*m7**4 - 2*m1**4*m5**4*m7**4 + 20*m1sq*m5**6*m7**4 + m5**8*m7**4 - 28*m1**6*m5sq*m7**4 + 55*m1**6*m7**6 - 23*m1sq*m5**4*m7**6 - 3*m5**6*m7**6 + 3*m1**4*m5sq*m7**6 - 17*m1**4*m7**8 + 3*m5**4*m7**8 + 10*m1sq*m5sq*m7**8 + m1sq*m7**10 - m5sq*m7**10 + 8*m1**10*m7sq - 64*m1**6*m5**4*m7sq + 16*m1**4*m5**6*m7sq - 8*m1sq*m5**8*m7sq + 48*m1**8*m5sq*m7sq + 2*m1sq*(2*m1**10 + m5sq*m7**6*(m5sq - m7sq) - 8*m1**8*(m5sq + m7sq) - 8*m1**4*(m5**6 + m7**6 - 3*m5**4*m7sq) + m1sq*(2*m5**8 + 4*m5**4*m7**4 - m5sq*m7**6 + 2*m7**8 - 8*m5**6*m7sq) + 4*m1**6*(3*m5**4 + 3*m7**4 - 2*m5sq*m7sq))*B0del(0,0,m7sq) - (12*m1**12 + m1**4*(12*m5**8 + 6*m5**4*m7**4 + m5sq*m7**6 - 13*m7**8) + m5sq*m7**4*(m5sq - m7sq)**3 - 8*m1**10*(6*m5sq + m7sq) - m1**6*(48*m5**6 + 28*m5sq*m7**4 - 39*m7**6 + 16*m5**4*m7sq) + m1sq*(20*m5**6*m7**4 - 21*m5**4*m7**6 + 8*m5sq*m7**8 + m7**10 - 8*m5**8*m7sq) + m1**8*(72*m5**4 - 31*m7**4 + 32*m5sq*m7sq))*B0fin(0,0,m7sq))/(m1**2*(m1sq - m5sq)*(m1 + m5 - m7)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) - (2*m5sq*(-m1sq + m5sq + m7sq)*(-2 + B0del(0,0,m5sq) + B0del(0,0,m7sq) + B0fin(0,0,m5sq) + B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)))/((m1sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2) + (2*(2*m1 + m7)*m7sq + (4*m1sq - m7sq)*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) - 4*m1sq*T134fin(m7,m1,m1))/((m1sq - m5sq)*m7**4*(-4*m1sq + m7sq)**2) + (-2*(m1 + m5 + m7)*(-m1sq + m5sq + m7sq)**2 + (m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)) + 4*m5sq*m7sq*T134fin(m7,m5,m1))/((m1sq - m5sq)*(m1 + m5 - m7)**2*m7**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2))/2.
		def eval_119():
			return -0.5*((2*(4*m1**10 + 3*m3**6*m7**4 - m3sq*m7**8 - 2*m3**8*m7sq + 2*m1**8*(-8*m3sq + m7sq) + m1**4*(-16*m3**6 - 39*m3sq*m7**4 + m7**6 - 16*m3**4*m7sq) + m1sq*(4*m3**8 - 5*m3**4*m7**4 + 11*m3sq*m7**6 + 4*m3**6*m7sq) + m1**6*(24*m3**4 - 7*m7**4 + 76*m3sq*m7sq))*B0del(0,0,m1sq))/((-4*m1sq*m7 + m7**3)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m1sq - m3sq)*(-2*(m1sq - m3sq)*m7sq*(22*m1**4 + m7**4 - 9*m1sq*m7sq) + 2*m1sq*(2*m1sq - m7sq)*(4*m1**4 + m7**4 + 2*m3sq*m7sq - 2*m1sq*(2*m3sq + 3*m7sq))*B0del(0,0,m1sq) + 2*m1sq*(-8*m1**6 + 4*m3sq*m7**4 + m7**6 + 4*m1**4*(2*m3sq + 7*m7sq) - 10*m1sq*(m7**4 + 2*m3sq*m7sq))*B0fin(0,0,m1sq) + m1sq*(2*m1sq - m7sq)*(4*m1**4 + m7**4 + 2*m3sq*m7sq - 2*m1sq*(2*m3sq + 3*m7sq))*B0fin(0,0,m1sq)**2))/(m7**4*(-4*m1**3 + m1*m7sq)**2) + (2*m3sq*(3*m1sq + m3sq - m7sq)*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) + (2*B0fin(0,0,m1sq)*(-12*m1**10 - 72*m1**6*m3**4 + 48*m1**4*m3**6 - 12*m1sq*m3**8 + 48*m1**8*m3sq - m1**6*m7**4 - 3*m1sq*m3**4*m7**4 - 3*m3**6*m7**4 + 55*m1**4*m3sq*m7**4 - m1**4*m7**6 - 11*m1sq*m3sq*m7**6 + m3sq*m7**8 + 14*m1**8*m7sq + 12*m1sq*m3**6*m7sq + 2*m3**8*m7sq - 92*m1**6*m3sq*m7sq + m3sq*(3*m1sq + m3sq - m7sq)*m7sq*(-4*m1sq + m7sq)**2*B0fin(0,0,m3sq) + (m1sq - m3sq)*(4*m1**8 + 2*m1**6*(-6*m3sq + m7sq) + m1sq*(-4*m3**6 - 6*m3sq*m7**4 + m7**6 - 2*m3**4*m7sq) + m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq) + m1**4*(12*m3**4 - 7*m7**4 + 30*m3sq*m7sq))*B0fin(0,0,m7sq)))/((-4*m1sq*m7 + m7**3)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*(m1sq - m3sq)*(8*m1sq*(m1sq - m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) + (4*m1**8 + 2*m1**6*(-6*m3sq + m7sq) + m1sq*(-4*m3**6 - 6*m3sq*m7**4 + m7**6 - 2*m3**4*m7sq) + m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq) + m1**4*(12*m3**4 - 7*m7**4 + 30*m3sq*m7sq))*B0del(0,0,m7sq) - (12*m1**8 - 2*m1**6*(18*m3sq + 7*m7sq) + m1sq*(-12*m3**6 - 14*m3sq*m7**4 + m7**6 + 14*m3**4*m7sq) + m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq) + m1**4*(36*m3**4 + m7**4 + 30*m3sq*m7sq))*B0fin(0,0,m7sq)))/((-4*m1sq*m7 + m7**3)**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (4*(m1sq - m3sq)*m3sq*(B0del(0,0,m3sq) + B0del(0,0,m7sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m7sq)))/(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)) - (2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/m7**2 - (2*(m1sq - m3sq)*(2*(m1sq - m3sq)*(2*m1 + m7)*m7sq - (4*m1sq - m7sq)*(m1sq - m3sq - m7sq)*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)) + (4*m1**4 + m7**4 + 2*m3sq*m7sq - 2*m1sq*(2*m3sq + 3*m7sq))*T134fin(m7,m1,m1)))/(m7**4*(-4*m1sq + m7sq)**2) + (2*(m1sq - m3sq)*(m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7) - T134fin(m7,m3,m1)))/(m7**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))))/(m1sq - m3sq)**3
		def eval_120():
			return -0.5*((2*(4*m1**10 + 3*m3**6*m5**4 - m3sq*m5**8 - 2*m3**8*m5sq + 2*m1**8*(-8*m3sq + m5sq) + m1**4*(-16*m3**6 - 39*m3sq*m5**4 + m5**6 - 16*m3**4*m5sq) + m1sq*(4*m3**8 - 5*m3**4*m5**4 + 11*m3sq*m5**6 + 4*m3**6*m5sq) + m1**6*(24*m3**4 - 7*m5**4 + 76*m3sq*m5sq))*B0del(0,0,m1sq))/((-4*m1sq*m5 + m5**3)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((m1sq - m3sq)*(-2*(m1sq - m3sq)*m5sq*(22*m1**4 + m5**4 - 9*m1sq*m5sq) + 2*m1sq*(2*m1sq - m5sq)*(4*m1**4 + m5**4 + 2*m3sq*m5sq - 2*m1sq*(2*m3sq + 3*m5sq))*B0del(0,0,m1sq) + 2*m1sq*(-8*m1**6 + 4*m3sq*m5**4 + m5**6 + 4*m1**4*(2*m3sq + 7*m5sq) - 10*m1sq*(m5**4 + 2*m3sq*m5sq))*B0fin(0,0,m1sq) + m1sq*(2*m1sq - m5sq)*(4*m1**4 + m5**4 + 2*m3sq*m5sq - 2*m1sq*(2*m3sq + 3*m5sq))*B0fin(0,0,m1sq)**2))/(m5**4*(-4*m1**3 + m1*m5sq)**2) + (2*m3sq*(3*m1sq + m3sq - m5sq)*(B0del(0,0,m3sq) - B0fin(0,0,m3sq)))/(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq)) + (2*B0fin(0,0,m1sq)*(-12*m1**10 - 72*m1**6*m3**4 + 48*m1**4*m3**6 - 12*m1sq*m3**8 + 48*m1**8*m3sq - m1**6*m5**4 - 3*m1sq*m3**4*m5**4 - 3*m3**6*m5**4 + 55*m1**4*m3sq*m5**4 - m1**4*m5**6 - 11*m1sq*m3sq*m5**6 + m3sq*m5**8 + 14*m1**8*m5sq + 12*m1sq*m3**6*m5sq + 2*m3**8*m5sq - 92*m1**6*m3sq*m5sq + m3sq*(3*m1sq + m3sq - m5sq)*m5sq*(-4*m1sq + m5sq)**2*B0fin(0,0,m3sq) + (m1sq - m3sq)*(4*m1**8 + 2*m1**6*(-6*m3sq + m5sq) + m1sq*(-4*m3**6 - 6*m3sq*m5**4 + m5**6 - 2*m3**4*m5sq) + m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq) + m1**4*(12*m3**4 - 7*m5**4 + 30*m3sq*m5sq))*B0fin(0,0,m5sq)))/((-4*m1sq*m5 + m5**3)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*(m1sq - m3sq)*(8*m1sq*(m1sq - m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq)) + (4*m1**8 + 2*m1**6*(-6*m3sq + m5sq) + m1sq*(-4*m3**6 - 6*m3sq*m5**4 + m5**6 - 2*m3**4*m5sq) + m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq) + m1**4*(12*m3**4 - 7*m5**4 + 30*m3sq*m5sq))*B0del(0,0,m5sq) - (12*m1**8 - 2*m1**6*(18*m3sq + 7*m5sq) + m1sq*(-12*m3**6 - 14*m3sq*m5**4 + m5**6 + 14*m3**4*m5sq) + m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq) + m1**4*(36*m3**4 + m5**4 + 30*m3sq*m5sq))*B0fin(0,0,m5sq)))/((-4*m1sq*m5 + m5**3)**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (4*(m1sq - m3sq)*m3sq*(B0del(0,0,m3sq) + B0del(0,0,m5sq) - B0fin(0,0,m3sq) + (-1 + B0fin(0,0,m3sq))*B0fin(0,0,m5sq)))/(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq)) - (2*(m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) - T134fin(m3,m1,0)))/m5**2 - (2*(m1sq - m3sq)*(2*(m1sq - m3sq)*(2*m1 + m5)*m5sq - (4*m1sq - m5sq)*(m1sq - m3sq - m5sq)*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + (4*m1**4 + m5**4 + 2*m3sq*m5sq - 2*m1sq*(2*m3sq + 3*m5sq))*T134fin(m5,m1,m1)))/(m5**4*(-4*m1sq + m5sq)**2) + (2*(m1sq - m3sq)*(m1sq - m3sq - m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) - T134fin(m5,m3,m1)))/(m5**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))))/(m1sq - m3sq)**3
		def eval_121():
			return (-2*B0del(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) - (3*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) - (3*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) - (3*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) - (3*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) + (2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) + (3*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) + (3*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) - B0fin(0,0,m2sq)**2/((m1sq - m2sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) - (m1sq*(m2 + m6 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)*(m6sq - m7sq)) + (m2 + m6 + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6))/((m1sq - m2sq)**2*(m2sq - m6sq)*(m6sq - m7sq)) + (m1sq*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) - (2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) + (3*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) - (3*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m6sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) - (m1sq*(m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((-(m1sq*m2) + m2**3)**2*(m2sq - m7sq)*(-m6sq + m7sq)) + (m2 + m7 + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)**2*(m2sq - m7sq)*(-m6sq + m7sq)) + (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) - (2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) + (3*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) - (3*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m7sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) - T134fin(m6,m1,0)/((-(m1sq*m2) + m2**3)**2*(m6sq - m7sq)) + (m1sq*T134fin(m6,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)*(m6sq - m7sq)) - (m6sq*T134fin(m6,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m6sq)*(m6sq - m7sq)) + T134fin(m6,m2,m1)/((-(m1sq*m2) + m2**3)**2*(m6sq - m7sq)) - (m1sq*T134fin(m6,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) - (3*T134fin(m6,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) + (m6sq*T134fin(m6,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) + T134fin(m7,m1,0)/((-(m1sq*m2) + m2**3)**2*(m6sq - m7sq)) + (m1sq*T134fin(m7,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m7sq)*(-m6sq + m7sq)) - (m7sq*T134fin(m7,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m7sq)*(-m6sq + m7sq)) - T134fin(m7,m2,m1)/((-(m1sq*m2) + m2**3)**2*(m6sq - m7sq)) - (m1sq*T134fin(m7,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) - (3*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) + (m7sq*T134fin(m7,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m7sq)*(-m6sq + m7sq))
		def eval_122():
			return (-2*B0del(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) - (3*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) - (3*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m5sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) - (3*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) - (3*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m5sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) + (2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) + (3*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) + (3*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m5sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) - B0fin(0,0,m2sq)**2/((m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) - (m1sq*(m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((-(m1sq*m2) + m2**3)**2*(m2sq - m4sq)*(m4sq - m5sq)) + (m2 + m4 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4))/((m1sq - m2sq)**2*(m2sq - m4sq)*(m4sq - m5sq)) + (m1sq*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) - (2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) + (3*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) - (3*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m4sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) - (m1sq*(m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((-(m1sq*m2) + m2**3)**2*(m2sq - m5sq)*(-m4sq + m5sq)) + (m2 + m5 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5))/((m1sq - m2sq)**2*(m2sq - m5sq)*(-m4sq + m5sq)) + (m1sq*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) - (2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) + (3*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m5sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) - (3*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m5sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) - T134fin(m4,m1,0)/((-(m1sq*m2) + m2**3)**2*(m4sq - m5sq)) + (m1sq*T134fin(m4,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m4sq)*(m4sq - m5sq)) - (m4sq*T134fin(m4,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m4sq)*(m4sq - m5sq)) + T134fin(m4,m2,m1)/((-(m1sq*m2) + m2**3)**2*(m4sq - m5sq)) - (m1sq*T134fin(m4,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) - (3*T134fin(m4,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) + (m4sq*T134fin(m4,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) + T134fin(m5,m1,0)/((-(m1sq*m2) + m2**3)**2*(m4sq - m5sq)) + (m1sq*T134fin(m5,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m5sq)*(-m4sq + m5sq)) - (m5sq*T134fin(m5,m2,0))/((-(m1sq*m2) + m2**3)**2*(m2sq - m5sq)*(-m4sq + m5sq)) - T134fin(m5,m2,m1)/((-(m1sq*m2) + m2**3)**2*(m4sq - m5sq)) - (m1sq*T134fin(m5,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) - (3*T134fin(m5,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) + (m5sq*T134fin(m5,m2,m2))/((-(m1sq*m2) + m2**3)**2*(4*m2sq - m5sq)*(-m4sq + m5sq))
		def eval_123():
			return (8*m1sq*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq) + 4*m1sq*(m1sq - m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq) + 8*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq) + 8*m1sq*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq - 4*m1sq*m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq - 4*m1sq*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq + 8*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq + 4*m3**4*(-m1sq + m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq - 4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*m6sq - 3*m1**8*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 3*m1**6*m3sq*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 3*m1**6*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 3*m1**4*m3sq*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - m1**4*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + m1sq*m3sq*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + m1**10*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - m1**8*m3sq*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 13*m1**4*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 13*m1sq*m3sq*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 26*m1**6*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 26*m1**4*m3sq*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 12*m1**4*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 12*m1sq*m3sq*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 4*m1**6*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 4*m1**4*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m1**6*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 2*m1**4*m3sq*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 2*m1sq*(m1 + m5 - m6)**2*(m1 + m6)*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m3sq*(m1 + m5 - m6)**2*(m1 + m6)*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - m1sq*m5**4*(m5sq*m6 - m6**3)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 2*m1sq*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m5**4 - m6**4)*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m3sq - m6sq)*(m5sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + m1sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - m3sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 13*m1**6*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 13*m1**4*m3sq*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 10*m1**4*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 10*m1sq*m3sq*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 12*m1**8*m5sq*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 12*m1**6*m3sq*m5sq*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 4*m1**4*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 4*m1sq*m3sq*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 2*m3sq*(m1 - m6)**2*(m1 + m6)**2*(m1 + m5 + m6)*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + m3sq*m5**4*(m3sq - m6sq)*(m5sq - m6sq)**2*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) - 4*m1**4*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 4*m1sq*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)) + 5*m1**8*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 2*m1**6*m3sq*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 4*m1**6*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + m1**4*m3sq*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + m1**4*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 2*m1**10*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + m1**8*m3sq*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - m1**4*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + 2*m1sq*m3sq*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + 8*m1**6*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 2*m1**4*m3sq*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 8*m1**4*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 3*m1**6*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + m1**4*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - m1sq*m5**4*(m5sq*m6 - m6**3)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + 2*m1sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + m3sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - m1sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + m1**6*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + 2*m1**4*m3sq*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) - 2*m1sq*m3sq*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + 4*m1**4*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m1sq) + 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*B0del(0,0,m3sq) + m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m5sq + 3*m6sq)*B0del(0,0,m3sq) - 2*m1sq*m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0del(0,0,m5sq) + m1sq*(m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0del(0,0,m5sq) + m1sq*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*B0del(0,0,m5sq) + 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*B0del(0,0,m5sq) + m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m5sq) + m1sq*(m1sq - m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m5sq) + m3sq*(-m1sq + m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m5sq) + 7*m1sq*(m1sq - m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m5sq) + m3sq*(-m1sq + m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m5sq) + 6*m1sq*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0del(0,0,m5sq) + 8*m1sq*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq) + 6*m3sq*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq) + m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq) - 2*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*m6sq*B0del(0,0,m5sq) - m1**6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3sq - m5sq + m6sq)*B0del(0,0,m5sq) - 3*m1**6*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m5sq) + m1**4*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m5sq) - m1sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m5sq) - m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m5sq) + 4*m1**4*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m5sq) + m1**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0del(0,0,m5sq) - 2*m1sq*m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0del(0,0,m6sq) + m1sq*(m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0del(0,0,m6sq) + m1sq*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*B0del(0,0,m6sq) + m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m6sq) + m1sq*(m1sq - m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m6sq) + m3sq*(-m1sq + m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m6sq) + 7*m1sq*(m1sq - m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m6sq) + m3sq*(-m1sq + m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0del(0,0,m6sq) + 6*m1sq*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0del(0,0,m6sq) + 8*m1sq*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq) + 6*m3sq*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq) + m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq) - 2*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*m6sq*B0del(0,0,m6sq) - m1**6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3sq - m5sq + m6sq)*B0del(0,0,m6sq) + m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m5sq + 3*m6sq)*B0del(0,0,m6sq) + 5*m1**8*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 2*m1**6*m3sq*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 4*m1**6*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m1**4*m3sq*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m1**4*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 2*m1**10*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m1**8*m3sq*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - m1**4*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 2*m1sq*m3sq*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 8*m1**6*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 2*m1**4*m3sq*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 8*m1**4*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - m1sq*m5**4*(m5sq*m6 - m6**3)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 2*m1sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m3sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m1**6*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + 2*m1**4*m3sq*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) - 2*m1sq*m3sq*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0del(0,0,m6sq) + m1**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0del(0,0,m6sq) - 2*m1**8*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - m1**6*m3sq*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + m1**6*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 2*m1**4*m3sq*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - m1sq*m3sq*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + m1**10*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 14*m1**4*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 15*m1sq*m3sq*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 18*m1**6*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 24*m1**4*m3sq*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 4*m1**4*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 12*m1sq*m3sq*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - m1**6*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 3*m1**4*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 2*m1sq*m5**4*(m5sq*m6 - m6**3)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 3*m1sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + m1sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 12*m1**6*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 15*m1**4*m3sq*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 10*m1**4*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 12*m1sq*m3sq*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 12*m1**8*m5sq*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) + 12*m1**6*m3sq*m5sq*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - m3sq*m5**4*(m3sq - m6sq)*(m5sq - m6sq)**2*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 4*m1sq*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq) - 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m3sq) - m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m5sq + 3*m6sq)*B0fin(0,0,m3sq) + 2*m1sq*m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq) - m1sq*(m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq) - 9*m1sq*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq) - 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq) + m3**4*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq) - m1sq*(m1sq - m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq) + (m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq) - 11*m1sq*(m1sq - m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq) + 7*m3sq*(-m1sq + m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq) - 14*m1sq*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0fin(0,0,m5sq) + 4*m1sq*m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0fin(0,0,m5sq) - 4*m1sq*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq) + 2*m3sq*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq) + 3*m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq) + 6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m5sq) + m1**6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3sq - m5sq + m6sq)*B0fin(0,0,m5sq) - m1**6*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m5sq) + 3*m1**4*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m5sq) + m1sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m5sq) + m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m5sq) - 4*m1sq*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m5sq) - m1**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0fin(0,0,m5sq) - 3*m1**6*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + m1**4*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m1**4*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq + m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 2*m3sq*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m6)/2. + m1*B0fin(0,0,m1) + m6*B0fin(0,0,m6)) - 2*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m6)/2. + m1*B0fin(0,0,m1) + m6*B0fin(0,0,m6)) - 2*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m3 + m6)/2. + m3*B0fin(0,0,m3) + m6*B0fin(0,0,m6)) - 2*m1**4*m3sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - 2*m1**4*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + 4*m1sq*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + 4*m1sq*(m1 - m6)**2*(m1 + m6)**2*(m5**4 - m6**4)*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) - 2*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + 2*m1**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + 4*m1sq*m3sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + 2*m3sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)) + (m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(-m3sq + m6sq)*(-m3sq - m5sq + m6sq)*(m3 + m5 + m6 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 2*m1sq*m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m6sq) - m1sq*(m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m6sq) - 9*m1sq*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m6sq) + m3**4*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m6sq) - m1sq*(m1sq - m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m6sq) + (m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m6sq) - 11*m1sq*(m1sq - m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m6sq) + 7*m3sq*(-m1sq + m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m6sq) - 14*m1sq*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0fin(0,0,m6sq) + 4*m1sq*m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0fin(0,0,m6sq) - 4*m1sq*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq) + 2*m3sq*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq) + 3*m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq) + 6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m6sq) + m1**6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3sq - m5sq + m6sq)*B0fin(0,0,m6sq) - m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m5sq + 3*m6sq)*B0fin(0,0,m6sq) - 2*m1**8*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - m1**6*m3sq*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + m1**6*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 2*m1**4*m3sq*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - m1sq*m3sq*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + m1**10*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 14*m1**4*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 15*m1sq*m3sq*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 18*m1**6*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 24*m1**4*m3sq*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 4*m1**4*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 12*m1sq*m3sq*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 2*m1sq*m5**4*(m5sq*m6 - m6**3)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 3*m1sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 12*m1**6*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 15*m1**4*m3sq*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 10*m1**4*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 12*m1sq*m3sq*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - 12*m1**8*m5sq*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) + 12*m1**6*m3sq*m5sq*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - m3sq*m5**4*(m3sq - m6sq)*(m5sq - m6sq)**2*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m6sq) - m1**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0fin(0,0,m6sq) + 5*m1**8*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**6*m3sq*m5**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**6*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**4*m3sq*m5**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**4*m5**8*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**10*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**8*m3sq*m5sq*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1**4*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m3sq*m5**4*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1**6*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**4*m3sq*m5sq*m6**4*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1**4*m5sq*m6**6*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - m1sq*m5**4*(m5sq*m6 - m6**3)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m3sq*m5sq*m6**4*(m3sq - m6sq)*(m5sq - m6sq)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m1**6*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**4*m3sq*m5**4*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m3sq*m5**6*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m3sq*m5sq*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m5sq + 3*m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 2*m1sq*m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m1sq*(m1sq - m3sq)*m3sq*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m1sq*(m1sq - m3sq)*m3sq*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m3**4*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m1sq*(m1sq - m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m3sq*(-m1sq + m3sq)*m5**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 7*m1sq*(m1sq - m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m3sq*(-m1sq + m3sq)*m5sq*(m1 - m6)**2*m6**4*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 6*m1sq*(m1sq - m3sq)*m3sq*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 8*m1sq*(m1sq - m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 6*m3sq*(-m1sq + m3sq)*m5**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m3**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 2*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - m1**6*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3sq - m5sq + m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + m1**4*(m1sq - m3sq)*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - m1sq*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m1,0) + (m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m1,0) + (m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m3,0) + m1**6*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) + m1**4*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) - 2*m1sq*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) - 3*m1sq*(m1 - m6)**2*(m1 + m6)**2*(m5**4 - m6**4)*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) + 2*m3sq*m5sq*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) + (m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*(m5sq - m6sq)**3*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) - 3*m1**4*(m1 - m6)**2*(m1 + m6)**2*(m3sq - m6sq)*m6sq*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))*T134fin(m6,m5,m1) - (m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*(m3sq + m5sq - m6sq)*T134fin(m6,m5,m3))/((m1sq - m3sq)**2*m5**2*(m1 - m6)**2*(m1 + m5 - m6)**2*(m1 + m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3sq - m6sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)))
		def eval_124():
			return (8*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4 + 4*m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq) + 8*m3sq*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq) + 8*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*m7sq - 4*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7sq - 4*m1sq*(m1sq - m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq + 8*m3sq*(-m1sq + m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq + 4*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*m7sq + 4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2 - 3*m1**8*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 3*m1**6*m3sq*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 13*m1**4*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 13*m1sq*m3sq*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 13*m1**6*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 13*m1**4*m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 3*m1**6*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 3*m1**4*m3sq*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 10*m1**4*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 10*m1sq*m3sq*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - m1**4*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + m1sq*m3sq*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 2*m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 + m7)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 2*m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 + m7)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 4*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m1 + m4 + m7)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 4*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m1 + m4 + m7)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 2*m1sq*(m1 + m4)*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 2*m3sq*(m1 + m4)*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 2*m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 + m7)*(m4**4 - m7**4)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m1 + m4 + m7)*(m4sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + m3sq*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + m1**10*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - m1**8*m3sq*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 26*m1**6*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 26*m1**4*m3sq*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 12*m1**4*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 12*m1sq*m3sq*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 4*m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 4*m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 12*m1**8*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 12*m1**6*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 + m7)*(m4sq - m7sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - m3sq*m4**4*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - 4*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 4*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) - m1sq*(m3sq - m4sq)*m7**4*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + m1sq*(m3sq - m4sq)*m4sq*m7sq*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)) + 5*m1**8*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 2*m1**6*m3sq*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - m1**4*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + 2*m1sq*m3sq*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + m1**6*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + 2*m1**4*m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 4*m1**6*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + m1**4*m3sq*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 2*m1sq*m3sq*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + m1**4*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 2*m1**10*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + m1**8*m3sq*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + 8*m1**6*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 2*m1**4*m3sq*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 8*m1**4*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - 3*m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + m3sq*m4**4*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + 4*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) - m1sq*(m3sq - m4sq)*m7**4*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + 2*m1sq*(m3sq - m4sq)*m4sq*m7sq*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m1sq) + 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*m7sq*B0del(0,0,m3sq) + m3sq*(m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3sq + 3*m4sq - m7sq)*m7sq*B0del(0,0,m3sq) - 2*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*B0del(0,0,m4sq) + 6*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*B0del(0,0,m4sq) + m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*B0del(0,0,m4sq) + m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq) - 8*m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq) + 6*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq) - m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq) + (m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq) + m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*m7sq*B0del(0,0,m4sq) - 7*m1sq*(m1sq - m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + (m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) - m1**6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3sq + m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + m3sq*(m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3sq + 3*m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + 2*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m4sq) + m1**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0del(0,0,m4sq) + 5*m1**8*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1**6*m3sq*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m1**4*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1sq*m3sq*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m1**6*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1**4*m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 4*m1**6*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m1**4*m3sq*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1sq*m3sq*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m1**4*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1**10*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m1**8*m3sq*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 8*m1**6*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1**4*m3sq*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 8*m1**4*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m3sq*m4**4*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m1sq*(m3sq - m4sq)*m7**4*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1sq*(m3sq - m4sq)*m4sq*m7sq*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*B0del(0,0,m7sq) + 6*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*B0del(0,0,m7sq) + m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*B0del(0,0,m7sq) + m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq) - 8*m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq) + 6*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq) - m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq) + (m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq) + m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*m7sq*B0del(0,0,m7sq) + 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*m7sq*B0del(0,0,m7sq) - 7*m1sq*(m1sq - m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + (m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) - m1**6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3sq + m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + 2*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m7sq) + m1**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0del(0,0,m7sq) - 3*m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m7sq) + m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m7sq) - m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m7sq) - m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m7sq) + 4*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0del(0,0,m7sq) - 2*m1**8*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - m1**6*m3sq*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 14*m1**4*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 15*m1sq*m3sq*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 12*m1**6*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 15*m1**4*m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + m1**6*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 2*m1**4*m3sq*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 10*m1**4*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 12*m1sq*m3sq*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - m1sq*m3sq*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - m3sq*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + m1**10*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 18*m1**6*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 24*m1**4*m3sq*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 4*m1**4*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 12*m1sq*m3sq*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 3*m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 12*m1**8*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 12*m1**6*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 4*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) + 2*m1sq*(m3sq - m4sq)*m7**4*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 3*m1sq*(m3sq - m4sq)*m4sq*m7sq*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq) - 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*m7sq*B0fin(0,0,m3sq) - m3sq*(m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3sq + 3*m4sq - m7sq)*m7sq*B0fin(0,0,m3sq) + 2*m3sq*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4)) - 2*(m3sq - m4sq)*m4sq*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4)) - 2*(m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m3 + m4)/2. + m3*B0fin(0,0,m3) + m4*B0fin(0,0,m4)) + 2*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*B0fin(0,0,m4sq) - 14*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*B0fin(0,0,m4sq) - m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*B0fin(0,0,m4sq) + m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq) + 4*m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq) + 2*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq) + m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq) + m3sq*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq) - 9*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*m7sq*B0fin(0,0,m4sq) + 4*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7sq*B0fin(0,0,m4sq) + 11*m1sq*(m1sq - m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + 7*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + 3*m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + m1**6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) - m3sq*(m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3sq + 3*m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) - 6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq) - m1**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0fin(0,0,m4sq) - 2*m1**8*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - m1**6*m3sq*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 14*m1**4*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 15*m1sq*m3sq*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 12*m1**6*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 15*m1**4*m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + m1**6*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 2*m1**4*m3sq*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 10*m1**4*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 12*m1sq*m3sq*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - m1sq*m3sq*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - m3sq*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + m1**10*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 18*m1**6*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 24*m1**4*m3sq*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 4*m1**4*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 12*m1sq*m3sq*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 12*m1**8*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 12*m1**6*m3sq*(m3sq - m4sq)*m4sq*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 2*m1sq*(m3sq - m4sq)*m7**4*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 3*m1sq*(m3sq - m4sq)*m4sq*m7sq*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 5*m1**8*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**6*m3sq*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**4*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*m3sq*m4**4*(m3sq - m4sq)*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**6*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**4*m3sq*(m3sq - m4sq)*m4sq*m7**4*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**6*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**4*m3sq*(m3sq - m4sq)*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m3sq*(m3sq - m4sq)*m4sq*m7**6*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**4*(m3sq - m4sq)*m7**8*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**10*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1**8*m3sq*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1**6*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**4*m3sq*m4**4*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**4*m4**6*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3sq*m4**4*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1sq*(m3sq - m4sq)*m7**4*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*(m3sq - m4sq)*m4sq*m7sq*(m4**3 - m4*m7sq)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3sq*(m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3sq + 3*m4sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 2*m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 4*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 4*m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4**4 - m7**4)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 4*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + (m1 - m4)**2*(m1 + m4)**2*(-m3sq + m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m3sq + m4sq - m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 2*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*B0fin(0,0,m7sq) - 14*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*B0fin(0,0,m7sq) - m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*B0fin(0,0,m7sq) + m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq) + 4*m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq) + 2*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq) + m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq) + m3sq*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq) - 9*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*m7sq*B0fin(0,0,m7sq) + 4*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7sq*B0fin(0,0,m7sq) - 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*m7sq*B0fin(0,0,m7sq) + 11*m1sq*(m1sq - m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + 7*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + 3*m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + m1**6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3sq + m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) - 6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m7sq) - m1**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0fin(0,0,m7sq) - m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m7sq) + 3*m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m7sq) + m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m7sq) + m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m7sq) - 4*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m7sq) - 3*m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + m1**4*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**2*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m4sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 2*m1sq*m3**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 8*m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*(m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1sq*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1sq*(m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 7*m1sq*(m1sq - m3sq)*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + (m1sq - m3sq)*m3sq*(m1 - m4)**2*m4**4*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m3**4*(-m1sq + m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1**6*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1**4*(m1sq - m3sq)*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1sq*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m4,m1,0) + (m3sq - m4sq)*m4sq*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m4,m1,0) + (m1 - m4)**2*(m1 + m4)**2*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m4,m3,0) + m1**6*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) - 3*m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m4sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) + 3*m1sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4**4 - m7**4)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) - (m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)**3*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) + m1**4*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) - 2*m1sq*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) - 2*m3sq*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m4sq - m7sq)*m7sq*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))*T134fin(m7,m4,m1) - (m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)**2*(m1 - m4)**2*(m1 + m4)**2*(m3sq - m4sq)*(m1 + m4 - m7)**2*m7**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)))
		def eval_125():
			return (2*B0del(0,0,m1sq))/((m1sq - m3sq)*(4*m1sq - m6sq)*(4*m1sq - m7sq)) + (3*m6sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m6sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) + (3*m7sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (3*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m6sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) + (3*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*B0fin(0,0,m1sq))/((m1sq - m3sq)*(4*m1sq - m6sq)*(4*m1sq - m7sq)) - (3*m6sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m6sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) - (3*m7sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) + B0fin(0,0,m1sq)**2/((m1sq - m3sq)*(4*m1sq - m6sq)*(4*m1sq - m7sq)) + (m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))/((m1sq - m3sq)**2*(m1sq - m6sq)*(m6sq - m7sq)) - (m3sq*(m1 + m6 + 2*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(m6sq - m7sq)) - (2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))/((m1sq - m3sq)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (m3sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((m1**3 - m1*m3sq)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (3*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m6sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) + (3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(m1sq - m6sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) + (m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)**2*(m1sq - m7sq)*(-m6sq + m7sq)) - (m3sq*(m1 + m7 + 2*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (3*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(m1sq - m7sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m3sq*T134fin(m6,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(m6sq - m7sq)) - (m6sq*T134fin(m6,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m6sq)*(m6sq - m7sq)) - (3*T134fin(m6,m1,m1))/((m1sq - m3sq)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (m3sq*T134fin(m6,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (m6sq*T134fin(m6,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - T134fin(m6,m3,0)/((m1**3 - m1*m3sq)**2*(m6sq - m7sq)) + T134fin(m6,m3,m1)/((m1**3 - m1*m3sq)**2*(m6sq - m7sq)) + (m3sq*T134fin(m7,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(-m6sq + m7sq)) - (m7sq*T134fin(m7,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m7sq)*(-m6sq + m7sq)) - (3*T134fin(m7,m1,m1))/((m1sq - m3sq)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (m3sq*T134fin(m7,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m7sq*T134fin(m7,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + T134fin(m7,m3,0)/((m1**3 - m1*m3sq)**2*(m6sq - m7sq)) - T134fin(m7,m3,m1)/((m1**3 - m1*m3sq)**2*(m6sq - m7sq))
		def eval_126():
			return ((2*(m1sq - m3sq)*(3*m1**6 + 3*m1**4*(5*m5sq - m7sq) - 3*m1sq*m5sq*(m5sq + m7sq) + (m5**3 - m5*m7sq)**2)*B0del(0,0,m1sq))/((4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m5sq)*(16*m1**4 - 4*m1sq*m7sq + 2*(6*m1**4 + m1sq*(2*m3sq - m7sq) - m3sq*m7sq)*B0del(0,0,m1sq) + 2*(10*m1**4 + m3sq*m7sq - m1sq*(2*m3sq + 3*m7sq))*B0fin(0,0,m1sq) + (6*m1**4 + m1sq*(2*m3sq - m7sq) - m3sq*m7sq)*B0fin(0,0,m1sq)**2))/(m7**4 - 4*m1sq*m7sq) + (2*(m1sq - m3sq)*m5sq*(3*m1sq + m5sq - m7sq)*(B0del(0,0,m5sq) - B0fin(0,0,m5sq)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + ((m1sq - m3sq)*B0fin(0,0,m1sq)*(2*m5sq*(3*m1sq + m5sq - m7sq)*(-1 + B0fin(0,0,m5sq)) + (2*(m1sq - m5sq)*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*(-1 + B0fin(0,0,m7sq)))/(4*m1sq - m7sq)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) + (2*(m1sq - m3sq)*(m1sq - m5sq)*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*(B0del(0,0,m7sq) - B0fin(0,0,m7sq)))/((4*m1sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (4*(m1sq - m3sq)*(m1sq - m5sq)*m5sq*(B0del(0,0,m5sq) + B0del(0,0,m7sq) - B0fin(0,0,m5sq) - B0fin(0,0,m7sq) + B0fin(0,0,m5sq)*B0fin(0,0,m7sq)))/(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq)) - (2*(m1sq - m5sq)*T134fin(m3,m1,0))/m7**2 + (2*(-((m1sq - m3sq)*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5))) + (-m3sq + m5sq)*T134fin(m5,m1,0)))/m7**2 + (2*(m1sq - m5sq)*T134fin(m5,m3,0))/m7**2 + (2*(m1sq - m5sq)*(-((m1sq - m3sq)*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))) + (-3*m1sq - m3sq + m7sq)*T134fin(m7,m1,m1)))/(m7**2*(4*m1sq - m7sq)) + (2*(m1sq - m5sq)*T134fin(m7,m3,m1))/m7**2 + (2*(m1sq - m5sq)*(-((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7))) + (-(m5sq - m7sq)**2 + m3sq*(m5sq + m7sq) + m1sq*(-m3sq + m5sq + m7sq))*T134fin(m7,m5,m1)))/(m7**2*(4*m5sq*m7sq - (-m1sq + m5sq + m7sq)**2)) - (2*(m1sq - m5sq)*T134fin(m7,m5,m3))/m7**2)/(2.*(m1sq - m3sq)**2*(m1sq - m5sq)**2)
		def eval_127():
			return (2*B0del(0,0,m1sq))/((m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)) + (3*m4sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) + (3*m5sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m5sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (3*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) + (3*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m5sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*B0fin(0,0,m1sq))/((m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)) - (3*m4sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) - (3*m5sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(m1sq - m5sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) + B0fin(0,0,m1sq)**2/((m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)) + (m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4))/((m1sq - m3sq)**2*(m1sq - m4sq)*(m4sq - m5sq)) - (m3sq*(m1 + m4 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m4sq - m5sq)) - (2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4))/((m1sq - m3sq)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (m3sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((m1**3 - m1*m3sq)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (3*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) + (3*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(m1sq - m4sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) + (m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5))/((m1sq - m3sq)**2*(m1sq - m5sq)*(-m4sq + m5sq)) - (m3sq*(m1 + m5 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((m1**3 - m1*m3sq)**2*(m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5))/((m1sq - m3sq)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m3sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((m1**3 - m1*m3sq)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (3*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m5sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (3*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(m1sq - m5sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m3sq*T134fin(m4,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m4sq - m5sq)) - (m4sq*T134fin(m4,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m4sq)*(m4sq - m5sq)) - (3*T134fin(m4,m1,m1))/((m1sq - m3sq)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (m3sq*T134fin(m4,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (m4sq*T134fin(m4,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - T134fin(m4,m3,0)/((m1**3 - m1*m3sq)**2*(m4sq - m5sq)) + T134fin(m4,m3,m1)/((m1**3 - m1*m3sq)**2*(m4sq - m5sq)) + (m3sq*T134fin(m5,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m5sq)*(-m4sq + m5sq)) - (m5sq*T134fin(m5,m1,0))/((m1**3 - m1*m3sq)**2*(m1sq - m5sq)*(-m4sq + m5sq)) - (3*T134fin(m5,m1,m1))/((m1sq - m3sq)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (m3sq*T134fin(m5,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m5sq*T134fin(m5,m1,m1))/((m1**3 - m1*m3sq)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + T134fin(m5,m3,0)/((m1**3 - m1*m3sq)**2*(m4sq - m5sq)) - T134fin(m5,m3,m1)/((m1**3 - m1*m3sq)**2*(m4sq - m5sq))
		def eval_128():
			return -(((2*m1sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m7**2*(4*m1sq - m7sq))) + (m2sq*(3*m1sq + m2sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(3*m1sq + m3sq - m7sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m2sq*(3*m1sq + m2sq - m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(3*m1sq + m3sq - m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((2*m1sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m7**2*(4*m1sq - m7sq)) - (m2sq*(3*m1sq + m2sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(3*m1sq + m3sq - m7sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((2*m1sq - m7sq)*B0fin(0,0,m1sq)**2)/(2.*(m1sq - m2sq)*(m1sq - m3sq)*m7**2*(4*m1sq - m7sq)) - (2*((m1 + m2)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2)))/((m1sq - m2sq)**2*(m2sq - m3sq)*m7**2) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m2sq*(3*m1sq + m2sq - m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m2sq*(3*m1sq + m2sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))/((m1sq - m3sq)**2*(m2sq - m3sq)*m7**2) + (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(3*m1sq + m3sq - m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(3*m1sq + m3sq - m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*(m1 + m7/2. + 2*m1*B0fin(0,0,m1) + m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(-m7**4 + 4*m1sq*m7sq)) + ((m1sq - m2sq - m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*m7**2*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*m7**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m2,m1,0)/((m1sq - m2sq)**2*(m2sq - m3sq)*m7**2) + T134fin(m3,m1,0)/((m1sq - m3sq)**2*(-m2sq + m3sq)*m7**2) + T134fin(m7,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(-m7**4 + 4*m1sq*m7sq)) + ((m1sq - m2sq - m7sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*m7**2*(4*m2sq*m7sq - (-m1sq + m2sq + m7sq)**2)) - ((m1sq - m3sq - m7sq)*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*m7**2*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))
		def eval_129():
			return -(((2*m1sq - m5sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m5**2*(4*m1sq - m5sq))) + (m2sq*(3*m1sq + m2sq - m5sq)*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m3sq*(3*m1sq + m3sq - m5sq)*B0del(0,0,m1sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m2sq*(3*m1sq + m2sq - m5sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*(3*m1sq + m3sq - m5sq)*B0del(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m3sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((2*m1sq - m5sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m5**2*(4*m1sq - m5sq)) - (m2sq*(3*m1sq + m2sq - m5sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m3sq*(3*m1sq + m3sq - m5sq)*B0fin(0,0,m1sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - ((15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - ((2*m1sq - m5sq)*B0fin(0,0,m1sq)**2)/(2.*(m1sq - m2sq)*(m1sq - m3sq)*m5**2*(4*m1sq - m5sq)) - (2*((m1 + m2)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2)))/((m1sq - m2sq)**2*(m2sq - m3sq)*m5**2) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m2sq*(3*m1sq + m2sq - m5sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m2sq*(3*m1sq + m2sq - m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1 + m3 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3))/((m1sq - m3sq)**2*(m2sq - m3sq)*m5**2) + (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*(3*m1sq + m3sq - m5sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*(3*m1sq + m3sq - m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)**2*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*(m1 + m5/2. + 2*m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m1sq - m3sq)*(-m5**4 + 4*m1sq*m5sq)) + ((m1sq - m2sq - m5sq)*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m2sq - m3sq)*m5**2*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + ((m1sq - m3sq - m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(-m2sq + m3sq)*m5**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m2sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m3sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - ((15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m3sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + T134fin(m2,m1,0)/((m1sq - m2sq)**2*(m2sq - m3sq)*m5**2) + T134fin(m3,m1,0)/((m1sq - m3sq)**2*(-m2sq + m3sq)*m5**2) + T134fin(m5,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(-m5**4 + 4*m1sq*m5sq)) + ((m1sq - m2sq - m5sq)*T134fin(m5,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*m5**2*(4*m2sq*m5sq - (-m1sq + m2sq + m5sq)**2)) - ((m1sq - m3sq - m5sq)*T134fin(m5,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*m5**2*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq)))
		def eval_130():
			return (12*m1**7 + 18*m1**6*m2 - 48*m1**4*m2**3 + 48*m1**3*m2**4 + 42*m1sq*m2**5 - 18*m1*m2**6 - 12*m2**7 - 42*m1**5*m2sq + 6*(2*m1sq - 3*m2sq)*(m1**3 - m1*m2sq)**2*B0del(0,0,m1sq) + 6*(3*m1sq - 2*m2sq)*(m1sq - m2sq)**2*m2sq*B0del(0,0,m2sq) + 24*m1**7*B0fin(0,0,m1) + 96*m1**3*m2**4*B0fin(0,0,m1) - 36*m1*m2**6*B0fin(0,0,m1) - 84*m1**5*m2sq*B0fin(0,0,m1) - 12*m1**8*B0fin(0,0,m1sq) - 48*m1**4*m2**4*B0fin(0,0,m1sq) + 18*m1sq*m2**6*B0fin(0,0,m1sq) + 42*m1**6*m2sq*B0fin(0,0,m1sq) + 6*m1**8*B0fin(0,0,m1sq)**2 + 24*m1**4*m2**4*B0fin(0,0,m1sq)**2 - 30*m1**6*m2sq*B0fin(0,0,m1sq)**2 + 36*m1**6*m2*B0fin(0,0,m2) - 96*m1**4*m2**3*B0fin(0,0,m2) + 84*m1sq*m2**5*B0fin(0,0,m2) - 24*m2**7*B0fin(0,0,m2) + 48*m1**4*m2**4*B0fin(0,0,m2sq) - 42*m1sq*m2**6*B0fin(0,0,m2sq) + 12*m2**8*B0fin(0,0,m2sq) - 18*m1**6*m2sq*B0fin(0,0,m2sq) - 18*m1sq*m2**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 18*m1**6*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 24*m1**4*m2**4*B0fin(0,0,m2sq)**2 + 30*m1sq*m2**6*B0fin(0,0,m2sq)**2 - 6*m2**8*B0fin(0,0,m2sq)**2 - 51*m1sq*m2**4*T134fin(m1,m1,m1) + 12*m2**6*T134fin(m1,m1,m1) + 12*m1**4*m2sq*T134fin(m1,m1,m1) - 6*m1**6*T134fin(m2,m1,m1) + 114*m1sq*m2**4*T134fin(m2,m1,m1) - 24*m2**6*T134fin(m2,m1,m1) - 3*m1**4*m2sq*T134fin(m2,m1,m1) - 123*m1sq*m2**4*T134fin(m2,m2,m1) + 30*m2**6*T134fin(m2,m2,m1) + 12*m1**4*m2sq*T134fin(m2,m2,m1) - 4*m1**6*T134fin(m2,m2,m2) + 30*m1sq*m2**4*T134fin(m2,m2,m2) - 8*m2**6*T134fin(m2,m2,m2) + 9*m1**4*m2sq*T134fin(m2,m2,m2))/(3.*m2**2*(m1sq - m2sq)**4*(4*m1**4 + 4*m2**4 - 17*m1sq*m2sq))
		def eval_131():
			return (4*m1**8*m2**10 + 16*m1**6*m2**11 - 12*m1**6*m2**12 - 32*m1**4*m2**13 + 12*m1**4*m2**14 + 16*m1sq*m2**15 - 4*m1sq*m2**16 + 8*m1**6*m2**10*m4 - 16*m1**4*m2**12*m4 + 8*m1sq*m2**14*m4 - 31*m1**8*m2**6*m4**3 + 55*m1**6*m2**8*m4**3 - 81*m1**4*m2**10*m4**3 + 121*m1sq*m2**12*m4**3 - 64*m2**14*m4**3 - 8*m1**8*m2**5*m4**4 + 55*m1**8*m2**6*m4**4 + 390*m1**6*m2**7*m4**4 - 69*m1**6*m2**8*m4**4 - 148*m1**4*m2**9*m4**4 - 456*m1**3*m2**10*m4**4 + 9*m1**4*m2**10*m4**4 - 386*m1sq*m2**11*m4**4 + 104*m1*m2**12*m4**4 + 101*m1sq*m2**12*m4**4 + 504*m2**13*m4**4 - 96*m2**14*m4**4 + 8*m1**8*m2**4*m4**5 + 195*m1**6*m2**6*m4**5 - 50*m1**4*m2**8*m4**5 - 517*m1sq*m2**10*m4**5 + 364*m2**12*m4**5 + 31*m1**8*m2**3*m4**6 - 55*m1**8*m2**4*m4**6 - 220*m1**6*m2**5*m4**6 - 165*m1**6*m2**6*m4**6 - 1150*m1**4*m2**7*m4**6 + 1371*m1**3*m2**8*m4**6 + 351*m1**4*m2**8*m4**6 + 1465*m1sq*m2**9*m4**6 - m1*m2**10*m4**6 - 495*m1sq*m2**10*m4**6 - 1496*m2**11*m4**6 + 364*m2**12*m4**6 - 128*m1**6*m2**4*m4**7 - 584*m1**4*m2**6*m4**7 + 1496*m1sq*m2**8*m4**7 - 798*m2**10*m4**7 + 14*m1**8*m2sq*m4**7 - 158*m1**6*m2**3*m4**8 + 282*m1**6*m2**4*m4**8 + 1158*m1**4*m2**5*m4**8 - 1371*m1**3*m2**6*m4**8 - 117*m1**4*m2**6*m4**8 - 471*m1sq*m2**7*m4**8 - 914*m1*m2**8*m4**8 + 543*m1sq*m2**8*m4**8 + 1756*m2**9*m4**8 - 724*m2**10*m4**8 + 16*m1**8*m2sq*m4**8 + 588*m1**4*m2**4*m4**9 - 948*m1sq*m2**6*m4**9 + 436*m2**8*m4**9 - 76*m1**6*m2sq*m4**9 - 4*m1**8*m4**10 + 127*m1**4*m2**3*m4**10 + 456*m1**3*m2**4*m4**10 - 315*m1**4*m2**4*m4**10 - 710*m1sq*m2**5*m4**10 + 1219*m1*m2**6*m4**10 - 321*m1sq*m2**6*m4**10 - 1092*m2**7*m4**10 + 724*m2**8*m4**10 - 84*m1**6*m2sq*m4**10 - 124*m1sq*m2**4*m4**11 + 62*m2**6*m4**11 + 62*m1**4*m2sq*m4**11 + 24*m1**6*m4**12 + 48*m1sq*m2**3*m4**12 - 440*m1*m2**4*m4**12 + 244*m1sq*m2**4*m4**12 + 440*m2**5*m4**12 - 364*m2**6*m4**12 - 48*m1**3*m2sq*m4**12 + 96*m1**4*m2sq*m4**12 - 36*m1**4*m4**14 - 48*m2**3*m4**14 + 96*m2**4*m4**14 + 48*m1*m2sq*m4**14 - 60*m1sq*m2sq*m4**14 + 16*m1sq*m4**16 - 16*m2sq*m4**16 - 14*m1**8*m2**7*m4sq - 16*m1**8*m2**8*m4sq - 82*m1**6*m2**9*m4sq + 24*m1**6*m2**10*m4sq + 126*m1**4*m2**11*m4sq + 48*m1**3*m2**12*m4sq + 2*m1sq*m2**13*m4sq - 16*m1*m2**14*m4sq - 24*m1sq*m2**14*m4sq - 64*m2**15*m4sq + 16*m2**16*m4sq + m1sq*m2sq*(3*m1sq - m2sq - 3*m4sq)*(m2sq - m4sq)*m4sq*(4*m2**4 + 4*m4**4 - 17*m2sq*m4sq)**2*B0del(0,0,m1sq) + m2sq*(m1sq - 4*m4sq)*(2*m1**6*(2*m2**8 + 16*m2**4*m4**4 + 8*m2sq*m4**6 - m4**8 - 16*m2**6*m4sq) + m1**4*(4*m2**10 + 250*m2**6*m4**4 - 287*m2**4*m4**6 + 2*m2sq*m4**8 + 4*m4**10 - 36*m2**8*m4sq) + m2sq*(12*m2**12 + 294*m2**8*m4**4 - 326*m2**6*m4**6 + 205*m2**4*m4**8 - 99*m2sq*m4**10 + 14*m4**12 - 100*m2**10*m4sq) + m1sq*(-20*m2**12 - 352*m2**8*m4**4 + 123*m2**6*m4**6 + 184*m2**4*m4**8 - 24*m2sq*m4**10 - 2*m4**12 + 136*m2**10*m4sq))*B0del(0,0,m2sq) - 16*m1**8*m2**6*m4**4*B0del(0,0,m4sq) - 2*m1**6*m2**8*m4**4*B0del(0,0,m4sq) - 12*m1**4*m2**10*m4**4*B0del(0,0,m4sq) + 86*m1sq*m2**12*m4**4*B0del(0,0,m4sq) - 56*m2**14*m4**4*B0del(0,0,m4sq) - 32*m1**8*m2**4*m4**6*B0del(0,0,m4sq) + 225*m1**6*m2**6*m4**6*B0del(0,0,m4sq) + 28*m1**4*m2**8*m4**6*B0del(0,0,m4sq) - 629*m1sq*m2**10*m4**6*B0del(0,0,m4sq) + 408*m2**12*m4**6*B0del(0,0,m4sq) + 58*m1**6*m2**4*m4**8*B0del(0,0,m4sq) - 875*m1**4*m2**6*m4**8*B0del(0,0,m4sq) + 1855*m1sq*m2**8*m4**8*B0del(0,0,m4sq) - 1070*m2**10*m4**8*B0del(0,0,m4sq) + 32*m1**8*m2sq*m4**8*B0del(0,0,m4sq) - 4*m1**8*m4**10*B0del(0,0,m4sq) + 432*m1**4*m2**4*m4**10*B0del(0,0,m4sq) - 1144*m1sq*m2**6*m4**10*B0del(0,0,m4sq) + 888*m2**8*m4**10*B0del(0,0,m4sq) - 172*m1**6*m2sq*m4**10*B0del(0,0,m4sq) + 24*m1**6*m4**12*B0del(0,0,m4sq) + 58*m1sq*m2**4*m4**12*B0del(0,0,m4sq) - 258*m2**6*m4**12*B0del(0,0,m4sq) + 176*m1**4*m2sq*m4**12*B0del(0,0,m4sq) - 36*m1**4*m4**14*B0del(0,0,m4sq) + 104*m2**4*m4**14*B0del(0,0,m4sq) - 68*m1sq*m2sq*m4**14*B0del(0,0,m4sq) + 16*m1sq*m4**16*B0del(0,0,m4sq) - 16*m2sq*m4**16*B0del(0,0,m4sq) + 2*m1**8*m2**8*m4sq*B0del(0,0,m4sq) + 2*m1**6*m2**10*m4sq*B0del(0,0,m4sq) - 10*m1**4*m2**12*m4sq*B0del(0,0,m4sq) + 6*m1sq*m2**14*m4sq*B0del(0,0,m4sq) - 912*m1**3*m2**10*m4**4*B0fin(0,0,m1) + 208*m1*m2**12*m4**4*B0fin(0,0,m1) + 2742*m1**3*m2**8*m4**6*B0fin(0,0,m1) - 2*m1*m2**10*m4**6*B0fin(0,0,m1) - 2742*m1**3*m2**6*m4**8*B0fin(0,0,m1) - 1828*m1*m2**8*m4**8*B0fin(0,0,m1) + 912*m1**3*m2**4*m4**10*B0fin(0,0,m1) + 2438*m1*m2**6*m4**10*B0fin(0,0,m1) - 880*m1*m2**4*m4**12*B0fin(0,0,m1) - 96*m1**3*m2sq*m4**12*B0fin(0,0,m1) + 96*m1*m2sq*m4**14*B0fin(0,0,m1) + 96*m1**3*m2**12*m4sq*B0fin(0,0,m1) - 32*m1*m2**14*m4sq*B0fin(0,0,m1) + 456*m1**4*m2**10*m4**4*B0fin(0,0,m1sq) - 104*m1sq*m2**12*m4**4*B0fin(0,0,m1sq) - 1371*m1**4*m2**8*m4**6*B0fin(0,0,m1sq) + m1sq*m2**10*m4**6*B0fin(0,0,m1sq) + 1371*m1**4*m2**6*m4**8*B0fin(0,0,m1sq) + 914*m1sq*m2**8*m4**8*B0fin(0,0,m1sq) - 456*m1**4*m2**4*m4**10*B0fin(0,0,m1sq) - 1219*m1sq*m2**6*m4**10*B0fin(0,0,m1sq) + 440*m1sq*m2**4*m4**12*B0fin(0,0,m1sq) + 48*m1**4*m2sq*m4**12*B0fin(0,0,m1sq) - 48*m1sq*m2sq*m4**14*B0fin(0,0,m1sq) - 48*m1**4*m2**12*m4sq*B0fin(0,0,m1sq) + 16*m1sq*m2**14*m4sq*B0fin(0,0,m1sq) + 16*m1**8*m2**9*B0fin(0,0,m2) - 16*m1**6*m2**11*B0fin(0,0,m2) - 16*m1**4*m2**13*B0fin(0,0,m2) + 16*m1sq*m2**15*B0fin(0,0,m2) + 144*m1**8*m2**5*m4**4*B0fin(0,0,m2) + 732*m1**6*m2**7*m4**4*B0fin(0,0,m2) - 536*m1**4*m2**9*m4**4*B0fin(0,0,m2) - 228*m1sq*m2**11*m4**4*B0fin(0,0,m2) + 592*m2**13*m4**4*B0fin(0,0,m2) + 2*m1**8*m2**3*m4**6*B0fin(0,0,m2) - 1220*m1**6*m2**5*m4**6*B0fin(0,0,m2) - 1208*m1**4*m2**7*m4**6*B0fin(0,0,m2) + 1398*m1sq*m2**9*m4**6*B0fin(0,0,m2) - 1712*m2**11*m4**6*B0fin(0,0,m2) - 8*m1**8*m2*m4**8*B0fin(0,0,m2) + 68*m1**6*m2**3*m4**8*B0fin(0,0,m2) + 3012*m1**4*m2**5*m4**8*B0fin(0,0,m2) - 206*m1sq*m2**7*m4**8*B0fin(0,0,m2) + 1704*m2**9*m4**8*B0fin(0,0,m2) + 48*m1**6*m2*m4**10*B0fin(0,0,m2) - 382*m1**4*m2**3*m4**10*B0fin(0,0,m2) - 1920*m1sq*m2**5*m4**10*B0fin(0,0,m2) - 1096*m2**7*m4**10*B0fin(0,0,m2) - 72*m1**4*m2*m4**12*B0fin(0,0,m2) + 344*m1sq*m2**3*m4**12*B0fin(0,0,m2) + 704*m2**5*m4**12*B0fin(0,0,m2) + 32*m1sq*m2*m4**14*B0fin(0,0,m2) - 128*m2**3*m4**14*B0fin(0,0,m2) - 100*m1**8*m2**7*m4sq*B0fin(0,0,m2) - 44*m1**6*m2**9*m4sq*B0fin(0,0,m2) + 228*m1**4*m2**11*m4sq*B0fin(0,0,m2) - 84*m1sq*m2**13*m4sq*B0fin(0,0,m2) - 64*m2**15*m4sq*B0fin(0,0,m2) - 12*m1**8*m2**10*B0fin(0,0,m2sq) + 20*m1**6*m2**12*B0fin(0,0,m2sq) - 4*m1**4*m2**14*B0fin(0,0,m2sq) - 4*m1sq*m2**16*B0fin(0,0,m2sq) - 151*m1**8*m2**6*m4**4*B0fin(0,0,m2sq) - 309*m1**6*m2**8*m4**4*B0fin(0,0,m2sq) + 355*m1**4*m2**10*m4**4*B0fin(0,0,m2sq) - 103*m1sq*m2**12*m4**4*B0fin(0,0,m2sq) - 144*m2**14*m4**4*B0fin(0,0,m2sq) - 25*m1**8*m2**4*m4**6*B0fin(0,0,m2sq) + 1156*m1**6*m2**6*m4**6*B0fin(0,0,m2sq) - 146*m1**4*m2**8*m4**6*B0fin(0,0,m2sq) + 101*m1sq*m2**10*m4**6*B0fin(0,0,m2sq) + 284*m2**12*m4**6*B0fin(0,0,m2sq) + 68*m1**6*m2**4*m4**8*B0fin(0,0,m2sq) - 2463*m1**4*m2**6*m4**8*B0fin(0,0,m2sq) + 288*m1sq*m2**8*m4**8*B0fin(0,0,m2sq) - 196*m2**10*m4**8*B0fin(0,0,m2sq) + 18*m1**8*m2sq*m4**8*B0fin(0,0,m2sq) + 143*m1**4*m2**4*m4**10*B0fin(0,0,m2sq) + 1160*m1sq*m2**6*m4**10*B0fin(0,0,m2sq) + 480*m2**8*m4**10*B0fin(0,0,m2sq) - 108*m1**6*m2sq*m4**10*B0fin(0,0,m2sq) - 90*m1sq*m2**4*m4**12*B0fin(0,0,m2sq) - 560*m2**6*m4**12*B0fin(0,0,m2sq) + 162*m1**4*m2sq*m4**12*B0fin(0,0,m2sq) + 120*m2**4*m4**14*B0fin(0,0,m2sq) - 72*m1sq*m2sq*m4**14*B0fin(0,0,m2sq) + 80*m1**8*m2**8*m4sq*B0fin(0,0,m2sq) - 44*m1**6*m2**10*m4sq*B0fin(0,0,m2sq) - 72*m1**4*m2**12*m4sq*B0fin(0,0,m2sq) + 52*m1sq*m2**14*m4sq*B0fin(0,0,m2sq) + 16*m2**16*m4sq*B0fin(0,0,m2sq) - 272*m1**4*m2**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 128*m1sq*m2**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 642*m1**4*m2**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 1088*m1sq*m2**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 272*m1**4*m2**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 2568*m1sq*m2**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 32*m1**4*m2**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 1088*m1sq*m2**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 128*m1sq*m2**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 32*m1**4*m2**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 2*m1**8*m2**10*B0fin(0,0,m2sq)**2 + 2*m1**6*m2**12*B0fin(0,0,m2sq)**2 - 10*m1**4*m2**14*B0fin(0,0,m2sq)**2 + 6*m1sq*m2**16*B0fin(0,0,m2sq)**2 + 40*m1**8*m2**6*m4**4*B0fin(0,0,m2sq)**2 + 126*m1**6*m2**8*m4**4*B0fin(0,0,m2sq)**2 + 42*m1**4*m2**10*m4**4*B0fin(0,0,m2sq)**2 - 52*m1sq*m2**12*m4**4*B0fin(0,0,m2sq)**2 + 244*m2**14*m4**4*B0fin(0,0,m2sq)**2 - 16*m1**8*m2**4*m4**6*B0fin(0,0,m2sq)**2 - 224*m1**6*m2**6*m4**6*B0fin(0,0,m2sq)**2 - 521*m1**4*m2**8*m4**6*B0fin(0,0,m2sq)**2 - 137*m1sq*m2**10*m4**6*B0fin(0,0,m2sq)**2 - 832*m2**12*m4**6*B0fin(0,0,m2sq)**2 + 96*m1**6*m2**4*m4**8*B0fin(0,0,m2sq)**2 + 360*m1**4*m2**6*m4**8*B0fin(0,0,m2sq)**2 + 1292*m1sq*m2**8*m4**8*B0fin(0,0,m2sq)**2 + 1092*m2**10*m4**8*B0fin(0,0,m2sq)**2 - 144*m1**4*m2**4*m4**10*B0fin(0,0,m2sq)**2 - 432*m1sq*m2**6*m4**10*B0fin(0,0,m2sq)**2 - 544*m2**8*m4**10*B0fin(0,0,m2sq)**2 + 64*m1sq*m2**4*m4**12*B0fin(0,0,m2sq)**2 + 64*m2**6*m4**12*B0fin(0,0,m2sq)**2 - 17*m1**8*m2**8*m4sq*B0fin(0,0,m2sq)**2 - 27*m1**6*m2**10*m4sq*B0fin(0,0,m2sq)**2 + 57*m1**4*m2**12*m4sq*B0fin(0,0,m2sq)**2 - 21*m1sq*m2**14*m4sq*B0fin(0,0,m2sq)**2 - 24*m2**16*m4sq*B0fin(0,0,m2sq)**2 + 8*m1**8*m2**8*m4*B0fin(0,0,m4) - 8*m1**6*m2**10*m4*B0fin(0,0,m4) - 8*m1**4*m2**12*m4*B0fin(0,0,m4) + 8*m1sq*m2**14*m4*B0fin(0,0,m4) - 2*m1**8*m2**6*m4**3*B0fin(0,0,m4) - 118*m1**6*m2**8*m4**3*B0fin(0,0,m4) + 114*m1**4*m2**10*m4**3*B0fin(0,0,m4) + 102*m1sq*m2**12*m4**3*B0fin(0,0,m4) - 96*m2**14*m4**3*B0fin(0,0,m4) - 144*m1**8*m2**4*m4**5*B0fin(0,0,m4) + 510*m1**6*m2**6*m4**5*B0fin(0,0,m4) + 212*m1**4*m2**8*m4**5*B0fin(0,0,m4) - 1482*m1sq*m2**10*m4**5*B0fin(0,0,m4) + 904*m2**12*m4**5*B0fin(0,0,m4) + 488*m1**6*m2**4*m4**7*B0fin(0,0,m4) - 2332*m1**4*m2**6*m4**7*B0fin(0,0,m4) + 4428*m1sq*m2**8*m4**7*B0fin(0,0,m4) - 2684*m2**10*m4**7*B0fin(0,0,m4) + 100*m1**8*m2sq*m4**7*B0fin(0,0,m4) - 16*m1**8*m4**9*B0fin(0,0,m4) + 552*m1**4*m2**4*m4**9*B0fin(0,0,m4) - 2680*m1sq*m2**6*m4**9*B0fin(0,0,m4) + 2680*m2**8*m4**9*B0fin(0,0,m4) - 536*m1**6*m2sq*m4**9*B0fin(0,0,m4) + 96*m1**6*m4**11*B0fin(0,0,m4) + 480*m1sq*m2**4*m4**11*B0fin(0,0,m4) - 1156*m2**6*m4**11*B0fin(0,0,m4) + 580*m1**4*m2sq*m4**11*B0fin(0,0,m4) - 144*m1**4*m4**13*B0fin(0,0,m4) + 416*m2**4*m4**13*B0fin(0,0,m4) - 272*m1sq*m2sq*m4**13*B0fin(0,0,m4) + 64*m1sq*m4**15*B0fin(0,0,m4) - 64*m2sq*m4**15*B0fin(0,0,m4) + 25*m1**8*m2**6*m4**4*B0fin(0,0,m4sq) + 71*m1**6*m2**8*m4**4*B0fin(0,0,m4sq) - 153*m1**4*m2**10*m4**4*B0fin(0,0,m4sq) + 65*m1sq*m2**12*m4**4*B0fin(0,0,m4sq) - 8*m2**14*m4**4*B0fin(0,0,m4sq) + 151*m1**8*m2**4*m4**6*B0fin(0,0,m4sq) - 636*m1**6*m2**6*m4**6*B0fin(0,0,m4sq) + 293*m1**4*m2**8*m4**6*B0fin(0,0,m4sq) + 436*m1sq*m2**10*m4**6*B0fin(0,0,m4sq) - 244*m2**12*m4**6*B0fin(0,0,m4sq) - 628*m1**6*m2**4*m4**8*B0fin(0,0,m4sq) + 2240*m1**4*m2**6*m4**8*B0fin(0,0,m4sq) - 2942*m1sq*m2**8*m4**8*B0fin(0,0,m4sq) + 1410*m2**10*m4**8*B0fin(0,0,m4sq) - 80*m1**8*m2sq*m4**8*B0fin(0,0,m4sq) + 12*m1**8*m4**10*B0fin(0,0,m4sq) + 87*m1**4*m2**4*m4**10*B0fin(0,0,m4sq) + 1461*m1sq*m2**6*m4**10*B0fin(0,0,m4sq) - 1996*m2**8*m4**10*B0fin(0,0,m4sq) + 436*m1**6*m2sq*m4**10*B0fin(0,0,m4sq) - 72*m1**6*m4**12*B0fin(0,0,m4sq) - 566*m1sq*m2**4*m4**12*B0fin(0,0,m4sq) + 1150*m2**6*m4**12*B0fin(0,0,m4sq) - 512*m1**4*m2sq*m4**12*B0fin(0,0,m4sq) + 108*m1**4*m4**14*B0fin(0,0,m4sq) - 360*m2**4*m4**14*B0fin(0,0,m4sq) + 252*m1sq*m2sq*m4**14*B0fin(0,0,m4sq) - 48*m1sq*m4**16*B0fin(0,0,m4sq) + 48*m2sq*m4**16*B0fin(0,0,m4sq) - 18*m1**8*m2**8*m4sq*B0fin(0,0,m4sq) + 46*m1**6*m2**10*m4sq*B0fin(0,0,m4sq) - 38*m1**4*m2**12*m4sq*B0fin(0,0,m4sq) + 10*m1sq*m2**14*m4sq*B0fin(0,0,m4sq) - 184*m1**4*m2**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 232*m1sq*m2**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 729*m1**4*m2**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 1089*m1sq*m2**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 1099*m1**4*m2**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 1654*m1sq*m2**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 424*m1**4*m2**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 131*m1sq*m2**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 312*m1sq*m2**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 48*m1**4*m2sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 48*m1sq*m2sq*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**4*m2**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 16*m1sq*m2**14*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 48*m1**8*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 126*m1**6*m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 20*m1**4*m2**10*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 18*m1sq*m2**12*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 88*m2**14*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 48*m1**8*m2**4*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 33*m1**6*m2**6*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 477*m1**4*m2**8*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 268*m1sq*m2**10*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 488*m2**12*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 254*m1**6*m2**4*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 884*m1**4*m2**6*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 303*m1sq*m2**8*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 880*m2**10*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1**8*m2sq*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 224*m1**4*m2**4*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 1059*m1sq*m2**6*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 268*m2**8*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 12*m1**6*m2sq*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 110*m1sq*m2**4*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 268*m2**6*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 18*m1**4*m2sq*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 56*m2**4*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m1sq*m2sq*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**8*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1**6*m2**10*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 26*m1**4*m2**12*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 22*m1sq*m2**14*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 16*m1**8*m2**6*m4**4*B0fin(0,0,m4sq)**2 - 64*m1**6*m2**8*m4**4*B0fin(0,0,m4sq)**2 + 96*m1**4*m2**10*m4**4*B0fin(0,0,m4sq)**2 - 64*m1sq*m2**12*m4**4*B0fin(0,0,m4sq)**2 + 16*m2**14*m4**4*B0fin(0,0,m4sq)**2 - 40*m1**8*m2**4*m4**6*B0fin(0,0,m4sq)**2 + 96*m1**6*m2**6*m4**6*B0fin(0,0,m4sq)**2 - 112*m1**4*m2**8*m4**6*B0fin(0,0,m4sq)**2 + 96*m1sq*m2**10*m4**6*B0fin(0,0,m4sq)**2 - 40*m2**12*m4**6*B0fin(0,0,m4sq)**2 + 156*m1**6*m2**4*m4**8*B0fin(0,0,m4sq)**2 - 330*m1**4*m2**6*m4**8*B0fin(0,0,m4sq)**2 + 252*m1sq*m2**8*m4**8*B0fin(0,0,m4sq)**2 - 95*m2**10*m4**8*B0fin(0,0,m4sq)**2 + 17*m1**8*m2sq*m4**8*B0fin(0,0,m4sq)**2 - 2*m1**8*m4**10*B0fin(0,0,m4sq)**2 - 108*m1**4*m2**4*m4**10*B0fin(0,0,m4sq)**2 - 108*m1sq*m2**6*m4**10*B0fin(0,0,m4sq)**2 + 310*m2**8*m4**10*B0fin(0,0,m4sq)**2 - 92*m1**6*m2sq*m4**10*B0fin(0,0,m4sq)**2 + 12*m1**6*m4**12*B0fin(0,0,m4sq)**2 + 130*m1sq*m2**4*m4**12*B0fin(0,0,m4sq)**2 - 263*m2**6*m4**12*B0fin(0,0,m4sq)**2 + 121*m1**4*m2sq*m4**12*B0fin(0,0,m4sq)**2 - 18*m1**4*m4**14*B0fin(0,0,m4sq)**2 + 80*m2**4*m4**14*B0fin(0,0,m4sq)**2 - 62*m1sq*m2sq*m4**14*B0fin(0,0,m4sq)**2 + 8*m1sq*m4**16*B0fin(0,0,m4sq)**2 - 8*m2sq*m4**16*B0fin(0,0,m4sq)**2 + 136*m1**4*m2**8*m4**4*T134fin(m4,m2,m1) + 216*m1sq*m2**10*m4**4*T134fin(m4,m2,m1) + 64*m2**12*m4**4*T134fin(m4,m2,m1) - 321*m1**4*m2**6*m4**6*T134fin(m4,m2,m1) - 1001*m1sq*m2**8*m4**6*T134fin(m4,m2,m1) - 608*m2**10*m4**6*T134fin(m4,m2,m1) + 136*m1**4*m2**4*m4**8*T134fin(m4,m2,m1) + 1741*m1sq*m2**6*m4**8*T134fin(m4,m2,m1) + 1828*m2**8*m4**8*T134fin(m4,m2,m1) - 696*m1sq*m2**4*m4**10*T134fin(m4,m2,m1) - 1828*m2**6*m4**10*T134fin(m4,m2,m1) - 16*m1**4*m2sq*m4**10*T134fin(m4,m2,m1) + 608*m2**4*m4**12*T134fin(m4,m2,m1) + 80*m1sq*m2sq*m4**12*T134fin(m4,m2,m1) - 64*m2sq*m4**14*T134fin(m4,m2,m1) - 16*m1**4*m2**10*m4sq*T134fin(m4,m2,m1) - 16*m1sq*m2**12*m4sq*T134fin(m4,m2,m1) - 2*m1**8*m2**8*T134fin(m4,m2,m2) - 2*m1**6*m2**10*T134fin(m4,m2,m2) + 10*m1**4*m2**12*T134fin(m4,m2,m2) - 6*m1sq*m2**14*T134fin(m4,m2,m2) - 32*m1**8*m2**4*m4**4*T134fin(m4,m2,m2) - 177*m1**6*m2**6*m4**4*T134fin(m4,m2,m2) + 12*m1**4*m2**8*m4**4*T134fin(m4,m2,m2) + 45*m1sq*m2**10*m4**4*T134fin(m4,m2,m2) - 264*m2**12*m4**4*T134fin(m4,m2,m2) + 296*m1**6*m2**4*m4**6*T134fin(m4,m2,m2) + 614*m1**4*m2**6*m4**6*T134fin(m4,m2,m2) - 16*m1sq*m2**8*m4**6*T134fin(m4,m2,m2) + 1036*m2**10*m4**6*T134fin(m4,m2,m2) - 880*m1**4*m2**4*m4**8*T134fin(m4,m2,m2) - 1017*m1sq*m2**6*m4**8*T134fin(m4,m2,m2) - 1792*m2**8*m4**8*T134fin(m4,m2,m2) - 16*m1**6*m2sq*m4**8*T134fin(m4,m2,m2) + 968*m1sq*m2**4*m4**10*T134fin(m4,m2,m2) + 1476*m2**6*m4**10*T134fin(m4,m2,m2) + 96*m1**4*m2sq*m4**10*T134fin(m4,m2,m2) - 544*m2**4*m4**12*T134fin(m4,m2,m2) - 144*m1sq*m2sq*m4**12*T134fin(m4,m2,m2) + 64*m2sq*m4**14*T134fin(m4,m2,m2) + 16*m1**8*m2**6*m4sq*T134fin(m4,m2,m2) + 34*m1**6*m2**8*m4sq*T134fin(m4,m2,m2) - 68*m1**4*m2**10*m4sq*T134fin(m4,m2,m2) + 26*m1sq*m2**12*m4sq*T134fin(m4,m2,m2) + 24*m2**14*m4sq*T134fin(m4,m2,m2) - 136*m1**4*m2**8*m4**4*T134fin(m4,m4,m1) + 240*m1sq*m2**10*m4**4*T134fin(m4,m4,m1) - 168*m2**12*m4**4*T134fin(m4,m4,m1) + 321*m1**4*m2**6*m4**6*T134fin(m4,m4,m1) - 370*m1sq*m2**8*m4**6*T134fin(m4,m4,m1) + 609*m2**10*m4**6*T134fin(m4,m4,m1) - 136*m1**4*m2**4*m4**8*T134fin(m4,m4,m1) - 370*m1sq*m2**6*m4**8*T134fin(m4,m4,m1) - 914*m2**8*m4**8*T134fin(m4,m4,m1) + 240*m1sq*m2**4*m4**10*T134fin(m4,m4,m1) + 609*m2**6*m4**10*T134fin(m4,m4,m1) + 16*m1**4*m2sq*m4**10*T134fin(m4,m4,m1) - 168*m2**4*m4**12*T134fin(m4,m4,m1) - 32*m1sq*m2sq*m4**12*T134fin(m4,m4,m1) + 16*m2sq*m4**14*T134fin(m4,m4,m1) + 16*m1**4*m2**10*m4sq*T134fin(m4,m4,m1) - 32*m1sq*m2**12*m4sq*T134fin(m4,m4,m1) + 16*m2**14*m4sq*T134fin(m4,m4,m1) + 32*m1**8*m2**4*m4**4*T134fin(m4,m4,m2) - 24*m1**6*m2**6*m4**4*T134fin(m4,m4,m2) + 48*m1**4*m2**8*m4**4*T134fin(m4,m4,m2) - 56*m1sq*m2**10*m4**4*T134fin(m4,m4,m2) + 64*m2**12*m4**4*T134fin(m4,m4,m2) - 177*m1**6*m2**4*m4**6*T134fin(m4,m4,m2) - 30*m1**4*m2**6*m4**6*T134fin(m4,m4,m2) - 49*m1sq*m2**8*m4**6*T134fin(m4,m4,m2) - 288*m2**10*m4**6*T134fin(m4,m4,m2) - 16*m1**8*m2sq*m4**6*T134fin(m4,m4,m2) + 2*m1**8*m4**8*T134fin(m4,m4,m2) + 292*m1**4*m2**4*m4**8*T134fin(m4,m4,m2) + 580*m1sq*m2**6*m4**8*T134fin(m4,m4,m2) + 452*m2**8*m4**8*T134fin(m4,m4,m2) + 94*m1**6*m2sq*m4**8*T134fin(m4,m4,m2) - 12*m1**6*m4**10*T134fin(m4,m4,m2) - 405*m1sq*m2**4*m4**10*T134fin(m4,m4,m2) - 304*m2**6*m4**10*T134fin(m4,m4,m2) - 144*m1**4*m2sq*m4**10*T134fin(m4,m4,m2) + 18*m1**4*m4**12*T134fin(m4,m4,m2) + 84*m2**4*m4**12*T134fin(m4,m4,m2) + 98*m1sq*m2sq*m4**12*T134fin(m4,m4,m2) - 8*m1sq*m4**14*T134fin(m4,m4,m2) - 8*m2sq*m4**14*T134fin(m4,m4,m2) - 16*m1**6*m2**8*m4sq*T134fin(m4,m4,m2) + 32*m1**4*m2**10*m4sq*T134fin(m4,m4,m2) - 16*m1sq*m2**12*m4sq*T134fin(m4,m4,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m4)**2*(m2 - m4)*m4**2*(-2*m2 + m4)**2*(m2 + m4)*(2*m2 + m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq)))
		def eval_132():
			return (-6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0del(0,0,m1sq) - 12*m1**4*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m1sq) - 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0del(0,0,m1sq) - 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0del(0,0,m2sq) + 3*m2sq*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0del(0,0,m2sq) - 6*(m1sq - m2sq)*m3**6*(m1sq + 2*m2sq - 9*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m3sq) + 3*m2sq*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0del(0,0,m3sq) - 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0del(0,0,m3sq) + 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0fin(0,0,m1sq) + 12*m1**4*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq) + 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0fin(0,0,m1sq) - 6*m1**4*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq)**2 + 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0fin(0,0,m2sq) + 3*m2sq*(-(m1sq*m3) + m3**3)**2*m3sq*(-4*m1sq + m3sq)*(-m1sq + m3sq)*(-m1sq + 4*m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0fin(0,0,m2sq) - 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 3*(m1sq - m2sq)*m3**3*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(1 + 2*B0fin(0,0,m3)) - 6*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(2*m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1 + m3/2. + 2*m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3)) - 6*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1sq + m2sq - m3sq)*((m1 + m2 + m3)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3)) + 6*m3**4*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1sq - 2*m2sq + m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1/2. + m3 + m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 6*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m2/2. + m3 + m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 6*(m1sq - m2sq)*m3**6*(m1sq + 2*m2sq - 9*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m3sq) + 3*m2sq*(-(m1sq*m3) + m3**3)**2*m3sq*(-4*m1sq + m3sq)*(-m1sq + m3sq)*(-m1sq + 4*m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0fin(0,0,m3sq) + 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0fin(0,0,m3sq) - 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 3*m2sq*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 3*(m1sq - m2sq)*m3**6*(m1sq + 2*m2sq - 9*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m3sq)**2 + 3*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(2*m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m1,m1) + 3*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1sq + m2sq - m3sq)*T134fin(m3,m2,m1) - 3*m3**4*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1sq - 2*m2sq + m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m3,m1) - 3*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m3,m2) - (m1sq - m2sq)*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*m3sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m3,m3))/(3.*(m1sq - m2sq)*(-(m1sq*m3) + m3**3)**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(4*m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq)))
		def eval_133():
			return (-6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0del(0,0,m1sq) - 12*m1**4*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m1sq) - 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0del(0,0,m1sq) - 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0del(0,0,m2sq) + 3*m2sq*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0del(0,0,m2sq) - 6*(m1sq - m2sq)*m3**6*(m1sq + 2*m2sq - 9*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m3sq) + 3*m2sq*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0del(0,0,m3sq) - 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0del(0,0,m3sq) + 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0fin(0,0,m1sq) + 12*m1**4*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq) + 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0fin(0,0,m1sq) - 6*m1**4*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq)**2 + 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0fin(0,0,m2sq) + 3*m2sq*(-(m1sq*m3) + m3**3)**2*m3sq*(-4*m1sq + m3sq)*(-m1sq + m3sq)*(-m1sq + 4*m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0fin(0,0,m2sq) - 6*m1sq*m2sq*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 3*(m1sq - m2sq)*m3**3*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(1 + 2*B0fin(0,0,m3)) - 6*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(2*m1sq - m3sq)*(m2sq - m3sq)*m3sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1 + m3/2. + 2*m1*B0fin(0,0,m1) + m3*B0fin(0,0,m3)) - 6*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1sq + m2sq - m3sq)*((m1 + m2 + m3)/2. + m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3)) + 6*m3**4*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1sq - 2*m2sq + m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1/2. + m3 + m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3)) + 6*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m2/2. + m3 + m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) + 6*(m1sq - m2sq)*m3**6*(m1sq + 2*m2sq - 9*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m3sq) + 3*m2sq*(-(m1sq*m3) + m3**3)**2*m3sq*(-4*m1sq + m3sq)*(-m1sq + m3sq)*(-m1sq + 4*m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0fin(0,0,m3sq) + 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0fin(0,0,m3sq) - 3*m3**4*(m2sq - 4*m3sq)*(m1**3 - m1*m3sq)**2*(-19*m2**4*m3**4 + 24*m2sq*m3**6 - 3*m3**8 + 2*m1**6*(5*m2sq - 9*m3sq) + 6*m2**6*m3sq + m1sq*(6*m2**6 - 11*m2sq*m3**4 - 12*m3**6 - 25*m2**4*m3sq) + m1**4*(-16*m2**4 + 33*m3**4 + 25*m2sq*m3sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 3*m2sq*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + 3*(m2sq - m3sq)*m3sq - m1sq*(m2sq + 6*m3sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) - 3*(m1sq - m2sq)*m3**6*(m1sq + 2*m2sq - 9*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m3sq)**2 + 3*(m1sq*m3 - m3**3)**2*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(2*m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m1,m1) + 3*m3**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1sq + m2sq - m3sq)*T134fin(m3,m2,m1) - 3*m3**4*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*(m1sq - 2*m2sq + m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m3,m1) - 3*m3**4*(m1sq - 4*m3sq)*(m1sq - m3sq)**3*(4*m1sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m3,m2) - (m1sq - m2sq)*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(m1sq - m3sq)**2*(4*m1sq - m3sq)*m3sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m3,m3))/(3.*(m1sq - m2sq)*(-(m1sq*m3) + m3**3)**4*(m1sq - 4*m3sq)*(m2sq - 4*m3sq)*(4*m1sq - m3sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq)))
		def eval_134():
			return (-4*m1**13*m2**6 + 16*m1**11*m2**8 - 24*m1**9*m2**10 + 16*m1**7*m2**12 - 4*m1**5*m2**14 - 2*m1**12*m2**6*m4 + 8*m1**10*m2**8*m4 - 12*m1**8*m2**10*m4 + 8*m1**6*m2**12*m4 - 2*m1**4*m2**14*m4 + 64*m1**12*m2**4*m4**3 - 183*m1**10*m2**6*m4**3 + 236*m1**8*m2**8*m4**3 - 138*m1**6*m2**10*m4**3 + 28*m1**4*m2**12*m4**3 + m1sq*m2**14*m4**3 - 8*m1**14*m2sq*m4**3 + 17*m1**12*m2**3*m4**4 + 144*m1**11*m2**4*m4**4 - 65*m1**12*m2**4*m4**4 + 42*m1**10*m2**5*m4**4 + m1**9*m2**6*m4**4 + 104*m1**10*m2**6*m4**4 + 54*m1**8*m2**7*m4**4 - 330*m1**7*m2**8*m4**4 - 102*m1**8*m2**8*m4**4 - 270*m1**6*m2**9*m4**4 + 330*m1**5*m2**10*m4**4 + 168*m1**6*m2**10*m4**4 + 189*m1**4*m2**11*m4**4 - 106*m1**3*m2**12*m4**4 - 105*m1**4*m2**12*m4**4 - 7*m1*m2**14*m4**4 - 64*m1**13*m2sq*m4**4 + 12*m1**10*m2**4*m4**5 + 98*m1**8*m2**6*m4**5 - 282*m1**6*m2**8*m4**5 + 210*m1**4*m2**10*m4**5 - 38*m1sq*m2**12*m4**5 - 2*m2**14*m4**5 + 2*m1**12*m2sq*m4**5 - 16*m1**14*m4**6 - 220*m1**10*m2**3*m4**6 - 776*m1**9*m2**4*m4**6 + 40*m1**10*m2**4*m4**6 - 396*m1**8*m2**5*m4**6 + 1443*m1**7*m2**6*m4**6 - 181*m1**8*m2**6*m4**6 + 999*m1**6*m2**7*m4**6 - 762*m1**5*m2**8*m4**6 - 281*m1**6*m2**8*m4**6 - 546*m1**4*m2**9*m4**6 + 147*m1**3*m2**10*m4**6 + 189*m1**4*m2**10*m4**6 - 189*m1sq*m2**11*m4**6 + 76*m1*m2**12*m4**6 + 105*m1sq*m2**12*m4**6 + 224*m1**11*m2sq*m4**6 + 144*m1**12*m2sq*m4**6 - 520*m1**8*m2**4*m4**7 + 1185*m1**6*m2**6*m4**7 - 618*m1**4*m2**8*m4**7 - 39*m1sq*m2**10*m4**7 + 32*m2**12*m4**7 - 40*m1**10*m2sq*m4**7 + 132*m1**12*m4**8 + 1158*m1**8*m2**3*m4**8 - 824*m1**7*m2**4*m4**8 + 746*m1**8*m2**4*m4**8 - 816*m1**6*m2**5*m4**8 - 572*m1**5*m2**6*m4**8 + 83*m1**6*m2**6*m4**8 + 72*m1**4*m2**7*m4**8 + 304*m1**3*m2**8*m4**8 + 128*m1**4*m2**8*m4**8 + 920*m1sq*m2**9*m4**8 - 294*m1*m2**10*m4**8 - 393*m1sq*m2**10*m4**8 + 36*m2**11*m4**8 - 20*m2**12*m4**8 + 16*m1**9*m2sq*m4**8 - 676*m1**10*m2sq*m4**8 - 856*m1**6*m2**4*m4**9 - 268*m1**4*m2**6*m4**9 + 624*m1sq*m2**8*m4**9 - 120*m2**10*m4**9 + 620*m1**8*m2sq*m4**9 - 384*m1**10*m4**10 - 1304*m1**6*m2**3*m4**10 + 1728*m1**5*m2**4*m4**10 - 376*m1**6*m2**4*m4**10 + 588*m1**4*m2**5*m4**10 - 255*m1**3*m2**6*m4**10 + m1**4*m2**6*m4**10 - 1377*m1sq*m2**7*m4**10 + 508*m1*m2**8*m4**10 + 291*m1sq*m2**8*m4**10 - 192*m2**9*m4**10 + 84*m2**10*m4**10 + 304*m1**7*m2sq*m4**10 + 384*m1**8*m2sq*m4**10 + 1176*m1**4*m2**4*m4**11 - 816*m1sq*m2**6*m4**11 + 152*m2**8*m4**11 - 512*m1**6*m2sq*m4**11 + 536*m1**8*m4**12 + 577*m1**4*m2**3*m4**12 - 520*m1**3*m2**4*m4**12 - 481*m1**4*m2**4*m4**12 + 774*m1sq*m2**5*m4**12 - 451*m1*m2**6*m4**12 + 13*m1sq*m2**6*m4**12 + 324*m2**7*m4**12 - 76*m2**8*m4**12 - 704*m1**5*m2sq*m4**12 + 8*m1**6*m2sq*m4**12 + 124*m1sq*m2**4*m4**13 - 62*m2**6*m4**13 - 62*m1**4*m2sq*m4**13 - 384*m1**6*m4**14 - 272*m1sq*m2**3*m4**14 + 216*m1*m2**4*m4**14 + 132*m1sq*m2**4*m4**14 - 216*m2**5*m4**14 - 4*m2**6*m4**14 + 272*m1**3*m2sq*m4**14 + 256*m1**4*m2sq*m4**14 + 132*m1**4*m4**16 + 48*m2**3*m4**16 - 48*m1*m2sq*m4**16 - 132*m1sq*m2sq*m4**16 - 16*m1sq*m4**18 + 16*m2sq*m4**18 - 4*m1**14*m2**3*m4sq + 32*m1**13*m2**4*m4sq + 4*m1**14*m2**4*m4sq + 24*m1**12*m2**5*m4sq - 114*m1**11*m2**6*m4sq - 16*m1**12*m2**6*m4sq - 72*m1**10*m2**7*m4sq + 144*m1**9*m2**8*m4sq + 40*m1**10*m2**8*m4sq + 88*m1**8*m2**9*m4sq - 60*m1**7*m2**10*m4sq - 48*m1**8*m2**10*m4sq - 36*m1**6*m2**11*m4sq - 16*m1**5*m2**12*m4sq + 20*m1**6*m2**12*m4sq + 14*m1**3*m2**14*m4sq - m1sq*m2sq*(m2sq - 4*m4sq)**2*(4*m1**12 + m4**4*(-m2sq + m4sq)**3*(-7*m2sq + 3*m4sq) - 2*m1**10*(8*m2sq + 9*m4sq) - m1**6*(16*m2**6 - 17*m2sq*m4**4 + 19*m4**6 + 64*m2**4*m4sq) - m1sq*m4sq*(14*m2**8 + m2**4*m4**4 - 33*m2sq*m4**6 + 13*m4**8 - 11*m2**6*m4sq) + m1**4*(4*m2**8 - 19*m2**4*m4**4 - 52*m2sq*m4**6 + 27*m4**8 + 44*m2**6*m4sq) + 4*m1**8*(6*m2**4 + 4*m4**4 + 13*m2sq*m4sq))*B0del(0,0,m1sq) + m2sq*m4sq*(-4*m1**6 - 21*m1sq*m4**4 + 4*m4**6 + 21*m1**4*m4sq)*(m2sq*(5*m2sq - 14*m4sq)*(m2sq - m4sq)**3 + 2*m1**8*m4sq + m1**4*(7*m2**6 + 42*m2sq*m4**4 + 6*m4**6 - 17*m2**4*m4sq) - m1sq*(11*m2**8 + 47*m2**4*m4**4 + 18*m2sq*m4**6 + 2*m4**8 - 42*m2**6*m4sq) - m1**6*(m2**4 + 6*m4**4 + 6*m2sq*m4sq))*B0del(0,0,m2sq) + 24*m1**12*m2**4*m4**4*B0del(0,0,m4sq) - 99*m1**10*m2**6*m4**4*B0del(0,0,m4sq) + 152*m1**8*m2**8*m4**4*B0del(0,0,m4sq) - 102*m1**6*m2**10*m4**4*B0del(0,0,m4sq) + 24*m1**4*m2**12*m4**4*B0del(0,0,m4sq) + m1sq*m2**14*m4**4*B0del(0,0,m4sq) - 16*m1**14*m4**6*B0del(0,0,m4sq) + 54*m1**10*m2**4*m4**6*B0del(0,0,m4sq) - 67*m1**8*m2**6*m4**6*B0del(0,0,m4sq) - 29*m1**6*m2**8*m4**6*B0del(0,0,m4sq) + 65*m1**4*m2**10*m4**6*B0del(0,0,m4sq) - 21*m1sq*m2**12*m4**6*B0del(0,0,m4sq) - 2*m2**14*m4**6*B0del(0,0,m4sq) + 16*m1**12*m2sq*m4**6*B0del(0,0,m4sq) + 132*m1**12*m4**8*B0del(0,0,m4sq) - 96*m1**8*m2**4*m4**8*B0del(0,0,m4sq) + 465*m1**6*m2**6*m4**8*B0del(0,0,m4sq) - 240*m1**4*m2**8*m4**8*B0del(0,0,m4sq) - 37*m1sq*m2**10*m4**8*B0del(0,0,m4sq) + 28*m2**12*m4**8*B0del(0,0,m4sq) - 252*m1**10*m2sq*m4**8*B0del(0,0,m4sq) - 384*m1**10*m4**10*B0del(0,0,m4sq) - 516*m1**6*m2**4*m4**10*B0del(0,0,m4sq) - 159*m1**4*m2**6*m4**10*B0del(0,0,m4sq) + 435*m1sq*m2**8*m4**10*B0del(0,0,m4sq) - 112*m2**10*m4**10*B0del(0,0,m4sq) + 736*m1**8*m2sq*m4**10*B0del(0,0,m4sq) + 536*m1**8*m4**12*B0del(0,0,m4sq) + 544*m1**4*m2**4*m4**12*B0del(0,0,m4sq) - 668*m1sq*m2**6*m4**12*B0del(0,0,m4sq) + 172*m2**8*m4**12*B0del(0,0,m4sq) - 584*m1**6*m2sq*m4**12*B0del(0,0,m4sq) - 384*m1**6*m4**14*B0del(0,0,m4sq) + 286*m1sq*m2**4*m4**14*B0del(0,0,m4sq) - 94*m2**6*m4**14*B0del(0,0,m4sq) + 192*m1**4*m2sq*m4**14*B0del(0,0,m4sq) + 132*m1**4*m4**16*B0del(0,0,m4sq) - 8*m2**4*m4**16*B0del(0,0,m4sq) - 124*m1sq*m2sq*m4**16*B0del(0,0,m4sq) - 16*m1sq*m4**18*B0del(0,0,m4sq) + 16*m2sq*m4**18*B0del(0,0,m4sq) - 2*m1**12*m2**6*m4sq*B0del(0,0,m4sq) + 8*m1**10*m2**8*m4sq*B0del(0,0,m4sq) - 12*m1**8*m2**10*m4sq*B0del(0,0,m4sq) + 8*m1**6*m2**12*m4sq*B0del(0,0,m4sq) - 2*m1**4*m2**14*m4sq*B0del(0,0,m4sq) - 8*m1**13*m2**6*B0fin(0,0,m1) + 32*m1**11*m2**8*B0fin(0,0,m1) - 48*m1**9*m2**10*B0fin(0,0,m1) + 32*m1**7*m2**12*B0fin(0,0,m1) - 8*m1**5*m2**14*B0fin(0,0,m1) + 160*m1**11*m2**4*m4**4*B0fin(0,0,m1) + 62*m1**9*m2**6*m4**4*B0fin(0,0,m1) - 432*m1**7*m2**8*m4**4*B0fin(0,0,m1) + 568*m1**5*m2**10*m4**4*B0fin(0,0,m1) - 280*m1**3*m2**12*m4**4*B0fin(0,0,m1) - 14*m1*m2**14*m4**4*B0fin(0,0,m1) - 128*m1**13*m2sq*m4**4*B0fin(0,0,m1) - 1264*m1**9*m2**4*m4**6*B0fin(0,0,m1) + 1830*m1**7*m2**6*m4**6*B0fin(0,0,m1) - 1692*m1**5*m2**8*m4**6*B0fin(0,0,m1) + 958*m1**3*m2**10*m4**6*B0fin(0,0,m1) + 168*m1*m2**12*m4**6*B0fin(0,0,m1) + 704*m1**11*m2sq*m4**6*B0fin(0,0,m1) - 48*m1**7*m2**4*m4**8*B0fin(0,0,m1) + 588*m1**5*m2**6*m4**8*B0fin(0,0,m1) - 1476*m1**3*m2**8*m4**8*B0fin(0,0,m1) - 748*m1*m2**10*m4**8*B0fin(0,0,m1) - 1056*m1**9*m2sq*m4**8*B0fin(0,0,m1) + 736*m1**5*m2**4*m4**10*B0fin(0,0,m1) + 1682*m1**3*m2**6*m4**10*B0fin(0,0,m1) + 1544*m1*m2**8*m4**10*B0fin(0,0,m1) + 608*m1**7*m2sq*m4**10*B0fin(0,0,m1) - 1488*m1**3*m2**4*m4**12*B0fin(0,0,m1) - 1542*m1*m2**6*m4**12*B0fin(0,0,m1) - 320*m1**5*m2sq*m4**12*B0fin(0,0,m1) + 688*m1*m2**4*m4**14*B0fin(0,0,m1) + 288*m1**3*m2sq*m4**14*B0fin(0,0,m1) - 96*m1*m2sq*m4**16*B0fin(0,0,m1) + 64*m1**13*m2**4*m4sq*B0fin(0,0,m1) - 212*m1**11*m2**6*m4sq*B0fin(0,0,m1) + 272*m1**9*m2**8*m4sq*B0fin(0,0,m1) - 136*m1**7*m2**10*m4sq*B0fin(0,0,m1) - 16*m1**5*m2**12*m4sq*B0fin(0,0,m1) + 28*m1**3*m2**14*m4sq*B0fin(0,0,m1) + 4*m1**14*m2**6*B0fin(0,0,m1sq) - 16*m1**12*m2**8*B0fin(0,0,m1sq) + 24*m1**10*m2**10*B0fin(0,0,m1sq) - 16*m1**8*m2**12*B0fin(0,0,m1sq) + 4*m1**6*m2**14*B0fin(0,0,m1sq) - 112*m1**12*m2**4*m4**4*B0fin(0,0,m1sq) + 96*m1**10*m2**6*m4**4*B0fin(0,0,m1sq) + 69*m1**8*m2**8*m4**4*B0fin(0,0,m1sq) - 283*m1**6*m2**10*m4**4*B0fin(0,0,m1sq) + 191*m1**4*m2**12*m4**4*B0fin(0,0,m1sq) + 7*m1sq*m2**14*m4**4*B0fin(0,0,m1sq) + 64*m1**14*m2sq*m4**4*B0fin(0,0,m1sq) + 576*m1**10*m2**4*m4**6*B0fin(0,0,m1sq) - 999*m1**8*m2**6*m4**6*B0fin(0,0,m1sq) + 1416*m1**6*m2**8*m4**6*B0fin(0,0,m1sq) - 961*m1**4*m2**10*m4**6*B0fin(0,0,m1sq) - 96*m1sq*m2**12*m4**6*B0fin(0,0,m1sq) - 288*m1**12*m2sq*m4**6*B0fin(0,0,m1sq) + 584*m1**8*m2**4*m4**8*B0fin(0,0,m1sq) - 1897*m1**6*m2**6*m4**8*B0fin(0,0,m1sq) + 2189*m1**4*m2**8*m4**8*B0fin(0,0,m1sq) + 494*m1sq*m2**10*m4**8*B0fin(0,0,m1sq) + 200*m1**6*m2**4*m4**10*B0fin(0,0,m1sq) - 2357*m1**4*m2**6*m4**10*B0fin(0,0,m1sq) - 1168*m1sq*m2**8*m4**10*B0fin(0,0,m1sq) + 1040*m1**8*m2sq*m4**10*B0fin(0,0,m1sq) + 1336*m1**4*m2**4*m4**12*B0fin(0,0,m1sq) + 1251*m1sq*m2**6*m4**12*B0fin(0,0,m1sq) - 912*m1**6*m2sq*m4**12*B0fin(0,0,m1sq) - 536*m1sq*m2**4*m4**14*B0fin(0,0,m1sq) + 48*m1**4*m2sq*m4**14*B0fin(0,0,m1sq) + 48*m1sq*m2sq*m4**16*B0fin(0,0,m1sq) - 32*m1**14*m2**4*m4sq*B0fin(0,0,m1sq) + 110*m1**12*m2**6*m4sq*B0fin(0,0,m1sq) - 156*m1**10*m2**8*m4sq*B0fin(0,0,m1sq) + 96*m1**8*m2**10*m4sq*B0fin(0,0,m1sq) - 4*m1**6*m2**12*m4sq*B0fin(0,0,m1sq) - 14*m1**4*m2**14*m4sq*B0fin(0,0,m1sq) - 2*m1**14*m2**6*B0fin(0,0,m1sq)**2 + 8*m1**12*m2**8*B0fin(0,0,m1sq)**2 - 12*m1**10*m2**10*B0fin(0,0,m1sq)**2 + 8*m1**8*m2**12*B0fin(0,0,m1sq)**2 - 2*m1**6*m2**14*B0fin(0,0,m1sq)**2 + 84*m1**10*m2**6*m4**4*B0fin(0,0,m1sq)**2 - 168*m1**8*m2**8*m4**4*B0fin(0,0,m1sq)**2 + 180*m1**6*m2**10*m4**4*B0fin(0,0,m1sq)**2 - 96*m1**4*m2**12*m4**4*B0fin(0,0,m1sq)**2 - 32*m1**14*m2sq*m4**4*B0fin(0,0,m1sq)**2 - 288*m1**10*m2**4*m4**6*B0fin(0,0,m1sq)**2 + 504*m1**8*m2**6*m4**6*B0fin(0,0,m1sq)**2 - 504*m1**6*m2**8*m4**6*B0fin(0,0,m1sq)**2 + 432*m1**4*m2**10*m4**6*B0fin(0,0,m1sq)**2 + 256*m1**12*m2sq*m4**6*B0fin(0,0,m1sq)**2 - 64*m1**8*m2**4*m4**8*B0fin(0,0,m1sq)**2 - 34*m1**6*m2**6*m4**8*B0fin(0,0,m1sq)**2 - 928*m1**4*m2**8*m4**8*B0fin(0,0,m1sq)**2 - 704*m1**10*m2sq*m4**8*B0fin(0,0,m1sq)**2 + 912*m1**6*m2**4*m4**10*B0fin(0,0,m1sq)**2 + 1032*m1**4*m2**6*m4**10*B0fin(0,0,m1sq)**2 + 896*m1**8*m2sq*m4**10*B0fin(0,0,m1sq)**2 - 576*m1**4*m2**4*m4**12*B0fin(0,0,m1sq)**2 - 544*m1**6*m2sq*m4**12*B0fin(0,0,m1sq)**2 + 128*m1**4*m2sq*m4**14*B0fin(0,0,m1sq)**2 + 16*m1**14*m2**4*m4sq*B0fin(0,0,m1sq)**2 - 48*m1**12*m2**6*m4sq*B0fin(0,0,m1sq)**2 + 56*m1**10*m2**8*m4sq*B0fin(0,0,m1sq)**2 - 24*m1**8*m2**10*m4sq*B0fin(0,0,m1sq)**2 - 8*m1**6*m2**12*m4sq*B0fin(0,0,m1sq)**2 + 8*m1**4*m2**14*m4sq*B0fin(0,0,m1sq)**2 - 32*m1**14*m2*m4**4*B0fin(0,0,m2) + 62*m1**12*m2**3*m4**4*B0fin(0,0,m2) + 104*m1**10*m2**5*m4**4*B0fin(0,0,m2) - 192*m1**8*m2**7*m4**4*B0fin(0,0,m2) + 80*m1**6*m2**9*m4**4*B0fin(0,0,m2) + 42*m1**4*m2**11*m4**4*B0fin(0,0,m2) + 264*m1**12*m2*m4**6*B0fin(0,0,m2) - 736*m1**10*m2**3*m4**6*B0fin(0,0,m2) + 200*m1**8*m2**5*m4**6*B0fin(0,0,m2) + 30*m1**6*m2**7*m4**6*B0fin(0,0,m2) - 420*m1**4*m2**9*m4**6*B0fin(0,0,m2) - 42*m1sq*m2**11*m4**6*B0fin(0,0,m2) - 768*m1**10*m2*m4**8*B0fin(0,0,m2) + 2004*m1**8*m2**3*m4**8*B0fin(0,0,m2) - 152*m1**6*m2**5*m4**8*B0fin(0,0,m2) + 1228*m1**4*m2**7*m4**8*B0fin(0,0,m2) + 420*m1sq*m2**9*m4**8*B0fin(0,0,m2) + 8*m2**11*m4**8*B0fin(0,0,m2) + 1072*m1**8*m2*m4**10*B0fin(0,0,m2) - 2752*m1**6*m2**3*m4**10*B0fin(0,0,m2) - 1448*m1**4*m2**5*m4**10*B0fin(0,0,m2) - 1362*m1sq*m2**7*m4**10*B0fin(0,0,m2) - 80*m2**9*m4**10*B0fin(0,0,m2) - 768*m1**6*m2*m4**12*B0fin(0,0,m2) + 2206*m1**4*m2**3*m4**12*B0fin(0,0,m2) + 1648*m1sq*m2**5*m4**12*B0fin(0,0,m2) + 264*m2**7*m4**12*B0fin(0,0,m2) + 264*m1**4*m2*m4**14*B0fin(0,0,m2) - 920*m1sq*m2**3*m4**14*B0fin(0,0,m2) - 320*m2**5*m4**14*B0fin(0,0,m2) - 32*m1sq*m2*m4**16*B0fin(0,0,m2) + 128*m2**3*m4**16*B0fin(0,0,m2) + 8*m1**14*m2**3*m4sq*B0fin(0,0,m2) - 32*m1**12*m2**5*m4sq*B0fin(0,0,m2) + 32*m1**10*m2**7*m4sq*B0fin(0,0,m2) - 8*m1**6*m2**11*m4sq*B0fin(0,0,m2) + 41*m1**12*m2**4*m4**4*B0fin(0,0,m2sq) - 135*m1**10*m2**6*m4**4*B0fin(0,0,m2sq) + 123*m1**8*m2**8*m4**4*B0fin(0,0,m2sq) - 69*m1**6*m2**10*m4**4*B0fin(0,0,m2sq) + 8*m1**14*m2sq*m4**4*B0fin(0,0,m2sq) - 34*m1**10*m2**4*m4**6*B0fin(0,0,m2sq) + 405*m1**8*m2**6*m4**6*B0fin(0,0,m2sq) - 162*m1**6*m2**8*m4**6*B0fin(0,0,m2sq) + 273*m1**4*m2**10*m4**6*B0fin(0,0,m2sq) - 130*m1**12*m2sq*m4**6*B0fin(0,0,m2sq) - 474*m1**8*m2**4*m4**8*B0fin(0,0,m2sq) - 489*m1**6*m2**6*m4**8*B0fin(0,0,m2sq) - 807*m1**4*m2**8*m4**8*B0fin(0,0,m2sq) - 256*m1sq*m2**10*m4**8*B0fin(0,0,m2sq) + 656*m1**10*m2sq*m4**8*B0fin(0,0,m2sq) + 1108*m1**6*m2**4*m4**10*B0fin(0,0,m2sq) + 1395*m1**4*m2**6*m4**10*B0fin(0,0,m2sq) + 1074*m1sq*m2**8*m4**10*B0fin(0,0,m2sq) + 48*m2**10*m4**10*B0fin(0,0,m2sq) - 1340*m1**8*m2sq*m4**10*B0fin(0,0,m2sq) - 1247*m1**4*m2**4*m4**12*B0fin(0,0,m2sq) - 1476*m1sq*m2**6*m4**12*B0fin(0,0,m2sq) - 216*m2**8*m4**12*B0fin(0,0,m2sq) + 1264*m1**6*m2sq*m4**12*B0fin(0,0,m2sq) + 730*m1sq*m2**4*m4**14*B0fin(0,0,m2sq) + 288*m2**6*m4**14*B0fin(0,0,m2sq) - 530*m1**4*m2sq*m4**14*B0fin(0,0,m2sq) - 120*m2**4*m4**16*B0fin(0,0,m2sq) + 72*m1sq*m2sq*m4**16*B0fin(0,0,m2sq) - 4*m1**14*m2**4*m4sq*B0fin(0,0,m2sq) + 12*m1**12*m2**6*m4sq*B0fin(0,0,m2sq) - 12*m1**10*m2**8*m4sq*B0fin(0,0,m2sq) + 4*m1**8*m2**10*m4sq*B0fin(0,0,m2sq) + 32*m1**12*m2**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 57*m1**10*m2**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 135*m1**8*m2**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 27*m1**6*m2**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 51*m1**4*m2**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 264*m1**10*m2**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 78*m1**8*m2**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 318*m1**6*m2**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 456*m1**4*m2**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 12*m1sq*m2**12*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 64*m1**12*m2sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 736*m1**8*m2**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 743*m1**6*m2**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 1225*m1**4*m2**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 112*m1sq*m2**10*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 400*m1**10*m2sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 872*m1**6*m2**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 972*m1**4*m2**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 324*m1sq*m2**8*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 672*m1**8*m2sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 432*m1**4*m2**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 288*m1sq*m2**6*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 400*m1**6*m2sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 64*m1sq*m2**4*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 64*m1**4*m2sq*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**12*m2**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**10*m2**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) + 20*m1**8*m2**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 12*m1**6*m2**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 4*m1**12*m2**6*m4*B0fin(0,0,m4) + 16*m1**10*m2**8*m4*B0fin(0,0,m4) - 24*m1**8*m2**10*m4*B0fin(0,0,m4) + 16*m1**6*m2**12*m4*B0fin(0,0,m4) - 4*m1**4*m2**14*m4*B0fin(0,0,m4) - 32*m1**12*m2**4*m4**3*B0fin(0,0,m4) - 30*m1**10*m2**6*m4**3*B0fin(0,0,m4) + 136*m1**8*m2**8*m4**3*B0fin(0,0,m4) - 132*m1**6*m2**10*m4**3*B0fin(0,0,m4) + 40*m1**4*m2**12*m4**3*B0fin(0,0,m4) + 2*m1sq*m2**14*m4**3*B0fin(0,0,m4) + 16*m1**14*m2sq*m4**3*B0fin(0,0,m4) - 64*m1**14*m4**5*B0fin(0,0,m4) + 192*m1**10*m2**4*m4**5*B0fin(0,0,m4) - 464*m1**8*m2**6*m4**5*B0fin(0,0,m4) + 448*m1**6*m2**8*m4**5*B0fin(0,0,m4) - 160*m1**4*m2**10*m4**5*B0fin(0,0,m4) - 8*m1sq*m2**12*m4**5*B0fin(0,0,m4) - 4*m2**14*m4**5*B0fin(0,0,m4) + 60*m1**12*m2sq*m4**5*B0fin(0,0,m4) + 528*m1**12*m4**7*B0fin(0,0,m4) + 656*m1**8*m2**4*m4**7*B0fin(0,0,m4) - 510*m1**6*m2**6*m4**7*B0fin(0,0,m4) + 276*m1**4*m2**8*m4**7*B0fin(0,0,m4) - 70*m1sq*m2**10*m4**7*B0fin(0,0,m4) + 48*m2**12*m4**7*B0fin(0,0,m4) - 928*m1**10*m2sq*m4**7*B0fin(0,0,m4) - 1536*m1**10*m4**9*B0fin(0,0,m4) - 352*m1**6*m2**4*m4**9*B0fin(0,0,m4) - 100*m1**4*m2**6*m4**9*B0fin(0,0,m4) + 492*m1sq*m2**8*m4**9*B0fin(0,0,m4) - 208*m2**10*m4**9*B0fin(0,0,m4) + 1704*m1**8*m2sq*m4**9*B0fin(0,0,m4) + 2144*m1**8*m4**11*B0fin(0,0,m4) - 176*m1**4*m2**4*m4**11*B0fin(0,0,m4) - 1040*m1sq*m2**6*m4**11*B0fin(0,0,m4) + 384*m2**8*m4**11*B0fin(0,0,m4) - 1312*m1**6*m2sq*m4**11*B0fin(0,0,m4) - 1536*m1**6*m4**13*B0fin(0,0,m4) + 896*m1sq*m2**4*m4**13*B0fin(0,0,m4) - 252*m2**6*m4**13*B0fin(0,0,m4) + 892*m1**4*m2sq*m4**13*B0fin(0,0,m4) + 528*m1**4*m4**15*B0fin(0,0,m4) - 32*m2**4*m4**15*B0fin(0,0,m4) - 496*m1sq*m2sq*m4**15*B0fin(0,0,m4) - 64*m1sq*m4**17*B0fin(0,0,m4) + 64*m2sq*m4**17*B0fin(0,0,m4) + 41*m1**12*m2**4*m4**4*B0fin(0,0,m4sq) - 133*m1**10*m2**6*m4**4*B0fin(0,0,m4sq) + 154*m1**8*m2**8*m4**4*B0fin(0,0,m4sq) - 74*m1**6*m2**10*m4**4*B0fin(0,0,m4sq) + 13*m1**4*m2**12*m4**4*B0fin(0,0,m4sq) - m1sq*m2**14*m4**4*B0fin(0,0,m4sq) + 48*m1**14*m4**6*B0fin(0,0,m4sq) + 322*m1**10*m2**4*m4**6*B0fin(0,0,m4sq) - 8*m1**8*m2**6*m4**6*B0fin(0,0,m4sq) - 366*m1**6*m2**8*m4**6*B0fin(0,0,m4sq) + 310*m1**4*m2**10*m4**6*B0fin(0,0,m4sq) - 68*m1sq*m2**12*m4**6*B0fin(0,0,m4sq) + 2*m2**14*m4**6*B0fin(0,0,m4sq) - 240*m1**12*m2sq*m4**6*B0fin(0,0,m4sq) - 396*m1**12*m4**8*B0fin(0,0,m4sq) - 2162*m1**8*m2**4*m4**8*B0fin(0,0,m4sq) + 2340*m1**6*m2**6*m4**8*B0fin(0,0,m4sq) - 1524*m1**4*m2**8*m4**8*B0fin(0,0,m4sq) + 354*m1sq*m2**10*m4**8*B0fin(0,0,m4sq) - 8*m2**12*m4**8*B0fin(0,0,m4sq) + 1396*m1**10*m2sq*m4**8*B0fin(0,0,m4sq) + 1152*m1**10*m4**10*B0fin(0,0,m4sq) + 252*m1**6*m2**4*m4**10*B0fin(0,0,m4sq) + 894*m1**4*m2**6*m4**10*B0fin(0,0,m4sq) - 534*m1sq*m2**8*m4**10*B0fin(0,0,m4sq) + 12*m2**10*m4**10*B0fin(0,0,m4sq) - 1776*m1**8*m2sq*m4**10*B0fin(0,0,m4sq) - 1608*m1**8*m4**12*B0fin(0,0,m4sq) + 121*m1**4*m2**4*m4**12*B0fin(0,0,m4sq) + 679*m1sq*m2**6*m4**12*B0fin(0,0,m4sq) - 32*m2**8*m4**12*B0fin(0,0,m4sq) + 840*m1**6*m2sq*m4**12*B0fin(0,0,m4sq) + 1152*m1**6*m4**14*B0fin(0,0,m4sq) - 658*m1sq*m2**4*m4**14*B0fin(0,0,m4sq) + 2*m2**6*m4**14*B0fin(0,0,m4sq) - 496*m1**4*m2sq*m4**14*B0fin(0,0,m4sq) - 396*m1**4*m4**16*B0fin(0,0,m4sq) + 72*m2**4*m4**16*B0fin(0,0,m4sq) + 324*m1sq*m2sq*m4**16*B0fin(0,0,m4sq) + 48*m1sq*m4**18*B0fin(0,0,m4sq) - 48*m2sq*m4**18*B0fin(0,0,m4sq) - 4*m1**14*m2**4*m4sq*B0fin(0,0,m4sq) + 18*m1**12*m2**6*m4sq*B0fin(0,0,m4sq) - 32*m1**10*m2**8*m4sq*B0fin(0,0,m4sq) + 28*m1**8*m2**10*m4sq*B0fin(0,0,m4sq) - 12*m1**6*m2**12*m4sq*B0fin(0,0,m4sq) + 2*m1**4*m2**14*m4sq*B0fin(0,0,m4sq) + 80*m1**12*m2**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 209*m1**10*m2**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 198*m1**8*m2**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 80*m1**6*m2**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 18*m1**4*m2**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 7*m1sq*m2**14*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 136*m1**10*m2**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 93*m1**8*m2**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 114*m1**6*m2**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 95*m1**4*m2**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 92*m1sq*m2**12*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 160*m1**12*m2sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 1032*m1**8*m2**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 672*m1**6*m2**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 414*m1**4*m2**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 446*m1sq*m2**10*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 752*m1**10*m2sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 96*m1**6*m2**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 799*m1**4*m2**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 964*m1sq*m2**8*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 816*m1**8*m2sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 88*m1**4*m2**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 899*m1sq*m2**6*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 256*m1**6*m2sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 344*m1sq*m2**4*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**4*m2sq*m4**14*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 48*m1sq*m2sq*m4**16*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 10*m1**12*m2**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 32*m1**10*m2**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 36*m1**8*m2**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**6*m2**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**4*m2**14*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**12*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 10*m1**10*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 114*m1**8*m2**8*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 142*m1**6*m2**10*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 54*m1**4*m2**12*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**14*m2sq*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 30*m1**10*m2**4*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 226*m1**8*m2**6*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 189*m1**6*m2**8*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 78*m1**4*m2**10*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 93*m1sq*m2**12*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 130*m1**12*m2sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 344*m1**8*m2**4*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 297*m1**6*m2**6*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 882*m1**4*m2**8*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 453*m1sq*m2**10*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 20*m2**12*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 592*m1**10*m2sq*m4**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 468*m1**6*m2**4*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 904*m1**4*m2**6*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 705*m1sq*m2**8*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 116*m2**10*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 940*m1**8*m2sq*m4**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 408*m1**4*m2**4*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 511*m1sq*m2**6*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 228*m2**8*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 592*m1**6*m2sq*m4**12*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 302*m1sq*m2**4*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 188*m2**6*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 130*m1**4*m2sq*m4**14*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 56*m2**4*m4**16*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1sq*m2sq*m4**16*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m1**12*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m1**10*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 24*m1**8*m2**10*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1**6*m2**12*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 24*m1**12*m2**4*m4**4*B0fin(0,0,m4sq)**2 + 60*m1**10*m2**6*m4**4*B0fin(0,0,m4sq)**2 - 80*m1**8*m2**8*m4**4*B0fin(0,0,m4sq)**2 + 60*m1**6*m2**10*m4**4*B0fin(0,0,m4sq)**2 - 24*m1**4*m2**12*m4**4*B0fin(0,0,m4sq)**2 + 4*m1sq*m2**14*m4**4*B0fin(0,0,m4sq)**2 + 4*m1**14*m2sq*m4**4*B0fin(0,0,m4sq)**2 - 8*m1**14*m4**6*B0fin(0,0,m4sq)**2 - 26*m1**10*m2**4*m4**6*B0fin(0,0,m4sq)**2 + 33*m1**8*m2**6*m4**6*B0fin(0,0,m4sq)**2 - 52*m1**6*m2**8*m4**6*B0fin(0,0,m4sq)**2 + 41*m1**4*m2**10*m4**6*B0fin(0,0,m4sq)**2 - 10*m1sq*m2**12*m4**6*B0fin(0,0,m4sq)**2 - m2**14*m4**6*B0fin(0,0,m4sq)**2 + 23*m1**12*m2sq*m4**6*B0fin(0,0,m4sq)**2 + 66*m1**12*m4**8*B0fin(0,0,m4sq)**2 + 296*m1**8*m2**4*m4**8*B0fin(0,0,m4sq)**2 - 252*m1**6*m2**6*m4**8*B0fin(0,0,m4sq)**2 + 114*m1**4*m2**8*m4**8*B0fin(0,0,m4sq)**2 - 22*m1sq*m2**10*m4**8*B0fin(0,0,m4sq)**2 + 4*m2**12*m4**8*B0fin(0,0,m4sq)**2 - 206*m1**10*m2sq*m4**8*B0fin(0,0,m4sq)**2 - 192*m1**10*m4**10*B0fin(0,0,m4sq)**2 - 72*m1**6*m2**4*m4**10*B0fin(0,0,m4sq)**2 - 132*m1**4*m2**6*m4**10*B0fin(0,0,m4sq)**2 + 88*m1sq*m2**8*m4**10*B0fin(0,0,m4sq)**2 + 2*m2**10*m4**10*B0fin(0,0,m4sq)**2 + 306*m1**8*m2sq*m4**10*B0fin(0,0,m4sq)**2 + 268*m1**8*m4**12*B0fin(0,0,m4sq)**2 + 24*m1**4*m2**4*m4**12*B0fin(0,0,m4sq)**2 - 140*m1sq*m2**6*m4**12*B0fin(0,0,m4sq)**2 - 28*m2**8*m4**12*B0fin(0,0,m4sq)**2 - 124*m1**6*m2sq*m4**12*B0fin(0,0,m4sq)**2 - 192*m1**6*m4**14*B0fin(0,0,m4sq)**2 + 122*m1sq*m2**4*m4**14*B0fin(0,0,m4sq)**2 + 47*m2**6*m4**14*B0fin(0,0,m4sq)**2 + 23*m1**4*m2sq*m4**14*B0fin(0,0,m4sq)**2 + 66*m1**4*m4**16*B0fin(0,0,m4sq)**2 - 32*m2**4*m4**16*B0fin(0,0,m4sq)**2 - 34*m1sq*m2sq*m4**16*B0fin(0,0,m4sq)**2 - 8*m1sq*m4**18*B0fin(0,0,m4sq)**2 + 8*m2sq*m4**18*B0fin(0,0,m4sq)**2 + 2*m1**12*m2**6*T134fin(m4,m1,m1) - 8*m1**10*m2**8*T134fin(m4,m1,m1) + 12*m1**8*m2**10*T134fin(m4,m1,m1) - 8*m1**6*m2**12*T134fin(m4,m1,m1) + 2*m1**4*m2**14*T134fin(m4,m1,m1) + 8*m1**10*m2**4*m4**4*T134fin(m4,m1,m1) - 108*m1**8*m2**6*m4**4*T134fin(m4,m1,m1) + 196*m1**6*m2**8*m4**4*T134fin(m4,m1,m1) - 192*m1**4*m2**10*m4**4*T134fin(m4,m1,m1) + 92*m1sq*m2**12*m4**4*T134fin(m4,m1,m1) + 4*m2**14*m4**4*T134fin(m4,m1,m1) + 32*m1**12*m2sq*m4**4*T134fin(m4,m1,m1) + 288*m1**8*m2**4*m4**6*T134fin(m4,m1,m1) - 462*m1**6*m2**6*m4**6*T134fin(m4,m1,m1) + 420*m1**4*m2**8*m4**6*T134fin(m4,m1,m1) - 342*m1sq*m2**10*m4**6*T134fin(m4,m1,m1) - 48*m2**12*m4**6*T134fin(m4,m1,m1) - 272*m1**10*m2sq*m4**6*T134fin(m4,m1,m1) - 80*m1**6*m2**4*m4**8*T134fin(m4,m1,m1) + 286*m1**4*m2**6*m4**8*T134fin(m4,m1,m1) + 676*m1sq*m2**8*m4**8*T134fin(m4,m1,m1) + 216*m2**10*m4**8*T134fin(m4,m1,m1) + 832*m1**8*m2sq*m4**8*T134fin(m4,m1,m1) - 944*m1**4*m2**4*m4**10*T134fin(m4,m1,m1) - 1049*m1sq*m2**6*m4**10*T134fin(m4,m1,m1) - 464*m2**8*m4**10*T134fin(m4,m1,m1) - 1248*m1**6*m2sq*m4**10*T134fin(m4,m1,m1) + 1032*m1sq*m2**4*m4**12*T134fin(m4,m1,m1) + 516*m2**6*m4**12*T134fin(m4,m1,m1) + 992*m1**4*m2sq*m4**12*T134fin(m4,m1,m1) - 288*m2**4*m4**14*T134fin(m4,m1,m1) - 400*m1sq*m2sq*m4**14*T134fin(m4,m1,m1) + 64*m2sq*m4**16*T134fin(m4,m1,m1) - 16*m1**12*m2**4*m4sq*T134fin(m4,m1,m1) + 47*m1**10*m2**6*m4sq*T134fin(m4,m1,m1) - 52*m1**8*m2**8*m4sq*T134fin(m4,m1,m1) + 18*m1**6*m2**10*m4sq*T134fin(m4,m1,m1) + 12*m1**4*m2**12*m4sq*T134fin(m4,m1,m1) - 9*m1sq*m2**14*m4sq*T134fin(m4,m1,m1) - 96*m1**10*m2**4*m4**4*T134fin(m4,m2,m1) + 89*m1**8*m2**6*m4**4*T134fin(m4,m2,m1) + 53*m1**6*m2**8*m4**4*T134fin(m4,m2,m1) - 61*m1**4*m2**10*m4**4*T134fin(m4,m2,m1) - 17*m1sq*m2**12*m4**4*T134fin(m4,m2,m1) + 248*m1**8*m2**4*m4**6*T134fin(m4,m2,m1) - 507*m1**6*m2**6*m4**6*T134fin(m4,m2,m1) + 288*m1**4*m2**8*m4**6*T134fin(m4,m2,m1) + 191*m1sq*m2**10*m4**6*T134fin(m4,m2,m1) + 4*m2**12*m4**6*T134fin(m4,m2,m1) + 192*m1**10*m2sq*m4**6*T134fin(m4,m2,m1) + 488*m1**6*m2**4*m4**8*T134fin(m4,m2,m1) - 475*m1**4*m2**6*m4**8*T134fin(m4,m2,m1) - 763*m1sq*m2**8*m4**8*T134fin(m4,m2,m1) - 44*m2**10*m4**8*T134fin(m4,m2,m1) - 1136*m1**8*m2sq*m4**8*T134fin(m4,m2,m1) + 472*m1**4*m2**4*m4**10*T134fin(m4,m2,m1) + 1317*m1sq*m2**6*m4**10*T134fin(m4,m2,m1) + 172*m2**8*m4**10*T134fin(m4,m2,m1) + 1744*m1**6*m2sq*m4**10*T134fin(m4,m2,m1) - 1048*m1sq*m2**4*m4**12*T134fin(m4,m2,m1) - 292*m2**6*m4**12*T134fin(m4,m2,m1) - 1200*m1**4*m2sq*m4**12*T134fin(m4,m2,m1) + 224*m2**4*m4**14*T134fin(m4,m2,m1) + 464*m1sq*m2sq*m4**14*T134fin(m4,m2,m1) - 64*m2sq*m4**16*T134fin(m4,m2,m1) + 12*m1**10*m2**6*m4sq*T134fin(m4,m2,m1) - 20*m1**8*m2**8*m4sq*T134fin(m4,m2,m1) + 4*m1**6*m2**10*m4sq*T134fin(m4,m2,m1) + 4*m1**4*m2**12*m4sq*T134fin(m4,m2,m1) - 32*m1**10*m2**4*m4**4*T134fin(m4,m4,m1) + 111*m1**8*m2**6*m4**4*T134fin(m4,m4,m1) - 172*m1**6*m2**8*m4**4*T134fin(m4,m4,m1) + 138*m1**4*m2**10*m4**4*T134fin(m4,m4,m1) - 44*m1sq*m2**12*m4**4*T134fin(m4,m4,m1) - m2**14*m4**4*T134fin(m4,m4,m1) - 120*m1**8*m2**4*m4**6*T134fin(m4,m4,m1) + 252*m1**6*m2**6*m4**6*T134fin(m4,m4,m1) - 324*m1**4*m2**8*m4**6*T134fin(m4,m4,m1) + 180*m1sq*m2**10*m4**6*T134fin(m4,m4,m1) + 12*m2**12*m4**6*T134fin(m4,m4,m1) + 64*m1**10*m2sq*m4**6*T134fin(m4,m4,m1) + 96*m1**6*m2**4*m4**8*T134fin(m4,m4,m1) + 42*m1**4*m2**6*m4**8*T134fin(m4,m4,m1) - 372*m1sq*m2**8*m4**8*T134fin(m4,m4,m1) - 54*m2**10*m4**8*T134fin(m4,m4,m1) - 272*m1**8*m2sq*m4**8*T134fin(m4,m4,m1) + 368*m1**4*m2**4*m4**10*T134fin(m4,m4,m1) + 488*m1sq*m2**6*m4**10*T134fin(m4,m4,m1) + 116*m2**8*m4**10*T134fin(m4,m4,m1) + 448*m1**6*m2sq*m4**10*T134fin(m4,m4,m1) - 384*m1sq*m2**4*m4**12*T134fin(m4,m4,m1) - 129*m2**6*m4**12*T134fin(m4,m4,m1) - 352*m1**4*m2sq*m4**12*T134fin(m4,m4,m1) + 72*m2**4*m4**14*T134fin(m4,m4,m1) + 128*m1sq*m2sq*m4**14*T134fin(m4,m4,m1) - 16*m2sq*m4**16*T134fin(m4,m4,m1) + 4*m1**10*m2**6*m4sq*T134fin(m4,m4,m1) - 16*m1**8*m2**8*m4sq*T134fin(m4,m4,m1) + 24*m1**6*m2**10*m4sq*T134fin(m4,m4,m1) - 16*m1**4*m2**12*m4sq*T134fin(m4,m4,m1) + 4*m1sq*m2**14*m4sq*T134fin(m4,m4,m1) + 8*m1**14*m4**4*T134fin(m4,m4,m2) + 49*m1**10*m2**4*m4**4*T134fin(m4,m4,m2) - 68*m1**8*m2**6*m4**4*T134fin(m4,m4,m2) + 62*m1**6*m2**8*m4**4*T134fin(m4,m4,m2) - 44*m1**4*m2**10*m4**4*T134fin(m4,m4,m2) + 17*m1sq*m2**12*m4**4*T134fin(m4,m4,m2) - 24*m1**12*m2sq*m4**4*T134fin(m4,m4,m2) - 66*m1**12*m4**6*T134fin(m4,m4,m2) - 100*m1**8*m2**4*m4**6*T134fin(m4,m4,m2) + 90*m1**4*m2**8*m4**6*T134fin(m4,m4,m2) - 86*m1sq*m2**10*m4**6*T134fin(m4,m4,m2) - 4*m2**12*m4**6*T134fin(m4,m4,m2) + 102*m1**10*m2sq*m4**6*T134fin(m4,m4,m2) + 192*m1**10*m4**8*T134fin(m4,m4,m2) - 42*m1**6*m2**4*m4**8*T134fin(m4,m4,m2) + 132*m1**4*m2**6*m4**8*T134fin(m4,m4,m2) + 198*m1sq*m2**8*m4**8*T134fin(m4,m4,m2) + 24*m2**10*m4**8*T134fin(m4,m4,m2) + 56*m1**8*m2sq*m4**8*T134fin(m4,m4,m2) - 268*m1**8*m4**10*T134fin(m4,m4,m2) - 404*m1**4*m2**4*m4**10*T134fin(m4,m4,m2) - 288*m1sq*m2**6*m4**10*T134fin(m4,m4,m2) - 56*m2**8*m4**10*T134fin(m4,m4,m2) - 404*m1**6*m2sq*m4**10*T134fin(m4,m4,m2) + 192*m1**6*m4**12*T134fin(m4,m4,m2) + 249*m1sq*m2**4*m4**12*T134fin(m4,m4,m2) + 64*m2**6*m4**12*T134fin(m4,m4,m2) + 360*m1**4*m2sq*m4**12*T134fin(m4,m4,m2) - 66*m1**4*m4**14*T134fin(m4,m4,m2) - 36*m2**4*m4**14*T134fin(m4,m4,m2) - 98*m1sq*m2sq*m4**14*T134fin(m4,m4,m2) + 8*m1sq*m4**16*T134fin(m4,m4,m2) + 8*m2sq*m4**16*T134fin(m4,m4,m2) - 4*m1**12*m2**4*m4sq*T134fin(m4,m4,m2) + 16*m1**10*m2**6*m4sq*T134fin(m4,m4,m2) - 24*m1**8*m2**8*m4sq*T134fin(m4,m4,m2) + 16*m1**6*m2**10*m4sq*T134fin(m4,m4,m2) - 4*m1**4*m2**12*m4sq*T134fin(m4,m4,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m4)**2*(m1 + m2 - m4)**2*m4**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m2 + 2*m4)**2*(4*m1**6 + 21*m1sq*m4**4 - 4*m4**6 - 21*m1**4*m4sq))
		def eval_135():
			return (6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0del(0,0,m1sq) - 12*m1**4*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m1sq) - 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0del(0,0,m1sq) - 6*m2**4*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 9*m2sq + 2*m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m2sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0del(0,0,m2sq) - 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0del(0,0,m2sq) + 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0del(0,0,m3sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0del(0,0,m3sq) - 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0fin(0,0,m1sq) + 12*m1**4*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq) + 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0fin(0,0,m1sq) - 6*m1**4*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq)**2 - 3*m2*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(1 + 2*B0fin(0,0,m2)) - 6*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(2*m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1 + m2/2. + 2*m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2)) - 6*(m1sq - m2sq)**2*(4*m1sq - m2sq)*m2sq*(m1sq + m2sq - 2*m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1/2. + m2 + m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 6*m2**4*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 9*m2sq + 2*m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m2sq) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0fin(0,0,m2sq) + 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0fin(0,0,m2sq) - 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 3*m2**4*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 9*m2sq + 2*m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m2sq)**2 + 6*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m2 + m3/2. + 2*m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3)) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*(m1sq - m2sq + m3sq)*(m1 + m2 + m3 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) - 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0fin(0,0,m3sq) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0fin(0,0,m3sq) + 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(2*m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m2,m1,m1) + 3*(m1sq*m2 - m2**3)**2*(4*m1sq - m2sq)*(m1sq + m2sq - 2*m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m2,m2,m1) + (m1sq - 4*m2sq)*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m2,m2,m2) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*(m1sq - m2sq + m3sq)*T134fin(m3,m2,m1) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m2,m2))/(3.*m2**2*(m1sq - 4*m2sq)*(m1sq - m2sq)**4*(4*m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq)))
		def eval_136():
			return (6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0del(0,0,m1sq) - 12*m1**4*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m1sq) - 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0del(0,0,m1sq) - 6*m2**4*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 9*m2sq + 2*m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0del(0,0,m2sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0del(0,0,m2sq) - 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0del(0,0,m2sq) + 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0del(0,0,m3sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0del(0,0,m3sq) - 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0fin(0,0,m1sq) + 12*m1**4*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq) + 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0fin(0,0,m1sq) - 6*m1**4*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m1sq)**2 - 3*m2*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(1 + 2*B0fin(0,0,m2)) - 6*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(2*m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1 + m2/2. + 2*m1*B0fin(0,0,m1) + m2*B0fin(0,0,m2)) - 6*(m1sq - m2sq)**2*(4*m1sq - m2sq)*m2sq*(m1sq + m2sq - 2*m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m1/2. + m2 + m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2)) + 6*m2**4*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 9*m2sq + 2*m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m2sq) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0fin(0,0,m2sq) + 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0fin(0,0,m2sq) - 3*m1sq*(m1sq*m2 - m2**3)**2*(4*m2sq - m3sq)*(3*m2**8 + 19*m2**4*m3**4 - 6*m2sq*m3**6 + 2*m1**6*(9*m2sq - 5*m3sq) - 24*m2**6*m3sq + m1sq*(12*m2**6 + 25*m2sq*m3**4 - 6*m3**6 + 11*m2**4*m3sq) + m1**4*(-33*m2**4 + 16*m3**4 - 25*m2sq*m3sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq) - 3*m2**4*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 9*m2sq + 2*m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*B0fin(0,0,m2sq)**2 + 6*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*(m2 + m3/2. + 2*m2*B0fin(0,0,m2) + m3*B0fin(0,0,m3)) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*(m1sq - m2sq + m3sq)*(m1 + m2 + m3 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3)) - 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0fin(0,0,m3sq) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0fin(0,0,m3sq) + 6*m1sq*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*m3sq*(m1**4 - 3*m2**4 + 3*m2sq*m3sq - m1sq*(6*m2sq + m3sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq) + 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**2*(2*m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m2,m1,m1) + 3*(m1sq*m2 - m2**3)**2*(4*m1sq - m2sq)*(m1sq + m2sq - 2*m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m2,m2,m1) + (m1sq - 4*m2sq)*(m1sq - m2sq)**2*(4*m1sq - m2sq)*(m1sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m2,m2,m2) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(4*m2sq - m3sq)*(m1sq - m2sq + m3sq)*T134fin(m3,m2,m1) - 3*(m1sq - 4*m2sq)*(m1sq - m2sq)**3*(4*m1sq - m2sq)*m2sq*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq))*T134fin(m3,m2,m2))/(3.*m2**2*(m1sq - 4*m2sq)*(m1sq - m2sq)**4*(4*m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(4*m2sq - m3sq)*(m1**4 + (m2sq - m3sq)**2 - 2*m1sq*(m2sq + m3sq)))
		def eval_137():
			return (2*m1**11 - 6*m1**12 + 2*m1**10*m4 + 2*m1**8*m4**3 - 18*m1**7*m4**4 - 70*m1**8*m4**4 - 18*m1**6*m4**5 + 22*m1**5*m4**6 + 64*m1**6*m4**6 + 22*m1**4*m4**7 - 8*m1**3*m4**8 - 22*m1**4*m4**8 - 8*m1sq*m4**9 - 2*m1sq*m4**10 + 2*m4**12 + 2*m1**9*m4sq + 34*m1**10*m4sq + 2*m1**10*m6 - 18*m1**6*m4**4*m6 + 22*m1**4*m4**6*m6 - 8*m1sq*m4**8*m6 + 2*m1**8*m4sq*m6 + 2*m1**8*m6**3 - 62*m1**4*m4**4*m6**3 - 28*m1sq*m4**6*m6**3 + 88*m1**6*m4sq*m6**3 - 18*m1**7*m6**4 - 70*m1**8*m6**4 - 18*m1**6*m4*m6**4 - 62*m1**4*m4**3*m6**4 + 72*m1**3*m4**4*m6**4 + 20*m1**4*m4**4*m6**4 + 72*m1sq*m4**5*m6**4 - 16*m1sq*m4**6*m6**4 + 30*m4**8*m6**4 - 62*m1**5*m4sq*m6**4 + 36*m1**6*m4sq*m6**4 - 18*m1**6*m6**5 + 72*m1sq*m4**4*m6**5 - 62*m1**4*m4sq*m6**5 + 22*m1**5*m6**6 + 64*m1**6*m6**6 + 22*m1**4*m4*m6**6 - 28*m1sq*m4**3*m6**6 - 16*m1sq*m4**4*m6**6 - 40*m4**6*m6**6 - 28*m1**3*m4sq*m6**6 + 44*m1**4*m4sq*m6**6 + 22*m1**4*m6**7 - 28*m1sq*m4sq*m6**7 - 8*m1**3*m6**8 - 22*m1**4*m6**8 - 8*m1sq*m4*m6**8 + 30*m4**4*m6**8 + 18*m1sq*m4sq*m6**8 - 8*m1sq*m6**9 - 2*m1sq*m6**10 - 12*m4sq*m6**10 + 2*m6**12 + 2*m1**9*m6sq + 34*m1**10*m6sq + 2*m1**8*m4*m6sq + 88*m1**6*m4**3*m6sq - 62*m1**5*m4**4*m6sq + 36*m1**6*m4**4*m6sq - 62*m1**4*m4**5*m6sq - 28*m1**3*m4**6*m6sq + 44*m1**4*m4**6*m6sq - 28*m1sq*m4**7*m6sq + 18*m1sq*m4**8*m6sq - 12*m4**10*m6sq + 88*m1**7*m4sq*m6sq - 120*m1**8*m4sq*m6sq + 4*m1**4*(m1**8 - m1**6*(m4sq + m6sq) + m1sq*(5*m4**6 - 11*m4sq*m6**4 + 5*m6**6 - 11*m4**4*m6sq) - 2*(m4sq - m6sq)**2*(m4**4 + m6**4 + 4*m4sq*m6sq) + m1**4*(-3*m4**4 - 3*m6**4 + 16*m4sq*m6sq))*B0del(0,0,m1sq) + 4*m1sq*m4sq*(m1**8 - m1**6*(m4sq + m6sq) + m1sq*(5*m4**6 - 11*m4sq*m6**4 + 5*m6**6 - 11*m4**4*m6sq) - 2*(m4sq - m6sq)**2*(m4**4 + m6**4 + 4*m4sq*m6sq) + m1**4*(-3*m4**4 - 3*m6**4 + 16*m4sq*m6sq))*B0del(0,0,m4sq) - 4*m1**8*m6**4*B0del(0,0,m6sq) - 44*m1**4*m4**4*m6**4*B0del(0,0,m6sq) - 16*m1sq*m4**6*m6**4*B0del(0,0,m6sq) + 64*m1**6*m4sq*m6**4*B0del(0,0,m6sq) - 12*m1**6*m6**6*B0del(0,0,m6sq) + 48*m1sq*m4**4*m6**6*B0del(0,0,m6sq) - 44*m1**4*m4sq*m6**6*B0del(0,0,m6sq) + 20*m1**4*m6**8*B0del(0,0,m6sq) - 16*m1sq*m4sq*m6**8*B0del(0,0,m6sq) - 8*m1sq*m6**10*B0del(0,0,m6sq) + 4*m1**10*m6sq*B0del(0,0,m6sq) - 12*m1**6*m4**4*m6sq*B0del(0,0,m6sq) + 20*m1**4*m4**6*m6sq*B0del(0,0,m6sq) - 8*m1sq*m4**8*m6sq*B0del(0,0,m6sq) - 4*m1**8*m4sq*m6sq*B0del(0,0,m6sq) - 8*m1**11*B0fin(0,0,m1) + 12*m1**7*m4**4*B0fin(0,0,m1) - 28*m1**5*m4**6*B0fin(0,0,m1) + 12*m1**3*m4**8*B0fin(0,0,m1) + 12*m1**9*m4sq*B0fin(0,0,m1) + 12*m1**7*m6**4*B0fin(0,0,m1) - 40*m1**3*m4**4*m6**4*B0fin(0,0,m1) + 44*m1**5*m4sq*m6**4*B0fin(0,0,m1) - 28*m1**5*m6**6*B0fin(0,0,m1) + 8*m1**3*m4sq*m6**6*B0fin(0,0,m1) + 12*m1**3*m6**8*B0fin(0,0,m1) + 12*m1**9*m6sq*B0fin(0,0,m1) + 44*m1**5*m4**4*m6sq*B0fin(0,0,m1) + 8*m1**3*m4**6*m6sq*B0fin(0,0,m1) - 64*m1**7*m4sq*m6sq*B0fin(0,0,m1) + 2*m1**12*B0fin(0,0,m1sq) - 36*m1**8*m4**4*B0fin(0,0,m1sq) + 16*m1**6*m4**6*B0fin(0,0,m1sq) + 18*m1**4*m4**8*B0fin(0,0,m1sq) - 12*m1sq*m4**10*B0fin(0,0,m1sq) + 12*m1**10*m4sq*B0fin(0,0,m1sq) - 36*m1**8*m6**4*B0fin(0,0,m1sq) + 172*m1**4*m4**4*m6**4*B0fin(0,0,m1sq) - 24*m1sq*m4**6*m6**4*B0fin(0,0,m1sq) - 8*m1**6*m4sq*m6**4*B0fin(0,0,m1sq) + 16*m1**6*m6**6*B0fin(0,0,m1sq) - 24*m1sq*m4**4*m6**6*B0fin(0,0,m1sq) - 104*m1**4*m4sq*m6**6*B0fin(0,0,m1sq) + 18*m1**4*m6**8*B0fin(0,0,m1sq) + 36*m1sq*m4sq*m6**8*B0fin(0,0,m1sq) - 12*m1sq*m6**10*B0fin(0,0,m1sq) + 12*m1**10*m6sq*B0fin(0,0,m1sq) - 8*m1**6*m4**4*m6sq*B0fin(0,0,m1sq) - 104*m1**4*m4**6*m6sq*B0fin(0,0,m1sq) + 36*m1sq*m4**8*m6sq*B0fin(0,0,m1sq) + 64*m1**8*m4sq*m6sq*B0fin(0,0,m1sq) - 8*m1**10*m4*B0fin(0,0,m4) + 12*m1**8*m4**3*B0fin(0,0,m4) + 12*m1**6*m4**5*B0fin(0,0,m4) - 28*m1**4*m4**7*B0fin(0,0,m4) + 12*m1sq*m4**9*B0fin(0,0,m4) + 12*m1**6*m4*m6**4*B0fin(0,0,m4) + 44*m1**4*m4**3*m6**4*B0fin(0,0,m4) - 40*m1sq*m4**5*m6**4*B0fin(0,0,m4) - 28*m1**4*m4*m6**6*B0fin(0,0,m4) + 8*m1sq*m4**3*m6**6*B0fin(0,0,m4) + 12*m1sq*m4*m6**8*B0fin(0,0,m4) + 12*m1**8*m4*m6sq*B0fin(0,0,m4) - 64*m1**6*m4**3*m6sq*B0fin(0,0,m4) + 44*m1**4*m4**5*m6sq*B0fin(0,0,m4) + 8*m1sq*m4**7*m6sq*B0fin(0,0,m4) + 5*m1**12*B0fin(0,0,m4sq) - 49*m1**8*m4**4*B0fin(0,0,m4sq) + 48*m1**6*m4**6*B0fin(0,0,m4sq) - 5*m1**4*m4**8*B0fin(0,0,m4sq) - 8*m1sq*m4**10*B0fin(0,0,m4sq) + m4**12*B0fin(0,0,m4sq) + 8*m1**10*m4sq*B0fin(0,0,m4sq) + 45*m1**8*m6**4*B0fin(0,0,m4sq) - 130*m1**4*m4**4*m6**4*B0fin(0,0,m4sq) + 28*m1sq*m4**6*m6**4*B0fin(0,0,m4sq) + 5*m4**8*m6**4*B0fin(0,0,m4sq) - 100*m1**6*m4sq*m6**4*B0fin(0,0,m4sq) - 40*m1**6*m6**6*B0fin(0,0,m4sq) + 60*m1sq*m4**4*m6**6*B0fin(0,0,m4sq) + 124*m1**4*m4sq*m6**6*B0fin(0,0,m4sq) + 15*m1**4*m6**8*B0fin(0,0,m4sq) - 5*m4**4*m6**8*B0fin(0,0,m4sq) - 52*m1sq*m4sq*m6**8*B0fin(0,0,m4sq) + 4*m4sq*m6**10*B0fin(0,0,m4sq) - m6**12*B0fin(0,0,m4sq) - 24*m1**10*m6sq*B0fin(0,0,m4sq) + 124*m1**6*m4**4*m6sq*B0fin(0,0,m4sq) - 84*m1**4*m4**6*m6sq*B0fin(0,0,m4sq) - 28*m1sq*m4**8*m6sq*B0fin(0,0,m4sq) - 4*m4**10*m6sq*B0fin(0,0,m4sq) + 16*m1**8*m4sq*m6sq*B0fin(0,0,m4sq) + 2*m1**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 24*m1**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 32*m1sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 60*m1**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 32*m1sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 24*m1**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 14*m1**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 16*m1**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 40*m1**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 32*m1**8*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1**10*m6*B0fin(0,0,m6) + 12*m1**6*m4**4*m6*B0fin(0,0,m6) - 28*m1**4*m4**6*m6*B0fin(0,0,m6) + 12*m1sq*m4**8*m6*B0fin(0,0,m6) + 12*m1**8*m4sq*m6*B0fin(0,0,m6) + 12*m1**8*m6**3*B0fin(0,0,m6) + 44*m1**4*m4**4*m6**3*B0fin(0,0,m6) + 8*m1sq*m4**6*m6**3*B0fin(0,0,m6) - 64*m1**6*m4sq*m6**3*B0fin(0,0,m6) + 12*m1**6*m6**5*B0fin(0,0,m6) - 40*m1sq*m4**4*m6**5*B0fin(0,0,m6) + 44*m1**4*m4sq*m6**5*B0fin(0,0,m6) - 28*m1**4*m6**7*B0fin(0,0,m6) + 8*m1sq*m4sq*m6**7*B0fin(0,0,m6) + 12*m1sq*m6**9*B0fin(0,0,m6) + 5*m1**12*B0fin(0,0,m6sq) + 45*m1**8*m4**4*B0fin(0,0,m6sq) - 40*m1**6*m4**6*B0fin(0,0,m6sq) + 15*m1**4*m4**8*B0fin(0,0,m6sq) - m4**12*B0fin(0,0,m6sq) - 24*m1**10*m4sq*B0fin(0,0,m6sq) - 49*m1**8*m6**4*B0fin(0,0,m6sq) - 130*m1**4*m4**4*m6**4*B0fin(0,0,m6sq) + 60*m1sq*m4**6*m6**4*B0fin(0,0,m6sq) - 5*m4**8*m6**4*B0fin(0,0,m6sq) + 124*m1**6*m4sq*m6**4*B0fin(0,0,m6sq) + 48*m1**6*m6**6*B0fin(0,0,m6sq) + 28*m1sq*m4**4*m6**6*B0fin(0,0,m6sq) - 84*m1**4*m4sq*m6**6*B0fin(0,0,m6sq) - 5*m1**4*m6**8*B0fin(0,0,m6sq) + 5*m4**4*m6**8*B0fin(0,0,m6sq) - 28*m1sq*m4sq*m6**8*B0fin(0,0,m6sq) - 8*m1sq*m6**10*B0fin(0,0,m6sq) - 4*m4sq*m6**10*B0fin(0,0,m6sq) + m6**12*B0fin(0,0,m6sq) + 8*m1**10*m6sq*B0fin(0,0,m6sq) - 100*m1**6*m4**4*m6sq*B0fin(0,0,m6sq) + 124*m1**4*m4**6*m6sq*B0fin(0,0,m6sq) - 52*m1sq*m4**8*m6sq*B0fin(0,0,m6sq) + 4*m4**10*m6sq*B0fin(0,0,m6sq) + 16*m1**8*m4sq*m6sq*B0fin(0,0,m6sq) + 2*m1**12*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 16*m1**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 14*m1**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 8*m1**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**4*m4**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 32*m1sq*m4**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 16*m1**6*m4sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 32*m1sq*m4**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 40*m1**4*m4sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1sq*m4sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 60*m1**6*m4**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 24*m1**4*m4**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 32*m1**8*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**12*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m1**8*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 16*m1**6*m4**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 14*m1**4*m4**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1sq*m4**10*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m1**10*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m1**8*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 68*m1**4*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 16*m1sq*m4**6*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 48*m1**6*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 16*m1**6*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 16*m1sq*m4**4*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**4*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 14*m1**4*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 12*m1sq*m4sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1sq*m6**10*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m1**10*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 48*m1**6*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**4*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 12*m1sq*m4**8*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 36*m1**8*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**10*T134fin(m6,m4,m1) + 12*m1**6*m4**4*T134fin(m6,m4,m1) - 20*m1**4*m4**6*T134fin(m6,m4,m1) + 8*m1sq*m4**8*T134fin(m6,m4,m1) + 4*m1**8*m4sq*T134fin(m6,m4,m1) + 12*m1**6*m6**4*T134fin(m6,m4,m1) - 48*m1sq*m4**4*m6**4*T134fin(m6,m4,m1) + 44*m1**4*m4sq*m6**4*T134fin(m6,m4,m1) - 20*m1**4*m6**6*T134fin(m6,m4,m1) + 16*m1sq*m4sq*m6**6*T134fin(m6,m4,m1) + 8*m1sq*m6**8*T134fin(m6,m4,m1) + 4*m1**8*m6sq*T134fin(m6,m4,m1) + 44*m1**4*m4**4*m6sq*T134fin(m6,m4,m1) + 16*m1sq*m4**6*m6sq*T134fin(m6,m4,m1) - 64*m1**6*m4sq*m6sq*T134fin(m6,m4,m1))/(2.*m1**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**4)
		def eval_138():
			return (64*m1**12*m3**3 - 256*m1**11*m3**4 + 80*m1**12*m3**4 - 256*m1**10*m3**5 + 384*m1**9*m3**6 - 160*m1**10*m3**6 + 384*m1**8*m3**7 - 256*m1**7*m3**8 + 160*m1**8*m3**8 - 256*m1**6*m3**9 + 64*m1**5*m3**10 - 80*m1**6*m3**10 + 64*m1**4*m3**11 + 16*m1**4*m3**12 + 64*m1**13*m3sq - 16*m1**14*m3sq - 256*m1**10*m3**4*m6 + 384*m1**8*m3**6*m6 - 256*m1**6*m3**8*m6 + 64*m1**4*m3**10*m6 + 64*m1**12*m3sq*m6 - 24*m1**12*m6**3 + 228*m1**8*m3**4*m6**3 - 376*m1**6*m3**6*m6**3 + 240*m1**4*m3**8*m6**3 - 60*m1sq*m3**10*m6**3 + 4*m3**12*m6**3 - 12*m1**10*m3sq*m6**3 + 30*m1**11*m6**4 + 96*m1**10*m3*m6**4 - 268*m1**8*m3**3*m6**4 + 140*m1**7*m3**4*m6**4 + 44*m1**8*m3**4*m6**4 + 224*m1**6*m3**5*m6**4 - 132*m1**5*m3**6*m6**4 - 152*m1**6*m3**6*m6**4 - 24*m1**4*m3**7*m6**4 + 86*m1**3*m3**8*m6**4 + 24*m1**4*m3**8*m6**4 - 32*m1sq*m3**9*m6**4 - 26*m1*m3**10*m6**4 + 52*m1sq*m3**10*m6**4 + 4*m3**11*m6**4 - 4*m3**12*m6**4 - 98*m1**9*m3sq*m6**4 + 36*m1**10*m3sq*m6**4 + 63*m1**10*m6**5 + 182*m1**6*m3**4*m6**5 - 78*m1**4*m3**6*m6**5 + 27*m1sq*m3**8*m6**5 - 11*m3**10*m6**5 - 183*m1**8*m3sq*m6**5 - 2*m1**9*m6**6 - m1**10*m6**6 - 106*m1**8*m3*m6**6 + 188*m1**6*m3**3*m6**6 - 72*m1**5*m3**4*m6**6 - 98*m1**6*m3**4*m6**6 - 120*m1**4*m3**5*m6**6 - 60*m1**3*m3**6*m6**6 + 42*m1**4*m3**6*m6**6 + 36*m1sq*m3**7*m6**6 + 42*m1*m3**8*m6**6 - 13*m1sq*m3**8*m6**6 + 2*m3**9*m6**6 + 13*m3**10*m6**6 + 92*m1**7*m3sq*m6**6 + 57*m1**8*m3sq*m6**6 - 54*m1**8*m6**7 - 96*m1**4*m3**4*m6**7 - 12*m1sq*m3**6*m6**7 + 22*m3**8*m6**7 + 140*m1**6*m3sq*m6**7 - 23*m1**7*m6**8 - 19*m1**8*m6**8 + 53*m1**6*m3*m6**8 - 63*m1**4*m3**3*m6**8 + 75*m1**3*m3**4*m6**8 + 130*m1**4*m3**4*m6**8 + 15*m1sq*m3**5*m6**8 - 25*m1*m3**6*m6**8 - 28*m1sq*m3**6*m6**8 - 5*m3**7*m6**8 - 31*m3**8*m6**8 - 27*m1**5*m3sq*m6**8 - 52*m1**6*m3sq*m6**8 + 15*m1**6*m6**9 + 45*m1sq*m3**4*m6**9 - 15*m3**6*m6**9 - 45*m1**4*m3sq*m6**9 + 12*m1**5*m6**10 + 21*m1**6*m6**10 - 12*m1**4*m3*m6**10 + 12*m1sq*m3**3*m6**10 - 33*m1sq*m3**4*m6**10 + 27*m3**6*m6**10 - 12*m1**3*m3sq*m6**10 - 15*m1**4*m3sq*m6**10 - m1**3*m6**12 - 5*m1**4*m6**12 + m1sq*m3*m6**12 - m3**3*m6**12 - 5*m3**4*m6**12 + m1*m3sq*m6**12 + 10*m1sq*m3sq*m6**12 - 16*m1**13*m6sq + 4*m1**14*m6sq - 32*m1**12*m3*m6sq + 32*m1**10*m3**3*m6sq + 328*m1**9*m3**4*m6sq - 88*m1**10*m3**4*m6sq + 128*m1**8*m3**5*m6sq - 496*m1**7*m3**6*m6sq + 88*m1**8*m3**6*m6sq - 256*m1**6*m3**7*m6sq + 320*m1**5*m3**8*m6sq + 148*m1**6*m3**8*m6sq + 160*m1**4*m3**9*m6sq - 88*m1**3*m3**10*m6sq - 132*m1**4*m3**10*m6sq - 32*m1sq*m3**11*m6sq + 8*m1*m3**12*m6sq - 56*m1**11*m3sq*m6sq - 20*m1**12*m3sq*m6sq + 2*m1sq*(m1sq - m3sq)*(4*m3sq - m6sq)*(6*m1**10 - m3**6*m6**4 + 2*m3**4*m6**6 - 2*m3sq*m6**8 + m6**10 - 2*m1**8*(8*m3sq + 7*m6sq) + m1**4*(-3*m3sq*m6**4 + 9*m6**6 - 26*m3**4*m6sq) + m1sq*(-2*m3**8 - 17*m3**4*m6**4 + 13*m3sq*m6**6 - 7*m6**8 + 14*m3**6*m6sq) + m1**6*(12*m3**4 + 5*m6**4 + 26*m3sq*m6sq))*B0del(0,0,m1sq) + 2*(m1sq - m3sq)*m3sq*(-4*m1sq + m6sq)**2*(-2*m3**8 + 2*m3**4*m6**4 - 2*m3sq*m6**6 + m6**8 + m1**6*(2*m3sq - m6sq) + m3**6*m6sq + m1sq*(6*m3**6 - m3sq*m6**4 - 3*m6**6 + m3**4*m6sq) - m1**4*(6*m3**4 - 3*m6**4 + m3sq*m6sq))*B0del(0,0,m3sq) - 22*m1**12*m6**4*B0del(0,0,m6sq) + 228*m1**8*m3**4*m6**4*B0del(0,0,m6sq) - 292*m1**6*m3**6*m6**4*B0del(0,0,m6sq) + 210*m1**4*m3**8*m6**4*B0del(0,0,m6sq) - 74*m1sq*m3**10*m6**4*B0del(0,0,m6sq) - 50*m1**10*m3sq*m6**4*B0del(0,0,m6sq) + 70*m1**10*m6**6*B0del(0,0,m6sq) + 44*m1**6*m3**4*m6**6*B0del(0,0,m6sq) - 116*m1**4*m3**6*m6**6*B0del(0,0,m6sq) + 78*m1sq*m3**8*m6**6*B0del(0,0,m6sq) + 6*m3**10*m6**6*B0del(0,0,m6sq) - 82*m1**8*m3sq*m6**6*B0del(0,0,m6sq) - 78*m1**8*m6**8*B0del(0,0,m6sq) + 40*m1**4*m3**4*m6**8*B0del(0,0,m6sq) - 44*m1sq*m3**6*m6**8*B0del(0,0,m6sq) - 10*m3**8*m6**8*B0del(0,0,m6sq) + 92*m1**6*m3sq*m6**8*B0del(0,0,m6sq) + 34*m1**6*m6**10*B0del(0,0,m6sq) + 18*m1sq*m3**4*m6**10*B0del(0,0,m6sq) + 8*m3**6*m6**10*B0del(0,0,m6sq) - 60*m1**4*m3sq*m6**10*B0del(0,0,m6sq) - 4*m1**4*m6**12*B0del(0,0,m6sq) - 4*m3**4*m6**12*B0del(0,0,m6sq) + 8*m1sq*m3sq*m6**12*B0del(0,0,m6sq) - 216*m1**10*m3**4*m6sq*B0del(0,0,m6sq) + 304*m1**8*m3**6*m6sq*B0del(0,0,m6sq) - 176*m1**6*m3**8*m6sq*B0del(0,0,m6sq) + 24*m1**4*m3**10*m6sq*B0del(0,0,m6sq) + 8*m1sq*m3**12*m6sq*B0del(0,0,m6sq) + 56*m1**12*m3sq*m6sq*B0del(0,0,m6sq) - 192*m1**11*m3**4*B0fin(0,0,m1) + 128*m1**9*m3**6*B0fin(0,0,m1) + 128*m1**7*m3**8*B0fin(0,0,m1) - 192*m1**5*m3**10*B0fin(0,0,m1) + 64*m1**3*m3**12*B0fin(0,0,m1) + 64*m1**13*m3sq*B0fin(0,0,m1) + 52*m1**11*m6**4*B0fin(0,0,m1) - 120*m1**7*m3**4*m6**4*B0fin(0,0,m1) - 504*m1**5*m3**6*m6**4*B0fin(0,0,m1) + 452*m1**3*m3**8*m6**4*B0fin(0,0,m1) + 84*m1*m3**10*m6**4*B0fin(0,0,m1) + 36*m1**9*m3sq*m6**4*B0fin(0,0,m1) - 36*m1**9*m6**6*B0fin(0,0,m1) + 384*m1**5*m3**4*m6**6*B0fin(0,0,m1) - 360*m1**3*m3**6*m6**6*B0fin(0,0,m1) - 156*m1*m3**8*m6**6*B0fin(0,0,m1) + 168*m1**7*m3sq*m6**6*B0fin(0,0,m1) - 26*m1**7*m6**8*B0fin(0,0,m1) + 98*m1**3*m3**4*m6**8*B0fin(0,0,m1) + 130*m1*m3**6*m6**8*B0fin(0,0,m1) - 202*m1**5*m3sq*m6**8*B0fin(0,0,m1) + 32*m1**5*m6**10*B0fin(0,0,m1) - 48*m1*m3**4*m6**10*B0fin(0,0,m1) + 16*m1**3*m3sq*m6**10*B0fin(0,0,m1) - 6*m1**3*m6**12*B0fin(0,0,m1) + 6*m1*m3sq*m6**12*B0fin(0,0,m1) - 16*m1**13*m6sq*B0fin(0,0,m1) + 400*m1**9*m3**4*m6sq*B0fin(0,0,m1) - 576*m1**7*m3**6*m6sq*B0fin(0,0,m1) + 656*m1**5*m3**8*m6sq*B0fin(0,0,m1) - 288*m1**3*m3**10*m6sq*B0fin(0,0,m1) - 16*m1*m3**12*m6sq*B0fin(0,0,m1) - 160*m1**11*m3sq*m6sq*B0fin(0,0,m1) + 16*m1**12*m3**4*B0fin(0,0,m1sq) + 96*m1**10*m3**6*B0fin(0,0,m1sq) - 224*m1**8*m3**8*B0fin(0,0,m1sq) + 176*m1**6*m3**10*B0fin(0,0,m1sq) - 48*m1**4*m3**12*B0fin(0,0,m1sq) - 16*m1**14*m3sq*B0fin(0,0,m1sq) - 12*m1**12*m6**4*B0fin(0,0,m1sq) + 140*m1**8*m3**4*m6**4*B0fin(0,0,m1sq) + 408*m1**6*m3**6*m6**4*B0fin(0,0,m1sq) - 548*m1**4*m3**8*m6**4*B0fin(0,0,m1sq) - 60*m1sq*m3**10*m6**4*B0fin(0,0,m1sq) + 4*m3**12*m6**4*B0fin(0,0,m1sq) + 68*m1**10*m3sq*m6**4*B0fin(0,0,m1sq) - 13*m1**10*m6**6*B0fin(0,0,m1sq) - 354*m1**6*m3**4*m6**6*B0fin(0,0,m1sq) + 486*m1**4*m3**6*m6**6*B0fin(0,0,m1sq) + 159*m1sq*m3**8*m6**6*B0fin(0,0,m1sq) - 13*m3**10*m6**6*B0fin(0,0,m1sq) - 265*m1**8*m3sq*m6**6*B0fin(0,0,m1sq) + 53*m1**8*m6**8*B0fin(0,0,m1sq) - 144*m1**4*m3**4*m6**8*B0fin(0,0,m1sq) - 152*m1sq*m3**6*m6**8*B0fin(0,0,m1sq) + 15*m3**8*m6**8*B0fin(0,0,m1sq) + 228*m1**6*m3sq*m6**8*B0fin(0,0,m1sq) - 39*m1**6*m6**10*B0fin(0,0,m1sq) + 61*m1sq*m3**4*m6**10*B0fin(0,0,m1sq) - 7*m3**6*m6**10*B0fin(0,0,m1sq) - 15*m1**4*m3sq*m6**10*B0fin(0,0,m1sq) + 7*m1**4*m6**12*B0fin(0,0,m1sq) + m3**4*m6**12*B0fin(0,0,m1sq) - 8*m1sq*m3sq*m6**12*B0fin(0,0,m1sq) + 4*m1**14*m6sq*B0fin(0,0,m1sq) - 88*m1**10*m3**4*m6sq*B0fin(0,0,m1sq) + 344*m1**8*m3**6*m6sq*B0fin(0,0,m1sq) - 620*m1**6*m3**8*m6sq*B0fin(0,0,m1sq) + 316*m1**4*m3**10*m6sq*B0fin(0,0,m1sq) + 44*m1**12*m3sq*m6sq*B0fin(0,0,m1sq) - 88*m1**12*m3**4*B0fin(0,0,m1sq)**2 + 112*m1**10*m3**6*B0fin(0,0,m1sq)**2 - 48*m1**8*m3**8*B0fin(0,0,m1sq)**2 - 8*m1**6*m3**10*B0fin(0,0,m1sq)**2 + 8*m1**4*m3**12*B0fin(0,0,m1sq)**2 + 24*m1**14*m3sq*B0fin(0,0,m1sq)**2 + 25*m1**12*m6**4*B0fin(0,0,m1sq)**2 + 114*m1**8*m3**4*m6**4*B0fin(0,0,m1sq)**2 + 162*m1**6*m3**6*m6**4*B0fin(0,0,m1sq)**2 + 53*m1**4*m3**8*m6**4*B0fin(0,0,m1sq)**2 + 17*m1sq*m3**10*m6**4*B0fin(0,0,m1sq)**2 + 141*m1**10*m3sq*m6**4*B0fin(0,0,m1sq)**2 - 40*m1**10*m6**6*B0fin(0,0,m1sq)**2 - 204*m1**6*m3**4*m6**6*B0fin(0,0,m1sq)**2 - 84*m1**4*m3**6*m6**6*B0fin(0,0,m1sq)**2 - 28*m1sq*m3**8*m6**6*B0fin(0,0,m1sq)**2 - 156*m1**8*m3sq*m6**6*B0fin(0,0,m1sq)**2 + 30*m1**8*m6**8*B0fin(0,0,m1sq)**2 + 58*m1**4*m3**4*m6**8*B0fin(0,0,m1sq)**2 + 22*m1sq*m3**6*m6**8*B0fin(0,0,m1sq)**2 + 82*m1**6*m3sq*m6**8*B0fin(0,0,m1sq)**2 - 10*m1**6*m6**10*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**4*m6**10*B0fin(0,0,m1sq)**2 - 14*m1**4*m3sq*m6**10*B0fin(0,0,m1sq)**2 + m1**4*m6**12*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m6**12*B0fin(0,0,m1sq)**2 - 6*m1**14*m6sq*B0fin(0,0,m1sq)**2 + 48*m1**10*m3**4*m6sq*B0fin(0,0,m1sq)**2 + 132*m1**8*m3**6*m6sq*B0fin(0,0,m1sq)**2 - 70*m1**6*m3**8*m6sq*B0fin(0,0,m1sq)**2 - 22*m1**4*m3**10*m6sq*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**12*m6sq*B0fin(0,0,m1sq)**2 - 78*m1**12*m3sq*m6sq*B0fin(0,0,m1sq)**2 + 128*m1**12*m3**3*B0fin(0,0,m3) - 512*m1**10*m3**5*B0fin(0,0,m3) + 768*m1**8*m3**7*B0fin(0,0,m3) - 512*m1**6*m3**9*B0fin(0,0,m3) + 128*m1**4*m3**11*B0fin(0,0,m3) + 256*m1**10*m3*m6**4*B0fin(0,0,m3) + 40*m1**8*m3**3*m6**4*B0fin(0,0,m3) - 256*m1**6*m3**5*m6**4*B0fin(0,0,m3) - 112*m1**4*m3**7*m6**4*B0fin(0,0,m3) + 64*m1sq*m3**9*m6**4*B0fin(0,0,m3) + 8*m3**11*m6**4*B0fin(0,0,m3) - 372*m1**8*m3*m6**6*B0fin(0,0,m3) + 8*m1**6*m3**3*m6**6*B0fin(0,0,m3) + 320*m1**4*m3**5*m6**6*B0fin(0,0,m3) + 56*m1sq*m3**7*m6**6*B0fin(0,0,m3) - 12*m3**9*m6**6*B0fin(0,0,m3) + 238*m1**6*m3*m6**8*B0fin(0,0,m3) - 98*m1**4*m3**3*m6**8*B0fin(0,0,m3) - 134*m1sq*m3**5*m6**8*B0fin(0,0,m3) - 6*m3**7*m6**8*B0fin(0,0,m3) - 64*m1**4*m3*m6**10*B0fin(0,0,m3) + 48*m1sq*m3**3*m6**10*B0fin(0,0,m3) + 16*m3**5*m6**10*B0fin(0,0,m3) + 6*m1sq*m3*m6**12*B0fin(0,0,m3) - 6*m3**3*m6**12*B0fin(0,0,m3) - 64*m1**12*m3*m6sq*B0fin(0,0,m3) - 192*m1**10*m3**3*m6sq*B0fin(0,0,m3) + 512*m1**8*m3**5*m6sq*B0fin(0,0,m3) - 256*m1**6*m3**7*m6sq*B0fin(0,0,m3) + 64*m1**4*m3**9*m6sq*B0fin(0,0,m3) - 64*m1sq*m3**11*m6sq*B0fin(0,0,m3) - 64*m1**12*m3**4*B0fin(0,0,m3sq) + 256*m1**10*m3**6*B0fin(0,0,m3sq) - 384*m1**8*m3**8*B0fin(0,0,m3sq) + 256*m1**6*m3**10*B0fin(0,0,m3sq) - 64*m1**4*m3**12*B0fin(0,0,m3sq) - 388*m1**8*m3**4*m6**4*B0fin(0,0,m3sq) + 400*m1**6*m3**6*m6**4*B0fin(0,0,m3sq) + 168*m1**4*m3**8*m6**4*B0fin(0,0,m3sq) - 4*m3**12*m6**4*B0fin(0,0,m3sq) - 176*m1**10*m3sq*m6**4*B0fin(0,0,m3sq) + 304*m1**6*m3**4*m6**6*B0fin(0,0,m3sq) - 468*m1**4*m3**6*m6**6*B0fin(0,0,m3sq) - 144*m1sq*m3**8*m6**6*B0fin(0,0,m3sq) + 2*m3**10*m6**6*B0fin(0,0,m3sq) + 306*m1**8*m3sq*m6**6*B0fin(0,0,m3sq) + 198*m1sq*m3**6*m6**8*B0fin(0,0,m3sq) + 20*m3**8*m6**8*B0fin(0,0,m3sq) - 218*m1**6*m3sq*m6**8*B0fin(0,0,m3sq) - 38*m1sq*m3**4*m6**10*B0fin(0,0,m3sq) - 24*m3**6*m6**10*B0fin(0,0,m3sq) + 62*m1**4*m3sq*m6**10*B0fin(0,0,m3sq) + 6*m3**4*m6**12*B0fin(0,0,m3sq) - 6*m1sq*m3sq*m6**12*B0fin(0,0,m3sq) + 288*m1**10*m3**4*m6sq*B0fin(0,0,m3sq) - 704*m1**8*m3**6*m6sq*B0fin(0,0,m3sq) + 448*m1**6*m3**8*m6sq*B0fin(0,0,m3sq) - 96*m1**4*m3**10*m6sq*B0fin(0,0,m3sq) + 32*m1sq*m3**12*m6sq*B0fin(0,0,m3sq) + 32*m1**12*m3sq*m6sq*B0fin(0,0,m3sq) - 528*m1**8*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 144*m1**6*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 240*m1**4*m3**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 32*m1sq*m3**10*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 80*m1**10*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 492*m1**6*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 276*m1**4*m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 84*m1sq*m3**8*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m3**10*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 168*m1**8*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 183*m1**4*m3**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 75*m1sq*m3**6*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m3**8*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 117*m1**6*m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 26*m1sq*m3**4*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 6*m3**6*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**4*m3sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m3**4*m6**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 3*m1sq*m3sq*m6**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 320*m1**10*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 576*m1**8*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 192*m1**6*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 64*m1**4*m3**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**12*m3**4*B0fin(0,0,m3sq)**2 - 128*m1**10*m3**6*B0fin(0,0,m3sq)**2 + 192*m1**8*m3**8*B0fin(0,0,m3sq)**2 - 128*m1**6*m3**10*B0fin(0,0,m3sq)**2 + 32*m1**4*m3**12*B0fin(0,0,m3sq)**2 + 258*m1**8*m3**4*m6**4*B0fin(0,0,m3sq)**2 + 56*m1**6*m3**6*m6**4*B0fin(0,0,m3sq)**2 + 140*m1**4*m3**8*m6**4*B0fin(0,0,m3sq)**2 + 56*m1sq*m3**10*m6**4*B0fin(0,0,m3sq)**2 + 2*m3**12*m6**4*B0fin(0,0,m3sq)**2 - 232*m1**6*m3**4*m6**6*B0fin(0,0,m3sq)**2 - 184*m1**4*m3**6*m6**6*B0fin(0,0,m3sq)**2 - 88*m1sq*m3**8*m6**6*B0fin(0,0,m3sq)**2 - 8*m3**10*m6**6*B0fin(0,0,m3sq)**2 + 108*m1**4*m3**4*m6**8*B0fin(0,0,m3sq)**2 + 72*m1sq*m3**6*m6**8*B0fin(0,0,m3sq)**2 + 12*m3**8*m6**8*B0fin(0,0,m3sq)**2 - 24*m1sq*m3**4*m6**10*B0fin(0,0,m3sq)**2 - 8*m3**6*m6**10*B0fin(0,0,m3sq)**2 + 2*m3**4*m6**12*B0fin(0,0,m3sq)**2 - 144*m1**10*m3**4*m6sq*B0fin(0,0,m3sq)**2 + 192*m1**8*m3**6*m6sq*B0fin(0,0,m3sq)**2 + 32*m1**6*m3**8*m6sq*B0fin(0,0,m3sq)**2 - 64*m1**4*m3**10*m6sq*B0fin(0,0,m3sq)**2 - 16*m1sq*m3**12*m6sq*B0fin(0,0,m3sq)**2 - 352*m1**10*m3**4*m6*B0fin(0,0,m6) + 448*m1**8*m3**6*m6*B0fin(0,0,m6) - 192*m1**6*m3**8*m6*B0fin(0,0,m6) - 32*m1**4*m3**10*m6*B0fin(0,0,m6) + 32*m1sq*m3**12*m6*B0fin(0,0,m6) + 96*m1**12*m3sq*m6*B0fin(0,0,m6) - 40*m1**12*m6**3*B0fin(0,0,m6) + 456*m1**8*m3**4*m6**3*B0fin(0,0,m6) - 416*m1**6*m3**6*m6**3*B0fin(0,0,m6) + 360*m1**4*m3**8*m6**3*B0fin(0,0,m6) - 176*m1sq*m3**10*m6**3*B0fin(0,0,m6) - 8*m3**12*m6**3*B0fin(0,0,m6) - 176*m1**10*m3sq*m6**3*B0fin(0,0,m6) + 154*m1**10*m6**5*B0fin(0,0,m6) - 188*m1**6*m3**4*m6**5*B0fin(0,0,m6) - 308*m1**4*m3**6*m6**5*B0fin(0,0,m6) + 258*m1sq*m3**8*m6**5*B0fin(0,0,m6) + 46*m3**10*m6**5*B0fin(0,0,m6) + 38*m1**8*m3sq*m6**5*B0fin(0,0,m6) - 204*m1**8*m6**7*B0fin(0,0,m6) + 352*m1**4*m3**4*m6**7*B0fin(0,0,m6) - 152*m1sq*m3**6*m6**7*B0fin(0,0,m6) - 84*m3**8*m6**7*B0fin(0,0,m6) + 88*m1**6*m3sq*m6**7*B0fin(0,0,m6) + 106*m1**6*m6**9*B0fin(0,0,m6) - 18*m1sq*m3**4*m6**9*B0fin(0,0,m6) + 62*m3**6*m6**9*B0fin(0,0,m6) - 150*m1**4*m3sq*m6**9*B0fin(0,0,m6) - 16*m1**4*m6**11*B0fin(0,0,m6) - 16*m3**4*m6**11*B0fin(0,0,m6) + 32*m1sq*m3sq*m6**11*B0fin(0,0,m6) + 6*m1**12*m6**4*B0fin(0,0,m6sq) + 16*m1**8*m3**4*m6**4*B0fin(0,0,m6sq) - 68*m1**6*m3**6*m6**4*B0fin(0,0,m6sq) + 6*m1**4*m3**8*m6**4*B0fin(0,0,m6sq) + 22*m1sq*m3**10*m6**4*B0fin(0,0,m6sq) + 4*m3**12*m6**4*B0fin(0,0,m6sq) + 14*m1**10*m3sq*m6**4*B0fin(0,0,m6sq) - 45*m1**10*m6**6*B0fin(0,0,m6sq) + 46*m1**6*m3**4*m6**6*B0fin(0,0,m6sq) + 114*m1**4*m3**6*m6**6*B0fin(0,0,m6sq) - 81*m1sq*m3**8*m6**6*B0fin(0,0,m6sq) - 19*m3**10*m6**6*B0fin(0,0,m6sq) - 15*m1**8*m3sq*m6**6*B0fin(0,0,m6sq) + 81*m1**8*m6**8*B0fin(0,0,m6sq) - 162*m1**4*m3**4*m6**8*B0fin(0,0,m6sq) + 60*m1sq*m3**6*m6**8*B0fin(0,0,m6sq) + 41*m3**8*m6**8*B0fin(0,0,m6sq) - 20*m1**6*m3sq*m6**8*B0fin(0,0,m6sq) - 51*m1**6*m6**10*B0fin(0,0,m6sq) + 19*m1sq*m3**4*m6**10*B0fin(0,0,m6sq) - 35*m3**6*m6**10*B0fin(0,0,m6sq) + 67*m1**4*m3sq*m6**10*B0fin(0,0,m6sq) + 9*m1**4*m6**12*B0fin(0,0,m6sq) + 9*m3**4*m6**12*B0fin(0,0,m6sq) - 18*m1sq*m3sq*m6**12*B0fin(0,0,m6sq) - 40*m1**10*m3**4*m6sq*B0fin(0,0,m6sq) + 80*m1**8*m3**6*m6sq*B0fin(0,0,m6sq) - 80*m1**6*m3**8*m6sq*B0fin(0,0,m6sq) + 40*m1**4*m3**10*m6sq*B0fin(0,0,m6sq) - 8*m1sq*m3**12*m6sq*B0fin(0,0,m6sq) + 8*m1**12*m3sq*m6sq*B0fin(0,0,m6sq) - 22*m1**12*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 340*m1**8*m3**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 372*m1**6*m3**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 290*m1**4*m3**8*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1sq*m3**10*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 242*m1**10*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 70*m1**10*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 24*m1**6*m3**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 228*m1**4*m3**6*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 46*m1sq*m3**8*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m3**10*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 232*m1**8*m3sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 78*m1**8*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 129*m1**4*m3**4*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 51*m1sq*m3**6*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 9*m3**8*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 111*m1**6*m3sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 34*m1**6*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 22*m1sq*m3**4*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m3**6*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**4*m3sq*m6**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m6**12*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + m3**4*m6**12*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 3*m1sq*m3sq*m6**12*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 152*m1**10*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 80*m1**8*m3**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 272*m1**6*m3**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 136*m1**4*m3**10*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1sq*m3**12*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 88*m1**12*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 112*m1**8*m3**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 80*m1**6*m3**6*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 80*m1**4*m3**8*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 80*m1sq*m3**10*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 192*m1**10*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 68*m1**6*m3**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 112*m1**4*m3**6*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 124*m1sq*m3**8*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 10*m3**10*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 314*m1**8*m3sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 89*m1**4*m3**4*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 95*m1sq*m3**6*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 19*m3**8*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 203*m1**6*m3sq*m6**8*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 40*m1sq*m3**4*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 14*m3**6*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 54*m1**4*m3sq*m6**10*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 5*m3**4*m6**12*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 5*m1sq*m3sq*m6**12*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 64*m1**10*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 384*m1**8*m3**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 448*m1**6*m3**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 160*m1**4*m3**10*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) - 32*m1**12*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq) + 88*m1**10*m3**4*T134fin(m6,m1,m1) - 112*m1**8*m3**6*T134fin(m6,m1,m1) + 48*m1**6*m3**8*T134fin(m6,m1,m1) + 8*m1**4*m3**10*T134fin(m6,m1,m1) - 8*m1sq*m3**12*T134fin(m6,m1,m1) - 24*m1**12*m3sq*T134fin(m6,m1,m1) - 30*m1**10*m6**4*T134fin(m6,m1,m1) - 36*m1**6*m3**4*m6**4*T134fin(m6,m1,m1) - 96*m1**4*m3**6*m6**4*T134fin(m6,m1,m1) - 142*m1sq*m3**8*m6**4*T134fin(m6,m1,m1) - 4*m3**10*m6**4*T134fin(m6,m1,m1) - 204*m1**8*m3sq*m6**4*T134fin(m6,m1,m1) + 61*m1**8*m6**6*T134fin(m6,m1,m1) + 234*m1**4*m3**4*m6**6*T134fin(m6,m1,m1) + 192*m1sq*m3**6*m6**6*T134fin(m6,m1,m1) + 17*m3**8*m6**6*T134fin(m6,m1,m1) + 264*m1**6*m3sq*m6**6*T134fin(m6,m1,m1) - 64*m1**6*m6**8*T134fin(m6,m1,m1) - 160*m1sq*m3**4*m6**8*T134fin(m6,m1,m1) - 28*m3**6*m6**8*T134fin(m6,m1,m1) - 196*m1**4*m3sq*m6**8*T134fin(m6,m1,m1) + 36*m1**4*m6**10*T134fin(m6,m1,m1) + 22*m3**4*m6**10*T134fin(m6,m1,m1) + 70*m1sq*m3sq*m6**10*T134fin(m6,m1,m1) - 10*m1sq*m6**12*T134fin(m6,m1,m1) - 8*m3sq*m6**12*T134fin(m6,m1,m1) + m6**14*T134fin(m6,m1,m1) + 6*m1**12*m6sq*T134fin(m6,m1,m1) - 132*m1**8*m3**4*m6sq*T134fin(m6,m1,m1) + 4*m1**6*m3**6*m6sq*T134fin(m6,m1,m1) - 34*m1**4*m3**8*m6sq*T134fin(m6,m1,m1) + 58*m1sq*m3**10*m6sq*T134fin(m6,m1,m1) + 98*m1**10*m3sq*m6sq*T134fin(m6,m1,m1) + 32*m1**10*m6**4*T134fin(m6,m3,m1) + 32*m1**6*m3**4*m6**4*T134fin(m6,m3,m1) + 384*m1**4*m3**6*m6**4*T134fin(m6,m3,m1) + 128*m1sq*m3**8*m6**4*T134fin(m6,m3,m1) + 448*m1**8*m3sq*m6**4*T134fin(m6,m3,m1) - 112*m1**8*m6**6*T134fin(m6,m3,m1) - 528*m1**4*m3**4*m6**6*T134fin(m6,m3,m1) - 264*m1sq*m3**6*m6**6*T134fin(m6,m3,m1) - 16*m3**8*m6**6*T134fin(m6,m3,m1) - 616*m1**6*m3sq*m6**6*T134fin(m6,m3,m1) + 146*m1**6*m6**8*T134fin(m6,m3,m1) + 258*m1sq*m3**4*m6**8*T134fin(m6,m3,m1) + 36*m3**6*m6**8*T134fin(m6,m3,m1) + 456*m1**4*m3sq*m6**8*T134fin(m6,m3,m1) - 86*m1**4*m6**10*T134fin(m6,m3,m1) - 32*m3**4*m6**10*T134fin(m6,m3,m1) - 138*m1sq*m3sq*m6**10*T134fin(m6,m3,m1) + 22*m1sq*m6**12*T134fin(m6,m3,m1) + 14*m3sq*m6**12*T134fin(m6,m3,m1) - 2*m6**14*T134fin(m6,m3,m1) + 384*m1**6*m3**6*m6sq*T134fin(m6,m3,m1) - 256*m1**4*m3**8*m6sq*T134fin(m6,m3,m1) - 128*m1**10*m3sq*m6sq*T134fin(m6,m3,m1) + 128*m1**10*m3**4*T134fin(m6,m3,m3) - 192*m1**8*m3**6*T134fin(m6,m3,m3) + 128*m1**6*m3**8*T134fin(m6,m3,m3) - 32*m1**4*m3**10*T134fin(m6,m3,m3) - 32*m1**12*m3sq*T134fin(m6,m3,m3) - 72*m1**10*m6**4*T134fin(m6,m3,m3) - 40*m1**6*m3**4*m6**4*T134fin(m6,m3,m3) - 172*m1**4*m3**6*m6**4*T134fin(m6,m3,m3) - 64*m1sq*m3**8*m6**4*T134fin(m6,m3,m3) - 2*m3**10*m6**4*T134fin(m6,m3,m3) - 162*m1**8*m3sq*m6**4*T134fin(m6,m3,m3) + 129*m1**8*m6**6*T134fin(m6,m3,m3) + 254*m1**4*m3**4*m6**6*T134fin(m6,m3,m3) + 116*m1sq*m3**6*m6**6*T134fin(m6,m3,m3) + 9*m3**8*m6**6*T134fin(m6,m3,m3) + 260*m1**6*m3sq*m6**6*T134fin(m6,m3,m3) - 116*m1**6*m6**8*T134fin(m6,m3,m3) - 116*m1sq*m3**4*m6**8*T134fin(m6,m3,m3) - 16*m3**6*m6**8*T134fin(m6,m3,m3) - 200*m1**4*m3sq*m6**8*T134fin(m6,m3,m3) + 54*m1**4*m6**10*T134fin(m6,m3,m3) + 14*m3**4*m6**10*T134fin(m6,m3,m3) + 60*m1sq*m3sq*m6**10*T134fin(m6,m3,m3) - 12*m1sq*m6**12*T134fin(m6,m3,m3) - 6*m3sq*m6**12*T134fin(m6,m3,m3) + m6**14*T134fin(m6,m3,m3) + 16*m1**12*m6sq*T134fin(m6,m3,m3) - 96*m1**8*m3**4*m6sq*T134fin(m6,m3,m3) - 96*m1**6*m3**6*m6sq*T134fin(m6,m3,m3) + 80*m1**4*m3**8*m6sq*T134fin(m6,m3,m3) + 16*m1sq*m3**10*m6sq*T134fin(m6,m3,m3) + 80*m1**10*m3sq*m6sq*T134fin(m6,m3,m3))/((m1sq - m3sq)**3*(m1 + m3 - m6)**2*m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq))
		def eval_139():
			return (64*m1**12*m3**3 - 256*m1**11*m3**4 + 80*m1**12*m3**4 - 256*m1**10*m3**5 + 384*m1**9*m3**6 - 160*m1**10*m3**6 + 384*m1**8*m3**7 - 256*m1**7*m3**8 + 160*m1**8*m3**8 - 256*m1**6*m3**9 + 64*m1**5*m3**10 - 80*m1**6*m3**10 + 64*m1**4*m3**11 + 16*m1**4*m3**12 + 64*m1**13*m3sq - 16*m1**14*m3sq - 256*m1**10*m3**4*m4 + 384*m1**8*m3**6*m4 - 256*m1**6*m3**8*m4 + 64*m1**4*m3**10*m4 + 64*m1**12*m3sq*m4 - 24*m1**12*m4**3 + 228*m1**8*m3**4*m4**3 - 376*m1**6*m3**6*m4**3 + 240*m1**4*m3**8*m4**3 - 60*m1sq*m3**10*m4**3 + 4*m3**12*m4**3 - 12*m1**10*m3sq*m4**3 + 30*m1**11*m4**4 + 96*m1**10*m3*m4**4 - 268*m1**8*m3**3*m4**4 + 140*m1**7*m3**4*m4**4 + 44*m1**8*m3**4*m4**4 + 224*m1**6*m3**5*m4**4 - 132*m1**5*m3**6*m4**4 - 152*m1**6*m3**6*m4**4 - 24*m1**4*m3**7*m4**4 + 86*m1**3*m3**8*m4**4 + 24*m1**4*m3**8*m4**4 - 32*m1sq*m3**9*m4**4 - 26*m1*m3**10*m4**4 + 52*m1sq*m3**10*m4**4 + 4*m3**11*m4**4 - 4*m3**12*m4**4 - 98*m1**9*m3sq*m4**4 + 36*m1**10*m3sq*m4**4 + 63*m1**10*m4**5 + 182*m1**6*m3**4*m4**5 - 78*m1**4*m3**6*m4**5 + 27*m1sq*m3**8*m4**5 - 11*m3**10*m4**5 - 183*m1**8*m3sq*m4**5 - 2*m1**9*m4**6 - m1**10*m4**6 - 106*m1**8*m3*m4**6 + 188*m1**6*m3**3*m4**6 - 72*m1**5*m3**4*m4**6 - 98*m1**6*m3**4*m4**6 - 120*m1**4*m3**5*m4**6 - 60*m1**3*m3**6*m4**6 + 42*m1**4*m3**6*m4**6 + 36*m1sq*m3**7*m4**6 + 42*m1*m3**8*m4**6 - 13*m1sq*m3**8*m4**6 + 2*m3**9*m4**6 + 13*m3**10*m4**6 + 92*m1**7*m3sq*m4**6 + 57*m1**8*m3sq*m4**6 - 54*m1**8*m4**7 - 96*m1**4*m3**4*m4**7 - 12*m1sq*m3**6*m4**7 + 22*m3**8*m4**7 + 140*m1**6*m3sq*m4**7 - 23*m1**7*m4**8 - 19*m1**8*m4**8 + 53*m1**6*m3*m4**8 - 63*m1**4*m3**3*m4**8 + 75*m1**3*m3**4*m4**8 + 130*m1**4*m3**4*m4**8 + 15*m1sq*m3**5*m4**8 - 25*m1*m3**6*m4**8 - 28*m1sq*m3**6*m4**8 - 5*m3**7*m4**8 - 31*m3**8*m4**8 - 27*m1**5*m3sq*m4**8 - 52*m1**6*m3sq*m4**8 + 15*m1**6*m4**9 + 45*m1sq*m3**4*m4**9 - 15*m3**6*m4**9 - 45*m1**4*m3sq*m4**9 + 12*m1**5*m4**10 + 21*m1**6*m4**10 - 12*m1**4*m3*m4**10 + 12*m1sq*m3**3*m4**10 - 33*m1sq*m3**4*m4**10 + 27*m3**6*m4**10 - 12*m1**3*m3sq*m4**10 - 15*m1**4*m3sq*m4**10 - m1**3*m4**12 - 5*m1**4*m4**12 + m1sq*m3*m4**12 - m3**3*m4**12 - 5*m3**4*m4**12 + m1*m3sq*m4**12 + 10*m1sq*m3sq*m4**12 - 16*m1**13*m4sq + 4*m1**14*m4sq - 32*m1**12*m3*m4sq + 32*m1**10*m3**3*m4sq + 328*m1**9*m3**4*m4sq - 88*m1**10*m3**4*m4sq + 128*m1**8*m3**5*m4sq - 496*m1**7*m3**6*m4sq + 88*m1**8*m3**6*m4sq - 256*m1**6*m3**7*m4sq + 320*m1**5*m3**8*m4sq + 148*m1**6*m3**8*m4sq + 160*m1**4*m3**9*m4sq - 88*m1**3*m3**10*m4sq - 132*m1**4*m3**10*m4sq - 32*m1sq*m3**11*m4sq + 8*m1*m3**12*m4sq - 56*m1**11*m3sq*m4sq - 20*m1**12*m3sq*m4sq + 2*m1sq*(m1sq - m3sq)*(4*m3sq - m4sq)*(6*m1**10 - m3**6*m4**4 + 2*m3**4*m4**6 - 2*m3sq*m4**8 + m4**10 - 2*m1**8*(8*m3sq + 7*m4sq) + m1**4*(-3*m3sq*m4**4 + 9*m4**6 - 26*m3**4*m4sq) + m1sq*(-2*m3**8 - 17*m3**4*m4**4 + 13*m3sq*m4**6 - 7*m4**8 + 14*m3**6*m4sq) + m1**6*(12*m3**4 + 5*m4**4 + 26*m3sq*m4sq))*B0del(0,0,m1sq) + 2*(m1sq - m3sq)*m3sq*(-4*m1sq + m4sq)**2*(-2*m3**8 + 2*m3**4*m4**4 - 2*m3sq*m4**6 + m4**8 + m1**6*(2*m3sq - m4sq) + m3**6*m4sq + m1sq*(6*m3**6 - m3sq*m4**4 - 3*m4**6 + m3**4*m4sq) - m1**4*(6*m3**4 - 3*m4**4 + m3sq*m4sq))*B0del(0,0,m3sq) - 22*m1**12*m4**4*B0del(0,0,m4sq) + 228*m1**8*m3**4*m4**4*B0del(0,0,m4sq) - 292*m1**6*m3**6*m4**4*B0del(0,0,m4sq) + 210*m1**4*m3**8*m4**4*B0del(0,0,m4sq) - 74*m1sq*m3**10*m4**4*B0del(0,0,m4sq) - 50*m1**10*m3sq*m4**4*B0del(0,0,m4sq) + 70*m1**10*m4**6*B0del(0,0,m4sq) + 44*m1**6*m3**4*m4**6*B0del(0,0,m4sq) - 116*m1**4*m3**6*m4**6*B0del(0,0,m4sq) + 78*m1sq*m3**8*m4**6*B0del(0,0,m4sq) + 6*m3**10*m4**6*B0del(0,0,m4sq) - 82*m1**8*m3sq*m4**6*B0del(0,0,m4sq) - 78*m1**8*m4**8*B0del(0,0,m4sq) + 40*m1**4*m3**4*m4**8*B0del(0,0,m4sq) - 44*m1sq*m3**6*m4**8*B0del(0,0,m4sq) - 10*m3**8*m4**8*B0del(0,0,m4sq) + 92*m1**6*m3sq*m4**8*B0del(0,0,m4sq) + 34*m1**6*m4**10*B0del(0,0,m4sq) + 18*m1sq*m3**4*m4**10*B0del(0,0,m4sq) + 8*m3**6*m4**10*B0del(0,0,m4sq) - 60*m1**4*m3sq*m4**10*B0del(0,0,m4sq) - 4*m1**4*m4**12*B0del(0,0,m4sq) - 4*m3**4*m4**12*B0del(0,0,m4sq) + 8*m1sq*m3sq*m4**12*B0del(0,0,m4sq) - 216*m1**10*m3**4*m4sq*B0del(0,0,m4sq) + 304*m1**8*m3**6*m4sq*B0del(0,0,m4sq) - 176*m1**6*m3**8*m4sq*B0del(0,0,m4sq) + 24*m1**4*m3**10*m4sq*B0del(0,0,m4sq) + 8*m1sq*m3**12*m4sq*B0del(0,0,m4sq) + 56*m1**12*m3sq*m4sq*B0del(0,0,m4sq) - 192*m1**11*m3**4*B0fin(0,0,m1) + 128*m1**9*m3**6*B0fin(0,0,m1) + 128*m1**7*m3**8*B0fin(0,0,m1) - 192*m1**5*m3**10*B0fin(0,0,m1) + 64*m1**3*m3**12*B0fin(0,0,m1) + 64*m1**13*m3sq*B0fin(0,0,m1) + 52*m1**11*m4**4*B0fin(0,0,m1) - 120*m1**7*m3**4*m4**4*B0fin(0,0,m1) - 504*m1**5*m3**6*m4**4*B0fin(0,0,m1) + 452*m1**3*m3**8*m4**4*B0fin(0,0,m1) + 84*m1*m3**10*m4**4*B0fin(0,0,m1) + 36*m1**9*m3sq*m4**4*B0fin(0,0,m1) - 36*m1**9*m4**6*B0fin(0,0,m1) + 384*m1**5*m3**4*m4**6*B0fin(0,0,m1) - 360*m1**3*m3**6*m4**6*B0fin(0,0,m1) - 156*m1*m3**8*m4**6*B0fin(0,0,m1) + 168*m1**7*m3sq*m4**6*B0fin(0,0,m1) - 26*m1**7*m4**8*B0fin(0,0,m1) + 98*m1**3*m3**4*m4**8*B0fin(0,0,m1) + 130*m1*m3**6*m4**8*B0fin(0,0,m1) - 202*m1**5*m3sq*m4**8*B0fin(0,0,m1) + 32*m1**5*m4**10*B0fin(0,0,m1) - 48*m1*m3**4*m4**10*B0fin(0,0,m1) + 16*m1**3*m3sq*m4**10*B0fin(0,0,m1) - 6*m1**3*m4**12*B0fin(0,0,m1) + 6*m1*m3sq*m4**12*B0fin(0,0,m1) - 16*m1**13*m4sq*B0fin(0,0,m1) + 400*m1**9*m3**4*m4sq*B0fin(0,0,m1) - 576*m1**7*m3**6*m4sq*B0fin(0,0,m1) + 656*m1**5*m3**8*m4sq*B0fin(0,0,m1) - 288*m1**3*m3**10*m4sq*B0fin(0,0,m1) - 16*m1*m3**12*m4sq*B0fin(0,0,m1) - 160*m1**11*m3sq*m4sq*B0fin(0,0,m1) + 16*m1**12*m3**4*B0fin(0,0,m1sq) + 96*m1**10*m3**6*B0fin(0,0,m1sq) - 224*m1**8*m3**8*B0fin(0,0,m1sq) + 176*m1**6*m3**10*B0fin(0,0,m1sq) - 48*m1**4*m3**12*B0fin(0,0,m1sq) - 16*m1**14*m3sq*B0fin(0,0,m1sq) - 12*m1**12*m4**4*B0fin(0,0,m1sq) + 140*m1**8*m3**4*m4**4*B0fin(0,0,m1sq) + 408*m1**6*m3**6*m4**4*B0fin(0,0,m1sq) - 548*m1**4*m3**8*m4**4*B0fin(0,0,m1sq) - 60*m1sq*m3**10*m4**4*B0fin(0,0,m1sq) + 4*m3**12*m4**4*B0fin(0,0,m1sq) + 68*m1**10*m3sq*m4**4*B0fin(0,0,m1sq) - 13*m1**10*m4**6*B0fin(0,0,m1sq) - 354*m1**6*m3**4*m4**6*B0fin(0,0,m1sq) + 486*m1**4*m3**6*m4**6*B0fin(0,0,m1sq) + 159*m1sq*m3**8*m4**6*B0fin(0,0,m1sq) - 13*m3**10*m4**6*B0fin(0,0,m1sq) - 265*m1**8*m3sq*m4**6*B0fin(0,0,m1sq) + 53*m1**8*m4**8*B0fin(0,0,m1sq) - 144*m1**4*m3**4*m4**8*B0fin(0,0,m1sq) - 152*m1sq*m3**6*m4**8*B0fin(0,0,m1sq) + 15*m3**8*m4**8*B0fin(0,0,m1sq) + 228*m1**6*m3sq*m4**8*B0fin(0,0,m1sq) - 39*m1**6*m4**10*B0fin(0,0,m1sq) + 61*m1sq*m3**4*m4**10*B0fin(0,0,m1sq) - 7*m3**6*m4**10*B0fin(0,0,m1sq) - 15*m1**4*m3sq*m4**10*B0fin(0,0,m1sq) + 7*m1**4*m4**12*B0fin(0,0,m1sq) + m3**4*m4**12*B0fin(0,0,m1sq) - 8*m1sq*m3sq*m4**12*B0fin(0,0,m1sq) + 4*m1**14*m4sq*B0fin(0,0,m1sq) - 88*m1**10*m3**4*m4sq*B0fin(0,0,m1sq) + 344*m1**8*m3**6*m4sq*B0fin(0,0,m1sq) - 620*m1**6*m3**8*m4sq*B0fin(0,0,m1sq) + 316*m1**4*m3**10*m4sq*B0fin(0,0,m1sq) + 44*m1**12*m3sq*m4sq*B0fin(0,0,m1sq) - 88*m1**12*m3**4*B0fin(0,0,m1sq)**2 + 112*m1**10*m3**6*B0fin(0,0,m1sq)**2 - 48*m1**8*m3**8*B0fin(0,0,m1sq)**2 - 8*m1**6*m3**10*B0fin(0,0,m1sq)**2 + 8*m1**4*m3**12*B0fin(0,0,m1sq)**2 + 24*m1**14*m3sq*B0fin(0,0,m1sq)**2 + 25*m1**12*m4**4*B0fin(0,0,m1sq)**2 + 114*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)**2 + 162*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)**2 + 53*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)**2 + 17*m1sq*m3**10*m4**4*B0fin(0,0,m1sq)**2 + 141*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)**2 - 40*m1**10*m4**6*B0fin(0,0,m1sq)**2 - 204*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)**2 - 84*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)**2 - 28*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)**2 - 156*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)**2 + 30*m1**8*m4**8*B0fin(0,0,m1sq)**2 + 58*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)**2 + 22*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)**2 + 82*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)**2 - 10*m1**6*m4**10*B0fin(0,0,m1sq)**2 - 8*m1sq*m3**4*m4**10*B0fin(0,0,m1sq)**2 - 14*m1**4*m3sq*m4**10*B0fin(0,0,m1sq)**2 + m1**4*m4**12*B0fin(0,0,m1sq)**2 + m1sq*m3sq*m4**12*B0fin(0,0,m1sq)**2 - 6*m1**14*m4sq*B0fin(0,0,m1sq)**2 + 48*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)**2 + 132*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)**2 - 70*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)**2 - 22*m1**4*m3**10*m4sq*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**12*m4sq*B0fin(0,0,m1sq)**2 - 78*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)**2 + 128*m1**12*m3**3*B0fin(0,0,m3) - 512*m1**10*m3**5*B0fin(0,0,m3) + 768*m1**8*m3**7*B0fin(0,0,m3) - 512*m1**6*m3**9*B0fin(0,0,m3) + 128*m1**4*m3**11*B0fin(0,0,m3) + 256*m1**10*m3*m4**4*B0fin(0,0,m3) + 40*m1**8*m3**3*m4**4*B0fin(0,0,m3) - 256*m1**6*m3**5*m4**4*B0fin(0,0,m3) - 112*m1**4*m3**7*m4**4*B0fin(0,0,m3) + 64*m1sq*m3**9*m4**4*B0fin(0,0,m3) + 8*m3**11*m4**4*B0fin(0,0,m3) - 372*m1**8*m3*m4**6*B0fin(0,0,m3) + 8*m1**6*m3**3*m4**6*B0fin(0,0,m3) + 320*m1**4*m3**5*m4**6*B0fin(0,0,m3) + 56*m1sq*m3**7*m4**6*B0fin(0,0,m3) - 12*m3**9*m4**6*B0fin(0,0,m3) + 238*m1**6*m3*m4**8*B0fin(0,0,m3) - 98*m1**4*m3**3*m4**8*B0fin(0,0,m3) - 134*m1sq*m3**5*m4**8*B0fin(0,0,m3) - 6*m3**7*m4**8*B0fin(0,0,m3) - 64*m1**4*m3*m4**10*B0fin(0,0,m3) + 48*m1sq*m3**3*m4**10*B0fin(0,0,m3) + 16*m3**5*m4**10*B0fin(0,0,m3) + 6*m1sq*m3*m4**12*B0fin(0,0,m3) - 6*m3**3*m4**12*B0fin(0,0,m3) - 64*m1**12*m3*m4sq*B0fin(0,0,m3) - 192*m1**10*m3**3*m4sq*B0fin(0,0,m3) + 512*m1**8*m3**5*m4sq*B0fin(0,0,m3) - 256*m1**6*m3**7*m4sq*B0fin(0,0,m3) + 64*m1**4*m3**9*m4sq*B0fin(0,0,m3) - 64*m1sq*m3**11*m4sq*B0fin(0,0,m3) - 64*m1**12*m3**4*B0fin(0,0,m3sq) + 256*m1**10*m3**6*B0fin(0,0,m3sq) - 384*m1**8*m3**8*B0fin(0,0,m3sq) + 256*m1**6*m3**10*B0fin(0,0,m3sq) - 64*m1**4*m3**12*B0fin(0,0,m3sq) - 388*m1**8*m3**4*m4**4*B0fin(0,0,m3sq) + 400*m1**6*m3**6*m4**4*B0fin(0,0,m3sq) + 168*m1**4*m3**8*m4**4*B0fin(0,0,m3sq) - 4*m3**12*m4**4*B0fin(0,0,m3sq) - 176*m1**10*m3sq*m4**4*B0fin(0,0,m3sq) + 304*m1**6*m3**4*m4**6*B0fin(0,0,m3sq) - 468*m1**4*m3**6*m4**6*B0fin(0,0,m3sq) - 144*m1sq*m3**8*m4**6*B0fin(0,0,m3sq) + 2*m3**10*m4**6*B0fin(0,0,m3sq) + 306*m1**8*m3sq*m4**6*B0fin(0,0,m3sq) + 198*m1sq*m3**6*m4**8*B0fin(0,0,m3sq) + 20*m3**8*m4**8*B0fin(0,0,m3sq) - 218*m1**6*m3sq*m4**8*B0fin(0,0,m3sq) - 38*m1sq*m3**4*m4**10*B0fin(0,0,m3sq) - 24*m3**6*m4**10*B0fin(0,0,m3sq) + 62*m1**4*m3sq*m4**10*B0fin(0,0,m3sq) + 6*m3**4*m4**12*B0fin(0,0,m3sq) - 6*m1sq*m3sq*m4**12*B0fin(0,0,m3sq) + 288*m1**10*m3**4*m4sq*B0fin(0,0,m3sq) - 704*m1**8*m3**6*m4sq*B0fin(0,0,m3sq) + 448*m1**6*m3**8*m4sq*B0fin(0,0,m3sq) - 96*m1**4*m3**10*m4sq*B0fin(0,0,m3sq) + 32*m1sq*m3**12*m4sq*B0fin(0,0,m3sq) + 32*m1**12*m3sq*m4sq*B0fin(0,0,m3sq) - 528*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 144*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 240*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 32*m1sq*m3**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 80*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 492*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 276*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 84*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 4*m3**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 168*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 183*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 75*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 9*m3**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 117*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 26*m1sq*m3**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 6*m3**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**4*m3sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - m3**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 3*m1sq*m3sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 320*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 576*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 192*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 64*m1**4*m3**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 32*m1**12*m3**4*B0fin(0,0,m3sq)**2 - 128*m1**10*m3**6*B0fin(0,0,m3sq)**2 + 192*m1**8*m3**8*B0fin(0,0,m3sq)**2 - 128*m1**6*m3**10*B0fin(0,0,m3sq)**2 + 32*m1**4*m3**12*B0fin(0,0,m3sq)**2 + 258*m1**8*m3**4*m4**4*B0fin(0,0,m3sq)**2 + 56*m1**6*m3**6*m4**4*B0fin(0,0,m3sq)**2 + 140*m1**4*m3**8*m4**4*B0fin(0,0,m3sq)**2 + 56*m1sq*m3**10*m4**4*B0fin(0,0,m3sq)**2 + 2*m3**12*m4**4*B0fin(0,0,m3sq)**2 - 232*m1**6*m3**4*m4**6*B0fin(0,0,m3sq)**2 - 184*m1**4*m3**6*m4**6*B0fin(0,0,m3sq)**2 - 88*m1sq*m3**8*m4**6*B0fin(0,0,m3sq)**2 - 8*m3**10*m4**6*B0fin(0,0,m3sq)**2 + 108*m1**4*m3**4*m4**8*B0fin(0,0,m3sq)**2 + 72*m1sq*m3**6*m4**8*B0fin(0,0,m3sq)**2 + 12*m3**8*m4**8*B0fin(0,0,m3sq)**2 - 24*m1sq*m3**4*m4**10*B0fin(0,0,m3sq)**2 - 8*m3**6*m4**10*B0fin(0,0,m3sq)**2 + 2*m3**4*m4**12*B0fin(0,0,m3sq)**2 - 144*m1**10*m3**4*m4sq*B0fin(0,0,m3sq)**2 + 192*m1**8*m3**6*m4sq*B0fin(0,0,m3sq)**2 + 32*m1**6*m3**8*m4sq*B0fin(0,0,m3sq)**2 - 64*m1**4*m3**10*m4sq*B0fin(0,0,m3sq)**2 - 16*m1sq*m3**12*m4sq*B0fin(0,0,m3sq)**2 - 352*m1**10*m3**4*m4*B0fin(0,0,m4) + 448*m1**8*m3**6*m4*B0fin(0,0,m4) - 192*m1**6*m3**8*m4*B0fin(0,0,m4) - 32*m1**4*m3**10*m4*B0fin(0,0,m4) + 32*m1sq*m3**12*m4*B0fin(0,0,m4) + 96*m1**12*m3sq*m4*B0fin(0,0,m4) - 40*m1**12*m4**3*B0fin(0,0,m4) + 456*m1**8*m3**4*m4**3*B0fin(0,0,m4) - 416*m1**6*m3**6*m4**3*B0fin(0,0,m4) + 360*m1**4*m3**8*m4**3*B0fin(0,0,m4) - 176*m1sq*m3**10*m4**3*B0fin(0,0,m4) - 8*m3**12*m4**3*B0fin(0,0,m4) - 176*m1**10*m3sq*m4**3*B0fin(0,0,m4) + 154*m1**10*m4**5*B0fin(0,0,m4) - 188*m1**6*m3**4*m4**5*B0fin(0,0,m4) - 308*m1**4*m3**6*m4**5*B0fin(0,0,m4) + 258*m1sq*m3**8*m4**5*B0fin(0,0,m4) + 46*m3**10*m4**5*B0fin(0,0,m4) + 38*m1**8*m3sq*m4**5*B0fin(0,0,m4) - 204*m1**8*m4**7*B0fin(0,0,m4) + 352*m1**4*m3**4*m4**7*B0fin(0,0,m4) - 152*m1sq*m3**6*m4**7*B0fin(0,0,m4) - 84*m3**8*m4**7*B0fin(0,0,m4) + 88*m1**6*m3sq*m4**7*B0fin(0,0,m4) + 106*m1**6*m4**9*B0fin(0,0,m4) - 18*m1sq*m3**4*m4**9*B0fin(0,0,m4) + 62*m3**6*m4**9*B0fin(0,0,m4) - 150*m1**4*m3sq*m4**9*B0fin(0,0,m4) - 16*m1**4*m4**11*B0fin(0,0,m4) - 16*m3**4*m4**11*B0fin(0,0,m4) + 32*m1sq*m3sq*m4**11*B0fin(0,0,m4) + 6*m1**12*m4**4*B0fin(0,0,m4sq) + 16*m1**8*m3**4*m4**4*B0fin(0,0,m4sq) - 68*m1**6*m3**6*m4**4*B0fin(0,0,m4sq) + 6*m1**4*m3**8*m4**4*B0fin(0,0,m4sq) + 22*m1sq*m3**10*m4**4*B0fin(0,0,m4sq) + 4*m3**12*m4**4*B0fin(0,0,m4sq) + 14*m1**10*m3sq*m4**4*B0fin(0,0,m4sq) - 45*m1**10*m4**6*B0fin(0,0,m4sq) + 46*m1**6*m3**4*m4**6*B0fin(0,0,m4sq) + 114*m1**4*m3**6*m4**6*B0fin(0,0,m4sq) - 81*m1sq*m3**8*m4**6*B0fin(0,0,m4sq) - 19*m3**10*m4**6*B0fin(0,0,m4sq) - 15*m1**8*m3sq*m4**6*B0fin(0,0,m4sq) + 81*m1**8*m4**8*B0fin(0,0,m4sq) - 162*m1**4*m3**4*m4**8*B0fin(0,0,m4sq) + 60*m1sq*m3**6*m4**8*B0fin(0,0,m4sq) + 41*m3**8*m4**8*B0fin(0,0,m4sq) - 20*m1**6*m3sq*m4**8*B0fin(0,0,m4sq) - 51*m1**6*m4**10*B0fin(0,0,m4sq) + 19*m1sq*m3**4*m4**10*B0fin(0,0,m4sq) - 35*m3**6*m4**10*B0fin(0,0,m4sq) + 67*m1**4*m3sq*m4**10*B0fin(0,0,m4sq) + 9*m1**4*m4**12*B0fin(0,0,m4sq) + 9*m3**4*m4**12*B0fin(0,0,m4sq) - 18*m1sq*m3sq*m4**12*B0fin(0,0,m4sq) - 40*m1**10*m3**4*m4sq*B0fin(0,0,m4sq) + 80*m1**8*m3**6*m4sq*B0fin(0,0,m4sq) - 80*m1**6*m3**8*m4sq*B0fin(0,0,m4sq) + 40*m1**4*m3**10*m4sq*B0fin(0,0,m4sq) - 8*m1sq*m3**12*m4sq*B0fin(0,0,m4sq) + 8*m1**12*m3sq*m4sq*B0fin(0,0,m4sq) - 22*m1**12*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 340*m1**8*m3**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 372*m1**6*m3**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 290*m1**4*m3**8*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1sq*m3**10*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 242*m1**10*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 70*m1**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 24*m1**6*m3**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 228*m1**4*m3**6*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 46*m1sq*m3**8*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m3**10*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 232*m1**8*m3sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 78*m1**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 129*m1**4*m3**4*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 51*m1sq*m3**6*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 9*m3**8*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 111*m1**6*m3sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 34*m1**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 22*m1sq*m3**4*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m3**6*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**4*m3sq*m4**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m3**4*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 3*m1sq*m3sq*m4**12*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 152*m1**10*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 80*m1**8*m3**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 272*m1**6*m3**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 136*m1**4*m3**10*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1sq*m3**12*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 88*m1**12*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 112*m1**8*m3**4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 80*m1**6*m3**6*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 80*m1**4*m3**8*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 80*m1sq*m3**10*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 192*m1**10*m3sq*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 68*m1**6*m3**4*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 112*m1**4*m3**6*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 124*m1sq*m3**8*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 10*m3**10*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 314*m1**8*m3sq*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 89*m1**4*m3**4*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 95*m1sq*m3**6*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 19*m3**8*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 203*m1**6*m3sq*m4**8*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 40*m1sq*m3**4*m4**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 14*m3**6*m4**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 54*m1**4*m3sq*m4**10*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 5*m3**4*m4**12*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 5*m1sq*m3sq*m4**12*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 64*m1**10*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 384*m1**8*m3**6*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 448*m1**6*m3**8*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 160*m1**4*m3**10*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) - 32*m1**12*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq) + 88*m1**10*m3**4*T134fin(m4,m1,m1) - 112*m1**8*m3**6*T134fin(m4,m1,m1) + 48*m1**6*m3**8*T134fin(m4,m1,m1) + 8*m1**4*m3**10*T134fin(m4,m1,m1) - 8*m1sq*m3**12*T134fin(m4,m1,m1) - 24*m1**12*m3sq*T134fin(m4,m1,m1) - 30*m1**10*m4**4*T134fin(m4,m1,m1) - 36*m1**6*m3**4*m4**4*T134fin(m4,m1,m1) - 96*m1**4*m3**6*m4**4*T134fin(m4,m1,m1) - 142*m1sq*m3**8*m4**4*T134fin(m4,m1,m1) - 4*m3**10*m4**4*T134fin(m4,m1,m1) - 204*m1**8*m3sq*m4**4*T134fin(m4,m1,m1) + 61*m1**8*m4**6*T134fin(m4,m1,m1) + 234*m1**4*m3**4*m4**6*T134fin(m4,m1,m1) + 192*m1sq*m3**6*m4**6*T134fin(m4,m1,m1) + 17*m3**8*m4**6*T134fin(m4,m1,m1) + 264*m1**6*m3sq*m4**6*T134fin(m4,m1,m1) - 64*m1**6*m4**8*T134fin(m4,m1,m1) - 160*m1sq*m3**4*m4**8*T134fin(m4,m1,m1) - 28*m3**6*m4**8*T134fin(m4,m1,m1) - 196*m1**4*m3sq*m4**8*T134fin(m4,m1,m1) + 36*m1**4*m4**10*T134fin(m4,m1,m1) + 22*m3**4*m4**10*T134fin(m4,m1,m1) + 70*m1sq*m3sq*m4**10*T134fin(m4,m1,m1) - 10*m1sq*m4**12*T134fin(m4,m1,m1) - 8*m3sq*m4**12*T134fin(m4,m1,m1) + m4**14*T134fin(m4,m1,m1) + 6*m1**12*m4sq*T134fin(m4,m1,m1) - 132*m1**8*m3**4*m4sq*T134fin(m4,m1,m1) + 4*m1**6*m3**6*m4sq*T134fin(m4,m1,m1) - 34*m1**4*m3**8*m4sq*T134fin(m4,m1,m1) + 58*m1sq*m3**10*m4sq*T134fin(m4,m1,m1) + 98*m1**10*m3sq*m4sq*T134fin(m4,m1,m1) + 32*m1**10*m4**4*T134fin(m4,m3,m1) + 32*m1**6*m3**4*m4**4*T134fin(m4,m3,m1) + 384*m1**4*m3**6*m4**4*T134fin(m4,m3,m1) + 128*m1sq*m3**8*m4**4*T134fin(m4,m3,m1) + 448*m1**8*m3sq*m4**4*T134fin(m4,m3,m1) - 112*m1**8*m4**6*T134fin(m4,m3,m1) - 528*m1**4*m3**4*m4**6*T134fin(m4,m3,m1) - 264*m1sq*m3**6*m4**6*T134fin(m4,m3,m1) - 16*m3**8*m4**6*T134fin(m4,m3,m1) - 616*m1**6*m3sq*m4**6*T134fin(m4,m3,m1) + 146*m1**6*m4**8*T134fin(m4,m3,m1) + 258*m1sq*m3**4*m4**8*T134fin(m4,m3,m1) + 36*m3**6*m4**8*T134fin(m4,m3,m1) + 456*m1**4*m3sq*m4**8*T134fin(m4,m3,m1) - 86*m1**4*m4**10*T134fin(m4,m3,m1) - 32*m3**4*m4**10*T134fin(m4,m3,m1) - 138*m1sq*m3sq*m4**10*T134fin(m4,m3,m1) + 22*m1sq*m4**12*T134fin(m4,m3,m1) + 14*m3sq*m4**12*T134fin(m4,m3,m1) - 2*m4**14*T134fin(m4,m3,m1) + 384*m1**6*m3**6*m4sq*T134fin(m4,m3,m1) - 256*m1**4*m3**8*m4sq*T134fin(m4,m3,m1) - 128*m1**10*m3sq*m4sq*T134fin(m4,m3,m1) + 128*m1**10*m3**4*T134fin(m4,m3,m3) - 192*m1**8*m3**6*T134fin(m4,m3,m3) + 128*m1**6*m3**8*T134fin(m4,m3,m3) - 32*m1**4*m3**10*T134fin(m4,m3,m3) - 32*m1**12*m3sq*T134fin(m4,m3,m3) - 72*m1**10*m4**4*T134fin(m4,m3,m3) - 40*m1**6*m3**4*m4**4*T134fin(m4,m3,m3) - 172*m1**4*m3**6*m4**4*T134fin(m4,m3,m3) - 64*m1sq*m3**8*m4**4*T134fin(m4,m3,m3) - 2*m3**10*m4**4*T134fin(m4,m3,m3) - 162*m1**8*m3sq*m4**4*T134fin(m4,m3,m3) + 129*m1**8*m4**6*T134fin(m4,m3,m3) + 254*m1**4*m3**4*m4**6*T134fin(m4,m3,m3) + 116*m1sq*m3**6*m4**6*T134fin(m4,m3,m3) + 9*m3**8*m4**6*T134fin(m4,m3,m3) + 260*m1**6*m3sq*m4**6*T134fin(m4,m3,m3) - 116*m1**6*m4**8*T134fin(m4,m3,m3) - 116*m1sq*m3**4*m4**8*T134fin(m4,m3,m3) - 16*m3**6*m4**8*T134fin(m4,m3,m3) - 200*m1**4*m3sq*m4**8*T134fin(m4,m3,m3) + 54*m1**4*m4**10*T134fin(m4,m3,m3) + 14*m3**4*m4**10*T134fin(m4,m3,m3) + 60*m1sq*m3sq*m4**10*T134fin(m4,m3,m3) - 12*m1sq*m4**12*T134fin(m4,m3,m3) - 6*m3sq*m4**12*T134fin(m4,m3,m3) + m4**14*T134fin(m4,m3,m3) + 16*m1**12*m4sq*T134fin(m4,m3,m3) - 96*m1**8*m3**4*m4sq*T134fin(m4,m3,m3) - 96*m1**6*m3**6*m4sq*T134fin(m4,m3,m3) + 80*m1**4*m3**8*m4sq*T134fin(m4,m3,m3) + 16*m1sq*m3**10*m4sq*T134fin(m4,m3,m3) + 80*m1**10*m3sq*m4sq*T134fin(m4,m3,m3))/((m1sq - m3sq)**3*(m1 + m3 - m4)**2*m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq))
		def eval_140():
			return (64*m1**14*m3**3 - 376*m1**13*m3**4 + 80*m1**14*m3**4 - 300*m1**12*m3**5 + 624*m1**11*m3**6 - 60*m1**12*m3**6 + 234*m1**10*m3**7 - 260*m1**9*m3**8 + 56*m1**10*m3**8 + 568*m1**8*m3**9 - 136*m1**7*m3**10 - 448*m1**8*m3**10 - 1068*m1**6*m3**11 + 24*m1**5*m3**12 + 744*m1**6*m3**12 + 612*m1**4*m3**13 + 88*m1**3*m3**14 - 436*m1**4*m3**14 - 110*m1sq*m3**15 - 28*m1*m3**16 + 80*m1sq*m3**16 + 64*m1**15*m3sq - 16*m1**16*m3sq - 8*m1**12*m3**4*m7 - 543*m1**10*m3**6*m7 + 1744*m1**8*m3**8*m7 - 2162*m1**6*m3**10*m7 + 1236*m1**4*m3**12*m7 - 311*m1sq*m3**14*m7 + 28*m3**16*m7 + 16*m1**14*m3sq*m7 + 656*m1**10*m3**4*m7**3 - 1366*m1**8*m3**6*m7**3 + 1238*m1**6*m3**8*m7**3 - 530*m1**4*m3**10*m7**3 + 106*m1sq*m3**12*m7**3 - 8*m3**14*m7**3 - 96*m1**12*m3sq*m7**3 + 64*m1**13*m7**4 - 16*m1**14*m7**4 + 32*m1**12*m3*m7**4 + 308*m1**10*m3**3*m7**4 - 992*m1**9*m3**4*m7**4 + 236*m1**10*m3**4*m7**4 - 876*m1**8*m3**5*m7**4 + 1643*m1**7*m3**6*m7**4 - 183*m1**8*m3**6*m7**4 + 1367*m1**6*m3**7*m7**4 - 1798*m1**5*m3**8*m7**4 + 29*m1**6*m3**8*m7**4 - 1182*m1**4*m3**9*m7**4 + 1299*m1**3*m3**10*m7**4 + 55*m1**4*m3**10*m7**4 + 707*m1sq*m3**11*m7**4 - 416*m1*m3**12*m7**4 - 269*m1sq*m3**12*m7**4 - 212*m3**13*m7**4 + 132*m3**14*m7**4 + 56*m1**11*m3sq*m7**4 + 16*m1**12*m3sq*m7**4 - 520*m1**8*m3**4*m7**5 + 965*m1**6*m3**6*m7**5 - 710*m1**4*m3**8*m7**5 + 205*m1sq*m3**10*m7**5 - 20*m3**12*m7**5 + 80*m1**10*m3sq*m7**5 - 96*m1**11*m7**6 + 24*m1**12*m7**6 - 48*m1**10*m3*m7**6 - 182*m1**8*m3**3*m7**6 + 352*m1**7*m3**4*m7**6 - 86*m1**8*m3**4*m7**6 + 104*m1**6*m3**5*m7**6 + 258*m1**5*m3**6*m7**6 - 479*m1**6*m3**6*m7**6 + 66*m1**4*m3**7*m7**6 - 728*m1**3*m3**8*m7**6 + 758*m1**4*m3**8*m7**6 - 304*m1sq*m3**9*m7**6 + 314*m1*m3**10*m7**6 - 85*m1sq*m3**10*m7**6 + 148*m3**11*m7**6 - 76*m3**12*m7**6 + 116*m1**9*m3sq*m7**6 - 56*m1**10*m3sq*m7**6 + 64*m1**9*m7**8 - 16*m1**10*m7**8 + 32*m1**8*m3*m7**8 + 52*m1**6*m3**3*m7**8 - 216*m1**5*m3**4*m7**8 + 188*m1**6*m3**4*m7**8 - 72*m1**4*m3**5*m7**8 + 323*m1**3*m3**6*m7**8 - 245*m1**4*m3**6*m7**8 + 121*m1sq*m3**7*m7**8 - 116*m1*m3**8*m7**8 + 13*m1sq*m3**8*m7**8 - 52*m3**9*m7**8 + 28*m3**10*m7**8 - 136*m1**7*m3sq*m7**8 + 32*m1**8*m3sq*m7**8 - 16*m1**7*m7**10 + 4*m1**8*m7**10 - 8*m1**6*m3*m7**10 + 7*m1**4*m3**3*m7**10 - 52*m1**3*m3**4*m7**10 + 15*m1**4*m3**4*m7**10 - 14*m1sq*m3**5*m7**10 + 15*m1*m3**6*m7**10 + 5*m1sq*m3**6*m7**10 + 6*m3**7*m7**10 - 4*m3**8*m7**10 + 62*m1**5*m3sq*m7**10 - 20*m1**6*m3sq*m7**10 - 16*m1**15*m7sq + 4*m1**16*m7sq - 8*m1**14*m3*m7sq - 249*m1**12*m3**3*m7sq + 1156*m1**11*m3**4*m7sq - 433*m1**12*m3**4*m7sq + 1158*m1**10*m3**5*m7sq - 1919*m1**9*m3**6*m7sq + 962*m1**10*m3**6*m7sq - 1794*m1**8*m3**7*m7sq + 630*m1**7*m3**8*m7sq - 852*m1**8*m3**8*m7sq + 970*m1**6*m3**9*m7sq + 1010*m1**5*m3**10*m7sq + 450*m1**6*m3**10*m7sq + 213*m1**4*m3**11*m7sq - 930*m1**3*m3**12*m7sq - 399*m1**4*m3**12*m7sq - 400*m1sq*m3**13*m7sq + 231*m1*m3**14*m7sq + 304*m1sq*m3**14*m7sq + 110*m3**15*m7sq - 80*m3**16*m7sq - 162*m1**13*m3sq*m7sq + 44*m1**14*m3sq*m7sq + m1sq*(4*m3sq - m7sq)*(12*m1**14 - 24*m1**12*(3*m3sq + 2*m7sq) - 2*m1**8*(51*m3**6 + 120*m3sq*m7**4 + 24*m7**6 + 160*m3**4*m7sq) - m1**4*m3sq*(3*m3**8 + 205*m3**4*m7**4 + 16*m3sq*m7**6 + 40*m7**8 - 94*m3**6*m7sq) + m1sq*m3**4*(9*m3**8 + 107*m3**4*m7**4 - 43*m3sq*m7**6 + 26*m7**8 - 91*m3**6*m7sq) + m3**6*(-3*m3**8 - 38*m3**4*m7**4 + 24*m3sq*m7**6 - 7*m7**8 + 24*m3**6*m7sq) + m1**6*(21*m3**8 + 268*m3**4*m7**4 + 128*m3sq*m7**6 + 12*m7**8 + 117*m3**6*m7sq) + 2*m1**10*(69*m3**4 + 36*m7**4 + 112*m3sq*m7sq))*B0del(0,0,m1sq) - m3sq*(m1sq - m7sq)*(m1**12*(-56*m3sq + 6*m7sq) - m1**8*(438*m3**6 + 148*m3sq*m7**4 - 18*m7**6 + 611*m3**4*m7sq) + m1**4*m3sq*(288*m3**8 - 10*m3**4*m7**4 - 37*m3sq*m7**6 - 4*m7**8 - 611*m3**6*m7sq) - m1sq*m3**4*(228*m3**8 + 81*m3**4*m7**4 - 35*m3sq*m7**6 + m7**8 - 299*m3**6*m7sq) + 2*m3**6*(23*m3**8 + 28*m3**4*m7**4 - 10*m3sq*m7**6 + m7**8 - 42*m3**6*m7sq) + m1**6*(100*m3**8 + 57*m3**4*m7**4 + 76*m3sq*m7**6 - 6*m7**8 + 837*m3**6*m7sq) + 2*m1**10*(144*m3**4 - 9*m7**4 + 82*m3sq*m7sq))*B0del(0,0,m3sq) + 536*m1**10*m3**4*m7**4*B0del(0,0,m7sq) - 1069*m1**8*m3**6*m7**4*B0del(0,0,m7sq) + 903*m1**6*m3**8*m7**4*B0del(0,0,m7sq) - 347*m1**4*m3**10*m7**4*B0del(0,0,m7sq) + 61*m1sq*m3**12*m7**4*B0del(0,0,m7sq) - 4*m3**14*m7**4*B0del(0,0,m7sq) - 80*m1**12*m3sq*m7**4*B0del(0,0,m7sq) - 456*m1**8*m3**4*m7**6*B0del(0,0,m7sq) + 613*m1**6*m3**6*m7**6*B0del(0,0,m7sq) - 290*m1**4*m3**8*m7**6*B0del(0,0,m7sq) + 57*m1sq*m3**10*m7**6*B0del(0,0,m7sq) - 4*m3**12*m7**6*B0del(0,0,m7sq) + 80*m1**10*m3sq*m7**6*B0del(0,0,m7sq) + 88*m1**6*m3**4*m7**8*B0del(0,0,m7sq) - 105*m1**4*m3**6*m7**8*B0del(0,0,m7sq) + 37*m1sq*m3**8*m7**8*B0del(0,0,m7sq) - 4*m3**10*m7**8*B0del(0,0,m7sq) - 16*m1**8*m3sq*m7**8*B0del(0,0,m7sq) - 72*m1**12*m3**4*m7sq*B0del(0,0,m7sq) - 63*m1**10*m3**6*m7sq*B0del(0,0,m7sq) + 556*m1**8*m3**8*m7sq*B0del(0,0,m7sq) - 822*m1**6*m3**10*m7sq*B0del(0,0,m7sq) + 504*m1**4*m3**12*m7sq*B0del(0,0,m7sq) - 131*m1sq*m3**14*m7sq*B0del(0,0,m7sq) + 12*m3**16*m7sq*B0del(0,0,m7sq) + 16*m1**14*m3sq*m7sq*B0del(0,0,m7sq) - 400*m1**13*m3**4*B0fin(0,0,m1) + 960*m1**11*m3**6*B0fin(0,0,m1) - 1112*m1**9*m3**8*B0fin(0,0,m1) + 608*m1**7*m3**10*B0fin(0,0,m1) - 96*m1**5*m3**12*B0fin(0,0,m1) - 32*m1**3*m3**14*B0fin(0,0,m1) + 8*m1*m3**16*B0fin(0,0,m1) + 64*m1**15*m3sq*B0fin(0,0,m1) + 64*m1**13*m7**4*B0fin(0,0,m1) - 576*m1**9*m3**4*m7**4*B0fin(0,0,m1) + 534*m1**7*m3**6*m7**4*B0fin(0,0,m1) - 60*m1**5*m3**8*m7**4*B0fin(0,0,m1) - 522*m1**3*m3**10*m7**4*B0fin(0,0,m1) + 128*m1*m3**12*m7**4*B0fin(0,0,m1) + 144*m1**11*m3sq*m7**4*B0fin(0,0,m1) - 96*m1**11*m7**6*B0fin(0,0,m1) + 272*m1**7*m3**4*m7**6*B0fin(0,0,m1) + 48*m1**5*m3**6*m7**6*B0fin(0,0,m1) + 340*m1**3*m3**8*m7**6*B0fin(0,0,m1) - 92*m1*m3**10*m7**6*B0fin(0,0,m1) - 40*m1**9*m3sq*m7**6*B0fin(0,0,m1) + 64*m1**9*m7**8*B0fin(0,0,m1) - 144*m1**5*m3**4*m7**8*B0fin(0,0,m1) - 58*m1**3*m3**6*m7**8*B0fin(0,0,m1) + 24*m1*m3**8*m7**8*B0fin(0,0,m1) - 48*m1**7*m3sq*m7**8*B0fin(0,0,m1) - 16*m1**7*m7**10*B0fin(0,0,m1) - 2*m1*m3**6*m7**10*B0fin(0,0,m1) + 36*m1**5*m3sq*m7**10*B0fin(0,0,m1) - 16*m1**15*m7sq*B0fin(0,0,m1) + 720*m1**11*m3**4*m7sq*B0fin(0,0,m1) - 874*m1**9*m3**6*m7sq*B0fin(0,0,m1) + 528*m1**7*m3**8*m7sq*B0fin(0,0,m1) - 504*m1**5*m3**10*m7sq*B0fin(0,0,m1) + 368*m1**3*m3**12*m7sq*B0fin(0,0,m1) - 66*m1*m3**14*m7sq*B0fin(0,0,m1) - 156*m1**13*m3sq*m7sq*B0fin(0,0,m1) + 64*m1**14*m3**4*B0fin(0,0,m1sq) - 12*m1**12*m3**6*B0fin(0,0,m1sq) - 448*m1**10*m3**8*B0fin(0,0,m1sq) + 1084*m1**8*m3**10*B0fin(0,0,m1sq) - 1068*m1**6*m3**12*B0fin(0,0,m1sq) + 464*m1**4*m3**14*B0fin(0,0,m1sq) - 68*m1sq*m3**16*B0fin(0,0,m1sq) - 16*m1**16*m3sq*B0fin(0,0,m1sq) - 16*m1**14*m7**4*B0fin(0,0,m1sq) + 52*m1**10*m3**4*m7**4*B0fin(0,0,m1sq) + 92*m1**8*m3**6*m7**4*B0fin(0,0,m1sq) - 1663*m1**6*m3**8*m7**4*B0fin(0,0,m1sq) + 2122*m1**4*m3**10*m7**4*B0fin(0,0,m1sq) - 311*m1sq*m3**12*m7**4*B0fin(0,0,m1sq) - 52*m3**14*m7**4*B0fin(0,0,m1sq) - 80*m1**12*m3sq*m7**4*B0fin(0,0,m1sq) + 24*m1**12*m7**6*B0fin(0,0,m1sq) - 6*m1**8*m3**4*m7**6*B0fin(0,0,m1sq) + 810*m1**6*m3**6*m7**6*B0fin(0,0,m1sq) - 1251*m1**4*m3**8*m7**6*B0fin(0,0,m1sq) + 99*m1sq*m3**10*m7**6*B0fin(0,0,m1sq) + 60*m3**12*m7**6*B0fin(0,0,m1sq) + 48*m1**10*m3sq*m7**6*B0fin(0,0,m1sq) - 16*m1**10*m7**8*B0fin(0,0,m1sq) - 140*m1**6*m3**4*m7**8*B0fin(0,0,m1sq) + 226*m1**4*m3**6*m7**8*B0fin(0,0,m1sq) + 39*m1sq*m3**8*m7**8*B0fin(0,0,m1sq) - 28*m3**10*m7**8*B0fin(0,0,m1sq) + 4*m1**8*m7**10*B0fin(0,0,m1sq) - 5*m1**4*m3**4*m7**10*B0fin(0,0,m1sq) - 12*m1sq*m3**6*m7**10*B0fin(0,0,m1sq) + 4*m3**8*m7**10*B0fin(0,0,m1sq) + 4*m1**16*m7sq*B0fin(0,0,m1sq) - 61*m1**12*m3**4*m7sq*B0fin(0,0,m1sq) + 160*m1**10*m3**6*m7sq*B0fin(0,0,m1sq) - 1567*m1**8*m3**8*m7sq*B0fin(0,0,m1sq) + 2919*m1**6*m3**10*m7sq*B0fin(0,0,m1sq) - 1772*m1**4*m3**12*m7sq*B0fin(0,0,m1sq) + 253*m1sq*m3**14*m7sq*B0fin(0,0,m1sq) + 16*m3**16*m7sq*B0fin(0,0,m1sq) + 48*m1**14*m3sq*m7sq*B0fin(0,0,m1sq) - 188*m1**14*m3**4*B0fin(0,0,m1sq)**2 + 492*m1**12*m3**6*B0fin(0,0,m1sq)**2 - 552*m1**10*m3**8*B0fin(0,0,m1sq)**2 + 208*m1**8*m3**10*B0fin(0,0,m1sq)**2 + 84*m1**6*m3**12*B0fin(0,0,m1sq)**2 - 84*m1**4*m3**14*B0fin(0,0,m1sq)**2 + 16*m1sq*m3**16*B0fin(0,0,m1sq)**2 + 24*m1**16*m3sq*B0fin(0,0,m1sq)**2 + 24*m1**14*m7**4*B0fin(0,0,m1sq)**2 - 408*m1**10*m3**4*m7**4*B0fin(0,0,m1sq)**2 - 192*m1**8*m3**6*m7**4*B0fin(0,0,m1sq)**2 - 624*m1**6*m3**8*m7**4*B0fin(0,0,m1sq)**2 - 92*m1**4*m3**10*m7**4*B0fin(0,0,m1sq)**2 + 112*m1sq*m3**12*m7**4*B0fin(0,0,m1sq)**2 + 28*m1**12*m3sq*m7**4*B0fin(0,0,m1sq)**2 - 36*m1**12*m7**6*B0fin(0,0,m1sq)**2 + 358*m1**8*m3**4*m7**6*B0fin(0,0,m1sq)**2 + 582*m1**6*m3**6*m7**6*B0fin(0,0,m1sq)**2 + 30*m1**4*m3**8*m7**6*B0fin(0,0,m1sq)**2 - 88*m1sq*m3**10*m7**6*B0fin(0,0,m1sq)**2 + 18*m1**10*m3sq*m7**6*B0fin(0,0,m1sq)**2 + 24*m1**10*m7**8*B0fin(0,0,m1sq)**2 - 204*m1**6*m3**4*m7**8*B0fin(0,0,m1sq)**2 - 24*m1**4*m3**6*m7**8*B0fin(0,0,m1sq)**2 + 32*m1sq*m3**8*m7**8*B0fin(0,0,m1sq)**2 - 44*m1**8*m3sq*m7**8*B0fin(0,0,m1sq)**2 - 6*m1**8*m7**10*B0fin(0,0,m1sq)**2 + 5*m1**4*m3**4*m7**10*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**6*m7**10*B0fin(0,0,m1sq)**2 + 23*m1**6*m3sq*m7**10*B0fin(0,0,m1sq)**2 - 6*m1**16*m7sq*B0fin(0,0,m1sq)**2 + 341*m1**12*m3**4*m7sq*B0fin(0,0,m1sq)**2 - 54*m1**10*m3**6*m7sq*B0fin(0,0,m1sq)**2 - 660*m1**8*m3**8*m7sq*B0fin(0,0,m1sq)**2 + 331*m1**6*m3**10*m7sq*B0fin(0,0,m1sq)**2 + 165*m1**4*m3**12*m7sq*B0fin(0,0,m1sq)**2 - 68*m1sq*m3**14*m7sq*B0fin(0,0,m1sq)**2 - 49*m1**14*m3sq*m7sq*B0fin(0,0,m1sq)**2 + 96*m1**14*m3**3*B0fin(0,0,m3) - 552*m1**12*m3**5*B0fin(0,0,m3) + 1284*m1**10*m3**7*B0fin(0,0,m3) - 1536*m1**8*m3**9*B0fin(0,0,m3) + 984*m1**6*m3**11*B0fin(0,0,m3) - 312*m1**4*m3**13*B0fin(0,0,m3) + 36*m1sq*m3**15*B0fin(0,0,m3) + 32*m1**12*m3*m7**4*B0fin(0,0,m3) + 632*m1**10*m3**3*m7**4*B0fin(0,0,m3) - 920*m1**8*m3**5*m7**4*B0fin(0,0,m3) + 654*m1**6*m3**7*m7**4*B0fin(0,0,m3) + 244*m1**4*m3**9*m7**4*B0fin(0,0,m3) - 442*m1sq*m3**11*m7**4*B0fin(0,0,m3) + 88*m3**13*m7**4*B0fin(0,0,m3) - 48*m1**10*m3*m7**6*B0fin(0,0,m3) - 532*m1**8*m3**3*m7**6*B0fin(0,0,m3) + 168*m1**6*m3**5*m7**6*B0fin(0,0,m3) - 312*m1**4*m3**7*m7**6*B0fin(0,0,m3) + 364*m1sq*m3**9*m7**6*B0fin(0,0,m3) - 72*m3**11*m7**6*B0fin(0,0,m3) + 32*m1**8*m3*m7**8*B0fin(0,0,m3) + 216*m1**6*m3**3*m7**8*B0fin(0,0,m3) - 110*m1sq*m3**7*m7**8*B0fin(0,0,m3) + 24*m3**9*m7**8*B0fin(0,0,m3) - 8*m1**6*m3*m7**10*B0fin(0,0,m3) - 30*m1**4*m3**3*m7**10*B0fin(0,0,m3) + 24*m1sq*m3**5*m7**10*B0fin(0,0,m3) - 4*m3**7*m7**10*B0fin(0,0,m3) - 8*m1**14*m3*m7sq*B0fin(0,0,m3) - 382*m1**12*m3**3*m7sq*B0fin(0,0,m3) + 1280*m1**10*m3**5*m7sq*B0fin(0,0,m3) - 1512*m1**8*m3**7*m7sq*B0fin(0,0,m3) + 904*m1**6*m3**9*m7sq*B0fin(0,0,m3) - 470*m1**4*m3**11*m7sq*B0fin(0,0,m3) + 224*m1sq*m3**13*m7sq*B0fin(0,0,m3) - 36*m3**15*m7sq*B0fin(0,0,m3) + 8*m1**14*m3**4*B0fin(0,0,m3sq) - 132*m1**12*m3**6*B0fin(0,0,m3sq) + 306*m1**10*m3**8*B0fin(0,0,m3sq) - 172*m1**8*m3**10*B0fin(0,0,m3sq) - 120*m1**6*m3**12*B0fin(0,0,m3sq) + 144*m1**4*m3**14*B0fin(0,0,m3sq) - 34*m1sq*m3**16*B0fin(0,0,m3sq) - 420*m1**10*m3**4*m7**4*B0fin(0,0,m3sq) + 23*m1**8*m3**6*m7**4*B0fin(0,0,m3sq) + 604*m1**6*m3**8*m7**4*B0fin(0,0,m3sq) - 401*m1**4*m3**10*m7**4*B0fin(0,0,m3sq) + 74*m1sq*m3**12*m7**4*B0fin(0,0,m3sq) - 48*m3**14*m7**4*B0fin(0,0,m3sq) + 24*m1**12*m3sq*m7**4*B0fin(0,0,m3sq) + 446*m1**8*m3**4*m7**6*B0fin(0,0,m3sq) - 155*m1**6*m3**6*m7**6*B0fin(0,0,m3sq) - 213*m1**4*m3**8*m7**6*B0fin(0,0,m3sq) + 130*m1sq*m3**10*m7**6*B0fin(0,0,m3sq) + 20*m3**12*m7**6*B0fin(0,0,m3sq) - 12*m1**10*m3sq*m7**6*B0fin(0,0,m3sq) - 172*m1**6*m3**4*m7**8*B0fin(0,0,m3sq) + 153*m1**4*m3**6*m7**8*B0fin(0,0,m3sq) - 46*m1sq*m3**8*m7**8*B0fin(0,0,m3sq) - 8*m3**10*m7**8*B0fin(0,0,m3sq) - 8*m1**8*m3sq*m7**8*B0fin(0,0,m3sq) + 5*m1**4*m3**4*m7**10*B0fin(0,0,m3sq) - 4*m1sq*m3**6*m7**10*B0fin(0,0,m3sq) + 2*m3**8*m7**10*B0fin(0,0,m3sq) + 6*m1**6*m3sq*m7**10*B0fin(0,0,m3sq) + 133*m1**12*m3**4*m7sq*B0fin(0,0,m3sq) + 115*m1**10*m3**6*m7sq*B0fin(0,0,m3sq) - 653*m1**8*m3**8*m7sq*B0fin(0,0,m3sq) + 451*m1**6*m3**10*m7sq*B0fin(0,0,m3sq) + 26*m1**4*m3**12*m7sq*B0fin(0,0,m3sq) - 96*m1sq*m3**14*m7sq*B0fin(0,0,m3sq) + 34*m3**16*m7sq*B0fin(0,0,m3sq) - 10*m1**14*m3sq*m7sq*B0fin(0,0,m3sq) + 88*m1**14*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 432*m1**12*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 696*m1**10*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 332*m1**8*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 180*m1**6*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 204*m1**4*m3**14*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 44*m1sq*m3**16*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 136*m1**10*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 790*m1**8*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 181*m1**6*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 308*m1**4*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 139*m1sq*m3**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 36*m3**14*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 56*m1**12*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 280*m1**8*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 819*m1**6*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 89*m1**4*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 136*m1sq*m3**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 24*m3**12*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 52*m1**10*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 208*m1**6*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 156*m1**4*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 87*m1sq*m3**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**10*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 24*m1**8*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 36*m1**4*m3**4*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 15*m1sq*m3**6*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1**6*m3sq*m7**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 116*m1**12*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 114*m1**10*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 133*m1**8*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 649*m1**6*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 627*m1**4*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 119*m1sq*m3**14*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 16*m3**16*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 22*m1**14*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**14*m3**4*B0fin(0,0,m3sq)**2 + 72*m1**12*m3**6*B0fin(0,0,m3sq)**2 - 129*m1**10*m3**8*B0fin(0,0,m3sq)**2 + 116*m1**8*m3**10*B0fin(0,0,m3sq)**2 - 54*m1**6*m3**12*B0fin(0,0,m3sq)**2 + 12*m1**4*m3**14*B0fin(0,0,m3sq)**2 - m1sq*m3**16*B0fin(0,0,m3sq)**2 - 160*m1**10*m3**4*m7**4*B0fin(0,0,m3sq)**2 + 80*m1**8*m3**6*m7**4*B0fin(0,0,m3sq)**2 - 42*m1**6*m3**8*m7**4*B0fin(0,0,m3sq)**2 - 48*m1**4*m3**10*m7**4*B0fin(0,0,m3sq)**2 + 30*m1sq*m3**12*m7**4*B0fin(0,0,m3sq)**2 - 4*m3**14*m7**4*B0fin(0,0,m3sq)**2 + 160*m1**8*m3**4*m7**6*B0fin(0,0,m3sq)**2 + 48*m1**6*m3**6*m7**6*B0fin(0,0,m3sq)**2 + 42*m1**4*m3**8*m7**6*B0fin(0,0,m3sq)**2 - 40*m1sq*m3**10*m7**6*B0fin(0,0,m3sq)**2 + 6*m3**12*m7**6*B0fin(0,0,m3sq)**2 - 80*m1**6*m3**4*m7**8*B0fin(0,0,m3sq)**2 - 24*m1**4*m3**6*m7**8*B0fin(0,0,m3sq)**2 + 27*m1sq*m3**8*m7**8*B0fin(0,0,m3sq)**2 - 4*m3**10*m7**8*B0fin(0,0,m3sq)**2 + 16*m1**4*m3**4*m7**10*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**6*m7**10*B0fin(0,0,m3sq)**2 + m3**8*m7**10*B0fin(0,0,m3sq)**2 + 80*m1**12*m3**4*m7sq*B0fin(0,0,m3sq)**2 - 168*m1**10*m3**6*m7sq*B0fin(0,0,m3sq)**2 + 101*m1**8*m3**8*m7sq*B0fin(0,0,m3sq)**2 - 24*m1**6*m3**10*m7sq*B0fin(0,0,m3sq)**2 + 18*m1**4*m3**12*m7sq*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**14*m7sq*B0fin(0,0,m3sq)**2 + m3**16*m7sq*B0fin(0,0,m3sq)**2 - 272*m1**12*m3**4*m7*B0fin(0,0,m7) + 834*m1**10*m3**6*m7*B0fin(0,0,m7) - 1264*m1**8*m3**8*m7*B0fin(0,0,m7) + 1036*m1**6*m3**10*m7*B0fin(0,0,m7) - 456*m1**4*m3**12*m7*B0fin(0,0,m7) + 98*m1sq*m3**14*m7*B0fin(0,0,m7) - 8*m3**16*m7*B0fin(0,0,m7) + 32*m1**14*m3sq*m7*B0fin(0,0,m7) + 832*m1**10*m3**4*m7**3*B0fin(0,0,m7) - 1544*m1**8*m3**6*m7**3*B0fin(0,0,m7) + 1136*m1**6*m3**8*m7**3*B0fin(0,0,m7) - 328*m1**4*m3**10*m7**3*B0fin(0,0,m7) + 32*m1sq*m3**12*m7**3*B0fin(0,0,m7) - 128*m1**12*m3sq*m7**3*B0fin(0,0,m7) - 784*m1**8*m3**4*m7**5*B0fin(0,0,m7) + 522*m1**6*m3**6*m7**5*B0fin(0,0,m7) + 260*m1**4*m3**8*m7**5*B0fin(0,0,m7) - 182*m1sq*m3**10*m7**5*B0fin(0,0,m7) + 24*m3**12*m7**5*B0fin(0,0,m7) + 160*m1**10*m3sq*m7**5*B0fin(0,0,m7) + 352*m1**6*m3**4*m7**7*B0fin(0,0,m7) - 420*m1**4*m3**6*m7**7*B0fin(0,0,m7) + 148*m1sq*m3**8*m7**7*B0fin(0,0,m7) - 16*m3**10*m7**7*B0fin(0,0,m7) - 64*m1**8*m3sq*m7**7*B0fin(0,0,m7) - 312*m1**10*m3**4*m7**4*B0fin(0,0,m7sq) + 1033*m1**8*m3**6*m7**4*B0fin(0,0,m7sq) + 165*m1**6*m3**8*m7**4*B0fin(0,0,m7sq) - 1473*m1**4*m3**10*m7**4*B0fin(0,0,m7sq) + 647*m1sq*m3**12*m7**4*B0fin(0,0,m7sq) - 76*m3**14*m7**4*B0fin(0,0,m7sq) + 16*m1**12*m3sq*m7**4*B0fin(0,0,m7sq) + 168*m1**8*m3**4*m7**6*B0fin(0,0,m7sq) - 545*m1**6*m3**6*m7**6*B0fin(0,0,m7sq) + 562*m1**4*m3**8*m7**6*B0fin(0,0,m7sq) - 189*m1sq*m3**10*m7**6*B0fin(0,0,m7sq) + 20*m3**12*m7**6*B0fin(0,0,m7sq) - 16*m1**10*m3sq*m7**6*B0fin(0,0,m7sq) - 88*m1**6*m3**4*m7**8*B0fin(0,0,m7sq) + 105*m1**4*m3**6*m7**8*B0fin(0,0,m7sq) - 37*m1sq*m3**8*m7**8*B0fin(0,0,m7sq) + 4*m3**10*m7**8*B0fin(0,0,m7sq) + 16*m1**8*m3sq*m7**8*B0fin(0,0,m7sq) + 328*m1**12*m3**4*m7sq*B0fin(0,0,m7sq) - 1857*m1**10*m3**6*m7sq*B0fin(0,0,m7sq) + 4196*m1**8*m3**8*m7sq*B0fin(0,0,m7sq) - 4538*m1**6*m3**10*m7sq*B0fin(0,0,m7sq) + 2424*m1**4*m3**12*m7sq*B0fin(0,0,m7sq) - 589*m1sq*m3**14*m7sq*B0fin(0,0,m7sq) + 52*m3**16*m7sq*B0fin(0,0,m7sq) - 16*m1**14*m3sq*m7sq*B0fin(0,0,m7sq) + 40*m1**10*m3**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 549*m1**8*m3**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 153*m1**6*m3**8*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 395*m1**4*m3**10*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 261*m1sq*m3**12*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 36*m3**14*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 48*m1**12*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 192*m1**8*m3**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 204*m1**6*m3**6*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 250*m1**4*m3**8*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 174*m1sq*m3**10*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 24*m3**12*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 64*m1**10*m3sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 56*m1**6*m3**4*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 39*m1**4*m3**6*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 29*m1sq*m3**8*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 4*m3**10*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 16*m1**8*m3sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 192*m1**12*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 1184*m1**10*m3**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 1900*m1**8*m3**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 932*m1**6*m3**10*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 76*m1**4*m3**12*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 116*m1sq*m3**14*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 16*m3**16*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 496*m1**10*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 1618*m1**8*m3**6*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 750*m1**6*m3**8*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 742*m1**4*m3**10*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 322*m1sq*m3**12*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 40*m3**14*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 32*m1**12*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 264*m1**8*m3**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 817*m1**6*m3**6*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 40*m1**4*m3**8*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 117*m1sq*m3**10*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 20*m3**12*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1**10*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 32*m1**6*m3**4*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 144*m1**4*m3**6*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 66*m1sq*m3**8*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 8*m3**10*m7**8*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 264*m1**12*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 1121*m1**10*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 1344*m1**8*m3**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 110*m1**6*m3**10*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 580*m1**4*m3**12*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) - 247*m1sq*m3**14*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 28*m3**16*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 16*m1**14*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq) + 208*m1**12*m3**4*T134fin(m3,m1,m1) - 660*m1**10*m3**6*T134fin(m3,m1,m1) + 1056*m1**8*m3**8*T134fin(m3,m1,m1) - 944*m1**6*m3**10*T134fin(m3,m1,m1) + 480*m1**4*m3**12*T134fin(m3,m1,m1) - 132*m1sq*m3**14*T134fin(m3,m1,m1) + 16*m3**16*T134fin(m3,m1,m1) - 24*m1**14*m3sq*T134fin(m3,m1,m1) - 24*m1**12*m7**4*T134fin(m3,m1,m1) + 420*m1**8*m3**4*m7**4*T134fin(m3,m1,m1) - 156*m1**6*m3**6*m7**4*T134fin(m3,m1,m1) + 660*m1**4*m3**8*m7**4*T134fin(m3,m1,m1) - 428*m1sq*m3**10*m7**4*T134fin(m3,m1,m1) + 112*m3**12*m7**4*T134fin(m3,m1,m1) - 8*m1**10*m3sq*m7**4*T134fin(m3,m1,m1) + 36*m1**10*m7**6*T134fin(m3,m1,m1) - 326*m1**6*m3**4*m7**6*T134fin(m3,m1,m1) - 300*m1**4*m3**6*m7**6*T134fin(m3,m1,m1) + 294*m1sq*m3**8*m7**6*T134fin(m3,m1,m1) - 88*m3**10*m7**6*T134fin(m3,m1,m1) - 48*m1**8*m3sq*m7**6*T134fin(m3,m1,m1) - 24*m1**8*m7**8*T134fin(m3,m1,m1) + 156*m1**4*m3**4*m7**8*T134fin(m3,m1,m1) - 120*m1sq*m3**6*m7**8*T134fin(m3,m1,m1) + 32*m3**8*m7**8*T134fin(m3,m1,m1) + 64*m1**6*m3sq*m7**8*T134fin(m3,m1,m1) + 6*m1**6*m7**10*T134fin(m3,m1,m1) + 17*m1sq*m3**4*m7**10*T134fin(m3,m1,m1) - 4*m3**6*m7**10*T134fin(m3,m1,m1) - 28*m1**4*m3sq*m7**10*T134fin(m3,m1,m1) + 6*m1**14*m7sq*T134fin(m3,m1,m1) - 379*m1**10*m3**4*m7sq*T134fin(m3,m1,m1) + 360*m1**8*m3**6*m7sq*T134fin(m3,m1,m1) + 444*m1**6*m3**8*m7sq*T134fin(m3,m1,m1) - 776*m1**4*m3**10*m7sq*T134fin(m3,m1,m1) + 369*m1sq*m3**12*m7sq*T134fin(m3,m1,m1) - 68*m3**14*m7sq*T134fin(m3,m1,m1) + 44*m1**12*m3sq*m7sq*T134fin(m3,m1,m1) - 64*m1**12*m3**4*T134fin(m3,m3,m1) + 288*m1**10*m3**6*T134fin(m3,m3,m1) - 516*m1**8*m3**8*T134fin(m3,m3,m1) + 464*m1**6*m3**10*T134fin(m3,m3,m1) - 216*m1**4*m3**12*T134fin(m3,m3,m1) + 48*m1sq*m3**14*T134fin(m3,m3,m1) - 4*m3**16*T134fin(m3,m3,m1) - 288*m1**8*m3**4*m7**4*T134fin(m3,m3,m1) - 36*m1**6*m3**6*m7**4*T134fin(m3,m3,m1) - 372*m1**4*m3**8*m7**4*T134fin(m3,m3,m1) + 212*m1sq*m3**10*m7**4*T134fin(m3,m3,m1) - 28*m3**12*m7**4*T134fin(m3,m3,m1) - 64*m1**10*m3sq*m7**4*T134fin(m3,m3,m1) + 272*m1**6*m3**4*m7**6*T134fin(m3,m3,m1) + 198*m1**4*m3**6*m7**6*T134fin(m3,m3,m1) - 156*m1sq*m3**8*m7**6*T134fin(m3,m3,m1) + 22*m3**10*m7**6*T134fin(m3,m3,m1) + 96*m1**8*m3sq*m7**6*T134fin(m3,m3,m1) - 96*m1**4*m3**4*m7**8*T134fin(m3,m3,m1) + 60*m1sq*m3**6*m7**8*T134fin(m3,m3,m1) - 8*m3**8*m7**8*T134fin(m3,m3,m1) - 64*m1**6*m3sq*m7**8*T134fin(m3,m3,m1) - 8*m1sq*m3**4*m7**10*T134fin(m3,m3,m1) + m3**6*m7**10*T134fin(m3,m3,m1) + 16*m1**4*m3sq*m7**10*T134fin(m3,m3,m1) + 184*m1**10*m3**4*m7sq*T134fin(m3,m3,m1) - 255*m1**8*m3**6*m7sq*T134fin(m3,m3,m1) - 228*m1**6*m3**8*m7sq*T134fin(m3,m3,m1) + 422*m1**4*m3**10*m7sq*T134fin(m3,m3,m1) - 156*m1sq*m3**12*m7sq*T134fin(m3,m3,m1) + 17*m3**14*m7sq*T134fin(m3,m3,m1) + 16*m1**12*m3sq*m7sq*T134fin(m3,m3,m1) - 64*m1**12*m3**4*T134fin(m7,m3,m1) + 480*m1**10*m3**6*T134fin(m7,m3,m1) - 1188*m1**8*m3**8*T134fin(m7,m3,m1) + 1340*m1**6*m3**10*T134fin(m7,m3,m1) - 732*m1**4*m3**12*T134fin(m7,m3,m1) + 180*m1sq*m3**14*T134fin(m7,m3,m1) - 16*m3**16*T134fin(m7,m3,m1) + 88*m1**8*m3**4*m7**4*T134fin(m7,m3,m1) - 607*m1**6*m3**6*m7**4*T134fin(m7,m3,m1) - 34*m1**4*m3**8*m7**4*T134fin(m7,m3,m1) + 125*m1sq*m3**10*m7**4*T134fin(m7,m3,m1) - 20*m3**12*m7**4*T134fin(m7,m3,m1) + 16*m1**10*m3sq*m7**4*T134fin(m7,m3,m1) + 136*m1**6*m3**4*m7**6*T134fin(m7,m3,m1) + 261*m1**4*m3**6*m7**6*T134fin(m7,m3,m1) - 153*m1sq*m3**8*m7**6*T134fin(m7,m3,m1) + 20*m3**10*m7**6*T134fin(m7,m3,m1) - 48*m1**8*m3sq*m7**6*T134fin(m7,m3,m1) - 72*m1**4*m3**4*m7**8*T134fin(m7,m3,m1) + 33*m1sq*m3**6*m7**8*T134fin(m7,m3,m1) - 4*m3**8*m7**8*T134fin(m7,m3,m1) + 16*m1**6*m3sq*m7**8*T134fin(m7,m3,m1) - 184*m1**10*m3**4*m7sq*T134fin(m7,m3,m1) + 713*m1**8*m3**6*m7sq*T134fin(m7,m3,m1) - 1107*m1**6*m3**8*m7sq*T134fin(m7,m3,m1) + 751*m1**4*m3**10*m7sq*T134fin(m7,m3,m1) - 209*m1sq*m3**12*m7sq*T134fin(m7,m3,m1) + 20*m3**14*m7sq*T134fin(m7,m3,m1) + 16*m1**12*m3sq*m7sq*T134fin(m7,m3,m1) + 136*m1**12*m3**4*T134fin(m7,m3,m3) - 417*m1**10*m3**6*T134fin(m7,m3,m3) + 632*m1**8*m3**8*T134fin(m7,m3,m3) - 518*m1**6*m3**10*T134fin(m7,m3,m3) + 228*m1**4*m3**12*T134fin(m7,m3,m3) - 49*m1sq*m3**14*T134fin(m7,m3,m3) + 4*m3**16*T134fin(m7,m3,m3) - 16*m1**14*m3sq*T134fin(m7,m3,m3) + 368*m1**8*m3**4*m7**4*T134fin(m7,m3,m3) - 6*m1**6*m3**6*m7**4*T134fin(m7,m3,m3) + 324*m1**4*m3**8*m7**4*T134fin(m7,m3,m3) - 182*m1sq*m3**10*m7**4*T134fin(m7,m3,m3) + 24*m3**12*m7**4*T134fin(m7,m3,m3) - 96*m1**10*m3sq*m7**4*T134fin(m7,m3,m3) - 224*m1**6*m3**4*m7**6*T134fin(m7,m3,m3) - 156*m1**4*m3**6*m7**6*T134fin(m7,m3,m3) + 116*m1sq*m3**8*m7**6*T134fin(m7,m3,m3) - 16*m3**10*m7**6*T134fin(m7,m3,m3) + 64*m1**8*m3sq*m7**6*T134fin(m7,m3,m3) + 72*m1**4*m3**4*m7**8*T134fin(m7,m3,m3) - 33*m1sq*m3**6*m7**8*T134fin(m7,m3,m3) + 4*m3**8*m7**8*T134fin(m7,m3,m3) - 16*m1**6*m3sq*m7**8*T134fin(m7,m3,m3) - 352*m1**10*m3**4*m7sq*T134fin(m7,m3,m3) + 356*m1**8*m3**6*m7sq*T134fin(m7,m3,m3) + 204*m1**6*m3**8*m7sq*T134fin(m7,m3,m3) - 404*m1**4*m3**10*m7sq*T134fin(m7,m3,m3) + 148*m1sq*m3**12*m7sq*T134fin(m7,m3,m3) - 16*m3**14*m7sq*T134fin(m7,m3,m3) + 64*m1**12*m3sq*m7sq*T134fin(m7,m3,m3))/(m3**2*(-2*m1 + m3)**2*(2*m1 + m3)**2*(m1sq - 4*m3sq)*(m1sq - m3sq)**2*(m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m1sq - m7sq)*(4*m3sq - m7sq))
		def eval_141():
			return (64*m1**14*m3**3 - 376*m1**13*m3**4 + 80*m1**14*m3**4 - 300*m1**12*m3**5 + 624*m1**11*m3**6 - 60*m1**12*m3**6 + 234*m1**10*m3**7 - 260*m1**9*m3**8 + 56*m1**10*m3**8 + 568*m1**8*m3**9 - 136*m1**7*m3**10 - 448*m1**8*m3**10 - 1068*m1**6*m3**11 + 24*m1**5*m3**12 + 744*m1**6*m3**12 + 612*m1**4*m3**13 + 88*m1**3*m3**14 - 436*m1**4*m3**14 - 110*m1sq*m3**15 - 28*m1*m3**16 + 80*m1sq*m3**16 + 64*m1**15*m3sq - 16*m1**16*m3sq - 8*m1**12*m3**4*m5 - 543*m1**10*m3**6*m5 + 1744*m1**8*m3**8*m5 - 2162*m1**6*m3**10*m5 + 1236*m1**4*m3**12*m5 - 311*m1sq*m3**14*m5 + 28*m3**16*m5 + 16*m1**14*m3sq*m5 + 656*m1**10*m3**4*m5**3 - 1366*m1**8*m3**6*m5**3 + 1238*m1**6*m3**8*m5**3 - 530*m1**4*m3**10*m5**3 + 106*m1sq*m3**12*m5**3 - 8*m3**14*m5**3 - 96*m1**12*m3sq*m5**3 + 64*m1**13*m5**4 - 16*m1**14*m5**4 + 32*m1**12*m3*m5**4 + 308*m1**10*m3**3*m5**4 - 992*m1**9*m3**4*m5**4 + 236*m1**10*m3**4*m5**4 - 876*m1**8*m3**5*m5**4 + 1643*m1**7*m3**6*m5**4 - 183*m1**8*m3**6*m5**4 + 1367*m1**6*m3**7*m5**4 - 1798*m1**5*m3**8*m5**4 + 29*m1**6*m3**8*m5**4 - 1182*m1**4*m3**9*m5**4 + 1299*m1**3*m3**10*m5**4 + 55*m1**4*m3**10*m5**4 + 707*m1sq*m3**11*m5**4 - 416*m1*m3**12*m5**4 - 269*m1sq*m3**12*m5**4 - 212*m3**13*m5**4 + 132*m3**14*m5**4 + 56*m1**11*m3sq*m5**4 + 16*m1**12*m3sq*m5**4 - 520*m1**8*m3**4*m5**5 + 965*m1**6*m3**6*m5**5 - 710*m1**4*m3**8*m5**5 + 205*m1sq*m3**10*m5**5 - 20*m3**12*m5**5 + 80*m1**10*m3sq*m5**5 - 96*m1**11*m5**6 + 24*m1**12*m5**6 - 48*m1**10*m3*m5**6 - 182*m1**8*m3**3*m5**6 + 352*m1**7*m3**4*m5**6 - 86*m1**8*m3**4*m5**6 + 104*m1**6*m3**5*m5**6 + 258*m1**5*m3**6*m5**6 - 479*m1**6*m3**6*m5**6 + 66*m1**4*m3**7*m5**6 - 728*m1**3*m3**8*m5**6 + 758*m1**4*m3**8*m5**6 - 304*m1sq*m3**9*m5**6 + 314*m1*m3**10*m5**6 - 85*m1sq*m3**10*m5**6 + 148*m3**11*m5**6 - 76*m3**12*m5**6 + 116*m1**9*m3sq*m5**6 - 56*m1**10*m3sq*m5**6 + 64*m1**9*m5**8 - 16*m1**10*m5**8 + 32*m1**8*m3*m5**8 + 52*m1**6*m3**3*m5**8 - 216*m1**5*m3**4*m5**8 + 188*m1**6*m3**4*m5**8 - 72*m1**4*m3**5*m5**8 + 323*m1**3*m3**6*m5**8 - 245*m1**4*m3**6*m5**8 + 121*m1sq*m3**7*m5**8 - 116*m1*m3**8*m5**8 + 13*m1sq*m3**8*m5**8 - 52*m3**9*m5**8 + 28*m3**10*m5**8 - 136*m1**7*m3sq*m5**8 + 32*m1**8*m3sq*m5**8 - 16*m1**7*m5**10 + 4*m1**8*m5**10 - 8*m1**6*m3*m5**10 + 7*m1**4*m3**3*m5**10 - 52*m1**3*m3**4*m5**10 + 15*m1**4*m3**4*m5**10 - 14*m1sq*m3**5*m5**10 + 15*m1*m3**6*m5**10 + 5*m1sq*m3**6*m5**10 + 6*m3**7*m5**10 - 4*m3**8*m5**10 + 62*m1**5*m3sq*m5**10 - 20*m1**6*m3sq*m5**10 - 16*m1**15*m5sq + 4*m1**16*m5sq - 8*m1**14*m3*m5sq - 249*m1**12*m3**3*m5sq + 1156*m1**11*m3**4*m5sq - 433*m1**12*m3**4*m5sq + 1158*m1**10*m3**5*m5sq - 1919*m1**9*m3**6*m5sq + 962*m1**10*m3**6*m5sq - 1794*m1**8*m3**7*m5sq + 630*m1**7*m3**8*m5sq - 852*m1**8*m3**8*m5sq + 970*m1**6*m3**9*m5sq + 1010*m1**5*m3**10*m5sq + 450*m1**6*m3**10*m5sq + 213*m1**4*m3**11*m5sq - 930*m1**3*m3**12*m5sq - 399*m1**4*m3**12*m5sq - 400*m1sq*m3**13*m5sq + 231*m1*m3**14*m5sq + 304*m1sq*m3**14*m5sq + 110*m3**15*m5sq - 80*m3**16*m5sq - 162*m1**13*m3sq*m5sq + 44*m1**14*m3sq*m5sq + m1sq*(4*m3sq - m5sq)*(12*m1**14 - 24*m1**12*(3*m3sq + 2*m5sq) - 2*m1**8*(51*m3**6 + 120*m3sq*m5**4 + 24*m5**6 + 160*m3**4*m5sq) - m1**4*m3sq*(3*m3**8 + 205*m3**4*m5**4 + 16*m3sq*m5**6 + 40*m5**8 - 94*m3**6*m5sq) + m1sq*m3**4*(9*m3**8 + 107*m3**4*m5**4 - 43*m3sq*m5**6 + 26*m5**8 - 91*m3**6*m5sq) + m3**6*(-3*m3**8 - 38*m3**4*m5**4 + 24*m3sq*m5**6 - 7*m5**8 + 24*m3**6*m5sq) + m1**6*(21*m3**8 + 268*m3**4*m5**4 + 128*m3sq*m5**6 + 12*m5**8 + 117*m3**6*m5sq) + 2*m1**10*(69*m3**4 + 36*m5**4 + 112*m3sq*m5sq))*B0del(0,0,m1sq) - m3sq*(m1sq - m5sq)*(m1**12*(-56*m3sq + 6*m5sq) - m1**8*(438*m3**6 + 148*m3sq*m5**4 - 18*m5**6 + 611*m3**4*m5sq) + m1**4*m3sq*(288*m3**8 - 10*m3**4*m5**4 - 37*m3sq*m5**6 - 4*m5**8 - 611*m3**6*m5sq) - m1sq*m3**4*(228*m3**8 + 81*m3**4*m5**4 - 35*m3sq*m5**6 + m5**8 - 299*m3**6*m5sq) + 2*m3**6*(23*m3**8 + 28*m3**4*m5**4 - 10*m3sq*m5**6 + m5**8 - 42*m3**6*m5sq) + m1**6*(100*m3**8 + 57*m3**4*m5**4 + 76*m3sq*m5**6 - 6*m5**8 + 837*m3**6*m5sq) + 2*m1**10*(144*m3**4 - 9*m5**4 + 82*m3sq*m5sq))*B0del(0,0,m3sq) + 536*m1**10*m3**4*m5**4*B0del(0,0,m5sq) - 1069*m1**8*m3**6*m5**4*B0del(0,0,m5sq) + 903*m1**6*m3**8*m5**4*B0del(0,0,m5sq) - 347*m1**4*m3**10*m5**4*B0del(0,0,m5sq) + 61*m1sq*m3**12*m5**4*B0del(0,0,m5sq) - 4*m3**14*m5**4*B0del(0,0,m5sq) - 80*m1**12*m3sq*m5**4*B0del(0,0,m5sq) - 456*m1**8*m3**4*m5**6*B0del(0,0,m5sq) + 613*m1**6*m3**6*m5**6*B0del(0,0,m5sq) - 290*m1**4*m3**8*m5**6*B0del(0,0,m5sq) + 57*m1sq*m3**10*m5**6*B0del(0,0,m5sq) - 4*m3**12*m5**6*B0del(0,0,m5sq) + 80*m1**10*m3sq*m5**6*B0del(0,0,m5sq) + 88*m1**6*m3**4*m5**8*B0del(0,0,m5sq) - 105*m1**4*m3**6*m5**8*B0del(0,0,m5sq) + 37*m1sq*m3**8*m5**8*B0del(0,0,m5sq) - 4*m3**10*m5**8*B0del(0,0,m5sq) - 16*m1**8*m3sq*m5**8*B0del(0,0,m5sq) - 72*m1**12*m3**4*m5sq*B0del(0,0,m5sq) - 63*m1**10*m3**6*m5sq*B0del(0,0,m5sq) + 556*m1**8*m3**8*m5sq*B0del(0,0,m5sq) - 822*m1**6*m3**10*m5sq*B0del(0,0,m5sq) + 504*m1**4*m3**12*m5sq*B0del(0,0,m5sq) - 131*m1sq*m3**14*m5sq*B0del(0,0,m5sq) + 12*m3**16*m5sq*B0del(0,0,m5sq) + 16*m1**14*m3sq*m5sq*B0del(0,0,m5sq) - 400*m1**13*m3**4*B0fin(0,0,m1) + 960*m1**11*m3**6*B0fin(0,0,m1) - 1112*m1**9*m3**8*B0fin(0,0,m1) + 608*m1**7*m3**10*B0fin(0,0,m1) - 96*m1**5*m3**12*B0fin(0,0,m1) - 32*m1**3*m3**14*B0fin(0,0,m1) + 8*m1*m3**16*B0fin(0,0,m1) + 64*m1**15*m3sq*B0fin(0,0,m1) + 64*m1**13*m5**4*B0fin(0,0,m1) - 576*m1**9*m3**4*m5**4*B0fin(0,0,m1) + 534*m1**7*m3**6*m5**4*B0fin(0,0,m1) - 60*m1**5*m3**8*m5**4*B0fin(0,0,m1) - 522*m1**3*m3**10*m5**4*B0fin(0,0,m1) + 128*m1*m3**12*m5**4*B0fin(0,0,m1) + 144*m1**11*m3sq*m5**4*B0fin(0,0,m1) - 96*m1**11*m5**6*B0fin(0,0,m1) + 272*m1**7*m3**4*m5**6*B0fin(0,0,m1) + 48*m1**5*m3**6*m5**6*B0fin(0,0,m1) + 340*m1**3*m3**8*m5**6*B0fin(0,0,m1) - 92*m1*m3**10*m5**6*B0fin(0,0,m1) - 40*m1**9*m3sq*m5**6*B0fin(0,0,m1) + 64*m1**9*m5**8*B0fin(0,0,m1) - 144*m1**5*m3**4*m5**8*B0fin(0,0,m1) - 58*m1**3*m3**6*m5**8*B0fin(0,0,m1) + 24*m1*m3**8*m5**8*B0fin(0,0,m1) - 48*m1**7*m3sq*m5**8*B0fin(0,0,m1) - 16*m1**7*m5**10*B0fin(0,0,m1) - 2*m1*m3**6*m5**10*B0fin(0,0,m1) + 36*m1**5*m3sq*m5**10*B0fin(0,0,m1) - 16*m1**15*m5sq*B0fin(0,0,m1) + 720*m1**11*m3**4*m5sq*B0fin(0,0,m1) - 874*m1**9*m3**6*m5sq*B0fin(0,0,m1) + 528*m1**7*m3**8*m5sq*B0fin(0,0,m1) - 504*m1**5*m3**10*m5sq*B0fin(0,0,m1) + 368*m1**3*m3**12*m5sq*B0fin(0,0,m1) - 66*m1*m3**14*m5sq*B0fin(0,0,m1) - 156*m1**13*m3sq*m5sq*B0fin(0,0,m1) + 64*m1**14*m3**4*B0fin(0,0,m1sq) - 12*m1**12*m3**6*B0fin(0,0,m1sq) - 448*m1**10*m3**8*B0fin(0,0,m1sq) + 1084*m1**8*m3**10*B0fin(0,0,m1sq) - 1068*m1**6*m3**12*B0fin(0,0,m1sq) + 464*m1**4*m3**14*B0fin(0,0,m1sq) - 68*m1sq*m3**16*B0fin(0,0,m1sq) - 16*m1**16*m3sq*B0fin(0,0,m1sq) - 16*m1**14*m5**4*B0fin(0,0,m1sq) + 52*m1**10*m3**4*m5**4*B0fin(0,0,m1sq) + 92*m1**8*m3**6*m5**4*B0fin(0,0,m1sq) - 1663*m1**6*m3**8*m5**4*B0fin(0,0,m1sq) + 2122*m1**4*m3**10*m5**4*B0fin(0,0,m1sq) - 311*m1sq*m3**12*m5**4*B0fin(0,0,m1sq) - 52*m3**14*m5**4*B0fin(0,0,m1sq) - 80*m1**12*m3sq*m5**4*B0fin(0,0,m1sq) + 24*m1**12*m5**6*B0fin(0,0,m1sq) - 6*m1**8*m3**4*m5**6*B0fin(0,0,m1sq) + 810*m1**6*m3**6*m5**6*B0fin(0,0,m1sq) - 1251*m1**4*m3**8*m5**6*B0fin(0,0,m1sq) + 99*m1sq*m3**10*m5**6*B0fin(0,0,m1sq) + 60*m3**12*m5**6*B0fin(0,0,m1sq) + 48*m1**10*m3sq*m5**6*B0fin(0,0,m1sq) - 16*m1**10*m5**8*B0fin(0,0,m1sq) - 140*m1**6*m3**4*m5**8*B0fin(0,0,m1sq) + 226*m1**4*m3**6*m5**8*B0fin(0,0,m1sq) + 39*m1sq*m3**8*m5**8*B0fin(0,0,m1sq) - 28*m3**10*m5**8*B0fin(0,0,m1sq) + 4*m1**8*m5**10*B0fin(0,0,m1sq) - 5*m1**4*m3**4*m5**10*B0fin(0,0,m1sq) - 12*m1sq*m3**6*m5**10*B0fin(0,0,m1sq) + 4*m3**8*m5**10*B0fin(0,0,m1sq) + 4*m1**16*m5sq*B0fin(0,0,m1sq) - 61*m1**12*m3**4*m5sq*B0fin(0,0,m1sq) + 160*m1**10*m3**6*m5sq*B0fin(0,0,m1sq) - 1567*m1**8*m3**8*m5sq*B0fin(0,0,m1sq) + 2919*m1**6*m3**10*m5sq*B0fin(0,0,m1sq) - 1772*m1**4*m3**12*m5sq*B0fin(0,0,m1sq) + 253*m1sq*m3**14*m5sq*B0fin(0,0,m1sq) + 16*m3**16*m5sq*B0fin(0,0,m1sq) + 48*m1**14*m3sq*m5sq*B0fin(0,0,m1sq) - 188*m1**14*m3**4*B0fin(0,0,m1sq)**2 + 492*m1**12*m3**6*B0fin(0,0,m1sq)**2 - 552*m1**10*m3**8*B0fin(0,0,m1sq)**2 + 208*m1**8*m3**10*B0fin(0,0,m1sq)**2 + 84*m1**6*m3**12*B0fin(0,0,m1sq)**2 - 84*m1**4*m3**14*B0fin(0,0,m1sq)**2 + 16*m1sq*m3**16*B0fin(0,0,m1sq)**2 + 24*m1**16*m3sq*B0fin(0,0,m1sq)**2 + 24*m1**14*m5**4*B0fin(0,0,m1sq)**2 - 408*m1**10*m3**4*m5**4*B0fin(0,0,m1sq)**2 - 192*m1**8*m3**6*m5**4*B0fin(0,0,m1sq)**2 - 624*m1**6*m3**8*m5**4*B0fin(0,0,m1sq)**2 - 92*m1**4*m3**10*m5**4*B0fin(0,0,m1sq)**2 + 112*m1sq*m3**12*m5**4*B0fin(0,0,m1sq)**2 + 28*m1**12*m3sq*m5**4*B0fin(0,0,m1sq)**2 - 36*m1**12*m5**6*B0fin(0,0,m1sq)**2 + 358*m1**8*m3**4*m5**6*B0fin(0,0,m1sq)**2 + 582*m1**6*m3**6*m5**6*B0fin(0,0,m1sq)**2 + 30*m1**4*m3**8*m5**6*B0fin(0,0,m1sq)**2 - 88*m1sq*m3**10*m5**6*B0fin(0,0,m1sq)**2 + 18*m1**10*m3sq*m5**6*B0fin(0,0,m1sq)**2 + 24*m1**10*m5**8*B0fin(0,0,m1sq)**2 - 204*m1**6*m3**4*m5**8*B0fin(0,0,m1sq)**2 - 24*m1**4*m3**6*m5**8*B0fin(0,0,m1sq)**2 + 32*m1sq*m3**8*m5**8*B0fin(0,0,m1sq)**2 - 44*m1**8*m3sq*m5**8*B0fin(0,0,m1sq)**2 - 6*m1**8*m5**10*B0fin(0,0,m1sq)**2 + 5*m1**4*m3**4*m5**10*B0fin(0,0,m1sq)**2 - 4*m1sq*m3**6*m5**10*B0fin(0,0,m1sq)**2 + 23*m1**6*m3sq*m5**10*B0fin(0,0,m1sq)**2 - 6*m1**16*m5sq*B0fin(0,0,m1sq)**2 + 341*m1**12*m3**4*m5sq*B0fin(0,0,m1sq)**2 - 54*m1**10*m3**6*m5sq*B0fin(0,0,m1sq)**2 - 660*m1**8*m3**8*m5sq*B0fin(0,0,m1sq)**2 + 331*m1**6*m3**10*m5sq*B0fin(0,0,m1sq)**2 + 165*m1**4*m3**12*m5sq*B0fin(0,0,m1sq)**2 - 68*m1sq*m3**14*m5sq*B0fin(0,0,m1sq)**2 - 49*m1**14*m3sq*m5sq*B0fin(0,0,m1sq)**2 + 96*m1**14*m3**3*B0fin(0,0,m3) - 552*m1**12*m3**5*B0fin(0,0,m3) + 1284*m1**10*m3**7*B0fin(0,0,m3) - 1536*m1**8*m3**9*B0fin(0,0,m3) + 984*m1**6*m3**11*B0fin(0,0,m3) - 312*m1**4*m3**13*B0fin(0,0,m3) + 36*m1sq*m3**15*B0fin(0,0,m3) + 32*m1**12*m3*m5**4*B0fin(0,0,m3) + 632*m1**10*m3**3*m5**4*B0fin(0,0,m3) - 920*m1**8*m3**5*m5**4*B0fin(0,0,m3) + 654*m1**6*m3**7*m5**4*B0fin(0,0,m3) + 244*m1**4*m3**9*m5**4*B0fin(0,0,m3) - 442*m1sq*m3**11*m5**4*B0fin(0,0,m3) + 88*m3**13*m5**4*B0fin(0,0,m3) - 48*m1**10*m3*m5**6*B0fin(0,0,m3) - 532*m1**8*m3**3*m5**6*B0fin(0,0,m3) + 168*m1**6*m3**5*m5**6*B0fin(0,0,m3) - 312*m1**4*m3**7*m5**6*B0fin(0,0,m3) + 364*m1sq*m3**9*m5**6*B0fin(0,0,m3) - 72*m3**11*m5**6*B0fin(0,0,m3) + 32*m1**8*m3*m5**8*B0fin(0,0,m3) + 216*m1**6*m3**3*m5**8*B0fin(0,0,m3) - 110*m1sq*m3**7*m5**8*B0fin(0,0,m3) + 24*m3**9*m5**8*B0fin(0,0,m3) - 8*m1**6*m3*m5**10*B0fin(0,0,m3) - 30*m1**4*m3**3*m5**10*B0fin(0,0,m3) + 24*m1sq*m3**5*m5**10*B0fin(0,0,m3) - 4*m3**7*m5**10*B0fin(0,0,m3) - 8*m1**14*m3*m5sq*B0fin(0,0,m3) - 382*m1**12*m3**3*m5sq*B0fin(0,0,m3) + 1280*m1**10*m3**5*m5sq*B0fin(0,0,m3) - 1512*m1**8*m3**7*m5sq*B0fin(0,0,m3) + 904*m1**6*m3**9*m5sq*B0fin(0,0,m3) - 470*m1**4*m3**11*m5sq*B0fin(0,0,m3) + 224*m1sq*m3**13*m5sq*B0fin(0,0,m3) - 36*m3**15*m5sq*B0fin(0,0,m3) + 8*m1**14*m3**4*B0fin(0,0,m3sq) - 132*m1**12*m3**6*B0fin(0,0,m3sq) + 306*m1**10*m3**8*B0fin(0,0,m3sq) - 172*m1**8*m3**10*B0fin(0,0,m3sq) - 120*m1**6*m3**12*B0fin(0,0,m3sq) + 144*m1**4*m3**14*B0fin(0,0,m3sq) - 34*m1sq*m3**16*B0fin(0,0,m3sq) - 420*m1**10*m3**4*m5**4*B0fin(0,0,m3sq) + 23*m1**8*m3**6*m5**4*B0fin(0,0,m3sq) + 604*m1**6*m3**8*m5**4*B0fin(0,0,m3sq) - 401*m1**4*m3**10*m5**4*B0fin(0,0,m3sq) + 74*m1sq*m3**12*m5**4*B0fin(0,0,m3sq) - 48*m3**14*m5**4*B0fin(0,0,m3sq) + 24*m1**12*m3sq*m5**4*B0fin(0,0,m3sq) + 446*m1**8*m3**4*m5**6*B0fin(0,0,m3sq) - 155*m1**6*m3**6*m5**6*B0fin(0,0,m3sq) - 213*m1**4*m3**8*m5**6*B0fin(0,0,m3sq) + 130*m1sq*m3**10*m5**6*B0fin(0,0,m3sq) + 20*m3**12*m5**6*B0fin(0,0,m3sq) - 12*m1**10*m3sq*m5**6*B0fin(0,0,m3sq) - 172*m1**6*m3**4*m5**8*B0fin(0,0,m3sq) + 153*m1**4*m3**6*m5**8*B0fin(0,0,m3sq) - 46*m1sq*m3**8*m5**8*B0fin(0,0,m3sq) - 8*m3**10*m5**8*B0fin(0,0,m3sq) - 8*m1**8*m3sq*m5**8*B0fin(0,0,m3sq) + 5*m1**4*m3**4*m5**10*B0fin(0,0,m3sq) - 4*m1sq*m3**6*m5**10*B0fin(0,0,m3sq) + 2*m3**8*m5**10*B0fin(0,0,m3sq) + 6*m1**6*m3sq*m5**10*B0fin(0,0,m3sq) + 133*m1**12*m3**4*m5sq*B0fin(0,0,m3sq) + 115*m1**10*m3**6*m5sq*B0fin(0,0,m3sq) - 653*m1**8*m3**8*m5sq*B0fin(0,0,m3sq) + 451*m1**6*m3**10*m5sq*B0fin(0,0,m3sq) + 26*m1**4*m3**12*m5sq*B0fin(0,0,m3sq) - 96*m1sq*m3**14*m5sq*B0fin(0,0,m3sq) + 34*m3**16*m5sq*B0fin(0,0,m3sq) - 10*m1**14*m3sq*m5sq*B0fin(0,0,m3sq) + 88*m1**14*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 432*m1**12*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 696*m1**10*m3**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 332*m1**8*m3**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 180*m1**6*m3**12*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 204*m1**4*m3**14*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 44*m1sq*m3**16*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 136*m1**10*m3**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 790*m1**8*m3**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 181*m1**6*m3**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 308*m1**4*m3**10*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 139*m1sq*m3**12*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 36*m3**14*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 56*m1**12*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 280*m1**8*m3**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 819*m1**6*m3**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 89*m1**4*m3**8*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 136*m1sq*m3**10*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 24*m3**12*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 52*m1**10*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 208*m1**6*m3**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 156*m1**4*m3**6*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 87*m1sq*m3**8*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 4*m3**10*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 24*m1**8*m3sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 36*m1**4*m3**4*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 15*m1sq*m3**6*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 6*m1**6*m3sq*m5**10*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 116*m1**12*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 114*m1**10*m3**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 133*m1**8*m3**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 649*m1**6*m3**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 627*m1**4*m3**12*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 119*m1sq*m3**14*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) + 16*m3**16*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 22*m1**14*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq) - 16*m1**14*m3**4*B0fin(0,0,m3sq)**2 + 72*m1**12*m3**6*B0fin(0,0,m3sq)**2 - 129*m1**10*m3**8*B0fin(0,0,m3sq)**2 + 116*m1**8*m3**10*B0fin(0,0,m3sq)**2 - 54*m1**6*m3**12*B0fin(0,0,m3sq)**2 + 12*m1**4*m3**14*B0fin(0,0,m3sq)**2 - m1sq*m3**16*B0fin(0,0,m3sq)**2 - 160*m1**10*m3**4*m5**4*B0fin(0,0,m3sq)**2 + 80*m1**8*m3**6*m5**4*B0fin(0,0,m3sq)**2 - 42*m1**6*m3**8*m5**4*B0fin(0,0,m3sq)**2 - 48*m1**4*m3**10*m5**4*B0fin(0,0,m3sq)**2 + 30*m1sq*m3**12*m5**4*B0fin(0,0,m3sq)**2 - 4*m3**14*m5**4*B0fin(0,0,m3sq)**2 + 160*m1**8*m3**4*m5**6*B0fin(0,0,m3sq)**2 + 48*m1**6*m3**6*m5**6*B0fin(0,0,m3sq)**2 + 42*m1**4*m3**8*m5**6*B0fin(0,0,m3sq)**2 - 40*m1sq*m3**10*m5**6*B0fin(0,0,m3sq)**2 + 6*m3**12*m5**6*B0fin(0,0,m3sq)**2 - 80*m1**6*m3**4*m5**8*B0fin(0,0,m3sq)**2 - 24*m1**4*m3**6*m5**8*B0fin(0,0,m3sq)**2 + 27*m1sq*m3**8*m5**8*B0fin(0,0,m3sq)**2 - 4*m3**10*m5**8*B0fin(0,0,m3sq)**2 + 16*m1**4*m3**4*m5**10*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**6*m5**10*B0fin(0,0,m3sq)**2 + m3**8*m5**10*B0fin(0,0,m3sq)**2 + 80*m1**12*m3**4*m5sq*B0fin(0,0,m3sq)**2 - 168*m1**10*m3**6*m5sq*B0fin(0,0,m3sq)**2 + 101*m1**8*m3**8*m5sq*B0fin(0,0,m3sq)**2 - 24*m1**6*m3**10*m5sq*B0fin(0,0,m3sq)**2 + 18*m1**4*m3**12*m5sq*B0fin(0,0,m3sq)**2 - 8*m1sq*m3**14*m5sq*B0fin(0,0,m3sq)**2 + m3**16*m5sq*B0fin(0,0,m3sq)**2 - 272*m1**12*m3**4*m5*B0fin(0,0,m5) + 834*m1**10*m3**6*m5*B0fin(0,0,m5) - 1264*m1**8*m3**8*m5*B0fin(0,0,m5) + 1036*m1**6*m3**10*m5*B0fin(0,0,m5) - 456*m1**4*m3**12*m5*B0fin(0,0,m5) + 98*m1sq*m3**14*m5*B0fin(0,0,m5) - 8*m3**16*m5*B0fin(0,0,m5) + 32*m1**14*m3sq*m5*B0fin(0,0,m5) + 832*m1**10*m3**4*m5**3*B0fin(0,0,m5) - 1544*m1**8*m3**6*m5**3*B0fin(0,0,m5) + 1136*m1**6*m3**8*m5**3*B0fin(0,0,m5) - 328*m1**4*m3**10*m5**3*B0fin(0,0,m5) + 32*m1sq*m3**12*m5**3*B0fin(0,0,m5) - 128*m1**12*m3sq*m5**3*B0fin(0,0,m5) - 784*m1**8*m3**4*m5**5*B0fin(0,0,m5) + 522*m1**6*m3**6*m5**5*B0fin(0,0,m5) + 260*m1**4*m3**8*m5**5*B0fin(0,0,m5) - 182*m1sq*m3**10*m5**5*B0fin(0,0,m5) + 24*m3**12*m5**5*B0fin(0,0,m5) + 160*m1**10*m3sq*m5**5*B0fin(0,0,m5) + 352*m1**6*m3**4*m5**7*B0fin(0,0,m5) - 420*m1**4*m3**6*m5**7*B0fin(0,0,m5) + 148*m1sq*m3**8*m5**7*B0fin(0,0,m5) - 16*m3**10*m5**7*B0fin(0,0,m5) - 64*m1**8*m3sq*m5**7*B0fin(0,0,m5) - 312*m1**10*m3**4*m5**4*B0fin(0,0,m5sq) + 1033*m1**8*m3**6*m5**4*B0fin(0,0,m5sq) + 165*m1**6*m3**8*m5**4*B0fin(0,0,m5sq) - 1473*m1**4*m3**10*m5**4*B0fin(0,0,m5sq) + 647*m1sq*m3**12*m5**4*B0fin(0,0,m5sq) - 76*m3**14*m5**4*B0fin(0,0,m5sq) + 16*m1**12*m3sq*m5**4*B0fin(0,0,m5sq) + 168*m1**8*m3**4*m5**6*B0fin(0,0,m5sq) - 545*m1**6*m3**6*m5**6*B0fin(0,0,m5sq) + 562*m1**4*m3**8*m5**6*B0fin(0,0,m5sq) - 189*m1sq*m3**10*m5**6*B0fin(0,0,m5sq) + 20*m3**12*m5**6*B0fin(0,0,m5sq) - 16*m1**10*m3sq*m5**6*B0fin(0,0,m5sq) - 88*m1**6*m3**4*m5**8*B0fin(0,0,m5sq) + 105*m1**4*m3**6*m5**8*B0fin(0,0,m5sq) - 37*m1sq*m3**8*m5**8*B0fin(0,0,m5sq) + 4*m3**10*m5**8*B0fin(0,0,m5sq) + 16*m1**8*m3sq*m5**8*B0fin(0,0,m5sq) + 328*m1**12*m3**4*m5sq*B0fin(0,0,m5sq) - 1857*m1**10*m3**6*m5sq*B0fin(0,0,m5sq) + 4196*m1**8*m3**8*m5sq*B0fin(0,0,m5sq) - 4538*m1**6*m3**10*m5sq*B0fin(0,0,m5sq) + 2424*m1**4*m3**12*m5sq*B0fin(0,0,m5sq) - 589*m1sq*m3**14*m5sq*B0fin(0,0,m5sq) + 52*m3**16*m5sq*B0fin(0,0,m5sq) - 16*m1**14*m3sq*m5sq*B0fin(0,0,m5sq) + 40*m1**10*m3**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 549*m1**8*m3**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 153*m1**6*m3**8*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 395*m1**4*m3**10*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 261*m1sq*m3**12*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 36*m3**14*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 48*m1**12*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 192*m1**8*m3**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 204*m1**6*m3**6*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 250*m1**4*m3**8*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 174*m1sq*m3**10*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 24*m3**12*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 64*m1**10*m3sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 56*m1**6*m3**4*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 39*m1**4*m3**6*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 29*m1sq*m3**8*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 4*m3**10*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 16*m1**8*m3sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 192*m1**12*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 1184*m1**10*m3**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 1900*m1**8*m3**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 932*m1**6*m3**10*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 76*m1**4*m3**12*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 116*m1sq*m3**14*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 16*m3**16*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 496*m1**10*m3**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 1618*m1**8*m3**6*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 750*m1**6*m3**8*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 742*m1**4*m3**10*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 322*m1sq*m3**12*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 40*m3**14*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 32*m1**12*m3sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 264*m1**8*m3**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 817*m1**6*m3**6*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 40*m1**4*m3**8*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 117*m1sq*m3**10*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 20*m3**12*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 16*m1**10*m3sq*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 32*m1**6*m3**4*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 144*m1**4*m3**6*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 66*m1sq*m3**8*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 8*m3**10*m5**8*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 264*m1**12*m3**4*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 1121*m1**10*m3**6*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 1344*m1**8*m3**8*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 110*m1**6*m3**10*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 580*m1**4*m3**12*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) - 247*m1sq*m3**14*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 28*m3**16*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 16*m1**14*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq) + 208*m1**12*m3**4*T134fin(m3,m1,m1) - 660*m1**10*m3**6*T134fin(m3,m1,m1) + 1056*m1**8*m3**8*T134fin(m3,m1,m1) - 944*m1**6*m3**10*T134fin(m3,m1,m1) + 480*m1**4*m3**12*T134fin(m3,m1,m1) - 132*m1sq*m3**14*T134fin(m3,m1,m1) + 16*m3**16*T134fin(m3,m1,m1) - 24*m1**14*m3sq*T134fin(m3,m1,m1) - 24*m1**12*m5**4*T134fin(m3,m1,m1) + 420*m1**8*m3**4*m5**4*T134fin(m3,m1,m1) - 156*m1**6*m3**6*m5**4*T134fin(m3,m1,m1) + 660*m1**4*m3**8*m5**4*T134fin(m3,m1,m1) - 428*m1sq*m3**10*m5**4*T134fin(m3,m1,m1) + 112*m3**12*m5**4*T134fin(m3,m1,m1) - 8*m1**10*m3sq*m5**4*T134fin(m3,m1,m1) + 36*m1**10*m5**6*T134fin(m3,m1,m1) - 326*m1**6*m3**4*m5**6*T134fin(m3,m1,m1) - 300*m1**4*m3**6*m5**6*T134fin(m3,m1,m1) + 294*m1sq*m3**8*m5**6*T134fin(m3,m1,m1) - 88*m3**10*m5**6*T134fin(m3,m1,m1) - 48*m1**8*m3sq*m5**6*T134fin(m3,m1,m1) - 24*m1**8*m5**8*T134fin(m3,m1,m1) + 156*m1**4*m3**4*m5**8*T134fin(m3,m1,m1) - 120*m1sq*m3**6*m5**8*T134fin(m3,m1,m1) + 32*m3**8*m5**8*T134fin(m3,m1,m1) + 64*m1**6*m3sq*m5**8*T134fin(m3,m1,m1) + 6*m1**6*m5**10*T134fin(m3,m1,m1) + 17*m1sq*m3**4*m5**10*T134fin(m3,m1,m1) - 4*m3**6*m5**10*T134fin(m3,m1,m1) - 28*m1**4*m3sq*m5**10*T134fin(m3,m1,m1) + 6*m1**14*m5sq*T134fin(m3,m1,m1) - 379*m1**10*m3**4*m5sq*T134fin(m3,m1,m1) + 360*m1**8*m3**6*m5sq*T134fin(m3,m1,m1) + 444*m1**6*m3**8*m5sq*T134fin(m3,m1,m1) - 776*m1**4*m3**10*m5sq*T134fin(m3,m1,m1) + 369*m1sq*m3**12*m5sq*T134fin(m3,m1,m1) - 68*m3**14*m5sq*T134fin(m3,m1,m1) + 44*m1**12*m3sq*m5sq*T134fin(m3,m1,m1) - 64*m1**12*m3**4*T134fin(m3,m3,m1) + 288*m1**10*m3**6*T134fin(m3,m3,m1) - 516*m1**8*m3**8*T134fin(m3,m3,m1) + 464*m1**6*m3**10*T134fin(m3,m3,m1) - 216*m1**4*m3**12*T134fin(m3,m3,m1) + 48*m1sq*m3**14*T134fin(m3,m3,m1) - 4*m3**16*T134fin(m3,m3,m1) - 288*m1**8*m3**4*m5**4*T134fin(m3,m3,m1) - 36*m1**6*m3**6*m5**4*T134fin(m3,m3,m1) - 372*m1**4*m3**8*m5**4*T134fin(m3,m3,m1) + 212*m1sq*m3**10*m5**4*T134fin(m3,m3,m1) - 28*m3**12*m5**4*T134fin(m3,m3,m1) - 64*m1**10*m3sq*m5**4*T134fin(m3,m3,m1) + 272*m1**6*m3**4*m5**6*T134fin(m3,m3,m1) + 198*m1**4*m3**6*m5**6*T134fin(m3,m3,m1) - 156*m1sq*m3**8*m5**6*T134fin(m3,m3,m1) + 22*m3**10*m5**6*T134fin(m3,m3,m1) + 96*m1**8*m3sq*m5**6*T134fin(m3,m3,m1) - 96*m1**4*m3**4*m5**8*T134fin(m3,m3,m1) + 60*m1sq*m3**6*m5**8*T134fin(m3,m3,m1) - 8*m3**8*m5**8*T134fin(m3,m3,m1) - 64*m1**6*m3sq*m5**8*T134fin(m3,m3,m1) - 8*m1sq*m3**4*m5**10*T134fin(m3,m3,m1) + m3**6*m5**10*T134fin(m3,m3,m1) + 16*m1**4*m3sq*m5**10*T134fin(m3,m3,m1) + 184*m1**10*m3**4*m5sq*T134fin(m3,m3,m1) - 255*m1**8*m3**6*m5sq*T134fin(m3,m3,m1) - 228*m1**6*m3**8*m5sq*T134fin(m3,m3,m1) + 422*m1**4*m3**10*m5sq*T134fin(m3,m3,m1) - 156*m1sq*m3**12*m5sq*T134fin(m3,m3,m1) + 17*m3**14*m5sq*T134fin(m3,m3,m1) + 16*m1**12*m3sq*m5sq*T134fin(m3,m3,m1) - 64*m1**12*m3**4*T134fin(m5,m3,m1) + 480*m1**10*m3**6*T134fin(m5,m3,m1) - 1188*m1**8*m3**8*T134fin(m5,m3,m1) + 1340*m1**6*m3**10*T134fin(m5,m3,m1) - 732*m1**4*m3**12*T134fin(m5,m3,m1) + 180*m1sq*m3**14*T134fin(m5,m3,m1) - 16*m3**16*T134fin(m5,m3,m1) + 88*m1**8*m3**4*m5**4*T134fin(m5,m3,m1) - 607*m1**6*m3**6*m5**4*T134fin(m5,m3,m1) - 34*m1**4*m3**8*m5**4*T134fin(m5,m3,m1) + 125*m1sq*m3**10*m5**4*T134fin(m5,m3,m1) - 20*m3**12*m5**4*T134fin(m5,m3,m1) + 16*m1**10*m3sq*m5**4*T134fin(m5,m3,m1) + 136*m1**6*m3**4*m5**6*T134fin(m5,m3,m1) + 261*m1**4*m3**6*m5**6*T134fin(m5,m3,m1) - 153*m1sq*m3**8*m5**6*T134fin(m5,m3,m1) + 20*m3**10*m5**6*T134fin(m5,m3,m1) - 48*m1**8*m3sq*m5**6*T134fin(m5,m3,m1) - 72*m1**4*m3**4*m5**8*T134fin(m5,m3,m1) + 33*m1sq*m3**6*m5**8*T134fin(m5,m3,m1) - 4*m3**8*m5**8*T134fin(m5,m3,m1) + 16*m1**6*m3sq*m5**8*T134fin(m5,m3,m1) - 184*m1**10*m3**4*m5sq*T134fin(m5,m3,m1) + 713*m1**8*m3**6*m5sq*T134fin(m5,m3,m1) - 1107*m1**6*m3**8*m5sq*T134fin(m5,m3,m1) + 751*m1**4*m3**10*m5sq*T134fin(m5,m3,m1) - 209*m1sq*m3**12*m5sq*T134fin(m5,m3,m1) + 20*m3**14*m5sq*T134fin(m5,m3,m1) + 16*m1**12*m3sq*m5sq*T134fin(m5,m3,m1) + 136*m1**12*m3**4*T134fin(m5,m3,m3) - 417*m1**10*m3**6*T134fin(m5,m3,m3) + 632*m1**8*m3**8*T134fin(m5,m3,m3) - 518*m1**6*m3**10*T134fin(m5,m3,m3) + 228*m1**4*m3**12*T134fin(m5,m3,m3) - 49*m1sq*m3**14*T134fin(m5,m3,m3) + 4*m3**16*T134fin(m5,m3,m3) - 16*m1**14*m3sq*T134fin(m5,m3,m3) + 368*m1**8*m3**4*m5**4*T134fin(m5,m3,m3) - 6*m1**6*m3**6*m5**4*T134fin(m5,m3,m3) + 324*m1**4*m3**8*m5**4*T134fin(m5,m3,m3) - 182*m1sq*m3**10*m5**4*T134fin(m5,m3,m3) + 24*m3**12*m5**4*T134fin(m5,m3,m3) - 96*m1**10*m3sq*m5**4*T134fin(m5,m3,m3) - 224*m1**6*m3**4*m5**6*T134fin(m5,m3,m3) - 156*m1**4*m3**6*m5**6*T134fin(m5,m3,m3) + 116*m1sq*m3**8*m5**6*T134fin(m5,m3,m3) - 16*m3**10*m5**6*T134fin(m5,m3,m3) + 64*m1**8*m3sq*m5**6*T134fin(m5,m3,m3) + 72*m1**4*m3**4*m5**8*T134fin(m5,m3,m3) - 33*m1sq*m3**6*m5**8*T134fin(m5,m3,m3) + 4*m3**8*m5**8*T134fin(m5,m3,m3) - 16*m1**6*m3sq*m5**8*T134fin(m5,m3,m3) - 352*m1**10*m3**4*m5sq*T134fin(m5,m3,m3) + 356*m1**8*m3**6*m5sq*T134fin(m5,m3,m3) + 204*m1**6*m3**8*m5sq*T134fin(m5,m3,m3) - 404*m1**4*m3**10*m5sq*T134fin(m5,m3,m3) + 148*m1sq*m3**12*m5sq*T134fin(m5,m3,m3) - 16*m3**14*m5sq*T134fin(m5,m3,m3) + 64*m1**12*m3sq*m5sq*T134fin(m5,m3,m3))/(m3**2*(-2*m1 + m3)**2*(2*m1 + m3)**2*(m1sq - 4*m3sq)*(m1sq - m3sq)**2*(m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m1sq - m5sq)*(4*m3sq - m5sq))
		def eval_142():
			return ((2*m1sq*m3sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m1sq*(-m3**4 + 3*m4**4 + m1sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (2*m2sq*m3sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (m2sq*(-m3**4 + 3*m4**4 + m2sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (4*m3**4*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(4*m3sq - m4sq)) + (2*m1sq*m3sq*B0del(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (2*m2sq*m3sq*B0del(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m3sq*((m3sq - m4sq)*(10*m3**8 - 20*m3**4*m4**4 + 6*m3sq*m4**6 - 3*m4**8 - 29*m3**6*m4sq + m2sq*(-16*m3**6 + 26*m3sq*m4**4 + 6*m4**6 + 29*m3**4*m4sq) + 3*m2**4*(2*m3**4 - m4**4 - 4*m3sq*m4sq)) - m1sq*(16*m3**8 + 3*m3**4*m4**4 + 20*m3sq*m4**6 + 6*m4**8 - 45*m3**6*m4sq - m2sq*(24*m3**6 + 63*m3sq*m4**4 + 32*m4**6 - 20*m3**4*m4sq) + m2**4*(8*m3**4 + 18*m4**4 + m3sq*m4sq)) + m1**4*(m2**4*(2*m3sq + 7*m4sq) + 3*(2*m3**6 + 3*m3sq*m4**4 + m4**6 - 6*m3**4*m4sq) - m2sq*(8*m3**4 + 18*m4**4 + m3sq*m4sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + (m1sq*(-m3**4 + 3*m4**4 + m1sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m2sq*(-m3**4 + 3*m4**4 + m2sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m3sq*((m3sq - m4sq)*(10*m3**8 - 20*m3**4*m4**4 + 6*m3sq*m4**6 - 3*m4**8 - 29*m3**6*m4sq + m2sq*(-16*m3**6 + 26*m3sq*m4**4 + 6*m4**6 + 29*m3**4*m4sq) + 3*m2**4*(2*m3**4 - m4**4 - 4*m3sq*m4sq)) - m1sq*(16*m3**8 + 3*m3**4*m4**4 + 20*m3sq*m4**6 + 6*m4**8 - 45*m3**6*m4sq - m2sq*(24*m3**6 + 63*m3sq*m4**4 + 32*m4**6 - 20*m3**4*m4sq) + m2**4*(8*m3**4 + 18*m4**4 + m3sq*m4sq)) + m1**4*(m2**4*(2*m3sq + 7*m4sq) + 3*(2*m3**6 + 3*m3sq*m4**4 + m4**6 - 6*m3**4*m4sq) - m2sq*(8*m3**4 + 18*m4**4 + m3sq*m4sq)))*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (2*m1sq*m3sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m1sq*(-m3**4 + 3*m4**4 + m1sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (2*m2sq*m3sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m2sq*(-m3**4 + 3*m4**4 + m2sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (4*m3**4*B0fin(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*m4**2*(4*m3sq - m4sq)) - (2*m1sq*m3sq*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (2*m2sq*m3sq*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (m3sq*((m3sq - m4sq)*(10*m3**8 - 20*m3**4*m4**4 + 6*m3sq*m4**6 - 3*m4**8 - 29*m3**6*m4sq + m2sq*(-16*m3**6 + 26*m3sq*m4**4 + 6*m4**6 + 29*m3**4*m4sq) + 3*m2**4*(2*m3**4 - m4**4 - 4*m3sq*m4sq)) - m1sq*(16*m3**8 + 3*m3**4*m4**4 + 20*m3sq*m4**6 + 6*m4**8 - 45*m3**6*m4sq - m2sq*(24*m3**6 + 63*m3sq*m4**4 + 32*m4**6 - 20*m3**4*m4sq) + m2**4*(8*m3**4 + 18*m4**4 + m3sq*m4sq)) + m1**4*(m2**4*(2*m3sq + 7*m4sq) + 3*(2*m3**6 + 3*m3sq*m4**4 + m4**6 - 6*m3**4*m4sq) - m2sq*(8*m3**4 + 18*m4**4 + m3sq*m4sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (2*m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (2*m2sq*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (2*m3**4*B0fin(0,0,m3sq)**2)/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(4*m3sq - m4sq)) + ((m1sq + m3sq - m4sq)*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - ((m2sq + m3sq - m4sq)*(m2 + m3 + m4 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + ((2*m3sq - m4sq)*(2*m3 + m4 + 4*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(4*m3sq - m4sq)) - (m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) + (m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) + (m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - (2*m4sq*B0fin(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) - (m1sq*(-m3**4 + 3*m4**4 + m1sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m2sq*(-m3**4 + 3*m4**4 + m2sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (m3sq*((m3sq - m4sq)*(10*m3**8 - 20*m3**4*m4**4 + 6*m3sq*m4**6 - 3*m4**8 - 29*m3**6*m4sq + m2sq*(-16*m3**6 + 26*m3sq*m4**4 + 6*m4**6 + 29*m3**4*m4sq) + 3*m2**4*(2*m3**4 - m4**4 - 4*m3sq*m4sq)) - m1sq*(16*m3**8 + 3*m3**4*m4**4 + 20*m3sq*m4**6 + 6*m4**8 - 45*m3**6*m4sq - m2sq*(24*m3**6 + 63*m3sq*m4**4 + 32*m4**6 - 20*m3**4*m4sq) + m2**4*(8*m3**4 + 18*m4**4 + m3sq*m4sq)) + m1**4*(m2**4*(2*m3sq + 7*m4sq) + 3*(2*m3**6 + 3*m3sq*m4**4 + m4**6 - 6*m3**4*m4sq) - m2sq*(8*m3**4 + 18*m4**4 + m3sq*m4sq)))*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m1sq*(-m3**4 + 3*m4**4 + m1sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m2sq*(-m3**4 + 3*m4**4 + m2sq*(m3sq - 3*m4sq) + 6*m3sq*m4sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m3sq*((m3sq - m4sq)*(10*m3**8 - 20*m3**4*m4**4 + 6*m3sq*m4**6 - 3*m4**8 - 29*m3**6*m4sq + m2sq*(-16*m3**6 + 26*m3sq*m4**4 + 6*m4**6 + 29*m3**4*m4sq) + 3*m2**4*(2*m3**4 - m4**4 - 4*m3sq*m4sq)) - m1sq*(16*m3**8 + 3*m3**4*m4**4 + 20*m3sq*m4**6 + 6*m4**8 - 45*m3**6*m4sq - m2sq*(24*m3**6 + 63*m3sq*m4**4 + 32*m4**6 - 20*m3**4*m4sq) + m2**4*(8*m3**4 + 18*m4**4 + m3sq*m4sq)) + m1**4*(m2**4*(2*m3sq + 7*m4sq) + 3*(2*m3**6 + 3*m3sq*m4**4 + m4**6 - 6*m3**4*m4sq) - m2sq*(8*m3**4 + 18*m4**4 + m3sq*m4sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) - ((m1sq + m3sq - m4sq)*T134fin(m4,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + ((m2sq + m3sq - m4sq)*T134fin(m4,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - ((2*m3sq - m4sq)*T134fin(m4,m3,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*m4**2*(4*m3sq - m4sq)) + T134fin(m4,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) - T134fin(m4,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) - T134fin(m4,m4,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)))/(m3sq - m4sq)
		def eval_143():
			return (4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*m5sq - 8*m1sq*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2 + 8*m1sq*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*m5**6*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2 + 4*m2**4*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2 - 8*m1sq*m2**4*(m1sq - m2sq)*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2 - 8*m1sq*(m1sq - m2sq)*m2sq*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2 + 4*m1**4*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2 + 4*m1**4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2 + 4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(m2**3 - 4*m2*m5sq)**2 - 4*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**4*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 16*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**6*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m2**10*(m2 + m4 + m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m2**6*(m2 + m4 + m5)*(m4**4 - m5**4)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m2**8*(m2 + m4 + m5)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 3*m1sq*m2**8*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 3*m2**10*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + m1sq*m2**4*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - m2**6*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - m1sq*m2**10*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + m2**12*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 17*m1sq*m2**8*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 17*m2**10*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 18*m1sq*m2**4*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 18*m2**6*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 124*m1sq*m2**4*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 124*m2**6*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 25*m1sq*m2**4*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 25*m2**6*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m1sq*m2sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m1sq*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m2**8*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m1sq*m2**6*(m2 - 2*m5)**2*(m2 + m4 + m5)*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m1sq*m2sq*m4**4*(m2 - 2*m5)**2*(m2 + m4 + m5)*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m1sq*m2sq*(m2 - 2*m5)**2*m5**4*(m2 + m4 + m5)*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m2sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)*(m1sq - 4*m5sq)*(m2sq - 2*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 16*m2**4*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 16*m1sq*m2sq*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 16*m2**4*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 16*m1sq*m2sq*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 5*m1sq*m2**10*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 5*m2**12*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 12*m1sq*m2**4*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 12*m2**6*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 26*m1sq*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 26*m2**10*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m1sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m1sq*m2**4*(m2 - 2*m5)**2*(m2 + m4 + m5)*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m1sq*m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 3*m1sq*m2**6*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 3*m2**8*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + m1sq*m2**6*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - m2**8*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 34*m1sq*m2**6*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 34*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m1sq) - m1sq*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0del(0,0,m1sq) - 2*m1sq*m2**8*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 5*m2**10*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m2**6*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m1sq*m2**10*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m2**12*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 8*m1sq*m2**8*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 29*m2**10*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 24*m1sq*m2**4*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 26*m2**6*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 16*m1sq*m2**4*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 60*m2**6*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 8*m1sq*m2**4*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 47*m2**6*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m1sq*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 3*m2**8*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m1sq*m2sq*m4**4*(m4sq*m5 - m5**3)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 4*m2**4*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 20*m1sq*m2sq*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 14*m2**4*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m1sq*m2sq*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m1sq*m2**10*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 5*m2**12*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 4*m2**6*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m1sq*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 8*m2**10*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m2**4*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 4*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m1sq*m2**6*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 4*m2**8*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 4*m1sq*m2**6*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 19*m2**8*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m1sq*m2**6*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 13*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m1**4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*B0del(0,0,m4sq) + m2**6*(-m1sq + m2sq)*m4**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*B0del(0,0,m4sq) + 8*m2**6*(-m1sq + m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*m5sq*B0del(0,0,m4sq) - m1sq*m2**4*(m1sq - m2sq)*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + m1sq*(m1sq - m2sq)*m2sq*m4**8*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - m1**4*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + m1sq*m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - 5*m1sq*(m1sq - m2sq)*m2sq*m4**4*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - m1sq*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - m1sq*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*m5**6*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + 2*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - m1sq*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + m2**8*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + 7*m2**4*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - 6*m1sq*m2**4*(m1sq - m2sq)*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + 5*m1sq*(m1sq - m2sq)*m2sq*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - m1**4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + 2*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) + 2*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m4sq) - m1**4*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**4*B0del(0,0,m4sq) + m1sq*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 3*m2**8*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 4*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m1**4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*B0del(0,0,m5sq) + m2**6*(-m1sq + m2sq)*m4**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*B0del(0,0,m5sq) + 8*m2**6*(-m1sq + m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) - m1sq*m2**4*(m1sq - m2sq)*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + m1sq*(m1sq - m2sq)*m2sq*m4**8*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - m1**4*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + m1sq*m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - 5*m1sq*(m1sq - m2sq)*m2sq*m4**4*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - m1sq*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - m1sq*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*m5**6*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - m1sq*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + m2**8*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + 7*m2**4*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - 6*m1sq*m2**4*(m1sq - m2sq)*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + 5*m1sq*(m1sq - m2sq)*m2sq*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - m1**4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + 2*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) + 2*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0del(0,0,m5sq) - m1**4*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**4*B0del(0,0,m5sq) - m1sq*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0del(0,0,m5sq) - 4*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**4*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 16*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**6*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 2*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m2**6*(m1sq - m2sq)*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m1sq*m2**8*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 5*m2**10*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + m2**6*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + m1sq*m2**10*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m2**12*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 8*m1sq*m2**8*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 29*m2**10*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 24*m1sq*m2**4*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 26*m2**6*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 16*m1sq*m2**4*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 60*m2**6*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 8*m1sq*m2**4*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 47*m2**6*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m1sq*m2sq*m4**4*(m4sq*m5 - m5**3)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 4*m2**4*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 20*m1sq*m2sq*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 14*m2**4*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m1sq*m2sq*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m1sq*m2**10*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 5*m2**12*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 4*m2**6*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 2*m1sq*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 8*m2**10*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m2**4*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + m1sq*m2**6*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 4*m2**8*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 4*m1sq*m2**6*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 19*m2**8*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - m1sq*m2**6*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 13*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 2*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m1sq) + m1sq*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq) - m1sq*m2**8*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 2*m2**10*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - m1sq*m2**4*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m2**12*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 9*m1sq*m2**8*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 12*m2**10*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 42*m1sq*m2**4*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 8*m2**6*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 108*m1sq*m2**4*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 64*m2**6*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 33*m1sq*m2**4*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 72*m2**6*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 3*m1sq*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - m2**8*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 2*m1sq*m2sq*m4**4*(m4sq*m5 - m5**3)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 12*m2**4*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 36*m1sq*m2sq*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 30*m2**4*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 18*m1sq*m2sq*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 3*m1sq*m2**10*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 12*m1sq*m2**4*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 16*m2**6*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 24*m1sq*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 18*m2**10*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 2*m2**4*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 4*m1sq*m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 2*m1sq*m2**6*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m2**8*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 3*m1sq*m2**6*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 18*m2**8*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 33*m1sq*m2**6*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 21*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 2*m1**4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*B0fin(0,0,m4sq) + m2**6*(m1sq - m2sq)*m4**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*B0fin(0,0,m4sq) + 4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq) + m1sq*m2**4*(m1sq - m2sq)*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) - m1sq*(m1sq - m2sq)*m2sq*m4**8*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + m1**4*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) - m1sq*m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 5*m1sq*(m1sq - m2sq)*m2sq*m4**4*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 9*m1sq*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) - 7*m1sq*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*m5**6*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) - 2*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + m1sq*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 11*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 14*m1sq*m2**4*(m1sq - m2sq)*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 3*m1sq*(m1sq - m2sq)*m2sq*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) - 4*m1**4*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) - 3*m1**4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 6*m2sq*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + 2*m2**6*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq) + m1**4*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**4*B0fin(0,0,m4sq) + 3*m1sq*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - m2**8*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 4*m1sq*m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 2*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + m1sq*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 3*m2**8*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq + m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m1sq + m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*((m1 + m4 + m5)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 4*m2**6*(m4**4 - m5**4)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 2*m2**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*m1sq*m2**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*m1sq*m2sq*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 4*m1sq*m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*m1sq*m2sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 4*m1sq*m2**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 4*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*(m2**3 - 4*m2*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m1/2. + m5 + m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)) + 2*m1sq*m2sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2/2. + m5 + m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - 8*m1sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2/2. + m5 + m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)) - 2*m1**4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*B0fin(0,0,m5sq) + m2**6*(m1sq - m2sq)*m4**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*B0fin(0,0,m5sq) + 4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) + m1sq*m2**4*(m1sq - m2sq)*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) - m1sq*(m1sq - m2sq)*m2sq*m4**8*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + m1**4*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) - m1sq*m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 5*m1sq*(m1sq - m2sq)*m2sq*m4**4*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 9*m1sq*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) - 7*m1sq*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*m5**6*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + m1sq*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 11*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 14*m1sq*m2**4*(m1sq - m2sq)*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 3*m1sq*(m1sq - m2sq)*m2sq*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) - 4*m1**4*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) - 3*m1**4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 6*m2sq*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + 2*m2**6*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m5sq) + m1**4*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**4*B0fin(0,0,m5sq) + m1sq*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m5sq) + 12*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**4*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 48*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**6*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 2*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - m1sq*m2**8*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 2*m2**10*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - m1sq*m2**4*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + m2**12*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 9*m1sq*m2**8*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 12*m2**10*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 42*m1sq*m2**4*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 8*m2**6*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 108*m1sq*m2**4*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 64*m2**6*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 33*m1sq*m2**4*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 72*m2**6*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 2*m1sq*m2sq*m4**4*(m4sq*m5 - m5**3)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 12*m2**4*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 36*m1sq*m2sq*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 30*m2**4*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 18*m1sq*m2sq*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 3*m1sq*m2**10*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 12*m1sq*m2**4*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 16*m2**6*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 24*m1sq*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 18*m2**10*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 2*m2**4*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 2*m1sq*m2**6*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + m2**8*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 3*m1sq*m2**6*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 18*m2**8*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 33*m1sq*m2**6*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 21*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - m1sq*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m2**8*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 5*m2**10*m4**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**6*m4**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m2**10*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**12*m4sq*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1sq*m2**8*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 29*m2**10*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 24*m1sq*m2**4*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 26*m2**6*m4**4*m5**4*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 16*m1sq*m2**4*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 60*m2**6*m4sq*m5**6*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 8*m1sq*m2**4*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 47*m2**6*m5**8*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*m2sq*m4**4*(m4sq*m5 - m5**3)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**4*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 20*m1sq*m2sq*m4sq*m5**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 14*m2**4*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*m2sq*m5**6*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1sq*m2**10*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 5*m2**12*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 4*m2**6*m4**6*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1sq*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 8*m2**10*m4sq*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m2**4*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)**2*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m2**6*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2**8*m4**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m1sq*m2**6*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 19*m2**8*m5**4*(m1sq - 4*m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - m1sq*m2**6*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 13*m2**8*m4sq*(m1sq - 4*m5sq)*m5sq*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 2*m1**4*m2**6*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m2**6*(-m1sq + m2sq)*m4**6*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 8*m2**6*(-m1sq + m2sq)*m4**4*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*m2**4*(m1sq - m2sq)*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m1sq*(m1sq - m2sq)*m2sq*m4**8*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1**4*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m1sq*m2**8*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 5*m1sq*(m1sq - m2sq)*m2sq*m4**4*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*m2**4*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*m5**6*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m2**8*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 7*m2**4*(-m1sq + m2sq)*m4sq*(m2 - 2*m5)**2*m5**4*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 6*m1sq*m2**4*(m1sq - m2sq)*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 5*m1sq*(m1sq - m2sq)*m2sq*m4**6*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1**4*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*(m1sq - m2sq)*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)**3*m5sq*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m2**6*(m1sq - m2sq)*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m4sq + 3*m5sq)*(m2**3 - 4*m2*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1**4*(m1sq - m2sq)*m4**4*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 2*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**4*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq)**2 + 8*(m1sq - m2sq)*m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*m5**6*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq)**2 + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq)**2 - m2**6*(m1sq - m2sq)*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq)**2 - m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m1sq + m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*T134fin(m5,m4,m1) + m2**10*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - 3*m2**6*(m4**4 - m5**4)*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - 3*m2**8*(m1sq - 4*m5sq)*(m2sq - 4*m5sq)**4*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + 2*m1sq*m2sq*m4**4*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - 2*m1sq*m2**4*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + m2**6*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - 2*m1sq*m2sq*m4sq*(m2 - 2*m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + (m1sq - 4*m5sq)*(m4sq - m5sq)**3*(m2**3 - 4*m2*m5sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + m2sq*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m5,m1) - m2sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1sq - 4*m5sq)*(m2sq - 2*m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m5,m2) + 2*m1sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1sq - 4*m5sq)*m5sq*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m5,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m5)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m2 + 2*m5)**2*(m1sq - 4*m5sq)*(m4sq - m5sq)*(m2**3 - 4*m2*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)))
		def eval_144():
			return ((2*m1sq*m2sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m1sq*(-m2**4 + 3*m4**4 + m1sq*(m2sq - 3*m4sq) + 6*m2sq*m4sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (4*m2**4*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(4*m2sq - m4sq)) + (2*m1sq*m2sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - (2*m2sq*m3sq*B0del(0,0,m2sq))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m2sq*(m1**4*(6*m2**6 - 18*m3sq*m4**4 + 3*m4**6 + 7*m3**4*m4sq - 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1sq*(16*m2**8 + 18*m3**4*m4**4 - 32*m3sq*m4**6 + 6*m4**8 - 3*m2**6*(8*m3sq + 15*m4sq) + m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)) + (m2sq - m4sq)*(10*m2**8 - 3*m4**4*(m3sq - m4sq)**2 - m2**6*(16*m3sq + 29*m4sq) + m2sq*(26*m3sq*m4**4 + 6*m4**6 - 12*m3**4*m4sq) + m2**4*(6*m3**4 - 20*m4**4 + 29*m3sq*m4sq)))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (2*m2sq*m3sq*B0del(0,0,m3sq))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m3sq*(m2**4 + 3*(m3sq - m4sq)*m4sq - m2sq*(m3sq + 6*m4sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + (m1sq*(-m2**4 + 3*m4**4 + m1sq*(m2sq - 3*m4sq) + 6*m2sq*m4sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m3sq*(m2**4 + 3*(m3sq - m4sq)*m4sq - m2sq*(m3sq + 6*m4sq))*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m2sq*(m1**4*(6*m2**6 - 18*m3sq*m4**4 + 3*m4**6 + 7*m3**4*m4sq - 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1sq*(16*m2**8 + 18*m3**4*m4**4 - 32*m3sq*m4**6 + 6*m4**8 - 3*m2**6*(8*m3sq + 15*m4sq) + m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)) + (m2sq - m4sq)*(10*m2**8 - 3*m4**4*(m3sq - m4sq)**2 - m2**6*(16*m3sq + 29*m4sq) + m2sq*(26*m3sq*m4**4 + 6*m4**6 - 12*m3**4*m4sq) + m2**4*(6*m3**4 - 20*m4**4 + 29*m3sq*m4sq)))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (2*m1sq*m2sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - (m1sq*(-m2**4 + 3*m4**4 + m1sq*(m2sq - 3*m4sq) + 6*m2sq*m4sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (4*m2**4*B0fin(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m3sq)*m4**2*(4*m2sq - m4sq)) - (2*m1sq*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (2*m2sq*m3sq*B0fin(0,0,m2sq))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (m2sq*(m1**4*(6*m2**6 - 18*m3sq*m4**4 + 3*m4**6 + 7*m3**4*m4sq - 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1sq*(16*m2**8 + 18*m3**4*m4**4 - 32*m3sq*m4**6 + 6*m4**8 - 3*m2**6*(8*m3sq + 15*m4sq) + m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)) + (m2sq - m4sq)*(10*m2**8 - 3*m4**4*(m3sq - m4sq)**2 - m2**6*(16*m3sq + 29*m4sq) + m2sq*(26*m3sq*m4**4 + 6*m4**6 - 12*m3**4*m4sq) + m2**4*(6*m3**4 - 20*m4**4 + 29*m3sq*m4sq)))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (2*m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (2*m2**4*B0fin(0,0,m2sq)**2)/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(4*m2sq - m4sq)) + (2*m2sq*m3sq*B0fin(0,0,m3sq))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m3sq*(-m2**4 + 3*m4**4 - 3*m3sq*m4sq + m2sq*(m3sq + 6*m4sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (2*m2sq*m3sq*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + ((m1sq + m2sq - m4sq)*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + ((2*m2sq - m4sq)*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(4*m2sq - m4sq)) - ((m2sq + m3sq - m4sq)*(m2 + m3 + m4 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) + (m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) + (m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - (2*m4sq*B0fin(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) - (m1sq*(-m2**4 + 3*m4**4 + m1sq*(m2sq - 3*m4sq) + 6*m2sq*m4sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m3sq*(-m2**4 + 3*m4**4 - 3*m3sq*m4sq + m2sq*(m3sq + 6*m4sq))*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) - (m2sq*(m1**4*(6*m2**6 - 18*m3sq*m4**4 + 3*m4**6 + 7*m3**4*m4sq - 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1sq*(16*m2**8 + 18*m3**4*m4**4 - 32*m3sq*m4**6 + 6*m4**8 - 3*m2**6*(8*m3sq + 15*m4sq) + m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)) + (m2sq - m4sq)*(10*m2**8 - 3*m4**4*(m3sq - m4sq)**2 - m2**6*(16*m3sq + 29*m4sq) + m2sq*(26*m3sq*m4**4 + 6*m4**6 - 12*m3**4*m4sq) + m2**4*(6*m3**4 - 20*m4**4 + 29*m3sq*m4sq)))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m1sq*(-m2**4 + 3*m4**4 + m1sq*(m2sq - 3*m4sq) + 6*m2sq*m4sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m2sq*(m1**4*(6*m2**6 - 18*m3sq*m4**4 + 3*m4**6 + 7*m3**4*m4sq - 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1sq*(16*m2**8 + 18*m3**4*m4**4 - 32*m3sq*m4**6 + 6*m4**8 - 3*m2**6*(8*m3sq + 15*m4sq) + m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)) + (m2sq - m4sq)*(10*m2**8 - 3*m4**4*(m3sq - m4sq)**2 - m2**6*(16*m3sq + 29*m4sq) + m2sq*(26*m3sq*m4**4 + 6*m4**6 - 12*m3**4*m4sq) + m2**4*(6*m3**4 - 20*m4**4 + 29*m3sq*m4sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m3sq*(m2**4 + 3*(m3sq - m4sq)*m4sq - m2sq*(m3sq + 6*m4sq))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) - ((m1sq + m2sq - m4sq)*T134fin(m4,m2,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - ((2*m2sq - m4sq)*T134fin(m4,m2,m2))/((m1sq - m2sq)*(m2sq - m3sq)*m4**2*(4*m2sq - m4sq)) + ((m2sq + m3sq - m4sq)*T134fin(m4,m3,m2))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))) + T134fin(m4,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) - T134fin(m4,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) - T134fin(m4,m4,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)))/(m2sq - m4sq)
		def eval_145():
			return (-(m1**6/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2)) - (3*m1sq*m4**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1**4*m4sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1sq*m6**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (2*m1sq*m2**8)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**10)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (4*m1sq*m2**4*m4**4)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**6*m4**4)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m1sq*m2**6*m4sq)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (4*m1sq*m2**4*m6**4)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**6*m6**4)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + m2**6/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m2sq*m4**4)/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m2sq*m6**4)/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2**4)/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) + (4*m1sq*m4sq*(m4sq - m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (8*m2**4*m4**4*(m4sq - m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m1sq*m2sq*m4**4*(m4sq - m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*(m4sq - m6sq)**2)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (2*(m4sq - m6sq)**2)/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) - (2*m1sq*m4sq*(m4sq - m6sq)**3)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (4*m1**4*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1sq*m4sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m2**6*m6sq)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (24*m1sq*m2**4*m4sq*m6sq)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (16*m2**6*m4sq*m6sq)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m2sq*m4sq*m6sq)/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*(m4sq - m6sq)**3*m6sq)/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m2**4*m6**4*(-m4sq + m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m1sq*m2sq*m6**4*(-m4sq + m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m1sq*m6sq*(-m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1**4*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m2**4*(m4sq + m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*(m4sq - m6sq)**3*(3*m4sq + m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m2sq*(m4sq - m6sq)**3*(m4sq + 3*m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**4*(-m1sq + m2sq)*m6**4)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (10*(m1sq - m2sq)*m4**4*m6**4)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2sq*(-m1sq + m2sq)*m4sq*m6**4)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*(m1sq - m2sq)*m2sq*m6**6)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*m4sq*m6**6)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*m6**8)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2**6*(m1sq - m2sq)*(m2 + m4 + m6))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (4*(m1sq - m2sq)*m2sq*m4**4*(m2 + m4 + m6))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (4*(m1sq - m2sq)*m2sq*m6**4*(m2 + m4 + m6))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(m1sq - m2sq)*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2sq*(-m1sq + m2sq)*m4**4*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (6*(m1sq - m2sq)*m4**6*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2**4*(m1sq - m2sq)*m4sq*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (24*(m1sq - m2sq)*m2sq*m4sq*(m2 + m4 + m6)*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (4*m2**4*(m1sq - m2sq)*(m2 + m4 + m6)*(m4sq + m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*(m2 + m4 + m6)*(m4sq - m6sq)**2*(m4sq + m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m6**4)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (2*m2sq*(-m1sq + m2sq)*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (10*(m1sq - m2sq)*m4sq*m6sq)/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 - ((m1sq - m2sq)*(m2**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m2sq*(m4sq + m6sq)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (2*m1**6*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m4sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*m2**8*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (4*m2**10*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**4*m4**4*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (4*m2**6*m4**4*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**6*m4sq*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m2**8*m4sq*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**4*m6**4*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (4*m2**6*m6**4*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m4**4*(m4sq - m6sq)*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**6*m6sq*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m2**8*m6sq*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (12*m1sq*m2**4*m4sq*m6sq*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (16*m2**6*m4sq*m6sq*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m6**4*(-m4sq + m6sq)*B0del(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (m1sq*m4**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m6**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m2**8*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**10*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**4*m4**4*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**6*m4**4*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**8*m4sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m2**6*m6**4*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m2**6*B0del(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4**4*B0del(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4*B0del(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*m4**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*m4sq*(m4sq - m6sq)**3*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1**4*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m2**6*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**8*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4sq*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**6*m4sq*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2sq*m4sq*m6sq*B0del(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (8*m2**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2sq*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**4*m6**4*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m6**4*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*m6sq*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (6*m2**4*(m1sq - m2sq)*m4**4*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4**6*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m4**8*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(-m1sq + m2sq)*m4sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2**4*(m1sq - m2sq)*m6**4*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (12*(m1sq - m2sq)*m4**4*m6**4*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4sq*m6**4*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m6**6*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m4sq*m6**6*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m6**8*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(-m1sq + m2sq)*m6sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4**4*m6sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m4**6*m6sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2**4*(m1sq - m2sq)*m4sq*m6sq*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - ((m1sq - m2sq)*(m2**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m2sq*(m4sq + m6sq))*B0del(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 - (m1sq*m4**4*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m4sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m6**4*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m2**8*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**10*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m2**6*m4**4*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**6*m4sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**8*m4sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**4*m6**4*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**6*m6**4*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m2**6*B0del(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4**4*B0del(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4*B0del(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**4*m4**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m4**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**4*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (m1sq*m4sq*(m4sq - m6sq)**3*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**8*m6sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4sq*m6sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**6*m4sq*m6sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2sq*m4sq*m6sq*B0del(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (8*m2**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m1sq*m2sq*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*m6sq*(-m4sq + m6sq)**3*B0del(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (6*m2**4*(m1sq - m2sq)*m4**4*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4**6*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m4**8*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(-m1sq + m2sq)*m4sq*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2**4*(m1sq - m2sq)*m6**4*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (12*(m1sq - m2sq)*m4**4*m6**4*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4sq*m6**4*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m6**6*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m4sq*m6**6*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m6**8*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(-m1sq + m2sq)*m6sq*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4**4*m6sq*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m4**6*m6sq*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2**4*(m1sq - m2sq)*m4sq*m6sq*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - ((m1sq - m2sq)*(m2**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m2sq*(m4sq + m6sq))*B0del(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 - (2*m1**6*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1**4*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1**4*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**10*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (10*m1sq*m2**4*m4**4*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (28*m2**6*m4**4*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**6*m4sq*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (16*m2**8*m4sq*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (10*m1sq*m2**4*m6**4*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (28*m2**6*m6**4*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (16*m2**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (16*m2**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**6*m6sq*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (16*m2**8*m6sq*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (12*m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m6sq*(-m4sq + m6sq)**3*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m2sq*(m4sq - m6sq)**3*(3*m4sq + m6sq)*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (m2sq*(m4sq - m6sq)**3*(m4sq + 3*m6sq)*B0fin(0,0,m2sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1**6*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m6**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2**10*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (16*m1sq*m2**4*m4**4*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (28*m2**6*m4**4*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m1sq*m2**6*m4sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (14*m2**8*m4sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m6**4*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**6*B0fin(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m4**4*B0fin(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m6**4*B0fin(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (18*m2**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m1sq*m2sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1**4*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m2**6*m6sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**8*m6sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (16*m2**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (14*m1sq*m2sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**4*m6**4*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m6sq*(-m4sq + m6sq)**3*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (5*m1**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m2**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*(m4sq - m6sq)**3*(3*m4sq + m6sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**4*(-m1sq + m2sq)*m4**4*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*(m1sq - m2sq)*m2sq*m4**6*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*m4**8*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(m1sq - m2sq)*m4sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*m2**4*(m1sq - m2sq)*m6**4*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*m4**4*m6**4*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (18*(m1sq - m2sq)*m2sq*m4sq*m6**4*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*m2sq*(-m1sq + m2sq)*m6**6*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (6*(m1sq - m2sq)*m4sq*m6**6*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m6**8*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2**6*(-m1sq + m2sq)*m6sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*(m1sq - m2sq)*m2sq*m4**4*m6sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*(m1sq - m2sq)*m4**6*m6sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (14*m2**4*(-m1sq + m2sq)*m4sq*m6sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (6*(m1sq - m2sq)*m6**4*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (6*(m1sq - m2sq)*m2sq*m6sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 - (6*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (2*(m1sq - m2sq)*(m2**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m2sq*(m4sq + m6sq))*B0fin(0,0,m4sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m2**8*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**10*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m2**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**4*m6**4*(-m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*(m4sq + m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**6*(-m1sq + m2sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (m2sq*(-m1sq + m2sq)*m4**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (m2sq*(-m1sq + m2sq)*m6**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2sq*(-m1sq + m2sq)*m4sq*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (m2**4*(-m1sq + m2sq)*(m4sq + m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - ((m1sq - m2sq)*(m4sq - m6sq)**2*(m4sq + m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (m1**6*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m4**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4*m4sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m6**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2**10*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4**4*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**6*m4sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**8*m4sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (16*m1sq*m2**4*m6**4*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (28*m2**6*m6**4*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**6*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m4**4*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m6**4*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m1sq*m2sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (18*m2**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m1**4*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (8*m1sq*m2**6*m6sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (14*m2**8*m6sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (16*m2**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (14*m1sq*m2sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m1sq*m2sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (5*m1**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m2**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*(m4sq - m6sq)**3*(m4sq + 3*m6sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**4*(-m1sq + m2sq)*m4**4*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*(m1sq - m2sq)*m2sq*m4**6*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*m4**8*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(m1sq - m2sq)*m4sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*m2**4*(m1sq - m2sq)*m6**4*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*m4**4*m6**4*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (18*(m1sq - m2sq)*m2sq*m4sq*m6**4*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*m2sq*(-m1sq + m2sq)*m6**6*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (6*(m1sq - m2sq)*m4sq*m6**6*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m6**8*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2**6*(-m1sq + m2sq)*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*(m1sq - m2sq)*m2sq*m4**4*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*(m1sq - m2sq)*m4**6*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (14*m2**4*(-m1sq + m2sq)*m4sq*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (6*(m1sq - m2sq)*m6**4*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (6*(m1sq - m2sq)*m2sq*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 - (6*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (2*(m1sq - m2sq)*(m2**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m2sq*(m4sq + m6sq))*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 + (m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m2**8*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m2**10*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m2**6*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m2**8*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (2*m1sq*m2**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**6*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m1sq*m2sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (m1sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (2*m2**8*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (6*m1sq*m2**4*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (8*m2**6*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (8*m2**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (6*m1sq*m2sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) + (m1sq*m6sq*(-m4sq + m6sq)**3*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2 - m4 - m6)**3*(m2 + m4 - m6)**3*(m2 - m4 + m6)**3*(m2 + m4 + m6)**3) - (m1**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m1sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (6*m2**4*(m1sq - m2sq)*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m4**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(-m1sq + m2sq)*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2**4*(m1sq - m2sq)*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (12*(m1sq - m2sq)*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**6*(-m1sq + m2sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (6*m2sq*(-m1sq + m2sq)*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*(m1sq - m2sq)*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (4*m2**4*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - ((m1sq - m2sq)*(m2**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m2sq*(m4sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**2 - (2*m1**4*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m4sq + m6sq)*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**4*T134fin(m6,m4,m2))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2sq*(m4sq + m6sq)*T134fin(m6,m4,m2))/((m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2**6*(-m1sq + m2sq)*T134fin(m6,m4,m2))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m2sq*m4**4*T134fin(m6,m4,m2))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*(m1sq - m2sq)*m2sq*m6**4*T134fin(m6,m4,m2))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (12*m2sq*(-m1sq + m2sq)*m4sq*m6sq*T134fin(m6,m4,m2))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 + (2*m2**4*(m1sq - m2sq)*(m4sq + m6sq)*T134fin(m6,m4,m2))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3 - (2*(m1sq - m2sq)*(m4sq - m6sq)**2*(m4sq + m6sq)*T134fin(m6,m4,m2))/(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))**3)/(m1sq - m2sq)**2
		def eval_146():
			return (8*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**4 + 8*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6 + 4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m7**4*(m4sq - m7sq) + 8*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq - 8*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq - 4*m1**4*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq + 4*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq + 4*m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq + 4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2 + 17*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 17*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 25*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 25*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 5*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 3*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 3*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 18*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 18*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 12*m1sq*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 12*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - m1sq*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 2*m2**10*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m2 + m4 + m7)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 4*m2**8*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*(m2 + m4 + m7)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 2*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 + m7)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 2*m1sq*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 + m7)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 + m7)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m2 + m4 + m7)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 4*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 16*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 2*m1sq*m2sq*(m2 + 2*m4)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 2*m2sq*(m2 + 2*m4)*(m1sq - 4*m4sq)*(m2sq - 2*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 4*m1sq*(m2 + 2*m4)*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 2*m2**6*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m2 + m4 + m7)*(m4**4 - m7**4)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 124*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 124*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 4*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 4*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 26*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 26*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 3*m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 3*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 34*m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 34*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 16*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 16*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) + 16*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 16*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*m7sq*B0del(0,0,m1sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m1sq) - 8*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 29*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 8*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 47*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 2*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 2*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 5*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 24*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 26*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 4*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 2*m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 16*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 60*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 3*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 2*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 8*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 4*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 19*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 4*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 13*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 14*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 2*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) + 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 4*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 20*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m2sq) - 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**4*B0del(0,0,m4sq) + 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*B0del(0,0,m4sq) + 6*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**4*B0del(0,0,m4sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**6*B0del(0,0,m4sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*B0del(0,0,m4sq) - m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*B0del(0,0,m4sq) + 8*m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq) - m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq) + m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq) + m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m4sq) - m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m4sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m4sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m4sq) - m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + m2**8*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + 7*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) - m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0del(0,0,m4sq) + 2*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m4sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m4sq) - 8*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 29*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 8*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 47*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 5*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 24*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 26*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 4*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 4*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 16*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 16*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 60*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 8*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 4*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 19*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 4*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 13*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 14*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) + 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 4*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 20*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m4sq) - 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**4*B0del(0,0,m7sq) + 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*B0del(0,0,m7sq) + 6*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**4*B0del(0,0,m7sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**6*B0del(0,0,m7sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*B0del(0,0,m7sq) - m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*B0del(0,0,m7sq) + 8*m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq) - m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq) + m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq) + m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m7sq) - m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m7sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m7sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0del(0,0,m7sq) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*m7sq*B0del(0,0,m7sq) - m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + m2**8*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + 7*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) - m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0del(0,0,m7sq) + 2*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0del(0,0,m7sq) - m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m7sq) + 3*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m7sq) + m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m7sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m7sq) - 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0del(0,0,m7sq) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*m7sq*B0fin(0,0,m1sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m1sq) - 9*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 12*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 33*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 72*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 3*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 2*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 42*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 8*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 12*m1sq*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 16*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + m1sq*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 108*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 64*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 3*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 24*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 18*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 3*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 18*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 2*m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 33*m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 21*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 30*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 18*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) - 12*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 36*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq) + 2*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1/2. + m4 + m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) - 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2/2. + m4 + m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + 8*m1sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2/2. + m4 + m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**4*B0fin(0,0,m4sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*B0fin(0,0,m4sq) - 14*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**4*B0fin(0,0,m4sq) - m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**6*B0fin(0,0,m4sq) - 3*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*B0fin(0,0,m4sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*B0fin(0,0,m4sq) + 4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq) + m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq) + m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq) - m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq) + m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq) - 9*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq) + 7*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq) + 4*m1**4*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq) + m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + 11*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) - 3*m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + 2*m2**6*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0fin(0,0,m4sq) + 6*m2sq*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m4sq) - 9*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 12*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 33*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 72*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 3*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 2*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 42*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 8*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 12*m1sq*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 16*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + m1sq*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 12*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 48*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 2*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 108*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 64*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 24*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 18*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 3*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 18*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 2*m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 33*m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 21*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 30*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 18*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) - 12*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + 36*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 29*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 47*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 5*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 24*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 26*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 16*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 60*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 19*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 13*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(3*m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 14*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 20*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4**3 - m4*m7sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq)**2 - 8*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq)**2 - m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq)**2 + m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m4sq)**2 - 2*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1sq - m4sq + m7sq)*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*m2**8*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m1sq*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 4*m2**6*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m4**4 - m7**4)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*(m4sq - m7sq)**3*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) - 4*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*((m2 + m4 + m7)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)) + 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**4*B0fin(0,0,m7sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*B0fin(0,0,m7sq) - 14*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**4*B0fin(0,0,m7sq) - m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**6*B0fin(0,0,m7sq) - 3*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*B0fin(0,0,m7sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*B0fin(0,0,m7sq) + 4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq) + m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq) + m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq) - m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m7sq) + m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m7sq) - 9*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m7sq) + 7*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m7sq) + 4*m1**4*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m7sq) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*m7sq*B0fin(0,0,m7sq) + m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + 11*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) - 3*m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + 2*m2**6*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0fin(0,0,m7sq) + 6*m2sq*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m7sq) - 3*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m7sq) + m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m7sq) - m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m7sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m7sq) + 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m7sq) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + 3*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m4sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq) - 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 8*m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + m2**8*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 7*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m7sq)*m7sq*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m4,m4,m1) + m2sq*(m1sq - 4*m4sq)*(m2sq - 2*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m4,m4,m2) - 2*m1sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m4,m4,m2) + m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m1sq - m4sq + m7sq)*T134fin(m7,m4,m1) - m2**10*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) + 3*m2**8*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7**4*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) - 3*m2**6*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m4**4 - m7**4)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) + (m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*(m4sq - m7sq)**3*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) + 2*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) - m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m7sq*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*T134fin(m7,m4,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m4sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq)))
		def eval_147():
			return (8*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**4 + 8*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6 + 4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m5**4*(m4sq - m5sq) + 8*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq - 8*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq - 4*m1**4*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq + 4*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq + 4*m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq + 4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(m4**3 - m4*m5sq)**2 + 17*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 17*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 25*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 25*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 5*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 3*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 3*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 18*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 18*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 12*m1sq*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 12*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - m1sq*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m2**10*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m2 + m4 + m5)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m2**8*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*(m2 + m4 + m5)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 + m5)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m1sq*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 + m5)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 + m5)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m2 + m4 + m5)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 16*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m1sq*m2sq*(m2 + 2*m4)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m2sq*(m2 + 2*m4)*(m1sq - 4*m4sq)*(m2sq - 2*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m1sq*(m2 + 2*m4)*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 2*m2**6*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m2 + m4 + m5)*(m4**4 - m5**4)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 124*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 124*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 26*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 26*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 3*m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 3*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 34*m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 34*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 16*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 16*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) + 16*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 16*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*m5sq*B0del(0,0,m1sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m1sq) - 8*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 29*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 8*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 47*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 5*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 24*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 26*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 4*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 16*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 60*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 3*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 8*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 4*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 19*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 4*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 13*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 14*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) + 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 4*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 20*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m2sq) - 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**4*B0del(0,0,m4sq) + 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*B0del(0,0,m4sq) + 6*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**4*B0del(0,0,m4sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**6*B0del(0,0,m4sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*B0del(0,0,m4sq) - m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*B0del(0,0,m4sq) + 8*m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m5**4*(m4sq - m5sq)*B0del(0,0,m4sq) - m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m5**4*(m4sq - m5sq)*B0del(0,0,m4sq) + m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**6*(m4sq - m5sq)*B0del(0,0,m4sq) + m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m4sq) - m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m4sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m4sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m4sq) - m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m4sq) + m2**8*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m4sq) + 7*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m4sq) - m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m4sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(3*m4sq + m5sq)*B0del(0,0,m4sq) + 2*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(m4**3 - m4*m5sq)**2*B0del(0,0,m4sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m4sq) - 8*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 29*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 8*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 47*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 5*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 24*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 26*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 4*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 4*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 16*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 2*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 16*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 60*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 2*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 8*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 4*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 19*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 4*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 13*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 14*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) + 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 4*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 20*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m4sq) - 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**4*B0del(0,0,m5sq) + 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*B0del(0,0,m5sq) + 6*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**4*B0del(0,0,m5sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**6*B0del(0,0,m5sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*B0del(0,0,m5sq) - m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*B0del(0,0,m5sq) + 8*m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m5**4*(m4sq - m5sq)*B0del(0,0,m5sq) - m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m5**4*(m4sq - m5sq)*B0del(0,0,m5sq) + m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**6*(m4sq - m5sq)*B0del(0,0,m5sq) + m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m5sq) - m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m5sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m5sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0del(0,0,m5sq) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*m5sq*B0del(0,0,m5sq) - m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) + m2**8*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) + 7*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) - m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0del(0,0,m5sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(3*m4sq + m5sq)*B0del(0,0,m5sq) + 2*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(m4**3 - m4*m5sq)**2*B0del(0,0,m5sq) - m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 3*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) - 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0del(0,0,m5sq) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*m5sq*B0fin(0,0,m1sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq) - 9*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 12*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 33*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 72*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 3*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 2*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 42*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 8*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 12*m1sq*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 16*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m1sq*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 108*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 64*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 3*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 24*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 18*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 3*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 18*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 2*m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 33*m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 21*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 30*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 18*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) - 12*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 36*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq) + 2*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m1/2. + m4 + m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)) - 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2/2. + m4 + m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + 8*m1sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2/2. + m4 + m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)) + 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**4*B0fin(0,0,m4sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*B0fin(0,0,m4sq) - 14*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**4*B0fin(0,0,m4sq) - m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**6*B0fin(0,0,m4sq) - 3*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*B0fin(0,0,m4sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*B0fin(0,0,m4sq) + 4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m5**4*(m4sq - m5sq)*B0fin(0,0,m4sq) + m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m5**4*(m4sq - m5sq)*B0fin(0,0,m4sq) + m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**6*(m4sq - m5sq)*B0fin(0,0,m4sq) - m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq) + m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq) - 9*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq) + 7*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq) + 4*m1**4*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq) + m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq) + m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq) + 11*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq) - 3*m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq) + 2*m2**6*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(3*m4sq + m5sq)*B0fin(0,0,m4sq) + 6*m2sq*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(m4**3 - m4*m5sq)**2*B0fin(0,0,m4sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m4sq) - 9*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 12*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 33*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 72*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 3*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 2*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 42*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 8*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 12*m1sq*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 16*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + m1sq*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 12*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 48*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 2*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 108*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 64*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 24*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 18*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 3*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 18*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 2*m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 33*m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 21*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 30*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 18*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) - 12*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + 36*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 29*m2**10*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 8*m1sq*m2**4*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 47*m2**6*m4**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 5*m2**12*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 5*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 24*m1sq*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 26*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**10*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**12*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 16*m1sq*m2**4*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 60*m2**6*m4**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 2*m1sq*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 8*m2**10*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m1sq*m2**6*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 19*m2**8*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - m1sq*m2**6*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 4*m2**8*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + m1sq*m2**6*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 13*m2**8*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(3*m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 14*m2**4*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2sq*m4**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m2**4*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*m2sq*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 4*m2**4*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) - 20*m1sq*m2sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4**3 - m4*m5sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq) + 2*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq)**2 - 8*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq)**2 - m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq)**2 + m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*m4sq*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m4sq)**2 - 2*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1sq - m4sq + m5sq)*((m1 + m4 + m5)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*m2**8*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 2*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 2*m1sq*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 4*m2**6*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m4**4 - m5**4)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*(m4sq - m5sq)**3*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 2*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) - 4*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*((m2 + m4 + m5)/2. + m2*B0fin(0,0,m2) + m4*B0fin(0,0,m4) + m5*B0fin(0,0,m5)) + 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**4*B0fin(0,0,m5sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*B0fin(0,0,m5sq) - 14*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**4*B0fin(0,0,m5sq) - m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**6*B0fin(0,0,m5sq) - 3*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*B0fin(0,0,m5sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*B0fin(0,0,m5sq) + 4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m5**4*(m4sq - m5sq)*B0fin(0,0,m5sq) + m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m5**4*(m4sq - m5sq)*B0fin(0,0,m5sq) + m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**6*(m4sq - m5sq)*B0fin(0,0,m5sq) - m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m5sq) + m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m5sq) - 9*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m5sq) + 7*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m5sq) + 4*m1**4*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m5sq) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*m5sq*B0fin(0,0,m5sq) + m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) + m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) + 11*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) - 3*m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m5sq) + 2*m2**6*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(3*m4sq + m5sq)*B0fin(0,0,m5sq) + 6*m2sq*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(m4**3 - m4*m5sq)**2*B0fin(0,0,m5sq) - 3*m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) + 4*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m5sq) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1sq*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + 3*m2**8*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) + m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 4*m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq) - 2*m1**4*m2**6*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 6*m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**4*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**6*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - 5*m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5**6*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**8*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 8*m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*m5**4*(m4sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1**4*(m1sq - m2sq)*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*m5**4*(m4sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m2**6*(-m1sq + m2sq)*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m5**6*(m4sq - m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m1**4*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*m2**8*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m1sq*m2**4*(m1sq - m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m1sq*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*m4**6*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1sq*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + m2**8*(-m1sq + m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 7*m2**4*(-m1sq + m2sq)*(m2 - 2*m4)**2*m4**4*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m1**4*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*m2**6*(m1sq - m2sq)*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(3*m4sq + m5sq)*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) + 2*(m1sq - m2sq)*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m4sq - m5sq)*m5sq*(m4**3 - m4*m5sq)**2*B0fin(0,0,m4sq)*B0fin(0,0,m5sq) - m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m4,m4,m1) + m2sq*(m1sq - 4*m4sq)*(m2sq - 2*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m4,m4,m2) - 2*m1sq*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m4,m4,m2) + m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m1sq - m4sq + m5sq)*T134fin(m5,m4,m1) - m2**10*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + 3*m2**8*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*m4sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5**4*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - 3*m2**6*(m1sq - 4*m4sq)*(m2sq - 4*m4sq)**4*(m4**4 - m5**4)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + (m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**4*(m4sq - m5sq)**3*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + 2*m1sq*m2**4*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) - m2**6*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2) + 2*m1sq*m2sq*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*m4sq*(m2**3 - 4*m2*m4sq)**2*m5sq*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*T134fin(m5,m4,m2))/(m2**2*(m1sq - m2sq)**2*(m2 - 2*m4)**2*(m2 + 2*m4)**2*(m1sq - 4*m4sq)*(m2**3 - 4*m2*m4sq)**2*(m2 + m4 - m5)**2*(m2 - m4 + m5)**2*(-m2 + m4 + m5)**2*(m2 + m4 + m5)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq)))
		def eval_148():
			return ((-4*m1**4*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(4*m1sq - m4sq)) - (2*m1sq*m2sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - (2*m1sq*m3sq*B0del(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m1sq*(10*m1**10 - m1**8*(16*m2sq + 16*m3sq + 39*m4sq) + 3*m1**6*(2*m2**4 + 2*m3**4 + 3*m4**4 + 15*m3sq*m4sq + m2sq*(8*m3sq + 15*m4sq)) + m4sq*(3*m4**4*(m3sq - m4sq)**2 - 2*m2sq*(-16*m3sq*m4**4 + 3*m4**6 + 9*m3**4*m4sq) + m2**4*(7*m3**4 + 3*m4**4 - 18*m3sq*m4sq)) + m1sq*(9*m3**4*m4**4 - 20*m3sq*m4**6 - 9*m4**8 - m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1**4*(3*m3sq*m4**4 - 26*m4**6 + 18*m3**4*m4sq + 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (2*m1sq*m2sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m2sq*(m1**4 + 3*(m2sq - m4sq)*m4sq - m1sq*(m2sq + 6*m4sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - (2*m1sq*m3sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m3sq*(m1**4 + 3*(m3sq - m4sq)*m4sq - m1sq*(m3sq + 6*m4sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + (m2sq*(m1**4 + 3*(m2sq - m4sq)*m4sq - m1sq*(m2sq + 6*m4sq))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m3sq*(m1**4 + 3*(m3sq - m4sq)*m4sq - m1sq*(m3sq + 6*m4sq))*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m1sq*(10*m1**10 - m1**8*(16*m2sq + 16*m3sq + 39*m4sq) + 3*m1**6*(2*m2**4 + 2*m3**4 + 3*m4**4 + 15*m3sq*m4sq + m2sq*(8*m3sq + 15*m4sq)) + m4sq*(3*m4**4*(m3sq - m4sq)**2 - 2*m2sq*(-16*m3sq*m4**4 + 3*m4**6 + 9*m3**4*m4sq) + m2**4*(7*m3**4 + 3*m4**4 - 18*m3sq*m4sq)) + m1sq*(9*m3**4*m4**4 - 20*m3sq*m4**6 - 9*m4**8 - m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1**4*(3*m3sq*m4**4 - 26*m4**6 + 18*m3**4*m4sq + 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (4*m1**4*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(4*m1sq - m4sq)) + (2*m1sq*m2sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (2*m1sq*m3sq*B0fin(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m1sq*(10*m1**10 - m1**8*(16*m2sq + 16*m3sq + 39*m4sq) + 3*m1**6*(2*m2**4 + 2*m3**4 + 3*m4**4 + 15*m3sq*m4sq + m2sq*(8*m3sq + 15*m4sq)) + m4sq*(3*m4**4*(m3sq - m4sq)**2 - 2*m2sq*(-16*m3sq*m4**4 + 3*m4**6 + 9*m3**4*m4sq) + m2**4*(7*m3**4 + 3*m4**4 - 18*m3sq*m4sq)) + m1sq*(9*m3**4*m4**4 - 20*m3sq*m4**6 - 9*m4**8 - m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1**4*(3*m3sq*m4**4 - 26*m4**6 + 18*m3**4*m4sq + 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (2*m1**4*B0fin(0,0,m1sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(4*m1sq - m4sq)) + (2*m1sq*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m2sq*(-m1**4 + 3*m4**4 - 3*m2sq*m4sq + m1sq*(m2sq + 6*m4sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - (2*m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (2*m1sq*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m3sq*(-m1**4 + 3*m4**4 - 3*m3sq*m4sq + m1sq*(m3sq + 6*m4sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (2*m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - ((2*m1sq - m4sq)*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(4*m1sq - m4sq)) - ((m1sq + m2sq - m4sq)*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) - ((m1sq + m3sq - m4sq)*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) + (m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) + (m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - (2*m4sq*B0fin(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + (m2sq*(-m1**4 + 3*m4**4 - 3*m2sq*m4sq + m1sq*(m2sq + 6*m4sq))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m3sq*(-m1**4 + 3*m4**4 - 3*m3sq*m4sq + m1sq*(m3sq + 6*m4sq))*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m1sq*(10*m1**10 - m1**8*(16*m2sq + 16*m3sq + 39*m4sq) + 3*m1**6*(2*m2**4 + 2*m3**4 + 3*m4**4 + 15*m3sq*m4sq + m2sq*(8*m3sq + 15*m4sq)) + m4sq*(3*m4**4*(m3sq - m4sq)**2 - 2*m2sq*(-16*m3sq*m4**4 + 3*m4**6 + 9*m3**4*m4sq) + m2**4*(7*m3**4 + 3*m4**4 - 18*m3sq*m4sq)) + m1sq*(9*m3**4*m4**4 - 20*m3sq*m4**6 - 9*m4**8 - m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1**4*(3*m3sq*m4**4 - 26*m4**6 + 18*m3**4*m4sq + 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) - (m1sq*(10*m1**10 - m1**8*(16*m2sq + 16*m3sq + 39*m4sq) + 3*m1**6*(2*m2**4 + 2*m3**4 + 3*m4**4 + 15*m3sq*m4sq + m2sq*(8*m3sq + 15*m4sq)) + m4sq*(3*m4**4*(m3sq - m4sq)**2 - 2*m2sq*(-16*m3sq*m4**4 + 3*m4**6 + 9*m3**4*m4sq) + m2**4*(7*m3**4 + 3*m4**4 - 18*m3sq*m4sq)) + m1sq*(9*m3**4*m4**4 - 20*m3sq*m4**6 - 9*m4**8 - m2sq*m4sq*(m3**4 + 20*m4**4 - 63*m3sq*m4sq) + m2**4*(2*m3**4 + 9*m4**4 - m3sq*m4sq)) - m1**4*(3*m3sq*m4**4 - 26*m4**6 + 18*m3**4*m4sq + 2*m2**4*(4*m3sq + 9*m4sq) + m2sq*(8*m3**4 + 3*m4**4 + 20*m3sq*m4sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m2sq*(m1**4 + 3*(m2sq - m4sq)*m4sq - m1sq*(m2sq + 6*m4sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + (m3sq*(m1**4 + 3*(m3sq - m4sq)*m4sq - m1sq*(m3sq + 6*m4sq))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + ((2*m1sq - m4sq)*T134fin(m4,m1,m1))/((m1sq - m2sq)*(m1sq - m3sq)*m4**2*(4*m1sq - m4sq)) + ((m1sq + m2sq - m4sq)*T134fin(m4,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))) + ((m1sq + m3sq - m4sq)*T134fin(m4,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))) + T134fin(m4,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) - T134fin(m4,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) - T134fin(m4,m4,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)))/(m1sq - m4sq)
		def eval_149():
			return ((2*m1**10)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**8*m3sq)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**6*m4**4)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (4*m1**4*m3sq*m4**4)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m1**6*m3sq*m4sq)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**6*m6**4)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (4*m1**4*m3sq*m6**4)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + m1**6/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1sq*m4**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1sq*m6**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - m3**6/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (3*m3sq*m4**4)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3**4*m4sq)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (3*m3sq*m6**4)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)) + (8*m1**4*m4**4*(m4sq - m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m1sq*m3sq*m4**4*(m4sq - m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m3sq*m4sq*(m4sq - m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*(m4sq - m6sq)**2)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (2*(m4sq - m6sq)**2)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)) - (2*m3sq*m4sq*(m4sq - m6sq)**3)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m1**6*m3sq*m6sq)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (16*m1**6*m4sq*m6sq)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (24*m1**4*m3sq*m4sq*m6sq)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1sq*m4sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m3**4*m6sq)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (6*m3sq*m4sq*m6sq)/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3sq*(m4sq - m6sq)**3*m6sq)/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1**4*m6**4*(-m4sq + m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m1sq*m3sq*m6**4*(-m4sq + m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m3sq*m6sq*(-m4sq + m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (3*m1**4*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m3**4*(m4sq + m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1sq*(m4sq - m6sq)**3*(3*m4sq + m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1sq*(m4sq - m6sq)**3*(m4sq + 3*m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*(m1sq - m3sq)*m6**4)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (10*(m1sq - m3sq)*m4**4*m6**4)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (4*m1sq*(m1sq - m3sq)*m4sq*m6**4)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1sq*(m1sq - m3sq)*m6**6)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*m4sq*m6**6)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*m6**8)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*m1**6*(m1sq - m3sq)*(m1 + m4 + m6))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (4*m1sq*(m1sq - m3sq)*m4**4*(m1 + m4 + m6))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (4*m1sq*(m1sq - m3sq)*m6**4*(m1 + m4 + m6))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m1**6*(m1sq - m3sq)*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1sq*(m1sq - m3sq)*m4**4*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*(m1sq - m3sq)*m4**6*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1**4*(m1sq - m3sq)*m4sq*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (24*m1sq*(m1sq - m3sq)*m4sq*(m1 + m4 + m6)*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (4*m1**4*(m1sq - m3sq)*(m1 + m4 + m6)*(m4sq + m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*(m1 + m4 + m6)*(m4sq - m6sq)**2*(m4sq + m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m6**4)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 + (2*m1sq*(m1sq - m3sq)*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (10*(m1sq - m3sq)*m4sq*m6sq)/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 + ((m1sq - m3sq)*(m1**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m1sq*(m4sq + m6sq)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (4*m1**10*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**8*m3sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (4*m1**6*m4**4*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m3sq*m4**4*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1**8*m4sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m4sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (4*m1**6*m6**4*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m3sq*m6**4*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m4**4*(m4sq - m6sq)*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1**8*m6sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m6sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (16*m1**6*m4sq*m6sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (12*m1**4*m3sq*m4sq*m6sq*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m6**4*(-m4sq + m6sq)*B0del(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m3**6*B0del(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4*m4sq*B0del(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4*m6sq*B0del(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**10*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1**8*m3sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**6*m4**4*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m3sq*m4**4*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**8*m4sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1**6*m6**4*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1**6*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m4**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m6**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3sq*m4**4*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m6**4*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**4*m4**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (m3sq*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)**3*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**8*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**6*m4sq*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m3**4*m6sq*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3sq*m4sq*m6sq*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (8*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1sq*m3sq*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**4*m6**4*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m6**4*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*m6sq*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (6*m1**4*(m1sq - m3sq)*m4**4*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4**6*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m4**8*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1**6*(m1sq - m3sq)*m4sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1**4*(m1sq - m3sq)*m6**4*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (12*(m1sq - m3sq)*m4**4*m6**4*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4sq*m6**4*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m6**6*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m4sq*m6**6*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m6**8*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1**6*(m1sq - m3sq)*m6sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4**4*m6sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m4**6*m6sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*m1**4*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + ((m1sq - m3sq)*(m1**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m1sq*(m4sq + m6sq))*B0del(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (2*m1**10*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1**8*m3sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1**6*m4**4*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**8*m4sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m4sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**6*m6**4*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m3sq*m6**4*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1**6*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m4**4*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m6**4*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3sq*m4**4*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4*m4sq*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m6**4*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**4*m4**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m4**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**4*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*m4sq*(m4sq - m6sq)*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)**3*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**8*m6sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**6*m4sq*m6sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m3sq*m4sq*m6sq*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (8*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1sq*m3sq*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m6sq*(-m4sq + m6sq)**3*B0del(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (6*m1**4*(m1sq - m3sq)*m4**4*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4**6*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m4**8*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1**6*(m1sq - m3sq)*m4sq*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1**4*(m1sq - m3sq)*m6**4*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (12*(m1sq - m3sq)*m4**4*m6**4*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4sq*m6**4*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m6**6*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m4sq*m6**6*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m6**8*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1**6*(m1sq - m3sq)*m6sq*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4**4*m6sq*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m4**6*m6sq*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*m1**4*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + ((m1sq - m3sq)*(m1**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m1sq*(m4sq + m6sq))*B0del(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 + (2*m1**10*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (28*m1**6*m4**4*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (10*m1**4*m3sq*m4**4*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (16*m1**8*m4sq*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**6*m3sq*m4sq*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (28*m1**6*m6**4*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (10*m1**4*m3sq*m6**4*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (16*m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (16*m1**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m3sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (16*m1**8*m6sq*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**6*m3sq*m6sq*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (12*m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m3sq*m6sq*(-m4sq + m6sq)**3*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1sq*(m4sq - m6sq)**3*(3*m4sq + m6sq)*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (m1sq*(m4sq - m6sq)**3*(m4sq + 3*m6sq)*B0fin(0,0,m1sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m3**6*B0fin(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (6*m3**4*m4sq*B0fin(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (6*m3**4*m6sq*B0fin(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m3sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**10*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (28*m1**6*m4**4*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (16*m1**4*m3sq*m4**4*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (14*m1**8*m4sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1**6*m3sq*m4sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m6**4*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m6**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m3**6*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m4**4*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3**4*m4sq*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m6**4*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (18*m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1sq*m3sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1sq*m3sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (3*m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**8*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m1sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3**4*m6sq*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (16*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (14*m1sq*m3sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**4*m6**4*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m3sq*m6sq*(-m4sq + m6sq)**3*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (5*m1**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (5*m3**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)**3*(3*m4sq + m6sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*(m1sq - m3sq)*m4**4*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1sq*(m1sq - m3sq)*m4**6*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*m4**8*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m1**6*(m1sq - m3sq)*m4sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (12*m1**4*(m1sq - m3sq)*m6**4*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*m4**4*m6**4*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (18*m1sq*(m1sq - m3sq)*m4sq*m6**4*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (12*m1sq*(m1sq - m3sq)*m6**6*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*(m1sq - m3sq)*m4sq*m6**6*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m6**8*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (4*m1**6*(m1sq - m3sq)*m6sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (12*m1sq*(m1sq - m3sq)*m4**4*m6sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*(m1sq - m3sq)*m4**6*m6sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (14*m1**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*(m1sq - m3sq)*m6**4*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (6*m1sq*(m1sq - m3sq)*m6sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 + (6*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (2*(m1sq - m3sq)*(m1**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m4sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (2*m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1sq*m3sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**4*m6**4*(-m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**6*(m1sq - m3sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (m1sq*(m1sq - m3sq)*m4**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (m1sq*(m1sq - m3sq)*m6**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (m1**4*(m1sq - m3sq)*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + ((m1sq - m3sq)*(m4sq - m6sq)**2*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (m3**4*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3sq*(m4sq + m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**10*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4**4*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**8*m4sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (28*m1**6*m6**4*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (16*m1**4*m3sq*m6**4*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m6**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m3**6*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m4**4*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4*m4sq*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m6**4*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1sq*m3sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (18*m1**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (14*m1**8*m6sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1**6*m3sq*m6sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (4*m1sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m3**4*m6sq*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (16*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (14*m1sq*m3sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (3*m3sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (8*m1sq*m3sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (5*m1**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (5*m3**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1sq*(m4sq - m6sq)**3*(m4sq + 3*m6sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*(m1sq - m3sq)*m4**4*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1sq*(m1sq - m3sq)*m4**6*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*m4**8*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m1**6*(m1sq - m3sq)*m4sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (12*m1**4*(m1sq - m3sq)*m6**4*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*m4**4*m6**4*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (18*m1sq*(m1sq - m3sq)*m4sq*m6**4*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (12*m1sq*(m1sq - m3sq)*m6**6*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*(m1sq - m3sq)*m4sq*m6**6*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m6**8*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (4*m1**6*(m1sq - m3sq)*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (12*m1sq*(m1sq - m3sq)*m4**4*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*(m1sq - m3sq)*m4**6*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (14*m1**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*(m1sq - m3sq)*m6**4*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (6*m1sq*(m1sq - m3sq)*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 + (6*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (2*(m1sq - m3sq)*(m1**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 - (2*m1**10*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m1**8*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**6*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (2*m1**4*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1sq*m3sq*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (m3sq*m4sq*(m4sq - m6sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (2*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (8*m1**6*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (6*m1**4*m3sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (8*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) - (6*m1sq*m3sq*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3sq*m6sq*(-m4sq + m6sq)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3) + (m3**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m3sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (6*m1**4*(m1sq - m3sq)*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m4**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1**6*(m1sq - m3sq)*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (6*m1**4*(m1sq - m3sq)*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (12*(m1sq - m3sq)*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*(m1sq - m3sq)*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*m1**6*(m1sq - m3sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (6*m1sq*(m1sq - m3sq)*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*(m1sq - m3sq)*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (4*m1**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + ((m1sq - m3sq)*(m1**4 + m4**4 + m6**4 + 6*m4sq*m6sq - 2*m1sq*(m4sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**2 + (2*m1**4*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*(m4sq + m6sq)*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**6*(m1sq - m3sq)*T134fin(m6,m4,m1))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m1sq*(m1sq - m3sq)*m4**4*T134fin(m6,m4,m1))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m1sq*(m1sq - m3sq)*m6**4*T134fin(m6,m4,m1))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (12*m1sq*(m1sq - m3sq)*m4sq*m6sq*T134fin(m6,m4,m1))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m1**4*(m1sq - m3sq)*(m4sq + m6sq)*T134fin(m6,m4,m1))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 + (2*(m1sq - m3sq)*(m4sq - m6sq)**2*(m4sq + m6sq)*T134fin(m6,m4,m1))/(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))**3 - (2*m3**4*T134fin(m6,m4,m3))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3sq*(m4sq + m6sq)*T134fin(m6,m4,m3))/((m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2))/(m1sq - m3sq)**2
		def eval_150():
			return ((-(m1**4*m3**4) + m1sq*m3**6)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**4*m3**4 - m1**6*m3sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (4*m1**4*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (3*m1sq*(m1sq - m3sq)*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (4*m1sq*m3sq*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1**6)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)*(m6sq - m7sq)) - (6*m1sq*m3**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)*(m6sq - m7sq)) + (2*m3**6)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)*(m6sq - m7sq)) + (6*m1**4*m3sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)*(m6sq - m7sq)) + (2*m1sq*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)*(m6sq - m7sq)) - (2*m3sq*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)*(m6sq - m7sq)) - (24*m1sq*m3**4*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (4*m1**4*m3sq*m6**4)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (4*m1sq*m3sq*m6**6)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (4*m3**4*m6**4*(m3sq - m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (4*m1**6*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (4*m1sq*m3**4*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1**4*(m1sq - m3sq)*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (8*m1**4*m3sq*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(m3sq - m6sq)**2*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (16*m1**4*m3**4*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (32*m1sq*m3**6*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (16*m3**6*(m3sq - m6sq)*m6sq)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m3sq)*(m3**3 - m3*m6sq)**2)/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m3**4*(m1sq - m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m3sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (3*m1**4*(m1sq - m3sq)*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m3sq - m7sq)**2*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (m1**8 - m1**6*m3sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (4*m1**4*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*(m1sq - m3sq)*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (4*m1sq*m3sq*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (2*m1**6)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)*(-m6sq + m7sq)) - (6*m1sq*m3**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)*(-m6sq + m7sq)) + (2*m3**6)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)*(-m6sq + m7sq)) + (6*m1**4*m3sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)*(-m6sq + m7sq)) + (2*m1sq*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)*(-m6sq + m7sq)) - (2*m3sq*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)*(-m6sq + m7sq)) - (24*m1sq*m3**4*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (4*m1**4*m3sq*m7**4)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (4*m1sq*m3sq*m7**6)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (4*m3**4*m7**4*(m3sq - m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (4*m1**6*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (4*m1sq*m3**4*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (8*m1**4*m3sq*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (16*m1**4*m3**4*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (32*m1sq*m3**6*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (16*m3**6*(m3sq - m7sq)*m7sq)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + ((m1sq - m3sq)*(m3**3 - m3*m7sq)**2)/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*m6**4*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m6**4*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3sq*m6**4*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**6*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1**6*m6sq*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m3**4*m6sq*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (5*m1**4*m3sq*m6sq*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m1sq - m3sq)*m3sq*m6sq*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(m3sq - m6sq)**2*m6sq*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m6sq*(m3**3 - m3*m6sq)**2*B0del(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m3sq*B0del(0,0,m1sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m7sq*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m3sq*m7sq*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m3sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (4*m1**4*m7**4*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*(m1sq - m3sq)*m7**4*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m3sq*m7**4*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**6*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (3*m1**6*m7sq*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m3**4*m7sq*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (5*m1**4*m3sq*m7sq*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m7sq*(m3**3 - m3*m7sq)**2*B0del(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m3sq*B0del(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m6sq - m7sq) + m6sq*m7sq)*B0del(0,0,m1sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*B0del(0,0,m3sq))/((4*m3sq - m6sq)*(4*m3sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m6**4*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m3**4*m6**4*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (22*m1**4*m3sq*m6**4*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m3sq*m6**6*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (3*m3**4*m6**4*(m3sq - m6sq)*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (2*m3sq*m6**6*(m3sq - m6sq)*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m1sq - m3sq)*m3sq*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(m3sq - m6sq)**2*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (14*m1**4*m3**4*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (4*m1sq*m3**6*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (7*m3**6*(m3sq - m6sq)*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m1**4*m6**6*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(-4*m3sq + m6sq)*(m6sq - m7sq)) + (m1**8*m6sq*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(-4*m3sq + m6sq)*(m6sq - m7sq)) + (2*m1**6*m6sq*(6*m3sq + m6sq)*B0del(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m1sq*m3sq*B0del(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m3sq*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m3sq - m7sq)**2*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7**4*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m3**4*m7**4*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (22*m1**4*m3sq*m7**4*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m3sq*m7**6*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (3*m3**4*m7**4*(m3sq - m7sq)*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (2*m3sq*m7**6*(m3sq - m7sq)*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (14*m1**4*m3**4*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (4*m1sq*m3**6*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (7*m3**6*(m3sq - m7sq)*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m1**4*m7**6*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-4*m3sq + m7sq)*(-m6sq + m7sq)) + (m1**8*m7sq*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-4*m3sq + m7sq)*(-m6sq + m7sq)) + (2*m1**6*m7sq*(6*m3sq + m7sq)*B0del(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (m1sq*m3sq*B0del(0,0,m3sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m6sq - m7sq) + m6sq*m7sq)*B0del(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (4*m1**4*m6**4*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3sq*m6**4*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**6*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m3**4*m6**4*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (22*m1**4*m3sq*m6**4*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m3sq*m6**6*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (3*m3**4*m6**4*(m3sq - m6sq)*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (2*m3sq*m6**6*(m3sq - m6sq)*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (3*m1**6*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m3**4*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (5*m1**4*m3sq*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (14*m1**4*m3**4*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (4*m1sq*m3**6*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (7*m3**6*(m3sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m1**4*m6**6*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(-4*m3sq + m6sq)*(m6sq - m7sq)) + (m1**8*m6sq*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(-4*m3sq + m6sq)*(m6sq - m7sq)) + (2*m1**6*m6sq*(6*m3sq + m6sq)*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (m6sq*(m3**3 - m3*m6sq)**2*B0del(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (4*m1**4*m7**4*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m3sq*m7**4*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**6*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m3**4*m7**4*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (22*m1**4*m3sq*m7**4*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m3sq*m7**6*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (3*m3**4*m7**4*(m3sq - m7sq)*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (2*m3sq*m7**6*(m3sq - m7sq)*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (3*m1**6*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m3**4*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (5*m1**4*m3sq*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (14*m1**4*m3**4*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (4*m1sq*m3**6*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (7*m3**6*(m3sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m1**4*m7**6*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-4*m3sq + m7sq)*(-m6sq + m7sq)) + (m1**8*m7sq*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-4*m3sq + m7sq)*(-m6sq + m7sq)) + (2*m1**6*m7sq*(6*m3sq + m7sq)*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (m7sq*(m3**3 - m3*m7sq)**2*B0del(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (5*m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (6*m1sq*m3sq*m6**4*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m6**6*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1**6*m6sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m3**4*m6sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (4*m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m3sq*m6sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (4*m1sq*(m1sq - m3sq)*m3sq*m6sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*(m1sq - m3sq)*(m3sq - m6sq)**2*m6sq*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m6sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m6sq*(m3**3 - m3*m6sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m3sq*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (5*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m3sq*m7sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (6*m1sq*m3sq*m7**4*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1sq*m7**6*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1**6*m7sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (3*m1sq*m3**4*m7sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m3sq*m7sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*(m1sq - m3sq)*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m7sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m7sq*(m3**3 - m3*m7sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1sq*m3sq*B0fin(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*B0fin(0,0,m3sq))/((4*m3sq - m6sq)*(4*m3sq - m7sq)) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (5*m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (26*m1sq*m3**4*m6**4*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (18*m1**4*m3sq*m6**4*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m1**4*m6**6*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (16*m1sq*m3sq*m6**6*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (m3**4*m6**4*(m3sq - m6sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (2*m3sq*m6**6*(m3sq - m6sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (4*m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (4*m1sq*(m1sq - m3sq)*m3sq*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*(m1sq - m3sq)*(m3sq - m6sq)**2*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**8*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (30*m1**4*m3**4*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (28*m1sq*m3**6*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (9*m3**6*(m3sq - m6sq)*m6sq*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (2*m1**6*m6sq*(6*m3sq + m6sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m6sq)**2*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m3sq*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (5*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m3sq*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (26*m1sq*m3**4*m7**4*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (18*m1**4*m3sq*m7**4*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m1**4*m7**6*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (16*m1sq*m3sq*m7**6*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (m3**4*m7**4*(m3sq - m7sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (2*m3sq*m7**6*(m3sq - m7sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (4*m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*(m1sq - m3sq)*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1**8*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (30*m1**4*m3**4*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (28*m1sq*m3**6*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (9*m3**6*(m3sq - m7sq)*m7sq*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (2*m1**6*m7sq*(6*m3sq + m7sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m7sq)**2*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1sq*m3sq*B0fin(0,0,m3sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m1sq - m3sq)*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(m3sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m3sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*B0fin(0,0,m3sq)**2)/((4*m3sq - m6sq)*(4*m3sq - m7sq)) + (2*m1sq*m6**4*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*m3sq*m6**4*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m6**6*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1**4*m6sq*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m3**4*m6sq*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3sq*m6sq*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6))/((4*m3sq - m6sq)*(m6sq - m7sq)) - (6*m1sq*m3sq*m6**4*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1sq*m6**6*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (26*m1sq*m3**4*m6**4*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (18*m1**4*m3sq*m6**4*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m1**4*m6**6*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (16*m1sq*m3sq*m6**6*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (m3**4*m6**4*(m3sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (2*m3sq*m6**6*(m3sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (m1**6*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m3**4*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m3sq*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**8*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (30*m1**4*m3**4*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (28*m1sq*m3**6*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (9*m3**6*(m3sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (2*m1**6*m6sq*(6*m3sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m6sq*(m3**3 - m3*m6sq)**2*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (4*m1**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m1sq*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (5*m1**4*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m6sq*(m3**3 - m3*m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m3**4*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (22*m1**4*m3sq*m6**4*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m3sq*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (3*m3**4*m6**4*(m3sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (2*m3sq*m6**6*(m3sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (14*m1**4*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) - (4*m1sq*m3**6*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (7*m3**6*(m3sq - m6sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (m1**4*m6**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(-4*m3sq + m6sq)*(m6sq - m7sq)) + (m1**8*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(-4*m3sq + m6sq)*(m6sq - m7sq)) + (2*m1**6*m6sq*(6*m3sq + m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(4*m3sq - m6sq)*(m6sq - m7sq)) + (2*m1sq*m7**4*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*m3sq*m7**4*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m7**6*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1**4*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m3**4*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m3sq*m7sq*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7))/((4*m3sq - m7sq)*(-m6sq + m7sq)) - (6*m1sq*m3sq*m7**4*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1sq*m7**6*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (26*m1sq*m3**4*m7**4*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (18*m1**4*m3sq*m7**4*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m1**4*m7**6*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (16*m1sq*m3sq*m7**6*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (m3**4*m7**4*(m3sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (2*m3sq*m7**6*(m3sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (m1**6*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (3*m1sq*m3**4*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m3sq*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1**8*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (30*m1**4*m3**4*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (28*m1sq*m3**6*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (9*m3**6*(m3sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (2*m1**6*m7sq*(6*m3sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m7sq*(m3**3 - m3*m7sq)**2*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (3*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m1sq*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (5*m1**4*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m7sq*(m3**3 - m3*m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m3**4*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (22*m1**4*m3sq*m7**4*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m3sq*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (3*m3**4*m7**4*(m3sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (2*m3sq*m7**6*(m3sq - m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (14*m1**4*m3**4*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) - (4*m1sq*m3**6*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (7*m3**6*(m3sq - m7sq)*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m1**4*m7**6*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-4*m3sq + m7sq)*(-m6sq + m7sq)) + (m1**8*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-4*m3sq + m7sq)*(-m6sq + m7sq)) + (2*m1**6*m7sq*(6*m3sq + m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (m1**6*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m3**4*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m3**6*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m3sq*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m6**4*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (m3sq*m6**4*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m6**6*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m1**4*m6sq*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + (m3**4*m6sq*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m3sq*m6sq*T134fin(m6,m3,m1))/((m1 + m3 - m6)**2*(m1 - m3 + m6)**2*(-m1 + m3 + m6)**2*(m1 + m3 + m6)**2*(m6sq - m7sq)) + T134fin(m6,m3,m3)/((4*m3sq - m6sq)*(m6sq - m7sq)) + (m1**6*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m3**4*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m3**6*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (3*m1**4*m3sq*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (3*m1sq*m7**4*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (m3sq*m7**4*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m7**6*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m1**4*m7sq*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + (m3**4*m7sq*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m3sq*m7sq*T134fin(m7,m3,m1))/((m1 + m3 - m7)**2*(m1 - m3 + m7)**2*(-m1 + m3 + m7)**2*(m1 + m3 + m7)**2*(-m6sq + m7sq)) + T134fin(m7,m3,m3)/((4*m3sq - m7sq)*(-m6sq + m7sq)))/(m1sq - m3sq)**2
		def eval_151():
			return ((-(m1**4*m3**4) + m1sq*m3**6)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**6*(m1sq - m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**4*m3**4 - m1**6*m3sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (4*m1**4*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (3*m1sq*(m1sq - m3sq)*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (4*m1sq*m3sq*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1**6)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)*(m4sq - m5sq)) - (6*m1sq*m3**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)*(m4sq - m5sq)) + (2*m3**6)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)*(m4sq - m5sq)) + (6*m1**4*m3sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)*(m4sq - m5sq)) + (2*m1sq*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)*(m4sq - m5sq)) - (2*m3sq*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)*(m4sq - m5sq)) - (24*m1sq*m3**4*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (4*m1**4*m3sq*m4**4)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (4*m1sq*m3sq*m4**6)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (4*m3**4*m4**4*(m3sq - m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (4*m1**6*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (4*m1sq*m3**4*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1**4*(m1sq - m3sq)*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (8*m1**4*m3sq*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - ((m1sq - m3sq)*(m3sq - m4sq)**2*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (16*m1**4*m3**4*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (32*m1sq*m3**6*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (16*m3**6*(m3sq - m4sq)*m4sq)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + ((m1sq - m3sq)*(m3**3 - m3*m4sq)**2)/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m3**4*(m1sq - m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m3sq)*m3sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (3*m1**4*(m1sq - m3sq)*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + ((m1sq - m3sq)*(m3sq - m5sq)**2*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (m1**8 - m1**6*m3sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (4*m1**4*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (3*m1sq*(m1sq - m3sq)*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (4*m1sq*m3sq*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (2*m1**6)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)*(-m4sq + m5sq)) - (6*m1sq*m3**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)*(-m4sq + m5sq)) + (2*m3**6)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)*(-m4sq + m5sq)) + (6*m1**4*m3sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)*(-m4sq + m5sq)) + (2*m1sq*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)*(-m4sq + m5sq)) - (2*m3sq*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)*(-m4sq + m5sq)) - (24*m1sq*m3**4*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (4*m1**4*m3sq*m5**4)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (4*m1sq*m3sq*m5**6)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (4*m3**4*m5**4*(m3sq - m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (4*m1**6*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (4*m1sq*m3**4*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (8*m1**4*m3sq*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (16*m1**4*m3**4*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (32*m1sq*m3**6*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (16*m3**6*(m3sq - m5sq)*m5sq)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + ((m1sq - m3sq)*(m3**3 - m3*m5sq)**2)/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (4*m1**4*m4**4*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m4**4*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m3sq*m4**4*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**6*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1**6*m4sq*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m3**4*m4sq*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1**4*(m1sq - m3sq)*m4sq*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (5*m1**4*m3sq*m4sq*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*(m1sq - m3sq)*m3sq*m4sq*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - ((m1sq - m3sq)*(m3sq - m4sq)**2*m4sq*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m4sq*(m3**3 - m3*m4sq)**2*B0del(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m3sq*B0del(0,0,m1sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**4*(m1sq - m3sq)*m5sq*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m3sq*m5sq*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + ((m1sq - m3sq)*(m3sq - m5sq)**2*m5sq*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (4*m1**4*m5**4*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*(m1sq - m3sq)*m5**4*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m3sq*m5**4*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**6*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (3*m1**6*m5sq*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m3**4*m5sq*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (5*m1**4*m3sq*m5sq*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m5sq*(m3**3 - m3*m5sq)**2*B0del(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m3sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m4sq - m5sq) + m4sq*m5sq)*B0del(0,0,m1sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m3sq*B0del(0,0,m3sq))/((4*m3sq - m4sq)*(4*m3sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m4**4*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*m3**4*m4**4*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (22*m1**4*m3sq*m4**4*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m3sq*m4**6*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (3*m3**4*m4**4*(m3sq - m4sq)*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (2*m3sq*m4**6*(m3sq - m4sq)*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (m1**4*(m1sq - m3sq)*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*(m1sq - m3sq)*m3sq*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - ((m1sq - m3sq)*(m3sq - m4sq)**2*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (14*m1**4*m3**4*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (4*m1sq*m3**6*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (7*m3**6*(m3sq - m4sq)*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m1**4*m4**6*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(-4*m3sq + m4sq)*(m4sq - m5sq)) + (m1**8*m4sq*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(-4*m3sq + m4sq)*(m4sq - m5sq)) + (2*m1**6*m4sq*(6*m3sq + m4sq)*B0del(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m1sq*m3sq*B0del(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**4*(m1sq - m3sq)*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m3sq*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + ((m1sq - m3sq)*(m3sq - m5sq)**2*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m5**4*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (2*m1sq*m3**4*m5**4*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (22*m1**4*m3sq*m5**4*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m3sq*m5**6*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (3*m3**4*m5**4*(m3sq - m5sq)*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (2*m3sq*m5**6*(m3sq - m5sq)*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (14*m1**4*m3**4*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (4*m1sq*m3**6*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (7*m3**6*(m3sq - m5sq)*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m1**4*m5**6*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-4*m3sq + m5sq)*(-m4sq + m5sq)) + (m1**8*m5sq*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-4*m3sq + m5sq)*(-m4sq + m5sq)) + (2*m1**6*m5sq*(6*m3sq + m5sq)*B0del(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (m1sq*m3sq*B0del(0,0,m3sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m4sq - m5sq) + m4sq*m5sq)*B0del(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (4*m1**4*m4**4*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m3sq*m4**4*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**6*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*m3**4*m4**4*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (22*m1**4*m3sq*m4**4*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m3sq*m4**6*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (3*m3**4*m4**4*(m3sq - m4sq)*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (2*m3sq*m4**6*(m3sq - m4sq)*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (3*m1**6*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m3**4*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (5*m1**4*m3sq*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (14*m1**4*m3**4*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (4*m1sq*m3**6*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (7*m3**6*(m3sq - m4sq)*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m1**4*m4**6*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(-4*m3sq + m4sq)*(m4sq - m5sq)) + (m1**8*m4sq*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(-4*m3sq + m4sq)*(m4sq - m5sq)) + (2*m1**6*m4sq*(6*m3sq + m4sq)*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (m4sq*(m3**3 - m3*m4sq)**2*B0del(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (4*m1**4*m5**4*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m3sq*m5**4*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**6*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (2*m1sq*m3**4*m5**4*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (22*m1**4*m3sq*m5**4*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m3sq*m5**6*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (3*m3**4*m5**4*(m3sq - m5sq)*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (2*m3sq*m5**6*(m3sq - m5sq)*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (3*m1**6*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m3**4*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (5*m1**4*m3sq*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (14*m1**4*m3**4*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (4*m1sq*m3**6*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (7*m3**6*(m3sq - m5sq)*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m1**4*m5**6*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-4*m3sq + m5sq)*(-m4sq + m5sq)) + (m1**8*m5sq*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-4*m3sq + m5sq)*(-m4sq + m5sq)) + (2*m1**6*m5sq*(6*m3sq + m5sq)*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (m5sq*(m3**3 - m3*m5sq)**2*B0del(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (5*m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (6*m1sq*m3sq*m4**4*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m4**6*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1**6*m4sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1sq*m3**4*m4sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (4*m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (3*m1**4*m3sq*m4sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (4*m1sq*(m1sq - m3sq)*m3sq*m4sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*(m1sq - m3sq)*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m4sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m4sq*(m3**3 - m3*m4sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m3sq*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (5*m1sq*(m1sq - m3sq)*m5**4*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (4*m1sq*(m1sq - m3sq)*m3sq*m5sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (6*m1sq*m3sq*m5**4*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1sq*m5**6*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1**6*m5sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (3*m1sq*m3**4*m5sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (4*m1**4*(m1sq - m3sq)*m5sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (3*m1**4*m3sq*m5sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*(m1sq - m3sq)*(m3sq - m5sq)**2*m5sq*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m5sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m5sq*(m3**3 - m3*m5sq)**2*B0fin(0,0,m1sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1sq*m3sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m4sq - m5sq) + m4sq*m5sq)*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m3sq*B0fin(0,0,m3sq))/((4*m3sq - m4sq)*(4*m3sq - m5sq)) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (5*m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (26*m1sq*m3**4*m4**4*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (18*m1**4*m3sq*m4**4*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m1**4*m4**6*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (16*m1sq*m3sq*m4**6*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (m3**4*m4**4*(m3sq - m4sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (2*m3sq*m4**6*(m3sq - m4sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (4*m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (4*m1sq*(m1sq - m3sq)*m3sq*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*(m1sq - m3sq)*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**8*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (30*m1**4*m3**4*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (28*m1sq*m3**6*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (9*m3**6*(m3sq - m4sq)*m4sq*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (2*m1**6*m4sq*(6*m3sq + m4sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m4sq)**2*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m3sq*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (5*m1sq*(m1sq - m3sq)*m5**4*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (4*m1sq*(m1sq - m3sq)*m3sq*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (m1sq*m3**4*(m1sq - m3sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1**4*(m1sq - m3sq)*m3sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (26*m1sq*m3**4*m5**4*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (18*m1**4*m3sq*m5**4*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m1**4*m5**6*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (16*m1sq*m3sq*m5**6*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (m3**4*m5**4*(m3sq - m5sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (2*m3sq*m5**6*(m3sq - m5sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (4*m1**4*(m1sq - m3sq)*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*(m1sq - m3sq)*(m3sq - m5sq)**2*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1**8*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (30*m1**4*m3**4*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (28*m1sq*m3**6*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (9*m3**6*(m3sq - m5sq)*m5sq*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (2*m1**6*m5sq*(6*m3sq + m5sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + ((-m1sq + m3sq)*(m3**3 - m3*m5sq)**2*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1sq*m3sq*B0fin(0,0,m3sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m4sq - m5sq) + m4sq*m5sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*(m1sq - m3sq)*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - ((m1sq - m3sq)*(m3sq - m4sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**4*(m1sq - m3sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + ((m1sq - m3sq)*(m3sq - m5sq)**2*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m3sq)*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*(m1**4 - m3**4 + m1sq*(4*m3sq - m4sq - m5sq) + m4sq*m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*B0fin(0,0,m3sq)**2)/((4*m3sq - m4sq)*(4*m3sq - m5sq)) + (2*m1sq*m4**4*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*m3sq*m4**4*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m4**6*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1**4*m4sq*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m3**4*m4sq*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m3sq*m4sq*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m3 + m4 + 4*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4))/((4*m3sq - m4sq)*(m4sq - m5sq)) - (6*m1sq*m3sq*m4**4*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1sq*m4**6*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (26*m1sq*m3**4*m4**4*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (18*m1**4*m3sq*m4**4*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m1**4*m4**6*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (16*m1sq*m3sq*m4**6*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (m3**4*m4**4*(m3sq - m4sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (2*m3sq*m4**6*(m3sq - m4sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (m1**6*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1sq*m3**4*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (3*m1**4*m3sq*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**8*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (30*m1**4*m3**4*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (28*m1sq*m3**6*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (9*m3**6*(m3sq - m4sq)*m4sq*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (2*m1**6*m4sq*(6*m3sq + m4sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m4sq*(m3**3 - m3*m4sq)**2*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (4*m1**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m1sq*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (5*m1**4*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m4sq*(m3**3 - m3*m4sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*m3**4*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (22*m1**4*m3sq*m4**4*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m3sq*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (3*m3**4*m4**4*(m3sq - m4sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (2*m3sq*m4**6*(m3sq - m4sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (14*m1**4*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) - (4*m1sq*m3**6*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (7*m3**6*(m3sq - m4sq)*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (m1**4*m4**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(-4*m3sq + m4sq)*(m4sq - m5sq)) + (m1**8*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(-4*m3sq + m4sq)*(m4sq - m5sq)) + (2*m1**6*m4sq*(6*m3sq + m4sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(4*m3sq - m4sq)*(m4sq - m5sq)) + (2*m1sq*m5**4*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*m3sq*m5**4*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m5**6*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1**4*m5sq*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m3**4*m5sq*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m3sq*m5sq*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5))/((4*m3sq - m5sq)*(-m4sq + m5sq)) - (6*m1sq*m3sq*m5**4*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1sq*m5**6*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (26*m1sq*m3**4*m5**4*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (18*m1**4*m3sq*m5**4*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m1**4*m5**6*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (16*m1sq*m3sq*m5**6*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (m3**4*m5**4*(m3sq - m5sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (2*m3sq*m5**6*(m3sq - m5sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (m1**6*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (3*m1sq*m3**4*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (3*m1**4*m3sq*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1**8*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (30*m1**4*m3**4*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (28*m1sq*m3**6*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (9*m3**6*(m3sq - m5sq)*m5sq*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (2*m1**6*m5sq*(6*m3sq + m5sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m5sq*(m3**3 - m3*m5sq)**2*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (4*m1**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (3*m1**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m1sq*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (5*m1**4*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m5sq*(m3**3 - m3*m5sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (2*m1sq*m3**4*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (22*m1**4*m3sq*m5**4*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m3sq*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (3*m3**4*m5**4*(m3sq - m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (2*m3sq*m5**6*(m3sq - m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (14*m1**4*m3**4*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) - (4*m1sq*m3**6*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (7*m3**6*(m3sq - m5sq)*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m1**4*m5**6*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-4*m3sq + m5sq)*(-m4sq + m5sq)) + (m1**8*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-4*m3sq + m5sq)*(-m4sq + m5sq)) + (2*m1**6*m5sq*(6*m3sq + m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (m1**6*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (3*m1sq*m3**4*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m3**6*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1**4*m3sq*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (3*m1sq*m4**4*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (m3sq*m4**4*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m4**6*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m1**4*m4sq*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + (m3**4*m4sq*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) - (2*m1sq*m3sq*m4sq*T134fin(m4,m3,m1))/((m1 + m3 - m4)**2*(m1 - m3 + m4)**2*(-m1 + m3 + m4)**2*(m1 + m3 + m4)**2*(m4sq - m5sq)) + T134fin(m4,m3,m3)/((4*m3sq - m4sq)*(m4sq - m5sq)) + (m1**6*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (3*m1sq*m3**4*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m3**6*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (3*m1**4*m3sq*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (3*m1sq*m5**4*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (m3sq*m5**4*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m5**6*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m1**4*m5sq*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + (m3**4*m5sq*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) - (2*m1sq*m3sq*m5sq*T134fin(m5,m3,m1))/((m1 + m3 - m5)**2*(m1 - m3 + m5)**2*(-m1 + m3 + m5)**2*(m1 + m3 + m5)**2*(-m4sq + m5sq)) + T134fin(m5,m3,m3)/((4*m3sq - m5sq)*(-m4sq + m5sq)))/(m1sq - m3sq)**2
		def eval_152():
			return ((-2*m1sq*(m1sq - m2sq)*m6sq*B0del(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0del(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*(m1sq - m2sq)*m2sq*B0del(0,0,m2sq))/((4*m2sq - m6sq)*(4*m2sq - m7sq)) - ((m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0del(0,0,m2sq))/((4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0del(0,0,m2sq))/((4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0del(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m1sq*(m1sq - m2sq)*m6sq*B0del(0,0,m6sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0del(0,0,m6sq))/((4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m7sq*B0del(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0del(0,0,m7sq))/((4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m6sq*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((4*m2sq - m6sq)*(4*m2sq - m7sq)) + ((m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0fin(0,0,m2sq))/((4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0fin(0,0,m2sq))/((4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m2sq*B0fin(0,0,m2sq)**2)/((4*m2sq - m6sq)*(4*m2sq - m7sq)) - ((m1sq - m2sq)*(m1sq - m2sq + m6sq)*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (m1sq*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((4*m2sq - m6sq)*(m6sq - m7sq)) + (m2sq*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((4*m2sq - m6sq)*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m6sq*B0fin(0,0,m6sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0fin(0,0,m6sq))/((4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*(m1sq - m2sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m2sq)*m6sq*(m1**4 - 3*m2**4 + 3*m2sq*m6sq - m1sq*(6*m2sq + m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*(m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((4*m2sq - m7sq)*(-m6sq + m7sq)) + (m2sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((4*m2sq - m7sq)*(-m6sq + m7sq)) - (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0fin(0,0,m7sq))/((4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m2sq)*m7sq*(m1**4 - 3*m2**4 + 3*m2sq*m7sq - m1sq*(6*m2sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + T134fin(m6,m1,m1)/(m6sq - m7sq) - (2*T134fin(m6,m2,m1))/(m6sq - m7sq) + ((m1sq - m2sq)*(m1sq - m2sq + m6sq)*T134fin(m6,m2,m1))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (m1sq*T134fin(m6,m2,m2))/((4*m2sq - m6sq)*(m6sq - m7sq)) + (3*m2sq*T134fin(m6,m2,m2))/((4*m2sq - m6sq)*(m6sq - m7sq)) + (m6sq*T134fin(m6,m2,m2))/((-4*m2sq + m6sq)*(m6sq - m7sq)) - T134fin(m7,m1,m1)/(m6sq - m7sq) + (2*T134fin(m7,m2,m1))/(m6sq - m7sq) + ((-m1sq + m2sq)*(m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*T134fin(m7,m2,m2))/((4*m2sq - m7sq)*(-m6sq + m7sq)) + (3*m2sq*T134fin(m7,m2,m2))/((4*m2sq - m7sq)*(-m6sq + m7sq)) + (m7sq*T134fin(m7,m2,m2))/((-4*m2sq + m7sq)*(-m6sq + m7sq)))/(m1sq - m2sq)**3
		def eval_153():
			return ((-2*m1sq*(m1sq - m2sq)*m4sq*B0del(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m5sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0del(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*(m1sq - m2sq)*m2sq*B0del(0,0,m2sq))/((4*m2sq - m4sq)*(4*m2sq - m5sq)) - ((m1sq - m2sq)*m4sq*(m1**4 - 3*m2**4 + 3*m2sq*m4sq - m1sq*(6*m2sq + m4sq))*B0del(0,0,m2sq))/((4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - ((m1sq - m2sq)*m5sq*(m1**4 - 3*m2**4 + 3*m2sq*m5sq - m1sq*(6*m2sq + m5sq))*B0del(0,0,m2sq))/((4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0del(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m1sq*(m1sq - m2sq)*m4sq*B0del(0,0,m4sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - ((m1sq - m2sq)*m4sq*(m1**4 - 3*m2**4 + 3*m2sq*m4sq - m1sq*(6*m2sq + m4sq))*B0del(0,0,m4sq))/((4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m5sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - ((m1sq - m2sq)*m5sq*(m1**4 - 3*m2**4 + 3*m2sq*m5sq - m1sq*(6*m2sq + m5sq))*B0del(0,0,m5sq))/((4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m1sq*(m1sq - m2sq)*m4sq*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*(m1sq - m2sq)*m5sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((4*m2sq - m4sq)*(4*m2sq - m5sq)) + ((m1sq - m2sq)*m4sq*(m1**4 - 3*m2**4 + 3*m2sq*m4sq - m1sq*(6*m2sq + m4sq))*B0fin(0,0,m2sq))/((4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + ((m1sq - m2sq)*m5sq*(m1**4 - 3*m2**4 + 3*m2sq*m5sq - m1sq*(6*m2sq + m5sq))*B0fin(0,0,m2sq))/((4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*(m1sq - m2sq)*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + ((m1sq - m2sq)*m2sq*B0fin(0,0,m2sq)**2)/((4*m2sq - m4sq)*(4*m2sq - m5sq)) - ((m1sq - m2sq)*(m1sq - m2sq + m4sq)*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (m1sq*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((4*m2sq - m4sq)*(m4sq - m5sq)) + (m2sq*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((4*m2sq - m4sq)*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m4sq*B0fin(0,0,m4sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + ((m1sq - m2sq)*m4sq*(m1**4 - 3*m2**4 + 3*m2sq*m4sq - m1sq*(6*m2sq + m4sq))*B0fin(0,0,m4sq))/((4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*(m1sq - m2sq)*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - ((m1sq - m2sq)*m4sq*(m1**4 - 3*m2**4 + 3*m2sq*m4sq - m1sq*(6*m2sq + m4sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + ((m1sq - m2sq)*(m1sq - m2sq + m5sq)*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((4*m2sq - m5sq)*(-m4sq + m5sq)) + (m2sq*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((4*m2sq - m5sq)*(-m4sq + m5sq)) - (2*m1sq*(m1sq - m2sq)*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + ((m1sq - m2sq)*m5sq*(m1**4 - 3*m2**4 + 3*m2sq*m5sq - m1sq*(6*m2sq + m5sq))*B0fin(0,0,m5sq))/((4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m1sq*(m1sq - m2sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - ((m1sq - m2sq)*m5sq*(m1**4 - 3*m2**4 + 3*m2sq*m5sq - m1sq*(6*m2sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + T134fin(m4,m1,m1)/(m4sq - m5sq) - (2*T134fin(m4,m2,m1))/(m4sq - m5sq) + ((m1sq - m2sq)*(m1sq - m2sq + m4sq)*T134fin(m4,m2,m1))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (m1sq*T134fin(m4,m2,m2))/((4*m2sq - m4sq)*(m4sq - m5sq)) + (3*m2sq*T134fin(m4,m2,m2))/((4*m2sq - m4sq)*(m4sq - m5sq)) + (m4sq*T134fin(m4,m2,m2))/((-4*m2sq + m4sq)*(m4sq - m5sq)) - T134fin(m5,m1,m1)/(m4sq - m5sq) + (2*T134fin(m5,m2,m1))/(m4sq - m5sq) + ((-m1sq + m2sq)*(m1sq - m2sq + m5sq)*T134fin(m5,m2,m1))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*T134fin(m5,m2,m2))/((4*m2sq - m5sq)*(-m4sq + m5sq)) + (3*m2sq*T134fin(m5,m2,m2))/((4*m2sq - m5sq)*(-m4sq + m5sq)) + (m5sq*T134fin(m5,m2,m2))/((-4*m2sq + m5sq)*(-m4sq + m5sq)))/(m1sq - m2sq)**3
		def eval_154():
			return (-2*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 + m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 + 10*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 - 2*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 - 12*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**6*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 + 16*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6) - 8*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6) + 2*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 - m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 - 10*m1**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 + 2*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 + 12*m1**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**6*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 - 16*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 + m4 + m6)*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 + 8*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 + m4 + m6)*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3 + 8*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 + m4 + m6)*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq) - 6*m1sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2 - m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**4 - 8*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6)*(m5sq - m6sq) + 6*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2 + m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**4 - 3*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq + 14*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq - 8*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6)*m6sq + 3*m1**8*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq - 14*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq + 8*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 + m4 + m6)*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq - 16*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq + 16*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 + m4 + m6)*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq + 6*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq + (m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**4*m6sq + 16*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq - 16*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6)*(m5sq - m6sq)*m6sq - 6*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq - (m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**4*m6sq + 8*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m1sq) - 4*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m1sq) - 4*m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m1sq) + 8*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m1sq) - 8*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m1sq) + 4*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m1sq) + 4*m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m1sq) - 8*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m1sq) - 4*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0del(0,0,m1sq) - 4*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0del(0,0,m1sq) + 4*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0del(0,0,m1sq) + 4*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0del(0,0,m1sq) + 4*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m4sq) - 8*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m4sq) + 2*m1sq*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0del(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0del(0,0,m4sq) + 2*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0del(0,0,m4sq) + 4*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0del(0,0,m4sq) + 6*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq*B0del(0,0,m4sq) - 4*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m5sq) + 8*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m5sq) - 2*m1sq*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0del(0,0,m5sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0del(0,0,m5sq) - 2*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0del(0,0,m5sq) - 4*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0del(0,0,m5sq) - 6*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq*B0del(0,0,m5sq) - 4*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0del(0,0,m6sq) + 4*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0del(0,0,m6sq) + 2*m1sq*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0del(0,0,m6sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0del(0,0,m6sq) - 2*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0del(0,0,m6sq) - 2*m1sq*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0del(0,0,m6sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0del(0,0,m6sq) + 2*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0del(0,0,m6sq) + 8*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0del(0,0,m6sq) - 4*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0del(0,0,m6sq) - 8*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0del(0,0,m6sq) + 4*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0del(0,0,m6sq) + 6*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq) - 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq*B0del(0,0,m6sq) - 6*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq) + 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq*B0del(0,0,m6sq) - m1**10*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) - 2*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) + 8*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) + 8*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) - 2*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**6*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) + m1**10*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq) + 2*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq) - 8*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq) - 8*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq) + 2*m1**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**6*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq) + 5*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m1sq) - m1sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m1sq) - 5*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m1sq) + m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m1sq) + 2*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m1sq) - 14*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m1sq) - 10*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m1sq) - 2*m1**8*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m1sq) + 14*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m1sq) + 10*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m1sq) - 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq) + 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq*B0fin(0,0,m1sq) - 12*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq) + 2*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq) + 7*m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq) + 18*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq) - 2*m1sq*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0fin(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0fin(0,0,m4sq) + 6*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m4sq) - m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**4*B0fin(0,0,m4sq) + 16*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m4sq) - 20*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m4sq) + 18*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq) - 2*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 8*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 12*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq) - 2*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq) - 7*m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq) - 18*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq) + 2*m1sq*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0fin(0,0,m5sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0fin(0,0,m5sq) - 6*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m5sq) + m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**4*B0fin(0,0,m5sq) - 16*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m5sq) + 20*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m5sq) - 18*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq) + 2*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 2*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) + 6*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 2*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 8*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq) - m1**8*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 3*m1**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 3*m1**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 2*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 2*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(-m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 3*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - 3*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 2*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) + 2*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(-m5sq + m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)) - m1**10*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m6sq) - 2*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m6sq) - 2*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m6sq) + 3*m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m6sq) + 6*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m6sq) - 2*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**6*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m6sq) + m1**10*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m6sq) + 2*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m6sq) + 2*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m6sq) - 3*m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m6sq) - 6*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m6sq) + 2*m1**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**6*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m6sq) - 2*m1sq*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0fin(0,0,m6sq) - m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m6sq) - m1sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m6sq) + m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**4*B0fin(0,0,m6sq) + 2*m1sq*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0fin(0,0,m6sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0fin(0,0,m6sq) + m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m6sq) + m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m6sq) - m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**4*B0fin(0,0,m6sq) + 2*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m6sq) + 26*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m6sq) - 14*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m6sq) - 2*m1**8*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m6sq) - 26*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m6sq) + 14*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m6sq) + 18*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq) - 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m6sq) - 18*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq) + 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq*B0fin(0,0,m6sq) + 6*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**6*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1**4*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**8*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m4**6*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*m6**4*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1**6*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 6*m1**4*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 2*m1**8*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 6*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 2*m1sq*m5**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 4*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*m6**4*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 4*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) - 6*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq) + 8*m1**4*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*T134fin(m6,m4,m1) - 4*m1**6*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*T134fin(m6,m4,m1) - 4*m1sq*m4**4*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*T134fin(m6,m4,m1) - 4*m1**4*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*m6sq*T134fin(m6,m4,m1) - 8*m1sq*m4sq*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3*(m4sq - m6sq)*m6sq*T134fin(m6,m4,m1) - 8*m1**4*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*T134fin(m6,m5,m1) + 4*m1**6*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*T134fin(m6,m5,m1) + 4*m1sq*m5**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*T134fin(m6,m5,m1) + 4*m1**4*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m6sq*T134fin(m6,m5,m1) + 8*m1sq*m5sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m5sq - m6sq)*m6sq*T134fin(m6,m5,m1))/(2.*m1**2*(m4sq - m5sq)*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m5 - m6)**3*(m1 + m5 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 - m5 + m6)**3*(m1 + m5 + m6)**3)
		def eval_155():
			return (10*m1**6*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 - 12*m1**4*m4**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 - 3*m1**8*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3 - 2*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6 + 16*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m1 + m4 + m7) - 10*m1**6*m4**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 12*m1**4*m4**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 3*m1**8*m4sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 2*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - 16*m1**4*m6**4*(m1 + m4 + m6)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 16*m1sq*m4sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - 6*m1sq*m4**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + m4sq*(m4sq - m6sq)**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 2*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - 14*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 8*m1**6*(m1 + m4 + m6)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 8*m1**4*m4sq*(m1 + m4 + m6)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - 16*m1sq*m4sq*(m1 + m4 + m6)*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 6*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - (m4sq - m6sq)**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 + 8*m1sq*m6**4*(m1 + m4 + m6)*(-m4sq + m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3 - 16*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq) + 8*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m1 + m4 + m7)*(m4sq - m7sq) + 6*m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2 - m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**4 + m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq - 2*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq + 14*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq - 8*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m4 + m7)*m7sq - 8*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m4 + m7)*m7sq + 16*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m4 + m7)*(m4sq - m7sq)*m7sq - 6*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq + (m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**4*m7sq + 8*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0del(0,0,m1sq) - 4*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0del(0,0,m1sq) - 4*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0del(0,0,m1sq) - 8*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m1sq) + 4*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m1sq) + 4*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m1sq) + 4*m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m1sq) - 8*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m1sq) + 4*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m1sq) - 4*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0del(0,0,m1sq) + 8*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0del(0,0,m1sq) - 4*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0del(0,0,m1sq) + 8*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0del(0,0,m4sq) - 8*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) - 6*m1sq*m4sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) - 2*m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) + 4*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) + 4*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) - 4*m1sq*m4**4*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) - 4*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) + 2*m1sq*m6**6*(-m4sq + m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m4sq) + 6*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq) + 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq) + 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0del(0,0,m4sq) - 4*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0del(0,0,m4sq) - 4*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0del(0,0,m4sq) + 4*m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq) + 4*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) + 4*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) - 8*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) - 6*m1sq*m4sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) + 2*m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) - 4*m1sq*m4**4*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) + 4*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) + 2*m1sq*m6**6*(-m4sq + m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0del(0,0,m6sq) - 4*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0del(0,0,m7sq) - 4*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0del(0,0,m7sq) + 8*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0del(0,0,m7sq) + 6*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq) + 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq) - 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0del(0,0,m7sq) + 4*m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq) - 4*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq) - m1**10*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) - 2*m1**4*m4**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) + 2*m1**8*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m1sq) - 2*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m1sq) - 14*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m1sq) + 8*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0fin(0,0,m1sq) + m1**10*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) + 2*m1**4*m4**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) - 2*m1**8*m4sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) + 2*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) + 14*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) - 8*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) - m1sq*m4**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) + 5*m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) - 8*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) + 10*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) - 4*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq) + m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*B0fin(0,0,m1sq) - 5*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq) + 8*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq) - 10*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq) + 4*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq) - m1**10*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m4sq) - 2*m1**4*m4**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m4sq) + 2*m1**8*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*B0fin(0,0,m4sq) - 2*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m4sq) + 26*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m4sq) - 2*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0fin(0,0,m4sq) + m1**10*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + 2*m1**4*m4**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 2*m1**8*m4sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + 2*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 26*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + 2*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 18*m1sq*m4sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + 2*m1sq*m6**6*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - m1sq*m4**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 3*m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 6*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + 14*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 4*m1sq*m4**4*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) - 4*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + (m4sq - m6sq)**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq) + 18*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq) - 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq) + m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*B0fin(0,0,m4sq) + m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m4sq) + 3*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m4sq) + 6*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m4sq) - 14*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m4sq) + 4*m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m4sq) - (m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**4*m7sq*B0fin(0,0,m4sq) + 6*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 6*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 6*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 2*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 2*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - 4*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) + 4*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq) - m1**8*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 3*m1**4*m4**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 3*m1**6*m4sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1**4*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1sq*m4**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + m1**6*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 2*m1**4*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) + 2*m1sq*m4sq*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - m1sq*m6**4*(-m4sq + m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)) - 12*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) + 16*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) + 2*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) - 18*m1sq*m4sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) + 2*m1sq*m6**6*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) + 6*m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) + 7*m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) + 18*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) - 20*m1**6*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) - 4*m1sq*m4**4*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) - (m4sq - m6sq)**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m6sq) - 2*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 8*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 2*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1sq*m6**4*(m4sq - m6sq)**2*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 2*m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) - 6*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 4*m1sq*m4sq*(m4sq - m6sq)**2*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m1sq)*B0fin(0,0,m6sq) + 6*m1**6*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1**4*m4sq*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1**4*m6**6*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 6*m1sq*m4sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 2*m1**8*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 6*m1**4*m4**4*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) - 4*m1sq*m4**4*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + 2*m1sq*m6**6*(-m4sq + m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*B0fin(0,0,m4sq)*B0fin(0,0,m6sq) + m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 3*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 3*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 2*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) - 2*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)) + 12*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m7sq) - 16*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m7sq) - 2*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0fin(0,0,m7sq) + 18*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq) - 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq) - 6*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m7sq) - 7*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m7sq) - 18*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m7sq) + 20*m1**6*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m7sq) + 4*m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq) + (m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**4*m7sq*B0fin(0,0,m7sq) + 2*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 8*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 2*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 2*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) + 6*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 4*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq) - 6*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 4*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 6*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 2*m1**8*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) - 6*m1**4*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 4*m1sq*m4**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq) + 8*m1**4*m6**4*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*T134fin(m6,m4,m1) + 4*m1sq*m6**4*(m4sq - m6sq)*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*T134fin(m6,m4,m1) - 4*m1**6*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*T134fin(m6,m4,m1) - 4*m1**4*m4sq*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*T134fin(m6,m4,m1) + 8*m1sq*m4sq*(m4sq - m6sq)*m6sq*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*T134fin(m6,m4,m1) - 8*m1**4*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*T134fin(m7,m4,m1) - 4*m1sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7**4*(m4sq - m7sq)*T134fin(m7,m4,m1) + 4*m1**6*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*T134fin(m7,m4,m1) + 4*m1**4*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*m7sq*T134fin(m7,m4,m1) - 8*m1sq*m4sq*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m4sq - m7sq)*m7sq*T134fin(m7,m4,m1))/(2.*m1**2*(m1 - m4 - m6)**3*(m1 + m4 - m6)**3*(m1 - m4 + m6)**3*(m1 + m4 + m6)**3*(m1 - m4 - m7)**3*(m1 + m4 - m7)**3*(m1 - m4 + m7)**3*(m1 + m4 + m7)**3*(m6sq - m7sq))
		def eval_156():
			return ((m1sq*m2**4*(m1sq - m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m2sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**6*(-m1sq + m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (4*m1sq*m2sq*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (3*m1sq*(-m1sq + m2sq)*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1**6)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)*(m6sq - m7sq)) + (6*m1sq*m2**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)*(m6sq - m7sq)) - (2*m2**6)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)*(m6sq - m7sq)) - (6*m1**4*m2sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)*(m6sq - m7sq)) - (2*m1sq*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)*(m6sq - m7sq)) + (2*m2sq*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)*(m6sq - m7sq)) + (20*m1**6*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (4*m1sq*m2**4*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (24*m1**4*m2sq*m6**4)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (4*m1**4*m6**6)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (4*m1sq*m2sq*m6**6)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (8*m1sq*m2**4*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (3*m1**4*(m1sq - m2sq)*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (4*m1**4*m2sq*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (6*m1sq*m2sq*(-m1sq + m2sq)*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (16*m1**8*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (16*m1**4*m2**4*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (32*m1**6*m2sq*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (4*m2**4*(m2sq - m6sq)*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2sq - m6sq)**2*m6sq)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + ((-m1sq + m2sq)*(m2**3 - m2*m6sq)**2)/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**6*(m1sq - m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (3*m1sq*(m1sq - m2sq)*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (6*m1sq*(m1sq - m2sq)*m2sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (m1sq*m2**4*(m1sq - m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1**4*(m1sq - m2sq)*m2sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (4*m1sq*m2sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)*(-m6sq + m7sq)) + (6*m1sq*m2**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)*(-m6sq + m7sq)) - (2*m2**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)*(-m6sq + m7sq)) - (6*m1**4*m2sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)*(-m6sq + m7sq)) - (2*m1sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)*(-m6sq + m7sq)) + (2*m2sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)*(-m6sq + m7sq)) + (20*m1**6*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (4*m1sq*m2**4*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (24*m1**4*m2sq*m7**4)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (4*m1**4*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (4*m1sq*m2sq*m7**6)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (8*m1sq*m2**4*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*(m1sq - m2sq)*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*m2sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (16*m1**8*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (16*m1**4*m2**4*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (32*m1**6*m2sq*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (4*m2**4*(m2sq - m7sq)*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m2sq)*(m2sq - m7sq)**2*m7sq)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + ((-m1sq + m2sq)*(m2**3 - m2*m7sq)**2)/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*B0del(0,0,m1sq))/((4*m1sq - m6sq)*(4*m1sq - m7sq)) + (2*m1sq*(-m1sq + m2sq)*m6**4*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (10*m1**6*m6**4*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (22*m1sq*m2**4*m6**4*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (2*m1**4*m2sq*m6**4*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (5*m1**4*m6**6*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m2sq*m6**6*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (2*m1sq*m6**8*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (7*m1**8*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (14*m1**4*m2**4*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m2**6*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (4*m1**6*m2sq*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2sq - m6sq)**2*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m2**4*(m2sq - m6sq)**2*m6sq*B0del(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (m1sq*m2sq*B0del(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) - (10*m1**6*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (22*m1sq*m2**4*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1**4*m2sq*m7**4*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (5*m1**4*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m2sq*m7**6*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1sq*m7**8*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m1**4*(m1sq - m2sq)*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (7*m1**8*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (14*m1**4*m2**4*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m2**6*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (4*m1**6*m2sq*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + ((m1sq - m2sq)*(m2sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m2**4*(m2sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m2sq*(m1**4 - 4*m1sq*m2sq - (m2sq - m6sq)*(m2sq - m7sq))*B0del(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*m2sq*B0del(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1**4*m6**4*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2sq*m6**4*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*(-m1sq + m2sq)*m6**4*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**6*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m2sq*m6**4*(m2sq - m6sq)*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**6*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (5*m1sq*m2**4*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**4*m2sq*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (3*m2**4*(m2sq - m6sq)*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2sq - m6sq)**2*m6sq*B0del(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1sq*m2sq*B0del(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (2*m1**4*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2sq*m7**4*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**6*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2sq*m7**4*(m2sq - m7sq)*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**6*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (5*m1sq*m2**4*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1**4*(m1sq - m2sq)*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**4*m2sq*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (3*m2**4*(m2sq - m7sq)*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m2sq)*(m2sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2sq*(m1**4 - 4*m1sq*m2sq - (m2sq - m6sq)*(m2sq - m7sq))*B0del(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*m2sq*B0del(0,0,m2sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1**4*m6**4*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2sq*m6**4*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**6*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (10*m1**6*m6**4*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (22*m1sq*m2**4*m6**4*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (2*m1**4*m2sq*m6**4*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (5*m1**4*m6**6*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m2sq*m6**6*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (2*m1sq*m6**8*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (m2sq*m6**4*(m2sq - m6sq)*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**6*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (5*m1sq*m2**4*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**4*m2sq*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (7*m1**8*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (14*m1**4*m2**4*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m2**6*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (4*m1**6*m2sq*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (3*m2**4*(m2sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m2**4*(m2sq - m6sq)**2*m6sq*B0del(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (2*m1**4*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2sq*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (10*m1**6*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (22*m1sq*m2**4*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1**4*m2sq*m7**4*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (5*m1**4*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m2sq*m7**6*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1sq*m7**8*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m2sq*m7**4*(m2sq - m7sq)*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**6*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (5*m1sq*m2**4*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**4*m2sq*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (7*m1**8*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (14*m1**4*m2**4*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m2**6*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (4*m1**6*m2sq*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (3*m2**4*(m2sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m2**4*(m2sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1sq*B0fin(0,0,m1sq))/((4*m1sq - m6sq)*(4*m1sq - m7sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1sq*m2**4*(-m1sq + m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**4*m2sq*(-m1sq + m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (5*m1sq*(m1sq - m2sq)*m6**4*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (10*m1**6*m6**4*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (18*m1sq*m2**4*m6**4*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (26*m1**4*m2sq*m6**4*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (m1**4*m6**6*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (16*m1sq*m2sq*m6**6*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (2*m1sq*m6**8*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (4*m1**4*(-m1sq + m2sq)*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (9*m1**8*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (30*m1**4*m2**4*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (12*m1sq*m2**6*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (28*m1**6*m2sq*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (2*(-m1sq + m2sq)*(m2sq - m6sq)**2*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m2**4*(m2sq - m6sq)**2*m6sq*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2**3 - m2*m6sq)**2*B0fin(0,0,m1sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1sq*m2sq*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*(m1sq - m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m2sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (4*m1**4*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (2*(m1sq - m2sq)*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (5*m1sq*(m1sq - m2sq)*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (10*m1**6*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (18*m1sq*m2**4*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (26*m1**4*m2sq*m7**4*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (m1**4*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (16*m1sq*m2sq*m7**6*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (2*m1sq*m7**8*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (9*m1**8*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (30*m1**4*m2**4*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (12*m1sq*m2**6*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (28*m1**6*m2sq*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (m2**4*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + ((m1sq - m2sq)*(m2**3 - m2*m7sq)**2*B0fin(0,0,m1sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2sq*(-m1**4 + 4*m1sq*m2sq + (m2sq - m6sq)*(m2sq - m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*m2sq*B0fin(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*B0fin(0,0,m1sq)**2)/((4*m1sq - m6sq)*(4*m1sq - m7sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1sq*m2**4*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**4*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (2*m1**4*m6**4*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (5*m1sq*(m1sq - m2sq)*m6**4*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (6*m1sq*m2sq*m6**4*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1sq*m6**6*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m2sq*m6**4*(m2sq - m6sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**6*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m2**4*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m2sq*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (4*m1**4*(-m1sq + m2sq)*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m2**4*(m2sq - m6sq)*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*(-m1sq + m2sq)*(m2sq - m6sq)**2*m6sq*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2**3 - m2*m6sq)**2*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1sq*m2sq*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*(m1sq - m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m2sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (4*m1**4*(m1sq - m2sq)*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (2*(m1sq - m2sq)*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (2*m1**4*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (5*m1sq*(m1sq - m2sq)*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (6*m1sq*m2sq*m7**4*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1sq*m7**6*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m2sq*m7**4*(m2sq - m7sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1**6*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m2**4*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (3*m1**4*m2sq*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m2**4*(m2sq - m7sq)*m7sq*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m2sq)*(m2**3 - m2*m7sq)**2*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2sq*(-m1**4 + 4*m1sq*m2sq + (m2sq - m6sq)*(m2sq - m7sq))*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*m2sq*B0fin(0,0,m2sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m1sq*(-m1sq + m2sq)*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*(m1sq - m2sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m2sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m2sq)*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2sq*(m1**4 - 4*m1sq*m2sq - (m2sq - m6sq)*(m2sq - m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))/((4*m1sq - m6sq)*(m6sq - m7sq)) + (2*m1sq*m6**4*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m2sq*m6**4*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m6**6*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**4*m6sq*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m2**4*m6sq*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2sq*m6sq*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (2*m1**4*m6**4*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (6*m1sq*m2sq*m6**4*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1sq*m6**6*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (10*m1**6*m6**4*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (18*m1sq*m2**4*m6**4*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (26*m1**4*m2sq*m6**4*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (m1**4*m6**6*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (16*m1sq*m2sq*m6**6*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (2*m1sq*m6**8*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (m2sq*m6**4*(m2sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**6*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m2**4*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m2sq*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (9*m1**8*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (30*m1**4*m2**4*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (12*m1sq*m2**6*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (28*m1**6*m2sq*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (m2**4*(m2sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m2**4*(m2sq - m6sq)**2*m6sq*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (10*m1**6*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (22*m1sq*m2**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (2*m1**4*m2sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (5*m1**4*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m2sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (2*m1sq*m6**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (7*m1**8*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (14*m1**4*m2**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (12*m1sq*m2**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (4*m1**6*m2sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) - (m2**4*(m2sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(4*m1sq - m6sq)*(m6sq - m7sq)) + (2*m1**4*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m2sq*m6**4*(m2sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (5*m1sq*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1**4*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (3*m2**4*(m2sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((4*m1sq - m7sq)*(-m6sq + m7sq)) + (2*m1sq*m7**4*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m2sq*m7**4*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m7**6*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**4*m7sq*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m2**4*m7sq*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2sq*m7sq*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (2*m1**4*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (6*m1sq*m2sq*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1sq*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (10*m1**6*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (18*m1sq*m2**4*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (26*m1**4*m2sq*m7**4*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (m1**4*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (16*m1sq*m2sq*m7**6*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (2*m1sq*m7**8*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (m2sq*m7**4*(m2sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1**6*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m2**4*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (3*m1**4*m2sq*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (9*m1**8*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (30*m1**4*m2**4*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (12*m1sq*m2**6*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (28*m1**6*m2sq*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (m2**4*(m2sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2**4*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (10*m1**6*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (22*m1sq*m2**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1**4*m2sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (5*m1**4*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m2sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (2*m1sq*m7**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (7*m1**8*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (14*m1**4*m2**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (12*m1sq*m2**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (4*m1**6*m2sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) - (m2**4*(m2sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(4*m1sq - m7sq)*(-m6sq + m7sq)) + (2*m1**4*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**6*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2sq*m7**4*(m2sq - m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (5*m1sq*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1**4*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (3*m2**4*(m2sq - m7sq)*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + T134fin(m6,m1,m1)/((4*m1sq - m6sq)*(m6sq - m7sq)) - (m1**6*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m2**4*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m2**6*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m2sq*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**4*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (3*m2sq*m6**4*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m6**6*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m1**4*m6sq*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + (m2**4*m6sq*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m2sq*m6sq*T134fin(m6,m2,m1))/((m1 + m2 - m6)**2*(m1 - m2 + m6)**2*(-m1 + m2 + m6)**2*(m1 + m2 + m6)**2*(m6sq - m7sq)) + T134fin(m7,m1,m1)/((4*m1sq - m7sq)*(-m6sq + m7sq)) - (m1**6*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (3*m1sq*m2**4*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2**6*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m2sq*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**4*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (3*m2sq*m7**4*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m7**6*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m1**4*m7sq*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) + (m2**4*m7sq*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m2sq*m7sq*T134fin(m7,m2,m1))/((m1 + m2 - m7)**2*(m1 - m2 + m7)**2*(-m1 + m2 + m7)**2*(m1 + m2 + m7)**2*(-m6sq + m7sq)))/(m1sq - m2sq)**2
		def eval_157():
			return ((m1sq*m2**4*(m1sq - m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m2sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**6*(-m1sq + m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (4*m1sq*m2sq*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (3*m1sq*(-m1sq + m2sq)*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1**6)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)*(m4sq - m5sq)) + (6*m1sq*m2**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)*(m4sq - m5sq)) - (2*m2**6)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)*(m4sq - m5sq)) - (6*m1**4*m2sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)*(m4sq - m5sq)) - (2*m1sq*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)*(m4sq - m5sq)) + (2*m2sq*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)*(m4sq - m5sq)) + (20*m1**6*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (4*m1sq*m2**4*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (24*m1**4*m2sq*m4**4)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (4*m1**4*m4**6)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (4*m1sq*m2sq*m4**6)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (8*m1sq*m2**4*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (3*m1**4*(m1sq - m2sq)*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (4*m1**4*m2sq*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (6*m1sq*m2sq*(-m1sq + m2sq)*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (16*m1**8*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (16*m1**4*m2**4*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (32*m1**6*m2sq*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (4*m2**4*(m2sq - m4sq)*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + ((m1sq - m2sq)*(m2sq - m4sq)**2*m4sq)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + ((-m1sq + m2sq)*(m2**3 - m2*m4sq)**2)/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**6*(m1sq - m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (3*m1sq*(m1sq - m2sq)*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (6*m1sq*(m1sq - m2sq)*m2sq*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (m1sq*m2**4*(m1sq - m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1**4*(m1sq - m2sq)*m2sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (4*m1sq*m2sq*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1**6)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)*(-m4sq + m5sq)) + (6*m1sq*m2**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)*(-m4sq + m5sq)) - (2*m2**6)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)*(-m4sq + m5sq)) - (6*m1**4*m2sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)*(-m4sq + m5sq)) - (2*m1sq*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)*(-m4sq + m5sq)) + (2*m2sq*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)*(-m4sq + m5sq)) + (20*m1**6*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (4*m1sq*m2**4*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (24*m1**4*m2sq*m5**4)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (4*m1**4*m5**6)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (4*m1sq*m2sq*m5**6)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (8*m1sq*m2**4*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (3*m1**4*(m1sq - m2sq)*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (4*m1**4*m2sq*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (16*m1**8*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (16*m1**4*m2**4*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (32*m1**6*m2sq*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (4*m2**4*(m2sq - m5sq)*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + ((m1sq - m2sq)*(m2sq - m5sq)**2*m5sq)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + ((-m1sq + m2sq)*(m2**3 - m2*m5sq)**2)/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*B0del(0,0,m1sq))/((4*m1sq - m4sq)*(4*m1sq - m5sq)) + (2*m1sq*(-m1sq + m2sq)*m4**4*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (10*m1**6*m4**4*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (22*m1sq*m2**4*m4**4*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (2*m1**4*m2sq*m4**4*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (5*m1**4*m4**6*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m2sq*m4**6*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (2*m1sq*m4**8*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (7*m1**8*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (14*m1**4*m2**4*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m2**6*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (4*m1**6*m2sq*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + ((m1sq - m2sq)*(m2sq - m4sq)**2*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m2**4*(m2sq - m4sq)**2*m4sq*B0del(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (m1sq*m2sq*B0del(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m5**4*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) - (10*m1**6*m5**4*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (22*m1sq*m2**4*m5**4*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1**4*m2sq*m5**4*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (5*m1**4*m5**6*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m2sq*m5**6*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1sq*m5**8*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m1**4*(m1sq - m2sq)*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (7*m1**8*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (14*m1**4*m2**4*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m2**6*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (4*m1**6*m2sq*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + ((m1sq - m2sq)*(m2sq - m5sq)**2*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m2**4*(m2sq - m5sq)**2*m5sq*B0del(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m2sq*(m1**4 - 4*m1sq*m2sq - (m2sq - m4sq)*(m2sq - m5sq))*B0del(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*m2sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m1**4*m4**4*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m2sq*m4**4*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*(-m1sq + m2sq)*m4**4*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**6*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m2sq*m4**4*(m2sq - m4sq)*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**6*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (5*m1sq*m2**4*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**4*m2sq*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (3*m2**4*(m2sq - m4sq)*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + ((m1sq - m2sq)*(m2sq - m4sq)**2*m4sq*B0del(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1sq*m2sq*B0del(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m5**4*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (2*m1**4*m5**4*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m2sq*m5**4*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**6*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2sq*m5**4*(m2sq - m5sq)*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**6*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (5*m1sq*m2**4*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1**4*(m1sq - m2sq)*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**4*m2sq*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (3*m2**4*(m2sq - m5sq)*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + ((m1sq - m2sq)*(m2sq - m5sq)**2*m5sq*B0del(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2sq*(m1**4 - 4*m1sq*m2sq - (m2sq - m4sq)*(m2sq - m5sq))*B0del(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*m2sq*B0del(0,0,m2sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m1**4*m4**4*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m2sq*m4**4*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**6*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (10*m1**6*m4**4*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (22*m1sq*m2**4*m4**4*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (2*m1**4*m2sq*m4**4*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (5*m1**4*m4**6*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m2sq*m4**6*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (2*m1sq*m4**8*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (m2sq*m4**4*(m2sq - m4sq)*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**6*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (5*m1sq*m2**4*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**4*m2sq*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (7*m1**8*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (14*m1**4*m2**4*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m2**6*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (4*m1**6*m2sq*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (3*m2**4*(m2sq - m4sq)*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m2**4*(m2sq - m4sq)**2*m4sq*B0del(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (2*m1**4*m5**4*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m2sq*m5**4*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**6*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (10*m1**6*m5**4*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (22*m1sq*m2**4*m5**4*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1**4*m2sq*m5**4*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (5*m1**4*m5**6*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m2sq*m5**6*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1sq*m5**8*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m2sq*m5**4*(m2sq - m5sq)*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**6*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (5*m1sq*m2**4*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**4*m2sq*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (7*m1**8*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (14*m1**4*m2**4*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m2**6*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (4*m1**6*m2sq*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (3*m2**4*(m2sq - m5sq)*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m2**4*(m2sq - m5sq)**2*m5sq*B0del(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1sq*B0fin(0,0,m1sq))/((4*m1sq - m4sq)*(4*m1sq - m5sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1sq*m2**4*(-m1sq + m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**4*m2sq*(-m1sq + m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (5*m1sq*(m1sq - m2sq)*m4**4*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (10*m1**6*m4**4*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (18*m1sq*m2**4*m4**4*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (26*m1**4*m2sq*m4**4*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (m1**4*m4**6*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (16*m1sq*m2sq*m4**6*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (2*m1sq*m4**8*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (4*m1**4*(-m1sq + m2sq)*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (9*m1**8*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (30*m1**4*m2**4*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (12*m1sq*m2**6*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (28*m1**6*m2sq*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (2*(-m1sq + m2sq)*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m2**4*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + ((m1sq - m2sq)*(m2**3 - m2*m4sq)**2*B0fin(0,0,m1sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1sq*m2sq*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (m1sq*m2**4*(m1sq - m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m2sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (4*m1**4*(m1sq - m2sq)*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (2*(m1sq - m2sq)*(m2sq - m5sq)**2*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (5*m1sq*(m1sq - m2sq)*m5**4*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (10*m1**6*m5**4*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (18*m1sq*m2**4*m5**4*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (26*m1**4*m2sq*m5**4*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (m1**4*m5**6*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (16*m1sq*m2sq*m5**6*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (2*m1sq*m5**8*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (9*m1**8*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (30*m1**4*m2**4*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (12*m1sq*m2**6*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (28*m1**6*m2sq*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (m2**4*(m2sq - m5sq)**2*m5sq*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + ((m1sq - m2sq)*(m2**3 - m2*m5sq)**2*B0fin(0,0,m1sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2sq*(-m1**4 + 4*m1sq*m2sq + (m2sq - m4sq)*(m2sq - m5sq))*B0fin(0,0,m1sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*m2sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*B0fin(0,0,m1sq)**2)/((4*m1sq - m4sq)*(4*m1sq - m5sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1sq*m2**4*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**4*m2sq*(-m1sq + m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (2*m1**4*m4**4*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (5*m1sq*(m1sq - m2sq)*m4**4*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (6*m1sq*m2sq*m4**4*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1sq*m4**6*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m2sq*m4**4*(m2sq - m4sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**6*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (3*m1sq*m2**4*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (3*m1**4*m2sq*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (4*m1**4*(-m1sq + m2sq)*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m2**4*(m2sq - m4sq)*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*(-m1sq + m2sq)*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + ((m1sq - m2sq)*(m2**3 - m2*m4sq)**2*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1sq*m2sq*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (m1sq*m2**4*(m1sq - m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m2sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (4*m1**4*(m1sq - m2sq)*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (2*(m1sq - m2sq)*(m2sq - m5sq)**2*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (m1**6*(m1sq - m2sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (2*m1**4*m5**4*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (5*m1sq*(m1sq - m2sq)*m5**4*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (6*m1sq*m2sq*m5**4*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1sq*m5**6*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m2sq*m5**4*(m2sq - m5sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1**6*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (3*m1sq*m2**4*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (3*m1**4*m2sq*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (4*m1sq*(m1sq - m2sq)*m2sq*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m2**4*(m2sq - m5sq)*m5sq*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + ((m1sq - m2sq)*(m2**3 - m2*m5sq)**2*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2sq*(-m1**4 + 4*m1sq*m2sq + (m2sq - m4sq)*(m2sq - m5sq))*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*m2sq*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m1sq*(-m1sq + m2sq)*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + ((m1sq - m2sq)*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*(m1sq - m2sq)*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(m4sq - m5sq)) + (m1**4*(m1sq - m2sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*(m1sq - m2sq)*m2sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + ((m1sq - m2sq)*(m2sq - m5sq)**2*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2sq*(m1**4 - 4*m1sq*m2sq - (m2sq - m4sq)*(m2sq - m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*m2sq*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4))/((4*m1sq - m4sq)*(m4sq - m5sq)) + (2*m1sq*m4**4*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m2sq*m4**4*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m4**6*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**4*m4sq*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m2**4*m4sq*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m2sq*m4sq*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (2*m1**4*m4**4*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (6*m1sq*m2sq*m4**4*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1sq*m4**6*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (10*m1**6*m4**4*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (18*m1sq*m2**4*m4**4*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (26*m1**4*m2sq*m4**4*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (m1**4*m4**6*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (16*m1sq*m2sq*m4**6*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (2*m1sq*m4**8*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (m2sq*m4**4*(m2sq - m4sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**6*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (3*m1sq*m2**4*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (3*m1**4*m2sq*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (9*m1**8*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (30*m1**4*m2**4*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (12*m1sq*m2**6*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (28*m1**6*m2sq*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (m2**4*(m2sq - m4sq)*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m2**4*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (10*m1**6*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (22*m1sq*m2**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (2*m1**4*m2sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (5*m1**4*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m2sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (2*m1sq*m4**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (7*m1**8*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (14*m1**4*m2**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (12*m1sq*m2**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (4*m1**6*m2sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) - (m2**4*(m2sq - m4sq)**2*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(4*m1sq - m4sq)*(m4sq - m5sq)) + (2*m1**4*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (2*m1sq*m2sq*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m2sq*m4**4*(m2sq - m4sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (5*m1sq*m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1**4*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (3*m2**4*(m2sq - m4sq)*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5))/((4*m1sq - m5sq)*(-m4sq + m5sq)) + (2*m1sq*m5**4*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m2sq*m5**4*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m5**6*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**4*m5sq*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m2**4*m5sq*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m2sq*m5sq*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (2*m1**4*m5**4*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (6*m1sq*m2sq*m5**4*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1sq*m5**6*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (10*m1**6*m5**4*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (18*m1sq*m2**4*m5**4*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (26*m1**4*m2sq*m5**4*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (m1**4*m5**6*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (16*m1sq*m2sq*m5**6*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (2*m1sq*m5**8*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (m2sq*m5**4*(m2sq - m5sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1**6*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (3*m1sq*m2**4*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (3*m1**4*m2sq*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (9*m1**8*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (30*m1**4*m2**4*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (12*m1sq*m2**6*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (28*m1**6*m2sq*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (m2**4*(m2sq - m5sq)*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2**4*(m2sq - m5sq)**2*m5sq*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (10*m1**6*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (22*m1sq*m2**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1**4*m2sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (5*m1**4*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m2sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*m1sq*m5**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (7*m1**8*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (14*m1**4*m2**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (12*m1sq*m2**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (4*m1**6*m2sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) - (m2**4*(m2sq - m5sq)**2*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(4*m1sq - m5sq)*(-m4sq + m5sq)) + (2*m1**4*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (2*m1sq*m2sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**6*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2sq*m5**4*(m2sq - m5sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (5*m1sq*m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1**4*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (3*m2**4*(m2sq - m5sq)*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + T134fin(m4,m1,m1)/((4*m1sq - m4sq)*(m4sq - m5sq)) - (m1**6*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (3*m1sq*m2**4*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m2**6*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (3*m1**4*m2sq*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (m1sq*m4**4*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (3*m2sq*m4**4*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m4**6*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m1**4*m4sq*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + (m2**4*m4sq*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) - (2*m1sq*m2sq*m4sq*T134fin(m4,m2,m1))/((m1 + m2 - m4)**2*(m1 - m2 + m4)**2*(-m1 + m2 + m4)**2*(m1 + m2 + m4)**2*(m4sq - m5sq)) + T134fin(m5,m1,m1)/((4*m1sq - m5sq)*(-m4sq + m5sq)) - (m1**6*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (3*m1sq*m2**4*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2**6*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (3*m1**4*m2sq*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (m1sq*m5**4*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (3*m2sq*m5**4*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m5**6*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m1**4*m5sq*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) + (m2**4*m5sq*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)) - (2*m1sq*m2sq*m5sq*T134fin(m5,m2,m1))/((m1 + m2 - m5)**2*(m1 - m2 + m5)**2*(-m1 + m2 + m5)**2*(m1 + m2 + m5)**2*(-m4sq + m5sq)))/(m1sq - m2sq)**2
		def eval_158():
			return ((32*m1**6)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (32*m1**4*m3sq)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (2*m1sq)/((-2*m1 + m6)**2*(2*m1 + m6)*(m6sq - m7sq)) - (2*m3sq)/((-2*m1 + m6)**2*(2*m1 + m6)*(m6sq - m7sq)) - (8*m1**8)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (24*m1**4*m3**4)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*m3**6)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (24*m1**6*m3sq)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (8*m1**4*m6**4)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*m3sq*m6**4)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (16*m1**6*m6sq)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (16*m1sq*m3**4*m6sq)/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1sq*m6sq*m7sq)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (m3sq*m6sq*m7sq)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (2*m1sq)/((-2*m1 + m7)**2*(2*m1 + m7)*(-m6sq + m7sq)) - (2*m3sq)/((-2*m1 + m7)**2*(2*m1 + m7)*(-m6sq + m7sq)) - (6*m1**4*(m6sq + m7sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (6*m1sq*m3sq*(m6sq + m7sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**8)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (24*m1**4*m3**4)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (8*m1sq*m3**6)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (24*m1**6*m3sq)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (8*m1**4*m7**4)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (8*m1sq*m3sq*m7**4)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (16*m1**6*m7sq)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (16*m1sq*m3**4*m7sq)/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (8*m1**6*B0del(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (40*m1**4*m3sq*B0del(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (128*m1**10*B0del(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**6*m6sq*B0del(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**4*m3sq*m6sq*B0del(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1**8*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (12*m1**4*m3**4*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*m3**6*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (12*m1**6*m3sq*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (7*m1**4*m6**4*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (6*m1sq*m3sq*m6**4*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m1sq*m6**6*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1**6*m6sq*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m3**4*m6sq*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (30*m1**4*m3sq*m6sq*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m3sq*m6sq*(2*m3**4 + m6**4 - 3*m3sq*m6sq)*B0del(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (8*m1**6*m7sq*B0del(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**4*m3sq*m7sq*B0del(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (2*m3sq*m6sq*m7sq*B0del(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1sq*m3sq*(m6sq + m7sq)*B0del(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (64*m1**6*m3sq*(m6sq + m7sq)*B0del(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (64*m1**8*(2*m3sq + m6sq + m7sq)*B0del(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1**8*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (12*m1**4*m3**4*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (4*m1sq*m3**6*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (12*m1**6*m3sq*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (7*m1**4*m7**4*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (6*m1sq*m3sq*m7**4*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7**6*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1**6*m7sq*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*m3**4*m7sq*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (30*m1**4*m3sq*m7sq*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq)*B0del(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0del(0,0,m1sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*m6sq*B0del(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0del(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*m6sq*B0del(0,0,m6sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (4*m1**8*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (12*m1**4*m3**4*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*m3**6*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (12*m1**6*m3sq*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (7*m1**4*m6**4*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (6*m1sq*m3sq*m6**4*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m1sq*m6**6*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1**6*m6sq*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m3**4*m6sq*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (30*m1**4*m3sq*m6sq*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m3sq*m6sq*(2*m3**4 + m6**4 - 3*m3sq*m6sq)*B0del(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (4*m1**8*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (12*m1**4*m3**4*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (4*m1sq*m3**6*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (12*m1**6*m3sq*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (7*m1**4*m7**4*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (6*m1sq*m3sq*m7**4*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7**6*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1**6*m7sq*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*m3**4*m7sq*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (30*m1**4*m3sq*m7sq*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq)*B0del(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (72*m1**6*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (104*m1**4*m3sq*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (128*m1**10*B0fin(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (8*m1**6*m6sq*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**4*m3sq*m6sq*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (12*m1**8*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (36*m1**4*m3**4*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (12*m1sq*m3**6*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (36*m1**6*m3sq*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (14*m1sq*m3sq*m6**4*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1sq*m6**6*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (14*m1**6*m6sq*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (14*m1sq*m3**4*m6sq*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (30*m1**4*m3sq*m6sq*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m3sq*m6sq*(2*m3**4 + m6**4 - 3*m3sq*m6sq)*B0fin(0,0,m1sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (8*m1**6*m7sq*B0fin(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (8*m1**4*m3sq*m7sq*B0fin(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (2*m1sq*m6sq*m7sq*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m3sq*m6sq*m7sq*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (12*m1**4*(m6sq + m7sq)*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (20*m1sq*m3sq*(m6sq + m7sq)*B0fin(0,0,m1sq))/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (64*m1**6*m3sq*(m6sq + m7sq)*B0fin(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (64*m1**8*(2*m3sq + m6sq + m7sq)*B0fin(0,0,m1sq))/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (12*m1**8*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (36*m1**4*m3**4*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (12*m1sq*m3**6*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (36*m1**6*m3sq*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1**4*m7**4*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (14*m1sq*m3sq*m7**4*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*m7**6*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (14*m1**6*m7sq*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (14*m1sq*m3**4*m7sq*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (30*m1**4*m3sq*m7sq*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq)*B0fin(0,0,m1sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (4*m1**6*B0fin(0,0,m1sq)**2)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (20*m1**4*m3sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (64*m1**10*B0fin(0,0,m1sq)**2)/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m1**6*m6sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1**4*m3sq*m6sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m1**6*m7sq*B0fin(0,0,m1sq)**2)/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (4*m1**4*m3sq*m7sq*B0fin(0,0,m1sq)**2)/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (m3sq*m6sq*m7sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (4*m1sq*m3sq*(m6sq + m7sq)*B0fin(0,0,m1sq)**2)/((-2*m1 + m6)**2*(2*m1 + m6)**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) + (32*m1**6*m3sq*(m6sq + m7sq)*B0fin(0,0,m1sq)**2)/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (32*m1**8*(2*m3sq + m6sq + m7sq)*B0fin(0,0,m1sq)**2)/(m6**2*(-2*m1 + m6)**2*(2*m1 + m6)**2*m7**2*(-2*m1 + m7)**2*(2*m1 + m7)**2) - (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (4*m1**4*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((-4*m1sq*m6 + m6**3)**2*(m6sq - m7sq)) + (4*m1sq*m3sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((-4*m1sq*m6 + m6**3)**2*(m6sq - m7sq)) + (5*m1sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((-4*m1sq + m6sq)**2*(m6sq - m7sq)) - (m3sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((-4*m1sq + m6sq)**2*(m6sq - m7sq)) - (m6sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((-4*m1sq + m6sq)**2*(m6sq - m7sq)) - ((m1sq - m3sq - m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (12*m1**8*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (36*m1**4*m3**4*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (12*m1sq*m3**6*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (36*m1**6*m3sq*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (14*m1sq*m3sq*m6**4*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1sq*m6**6*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (14*m1**6*m6sq*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (14*m1sq*m3**4*m6sq*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (30*m1**4*m3sq*m6sq*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m3sq*m6sq*(2*m3**4 + m6**4 - 3*m3sq*m6sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (4*m1**8*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (12*m1**4*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (12*m1**6*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (7*m1**4*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (6*m1sq*m3sq*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m1sq*m6**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m3**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (30*m1**4*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m3sq*m6sq*(2*m3**4 + m6**4 - 3*m3sq*m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((-4*m1sq + m6sq)**2*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (4*m1**4*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((-4*m1sq*m7 + m7**3)**2*(m6sq - m7sq)) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((m6sq - m7sq)*(-4*m1sq + m7sq)**2) + (4*m1sq*m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((-4*m1sq*m7 + m7**3)**2*(-m6sq + m7sq)) + (5*m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)) - (m7sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)) + ((m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (12*m1**8*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (36*m1**4*m3**4*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (12*m1sq*m3**6*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (36*m1**6*m3sq*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1**4*m7**4*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (14*m1sq*m3sq*m7**4*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*m7**6*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (14*m1**6*m7sq*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (14*m1sq*m3**4*m7sq*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (30*m1**4*m3sq*m7sq*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (4*m1**8*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (12*m1**4*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (4*m1sq*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (12*m1**6*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (7*m1**4*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (6*m1sq*m3sq*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*m7**6*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m1sq*m3**4*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (30*m1**4*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*m7sq*(2*m3**4 + m7**4 - 3*m3sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (4*m1**4*T134fin(m6,m1,m1))/((-4*m1sq*m6 + m6**3)**2*(m6sq - m7sq)) - (4*m1sq*m3sq*T134fin(m6,m1,m1))/((-4*m1sq*m6 + m6**3)**2*(m6sq - m7sq)) - (6*m1sq*T134fin(m6,m1,m1))/((-4*m1sq + m6sq)**2*(m6sq - m7sq)) + (2*m3sq*T134fin(m6,m1,m1))/((-4*m1sq + m6sq)**2*(m6sq - m7sq)) + (m6sq*T134fin(m6,m1,m1))/((-4*m1sq + m6sq)**2*(m6sq - m7sq)) + ((m1sq - m3sq - m6sq)*T134fin(m6,m3,m1))/((m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*m3sq*T134fin(m7,m1,m1))/((-4*m1sq*m7 + m7**3)**2*(m6sq - m7sq)) + (6*m1sq*T134fin(m7,m1,m1))/((m6sq - m7sq)*(-4*m1sq + m7sq)**2) + (4*m1**4*T134fin(m7,m1,m1))/((-4*m1sq*m7 + m7**3)**2*(-m6sq + m7sq)) + (2*m3sq*T134fin(m7,m1,m1))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)) + (m7sq*T134fin(m7,m1,m1))/((-4*m1sq + m7sq)**2*(-m6sq + m7sq)) + ((m1sq - m3sq - m7sq)*T134fin(m7,m3,m1))/((m6sq - m7sq)*(4*m3sq*m7sq - (-m1sq + m3sq + m7sq)**2)))/(m1sq - m3sq)**2
		def eval_159():
			return ((32*m1**6)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (32*m1**4*m3sq)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (2*m1sq)/((-2*m1 + m4)**2*(2*m1 + m4)*(m4sq - m5sq)) - (2*m3sq)/((-2*m1 + m4)**2*(2*m1 + m4)*(m4sq - m5sq)) - (8*m1**8)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (24*m1**4*m3**4)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (8*m1sq*m3**6)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (24*m1**6*m3sq)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (8*m1**4*m4**4)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (8*m1sq*m3sq*m4**4)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (16*m1**6*m4sq)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (16*m1sq*m3**4*m4sq)/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1sq*m4sq*m5sq)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (m3sq*m4sq*m5sq)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (2*m1sq)/((-2*m1 + m5)**2*(2*m1 + m5)*(-m4sq + m5sq)) - (2*m3sq)/((-2*m1 + m5)**2*(2*m1 + m5)*(-m4sq + m5sq)) - (6*m1**4*(m4sq + m5sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (6*m1sq*m3sq*(m4sq + m5sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (8*m1**8)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (24*m1**4*m3**4)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (8*m1sq*m3**6)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (24*m1**6*m3sq)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (8*m1**4*m5**4)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (8*m1sq*m3sq*m5**4)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (16*m1**6*m5sq)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (16*m1sq*m3**4*m5sq)/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (8*m1**6*B0del(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (40*m1**4*m3sq*B0del(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (128*m1**10*B0del(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (8*m1**6*m4sq*B0del(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (8*m1**4*m3sq*m4sq*B0del(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (4*m1**8*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (12*m1**4*m3**4*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (4*m1sq*m3**6*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (12*m1**6*m3sq*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (7*m1**4*m4**4*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (6*m1sq*m3sq*m4**4*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m1sq*m4**6*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1**6*m4sq*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m3**4*m4sq*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (30*m1**4*m3sq*m4sq*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m3sq*m4sq*(2*m3**4 + m4**4 - 3*m3sq*m4sq)*B0del(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (8*m1**6*m5sq*B0del(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (8*m1**4*m3sq*m5sq*B0del(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (2*m3sq*m4sq*m5sq*B0del(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (8*m1sq*m3sq*(m4sq + m5sq)*B0del(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (64*m1**6*m3sq*(m4sq + m5sq)*B0del(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (64*m1**8*(2*m3sq + m4sq + m5sq)*B0del(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (4*m1**8*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (12*m1**4*m3**4*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (4*m1sq*m3**6*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (12*m1**6*m3sq*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (7*m1**4*m5**4*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (6*m1sq*m3sq*m5**4*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*m5**6*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m1**6*m5sq*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m1sq*m3**4*m5sq*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (30*m1**4*m3sq*m5sq*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq)*B0del(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0del(0,0,m1sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m5sq*B0del(0,0,m3sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0del(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (4*m1**8*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (12*m1**4*m3**4*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (4*m1sq*m3**6*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (12*m1**6*m3sq*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (7*m1**4*m4**4*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (6*m1sq*m3sq*m4**4*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m1sq*m4**6*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1**6*m4sq*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m3**4*m4sq*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (30*m1**4*m3sq*m4sq*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m3sq*m4sq*(2*m3**4 + m4**4 - 3*m3sq*m4sq)*B0del(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m5sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (4*m1**8*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (12*m1**4*m3**4*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (4*m1sq*m3**6*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (12*m1**6*m3sq*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (7*m1**4*m5**4*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (6*m1sq*m3sq*m5**4*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*m5**6*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m1**6*m5sq*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m1sq*m3**4*m5sq*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (30*m1**4*m3sq*m5sq*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq)*B0del(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (72*m1**6*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (104*m1**4*m3sq*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (128*m1**10*B0fin(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (8*m1**6*m4sq*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (8*m1**4*m3sq*m4sq*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (12*m1**8*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (36*m1**4*m3**4*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (12*m1sq*m3**6*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (36*m1**6*m3sq*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**4*m4**4*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (14*m1sq*m3sq*m4**4*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1sq*m4**6*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (14*m1**6*m4sq*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (14*m1sq*m3**4*m4sq*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (30*m1**4*m3sq*m4sq*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m3sq*m4sq*(2*m3**4 + m4**4 - 3*m3sq*m4sq)*B0fin(0,0,m1sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (8*m1**6*m5sq*B0fin(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (8*m1**4*m3sq*m5sq*B0fin(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (2*m1sq*m4sq*m5sq*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (4*m3sq*m4sq*m5sq*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (12*m1**4*(m4sq + m5sq)*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (20*m1sq*m3sq*(m4sq + m5sq)*B0fin(0,0,m1sq))/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (64*m1**6*m3sq*(m4sq + m5sq)*B0fin(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (64*m1**8*(2*m3sq + m4sq + m5sq)*B0fin(0,0,m1sq))/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (12*m1**8*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (36*m1**4*m3**4*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (12*m1sq*m3**6*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (36*m1**6*m3sq*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1**4*m5**4*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (14*m1sq*m3sq*m5**4*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1sq*m5**6*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (14*m1**6*m5sq*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (14*m1sq*m3**4*m5sq*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (30*m1**4*m3sq*m5sq*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq)*B0fin(0,0,m1sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m1sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (4*m1**6*B0fin(0,0,m1sq)**2)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (20*m1**4*m3sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (64*m1**10*B0fin(0,0,m1sq)**2)/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (4*m1**6*m4sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (4*m1**4*m3sq*m4sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (4*m1**6*m5sq*B0fin(0,0,m1sq)**2)/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (4*m1**4*m3sq*m5sq*B0fin(0,0,m1sq)**2)/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (m3sq*m4sq*m5sq*B0fin(0,0,m1sq)**2)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (4*m1sq*m3sq*(m4sq + m5sq)*B0fin(0,0,m1sq)**2)/((-2*m1 + m4)**2*(2*m1 + m4)**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) + (32*m1**6*m3sq*(m4sq + m5sq)*B0fin(0,0,m1sq)**2)/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (32*m1**8*(2*m3sq + m4sq + m5sq)*B0fin(0,0,m1sq)**2)/(m4**2*(-2*m1 + m4)**2*(2*m1 + m4)**2*m5**2*(-2*m1 + m5)**2*(2*m1 + m5)**2) - (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m3sq*m5sq*B0fin(0,0,m3sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (4*m1**4*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((-4*m1sq*m4 + m4**3)**2*(m4sq - m5sq)) + (4*m1sq*m3sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((-4*m1sq*m4 + m4**3)**2*(m4sq - m5sq)) + (5*m1sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((-4*m1sq + m4sq)**2*(m4sq - m5sq)) - (m3sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((-4*m1sq + m4sq)**2*(m4sq - m5sq)) - (m4sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((-4*m1sq + m4sq)**2*(m4sq - m5sq)) - ((m1sq - m3sq - m4sq)*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (12*m1**8*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (36*m1**4*m3**4*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (12*m1sq*m3**6*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (36*m1**6*m3sq*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1**4*m4**4*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (14*m1sq*m3sq*m4**4*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1sq*m4**6*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (14*m1**6*m4sq*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (14*m1sq*m3**4*m4sq*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (30*m1**4*m3sq*m4sq*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m3sq*m4sq*(2*m3**4 + m4**4 - 3*m3sq*m4sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (4*m1**8*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (12*m1**4*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (4*m1sq*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (12*m1**6*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (7*m1**4*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (6*m1sq*m3sq*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m1sq*m4**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m3**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (30*m1**4*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m3sq*m4sq*(2*m3**4 + m4**4 - 3*m3sq*m4sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((-4*m1sq + m4sq)**2*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (4*m1**4*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((-4*m1sq*m5 + m5**3)**2*(m4sq - m5sq)) + (m3sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((m4sq - m5sq)*(-4*m1sq + m5sq)**2) + (4*m1sq*m3sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((-4*m1sq*m5 + m5**3)**2*(-m4sq + m5sq)) + (5*m1sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)) - (m5sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)) + ((m1sq - m3sq - m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m3sq*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (12*m1**8*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (36*m1**4*m3**4*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (12*m1sq*m3**6*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (36*m1**6*m3sq*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1**4*m5**4*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (14*m1sq*m3sq*m5**4*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1sq*m5**6*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (14*m1**6*m5sq*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (14*m1sq*m3**4*m5sq*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (30*m1**4*m3sq*m5sq*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (4*m1**8*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (12*m1**4*m3**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (4*m1sq*m3**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (12*m1**6*m3sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (7*m1**4*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (6*m1sq*m3sq*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*m5**6*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m1**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m1sq*m3**4*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (30*m1**4*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*m5sq*(2*m3**4 + m5**4 - 3*m3sq*m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (4*m1**4*T134fin(m4,m1,m1))/((-4*m1sq*m4 + m4**3)**2*(m4sq - m5sq)) - (4*m1sq*m3sq*T134fin(m4,m1,m1))/((-4*m1sq*m4 + m4**3)**2*(m4sq - m5sq)) - (6*m1sq*T134fin(m4,m1,m1))/((-4*m1sq + m4sq)**2*(m4sq - m5sq)) + (2*m3sq*T134fin(m4,m1,m1))/((-4*m1sq + m4sq)**2*(m4sq - m5sq)) + (m4sq*T134fin(m4,m1,m1))/((-4*m1sq + m4sq)**2*(m4sq - m5sq)) + ((m1sq - m3sq - m4sq)*T134fin(m4,m3,m1))/((m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (4*m1sq*m3sq*T134fin(m5,m1,m1))/((-4*m1sq*m5 + m5**3)**2*(m4sq - m5sq)) + (6*m1sq*T134fin(m5,m1,m1))/((m4sq - m5sq)*(-4*m1sq + m5sq)**2) + (4*m1**4*T134fin(m5,m1,m1))/((-4*m1sq*m5 + m5**3)**2*(-m4sq + m5sq)) + (2*m3sq*T134fin(m5,m1,m1))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)) + (m5sq*T134fin(m5,m1,m1))/((-4*m1sq + m5sq)**2*(-m4sq + m5sq)) + ((m1sq - m3sq - m5sq)*T134fin(m5,m3,m1))/((m4sq - m5sq)*(4*m3sq*m5sq - (-m1sq + m3sq + m5sq)**2)))/(m1sq - m3sq)**2
		def eval_160():
			return (2*m1sq*m4sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m1sq*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m2sq*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m2sq*(-m4**4 + 3*m5**4 + m2sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*(-m4**4 + 3*m5**4 + m3sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (2*m1sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m2sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m5sq)*(m4sq - m5sq)) + m2sq*(m3sq - m4sq + m5sq))) + (m4sq - m5sq)*(m4**4 + 5*m5**4 + m2sq*(m3sq - m4sq - 3*m5sq) + 10*m4sq*m5sq - m3sq*(m4sq + 3*m5sq)))*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (2*m5sq*B0del(0,0,m5sq))/((-m4sq + m5sq)*(-m1sq + 4*m5sq)*(-m2sq + 4*m5sq)*(-m3sq + 4*m5sq)) + (m1sq*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m2sq*(-m4**4 + 3*m5**4 + m2sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m3sq*(-m4**4 + 3*m5**4 + m3sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m5sq)*(m4sq - m5sq)) + m2sq*(m3sq - m4sq + m5sq))) + (m4sq - m5sq)*(m4**4 + 5*m5**4 + m2sq*(m3sq - m4sq - 3*m5sq) + 10*m4sq*m5sq - m3sq*(m4sq + 3*m5sq)))*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m1sq*(-m4**4 + 3*m5**4 + m1sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (2*m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m2sq*(m4**4 - 3*m5**4 - m2sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*(m4**4 - 3*m5**4 - m3sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (2*m2sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m5sq)*(m4sq - m5sq)) + m2sq*(m3sq - m4sq + m5sq))) + (m4sq - m5sq)*(m4**4 + 5*m5**4 + m2sq*(m3sq - m4sq - 3*m5sq) + 10*m4sq*m5sq - m3sq*(m4sq + 3*m5sq)))*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (2*m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + ((m1sq + m4sq - m5sq)*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - ((m2sq + m4sq - m5sq)*(m2 + m4 + m5 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - ((m3sq + m4sq - m5sq)*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m1 + 2*m5 + 2*m1*B0fin(0,0,m1) + 4*m5*B0fin(0,0,m5))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)) - (m2 + 2*m5 + 2*m2*B0fin(0,0,m2) + 4*m5*B0fin(0,0,m5))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)) - (m3 + 2*m5 + 2*m3*B0fin(0,0,m3) + 4*m5*B0fin(0,0,m5))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)) + (2*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(-m1sq + 4*m5sq)*(-m2sq + 4*m5sq)*(-m3sq + 4*m5sq)) + (m1sq*(-m4**4 + 3*m5**4 + m1sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m2sq*(m4**4 - 3*m5**4 - m2sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m3sq*(m4**4 - 3*m5**4 - m3sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m5sq)*(m4sq - m5sq)) + m2sq*(m3sq - m4sq + m5sq))) + (m4sq - m5sq)*(m4**4 + 5*m5**4 + m2sq*(m3sq - m4sq - 3*m5sq) + 10*m4sq*m5sq - m3sq*(m4sq + 3*m5sq)))*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m1sq*(m4**4 - 3*m5**4 - m1sq*(m4sq - 3*m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m2sq*(-m4**4 + 3*m5**4 + m2sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m3sq*(-m4**4 + 3*m5**4 + m3sq*(m4sq - 3*m5sq) + 6*m4sq*m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m5sq)*(m4sq - m5sq)) + m2sq*(m3sq - m4sq + m5sq))) + (m4sq - m5sq)*(m4**4 + 5*m5**4 + m2sq*(m3sq - m4sq - 3*m5sq) + 10*m4sq*m5sq - m3sq*(m4sq + 3*m5sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m5sq*B0fin(0,0,m5sq)**2)/((-m4sq + m5sq)*(-m1sq + 4*m5sq)*(-m2sq + 4*m5sq)*(-m3sq + 4*m5sq)) - ((m1sq + m4sq - m5sq)*T134fin(m5,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + ((m2sq + m4sq - m5sq)*T134fin(m5,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + ((m3sq + m4sq - m5sq)*T134fin(m5,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - T134fin(m5,m5,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m5sq)*(-m4sq + m5sq)) + T134fin(m5,m5,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m5sq)*(-m4sq + m5sq)) + T134fin(m5,m5,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m5sq)*(-m4sq + m5sq))
		def eval_161():
			return -(m1**6/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2)) - (3*m1sq*m4**4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1**4*m4sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1sq*m6**4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + m2**6/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m2sq*m4**4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2**4*m4sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m2sq*m6**4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2**4)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) + m3**6/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (3*m3sq*m4**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3**4*m4sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (3*m3sq*m6**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)) + (4*m1sq*m4sq*(m4sq - m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m2sq*m4sq*(m4sq - m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m3sq*m4sq*(m4sq - m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*(m4sq - m6sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (2*(m4sq - m6sq)**2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) + (2*(m4sq - m6sq)**2)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)) - (4*m1**4*m6sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1sq*m4sq*m6sq)/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m2**4*m6sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (6*m2sq*m4sq*m6sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m3**4*m6sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (6*m3sq*m4sq*m6sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m2sq*(m4sq - m6sq)*m6sq)/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m3sq*(m4sq - m6sq)*m6sq)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m1sq*m6sq*(-m4sq + m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1**4*(m4sq + m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m2**4*(m4sq + m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m3**4*(m4sq + m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**6*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m4sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m6sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**6*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2**4*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2**4*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m3**6*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1sq*m4**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2sq*m4**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*m4**4*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m6**4*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2sq*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**4*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**4*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m3**4*m6sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m2sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1sq*m6sq*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m3**4*(m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1sq*m4**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m4sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2sq*m4**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2**4*m4sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*m4**4*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4*m4sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m6**4*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2sq*m4sq*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m3sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2sq*m6sq*(-m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*m6sq*(-m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m3**4*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**6*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1**4*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1**4*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (6*m2**4*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (6*m2**4*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m3**6*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (6*m3**4*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (6*m3**4*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m3**6*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (3*m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m2sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m3**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (5*m1**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m2**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (5*m3**4*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2**6*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m3**6*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**4*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*(m4sq + m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m3**4*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3sq*(m4sq + m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m4**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1**4*m4sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m4**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2**4*m4sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m3**6*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m4**4*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3**4*m4sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (4*m3sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m1**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m2**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m3**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (4*m3sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (3*m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m2sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m3sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (5*m1**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (5*m2**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (5*m3**4*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + ((m4sq - m6sq)**2*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m1**6*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**4*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m2**6*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m3**6*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m3**4*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m6sq*(-m4sq + m6sq)*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (m1**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m2**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m3**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (m3sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m3sq*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) + (2*m1**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m2**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m3**4*(m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m1**4*T134fin(m6,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m4sq + m6sq)*T134fin(m6,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m2**4*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2sq*(m4sq + m6sq)*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m3**4*T134fin(m6,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2) - (2*m3sq*(m4sq + m6sq)*T134fin(m6,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3 + m4 - m6)**2*(m3 - m4 + m6)**2*(-m3 + m4 + m6)**2*(m3 + m4 + m6)**2)
		def eval_162():
			return -(((2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2sq*(-3*m4**4 + m7**4 + m2sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*(-3*m4**4 + m7**4 + m3sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) - (m1sq*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(-3*m4**4 + m7**4 + m2sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(-3*m4**4 + m7**4 + m3sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0del(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(-3*m4**4 + m7**4 + m2sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m3sq*(-3*m4**4 + m7**4 + m3sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) + (m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) + (m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - (2*m4sq*B0fin(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + (m1sq*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(-3*m4**4 + m7**4 + m2sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(-3*m4**4 + m7**4 + m3sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(-3*m4**4 + m7**4 + m1sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(-3*m4**4 + m7**4 + m2sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(-3*m4**4 + m7**4 + m3sq*(3*m4sq - m7sq) - 6*m4sq*m7sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + ((m1sq - m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m2sq - m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m3sq - m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + T134fin(m4,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) - T134fin(m4,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) - T134fin(m4,m4,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - ((m1sq - m4sq + m7sq)*T134fin(m7,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m2sq - m4sq + m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))))/(m4sq - m7sq))
		def eval_163():
			return -(((2*m1sq*m5sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (m1sq*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m2sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m2sq*(-3*m4**4 + m5**4 + m2sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (2*m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m3sq*(-3*m4**4 + m5**4 + m3sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (2*m4sq*B0del(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) - (m1sq*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m2sq*(-3*m4**4 + m5**4 + m2sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m3sq*(-3*m4**4 + m5**4 + m3sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m5sq*(-(m1sq*((m3sq - 3*m4sq - m5sq)*(m4sq - m5sq) + m2sq*(m3sq + m4sq - m5sq))) - (m4sq - m5sq)*(5*m4**4 + m5**4 + m2sq*(m3sq - 3*m4sq - m5sq) + 10*m4sq*m5sq - m3sq*(3*m4sq + m5sq)))*B0del(0,0,m4sq))/((m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (2*m1sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m2sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (2*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m5sq*(-(m1sq*((m3sq - 3*m4sq - m5sq)*(m4sq - m5sq) + m2sq*(m3sq + m4sq - m5sq))) - (m4sq - m5sq)*(5*m4**4 + m5**4 + m2sq*(m3sq - 3*m4sq - m5sq) + 10*m4sq*m5sq - m3sq*(3*m4sq + m5sq)))*B0del(0,0,m5sq))/((m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m1sq*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (2*m2sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (m2sq*(-3*m4**4 + m5**4 + m2sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (2*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m3sq*(-3*m4**4 + m5**4 + m3sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m1 + 2*m4 + 2*m1*B0fin(0,0,m1) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) + (m2 + 2*m4 + 2*m2*B0fin(0,0,m2) + 4*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) + (m3 + 2*m4 + 2*m3*B0fin(0,0,m3) + 4*m4*B0fin(0,0,m4))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - (2*m4sq*B0fin(0,0,m4sq))/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + (m1sq*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (m2sq*(-3*m4**4 + m5**4 + m2sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (m3sq*(-3*m4**4 + m5**4 + m3sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m5sq*(-(m1sq*((m3sq - 3*m4sq - m5sq)*(m4sq - m5sq) + m2sq*(m3sq + m4sq - m5sq))) - (m4sq - m5sq)*(5*m4**4 + m5**4 + m2sq*(m3sq - 3*m4sq - m5sq) + 10*m4sq*m5sq - m3sq*(3*m4sq + m5sq)))*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m1sq*(-3*m4**4 + m5**4 + m1sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (m2sq*(-3*m4**4 + m5**4 + m2sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (m3sq*(-3*m4**4 + m5**4 + m3sq*(3*m4sq - m5sq) - 6*m4sq*m5sq)*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m4sq*B0fin(0,0,m4sq)**2)/((m1sq - 4*m4sq)*(-m2sq + 4*m4sq)*(-m3sq + 4*m4sq)) + ((m1sq - m4sq + m5sq)*(m1 + m4 + m5 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - ((m2sq - m4sq + m5sq)*(m2 + m4 + m5 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - ((m3sq - m4sq + m5sq)*(m3 + m4 + m5 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (2*m1sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + (2*m2sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + (2*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) - (m5sq*(-(m1sq*((m3sq - 3*m4sq - m5sq)*(m4sq - m5sq) + m2sq*(m3sq + m4sq - m5sq))) - (m4sq - m5sq)*(5*m4**4 + m5**4 + m2sq*(m3sq - 3*m4sq - m5sq) + 10*m4sq*m5sq - m3sq*(3*m4sq + m5sq)))*B0fin(0,0,m5sq))/((m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) - (2*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) - (2*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + (m5sq*(-(m1sq*((m3sq - 3*m4sq - m5sq)*(m4sq - m5sq) + m2sq*(m3sq + m4sq - m5sq))) - (m4sq - m5sq)*(5*m4**4 + m5**4 + m2sq*(m3sq - 3*m4sq - m5sq) + 10*m4sq*m5sq - m3sq*(3*m4sq + m5sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m5sq))/((m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))) + T134fin(m4,m4,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(m1sq - 4*m4sq)) - T134fin(m4,m4,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(m2sq - 4*m4sq)) - T134fin(m4,m4,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(m3sq - 4*m4sq)) - ((m1sq - m4sq + m5sq)*T134fin(m5,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m5sq)**2 - 2*m1sq*(m4sq + m5sq))) + ((m2sq - m4sq + m5sq)*T134fin(m5,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m5sq)**2 - 2*m2sq*(m4sq + m5sq))) + ((m3sq - m4sq + m5sq)*T134fin(m5,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m5sq)**2 - 2*m3sq*(m4sq + m5sq))))/(m4sq - m5sq))
		def eval_164():
			return (2*m1sq*m6sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*B0del(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(4*m3sq - m7sq)) + (m6sq*(-(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m6sq - m2sq*(6*m3sq + m6sq)) + m1sq*(10*m3**6 - 5*m3sq*m6**4 - 5*m3**4*m6sq - m2**4*(6*m3sq + m6sq) + m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0del(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0del(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq)) + m1sq*(10*m3**6 - 5*m3sq*m7**4 - 5*m3**4*m7sq - m2**4*(6*m3sq + m7sq) + m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m1sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m6sq - m2sq*(6*m3sq + m6sq)) + m1sq*(10*m3**6 - 5*m3sq*m6**4 - 5*m3**4*m6sq - m2**4*(6*m3sq + m6sq) + m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq)) + m1sq*(10*m3**6 - 5*m3sq*m7**4 - 5*m3**4*m7sq - m2**4*(6*m3sq + m7sq) + m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(4*m3sq - m7sq)) + (m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m6sq - m7sq) + m6sq*m7sq + m3sq*(m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m3sq*B0fin(0,0,m3sq)**2)/((-m1sq + m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(4*m3sq - m7sq)) + ((m1sq - m3sq + m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - ((m2sq - m3sq + m6sq)*(m2 + m3 + m6 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m3 + m6 + 4*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m6sq - m7sq)) - (2*m1sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m6sq) + m2sq*(6*m3sq + m6sq)) + m1sq*(m2**4*(6*m3sq + m6sq) + 5*m3sq*(-2*m3**4 + m6**4 + m3sq*m6sq) - m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-(m3sq*(m3sq - m6sq)*(3*m2**4 + 15*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m6sq - m2sq*(6*m3sq + m6sq)) + m1sq*(10*m3**6 - 5*m3sq*m6**4 - 5*m3**4*m6sq - m2**4*(6*m3sq + m6sq) + m2sq*(12*m3**4 + m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m3sq + m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + ((m2sq - m3sq + m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3 + m7 + 4*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m7sq) + m2sq*(6*m3sq + m7sq)) + m1sq*(m2**4*(6*m3sq + m7sq) + 5*m3sq*(-2*m3**4 + m7**4 + m3sq*m7sq) - m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m3sq*(m3sq - m7sq)*(3*m2**4 + 15*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m7sq - m2sq*(6*m3sq + m7sq)) + m1sq*(10*m3**6 - 5*m3sq*m7**4 - 5*m3**4*m7sq - m2**4*(6*m3sq + m7sq) + m2sq*(12*m3**4 + m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - ((m1sq - m3sq + m6sq)*T134fin(m6,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + ((m2sq - m3sq + m6sq)*T134fin(m6,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - T134fin(m6,m3,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m3sq + m7sq)*T134fin(m7,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - ((m2sq - m3sq + m7sq)*T134fin(m7,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - T134fin(m7,m3,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m7sq)*(-m6sq + m7sq))
		def eval_165():
			return (2*m1sq*m4sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*m5sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m2sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m3sq*B0del(0,0,m3sq))/((-m1sq + m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(4*m3sq - m5sq)) + (m4sq*(-(m3sq*(m3sq - m4sq)*(3*m2**4 + 15*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m4sq - m2sq*(6*m3sq + m4sq)) + m1sq*(10*m3**6 - 5*m3sq*m4**4 - 5*m3**4*m4sq - m2**4*(6*m3sq + m4sq) + m2sq*(12*m3**4 + m4**4 + 18*m3sq*m4sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0del(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0del(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(-(m3sq*(m3sq - m5sq)*(3*m2**4 + 15*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m5sq - m2sq*(6*m3sq + m5sq)) + m1sq*(10*m3**6 - 5*m3sq*m5**4 - 5*m3**4*m5sq - m2**4*(6*m3sq + m5sq) + m2sq*(12*m3**4 + m5**4 + 18*m3sq*m5sq)))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m1sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m2sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(-(m3sq*(m3sq - m4sq)*(3*m2**4 + 15*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m4sq - m2sq*(6*m3sq + m4sq)) + m1sq*(10*m3**6 - 5*m3sq*m4**4 - 5*m3**4*m4sq - m2**4*(6*m3sq + m4sq) + m2sq*(12*m3**4 + m4**4 + 18*m3sq*m4sq)))*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m2sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(-(m3sq*(m3sq - m5sq)*(3*m2**4 + 15*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m5sq - m2sq*(6*m3sq + m5sq)) + m1sq*(10*m3**6 - 5*m3sq*m5**4 - 5*m3**4*m5sq - m2**4*(6*m3sq + m5sq) + m2sq*(12*m3**4 + m5**4 + 18*m3sq*m5sq)))*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (2*m1sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m2sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m3sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(4*m3sq - m5sq)) + (m4sq*(m3sq*(m3sq - m4sq)*(3*m2**4 + 15*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m4sq) + m2sq*(6*m3sq + m4sq)) + m1sq*(m2**4*(6*m3sq + m4sq) + 5*m3sq*(-2*m3**4 + m4**4 + m3sq*m4sq) - m2sq*(12*m3**4 + m4**4 + 18*m3sq*m4sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(m3sq*(m3sq - m5sq)*(3*m2**4 + 15*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m5sq) + m2sq*(6*m3sq + m5sq)) + m1sq*(m2**4*(6*m3sq + m5sq) + 5*m3sq*(-2*m3**4 + m5**4 + m3sq*m5sq) - m2sq*(12*m3**4 + m5**4 + 18*m3sq*m5sq)))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m1sq*(m1**4 - 3*m3**4 + m1sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m2sq*(m2**4 - 3*m3**4 + m2sq*(2*m3sq - m4sq - m5sq) + m4sq*m5sq + m3sq*(m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m3sq*B0fin(0,0,m3sq)**2)/((-m1sq + m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(4*m3sq - m5sq)) + ((m1sq - m3sq + m4sq)*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - ((m2sq - m3sq + m4sq)*(m2 + m3 + m4 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m3 + m4 + 4*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m4sq - m5sq)) - (2*m1sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m2sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(m3sq*(m3sq - m4sq)*(3*m2**4 + 15*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m4sq) + m2sq*(6*m3sq + m4sq)) + m1sq*(m2**4*(6*m3sq + m4sq) + 5*m3sq*(-2*m3**4 + m4**4 + m3sq*m4sq) - m2sq*(12*m3**4 + m4**4 + 18*m3sq*m4sq)))*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(-(m3sq*(m3sq - m4sq)*(3*m2**4 + 15*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m4sq - m2sq*(6*m3sq + m4sq)) + m1sq*(10*m3**6 - 5*m3sq*m4**4 - 5*m3**4*m4sq - m2**4*(6*m3sq + m4sq) + m2sq*(12*m3**4 + m4**4 + 18*m3sq*m4sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - ((m1sq - m3sq + m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + ((m2sq - m3sq + m5sq)*(m2 + m3 + m5 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m3 + m5 + 4*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq)) + (2*m1sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(m3sq*(m3sq - m5sq)*(3*m2**4 + 15*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq)) + m1**4*(-m2**4 + 3*m3sq*(m3sq - m5sq) + m2sq*(6*m3sq + m5sq)) + m1sq*(m2**4*(6*m3sq + m5sq) + 5*m3sq*(-2*m3**4 + m5**4 + m3sq*m5sq) - m2sq*(12*m3**4 + m5**4 + 18*m3sq*m5sq)))*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(-(m3sq*(m3sq - m5sq)*(3*m2**4 + 15*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq))) + m1**4*(m2**4 - 3*m3**4 + 3*m3sq*m5sq - m2sq*(6*m3sq + m5sq)) + m1sq*(10*m3**6 - 5*m3sq*m5**4 - 5*m3**4*m5sq - m2**4*(6*m3sq + m5sq) + m2sq*(12*m3**4 + m5**4 + 18*m3sq*m5sq)))*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - ((m1sq - m3sq + m4sq)*T134fin(m4,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + ((m2sq - m3sq + m4sq)*T134fin(m4,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - T134fin(m4,m3,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m4sq)*(m4sq - m5sq)) + ((m1sq - m3sq + m5sq)*T134fin(m5,m3,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - ((m2sq - m3sq + m5sq)*T134fin(m5,m3,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - T134fin(m5,m3,m3)/((m1sq - m3sq)*(-m2sq + m3sq)*(4*m3sq - m5sq)*(-m4sq + m5sq))
		def eval_166():
			return -(m2**6/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2)) - (3*m2sq*m4**4)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m1sq*m2**4*m4sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2**6*m4sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m2**4*m4sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m6**4)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*m2**4)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) - (2*m2**6)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) - (2*m1sq*m4**4)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) + (2*m1sq*m6**4)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) + m2**6/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (3*m2sq*m5**4)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (4*m1sq*m2**4*m5sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m2**6*m5sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (3*m2**4*m5sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2sq*m6**4)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1sq*m2**4)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) + (2*m2**6)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) + (2*m1sq*m5**4)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) - (2*m1sq*m6**4)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) - (-(m4sq*m6) + m6**3)**2/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (-(m5sq*m6) + m6**3)**2/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m2sq*(m4**4 - m6**4))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) - (2*m2sq*(m5**4 - m6**4))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) + (m2**4*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (6*m2sq*m4sq*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2**4*m6sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) - (4*m1sq*m2sq*m6sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)) - (m2**4*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (6*m2sq*m5sq*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m2**4*m6sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) + (4*m1sq*m2sq*m6sq)/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)) - (4*m2**4*m4sq*(m4sq + m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m1sq*m2sq*m4sq*(m4sq + m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2**4*m5sq*(m5sq + m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m1sq*m2sq*m5sq*(m5sq + m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m4**3 - m4*m6sq)**2/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m5**3 - m5*m6sq)**2/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (8*m1sq*m2sq*m4sq*m6**4)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (8*m1sq*m4sq*m6**6)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (4*m2sq*m4sq*m6**4*(m4sq - m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (8*m1sq*m2sq*m4**4*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (8*m1sq*m4**6*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (4*m1**4*m2sq*m4sq*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (4*m2sq*m4**4*(m4sq - m6sq)*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (4*m1**4*m4sq*(m4sq - m6sq)*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (4*m4sq*(m4sq - m6sq)**3*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (8*m1sq*m2sq*m5sq*m6**4)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (8*m1sq*m5sq*m6**6)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (4*m2sq*m5sq*m6**4*(m5sq - m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (8*m1sq*m2sq*m5**4*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (8*m1sq*m5**6*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (4*m1**4*m2sq*m5sq*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (4*m2sq*m5**4*(m5sq - m6sq)*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (4*m1**4*m5sq*(m5sq - m6sq)*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (4*m5sq*(m5sq - m6sq)**3*m6sq)/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m1sq*m4sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m1sq*m5sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2sq*m4**4*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m1sq*m2**4*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m2**6*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*m5**4*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m1sq*m2**4*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (3*m2**6*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m1sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m2sq*m4sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2sq*m5sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (4*m2**4*m4sq*(m4sq + m6sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2**4*m5sq*(m5sq + m6sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((m4**3 - m4*m6sq)**2*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m5**3 - m5*m6sq)**2*B0del(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m2sq*(m2**4 + m4sq*m5sq - m6**4 - m2sq*(m4sq + m5sq - 4*m6sq))*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (m1sq*m2**4*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m2**6*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2**4*m4sq*(m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m1**4*m2sq*m4**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2sq*m4**6*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m4**8*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m2**4*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**6*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (5*m1sq*m4**4*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2sq*m4sq*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m4sq*m6**6*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m4**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*m4**6*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2**6*m4sq*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (7*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (6*m1sq*m2sq*m4**4*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (5*m1sq*m4**6*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (8*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**4*m4sq*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m2**4*m4sq*(m4sq - m6sq)*(m4sq + 3*m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2**4*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (3*m2**6*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m1sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m2**4*m5sq*(m5sq + m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m1**4*m2sq*m5**4*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2sq*m5**6*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m5**8*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m2**4*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m2**6*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (5*m1sq*m5**4*m6**4*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2sq*m5sq*m6**4*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m5sq*m6**6*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m5**4*(m5sq - m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2sq*m5**6*(m5sq - m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**4*m5sq*(m5sq - m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2**6*m5sq*(m5sq - m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (7*m2sq*m5sq*m6**4*(m5sq - m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (6*m1sq*m2sq*m5**4*m6sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (5*m1sq*m5**6*m6sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (8*m2sq*m5**4*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m5sq*(m5sq - m6sq)**3*m6sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2**4*m5sq*(m5sq - m6sq)*(m5sq + 3*m6sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2sq*m4**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m4sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*m5**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m5sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m2sq*m4sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2sq*m5sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((m4**3 - m4*m6sq)**2*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m5**3 - m5*m6sq)**2*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m1**4*m2sq*m4**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2sq*m4**6*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m4**8*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m2**4*m4sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**6*m4sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (5*m1sq*m4**4*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2sq*m4sq*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m4sq*m6**6*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m4**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*m4**6*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2**6*m4sq*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (7*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (6*m1sq*m2sq*m4**4*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (5*m1sq*m4**6*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (8*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**4*m4sq*(-m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m2**4*m4sq*(m4sq - m6sq)*(m4sq + 3*m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m1**4*m2sq*m5**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2sq*m5**6*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m5**8*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m2**4*m5sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m2**6*m5sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (5*m1sq*m5**4*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2sq*m5sq*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m5sq*m6**6*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m5**4*(m5sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2sq*m5**6*(m5sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**4*m5sq*(m5sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2**6*m5sq*(m5sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (7*m2sq*m5sq*m6**4*(m5sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (6*m1sq*m2sq*m5**4*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (5*m1sq*m5**6*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (8*m2sq*m5**4*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m5sq*(m5sq - m6sq)**3*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2**4*m5sq*(m5sq - m6sq)*(m5sq + 3*m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m2sq*(m2**4 + m4sq*m5sq - m6**4 - m2sq*(m4sq + m5sq - 4*m6sq))*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m1sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m1sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (5*m2sq*m4**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (3*m1sq*m2**4*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2**6*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2**4*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*m6**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (5*m2sq*m5**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (3*m1sq*m2**4*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2**6*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (4*m2**4*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m6**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((-(m4sq*m6) + m6**3)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((-(m5sq*m6) + m6**3)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m2sq*m5sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m1sq*m2sq*m4sq*(m4sq + m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m1sq*m2sq*m5sq*(m5sq + m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*(m4**3 - m4*m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*(m5**3 - m5*m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (m2sq*(m2**4 + m4sq*m5sq - m6**4 - m2sq*(m4sq + m5sq - 4*m6sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (3*m1sq*m2**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2**6*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m1sq*m2sq*m4sq*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m1sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m1**4*m2sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2sq*m4**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m4**8*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1**4*m2**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2**6*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (5*m1sq*m4**4*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (9*m1sq*m2sq*m4sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (7*m1sq*m4sq*m6**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2sq*m4**6*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**4*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2**6*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (11*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (14*m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (3*m1sq*m4**6*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (4*m1**4*m2sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (4*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (3*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (6*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m2**4*m4sq*(m4sq - m6sq)*(m4sq + 3*m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m2**6*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2**4*m4sq*(m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m1sq*m2**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2**6*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m1sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (4*m1sq*m2sq*m5sq*(m5sq + m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m1sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m1**4*m2sq*m5**4*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m2sq*m5**6*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m5**8*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1**4*m2**4*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**6*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (5*m1sq*m5**4*m6**4*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (9*m1sq*m2sq*m5sq*m6**4*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (7*m1sq*m5sq*m6**6*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1**4*m5**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2sq*m5**6*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2**6*m5sq*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (11*m2sq*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (14*m1sq*m2sq*m5**4*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (3*m1sq*m5**6*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (4*m1**4*m2sq*m5sq*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (4*m2sq*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (3*m1**4*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (6*m5sq*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**4*m5sq*(-m5sq + m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m2**4*m5sq*(m5sq - m6sq)*(m5sq + 3*m6sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (3*m2**6*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m1sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m2**4*m5sq*(m5sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((m1sq + m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m4**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2**4*m4sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*m2sq*m4sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m1sq*m6**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*(m4**4 - m6**4)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m4sq - m6sq)**3*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*m2sq*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*m4sq*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m1sq + m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**4*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m1sq*m5**4*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2**4*m5sq*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1sq*m2sq*m5sq*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m1sq*m6**4*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m2sq*(m5**4 - m6**4)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((m5sq - m6sq)**3*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m6sq*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1sq*m2sq*m6sq*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1sq*m5sq*m6sq*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (5*m2sq*m4**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (4*m2**4*m4sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (m2**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (5*m2sq*m5**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (4*m2**4*m5sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((-(m4sq*m6) + m6**3)**2*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((-(m5sq*m6) + m6**3)**2*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (4*m2sq*m5sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*(m4**3 - m4*m6sq)**2*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*(m5**3 - m5*m6sq)**2*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1**4*m2sq*m4**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2sq*m4**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m4**8*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1**4*m2**4*m4sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2**6*m4sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (5*m1sq*m4**4*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (9*m1sq*m2sq*m4sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (7*m1sq*m4sq*m6**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2sq*m4**6*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**4*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2**6*m4sq*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (11*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (14*m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (3*m1sq*m4**6*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (4*m1**4*m2sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (4*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (3*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (6*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m2**4*m4sq*(m4sq - m6sq)*(m4sq + 3*m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m1**4*m2sq*m5**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m2sq*m5**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m5**8*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1**4*m2**4*m5sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**6*m5sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (5*m1sq*m5**4*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (9*m1sq*m2sq*m5sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (7*m1sq*m5sq*m6**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1**4*m5**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2sq*m5**6*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2**6*m5sq*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (11*m2sq*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (14*m1sq*m2sq*m5**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (3*m1sq*m5**6*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (4*m1**4*m2sq*m5sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (4*m2sq*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (3*m1**4*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (6*m5sq*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**4*m5sq*(-m5sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m2**4*m5sq*(m5sq - m6sq)*(m5sq + 3*m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (m2sq*(m2**4 + m4sq*m5sq - m6**4 - m2sq*(m4sq + m5sq - 4*m6sq))*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2sq*m4**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m2sq*m5**4*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m2sq*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m2sq*m5sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + ((m4**3 - m4*m6sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - ((m5**3 - m5*m6sq)**2*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m2sq*(m2**4 + m4sq*m5sq - m6**4 - m2sq*(m4sq + m5sq - 4*m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (2*m1**4*m2sq*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2sq*m4**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m4**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m2**4*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**6*m4sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (5*m1sq*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m2sq*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2sq*m4**6*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m2**6*m4sq*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (7*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (6*m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (5*m1sq*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (8*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m2**4*m4sq*(-m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m2**4*m4sq*(m4sq - m6sq)*(m4sq + 3*m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m1**4*m2sq*m5**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2sq*m5**6*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m5**8*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m2**4*m5sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*m2**6*m5sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (5*m1sq*m5**4*m6**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2sq*m5sq*m6**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m5sq*m6**6*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m5**4*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2sq*m5**6*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*m2**4*m5sq*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2**6*m5sq*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (7*m2sq*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (6*m1sq*m2sq*m5**4*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (5*m1sq*m5**6*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (8*m2sq*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1**4*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m5sq*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2**4*m5sq*(m5sq - m6sq)*(m5sq + 3*m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - ((m1sq + m4sq - m6sq)*T134fin(m6,m4,m1))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m2**6*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (2*m1sq*m4**4*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + (m2**4*m4sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m1sq*m2sq*m4sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m2sq*(m4**4 - m6**4)*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + ((m4sq - m6sq)**3*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (3*m2**4*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) - (2*m1sq*m4sq*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2) + ((m1sq + m5sq - m6sq)*T134fin(m6,m5,m1))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2**6*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (2*m1sq*m5**4*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - (m2**4*m5sq*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m1sq*m2sq*m5sq*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (3*m2sq*(m5**4 - m6**4)*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) - ((m5sq - m6sq)**3*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (3*m2**4*m6sq*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2) + (2*m1sq*m5sq*m6sq*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2 + m5 - m6)**2*(m2 - m5 + m6)**2*(-m2 + m5 + m6)**2*(m2 + m5 + m6)**2)
		def eval_167():
			return -(m2**6/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq))) + (m2sq*m4**4)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2**4*m4sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (3*m2sq*m6**4)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2**4)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) - (2*m2**6)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) + (2*m1sq*m4**4)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) + (4*m2**4*m4sq)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) - (4*m1sq*m2sq*m4sq)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) - (2*m1sq*m6**4)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) + (-(m4sq*m6) + m6**3)**2/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*m2sq*(m4**4 - m6**4))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)*(m6sq - m7sq)) - (4*m1sq*m2**4*m6sq)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m2**6*m6sq)/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (3*m2**4*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (6*m2sq*m4sq*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (4*m2**4*m6sq*(m4sq + m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1sq*m2sq*m6sq*(m4sq + m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m4**3 - m4*m6sq)**2/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (8*m1sq*m2sq*m4sq*m6**4)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (8*m1sq*m4sq*m6**6)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m2sq*m4sq*m6**4*(m4sq - m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (8*m1sq*m2sq*m4**4*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*m4**6*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1**4*m2sq*m4sq*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m2sq*m4**4*(m4sq - m6sq)*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m1**4*m4sq*(m4sq - m6sq)*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m4sq*(m4sq - m6sq)**3*m6sq)/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + m2**6/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (3*m2sq*m7**4)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (6*m2sq*m4sq*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (m2sq*m4**4)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2**4*m4sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2**4)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) - (2*m2**6)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) + (2*m1sq*m4**4)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) + (4*m2**4*m4sq)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) - (4*m1sq*m2sq*m4sq)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) - (2*m1sq*m7**4)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) + (-(m4sq*m7) + m7**3)**2/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m2sq*(m4**4 - m7**4))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)*(-m6sq + m7sq)) - (4*m1sq*m2**4*m7sq)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m2**6*m7sq)/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m2**4*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (4*m2**4*m7sq*(m4sq + m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1sq*m2sq*m7sq*(m4sq + m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m4**3 - m4*m7sq)**2/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) - (8*m1sq*m2sq*m4sq*m7**4)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (8*m1sq*m4sq*m7**6)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m2sq*m4sq*m7**4*(m4sq - m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (8*m1sq*m2sq*m4**4*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (8*m1sq*m4**6*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (4*m1**4*m2sq*m4sq*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (4*m2sq*m4**4*(m4sq - m7sq)*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m1**4*m4sq*(m4sq - m7sq)*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m4sq*(m4sq - m7sq)**3*m7sq)/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m1sq*m6sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m6**4*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((-(m4sq*m6) + m6**3)**2*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m2**4*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (3*m2**6*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2**4*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m2sq*m4sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m2**4*m6sq*(m4sq + m6sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2sq*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7**4*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + ((-(m4sq*m7) + m7**3)**2*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*m2**4*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (3*m2**6*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2**4*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m2sq*m4sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m2**4*m7sq*(m4sq + m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2sq*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m2**4 - m4**4 + m2sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m2sq*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((-(m4sq*m6) + m6**3)**2*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2**4*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m2sq*m4sq*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1**4*m2sq*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (5*m1sq*m4**4*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (6*m1sq*m2sq*m4sq*m6**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2sq*m6**6*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (5*m1sq*m4sq*m6**6*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m6**8*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m6**6*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**4*m2**4*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**6*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2sq*m4**4*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m4**6*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**6*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2**4*m6sq*(-m4sq + m6sq)*(3*m4sq + m6sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + ((-(m4sq*m7) + m7**3)**2*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2**4*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m2sq*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1**4*m2sq*m7**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (5*m1sq*m4**4*m7**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (6*m1sq*m2sq*m4sq*m7**4*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2sq*m7**6*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (5*m1sq*m4sq*m7**6*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m7**8*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (8*m2sq*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1**4*m2**4*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**6*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2sq*m4**4*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m4**6*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (7*m2sq*m4**4*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m4sq*(m4sq - m7sq)**3*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2**4*m7sq*(-m4sq + m7sq)*(3*m4sq + m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m2**4 - m4**4 + m2sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m4sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (3*m2**6*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m2**4*m6sq*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1**4*m2sq*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (5*m1sq*m4**4*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (6*m1sq*m2sq*m4sq*m6**4*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2sq*m6**6*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (5*m1sq*m4sq*m6**6*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m6**8*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m6**6*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**4*m2**4*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**6*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2sq*m4**4*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m4**6*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**6*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2**4*m6sq*(-m4sq + m6sq)*(3*m4sq + m6sq)*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (3*m2**6*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m2**4*m7sq*(m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m1**4*m2sq*m7**4*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (5*m1sq*m4**4*m7**4*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (6*m1sq*m2sq*m4sq*m7**4*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2sq*m7**6*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (5*m1sq*m4sq*m7**6*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m7**8*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (8*m2sq*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1**4*m2**4*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**6*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2sq*m4**4*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m4**6*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (7*m2sq*m4**4*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m4sq*(m4sq - m7sq)**3*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2**4*m7sq*(-m4sq + m7sq)*(3*m4sq + m7sq)*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1sq*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2sq*m4**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2**4*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (5*m2sq*m6**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m2**4*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2**6*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (4*m2**4*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1sq*m2sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((m4**3 - m4*m6sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m4**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (m2**4*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (4*m2**4*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (m2**6*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (5*m2sq*m7**4*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*(-(m4sq*m7) + m7**3)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m2**4*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2**6*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m2sq*m4sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (4*m1sq*m2sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + ((m4**3 - m4*m7sq)**2*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2sq*(m2**4 - m4**4 + m2sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (5*m2sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (4*m2**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m2sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((m4**3 - m4*m6sq)**2*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1**4*m2sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (5*m1sq*m4**4*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (14*m1sq*m2sq*m4sq*m6**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2sq*m6**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (3*m1sq*m4sq*m6**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m6**8*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m2**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2**6*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (9*m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (7*m1sq*m4**6*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m1**4*m2sq*m4sq*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (11*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (3*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m6**6*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*m6sq*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**6*m6sq*(-m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2**4*(m4sq - m6sq)*m6sq*(3*m4sq + m6sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m2sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m4**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (m2**4*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (4*m2**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + (m2**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (5*m2sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*(-(m4sq*m7) + m7**3)**2*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m2sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + ((m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1**4*m2sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (5*m1sq*m4**4*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (14*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2sq*m7**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (3*m1sq*m4sq*m7**6*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m7**8*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m2sq*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m2**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2**6*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (9*m1sq*m2sq*m4**4*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (7*m1sq*m4**6*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m1**4*m2sq*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (11*m2sq*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (3*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (6*m4sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*m7sq*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*m7sq*(-m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2**4*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2sq*(m2**4 - m4**4 + m2sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m6**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((-(m4sq*m6) + m6**3)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m2sq*m4sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7**4*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(m6sq - m7sq)) + ((-(m4sq*m7) + m7**3)**2*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m2sq*m4sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m2**4 - m4**4 + m2sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)**2*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*m4**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2**4*m4sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2sq*m4sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*m6**4*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*m2sq*(m4**4 - m6**4)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((m4sq - m6sq)**3*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2**4*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m2sq*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m4sq*m6sq*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m2**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2**6*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1sq*m2sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1**4*m2sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (5*m1sq*m4**4*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (14*m1sq*m2sq*m4sq*m6**4*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2sq*m6**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (3*m1sq*m4sq*m6**6*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m6**8*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m2**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2**6*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (9*m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (7*m1sq*m4**6*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m1**4*m2sq*m4sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (11*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (3*m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m6**6*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*m6sq*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**6*m6sq*(-m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2**4*(m4sq - m6sq)*m6sq*(3*m4sq + m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (3*m2**6*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (m2sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (4*m2**4*m6sq*(m4sq + m6sq)*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1**4*m2sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (5*m1sq*m4**4*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (6*m1sq*m2sq*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (5*m1sq*m4sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m6**8*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m2sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2sq*m6**6*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**4*m2**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m2sq*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*m4**6*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*m2**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**6*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*m2sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2**4*m6sq*(-m4sq + m6sq)*(3*m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*m4**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2**4*m4sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2sq*m4sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*m7**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m2sq*(m4**4 - m7**4)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + ((m4sq - m7sq)**3*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2**4*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m2sq*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m4sq*m7sq*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m2**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (4*m1sq*m2sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1**4*m2sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (5*m1sq*m4**4*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (14*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (3*m1sq*m4sq*m7**6*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m7**8*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m2sq*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m2**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (9*m1sq*m2sq*m4**4*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (7*m1sq*m4**6*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (4*m1**4*m2sq*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (11*m2sq*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (3*m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (6*m4sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m7**4*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*m7**6*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*m7sq*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*m7sq*(-m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2**4*(m4sq - m7sq)*m7sq*(3*m4sq + m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (3*m2**6*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (m2sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m2**4*m7sq*(m4sq + m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1**4*m2sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (5*m1sq*m4**4*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (6*m1sq*m2sq*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (5*m1sq*m4sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m7**8*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (8*m2sq*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1**4*m2**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**6*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m2sq*m4**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*m4**6*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*m2**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (7*m2sq*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1**4*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m4sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2**4*m7sq*(-m4sq + m7sq)*(3*m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m4sq + m6sq)*T134fin(m6,m4,m1))/((m1sq - m2sq)**2*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**6*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (3*m2**4*m4sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m6**4*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (3*m2sq*(m4**4 - m6**4)*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - ((m4sq - m6sq)**3*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + (m2**4*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m2sq*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m4sq*m6sq*T134fin(m6,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m6)**2*(m2 - m4 + m6)**2*(-m2 + m4 + m6)**2*(m2 + m4 + m6)**2*(m6sq - m7sq)) + ((m1sq - m4sq + m7sq)*T134fin(m7,m4,m1))/((m1sq - m2sq)**2*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2**6*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (3*m2**4*m4sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m7**4*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m2sq*(m4**4 - m7**4)*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - ((m4sq - m7sq)**3*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) + (m2**4*m7sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m2sq*m7sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m4sq*m7sq*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m2 + m4 - m7)**2*(m2 - m4 + m7)**2*(-m2 + m4 + m7)**2*(m2 + m4 + m7)**2*(-m6sq + m7sq))
		def eval_168():
			return ((2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) + (m6sq*(-3*m2**4 + m5**4 - m5sq*m6sq + m2sq*(-6*m5sq + 3*m6sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-3*m2**4 + m5**4 - m5sq*m7sq + m2sq*(-6*m5sq + 3*m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m5sq*m6sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m5sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-3*m2**4 + m5**4 - m5sq*m6sq + m2sq*(-6*m5sq + 3*m6sq))*B0del(0,0,m6sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-3*m2**4 + m5**4 - m5sq*m7sq + m2sq*(-6*m5sq + 3*m7sq))*B0del(0,0,m7sq))/((m1sq - m2sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) + (m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m7sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) - (2*m5sq*m6sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m1sq*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) - (m2sq*(2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) + (m2**4*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m1sq*(m2sq - m5sq - m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m2sq*(m5sq + m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)**2*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*m5sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m6sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-3*m2**4 + m5**4 - m5sq*m6sq + m2sq*(-6*m5sq + 3*m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(4*m2sq - m6sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m1sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) - (m2sq*(2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) + ((m2sq - m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(3*m2**4 - m5**4 + m2sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-3*m2**4 + m5**4 - m5sq*m7sq + m2sq*(-6*m5sq + 3*m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + T134fin(m6,m2,m1)/((m1sq - m2sq)**2*(m6sq - m7sq)) - (m1sq*T134fin(m6,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) - (3*m2sq*T134fin(m6,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) + (m6sq*T134fin(m6,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m6sq)*(m6sq - m7sq)) - T134fin(m6,m5,m1)/((m1sq - m2sq)**2*(m6sq - m7sq)) + (m1sq*(m2sq - m5sq - m6sq)*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m5sq - m6sq)**2*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m2sq*(m5sq + m6sq)*T134fin(m6,m5,m2))/((m1sq - m2sq)**2*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - T134fin(m7,m2,m1)/((m1sq - m2sq)**2*(m6sq - m7sq)) - (m1sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) - (3*m2sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) + (m7sq*T134fin(m7,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m7sq)*(-m6sq + m7sq)) + T134fin(m7,m5,m1)/((m1sq - m2sq)**2*(m6sq - m7sq)) - T134fin(m7,m5,m2)/((m1sq - m2sq)**2*(m6sq - m7sq)) + ((m2sq - m5sq - m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m6sq - m7sq)*(4*m5sq*m7sq - (-m2sq + m5sq + m7sq)**2)))/(m2sq - m5sq)
		def eval_169():
			return ((2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) + (m4sq*(-3*m2**4 + m7**4 + 3*m2sq*(m4sq - 2*m7sq) - m4sq*m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m5sq*(-3*m2**4 + m7**4 + 3*m2sq*(m5sq - 2*m7sq) - m5sq*m7sq)*B0del(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m4sq*(-3*m2**4 + m7**4 + 3*m2sq*(m4sq - 2*m7sq) - m4sq*m7sq)*B0del(0,0,m4sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m5sq*m7sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*(-3*m2**4 + m7**4 + 3*m2sq*(m5sq - 2*m7sq) - m5sq*m7sq)*B0del(0,0,m5sq))/((m1sq - m2sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m5sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) - (m4sq*(-3*m2**4 + m7**4 + 3*m2sq*(m4sq - 2*m7sq) - m4sq*m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m5sq*(-3*m2**4 + m7**4 + 3*m2sq*(m5sq - 2*m7sq) - m5sq*m7sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) + (m1sq*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) - (m2sq*(2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) - (2*m4sq*m7sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m4sq*(-3*m2**4 + m7**4 + 3*m2sq*(m4sq - 2*m7sq) - m4sq*m7sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m4sq*(-3*m2**4 + m7**4 + 3*m2sq*(m4sq - 2*m7sq) - m4sq*m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(4*m2sq - m4sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m1sq*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) - (m2sq*(2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) + (2*m5sq*m7sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m5sq*(-3*m2**4 + m7**4 + 3*m2sq*(m5sq - 2*m7sq) - m5sq*m7sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m5sq*(-3*m2**4 + m7**4 + 3*m2sq*(m5sq - 2*m7sq) - m5sq*m7sq)*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m2**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m1sq*(m2sq - m4sq - m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m2sq - m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*m4sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m5sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + T134fin(m4,m2,m1)/((m1sq - m2sq)**2*(m4sq - m5sq)) - (m1sq*T134fin(m4,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) - (3*m2sq*T134fin(m4,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) + (m4sq*T134fin(m4,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m4sq)*(m4sq - m5sq)) - T134fin(m5,m2,m1)/((m1sq - m2sq)**2*(m4sq - m5sq)) - (m1sq*T134fin(m5,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) - (3*m2sq*T134fin(m5,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) + (m5sq*T134fin(m5,m2,m2))/((m1sq - m2sq)**2*(4*m2sq - m5sq)*(-m4sq + m5sq)) - T134fin(m7,m4,m1)/((m1sq - m2sq)**2*(m4sq - m5sq)) + (m1sq*(m2sq - m4sq - m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m4sq - m7sq)**2*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m4sq + m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)**2*(m4sq - m5sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + T134fin(m7,m5,m1)/((m1sq - m2sq)**2*(m4sq - m5sq)) - T134fin(m7,m5,m2)/((m1sq - m2sq)**2*(m4sq - m5sq)) + ((m2sq - m5sq - m7sq)*T134fin(m7,m5,m2))/((m1sq - m2sq)*(m4sq - m5sq)*(4*m5sq*m7sq - (-m2sq + m5sq + m7sq)**2)))/(m2sq - m7sq)
		def eval_170():
			return (2*m1sq*m6sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) + (m6sq*(-(m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m6sq + m2sq*(-6*m3sq + 3*m6sq)) + m1sq*(10*m2**6 + m3sq*m6**4 + m2**4*(12*m3sq - 5*m6sq) - m3**4*m6sq + m2sq*(-6*m3**4 - 5*m6**4 + 18*m3sq*m6sq)))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(-3*m2**4 + (m3sq - m6sq)*(m3sq - m7sq) + m2sq*(2*m3sq + m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m7sq + m2sq*(-6*m3sq + 3*m7sq)) + m1sq*(10*m2**6 + m3sq*m7**4 + m2**4*(12*m3sq - 5*m7sq) - m3**4*m7sq + m2sq*(-6*m3**4 - 5*m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m3sq*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m3sq*(-3*m2**4 + (m3sq - m6sq)*(m3sq - m7sq) + m2sq*(2*m3sq + m6sq + m7sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m1sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-(m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m6sq + m2sq*(-6*m3sq + 3*m6sq)) + m1sq*(10*m2**6 + m3sq*m6**4 + m2**4*(12*m3sq - 5*m6sq) - m3**4*m6sq + m2sq*(-6*m3**4 - 5*m6**4 + 18*m3sq*m6sq)))*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(-(m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m7sq + m2sq*(-6*m3sq + 3*m7sq)) + m1sq*(10*m2**6 + m3sq*m7**4 + m2**4*(12*m3sq - 5*m7sq) - m3**4*m7sq + m2sq*(-6*m3**4 - 5*m7**4 + 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) + (m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(-3*m2**4 + (m3sq - m6sq)*(m3sq - m7sq) + m2sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m6sq - m7sq) + m6sq*m7sq + m2sq*(m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(4*m2sq - m7sq)) + (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m3sq*(-3*m2**4 + (m3sq - m6sq)*(m3sq - m7sq) + m2sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (m3sq*(-3*m2**4 + (m3sq - m6sq)*(m3sq - m7sq) + m2sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + ((m1sq - m2sq + m6sq)*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m2 + m6 + 4*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) + ((m2sq - m3sq - m6sq)*(m2 + m3 + m6 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m6sq) + m3sq*m6sq) + m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m6sq)*m6sq + m2**4*(-12*m3sq + 5*m6sq) + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-(m2sq*(m2sq - m6sq)*(15*m2**4 + 3*m3**4 + 2*m6**4 - 5*m3sq*m6sq - 5*m2sq*(2*m3sq + m6sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m6sq + m2sq*(-6*m3sq + 3*m6sq)) + m1sq*(10*m2**6 + m3sq*m6**4 + m2**4*(12*m3sq - 5*m6sq) - m3**4*m6sq + m2sq*(-6*m3**4 - 5*m6**4 + 18*m3sq*m6sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m2sq + m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m2 + m7 + 4*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) - ((m2sq - m3sq - m7sq)*(m2 + m3 + m7 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m2sq - m3sq)*(-m1sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (m7sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m7sq) + m3sq*m7sq) + m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m7sq)*m7sq + m2**4*(-12*m3sq + 5*m7sq) + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m7sq*(-(m2sq*(m2sq - m7sq)*(15*m2**4 + 3*m3**4 + 2*m7**4 - 5*m3sq*m7sq - 5*m2sq*(2*m3sq + m7sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m7sq + m2sq*(-6*m3sq + 3*m7sq)) + m1sq*(10*m2**6 + m3sq*m7**4 + m2**4*(12*m3sq - 5*m7sq) - m3**4*m7sq + m2sq*(-6*m3**4 - 5*m7**4 + 18*m3sq*m7sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq))) - ((m1sq - m2sq + m6sq)*T134fin(m6,m2,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - T134fin(m6,m2,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m6sq)*(m6sq - m7sq)) - ((m2sq - m3sq - m6sq)*T134fin(m6,m3,m2))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m6sq)**2 - 2*m2sq*(m3sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq + m7sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - T134fin(m7,m2,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m7sq)*(-m6sq + m7sq)) + ((m2sq - m3sq - m7sq)*T134fin(m7,m3,m2))/((m2sq - m3sq)*(-m1sq + m3sq)*(m6sq - m7sq)*(m2**4 + (m3sq - m7sq)**2 - 2*m2sq*(m3sq + m7sq)))
		def eval_171():
			return (2*m1sq*m4sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*m5sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m2sq*B0del(0,0,m2sq))/((-m1sq + m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) + (m4sq*(-(m2sq*(m2sq - m4sq)*(15*m2**4 + 3*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m4sq + m2sq*(-6*m3sq + 3*m4sq)) + m1sq*(10*m2**6 + m3sq*m4**4 + m2**4*(12*m3sq - 5*m4sq) - m3**4*m4sq + m2sq*(-6*m3**4 - 5*m4**4 + 18*m3sq*m4sq)))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m3sq*(-3*m2**4 + (m3sq - m4sq)*(m3sq - m5sq) + m2sq*(2*m3sq + m4sq + m5sq))*B0del(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(-(m2sq*(m2sq - m5sq)*(15*m2**4 + 3*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m5sq + m2sq*(-6*m3sq + 3*m5sq)) + m1sq*(10*m2**6 + m3sq*m5**4 + m2**4*(12*m3sq - 5*m5sq) - m3**4*m5sq + m2sq*(-6*m3**4 - 5*m5**4 + 18*m3sq*m5sq)))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (m3sq*(-3*m2**4 + (m3sq - m4sq)*(m3sq - m5sq) + m2sq*(2*m3sq + m4sq + m5sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m1sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(-(m2sq*(m2sq - m4sq)*(15*m2**4 + 3*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m4sq + m2sq*(-6*m3sq + 3*m4sq)) + m1sq*(10*m2**6 + m3sq*m4**4 + m2**4*(12*m3sq - 5*m4sq) - m3**4*m4sq + m2sq*(-6*m3**4 - 5*m4**4 + 18*m3sq*m4sq)))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(-(m2sq*(m2sq - m5sq)*(15*m2**4 + 3*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m5sq + m2sq*(-6*m3sq + 3*m5sq)) + m1sq*(10*m2**6 + m3sq*m5**4 + m2**4*(12*m3sq - 5*m5sq) - m3**4*m5sq + m2sq*(-6*m3**4 - 5*m5**4 + 18*m3sq*m5sq)))*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (2*m1sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m2sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) + (m4sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m4sq) + m3sq*m4sq) + m2sq*(m2sq - m4sq)*(15*m2**4 + 3*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m4sq)*m4sq + m2**4*(-12*m3sq + 5*m4sq) + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m3sq*(-3*m2**4 + (m3sq - m4sq)*(m3sq - m5sq) + m2sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m2sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m5sq) + m3sq*m5sq) + m2sq*(m2sq - m5sq)*(15*m2**4 + 3*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m5sq)*m5sq + m2**4*(-12*m3sq + 5*m5sq) + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m1sq*(m1**4 - 3*m2**4 + m1sq*(2*m2sq - m4sq - m5sq) + m4sq*m5sq + m2sq*(m4sq + m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m2sq*B0fin(0,0,m2sq)**2)/((-m1sq + m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(4*m2sq - m5sq)) + (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m3sq*(-3*m2**4 + (m3sq - m4sq)*(m3sq - m5sq) + m2sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (m3sq*(-3*m2**4 + (m3sq - m4sq)*(m3sq - m5sq) + m2sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m2sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + ((m1sq - m2sq + m4sq)*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m2 + m4 + 4*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) + ((m2sq - m3sq - m4sq)*(m2 + m3 + m4 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m4sq) + m3sq*m4sq) + m2sq*(m2sq - m4sq)*(15*m2**4 + 3*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m4sq)*m4sq + m2**4*(-12*m3sq + 5*m4sq) + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (m4sq*(-(m2sq*(m2sq - m4sq)*(15*m2**4 + 3*m3**4 + 2*m4**4 - 5*m3sq*m4sq - 5*m2sq*(2*m3sq + m4sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m4sq + m2sq*(-6*m3sq + 3*m4sq)) + m1sq*(10*m2**6 + m3sq*m4**4 + m2**4*(12*m3sq - 5*m4sq) - m3**4*m4sq + m2sq*(-6*m3**4 - 5*m4**4 + 18*m3sq*m4sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) - ((m1sq - m2sq + m5sq)*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m2 + m5 + 4*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) - ((m2sq - m3sq - m5sq)*(m2 + m3 + m5 + 2*m2*B0fin(0,0,m2) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m2sq - m3sq)*(-m1sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m1sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (m5sq*(m1**4*(3*m2**4 - m3**4 + m2sq*(6*m3sq - 3*m5sq) + m3sq*m5sq) + m2sq*(m2sq - m5sq)*(15*m2**4 + 3*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq)) + m1sq*(-10*m2**6 + m3sq*(m3sq - m5sq)*m5sq + m2**4*(-12*m3sq + 5*m5sq) + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - (2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m5sq*(-(m2sq*(m2sq - m5sq)*(15*m2**4 + 3*m3**4 + 2*m5**4 - 5*m3sq*m5sq - 5*m2sq*(2*m3sq + m5sq))) + m1**4*(-3*m2**4 + m3**4 - m3sq*m5sq + m2sq*(-6*m3sq + 3*m5sq)) + m1sq*(10*m2**6 + m3sq*m5**4 + m2**4*(12*m3sq - 5*m5sq) - m3**4*m5sq + m2sq*(-6*m3**4 - 5*m5**4 + 18*m3sq*m5sq)))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) + (2*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq))) - ((m1sq - m2sq + m4sq)*T134fin(m4,m2,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - T134fin(m4,m2,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m4sq)*(m4sq - m5sq)) - ((m2sq - m3sq - m4sq)*T134fin(m4,m3,m2))/((m2sq - m3sq)*(-m1sq + m3sq)*(m2**4 + (m3sq - m4sq)**2 - 2*m2sq*(m3sq + m4sq))*(m4sq - m5sq)) + ((m1sq - m2sq + m5sq)*T134fin(m5,m2,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - T134fin(m5,m2,m2)/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq - m5sq)*(-m4sq + m5sq)) + ((m2sq - m3sq - m5sq)*T134fin(m5,m3,m2))/((m2sq - m3sq)*(-m1sq + m3sq)*(m4sq - m5sq)*(m2**4 + (m3sq - m5sq)**2 - 2*m2sq*(m3sq + m5sq)))
		def eval_172():
			return ((m1**6*(m1sq - m3sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1sq*(m1sq - m3sq)*m4**4)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**6*m4sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1**4*(m1sq - m3sq)*m4sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1**4*m3sq*m4sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*(m1sq - m3sq)*m6**4)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1**6)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (2*m1**4*m3sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (-m1**8 + m1**6*m3sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (3*m1sq*(m1sq - m3sq)*m5**4)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1**6*m5sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1**4*(m1sq - m3sq)*m5sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1**4*m3sq*m5sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*(m1sq - m3sq)*m6**4)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m1**6)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) - (2*m1**4*m3sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m1sq - m3sq)*(-(m5sq*m6) + m6**3)**2)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m1sq*(m4**4 - m6**4))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (2*m1sq*(m5**4 - m6**4))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + (2*m3sq*m5sq*(m5sq - m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) - (m1**4*(m1sq - m3sq)*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (6*m1sq*(m1sq - m3sq)*m4sq*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (4*m1sq*m3sq*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (m1**4*(m1sq - m3sq)*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (6*m1sq*(m1sq - m3sq)*m5sq*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1**4*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + (4*m1sq*m3sq*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + (2*m3sq*(m5sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)) + (2*m3sq*m4sq*(-m4sq + m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) + (2*m3sq*m6sq*(-m4sq + m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)) - (4*m1**4*m4sq*(m4sq + m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m3sq*m4sq*(m4sq + m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*m5sq*(m5sq + m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1sq*m3sq*m5sq*(m5sq + m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m1sq - m3sq)*(m5**3 - m5*m6sq)**2)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (8*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (4*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (8*(m1sq - m3sq)*m3sq*m4sq*m6**4*(m4sq - m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (8*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (4*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (8*(m1sq - m3sq)*m3sq*m4**4*(m4sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (4*m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (8*m1sq*(m1sq - m3sq)*m3sq*m5sq*m6**4)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (4*m1sq*(m1sq - m3sq)*m5sq*m6**4*(m5sq - m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (8*m3sq*(-m1sq + m3sq)*m5sq*m6**4*(m5sq - m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (8*m1sq*(m1sq - m3sq)*m3sq*m5**4*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (4*m1sq*m3**4*(m1sq - m3sq)*m5sq*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (4*m1sq*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (8*m3sq*(-m1sq + m3sq)*m5**4*(m5sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (4*m3**4*(m1sq - m3sq)*m5sq*(m5sq - m6sq)*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (4*(m1sq - m3sq)*m5sq*(m5sq - m6sq)**3*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*m1sq*(m1sq - m3sq)*m4**4*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1**6*m4sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**4*(m1sq - m3sq)*m4sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**4*m3sq*m4sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*(m1sq - m3sq)*m5**4*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1**6*m5sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**4*(m1sq - m3sq)*m5sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1**4*m3sq*m5sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m3sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1**4*m4sq*(m4sq + m6sq)*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1**4*m5sq*(m5sq + m6sq)*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m1sq - m3sq)*(m5**3 - m5*m6sq)**2*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*m6sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m6sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*(m1**4 + m4sq*m5sq - m6**4 - m1sq*(m4sq + m5sq - 4*m6sq))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m3sq*m4sq*B0del(0,0,m3sq))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*m3sq*m5sq*B0del(0,0,m3sq))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m3sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (3*m1**6*m4sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**4*m3sq*m4sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)**2*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*m4sq*(m4sq + m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3sq*m4sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m4**4*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4**6*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m4**6*(m4sq - m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m4**6*(m4sq - m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (7*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (8*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1**6*(m1sq - m3sq)*m4sq*(m3sq - m4sq + m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**4*(m1sq - m3sq)*m4sq*(m3**4 + m3sq*(m4sq - m6sq) - 2*(m4**4 - 3*m6**4 + 2*m4sq*m6sq))*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (3*m1**6*m5sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1**4*m3sq*m5sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m3sq*m5sq*(m5sq - m6sq)**2*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1**4*m5sq*(m5sq + m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m3sq*m5sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m5**4*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m5**6*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m5sq*m6**4*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m5**4*(m5sq - m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m5**6*(m5sq - m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m3sq*m5**6*(m5sq - m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (7*m1sq*(m1sq - m3sq)*m5sq*m6**4*(m5sq - m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m3sq*m5sq*m6**4*(m5sq - m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (6*m1sq*(m1sq - m3sq)*m3sq*m5**4*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (8*m1sq*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (6*(m1sq - m3sq)*m3sq*m5**4*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m5sq*(m5sq - m6sq)**3*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1**6*(m1sq - m3sq)*m5sq*(m3sq - m5sq + m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**4*(m1sq - m3sq)*m5sq*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*m1sq*(m1sq - m3sq)*m4**4*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**4*(m1sq - m3sq)*m4sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*(m1sq - m3sq)*m5**4*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**4*(m1sq - m3sq)*m5sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m1sq - m3sq)*(m5**3 - m5*m6sq)**2*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m4**4*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4**6*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m4**6*(m4sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m4**6*(m4sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (7*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (8*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1**6*(m1sq - m3sq)*m4sq*(m3sq - m4sq + m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*(m1**4 + m4sq*m5sq - m6**4 - m1sq*(m4sq + m5sq - 4*m6sq))*B0del(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m5**4*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m5**6*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m5sq*m6**4*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m5**4*(m5sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m5**6*(m5sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m3sq*m5**6*(m5sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (7*m1sq*(m1sq - m3sq)*m5sq*m6**4*(m5sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m3sq*m5sq*m6**4*(m5sq - m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (6*m1sq*(m1sq - m3sq)*m3sq*m5**4*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (8*m1sq*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (6*(m1sq - m3sq)*m3sq*m5**4*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m5sq*(m5sq - m6sq)**3*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1**6*(m1sq - m3sq)*m5sq*(m3sq - m5sq + m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1**4*(m1sq - m3sq)*m4sq*(m3**4 + m3sq*(m4sq - m6sq) - 2*(m4**4 - 3*m6**4 + 2*m4sq*m6sq))*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1**4*(m1sq - m3sq)*m5sq*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (5*m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**6*m4sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1**4*m3sq*m4sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (5*m1sq*(m1sq - m3sq)*m5**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**6*m5sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1**4*(m1sq - m3sq)*m5sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (3*m1**4*m3sq*m5sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m1sq - m3sq)*(-(m5sq*m6) + m6**3)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m3sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1sq*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1sq*m3sq*m4sq*(m4sq + m6sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1sq*m3sq*m5sq*(m5sq + m6sq)*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*(m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*(m1sq - m3sq)*(m5**3 - m5*m6sq)**2*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1sq*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (m1sq*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*(m1**4 + m4sq*m5sq - m6**4 - m1sq*(m4sq + m5sq - 4*m6sq))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m3sq*m5sq*B0fin(0,0,m3sq))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m3sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**6*m4sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (3*m1**4*m3sq*m4sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m3sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*m3sq*m4sq*(m4sq + m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m4**4*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m4**6*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (9*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*(m1sq - m3sq)*m4**6*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + ((m1sq - m3sq)*m3sq*m4**6*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (11*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (7*m3sq*(-m1sq + m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (14*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (4*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (3*m3**4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**6*(m1sq - m3sq)*m4sq*(m3sq - m4sq + m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1**4*(m1sq - m3sq)*m4sq*(m3**4 + m3sq*(m4sq - m6sq) - 2*(m4**4 - 3*m6**4 + 2*m4sq*m6sq))*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (3*m1**6*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**4*m3sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*m4sq*(m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**6*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (3*m1**4*m3sq*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m3sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1sq*m3sq*m5sq*(m5sq + m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m3sq*m5sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m5**4*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m5**6*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (9*m1sq*(m1sq - m3sq)*m3sq*m5sq*m6**4*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1sq*(m1sq - m3sq)*m5**6*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m5**6*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (11*m1sq*(m1sq - m3sq)*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (7*(m1sq - m3sq)*m3sq*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (14*m1sq*(m1sq - m3sq)*m3sq*m5**4*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (4*m1sq*m3**4*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (4*m1sq*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m3sq*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (3*m3**4*(-m1sq + m3sq)*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (6*(m1sq - m3sq)*m5sq*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**6*(m1sq - m3sq)*m5sq*(m3sq - m5sq + m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1**4*(m1sq - m3sq)*m5sq*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (3*m1**6*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1**4*m3sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m3sq*m5sq*(m5sq - m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1**4*m5sq*(m5sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**4*m3sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**4*m4sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*m3sq*m4sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m4**4 - m6**4)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m3sq*m4sq*(m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m4sq - m6sq)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**4*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*m3sq*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m3sq*(m4sq - m6sq)*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m3sq + m4sq - m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**4*m3sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**4*m5sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*m3sq*m5sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*(m5**4 - m6**4)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m3sq*m5sq*(m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + ((m5sq - m6sq)**3*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1**4*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*m3sq*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m3sq*m6sq*(-m5sq + m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m3sq + m5sq - m6sq)*(m3 + m5 + m6 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (5*m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (4*m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (5*m1sq*(m1sq - m3sq)*m5**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (4*m1**4*(m1sq - m3sq)*m5sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m1sq - m3sq)*(-(m5sq*m6) + m6**3)**2*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (4*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (4*m1sq*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*(m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*(m1sq - m3sq)*(m5**3 - m5*m6sq)**2*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m4**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m4**6*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (9*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1sq*(m1sq - m3sq)*m4**6*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + ((m1sq - m3sq)*m3sq*m4**6*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (11*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (7*m3sq*(-m1sq + m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (14*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (4*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (3*m3**4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**6*(m1sq - m3sq)*m4sq*(m3sq - m4sq + m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*(m1**4 + m4sq*m5sq - m6**4 - m1sq*(m4sq + m5sq - 4*m6sq))*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m5**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m5**6*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (9*m1sq*(m1sq - m3sq)*m3sq*m5sq*m6**4*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1sq*(m1sq - m3sq)*m5**6*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m5**6*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (11*m1sq*(m1sq - m3sq)*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (7*(m1sq - m3sq)*m3sq*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (14*m1sq*(m1sq - m3sq)*m3sq*m5**4*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (4*m1sq*m3**4*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (4*m1sq*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m3sq*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (3*m3**4*(-m1sq + m3sq)*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (6*(m1sq - m3sq)*m5sq*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**6*(m1sq - m3sq)*m5sq*(m3sq - m5sq + m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m6sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**4*(m1sq - m3sq)*m4sq*(m3**4 + m3sq*(m4sq - m6sq) - 2*(m4**4 - 3*m6**4 + 2*m4sq*m6sq))*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**4*(m1sq - m3sq)*m5sq*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*(m1sq - m3sq)*m5**4*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1**4*(m1sq - m3sq)*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m1sq*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m1sq - m3sq)*(m5**3 - m5*m6sq)**2*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*(m1**4 + m4sq*m5sq - m6**4 - m1sq*(m4sq + m5sq - 4*m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m4**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1sq*(m1sq - m3sq)*m4**6*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m4**6*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (7*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3sq*(-m1sq + m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (8*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (6*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m3**4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1**6*(m1sq - m3sq)*m4sq*(m3sq - m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m1**4*(m1sq - m3sq)*m4sq*(m3**4 + m3sq*(m4sq - m6sq) - 2*(m4**4 - 3*m6**4 + 2*m4sq*m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m5**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m5**6*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m3sq*m5sq*m6**4*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m5**4*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1sq - m3sq)*m5**6*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m3sq*m5**6*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (7*m1sq*(m1sq - m3sq)*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq - m3sq)*m3sq*m5sq*m6**4*(m5sq - m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (6*m1sq*(m1sq - m3sq)*m3sq*m5**4*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (8*m1sq*(m1sq - m3sq)*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (6*(m1sq - m3sq)*m3sq*m5**4*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3**4*(-m1sq + m3sq)*m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*(m1sq - m3sq)*m5sq*(m5sq - m6sq)**3*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1**6*(m1sq - m3sq)*m5sq*(m3sq - m5sq + m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1**4*(m1sq - m3sq)*m5sq*(m3**4 + m3sq*(m5sq - m6sq) - 2*(m5**4 - 3*m6**4 + 2*m5sq*m6sq))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1**6*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (m1**4*m4sq*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (2*m1sq*m3sq*m4sq*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1sq*(m4**4 - m6**4)*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + (2*m3sq*m4sq*(m4sq - m6sq)*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) + ((m4sq - m6sq)**3*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - (3*m1**4*m6sq*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2) - ((m3sq + m4sq - m6sq)*T134fin(m6,m4,m3))/((m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m1**6*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - (m1**4*m5sq*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m1sq*m3sq*m5sq*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1sq*(m5**4 - m6**4)*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) - ((m5sq - m6sq)**3*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (3*m1**4*m6sq*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + (2*m3sq*m5sq*(-m5sq + m6sq)*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2) + ((m3sq + m5sq - m6sq)*T134fin(m6,m5,m3))/((m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))))/(m1sq - m3sq)**2
		def eval_173():
			return ((m1**6*(m1sq - m3sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m1sq - m3sq)*m4**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m4sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1sq*(m1sq - m3sq)*m6**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1**6)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + (2*m1**4*m3sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + (4*m1**4*m4sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) - (4*m1sq*m3sq*m4sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) - ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m4**4 - m6**4))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + (2*m3sq*m4sq*(m4sq - m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + (4*m1**6*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1**4*(m1sq - m3sq)*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1**4*m3sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (6*m1sq*(m1sq - m3sq)*m4sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m3sq*(m4sq - m6sq)*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) - (4*m1**4*m6sq*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1sq*m3sq*m6sq*(m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (8*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m3sq*(-m1sq + m3sq)*m4sq*m6**4*(m4sq - m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m6sq)*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m3**4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq)/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m4**4*m6sq*(-m4sq + m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m4**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1**4*(m1sq - m3sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m4sq - m7sq)**2*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1**8 - m1**6*m3sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*(m1sq - m3sq)*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1**6)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + (2*m1**4*m3sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + (4*m1**4*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) - (4*m1sq*m3sq*m4sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) - (2*m1sq*(m4**4 - m7**4))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + (2*m3sq*m4sq*(m4sq - m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + (4*m1**6*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (4*m1**4*m3sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (6*m1sq*(m1sq - m3sq)*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m3sq*(m4sq - m7sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) - (4*m1**4*m7sq*(m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1sq*m3sq*m7sq*(m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m3sq)*(m4**3 - m4*m7sq)**2)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (8*m1sq*(m1sq - m3sq)*m3sq*m4sq*m7**4)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m1sq*(m1sq - m3sq)*m4sq*m7**4*(m4sq - m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m3sq*(-m1sq + m3sq)*m4sq*m7**4*(m4sq - m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1sq*(m1sq - m3sq)*m3sq*m4**4*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m3sq*(-m1sq + m3sq)*m4**4*(m4sq - m7sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m3**4*(m1sq - m3sq)*m4sq*(m4sq - m7sq)*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**3*m7sq)/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m1sq*(m1sq - m3sq)*m4**4*m7sq*(-m4sq + m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m6**4*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1**6*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*m3sq*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m3sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1**4*m6sq*(m4sq + m6sq)*B0del(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*B0del(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7**4*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (3*m1**6*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*m3sq*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m3sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*m7sq*(m4sq + m7sq)*B0del(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*m4sq*B0del(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(m1**4 - m4**4 + m1sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0del(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m3sq*m6sq*B0del(0,0,m3sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m7sq*B0del(0,0,m3sq))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m3sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m6**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*B0del(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m3**4*(m1sq - m3sq)*m6**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m3sq*m6**6*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(-m1sq + m3sq)*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*(m1sq - m3sq)*m3sq*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m3sq*m6**6*(m4sq - m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m3sq*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*(m1sq - m3sq)*m4sq*m6**4*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m6**6*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*m1sq*(m1sq - m3sq)*m4**4*m6sq*(-m4sq + m6sq)*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m6sq*(m3**4 + 6*m4**4 - 2*m6**4 - 4*m4sq*m6sq + m3sq*(-m4sq + m6sq))*B0del(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m4sq - m7sq)**2*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*m4sq*B0del(0,0,m4sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(m1**4 - m4**4 + m1sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0del(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq*m7**4*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m3sq*m7**6*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(-m1sq + m3sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (6*(m1sq - m3sq)*m3sq*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m3sq*m7**6*(m4sq - m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4**4*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m3sq*m4**4*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**3*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1sq*(m1sq - m3sq)*m4sq*m7**4*(-m4sq + m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m7**6*(-m4sq + m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (7*m1sq*(m1sq - m3sq)*m4**4*m7sq*(-m4sq + m7sq)*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**4*(m1sq - m3sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0del(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m4sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (3*m1**6*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*m3sq*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m3sq*(m4sq - m6sq)**2*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1**4*m6sq*(m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m3**4*(m1sq - m3sq)*m6**4*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m3sq*m6**6*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(-m1sq + m3sq)*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*(m1sq - m3sq)*m3sq*m4sq*m6**4*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m3sq*m6**6*(m4sq - m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m6sq*B0del(0,0,m6sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m3sq*m4**4*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*(m1sq - m3sq)*m4sq*m6**4*(-m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m6**6*(-m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*m1sq*(m1sq - m3sq)*m4**4*m6sq*(-m4sq + m6sq)*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m6sq*(m3**4 + 6*m4**4 - 2*m6**4 - 4*m4sq*m6sq + m3sq*(-m4sq + m6sq))*B0del(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (3*m1**6*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*m3sq*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m3sq*(m4sq - m7sq)**2*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*m7sq*(m4sq + m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m3sq*m7sq*B0del(0,0,m7sq))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m7**4*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq*m7**4*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m3sq*m7**6*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(-m1sq + m3sq)*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (6*(m1sq - m3sq)*m3sq*m4sq*m7**4*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m3sq*m7**6*(m4sq - m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4**4*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m3sq*m4**4*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**3*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1sq*(m1sq - m3sq)*m4sq*m7**4*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m7**6*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (7*m1sq*(m1sq - m3sq)*m4**4*m7sq*(-m4sq + m7sq)*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**4*(m1sq - m3sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0del(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (5*m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*(m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1**6*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m3sq*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m3sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1sq*m3sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0fin(0,0,m1sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*m4sq*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (5*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*(m1sq - m3sq)*(-(m4sq*m7) + m7**3)**2*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1**6*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m3sq*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m3sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (4*m1sq*m3sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m3sq)*(m4**3 - m4*m7sq)**2*B0fin(0,0,m1sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*m4sq*B0fin(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(m1**4 - m4**4 + m1sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m3sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**6*(m1sq - m3sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (5*m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*(m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(m4**3 - m4*m6sq)**2*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*m4sq*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m3**4*(m1sq - m3sq)*m6**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (14*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*(m1sq - m3sq)*m3sq*m6**6*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(m1sq - m3sq)*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m3sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m6**6*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3sq*(-m1sq + m3sq)*m6**6*(m4sq - m6sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (9*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (11*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*(m1sq - m3sq)*m3sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (3*m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (6*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*(m3**4 + 6*m4**4 - 2*m6**4 - 4*m4sq*m6sq + m3sq*(-m4sq + m6sq))*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (5*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m4**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*(m1sq - m3sq)*m4sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*(m1sq - m3sq)*(-(m4sq*m7) + m7**3)**2*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + ((m1sq - m3sq)*(m4**3 - m4*m7sq)**2*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*m4sq*B0fin(0,0,m4sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(m1**4 - m4**4 + m1sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (14*m1sq*(m1sq - m3sq)*m3sq*m4sq*m7**4*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(m1sq - m3sq)*m3sq*m7**6*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(m1sq - m3sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m1sq*(m1sq - m3sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m3sq*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*(-m1sq + m3sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (9*m1sq*(m1sq - m3sq)*m3sq*m4**4*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (11*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (7*(m1sq - m3sq)*m3sq*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (3*m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (6*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**4*(m1sq - m3sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m4sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*(m1sq - m3sq)*m6**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m1sq - m3sq)*(-(m4sq*m6) + m6**3)**2*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + ((m1sq - m3sq)*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (2*m1sq*(m1sq - m3sq)*m7**4*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(m1**4 - m4**4 + m1sq*(4*m4sq - m6sq - m7sq) + m6sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**4*m3sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*m4sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3sq*m4sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m4**4 - m6**4)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m3sq*m4sq*(m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + ((m4sq - m6sq)**3*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1**4*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3sq*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m3sq*(m4sq - m6sq)*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + ((m3sq - m4sq + m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**6*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m3sq*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m3sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (4*m1sq*m3sq*m6sq*(m4sq + m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m3**4*(m1sq - m3sq)*m6**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (14*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*(m1sq - m3sq)*m3sq*m6**6*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(m1sq - m3sq)*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*(m1sq - m3sq)*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m3sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m6**6*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3sq*(-m1sq + m3sq)*m6**6*(m4sq - m6sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (9*m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (11*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*(m1sq - m3sq)*m3sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (3*m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (6*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**4*(m1sq - m3sq)*m6sq*(m3**4 + 6*m4**4 - 2*m6**4 - 4*m4sq*m6sq + m3sq*(-m4sq + m6sq))*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (3*m1**6*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*m3sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m3sq*(m4sq - m6sq)**2*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (4*m1**4*m6sq*(m4sq + m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m3**4*(m1sq - m3sq)*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq*m6**4*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m3sq*m6**6*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(-m1sq + m3sq)*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (6*(m1sq - m3sq)*m3sq*m4sq*m6**4*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m3sq*m6**6*(m4sq - m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m3sq*m4**4*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m3sq*m4**4*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m4sq*(m4sq - m6sq)**3*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m6sq)*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (8*m1sq*(m1sq - m3sq)*m4sq*m6**4*(-m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1sq - m3sq)*m6**6*(-m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (7*m1sq*(m1sq - m3sq)*m4**4*m6sq*(-m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**4*(m1sq - m3sq)*m6sq*(m3**4 + 6*m4**4 - 2*m6**4 - 4*m4sq*m6sq + m3sq*(-m4sq + m6sq))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1**4*m3sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m3sq*m4sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*(m4**4 - m7**4)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m3sq*m4sq*(m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + ((m4sq - m7sq)**3*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1**4*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m3sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m3sq*(m4sq - m7sq)*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - ((m3sq - m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**6*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m3sq*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m3sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (4*m1sq*m3sq*m7sq*(m4sq + m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m3**4*(m1sq - m3sq)*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (14*m1sq*(m1sq - m3sq)*m3sq*m4sq*m7**4*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1sq*(m1sq - m3sq)*m3sq*m7**6*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(m1sq - m3sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m1sq*(m1sq - m3sq)*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m3sq*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*(-m1sq + m3sq)*m7**6*(m4sq - m7sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (9*m1sq*(m1sq - m3sq)*m3sq*m4**4*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (4*m1sq*m3**4*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (11*m1sq*(m1sq - m3sq)*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (7*(m1sq - m3sq)*m3sq*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (3*m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (6*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**4*(m1sq - m3sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (3*m1**6*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*m3sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m3sq*(m4sq - m7sq)**2*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (4*m1**4*m7sq*(m4sq + m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m3**4*(m1sq - m3sq)*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (6*m1sq*(m1sq - m3sq)*m3sq*m4sq*m7**4*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m3sq*m7**6*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(-m1sq + m3sq)*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (6*(m1sq - m3sq)*m3sq*m4sq*m7**4*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m3sq*m7**6*(m4sq - m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m3sq*m4**4*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m3sq*m4**4*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3**4*(-m1sq + m3sq)*m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*(m4sq - m7sq)**3*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m1**6*(m1sq - m3sq)*(m3sq + m4sq - m7sq)*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (8*m1sq*(m1sq - m3sq)*m4sq*m7**4*(-m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1sq - m3sq)*m7**6*(-m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (7*m1sq*(m1sq - m3sq)*m4**4*m7sq*(-m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**4*(m1sq - m3sq)*m7sq*(m3**4 + 6*m4**4 - 2*m7**4 - 4*m4sq*m7sq + m3sq*(-m4sq + m7sq))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1**6*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m4sq*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1sq*(m4**4 - m6**4)*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m4sq - m6sq)**3*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*m6sq*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m3sq*m6sq*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m3sq*m6sq*(-m4sq + m6sq)*T134fin(m6,m4,m1))/((m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - ((m3sq - m4sq + m6sq)*T134fin(m6,m4,m3))/((m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1**6*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (3*m1**4*m4sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*(m4**4 - m7**4)*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - ((m4sq - m7sq)**3*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*m3sq*m7sq*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m3sq*m7sq*(-m4sq + m7sq)*T134fin(m7,m4,m1))/((m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + ((m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/((m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))))/(m1sq - m3sq)**2
		def eval_174():
			return (7*m1sq*m4**4)/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m4sq)/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (7*m1sq*m6**4)/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + m1**4/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + m4**4/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + m6**4/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) - (7*m1sq*m5**4)/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m5sq)/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (7*m1sq*m6**4)/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - m1**4/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)*(m6sq - m7sq)) - m5**4/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)*(m6sq - m7sq)) - m6**4/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)*(m6sq - m7sq)) - (5*m4**4*(m4sq - m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (5*m6**4*(m4sq - m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m6sq)**3)/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (5*m5**4*(m5sq - m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*(m5sq - m6sq)**3)/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m6sq)/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m4sq*m6sq)/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) + (3*m1**4*m6sq)/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m1sq*m5sq*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (2*m5sq*m6sq)/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)*(m6sq - m7sq)) + ((m5sq - m6sq)**3*m6sq)/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m6sq*(-m4sq + m6sq)**3)/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*(m4sq + m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)*(m6sq - m7sq)) - (2*m4sq*m6sq*(-m1sq + m4sq + m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (5*m6**4*(-m5sq + m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (2*m1sq*(m5sq + m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)*(m6sq - m7sq)) + (2*m5sq*m6sq*(-m1sq + m5sq + m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m4sq)/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (7*m1sq*m5**4)/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (7*m1sq*m7**4)/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (5*m4**4*(m4sq - m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (5*m7**4*(m5sq - m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m7sq)**3)/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (3*m1**4*m7sq)/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*m5sq*m7sq)/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + ((m4sq - m7sq)**3*m7sq)/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (7*m1sq*m4**4)/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (7*m1sq*m7**4)/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + m1**4/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + m4**4/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + m7**4/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + (3*m1**4*m5sq)/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - m1**4/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)*(-m6sq + m7sq)) - m5**4/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)*(-m6sq + m7sq)) - m7**4/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)*(-m6sq + m7sq)) + (5*m7**4*(m4sq - m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m4sq*(m4sq - m7sq)**3)/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (5*m5**4*(m5sq - m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m1sq*m4sq*m7sq)/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m4sq*m7sq)/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) + (3*m1**4*m7sq)/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (2*m5sq*m7sq)/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)*(-m6sq + m7sq)) + ((m5sq - m7sq)**3*m7sq)/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (2*m1sq*(m4sq + m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)*(-m6sq + m7sq)) - (2*m4sq*m7sq*(-m1sq + m4sq + m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*(m5sq + m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)*(-m6sq + m7sq)) + (2*m5sq*m7sq*(-m1sq + m5sq + m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (2*m1sq*m4sq*m6sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (2*m1sq*m5sq*m6sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (2*m1sq*m5sq*m7sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (2*m1sq*m4sq*m7sq*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*m4sq*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m1sq*m5sq*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m1sq*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) - (m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m1sq*m4sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*m5sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m4sq*(m4sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m6sq)*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m1sq*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m5sq*(m5sq - m7sq)*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (7*m1sq*m4**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m4sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (7*m1sq*m6**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (7*m1sq*m5**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m5sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (7*m1sq*m6**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (5*m4**4*(m4sq - m6sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m4sq*(m4sq - m6sq)**3*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (5*m5**4*(m5sq - m6sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (5*m6**4*(m5sq - m6sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m6sq)**3*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m6sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m4sq*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m6sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m5sq*m6sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + ((m4sq - m6sq)**3*m6sq*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (5*m6**4*(-m4sq + m6sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m6sq*(-m5sq + m6sq)**3*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (7*m1sq*m4**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (7*m1sq*m7**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1**4*m5sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (5*m7**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m7sq)**3*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (5*m5**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1**4*m7sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + ((m5sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (3*m1**4*m4sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (7*m1sq*m5**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (7*m1sq*m7**4*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (5*m4**4*(m4sq - m7sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (5*m7**4*(m5sq - m7sq)*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m5sq*(m5sq - m7sq)**3*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m7sq*B0fin(0,0,m1sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + ((m4sq - m7sq)**3*m7sq*B0fin(0,0,m1sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (7*m1sq*m4**4*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m4sq*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (5*m4**4*(m4sq - m6sq)*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m4sq*(m4sq - m6sq)**3*B0fin(0,0,m4sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m4sq*m6sq*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (7*m1sq*m4**4*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m7sq)**3*B0fin(0,0,m4sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1**4*m4sq*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (5*m4**4*(m4sq - m7sq)*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m4sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (7*m1sq*m5**4*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m5sq*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (5*m5**4*(m5sq - m6sq)*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m6sq)**3*B0fin(0,0,m5sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m5sq*m6sq*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m5sq*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (5*m5**4*(m5sq - m7sq)*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (7*m1sq*m5**4*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m5sq*(m5sq - m7sq)**3*B0fin(0,0,m5sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m5sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (m1sq*m5sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m1sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) - (m1**4*((m1 + m4 + m6)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m4**4*((m1 + m4 + m6)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m6**4*((m1 + m4 + m6)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1**4*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m5**4*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m6**4*((m1 + m5 + m6)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m4sq*m6sq*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m1sq*(m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m5sq*m6sq*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m1sq*(m5sq + m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (7*m1sq*m6**4*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (7*m1sq*m6**4*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (5*m6**4*(m5sq - m6sq)*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1**4*m6sq*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1sq*m4sq*m6sq*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (3*m1**4*m6sq*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (3*m1sq*m5sq*m6sq*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + ((m4sq - m6sq)**3*m6sq*B0fin(0,0,m6sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (5*m6**4*(-m4sq + m6sq)*B0fin(0,0,m6sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m6sq*(-m5sq + m6sq)**3*B0fin(0,0,m6sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m1sq*m4sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m1sq*m5sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m4sq*(m4sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (m5sq*(m5sq - m6sq)*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) + (m4sq*m6sq*(-m1sq + m4sq + m6sq)*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) - (m5sq*m6sq*(-m1sq + m5sq + m6sq)*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (m1**4*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m4**4*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m7**4*((m1 + m4 + m7)/2. + m1*B0fin(0,0,m1) + m4*B0fin(0,0,m4) + m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1**4*((m1 + m5 + m7)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m5**4*((m1 + m5 + m7)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m7**4*((m1 + m5 + m7)/2. + m1*B0fin(0,0,m1) + m5*B0fin(0,0,m5) + m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m4sq*m7sq*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m1sq*(m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m5sq*m7sq*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (m1sq*(m5sq + m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (7*m1sq*m7**4*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (5*m7**4*(m4sq - m7sq)*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1sq*m4sq*m7sq*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (3*m1**4*m7sq*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + ((m5sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (7*m1sq*m7**4*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (5*m7**4*(m5sq - m7sq)*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (3*m1**4*m7sq*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (3*m1sq*m5sq*m7sq*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + ((m4sq - m7sq)**3*m7sq*B0fin(0,0,m7sq))/(2.*m1**2*(m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m7sq))/(2.*(m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m1sq*m5sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(m6sq - m7sq)) + (m4sq*(m4sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(m6sq - m7sq)) + (m1sq*m4sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (m5sq*(m5sq - m7sq)*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) + (m4sq*m7sq*(-m1sq + m4sq + m7sq)*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) - (m5sq*m7sq*(-m1sq + m5sq + m7sq)*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq)) - (2*m4sq*m6sq*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m6)**2*(m1 - m4 + m6)**2*(-m1 + m4 + m6)**2*(m1 + m4 + m6)**2*(m6sq - m7sq)) + (2*m5sq*m6sq*T134fin(m6,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m6)**2*(m1 - m5 + m6)**2*(-m1 + m5 + m6)**2*(m1 + m5 + m6)**2*(m6sq - m7sq)) - (2*m4sq*m7sq*T134fin(m7,m4,m1))/((m4sq - m5sq)*(m1 + m4 - m7)**2*(m1 - m4 + m7)**2*(-m1 + m4 + m7)**2*(m1 + m4 + m7)**2*(-m6sq + m7sq)) + (2*m5sq*m7sq*T134fin(m7,m5,m1))/((m4sq - m5sq)*(m1 + m5 - m7)**2*(m1 - m5 + m7)**2*(-m1 + m5 + m7)**2*(m1 + m5 + m7)**2*(-m6sq + m7sq))
		def eval_175():
			return ((2*m1sq*(m1sq - m3sq)*B0del(0,0,m1sq))/((4*m1sq - m6sq)*(4*m1sq - m7sq)) + ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0del(0,0,m1sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m7sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0del(0,0,m1sq))/((4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m1sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m5sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m5sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m6sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0del(0,0,m6sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0del(0,0,m7sq))/((4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq))/((4*m1sq - m6sq)*(4*m1sq - m7sq)) - ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m1sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m3sq)*m7sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0fin(0,0,m1sq))/((4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq)**2)/((4*m1sq - m6sq)*(4*m1sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (m1sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((4*m1sq - m6sq)*(m6sq - m7sq)) + (m3sq*(2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6)))/((4*m1sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m6sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m6sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m6sq) + m5sq*m6sq)*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((4*m1sq - m6sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m1sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((4*m1sq - m7sq)*(-m6sq + m7sq)) + (m3sq*(2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7)))/((4*m1sq - m7sq)*(-m6sq + m7sq)) - ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m7sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0fin(0,0,m7sq))/((4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 - m5**4 + m1sq*(6*m5sq - 3*m7sq) + m5sq*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (3*m1sq*T134fin(m6,m1,m1))/((4*m1sq - m6sq)*(m6sq - m7sq)) - (m3sq*T134fin(m6,m1,m1))/((4*m1sq - m6sq)*(m6sq - m7sq)) + (m6sq*T134fin(m6,m1,m1))/((4*m1sq - m6sq)*(m6sq - m7sq)) + T134fin(m6,m3,m1)/(m6sq - m7sq) + T134fin(m6,m5,m1)/(m6sq - m7sq) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*T134fin(m6,m5,m1))/((4*m5sq*m6sq - (-m1sq + m5sq + m6sq)**2)*(m6sq - m7sq)) - T134fin(m6,m5,m3)/(m6sq - m7sq) - (3*m1sq*T134fin(m7,m1,m1))/((4*m1sq - m7sq)*(-m6sq + m7sq)) - (m3sq*T134fin(m7,m1,m1))/((4*m1sq - m7sq)*(-m6sq + m7sq)) + (m7sq*T134fin(m7,m1,m1))/((4*m1sq - m7sq)*(-m6sq + m7sq)) - T134fin(m7,m3,m1)/(m6sq - m7sq) - T134fin(m7,m5,m1)/(m6sq - m7sq) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + T134fin(m7,m5,m3)/(m6sq - m7sq))/((m1sq - m3sq)**2*(m1sq - m5sq))
		def eval_176():
			return ((2*m1sq*(m1sq - m3sq)*B0del(0,0,m1sq))/((4*m1sq - m4sq)*(4*m1sq - m5sq)) + ((m1sq - m3sq)*m4sq*(3*m1**4 - 3*m1sq*(m4sq - 2*m7sq) + (m4sq - m7sq)*m7sq)*B0del(0,0,m1sq))/((4*m1sq - m4sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m5sq*(3*m1**4 - 3*m1sq*(m5sq - 2*m7sq) + (m5sq - m7sq)*m7sq)*B0del(0,0,m1sq))/((4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m1sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m4sq*(3*m1**4 - 3*m1sq*(m4sq - 2*m7sq) + (m4sq - m7sq)*m7sq)*B0del(0,0,m4sq))/((4*m1sq - m4sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(3*m1**4 - 3*m1sq*(m5sq - 2*m7sq) + (m5sq - m7sq)*m7sq)*B0del(0,0,m5sq))/((4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m1sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq))/((4*m1sq - m4sq)*(4*m1sq - m5sq)) - ((m1sq - m3sq)*m4sq*(3*m1**4 - 3*m1sq*(m4sq - 2*m7sq) + (m4sq - m7sq)*m7sq)*B0fin(0,0,m1sq))/((4*m1sq - m4sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m5sq*(3*m1**4 - 3*m1sq*(m5sq - 2*m7sq) + (m5sq - m7sq)*m7sq)*B0fin(0,0,m1sq))/((4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m4sq - m7sq)*(m5sq - m7sq) + m1sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (m1sq*(m1sq - m3sq)*B0fin(0,0,m1sq)**2)/((4*m1sq - m4sq)*(4*m1sq - m5sq)) - (m1sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((4*m1sq - m4sq)*(m4sq - m5sq)) + (m3sq*(2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4)))/((4*m1sq - m4sq)*(m4sq - m5sq)) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m4sq*(3*m1**4 - 3*m1sq*(m4sq - 2*m7sq) + (m4sq - m7sq)*m7sq)*B0fin(0,0,m4sq))/((4*m1sq - m4sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m4sq*(3*m1**4 - 3*m1sq*(m4sq - 2*m7sq) + (m4sq - m7sq)*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((4*m1sq - m4sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((4*m1sq - m5sq)*(-m4sq + m5sq)) + (m3sq*(2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5)))/((4*m1sq - m5sq)*(-m4sq + m5sq)) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(3*m1**4 - 3*m1sq*(m5sq - 2*m7sq) + (m5sq - m7sq)*m7sq)*B0fin(0,0,m5sq))/((4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(3*m1**4 - 3*m1sq*(m5sq - 2*m7sq) + (m5sq - m7sq)*m7sq)*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m4sq - m7sq)*(m5sq - m7sq) + m1sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m1sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (3*m1sq*T134fin(m4,m1,m1))/((4*m1sq - m4sq)*(m4sq - m5sq)) - (m3sq*T134fin(m4,m1,m1))/((4*m1sq - m4sq)*(m4sq - m5sq)) + (m4sq*T134fin(m4,m1,m1))/((4*m1sq - m4sq)*(m4sq - m5sq)) + T134fin(m4,m3,m1)/(m4sq - m5sq) - (3*m1sq*T134fin(m5,m1,m1))/((4*m1sq - m5sq)*(-m4sq + m5sq)) - (m3sq*T134fin(m5,m1,m1))/((4*m1sq - m5sq)*(-m4sq + m5sq)) + (m5sq*T134fin(m5,m1,m1))/((4*m1sq - m5sq)*(-m4sq + m5sq)) - T134fin(m5,m3,m1)/(m4sq - m5sq) + T134fin(m7,m4,m1)/(m4sq - m5sq) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/((m4sq - m5sq)*(4*m4sq*m7sq - (-m1sq + m4sq + m7sq)**2)) - T134fin(m7,m4,m3)/(m4sq - m5sq) - T134fin(m7,m5,m1)/(m4sq - m5sq) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m4sq - m5sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + T134fin(m7,m5,m3)/(m4sq - m5sq))/((m1sq - m3sq)**2*(m1sq - m7sq))
		def eval_177():
			return (2*m1sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(4*m1sq - m7sq)) + (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m2sq*(-3*m1**4 + (m2sq - m6sq)*(m2sq - m7sq) + m1sq*(2*m2sq + m6sq + m7sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0del(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m2sq*(-3*m1**4 + (m2sq - m6sq)*(m2sq - m7sq) + m1sq*(2*m2sq + m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(4*m1sq - m7sq)) - (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m2sq*(-3*m1**4 + (m2sq - m6sq)*(m2sq - m7sq) + m1sq*(2*m2sq + m6sq + m7sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m1sq*B0fin(0,0,m1sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(4*m1sq - m7sq)) + (2*m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (m2sq*(-3*m1**4 + (m2sq - m6sq)*(m2sq - m7sq) + m1sq*(2*m2sq + m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (m2sq*(-3*m1**4 + (m2sq - m6sq)*(m2sq - m7sq) + m1sq*(2*m2sq + m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m3sq*(-3*m1**4 + (m3sq - m6sq)*(m3sq - m7sq) + m1sq*(2*m3sq + m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m1 + m6 + 4*m1*B0fin(0,0,m1) + 2*m6*B0fin(0,0,m6))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m2sq - m6sq)*(m1 + m2 + m6 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq - m6sq)*(m1 + m3 + m6 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + (m6sq*(15*m1**8 + m2sq*m3sq*(m2sq - m6sq)*(-m3sq + m6sq) - 10*m1**6*(m2sq + m3sq + 2*m6sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m6**4 + 5*m3sq*m6sq + m2sq*(-12*m3sq + 5*m6sq)) + m1sq*(5*m3sq*m6**4 - 2*m6**6 + m2**4*(6*m3sq - 3*m6sq) - 3*m3**4*m6sq + m2sq*(6*m3**4 + 5*m6**4 - 18*m3sq*m6sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m6sq)**2 - 2*m1sq*(m2sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) - (2*m1 + m7 + 4*m1*B0fin(0,0,m1) + 2*m7*B0fin(0,0,m7))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) - ((m1sq - m2sq - m7sq)*(m1 + m2 + m7 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - ((m1sq - m3sq - m7sq)*(m1 + m3 + m7 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) - (m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (m7sq*(15*m1**8 + m2sq*m3sq*(m2sq - m7sq)*(-m3sq + m7sq) - 10*m1**6*(m2sq + m3sq + 2*m7sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m7**4 + 5*m3sq*m7sq + m2sq*(-12*m3sq + 5*m7sq)) + m1sq*(5*m3sq*m7**4 - 2*m7**6 + m2**4*(6*m3sq - 3*m7sq) - 3*m3**4*m7sq + m2sq*(6*m3**4 + 5*m7**4 - 18*m3sq*m7sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq))) + T134fin(m6,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m6sq)*(m6sq - m7sq)) + ((m1sq - m2sq - m6sq)*T134fin(m6,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq*m6sq - (-m1sq + m2sq + m6sq)**2)*(m6sq - m7sq)) - ((m1sq - m3sq - m6sq)*T134fin(m6,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m6sq)**2 - 2*m1sq*(m3sq + m6sq))*(m6sq - m7sq)) + T134fin(m7,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m7sq)*(-m6sq + m7sq)) + ((m1sq - m2sq - m7sq)*T134fin(m7,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m2sq - m7sq)**2 - 2*m1sq*(m2sq + m7sq))) + ((m1sq - m3sq - m7sq)*T134fin(m7,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m1**4 + (m3sq - m7sq)**2 - 2*m1sq*(m3sq + m7sq)))
		def eval_178():
			return (2*m1sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)) + (m4sq*(15*m1**8 + m2sq*m3sq*(m2sq - m4sq)*(-m3sq + m4sq) - 10*m1**6*(m2sq + m3sq + 2*m4sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m4**4 + 5*m3sq*m4sq + m2sq*(-12*m3sq + 5*m4sq)) + m1sq*(5*m3sq*m4**4 - 2*m4**6 + m2**4*(6*m3sq - 3*m4sq) - 3*m3**4*m4sq + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m2sq*(-3*m1**4 + (m2sq - m4sq)*(m2sq - m5sq) + m1sq*(2*m2sq + m4sq + m5sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0del(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m5sq*(15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m2sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m2sq*(-3*m1**4 + (m2sq - m4sq)*(m2sq - m5sq) + m1sq*(2*m2sq + m4sq + m5sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(15*m1**8 + m2sq*m3sq*(m2sq - m4sq)*(-m3sq + m4sq) - 10*m1**6*(m2sq + m3sq + 2*m4sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m4**4 + 5*m3sq*m4sq + m2sq*(-12*m3sq + 5*m4sq)) + m1sq*(5*m3sq*m4**4 - 2*m4**6 + m2**4*(6*m3sq - 3*m4sq) - 3*m3**4*m4sq + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m2sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m5sq*(15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m1sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)) - (m4sq*(15*m1**8 + m2sq*m3sq*(m2sq - m4sq)*(-m3sq + m4sq) - 10*m1**6*(m2sq + m3sq + 2*m4sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m4**4 + 5*m3sq*m4sq + m2sq*(-12*m3sq + 5*m4sq)) + m1sq*(5*m3sq*m4**4 - 2*m4**6 + m2**4*(6*m3sq - 3*m4sq) - 3*m3**4*m4sq + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m2sq*(-3*m1**4 + (m2sq - m4sq)*(m2sq - m5sq) + m1sq*(2*m2sq + m4sq + m5sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m1sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m5sq*(15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m1sq*B0fin(0,0,m1sq)**2)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(4*m1sq - m5sq)) + (2*m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m2sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (m2sq*(-3*m1**4 + (m2sq - m4sq)*(m2sq - m5sq) + m1sq*(2*m2sq + m4sq + m5sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (m2sq*(-3*m1**4 + (m2sq - m4sq)*(m2sq - m5sq) + m1sq*(2*m2sq + m4sq + m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m3sq*(-3*m1**4 + (m3sq - m4sq)*(m3sq - m5sq) + m1sq*(2*m3sq + m4sq + m5sq))*B0fin(0,0,m1sq)*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m1 + m4 + 4*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) + ((m1sq - m2sq - m4sq)*(m1 + m2 + m4 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4)))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + ((m1sq - m3sq - m4sq)*(m1 + m3 + m4 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (2*m2sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) + (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (m4sq*(15*m1**8 + m2sq*m3sq*(m2sq - m4sq)*(-m3sq + m4sq) - 10*m1**6*(m2sq + m3sq + 2*m4sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m4**4 + 5*m3sq*m4sq + m2sq*(-12*m3sq + 5*m4sq)) + m1sq*(5*m3sq*m4**4 - 2*m4**6 + m2**4*(6*m3sq - 3*m4sq) - 3*m3**4*m4sq + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + (m4sq*(15*m1**8 + m2sq*m3sq*(m2sq - m4sq)*(-m3sq + m4sq) - 10*m1**6*(m2sq + m3sq + 2*m4sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m4**4 + 5*m3sq*m4sq + m2sq*(-12*m3sq + 5*m4sq)) + m1sq*(5*m3sq*m4**4 - 2*m4**6 + m2**4*(6*m3sq - 3*m4sq) - 3*m3**4*m4sq + m2sq*(6*m3**4 + 5*m4**4 - 18*m3sq*m4sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m1**4 + (m2sq - m4sq)**2 - 2*m1sq*(m2sq + m4sq))*(m4sq - m5sq)) - (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) - (2*m1 + m5 + 4*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) - ((m1sq - m2sq - m5sq)*(m1 + m2 + m5 + 2*m1*B0fin(0,0,m1) + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5)))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - ((m1sq - m3sq - m5sq)*(m1 + m3 + m5 + 2*m1*B0fin(0,0,m1) + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (2*m2sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) - (2*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) - (m5sq*(15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (m5sq*(15*m1**8 + m2sq*m3sq*(m2sq - m5sq)*(-m3sq + m5sq) - 10*m1**6*(m2sq + m3sq + 2*m5sq) + m1**4*(3*m2**4 + 3*m3**4 + 7*m5**4 + 5*m3sq*m5sq + m2sq*(-12*m3sq + 5*m5sq)) + m1sq*(5*m3sq*m5**4 - 2*m5**6 + m2**4*(6*m3sq - 3*m5sq) - 3*m3**4*m5sq + m2sq*(6*m3**4 + 5*m5**4 - 18*m3sq*m5sq)))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + (2*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + (2*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq))) + T134fin(m4,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m4sq)*(m4sq - m5sq)) + ((m1sq - m2sq - m4sq)*T134fin(m4,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(4*m2sq*m4sq - (-m1sq + m2sq + m4sq)**2)*(m4sq - m5sq)) - ((m1sq - m3sq - m4sq)*T134fin(m4,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m1**4 + (m3sq - m4sq)**2 - 2*m1sq*(m3sq + m4sq))*(m4sq - m5sq)) + T134fin(m5,m1,m1)/((m1sq - m2sq)*(m1sq - m3sq)*(4*m1sq - m5sq)*(-m4sq + m5sq)) + ((m1sq - m2sq - m5sq)*T134fin(m5,m2,m1))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m2sq - m5sq)**2 - 2*m1sq*(m2sq + m5sq))) + ((m1sq - m3sq - m5sq)*T134fin(m5,m3,m1))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m1**4 + (m3sq - m5sq)**2 - 2*m1sq*(m3sq + m5sq)))
		def eval_179():
			return (2*m1sq*m4sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m1sq*m5sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2sq*m4sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m2sq*m5sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m2sq*(m2**4 - m2sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (2*m3sq*m4sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m3sq*m5sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (2*m1sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m2sq*m4sq*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m3sq*m4sq*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m6sq)*(m4sq - m6sq)) + m2sq*(m3sq - m4sq + m6sq))) + (m4sq - m6sq)*(m4**4 + 5*m6**4 + m2sq*(m3sq - m4sq - 3*m6sq) + 10*m4sq*m6sq - m3sq*(m4sq + 3*m6sq)))*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*m1sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m2sq*m5sq*B0del(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (2*m3sq*m5sq*B0del(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m5sq*(-(m1sq*(-((m3sq - m5sq - 3*m6sq)*(m5sq - m6sq)) + m2sq*(m3sq - m5sq + m6sq))) + (m5sq - m6sq)*(m5**4 + 5*m6**4 + m2sq*(m3sq - m5sq - 3*m6sq) + 10*m5sq*m6sq - m3sq*(m5sq + 3*m6sq)))*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2sq*(m2**4 - m2sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m6sq)*(m4sq - m6sq)) + m2sq*(m3sq - m4sq + m6sq))) + (m4sq - m6sq)*(m4**4 + 5*m6**4 + m2sq*(m3sq - m4sq - 3*m6sq) + 10*m4sq*m6sq - m3sq*(m4sq + 3*m6sq)))*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m5sq*(-(m1sq*(-((m3sq - m5sq - 3*m6sq)*(m5sq - m6sq)) + m2sq*(m3sq - m5sq + m6sq))) + (m5sq - m6sq)*(m5**4 + 5*m6**4 + m2sq*(m3sq - m5sq - 3*m6sq) + 10*m5sq*m6sq - m3sq*(m5sq + 3*m6sq)))*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (2*m1sq*m4sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m1sq*m5sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m2sq*m4sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m2sq*m5sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (m2sq*(m2**4 - m2sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (2*m3sq*m4sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (2*m3sq*m5sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (2*m1sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + (2*m2sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + (2*m3sq*m4sq*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m6sq)*(m4sq - m6sq)) + m2sq*(m3sq - m4sq + m6sq))) + (m4sq - m6sq)*(m4**4 + 5*m6**4 + m2sq*(m3sq - m4sq - 3*m6sq) + 10*m4sq*m6sq - m3sq*(m4sq + 3*m6sq)))*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m1sq*m4sq*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - (2*m2sq*m4sq*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - (2*m3sq*m4sq*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (2*m1sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (2*m2sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (2*m3sq*m5sq*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m5sq*(-(m1sq*(-((m3sq - m5sq - 3*m6sq)*(m5sq - m6sq)) + m2sq*(m3sq - m5sq + m6sq))) + (m5sq - m6sq)*(m5**4 + 5*m6**4 + m2sq*(m3sq - m5sq - 3*m6sq) + 10*m5sq*m6sq - m3sq*(m5sq + 3*m6sq)))*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (2*m1sq*m5sq*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (2*m2sq*m5sq*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (2*m3sq*m5sq*B0fin(0,0,m3sq)*B0fin(0,0,m5sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + ((m1sq + m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) - ((m2sq + m4sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) - ((m3sq + m4sq - m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - ((m1sq + m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + ((m2sq + m5sq - m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + ((m3sq + m5sq - m6sq)*(m3 + m5 + m6 + 2*m3*B0fin(0,0,m3) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) + (m2sq*(m2**4 - m2sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) + (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m6sq)*(m4sq - m6sq)) + m2sq*(m3sq - m4sq + m6sq))) + (m4sq - m6sq)*(m4**4 + 5*m6**4 + m2sq*(m3sq - m4sq - 3*m6sq) + 10*m4sq*m6sq - m3sq*(m4sq + 3*m6sq)))*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + (m5sq*(-(m1sq*(-((m3sq - m5sq - 3*m6sq)*(m5sq - m6sq)) + m2sq*(m3sq - m5sq + m6sq))) + (m5sq - m6sq)*(m5**4 + 5*m6**4 + m2sq*(m3sq - m5sq - 3*m6sq) + 10*m5sq*m6sq - m3sq*(m5sq + 3*m6sq)))*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m1sq*(m1**4 - m1sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - (m2sq*(m2**4 - m2sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - (m3sq*(m3**4 - m3sq*(m4sq + m5sq - 2*m6sq) + (m5sq - 3*m6sq)*m6sq + m4sq*(m5sq + m6sq))*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) + (m4sq*(-(m1sq*(-((m3sq - m4sq - 3*m6sq)*(m4sq - m6sq)) + m2sq*(m3sq - m4sq + m6sq))) + (m4sq - m6sq)*(m4**4 + 5*m6**4 + m2sq*(m3sq - m4sq - 3*m6sq) + 10*m4sq*m6sq - m3sq*(m4sq + 3*m6sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) - (m5sq*(-(m1sq*(-((m3sq - m5sq - 3*m6sq)*(m5sq - m6sq)) + m2sq*(m3sq - m5sq + m6sq))) + (m5sq - m6sq)*(m5**4 + 5*m6**4 + m2sq*(m3sq - m5sq - 3*m6sq) + 10*m5sq*m6sq - m3sq*(m5sq + 3*m6sq)))*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq))) - ((m1sq + m4sq - m6sq)*T134fin(m6,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))) + ((m2sq + m4sq - m6sq)*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))) + ((m3sq + m4sq - m6sq)*T134fin(m6,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))) + ((m1sq + m5sq - m6sq)*T134fin(m6,m5,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))) - ((m2sq + m5sq - m6sq)*T134fin(m6,m5,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))) - ((m3sq + m5sq - m6sq)*T134fin(m6,m5,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m4sq - m5sq)*(m3**4 + (m5sq - m6sq)**2 - 2*m3sq*(m5sq + m6sq)))
		def eval_180():
			return (2*m1sq*m6sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m6sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m7sq*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m2**4 - 3*m4**4 + m2sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m6sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m7sq*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0del(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m2**4 - 3*m4**4 + m2sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0del(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0del(0,0,m4sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m6sq*B0del(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0del(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0del(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0del(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0del(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0del(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m6sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m7sq*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m1sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m6sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m7sq*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m2sq*(m2**4 - 3*m4**4 + m2sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m2sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*m6sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m7sq*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m3sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0fin(0,0,m4sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (m2sq*(m2**4 - 3*m4**4 + m2sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m4sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m1sq*(m1**4 - 3*m4**4 + m1sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (m2sq*(m2**4 - 3*m4**4 + m2sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m3sq*(m3**4 - 3*m4**4 + m3sq*(2*m4sq - m6sq - m7sq) + m6sq*m7sq + m4sq*(m6sq + m7sq))*B0fin(0,0,m3sq)*B0fin(0,0,m4sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + ((m1sq - m4sq + m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - ((m2sq - m4sq + m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) - ((m3sq - m4sq + m6sq)*(m3 + m4 + m6 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m1sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m2sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m3sq*m6sq*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*m1sq*m6sq*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m2sq*m6sq*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*m3sq*m6sq*B0fin(0,0,m3sq)*B0fin(0,0,m6sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m6sq*(-(m1sq*((m3sq - 3*m4sq - m6sq)*(m4sq - m6sq) + m2sq*(m3sq + m4sq - m6sq))) - (m4sq - m6sq)*(5*m4**4 + m6**4 + m2sq*(m3sq - 3*m4sq - m6sq) + 10*m4sq*m6sq - m3sq*(3*m4sq + m6sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m4sq + m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m2sq - m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m3sq - m4sq + m7sq)*(m3 + m4 + m7 + 2*m3*B0fin(0,0,m3) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (2*m1sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*m2sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*m3sq*m7sq*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) + (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (2*m1sq*m7sq*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*m2sq*m7sq*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*m3sq*m7sq*B0fin(0,0,m3sq)*B0fin(0,0,m7sq))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - (m7sq*(-(m1sq*((m3sq - 3*m4sq - m7sq)*(m4sq - m7sq) + m2sq*(m3sq + m4sq - m7sq))) - (m4sq - m7sq)*(5*m4**4 + m7**4 + m2sq*(m3sq - 3*m4sq - m7sq) + 10*m4sq*m7sq - m3sq*(3*m4sq + m7sq)))*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq))) - ((m1sq - m4sq + m6sq)*T134fin(m6,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m2sq - m4sq + m6sq)*T134fin(m6,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m3sq - m4sq + m6sq)*T134fin(m6,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m3**4 + (m4sq - m6sq)**2 - 2*m3sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m4sq + m7sq)*T134fin(m7,m4,m1))/((m1sq - m2sq)*(m1sq - m3sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m2sq - m4sq + m7sq)*T134fin(m7,m4,m2))/((m1sq - m2sq)*(m2sq - m3sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m3sq - m4sq + m7sq)*T134fin(m7,m4,m3))/((m1sq - m3sq)*(-m2sq + m3sq)*(m6sq - m7sq)*(m3**4 + (m4sq - m7sq)**2 - 2*m3sq*(m4sq + m7sq)))
		def eval_181():
			return (((m1sq - m2sq)*m6sq*(3*m2**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m2sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m2sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m2sq)*m4sq*(-3*m2**4 + (m4sq - m6sq)*(m4sq - m7sq) + m2sq*(2*m4sq + m6sq + m7sq))*B0del(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m2sq))/((m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m1sq - m2sq)*m4sq*(-3*m2**4 + (m4sq - m6sq)*(m4sq - m7sq) + m2sq*(2*m4sq + m6sq + m7sq))*B0del(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*(m1sq - m2sq)*m5sq*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m2sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m2sq)*m5sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*m6sq*(3*m2**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m2sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m6sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m2sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m7sq))/((m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m6sq*(-3*m2**4 + (m4sq - m6sq)*(m5sq - m6sq) + m2sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m2sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*m4sq*(-3*m2**4 + (m4sq - m6sq)*(m4sq - m7sq) + m2sq*(2*m4sq + m6sq + m7sq))*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m1sq - m2sq)*m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m2sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m7sq*(3*m2**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m2sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m2sq))/((m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*m4sq*(-3*m2**4 + (m4sq - m6sq)*(m4sq - m7sq) + m2sq*(2*m4sq + m6sq + m7sq))*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - ((m1sq - m2sq)*m4sq*(-3*m2**4 + (m4sq - m6sq)*(m4sq - m7sq) + m2sq*(2*m4sq + m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m5sq*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - ((m1sq - m2sq)*m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m5sq*(-3*m2**4 + (m5sq - m6sq)*(m5sq - m7sq) + m2sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*(m2sq - m4sq - m6sq)*(m2 + m4 + m6 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (m2**4*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m2sq*(m5sq + m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m1sq*(-m2sq + m5sq + m6sq)*(m2 + m5 + m6 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m2sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*m6sq*(-3*m2**4 + (m4sq - m6sq)*(m5sq - m6sq) + m2sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m6sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m2sq)*m6sq*(3*m2**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m2sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m2sq)*B0fin(0,0,m6sq))/((m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m2sq)*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m4sq - m6sq)**2 - 2*m2sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m2sq)*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) + (m2**4*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (m1sq*(-m2sq + m4sq + m7sq)*(m2 + m4 + m7 + 2*m2*B0fin(0,0,m2) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + ((m1sq - m2sq)*(m2sq - m5sq - m7sq)*(m2 + m5 + m7 + 2*m2*B0fin(0,0,m2) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) - (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m7sq*(3*m2**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m2sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + ((m1sq - m2sq)*m7sq*(-3*m2**4 + (m4sq - m7sq)*(m5sq - m7sq) + m2sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m2sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + (2*(m1sq - m2sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (2*(m1sq - m2sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m5sq - m7sq)**2 - 2*m2sq*(m5sq + m7sq))) + T134fin(m6,m4,m1)/((m4sq - m5sq)*(m6sq - m7sq)) - T134fin(m6,m4,m2)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2sq - m4sq - m6sq)*T134fin(m6,m4,m2))/((m4sq - m5sq)*(4*m4sq*m6sq - (-m2sq + m4sq + m6sq)**2)*(m6sq - m7sq)) - T134fin(m6,m5,m1)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m5sq - m6sq)**2*T134fin(m6,m5,m2))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m2sq*(m5sq + m6sq)*T134fin(m6,m5,m2))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - (m1sq*(-m2sq + m5sq + m6sq)*T134fin(m6,m5,m2))/((m4sq - m5sq)*(m2**4 + (m5sq - m6sq)**2 - 2*m2sq*(m5sq + m6sq))*(m6sq - m7sq)) - T134fin(m7,m4,m1)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m4sq - m7sq)**2*T134fin(m7,m4,m2))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m2sq*(m4sq + m7sq)*T134fin(m7,m4,m2))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) - (m1sq*(-m2sq + m4sq + m7sq)*T134fin(m7,m4,m2))/((m4sq - m5sq)*(m6sq - m7sq)*(m2**4 + (m4sq - m7sq)**2 - 2*m2sq*(m4sq + m7sq))) + T134fin(m7,m5,m1)/((m4sq - m5sq)*(m6sq - m7sq)) - T134fin(m7,m5,m2)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m1sq - m2sq)*(m2sq - m5sq - m7sq)*T134fin(m7,m5,m2))/((m4sq - m5sq)*(m6sq - m7sq)*(4*m5sq*m7sq - (-m2sq + m5sq + m7sq)**2)))/(m1sq - m2sq)**2
		def eval_182():
			return (((m1sq - m3sq)*m6sq*(-3*m1**4 + (m4sq - m6sq)*(m5sq - m6sq) + m1sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m4sq*(-3*m1**4 + (m4sq - m6sq)*(m4sq - m7sq) + m1sq*(2*m4sq + m6sq + m7sq))*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m1sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m4sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m4sq*(-3*m1**4 + (m4sq - m6sq)*(m4sq - m7sq) + m1sq*(2*m4sq + m6sq + m7sq))*B0del(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m5sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0del(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m5sq*m6sq*B0del(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m6sq*(-3*m1**4 + (m4sq - m6sq)*(m5sq - m6sq) + m1sq*(m4sq + m5sq + 2*m6sq))*B0del(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m4sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0del(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m1sq*(m4sq + m5sq + 2*m7sq))*B0del(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m6sq*(3*m1**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m1sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m1sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - ((m1sq - m3sq)*m4sq*(-3*m1**4 + (m4sq - m6sq)*(m4sq - m7sq) + m1sq*(2*m4sq + m6sq + m7sq))*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m1sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m4sq - m7sq)*(m5sq - m7sq) + m1sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m1sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*m4sq*(-3*m1**4 + (m4sq - m6sq)*(m4sq - m7sq) + m1sq*(2*m4sq + m6sq + m7sq))*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + ((m1sq - m3sq)*m4sq*(-3*m1**4 + (m4sq - m6sq)*(m4sq - m7sq) + m1sq*(2*m4sq + m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m4sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*m5sq*(-3*m1**4 + (m5sq - m6sq)*(m5sq - m7sq) + m1sq*(2*m5sq + m6sq + m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m5sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - ((m1sq - m3sq)*(m1sq - m4sq - m6sq)*(m1 + m4 + m6 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*(m1 + m5 + m6 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m6*B0fin(0,0,m6)))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m6sq*(3*m1**4 + (m4sq - m6sq)*(-m5sq + m6sq) - m1sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*m6sq*(-3*m1**4 + (m4sq - m6sq)*(m5sq - m6sq) + m1sq*(m4sq + m5sq + 2*m6sq))*B0fin(0,0,m1sq)*B0fin(0,0,m6sq))/((m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + (2*(m1sq - m3sq)*m4sq*m6sq*B0fin(0,0,m4sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) - (2*(m1sq - m3sq)*m5sq*m6sq*B0fin(0,0,m5sq)*B0fin(0,0,m6sq))/((m4sq - m5sq)*(m1**4 + (m5sq - m6sq)**2 - 2*m1sq*(m5sq + m6sq))*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*(m1 + m4 + m7 + 2*m1*B0fin(0,0,m1) + 2*m4*B0fin(0,0,m4) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*(m1 + m5 + m7 + 2*m1*B0fin(0,0,m1) + 2*m5*B0fin(0,0,m5) + 2*m7*B0fin(0,0,m7)))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) - (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(-3*m1**4 + (m4sq - m7sq)*(m5sq - m7sq) + m1sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + ((m1sq - m3sq)*m7sq*(3*m1**4 + (m4sq - m7sq)*(-m5sq + m7sq) - m1sq*(m4sq + m5sq + 2*m7sq))*B0fin(0,0,m1sq)*B0fin(0,0,m7sq))/((m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - (2*(m1sq - m3sq)*m4sq*m7sq*B0fin(0,0,m4sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m4sq - m7sq)**2 - 2*m1sq*(m4sq + m7sq))) + (2*(m1sq - m3sq)*m5sq*m7sq*B0fin(0,0,m5sq)*B0fin(0,0,m7sq))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) - T134fin(m6,m4,m1)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m4sq - m6sq)*T134fin(m6,m4,m1))/((m4sq - m5sq)*(m1**4 + (m4sq - m6sq)**2 - 2*m1sq*(m4sq + m6sq))*(m6sq - m7sq)) + T134fin(m6,m4,m3)/((m4sq - m5sq)*(m6sq - m7sq)) + T134fin(m6,m5,m1)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m6sq)*T134fin(m6,m5,m1))/((m4sq - m5sq)*(4*m5sq*m6sq - (-m1sq + m5sq + m6sq)**2)*(m6sq - m7sq)) - T134fin(m6,m5,m3)/((m4sq - m5sq)*(m6sq - m7sq)) + T134fin(m7,m4,m1)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m4sq - m7sq)*T134fin(m7,m4,m1))/((m4sq - m5sq)*(m6sq - m7sq)*(4*m4sq*m7sq - (-m1sq + m4sq + m7sq)**2)) - T134fin(m7,m4,m3)/((m4sq - m5sq)*(m6sq - m7sq)) - T134fin(m7,m5,m1)/((m4sq - m5sq)*(m6sq - m7sq)) + ((m1sq - m3sq)*(m1sq - m5sq - m7sq)*T134fin(m7,m5,m1))/((m4sq - m5sq)*(m6sq - m7sq)*(m1**4 + (m5sq - m7sq)**2 - 2*m1sq*(m5sq + m7sq))) + T134fin(m7,m5,m3)/((m4sq - m5sq)*(m6sq - m7sq)))/(m1sq - m3sq)**2
		def eval_183():
			return ((m2sq - m3sq)*T134fin(m6,m4,m1) + (-m1sq + m3sq)*T134fin(m6,m4,m2) + m1sq*T134fin(m6,m4,m3) - m2sq*T134fin(m6,m4,m3) - m2sq*T134fin(m6,m5,m1) + m3sq*T134fin(m6,m5,m1) + m1sq*T134fin(m6,m5,m2) - m3sq*T134fin(m6,m5,m2) - m1sq*T134fin(m6,m5,m3) + m2sq*T134fin(m6,m5,m3) - m2sq*T134fin(m7,m4,m1) + m3sq*T134fin(m7,m4,m1) + m1sq*T134fin(m7,m4,m2) - m3sq*T134fin(m7,m4,m2) - m1sq*T134fin(m7,m4,m3) + m2sq*T134fin(m7,m4,m3) + m2sq*T134fin(m7,m5,m1) - m3sq*T134fin(m7,m5,m1) - m1sq*T134fin(m7,m5,m2) + m3sq*T134fin(m7,m5,m2) + m1sq*T134fin(m7,m5,m3) - m2sq*T134fin(m7,m5,m3))/((m1sq - m2sq)*(m1sq - m3sq)*(m2sq - m3sq)*(m4sq - m5sq)*(m6sq - m7sq))

		cond_m1_0 = cond(m1, 0)
		cond_m2_0 = cond(m2, 0)
		cond_m3_0 = cond(m3, 0)
		cond_m4_0 = cond(m4, 0)
		cond_m5_0 = cond(m5, 0)
		cond_m6_0 = cond(m6, 0)
		cond_m7_0 = cond(m7, 0)
		cond_m7_m6 = cond(m7, m6)
		cond_m7_m5 = cond(m7, m5)
		cond_m6_m5 = cond(m6, m5)
		cond_m7_m4 = cond(m7, m4)
		cond_m6_m4 = cond(m6, m4)
		cond_m5_m4 = cond(m5, m4)
		cond_m7_m3 = cond(m7, m3)
		cond_m6_m3 = cond(m6, m3)
		cond_m5_m3 = cond(m5, m3)
		cond_m4_m3 = cond(m4, m3)
		cond_m7_m2 = cond(m7, m2)
		cond_m6_m2 = cond(m6, m2)
		cond_m5_m2 = cond(m5, m2)
		cond_m4_m2 = cond(m4, m2)
		cond_m3_m2 = cond(m3, m2)
		cond_m7_m1 = cond(m7, m1)
		cond_m6_m1 = cond(m6, m1)
		cond_m5_m1 = cond(m5, m1)
		cond_m4_m1 = cond(m4, m1)
		cond_m3_m1 = cond(m3, m1)
		cond_m2_m1 = cond(m2, m1)

		conditions = [
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_1()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_2()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_3()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_4()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_22()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_5()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_22()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_6()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_6()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_7()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_8()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_9()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_11()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_10()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_11()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_11()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_12()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_10()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_11()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_11()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_12()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_12()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_21()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_21()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_13()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_56()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_58()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_58()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_56()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_58()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_58()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_58()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_137()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_14()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_149()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_149()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_85()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_15()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_87()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_87()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_87()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_87()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_115()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_116()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_116()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_91()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_91()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_85()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_85()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_85()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_145()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_87()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_87()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_115()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_116()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_116()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_91()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_91()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_115()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_116()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_116()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_91()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_91()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_158()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_159()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_158()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_159()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_128()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_158()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_126()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_159()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_128()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_128()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_129()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_161()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_16()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_17()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_18()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_17()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_18()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_18()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_52()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_130()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_130()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_130()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_130()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_54()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_17()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_18()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_18()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_52()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_130()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_130()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_54()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_52()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_130()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_130()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_130()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_54()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_19()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_19()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_20()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_20()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_21()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_26()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_26()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_26()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_26()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_22()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_23()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_23()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_138()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_83()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_83()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_138()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_39()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_39()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_83()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_83()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_39()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_39()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_139()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_139()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_138()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_138()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_39()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_39()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_39()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_39()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_139()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_139()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_145()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_145()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_24()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_25()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_141()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_140()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_140()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_40()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_40()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_141()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_40()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_141()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_140()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_140()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_141()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_40()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_79()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_79()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_152()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_152()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_153()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_153()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_152()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_152()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_153()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_153()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_81()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_82()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_26()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_26()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_75()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_27()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_27()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_28()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_28()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_138()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_83()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_83()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_138()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_39()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_39()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_83()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_83()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_39()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_39()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_139()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_139()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_145()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_145()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_77()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_145()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_145()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_29()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_29()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_77()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_29()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_29()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_30()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_31()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_31()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_32()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_32()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_141()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_140()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_140()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_40()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_141()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_40()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_40()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_79()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_152()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_152()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_153()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_153()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_152()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_152()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_153()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_153()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_81()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_82()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_79()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_152()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_152()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_153()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_153()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_152()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_152()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_153()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_153()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_33()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_81()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_82()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_33()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_33()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_34()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_35()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_123()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_123()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_39()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_39()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_123()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_123()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_39()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_39()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_161()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_161()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_36()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_124()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_124()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_40()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_124()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_124()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_40()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_40()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_101()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_101()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_37()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_38()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_38()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_166()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_103()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_103()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_123()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_123()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_39()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_39()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_161()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_161()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_124()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_124()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_40()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_40()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_101()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_101()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_161()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_161()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_41()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_41()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_42()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_42()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_101()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_101()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_166()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_43()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_43()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_44()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_44()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_166()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_103()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_103()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_166()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_172()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_103()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_103()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_172()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_45()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_45()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_46()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_46()),
			(cond_m1_0 and cond_m2_0 and cond_m3_0, lambda: eval_47()),
			(cond_m1_0 and cond_m2_0 and cond_m4_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m5_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m6_0, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m5_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m6_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m7_0, lambda: eval_182()),
			(cond_m1_0 and cond_m4_0 and cond_m5_0, lambda: eval_180()),
			(cond_m1_0 and cond_m4_0 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m6_0 and cond_m7_0, lambda: eval_179()),
			(cond_m2_0 and cond_m3_0 and cond_m4_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m5_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m6_0, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m7_0, lambda: eval_182()),
			(cond_m2_0 and cond_m4_0 and cond_m5_0, lambda: eval_180()),
			(cond_m2_0 and cond_m4_0 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m6_0 and cond_m7_0, lambda: eval_179()),
			(cond_m3_0 and cond_m4_0 and cond_m5_0, lambda: eval_180()),
			(cond_m3_0 and cond_m4_0 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m6_0 and cond_m7_0, lambda: eval_179()),
			(cond_m4_0 and cond_m5_0 and cond_m6_0, lambda: eval_180()),
			(cond_m4_0 and cond_m5_0 and cond_m7_0, lambda: eval_180()),
			(cond_m4_0 and cond_m6_0 and cond_m7_0, lambda: eval_179()),
			(cond_m5_0 and cond_m6_0 and cond_m7_0, lambda: eval_179()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_51()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_107()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_107()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_108()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_108()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_51()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_107()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_108()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_48()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_49()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_49()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_50()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_51()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_51()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_132()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_132()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_133()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_133()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_55()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_55()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_55()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_55()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_143()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_164()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_164()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_149()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_149()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_149()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_149()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_167()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_170()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_170()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_73()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_73()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_74()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_73()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_73()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_74()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_113()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_113()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_135()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_136()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_136()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_51()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_132()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_132()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_133()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_133()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_132()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_133()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_133()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_52()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_53()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_53()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_53()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_54()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_71()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_55()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_55()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_143()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_164()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_164()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_143()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_134()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_134()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_56()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_165()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_165()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_164()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_164()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_56()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_57()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_58()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_58()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_59()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_167()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_170()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_170()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_137()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_137()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_60()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_60()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_61()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_61()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_170()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_170()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_60()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_60()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_61()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_61()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_62()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_63()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_73()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_73()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_74()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_113()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_113()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_113()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_114()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_64()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_64()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_65()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_66()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_67()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_68()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_135()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_136()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_136()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_68()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_69()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_70()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_148()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_148()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_149()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_72()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_149()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_72()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_72()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_180()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_73()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_73()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_73()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_73()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_164()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_164()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_97()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_97()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_83()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_97()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_97()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_83()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_83()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_180()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_99()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_99()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_84()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_84()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_99()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_99()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_84()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_84()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_99()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_97()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_99()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_97()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_170()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_170()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_71()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_148()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_148()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_72()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_72()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_180()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_73()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_73()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_74()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_164()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_164()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_148()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_148()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_75()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_76()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_180()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_145()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_145()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_77()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_77()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_78()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_165()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_164()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_164()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_165()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_79()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_79()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_121()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_122()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_80()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_81()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_82()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_97()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_97()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_83()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_83()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_180()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_99()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_99()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_84()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_84()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_182()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_180()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_180()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_149()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_85()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_85()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_86()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_87()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_87()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_182()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_87()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_87()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_88()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_88()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_89()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_90()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_90()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_91()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_91()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_92()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_99()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_97()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_170()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_170()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_169()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_93()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_93()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_125()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_170()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_170()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_171()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_93()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_93()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_125()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_125()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_94()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_94()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_94()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_127()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_94()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_95()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_96()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m6, lambda: eval_97()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m6, lambda: eval_97()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m5, lambda: eval_98()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_0, lambda: eval_180()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_0, lambda: eval_180()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m4, lambda: eval_99()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m4, lambda: eval_100()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m4, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m4, lambda: eval_99()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m4, lambda: eval_100()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m4, lambda: eval_100()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m2_0 and cond_m4_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m5_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m2_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m4_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m5_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_0, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_0, lambda: eval_181()),
			(cond_m1_0 and cond_m4_0 and cond_m5_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m6, lambda: eval_97()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m5, lambda: eval_98()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m5, lambda: eval_98()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_0, lambda: eval_180()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_0, lambda: eval_180()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m4, lambda: eval_99()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m4, lambda: eval_100()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m4, lambda: eval_100()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_0, lambda: eval_180()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_0, lambda: eval_180()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m6, lambda: eval_161()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_0, lambda: eval_161()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m3, lambda: eval_101()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m3, lambda: eval_101()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_0, lambda: eval_102()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_0, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_0, lambda: eval_181()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m2, lambda: eval_103()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m2, lambda: eval_103()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_0, lambda: eval_166()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_0, lambda: eval_104()),
			(cond_m2_0 and cond_m3_0 and cond_m4_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m5_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_0, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m2_0 and cond_m4_0 and cond_m5_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_0, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_0, lambda: eval_182()),
			(cond_m3_0 and cond_m4_0 and cond_m5_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_0, lambda: eval_182()),
			(cond_m4_0 and cond_m5_0 and cond_m6_m1, lambda: eval_105()),
			(cond_m4_0 and cond_m5_0 and cond_m7_m1, lambda: eval_105()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_0, lambda: eval_172()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_0, lambda: eval_172()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_0, lambda: eval_106()),
			(cond_m5_0 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_0, lambda: eval_106()),
			(cond_m1_0 and cond_m2_0, lambda: eval_182()),
			(cond_m1_0 and cond_m3_0, lambda: eval_182()),
			(cond_m1_0 and cond_m4_0, lambda: eval_183()),
			(cond_m1_0 and cond_m5_0, lambda: eval_183()),
			(cond_m1_0 and cond_m6_0, lambda: eval_183()),
			(cond_m1_0 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_0, lambda: eval_182()),
			(cond_m2_0 and cond_m4_0, lambda: eval_183()),
			(cond_m2_0 and cond_m5_0, lambda: eval_183()),
			(cond_m2_0 and cond_m6_0, lambda: eval_183()),
			(cond_m2_0 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_0, lambda: eval_183()),
			(cond_m3_0 and cond_m5_0, lambda: eval_183()),
			(cond_m3_0 and cond_m6_0, lambda: eval_183()),
			(cond_m3_0 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_0, lambda: eval_180()),
			(cond_m4_0 and cond_m6_0, lambda: eval_183()),
			(cond_m4_0 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_0, lambda: eval_183()),
			(cond_m5_0 and cond_m7_0, lambda: eval_183()),
			(cond_m6_0 and cond_m7_0, lambda: eval_179()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_109()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_109()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_109()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_110()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_109()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_160()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_160()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_144()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_144()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_143()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_131()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_131()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_145()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_145()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_162()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_162()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_163()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_163()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_146()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_146()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_147()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_147()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_112()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_112()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_113()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_113()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_109()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_160()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_160()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_144()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_144()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_109()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_151()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_151()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_150()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_150()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_160()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_160()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_144()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_144()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_151()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_151()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_150()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_150()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_113()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_113()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_143()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_131()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_131()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_143()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_131()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_131()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_151()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_151()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_150()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_150()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_151()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_151()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_150()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_150()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_157()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_156()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_156()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_157()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_152()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_145()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_145()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_162()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_162()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_145()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_145()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_162()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_162()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_157()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_157()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_156()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_156()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_146()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_146()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_147()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_147()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_146()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_146()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_147()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_147()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_110()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_111()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_112()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_119()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_142()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_142()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_161()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_162()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_162()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_163()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_163()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_144()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_144()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_145()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_146()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_146()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_147()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_161()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_162()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_162()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_163()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_163()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_142()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_142()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_161()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_162()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_162()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_163()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_163()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_112()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_164()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_164()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_142()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_142()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_167()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_164()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_164()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_161()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_168()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_169()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_167()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_170()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_170()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_162()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_162()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_163()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_163()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_113()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_113()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_168()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_114()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_170()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_170()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_144()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_144()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_143()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_145()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_145()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_146()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_146()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_147()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_180()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_146()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_146()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_147()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_160()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_144()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_144()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_173()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_164()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_164()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_173()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_167()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_151()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_150()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_180()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_151()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_150()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_153()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_152()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_150()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_151()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_150()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_151()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_152()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_168()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_153()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_153()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_168()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_170()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_170()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_161()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_161()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_176()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_176()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_173()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_177()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_177()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_175()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_175()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_157()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_156()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_176()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_176()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_156()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_157()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_177()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_177()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_162()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_162()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_117()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_119()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_162()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_162()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_163()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_118()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_119()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_119()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_120()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_177()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_177()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_161()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_162()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_162()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_163()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_180()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m4, lambda: eval_167()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m5_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m3_m2 and cond_m4_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m5_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m3_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_180()),
			(cond_m1_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_161()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_162()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_162()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_163()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m3, lambda: eval_180()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_160()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m6, lambda: eval_161()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m4, lambda: eval_162()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m4, lambda: eval_162()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_163()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m5, lambda: eval_179()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m4, lambda: eval_179()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m4, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_0, lambda: eval_180()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m3, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_0, lambda: eval_180()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_0, lambda: eval_164()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_0, lambda: eval_164()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m3, lambda: eval_165()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_181()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m2, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_0, lambda: eval_180()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_0, lambda: eval_167()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_0, lambda: eval_167()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_0, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m2, lambda: eval_180()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_169()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_168()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_0, lambda: eval_170()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_168()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_0, lambda: eval_170()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m2, lambda: eval_171()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m6, lambda: eval_166()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_180()),
			(cond_m2_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m5, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m5, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m4, lambda: eval_167()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m5_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m4, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m4, lambda: eval_181()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4 and cond_m6_m1, lambda: eval_180()),
			(cond_m3_0 and cond_m5_m4 and cond_m7_m1, lambda: eval_180()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_172()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_182()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_0 and cond_m7_m1, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_0, lambda: eval_180()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_0, lambda: eval_173()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_173()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_0, lambda: eval_173()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_0, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_0, lambda: eval_182()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m5_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_0, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_0 and cond_m5_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_181()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_181()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_m1 and cond_m4_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m5_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m3_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_180()),
			(cond_m2_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_0 and cond_m4_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m5_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m6_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_0 and cond_m7_m1, lambda: eval_181()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_182()),
			(cond_m3_0 and cond_m4_m1 and cond_m5_m1, lambda: eval_180()),
			(cond_m3_0 and cond_m4_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m3_m1 and cond_m4_0 and cond_m5_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_176()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_175()),
			(cond_m4_0 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m4_m1 and cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_0, lambda: eval_177()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_0, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m2_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_175()),
			(cond_m3_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_0, lambda: eval_177()),
			(cond_m4_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m1 and cond_m7_m1, lambda: eval_178()),
			(cond_m5_m1 and cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m1_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m4, lambda: eval_180()),
			(cond_m1_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m1_0 and cond_m4_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m1_0 and cond_m3_m2, lambda: eval_181()),
			(cond_m1_0 and cond_m4_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m5_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m1_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m2_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m2_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m4, lambda: eval_180()),
			(cond_m2_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m2_0 and cond_m4_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m2_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m3_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m3_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m4, lambda: eval_180()),
			(cond_m3_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m3_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m4_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_0 and cond_m6_m5, lambda: eval_183()),
			(cond_m4_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m5_0 and cond_m7_m6, lambda: eval_179()),
			(cond_m6_0 and cond_m7_m5, lambda: eval_183()),
			(cond_m6_m5 and cond_m7_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m4, lambda: eval_183()),
			(cond_m5_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_0, lambda: eval_180()),
			(cond_m5_m4 and cond_m7_0, lambda: eval_180()),
			(cond_m6_0 and cond_m7_m4, lambda: eval_183()),
			(cond_m6_m4 and cond_m7_0, lambda: eval_183()),
			(cond_m4_0 and cond_m5_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m3, lambda: eval_183()),
			(cond_m5_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_0, lambda: eval_183()),
			(cond_m4_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m6_0 and cond_m7_m3, lambda: eval_183()),
			(cond_m6_m3 and cond_m7_0, lambda: eval_183()),
			(cond_m3_0 and cond_m4_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m3_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_0, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_0, lambda: eval_181()),
			(cond_m4_0 and cond_m5_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_0, lambda: eval_183()),
			(cond_m3_m2 and cond_m6_0, lambda: eval_181()),
			(cond_m4_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m2, lambda: eval_183()),
			(cond_m5_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_0, lambda: eval_183()),
			(cond_m3_m2 and cond_m7_0, lambda: eval_181()),
			(cond_m4_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m6_0 and cond_m7_m2, lambda: eval_183()),
			(cond_m6_m2 and cond_m7_0, lambda: eval_183()),
			(cond_m2_0 and cond_m3_m1, lambda: eval_181()),
			(cond_m2_0 and cond_m4_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m5_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m2_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_0, lambda: eval_181()),
			(cond_m2_m1 and cond_m4_0, lambda: eval_182()),
			(cond_m3_0 and cond_m4_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m5_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m3_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m3_m1 and cond_m4_0, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_0, lambda: eval_182()),
			(cond_m4_0 and cond_m5_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m6_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_0, lambda: eval_182()),
			(cond_m4_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m5_0 and cond_m6_m1, lambda: eval_183()),
			(cond_m5_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m3_m1 and cond_m7_0, lambda: eval_182()),
			(cond_m4_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m5_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m6_0 and cond_m7_m1, lambda: eval_183()),
			(cond_m6_m1 and cond_m7_0, lambda: eval_183()),
			(cond_m1_0, lambda: eval_183()),
			(cond_m2_0, lambda: eval_183()),
			(cond_m3_0, lambda: eval_183()),
			(cond_m4_0, lambda: eval_183()),
			(cond_m5_0, lambda: eval_183()),
			(cond_m6_0, lambda: eval_183()),
			(cond_m7_0, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_137()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_145()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_149()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_167()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_137()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_145()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_145()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_149()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_137()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_137()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_145()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_145()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_167()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_145()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_145()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_149()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_149()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_167()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_149()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_167()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_173()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_137()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_145()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_145()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_149()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_149()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m4, lambda: eval_161()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m5, lambda: eval_179()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m4, lambda: eval_179()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m4, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m6, lambda: eval_161()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m3, lambda: eval_161()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m3, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_166()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m5, lambda: eval_179()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_179()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m4, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m6, lambda: eval_145()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m4, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m4, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m4, lambda: eval_167()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m4, lambda: eval_166()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m2, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m6, lambda: eval_161()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m2, lambda: eval_161()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m2, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m3, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m2, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_166()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m2, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_172()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m5, lambda: eval_179()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_179()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m4, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m4 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_149()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m6, lambda: eval_149()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m4, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_173()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m4, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m4, lambda: eval_173()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m4, lambda: eval_172()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3 and cond_m6_m1, lambda: eval_180()),
			(cond_m4_m3 and cond_m5_m3 and cond_m7_m1, lambda: eval_180()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m3, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_166()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_181()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m5_m4 and cond_m6_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m3, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m4 and cond_m6_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m5_m4 and cond_m7_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m4 and cond_m7_m1, lambda: eval_181()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m3, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m3, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m2, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_172()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m5_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m2 and cond_m6_m1, lambda: eval_180()),
			(cond_m4_m2 and cond_m5_m2 and cond_m7_m1, lambda: eval_180()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m6, lambda: eval_154()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m6, lambda: eval_161()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m1 and cond_m7_m1, lambda: eval_161()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m5, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4 and cond_m6_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m5_m4 and cond_m7_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m4 and cond_m7_m1, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m4, lambda: eval_155()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m4, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m5_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m3 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m5_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1 and cond_m5_m1, lambda: eval_167()),
			(cond_m3_m2 and cond_m4_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m4_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_166()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m2, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m2, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m2_m1 and cond_m3_m1 and cond_m4_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m5_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m6_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m3_m1 and cond_m7_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_173()),
			(cond_m2_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m3_m1 and cond_m4_m1 and cond_m5_m1, lambda: eval_173()),
			(cond_m3_m1 and cond_m4_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_172()),
			(cond_m4_m1 and cond_m5_m1 and cond_m6_m1, lambda: eval_180()),
			(cond_m4_m1 and cond_m5_m1 and cond_m7_m1, lambda: eval_180()),
			(cond_m4_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m5_m1 and cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m6_m5 and cond_m7_m5, lambda: eval_179()),
			(cond_m5_m4 and cond_m7_m6, lambda: eval_161()),
			(cond_m6_m4 and cond_m7_m5, lambda: eval_183()),
			(cond_m6_m5 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m4, lambda: eval_180()),
			(cond_m5_m4 and cond_m7_m4, lambda: eval_180()),
			(cond_m6_m4 and cond_m7_m4, lambda: eval_179()),
			(cond_m4_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m5_m3 and cond_m7_m6, lambda: eval_179()),
			(cond_m6_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m6_m5 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m5, lambda: eval_183()),
			(cond_m4_m3 and cond_m7_m5, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m4, lambda: eval_183()),
			(cond_m5_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m3, lambda: eval_180()),
			(cond_m5_m4 and cond_m7_m3, lambda: eval_180()),
			(cond_m6_m3 and cond_m7_m4, lambda: eval_183()),
			(cond_m6_m4 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m3, lambda: eval_180()),
			(cond_m4_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m7_m3, lambda: eval_183()),
			(cond_m6_m3 and cond_m7_m3, lambda: eval_179()),
			(cond_m3_m2 and cond_m7_m6, lambda: eval_166()),
			(cond_m4_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m5_m2 and cond_m7_m6, lambda: eval_179()),
			(cond_m6_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m6_m5 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m6_m5, lambda: eval_181()),
			(cond_m3_m2 and cond_m7_m5, lambda: eval_181()),
			(cond_m4_m2 and cond_m6_m5, lambda: eval_183()),
			(cond_m4_m2 and cond_m7_m5, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m4, lambda: eval_183()),
			(cond_m5_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m2, lambda: eval_180()),
			(cond_m5_m4 and cond_m7_m2, lambda: eval_180()),
			(cond_m6_m2 and cond_m7_m4, lambda: eval_183()),
			(cond_m6_m4 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m5_m4, lambda: eval_167()),
			(cond_m3_m2 and cond_m6_m4, lambda: eval_181()),
			(cond_m3_m2 and cond_m7_m4, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m3, lambda: eval_183()),
			(cond_m5_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m2, lambda: eval_183()),
			(cond_m5_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m6_m2 and cond_m7_m3, lambda: eval_183()),
			(cond_m6_m3 and cond_m7_m2, lambda: eval_183()),
			(cond_m3_m2 and cond_m4_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m2, lambda: eval_181()),
			(cond_m3_m2 and cond_m7_m2, lambda: eval_181()),
			(cond_m4_m2 and cond_m5_m2, lambda: eval_180()),
			(cond_m4_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m7_m2, lambda: eval_183()),
			(cond_m6_m2 and cond_m7_m2, lambda: eval_179()),
			(cond_m2_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m3_m1 and cond_m7_m6, lambda: eval_172()),
			(cond_m4_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m5_m1 and cond_m7_m6, lambda: eval_179()),
			(cond_m6_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m6_m5 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m6_m5, lambda: eval_182()),
			(cond_m2_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m5, lambda: eval_182()),
			(cond_m3_m1 and cond_m7_m5, lambda: eval_182()),
			(cond_m4_m1 and cond_m6_m5, lambda: eval_183()),
			(cond_m4_m1 and cond_m7_m5, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m4, lambda: eval_183()),
			(cond_m5_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m5_m4 and cond_m6_m1, lambda: eval_180()),
			(cond_m5_m4 and cond_m7_m1, lambda: eval_180()),
			(cond_m6_m1 and cond_m7_m4, lambda: eval_183()),
			(cond_m6_m4 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m5_m4, lambda: eval_173()),
			(cond_m2_m1 and cond_m6_m4, lambda: eval_182()),
			(cond_m2_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m4, lambda: eval_173()),
			(cond_m3_m1 and cond_m6_m4, lambda: eval_182()),
			(cond_m3_m1 and cond_m7_m4, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m4_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m4_m3 and cond_m5_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m3, lambda: eval_183()),
			(cond_m5_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m5_m3 and cond_m6_m1, lambda: eval_183()),
			(cond_m5_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m6_m1 and cond_m7_m3, lambda: eval_183()),
			(cond_m6_m3 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m4_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m3, lambda: eval_182()),
			(cond_m2_m1 and cond_m7_m3, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m2, lambda: eval_182()),
			(cond_m3_m1 and cond_m7_m2, lambda: eval_182()),
			(cond_m3_m2 and cond_m4_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m5_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m6_m1, lambda: eval_181()),
			(cond_m3_m2 and cond_m7_m1, lambda: eval_181()),
			(cond_m4_m1 and cond_m5_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m4_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m4_m2 and cond_m5_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m2, lambda: eval_183()),
			(cond_m5_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m5_m2 and cond_m6_m1, lambda: eval_183()),
			(cond_m5_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m6_m1 and cond_m7_m2, lambda: eval_183()),
			(cond_m6_m2 and cond_m7_m1, lambda: eval_183()),
			(cond_m2_m1 and cond_m3_m1, lambda: eval_174()),
			(cond_m2_m1 and cond_m4_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m5_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m2_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m4_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m5_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m6_m1, lambda: eval_182()),
			(cond_m3_m1 and cond_m7_m1, lambda: eval_182()),
			(cond_m4_m1 and cond_m5_m1, lambda: eval_180()),
			(cond_m4_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m4_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m6_m1, lambda: eval_183()),
			(cond_m5_m1 and cond_m7_m1, lambda: eval_183()),
			(cond_m6_m1 and cond_m7_m1, lambda: eval_179()),
			(cond_m7_m6, lambda: eval_179()),
			(cond_m6_m5, lambda: eval_183()),
			(cond_m7_m5, lambda: eval_183()),
			(cond_m5_m4, lambda: eval_180()),
			(cond_m6_m4, lambda: eval_183()),
			(cond_m7_m4, lambda: eval_183()),
			(cond_m4_m3, lambda: eval_183()),
			(cond_m5_m3, lambda: eval_183()),
			(cond_m6_m3, lambda: eval_183()),
			(cond_m7_m3, lambda: eval_183()),
			(cond_m3_m2, lambda: eval_181()),
			(cond_m4_m2, lambda: eval_183()),
			(cond_m5_m2, lambda: eval_183()),
			(cond_m6_m2, lambda: eval_183()),
			(cond_m7_m2, lambda: eval_183()),
			(cond_m2_m1, lambda: eval_182()),
			(cond_m3_m1, lambda: eval_182()),
			(cond_m4_m1, lambda: eval_183()),
			(cond_m5_m1, lambda: eval_183()),
			(cond_m6_m1, lambda: eval_183()),
			(cond_m7_m1, lambda: eval_183()),
			(True, lambda: eval_183())
		]

		for condition,action in conditions:
			if condition:
				return action()

	except Exception as e:
		raise Exception(f"There was an error when evaluating the T1113344 integral with masses {m1}, {m2}, {m3}, {m4}, {m5}, {m6}, {m7} from {e}")